<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* sessions-page.twig */
class __TwigTemplate_7668a4760c5f0943ba2b0edd6a14e0002086df1e9c0c63a4a406c6817d8a96be extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "sessions-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "sessions-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Sessions"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 30
        echo __("Sessions");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 32
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"sessionsView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">
                            ";
        // line 36
        ob_start(function () { return ''; });
        echo __("From Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_date", ["fromDt", ($context["title"] ?? null)], 37, $context, $this->getSourceContext());
        echo "

                            ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Active");
        $context["activeTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Guest");
        $context["guestTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Expired");
        $context["expiredTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                            ";
        $context["typeOptions"] = [0 => ["id" => null, "value" => ""], 1 => ["id" => "active", "value" =>         // line 45
($context["activeTrans"] ?? null)], 2 => ["id" => "guest", "value" =>         // line 46
($context["guestTrans"] ?? null)], 3 => ["id" => "expired", "value" =>         // line 47
($context["expiredTrans"] ?? null)]];
        // line 49
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["type", "single", ($context["title"] ?? null), "", ($context["typeOptions"] ?? null), "id", "value"], 49, $context, $this->getSourceContext());
        echo "

                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"sessions\" class=\"table table-striped\">
                        <thead>
                            <tr>
                                <th>";
        // line 58
        echo __("Last Accessed");
        echo "</th>
                                <th>";
        // line 59
        echo __("Active");
        echo "</th>
                                <th>";
        // line 60
        echo __("User Name");
        echo "</th>
                                <th>";
        // line 61
        echo __("IP Address");
        echo "</th>
                                <th>";
        // line 62
        echo __("Browser");
        echo "</th>
                                <th>";
        // line 63
        echo __("Expires At");
        echo "</th>
                                <th class=\"rowMenu\"></th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 77
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 78
        echo "    <script type=\"text/javascript\">
        \$(document).ready(function() {
            var table = \$(\"#sessions\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                responsive: true,
                stateDuration: 0,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                filter: false,
                searchDelay: 3000,
                \"order\": [[1, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 93
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("sessions.search"), "html", null, true);
        echo "\",
                    \"data\": function (d) {
                        \$.extend(d, \$(\"#sessions\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {\"data\": \"lastAccessed\", \"render\": dataTableDateFromIso, responsivePriority: 2},
                    {\"data\": \"isExpired\", \"render\": dataTableTickCrossInverseColumn, responsivePriority: 2},
                    {\"data\": \"userName\", responsivePriority: 3},
                    {\"data\": \"remoteAddress\", responsivePriority: 4},
                    {\"data\": \"userAgent\", responsivePriority: 4},
                    {\"data\": \"expiresAt\", \"render\": dataTableDateFromUnix, responsivePriority: 3},
                    {
                        \"orderable\": false,
                         responsivePriority: 1,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#sessions_wrapper').find('.dataTables_buttons'));
        });
    </script>
";
    }

    public function getTemplateName()
    {
        return "sessions-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  184 => 93,  167 => 78,  163 => 77,  146 => 63,  142 => 62,  138 => 61,  134 => 60,  130 => 59,  126 => 58,  113 => 49,  111 => 47,  110 => 46,  109 => 45,  107 => 43,  102 => 42,  97 => 41,  92 => 40,  88 => 39,  82 => 37,  78 => 36,  71 => 32,  66 => 30,  63 => 29,  59 => 28,  51 => 26,  46 => 23,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "sessions-page.twig", "/home/mgatv524/public_html/mctv/views/sessions-page.twig");
    }
}
