<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* playlist-form-delete.twig */
class __TwigTemplate_8991932ad41410ed9fcfa2f33dccb9c586fdca3bffb6d44726c719919bd40577 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "playlist-form-delete.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "playlist-form-delete.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        $context["playlistName"] = twig_get_attribute($this->env, $this->source, ($context["playlist"] ?? null), "name", [], "any", false, false, false, 28);
        // line 29
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Delete %playlistName%"), array("%playlistName%" => ($context["playlistName"] ?? null), ));
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "delete", [], "any", false, false, false, 33), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("No");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Yes");
        echo ", \$(\"#playlistDeleteForm\").submit()
";
    }

    // line 38
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 39
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"playlistDeleteForm\" class=\"XiboForm form-horizontal\" method=\"delete\" action=\"";
        // line 41
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playlist.delete", ["id" => twig_get_attribute($this->env, $this->source, ($context["playlist"] ?? null), "playlistId", [], "any", false, false, false, 41)]), "html", null, true);
        echo "\">
                ";
        // line 42
        ob_start(function () { return ''; });
        echo __("Are you sure you want to delete this Playlist?");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 43, $context, $this->getSourceContext());
        echo "
                
                ";
        // line 45
        ob_start(function () { return ''; });
        echo __("All media will be unassigned and any playlist specific media such as text/rss will be lost. The playlist will be removed from all Layouts.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 46, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "playlist-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  110 => 46,  106 => 45,  100 => 43,  96 => 42,  92 => 41,  88 => 39,  84 => 38,  78 => 35,  74 => 34,  67 => 33,  63 => 32,  58 => 29,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "playlist-form-delete.twig", "/home/mgatv524/public_html/mctv/views/playlist-form-delete.twig");
    }
}
