<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* forecastio-form-settings.twig */
class __TwigTemplate_001dbe6decb433d97416b3aad929c33237cebe3543fbec872aeef19eb9834a1e extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'moduleFormFields' => [$this, 'block_moduleFormFields'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "module-form-settings.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "forecastio-form-settings.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("module-form-settings.twig", "forecastio-form-settings.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_moduleFormFields($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        // line 28
        echo "    ";
        $context["title"] = ('' === $tmp = "        DarkSky has been the platforms source of weather data for several years,
        but unfortunately this has come to an end. DarkSky have been bought by Apple and
        have closed their doors to new API sign-ups. Existing users will have access until
        the end of 2021. You can switch your source of data to Open Weather Map by entering an API for that
        service below. The Open Weather Map API key will always take precedence over the
        DarkSky one. Please see our documentation for more details.
    ") ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_alert", [($context["title"] ?? null), "info"], 36, $context, $this->getSourceContext());
        echo "

    ";
        // line 38
        ob_start(function () { return ''; });
        echo __("Open Weather Map API Key");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 39
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Key from Open Weather Map.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["owmApiKey", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "owmApiKey"], "method", false, false, false, 40), ($context["helpText"] ?? null)], 40, $context, $this->getSourceContext());
        echo "

    ";
        // line 42
        ob_start(function () { return ''; });
        echo __("Paid plan?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Is the above key on an Open Weather Map paid plan?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["owmIsPaidPlan", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "owmIsPaidPlan"], "method", false, false, false, 44), ($context["helpText"] ?? null)], 44, $context, $this->getSourceContext());
        echo "

    <div class=\"row\">
        <div class=\"col-sm-10 offset-sm-2\">
            <p>Weather data provided by <a href=\"https://openweathermap.org/\" target=\"_blank\">OpenWeather</a> is provided under
                <a href=\"http://creativecommons.org/licenses/by-sa/4.0/\" target=\"_blank\">CC-BY-SA 4.0</a>
                and <a href=\"http://opendatacommons.org/licenses/odbl/\" target=\"_blank\">ODbl</a>.</p>
        </div>
    </div>

    ";
        // line 54
        ob_start(function () { return ''; });
        echo __("DarkSky API Key");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Key from DarkSky.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["apiKey", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "apiKey"], "method", false, false, false, 56), ($context["helpText"] ?? null)], 56, $context, $this->getSourceContext());
        echo "

    ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Cache Period");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter the number of seconds you would like to cache long/lat requests for.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["cachePeriod", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "cachePeriod", 1 => 1440], "method", false, false, false, 60), ($context["helpText"] ?? null)], 60, $context, $this->getSourceContext());
        echo "
";
    }

    public function getTemplateName()
    {
        return "forecastio-form-settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  132 => 60,  127 => 59,  123 => 58,  117 => 56,  112 => 55,  108 => 54,  94 => 44,  89 => 43,  85 => 42,  79 => 40,  74 => 39,  70 => 38,  64 => 36,  55 => 28,  53 => 27,  49 => 26,  44 => 23,  42 => 24,  35 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "forecastio-form-settings.twig", "/home/mgatv524/public_html/mctv/modules/forecastio-form-settings.twig");
    }
}
