<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* google-traffic-get-resource.twig */
class __TwigTemplate_38850511cf1fbbe70209c913c8011861b3d08576b6b93d45d524a2bd834915fc extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 23
        echo "<!doctype html>
<html lang=\"en\">
<head>
    <title>Xibo Open Source Digital Signage</title>
    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\" />
    <meta name=\"viewport\" content=\"width=";
        // line 28
        echo twig_escape_filter($this->env, ($context["viewPortWidth"] ?? null), "html", null, true);
        echo "\" />
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />
    <!-- Copyright 2006-2016 Daniel Garner and Spring Signage Ltd. Part of the Xibo Open Source Digital Signage Solution. Released under the AGPLv3 or later. -->
    <style type=\"text/css\">
        body {
            margin: 0;
            overflow: hidden;
        }
        h1, h2, h3, h4, p {
            margin-top: 0;
        }
        #iframe {
            border: 0;
        }
        #map {
             height: 100%;
        }
    </style>
</head>
<!--[if lt IE 7 ]><body class=\"ie6\"><![endif]-->
<!--[if IE 7 ]><body class=\"ie7\"><![endif]-->
<!--[if IE 8 ]><body class=\"ie8\"><![endif]-->
<!--[if IE 9 ]><body class=\"ie9\"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><body><!--<![endif]-->
<div id=\"content\">
    <div id=\"map\"></div>
</div>
</body>
";
        // line 56
        echo ($context["javaScript"] ?? null);
        echo "
<!-- Replace the value of the key parameter with your own API key. -->
<script async defer src=\"https://maps.googleapis.com/maps/api/js?key=";
        // line 58
        echo twig_escape_filter($this->env, ($context["apiKey"] ?? null), "html", null, true);
        echo "&callback=initMap\"></script>
<script type=\"text/javascript\">
    function initMap() {
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: ";
        // line 62
        echo twig_escape_filter($this->env, ($context["zoom"] ?? null), "html", null, true);
        echo ",
            center: {lat: ";
        // line 63
        echo twig_escape_filter($this->env, ($context["lat"] ?? null), "html", null, true);
        echo ", lng: ";
        echo twig_escape_filter($this->env, ($context["long"] ?? null), "html", null, true);
        echo "},
            disableDefaultUI: true
        });

        var trafficLayer = new google.maps.TrafficLayer();
        trafficLayer.setMap(map);
    }

    \$(document).ready(function() {
        \$(\"#map\").height(\$(window).height());
    });
</script>
</html>
";
    }

    public function getTemplateName()
    {
        return "google-traffic-get-resource.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  91 => 63,  87 => 62,  80 => 58,  75 => 56,  44 => 28,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "google-traffic-get-resource.twig", "/home/mgatv524/public_html/mctv/modules/google-traffic-get-resource.twig");
    }
}
