<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* video-form-settings.twig */
class __TwigTemplate_292bd5e72ba4c49907946fbe02a15172b498347a2a0f41c8d1b377b6a84c8a97 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'moduleFormFields' => [$this, 'block_moduleFormFields'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "module-form-settings.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "video-form-settings.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("module-form-settings.twig", "video-form-settings.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_moduleFormFields($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Default Mute?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Should new Video Widgets default to Muted?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["defaultMute", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "defaultMute", 1 => 0], "method", false, false, false, 30), ($context["helpText"] ?? null)], 30, $context, $this->getSourceContext());
        echo "

    ";
        // line 32
        ob_start(function () { return ''; });
        echo __("Default Scale type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 33
        echo "    ";
        $context["helpText"] = __("How should new Video Widgets be scaled by default?");
        // line 34
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Aspect");
        $context["aspect"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 35
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Stretch");
        $context["stretch"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "    ";
        $context["options"] = [0 => ["scaleTypeId" => "aspect", "scaleType" =>         // line 37
($context["aspect"] ?? null)], 1 => ["scaleTypeId" => "stretch", "scaleType" =>         // line 38
($context["stretch"] ?? null)]];
        // line 40
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["defaultScaleType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "defaultScaleType", 1 => "aspect"], "method", false, false, false, 40), ($context["options"] ?? null), "scaleTypeId", "scaleType", ($context["helpText"] ?? null)], 40, $context, $this->getSourceContext());
        echo "
";
    }

    public function getTemplateName()
    {
        return "video-form-settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  91 => 40,  89 => 38,  88 => 37,  86 => 36,  81 => 35,  76 => 34,  73 => 33,  69 => 32,  63 => 30,  58 => 29,  53 => 28,  49 => 27,  44 => 24,  42 => 25,  35 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "video-form-settings.twig", "/home/mgatv524/public_html/mctv/modules/video-form-settings.twig");
    }
}
