<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-column-page.twig */
class __TwigTemplate_64c6b74583db5722de299cd04800c0ed4df7447e97e680745e6ebea7827e2417 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "dataset-column-page.twig", 24)->unwrap();
        // line 25
        $context["dataSetName"] = twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSet", [], "any", false, false, false, 25);
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "dataset-column-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        /* xgettext:no-php-format */        echo strtr(__("Columns for %dataSetName%"), array("%dataSetName%" => ($context["dataSetName"] ?? null), ));
        echo " | ";
    }

    // line 29
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboFormButton\" title=\"";
        // line 31
        echo __("Add Column");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.column.add.form", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 31)]), "html", null, true);
        echo "\"><i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
        echo __("Add Column");
        echo "</button>
        <button class=\"btn btn-info XiboRedirectButton\" title=\"";
        // line 32
        echo __("View Data");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.view.data", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 32)]), "html", null, true);
        echo "\"><i class=\"fa fa-eye\" aria-hidden=\"true\"></i> ";
        echo __("View Data");
        echo "</button>
    </div>
";
    }

    // line 37
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    ";
        ob_start(function () { return ''; });
        /* xgettext:no-php-format */        echo strtr(__("Columns for %dataSetName%"), array("%dataSetName%" => ($context["dataSetName"] ?? null), ));
        $context["widgetTitle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 39
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 40
        echo twig_escape_filter($this->env, ($context["widgetTitle"] ?? null), "html", null, true);
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 42
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"XiboFilter\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">

                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"datasets\" class=\"table table-striped\" data-state-preference-name=\"dataSetColumnGrid\">
                        <thead>
                            <tr>
                                <th>";
        // line 54
        echo __("Heading");
        echo "</th>
                                <th>";
        // line 55
        echo __("DataType");
        echo "</th>
                                <th>";
        // line 56
        echo __("Column Type");
        echo "</th>
                                <th>";
        // line 57
        echo __("List Content");
        echo "</th>
                                <th>";
        // line 58
        echo __("Order");
        echo "</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 72
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 73
        echo "    <script type=\"text/javascript\">
        var table = \$(\"#datasets\").DataTable({
            \"language\": dataTablesLanguage,
            dom: dataTablesTemplate,
            serverSide: true,
            stateSave: true,
            stateDuration: 0,
            stateLoadCallback: dataTableStateLoadCallback,
            stateSaveCallback: dataTableStateSaveCallback,
            filter: false,
            responsive: true,
            searchDelay: 3000,
            \"order\": [[ 0, \"asc\"]],
            ajax: {
                \"url\": \"";
        // line 87
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.column.search", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 87)]), "html", null, true);
        echo "\",
                \"data\": function(d) {
                    \$.extend(d, \$(\"#datasets\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                }
            },
            \"columns\": [
                { \"data\": \"heading\", \"render\": dataTableSpacingPreformatted },
                { \"data\": \"dataType\" },
                { \"data\": \"dataSetColumnType\" },
                { \"data\": \"listContent\" },
                { \"data\": \"columnOrder\" },
                {
                    \"orderable\": false,
                    responsivePriority: 1,
                    \"data\": dataTableButtonsColumn
                }
            ]
        });

        table.on('draw', dataTableDraw);
        table.on('processing.dt', dataTableProcessing);
        dataTableAddButtons(table, \$('#datasets_wrapper').find('.dataTables_buttons'));
    </script>
";
    }

    public function getTemplateName()
    {
        return "dataset-column-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  173 => 87,  157 => 73,  153 => 72,  136 => 58,  132 => 57,  128 => 56,  124 => 55,  120 => 54,  105 => 42,  100 => 40,  97 => 39,  92 => 38,  88 => 37,  77 => 32,  69 => 31,  66 => 30,  62 => 29,  54 => 27,  49 => 23,  47 => 25,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-column-page.twig", "/home/mgatv524/public_html/mctv/views/dataset-column-page.twig");
    }
}
