<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* campaign-form-add.twig */
class __TwigTemplate_1167a5e41472723df38c9cc90107eb1f4c951b85650661509c488eccb6ded09b extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "campaign-form-add.twig", 25)->unwrap();
        // line 26
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "campaign-form-add.twig", 26)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "campaign-form-add.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 28
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    ";
        echo __("Add Campaign");
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Save");
        echo ", campaignFormSubmit(\$('#campaignAddForm'))
";
    }

    // line 38
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "campaignAssignLayoutsFormOpen";
    }

    // line 40
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 41
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"campaignAddForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 43
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.add"), "html", null, true);
        echo "\" data-gettag=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\">
                ";
        // line 44
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 44)) {
            // line 45
            echo "                <div class=\"form-group row\">
                    <label class=\"col-sm-2 control-label\">";
            // line 46
            echo __("Folder");
            echo "</label>
                    <div class=\"col-sm-10\">
                        <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 48
            echo __("Select Folder");
            echo "</button>
                        <span id=\"selectedFormFolder\"></span>
                    </div>
                </div>
                ";
            // line 52
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId"], 52, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 54
        echo "
                ";
        // line 55
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this Campaign");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 57, $context, $this->getSourceContext());
        echo "

                ";
        // line 59
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 59)) {
            // line 60
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 61
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags for this Campaign - Comma separated string of Tags or Tag|Value format. If you choose a Tag that has associated values, they will be shown for selection below.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 62
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "tags-with-value"], 62, $context, $this->getSourceContext());
            echo "

                    <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

                    ";
            // line 66
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 67
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["tagValue", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "key", "value"], 67, $context, $this->getSourceContext());
            echo "

                    <div id=\"tagValueContainer\">
                        ";
            // line 70
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 71
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Please provide the value for this Tag and confirm by pressing enter on your keyboard.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 72
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_input", ["tagValueInput", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 72, $context, $this->getSourceContext());
            echo "
                    </div>

                    <div id=\"tagValueRequired\" class=\"alert alert-info\">
                        <p>";
            // line 76
            echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
            echo "</p>
                    </div>
                ";
        }
        // line 79
        echo "
                <div id=\"assignLayouts\"></div>
            </form>
        </div>
    </div>
    <div class=\"row\">
        <div class=\"col-md-12 card p-3 mb-3 bg-light\">
            <h4>";
        // line 86
        echo __("Layouts on new campaign");
        echo "</h4>
            <div id=\"LayoutAssign\" class=\"card p-3 mb-3 bg-light\" data-url=\"";
        // line 87
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.assign.layout", ["id" => twig_get_attribute($this->env, $this->source, ($context["campaign"] ?? null), "campaignId", [], "any", false, false, false, 87)]), "html", null, true);
        echo "\">
                <div>
                    <ul id=\"LayoutAssignSortable\" data-layouts=\"[]\"></ul>
                </div>
            </div>

            <div class=\"XiboGrid\" id=\"";
        // line 93
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"layoutAssignView\">
                <div class=\"layoutAssignFilterOptions XiboFilter\">
                    <form class=\"form-inline\" onsubmit=\"false\">
                    ";
        // line 96
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["layout", ($context["title"] ?? null)], 97, $context, $this->getSourceContext());
        echo "

                    ";
        // line 99
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 99)) {
            // line 100
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 101
            echo "                        ";
            echo twig_call_macro($macros["inline"], "macro_inputWithTags", ["tags", ($context["title"] ?? null)], 101, $context, $this->getSourceContext());
            echo "
                    ";
        }
        // line 103
        echo "                    </form>
                </div>

                <div class=\"XiboData card pt-3\">
                    <table id=\"layoutAssignments\" class=\"table table-striped\" data-state-preference-name=\"campaignLayoutAssignGrid\">
                        <thead>
                        <tr>
                            <th>";
        // line 110
        echo __("ID");
        echo "</th>
                            <th>";
        // line 111
        echo __("Name");
        echo "</th>
                            <th>";
        // line 112
        echo __("Status");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "campaign-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  267 => 112,  263 => 111,  259 => 110,  250 => 103,  244 => 101,  239 => 100,  237 => 99,  231 => 97,  227 => 96,  221 => 93,  212 => 87,  208 => 86,  199 => 79,  193 => 76,  185 => 72,  180 => 71,  176 => 70,  169 => 67,  165 => 66,  157 => 62,  152 => 61,  147 => 60,  145 => 59,  139 => 57,  134 => 56,  130 => 55,  127 => 54,  122 => 52,  115 => 48,  110 => 46,  107 => 45,  105 => 44,  99 => 43,  95 => 41,  91 => 40,  84 => 38,  78 => 35,  74 => 34,  67 => 33,  63 => 32,  58 => 29,  54 => 28,  49 => 24,  47 => 26,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "campaign-form-add.twig", "/home/mgatv524/public_html/mctv/views/campaign-form-add.twig");
    }
}
