<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* library-form-uploadFromUrl.twig */
class __TwigTemplate_d473733f9209bf82882a36d7e85836988257584ada228779c97ce7b8976f4dad extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "library-form-uploadFromUrl.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "library-form-uploadFromUrl.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Add Media via URL");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#libraryUploadFromurl_form\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"libraryUploadFromurl_form\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.uploadFromUrl"), "html", null, true);
        echo "\">
                <div class=\"card p-3 mb-3 bg-light\">
                    ";
        // line 42
        echo twig_escape_filter($this->env, ($context["uploadSizeMessage"] ?? null), "html", null, true);
        echo "
                </div>

                ";
        // line 45
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 45)) {
            // line 46
            echo "                <div class=\"form-group row\">
                    <label class=\"col-sm-2 control-label\">";
            // line 47
            echo __("Folder");
            echo "</label>
                    <div class=\"col-sm-10\">
                        <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 49
            echo __("Select Folder");
            echo "</button>
                        <span id=\"selectedFormFolder\"></span>
                    </div>
                </div>
                ";
            // line 53
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId"], 53, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 55
        echo "
                ";
        // line 56
        ob_start(function () { return ''; });
        echo __("URL");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Please provide the remote URL to the file");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["url", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 58, $context, $this->getSourceContext());
        echo "

                ";
        // line 60
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Optional Media name, if left empty it will default to the file name");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["optionalName", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 62, $context, $this->getSourceContext());
        echo "

                ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Enable Media Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Media Item. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "
                ";
        // line 67
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 71
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 72
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 73
($context["inheritOption"] ?? null)]];
        // line 75
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "MEDIA_STATS_ENABLED_DEFAULT"], "method", false, false, false, 75), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 75, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "library-form-uploadFromUrl.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  187 => 75,  185 => 73,  184 => 72,  183 => 71,  181 => 70,  176 => 69,  171 => 68,  167 => 67,  164 => 66,  159 => 65,  155 => 64,  149 => 62,  144 => 61,  140 => 60,  134 => 58,  129 => 57,  125 => 56,  122 => 55,  117 => 53,  110 => 49,  105 => 47,  102 => 46,  100 => 45,  94 => 42,  89 => 40,  85 => 38,  81 => 37,  75 => 34,  71 => 33,  64 => 32,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "library-form-uploadFromUrl.twig", "/home/mgatv524/public_html/mctv/views/library-form-uploadFromUrl.twig");
    }
}
