<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* applications-form-edit.twig */
class __TwigTemplate_b73bb4174607563f91b1800021f176339291e9135136429456c7e9d05555a017 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "applications-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "applications-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Application");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#applicationFormSubmit\").submit()
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "copyFromSecretInput";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#scopes\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Sharing");
        echo "</span></a></li>
            </ul>
            <form id=\"applicationFormSubmit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 46
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("application.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["client"] ?? null), "key", [], "any", false, false, false, 46)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 49
        ob_start(function () { return ''; });
        echo __("Application Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["client"] ?? null), "name", [], "any", false, false, false, 50)], 50, $context, $this->getSourceContext());
        echo "

                        ";
        // line 52
        ob_start(function () { return ''; });
        echo __("Client Id");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_disabled", ["clientId", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["client"] ?? null), "key", [], "any", false, false, false, 53), "", "", "disabled"], 53, $context, $this->getSourceContext());
        echo "

                        ";
        // line 55
        ob_start(function () { return ''; });
        echo __("Client Secret");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Copy to Clipboard");
        $context["buttonTitle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_inputWithButton", ["clientSecret", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["client"] ?? null), "secret", [], "any", false, false, false, 57), "", "", "readonly='readonly'", "", "copy-button", ($context["buttonTitle"] ?? null), "button", ""], 57, $context, $this->getSourceContext());
        echo "
                                                    
                        ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Reset Secret?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Reset your client secret to prevent access from any existing application.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["resetKeys", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 61, $context, $this->getSourceContext());
        echo "

                        ";
        // line 63
        ob_start(function () { return ''; });
        echo __("Authorization Code?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Allow the Authorization Code Grant for this Client?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["authCode", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["client"] ?? null), "authCode", [], "any", false, false, false, 65), ($context["helpText"] ?? null)], 65, $context, $this->getSourceContext());
        echo "

                        ";
        // line 67
        ob_start(function () { return ''; });
        echo __("Client Credentials?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Allow the Client Credentials Grant for this Client?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["clientCredentials", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["client"] ?? null), "clientCredentials", [], "any", false, false, false, 69), ($context["helpText"] ?? null)], 69, $context, $this->getSourceContext());
        echo "

                        ";
        // line 71
        ob_start(function () { return ''; });
        echo __("Is Confidential?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Can this Application keep a secret?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isConfidential", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["client"] ?? null), "isConfidential", [], "any", false, false, false, 73), ($context["helpText"] ?? null)], 73, $context, $this->getSourceContext());
        echo "

                        ";
        // line 75
        ob_start(function () { return ''; });
        echo __("New Redirect URI");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("White listed redirect URI's that will be allowed, only application for Authorization Code Grants");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["redirectUri[]", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 77, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row\">
                            <span class=\"control-label col-sm-2\">";
        // line 80
        echo twig_escape_filter($this->env, __("Existing Redirect URI"), "html", null, true);
        echo ":</span>
                        </div>

                        ";
        // line 83
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["client"] ?? null), "redirectUris", [], "any", false, false, false, 83));
        foreach ($context['_seq'] as $context["_key"] => $context["url"]) {
            // line 84
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_input", ["redirectUri[]", "", twig_get_attribute($this->env, $this->source, $context["url"], "redirectUri", [], "any", false, false, false, 84)], 84, $context, $this->getSourceContext());
            echo "
                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['url'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 86
        echo "                    </div>
                    <div class=\"tab-pane\" id=\"scopes\">
                        ";
        // line 88
        ob_start(function () { return ''; });
        echo __("Select sharing to grant to this application (scopes).");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 89, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row\">
                            <span class=\"control-label col-sm-2\">";
        // line 92
        echo twig_escape_filter($this->env, __("Scopes"), "html", null, true);
        echo ":</span>
                        </div>

                        ";
        // line 95
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["scopes"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["scope"]) {
            // line 96
            echo "                            ";
            ob_start(function () { return ''; });
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["scope"], "description", [], "any", false, false, false, 96), "html", null, true);
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 97
            echo "                            ";
            ob_start(function () { return ''; });
            echo "scope_";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["scope"], "id", [], "any", false, false, false, 97), "html", null, true);
            $context["id"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 98
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", [($context["id"] ?? null), ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, $context["scope"], "selected", [], "any", false, false, false, 98)], 98, $context, $this->getSourceContext());
            echo "
                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['scope'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 100
        echo "
                        ";
        // line 101
        ob_start(function () { return ''; });
        echo __("Owner");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Set the owner of this Application. If you are not an admin you will not be able to reverse this action.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        $context["users"] = twig_array_merge([0 => ["userId" => null, "user" => ""]], ($context["users"] ?? null));
        // line 104
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["userId", "single", ($context["title"] ?? null), "", ($context["users"] ?? null), "userId", "userName", ($context["helpText"] ?? null)], 104, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "applications-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  303 => 104,  300 => 103,  295 => 102,  291 => 101,  288 => 100,  279 => 98,  273 => 97,  268 => 96,  264 => 95,  258 => 92,  251 => 89,  247 => 88,  243 => 86,  234 => 84,  230 => 83,  224 => 80,  217 => 77,  212 => 76,  208 => 75,  202 => 73,  197 => 72,  193 => 71,  187 => 69,  182 => 68,  178 => 67,  172 => 65,  167 => 64,  163 => 63,  157 => 61,  152 => 60,  148 => 59,  142 => 57,  137 => 56,  133 => 55,  127 => 53,  123 => 52,  117 => 50,  113 => 49,  107 => 46,  102 => 44,  98 => 43,  93 => 40,  89 => 39,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "applications-form-edit.twig", "/home/mgatv524/public_html/mctv/views/applications-form-edit.twig");
    }
}
