<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* layout-form-delete.twig */
class __TwigTemplate_8410ecb38867ac455bf0e128b8c25c0475d2fcabf3717a758425d5176d0baf31 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 2
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 3
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "layout-form-delete.twig", 3)->unwrap();
        // line 2
        $this->parent = $this->loadTemplate("form-base.twig", "layout-form-delete.twig", 2);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 5
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 6
        echo "    ";
        $context["layout"] = twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "layout", [], "any", false, false, false, 6);
        // line 7
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Delete %layout%"), array("%layout%" => ($context["layout"] ?? null), ));
    }

    // line 10
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 11
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "delete", [], "any", false, false, false, 11), "html", null, true);
        echo "\")
    ";
        // line 12
        echo __("Retire");
        echo ", XiboSwapDialog(\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.retire.form", ["id" => twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "layoutId", [], "any", false, false, false, 12)]), "html", null, true);
        echo "\")
    ";
        // line 13
        echo __("No");
        echo ", XiboDialogClose()
    ";
        // line 14
        echo __("Yes");
        echo ", \$(\"#layoutDeleteForm\").submit()
";
    }

    // line 17
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 18
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"layoutDeleteForm\" class=\"XiboForm form-horizontal\" method=\"delete\" action=\"";
        // line 20
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.delete", ["id" => twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "layoutId", [], "any", false, false, false, 20)]), "html", null, true);
        echo "\">
                ";
        // line 21
        ob_start(function () { return ''; });
        echo __("Are you sure you want to delete this item?");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 22
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 22, $context, $this->getSourceContext());
        echo "
                
                ";
        // line 24
        ob_start(function () { return ''; });
        echo __("All media will be unassigned and any widgets such as text/rss will be lost, unless they are on playlists. The item will be removed from all Schedules.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 25
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 25, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "layout-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  116 => 25,  112 => 24,  106 => 22,  102 => 21,  98 => 20,  94 => 18,  90 => 17,  84 => 14,  80 => 13,  74 => 12,  67 => 11,  63 => 10,  58 => 7,  55 => 6,  51 => 5,  46 => 2,  44 => 3,  37 => 2,);
    }

    public function getSourceContext()
    {
        return new Source("", "layout-form-delete.twig", "/home/mgatv524/public_html/mctv/views/layout-form-delete.twig");
    }
}
