<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* tag-form-delete.twig */
class __TwigTemplate_b8120fb69cfc5e52a2fa74cdddedfdd29673e4dab611a452b23fa5efecbbdb1a extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "tag-form-delete.twig", 24)->unwrap();
        // line 25
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "tag-form-delete.twig", 25)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "tag-form-delete.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        $context["tag"] = twig_get_attribute($this->env, $this->source, ($context["tag"] ?? null), "tag", [], "any", false, false, false, 28);
        // line 29
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Delete %tag%"), array("%tag%" => ($context["tag"] ?? null), ));
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Save");
        echo ", \$(\"#tagDeleteForm\").submit()
";
    }

    // line 38
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 39
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"tagDeleteForm\" class=\"XiboForm form-horizontal\" method=\"delete\" action=\"";
        // line 41
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.delete", ["id" => twig_get_attribute($this->env, $this->source, ($context["tag"] ?? null), "tagId", [], "any", false, false, false, 41)]), "html", null, true);
        echo "\">
                ";
        // line 42
        ob_start(function () { return ''; });
        echo __("Are you sure you want to delete this tag? This cannot be undone");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 43, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "tag-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  102 => 43,  98 => 42,  94 => 41,  90 => 39,  86 => 38,  80 => 35,  76 => 34,  69 => 33,  65 => 32,  60 => 29,  57 => 28,  53 => 27,  48 => 23,  46 => 25,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "tag-form-delete.twig", "/home/mgatv524/public_html/mctv/views/tag-form-delete.twig");
    }
}
