<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* schedule-form-add.twig */
class __TwigTemplate_b59135ee960dc86037002d4fd645947befa5222bb921f216213927d044633756 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'callBack' => [$this, 'block_callBack'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "schedule-form-add.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "schedule-form-add.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Schedule Event");
    }

    // line 30
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "setupScheduleForm";
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Next");
        echo ", XiboDialogApply(\"#scheduleAddForm\")
    ";
        // line 36
        echo __("Save");
        echo ", beforeSubmitScheduleForm(\$(\"#scheduleAddForm\"))
";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item repeats\"><a class=\"nav-link\" href=\"#repeats\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Repeats");
        echo "</span></a></li>
                <li class=\"nav-item reminders\"><a class=\"nav-link\" href=\"#reminders\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Reminder");
        echo "</span></a></li>
                <li class=\"nav-item geoSchedule\"><a class=\"nav-link\" href=\"#geoSchedule\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Geo Location");
        echo "</span></a></li>
            </ul>
            ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Select the start time for this event");
        $context["dayPartMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "            ";
        ob_start(function () { return ''; });
        echo __("Start and end time will be defined by the daypart's configuration for this day of the week. Use a repeating schedule to apply this event over multiple days");
        $context["notDayPartMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "            <form id=\"scheduleAddForm\" autocomplete=\"off\" class=\"form-horizontal\" method=\"post\" action=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("schedule.add"), "html", null, true);
        echo "\" data-daypart-message=\"";
        echo twig_escape_filter($this->env, ($context["dayPartMessage"] ?? null), "html", null, true);
        echo "\" data-not-daypart-message=\"";
        echo twig_escape_filter($this->env, ($context["notDayPartMessage"] ?? null), "html", null, true);
        echo "\" data-default-lat=\"";
        echo twig_escape_filter($this->env, ($context["defaultLat"] ?? null), "html", null, true);
        echo "\" data-default-long = \"";
        echo twig_escape_filter($this->env, ($context["defaultLong"] ?? null), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">

                        ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Event Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the type of event to schedule");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Layout");
        $context["layoutEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Campaign");
        $context["campaignEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Command");
        $context["commandEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Overlay Layout");
        $context["overlayEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Interrupt Layout");
        $context["interruptEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                        ";
        $context["eventTypes"] = [0 => ["id" => 1, "label" =>         // line 62
($context["layoutEventType"] ?? null)], 1 => ["id" => 5, "label" =>         // line 63
($context["campaignEventType"] ?? null)], 2 => ["id" => 2, "label" =>         // line 64
($context["commandEventType"] ?? null)], 3 => ["id" => 3, "label" =>         // line 65
($context["overlayEventType"] ?? null)], 4 => ["id" => 4, "label" =>         // line 66
($context["interruptEventType"] ?? null)]];
        // line 68
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["eventTypeId", "single", ($context["title"] ?? null), "", ($context["eventTypes"] ?? null), "id", "label", ($context["helpText"] ?? null)], 68, $context, $this->getSourceContext());
        echo "

                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Display");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select one or more displays / groups for this event to be shown on.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.search")], 1 => ["name" => "data-trans-groups", "value" => __("Groups")], 2 => ["name" => "data-trans-display", "value" => __("Display")]];
        // line 77
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["displayGroupIds[]", "dropdownmulti", ($context["title"] ?? null), ($context["displayGroupIds"] ?? null), ($context["displayGroups"] ?? null), "displayGroupId", "displayGroup", ($context["helpText"] ?? null), "", "", "", "", ($context["attributes"] ?? null)], 77, $context, $this->getSourceContext());
        echo "

                        ";
        // line 79
        ob_start(function () { return ''; });
        echo __("Dayparting");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the dayparting information for this event. To set your own times select custom and to have the event run constantly select Always.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        <div class=\"form-group row day-part-control\">
                            <label class=\"col-sm-2 control-label\" for=\"dayPartId\">";
        // line 82
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-10\">
                                <select class=\"form-control\" name=\"dayPartId\" id=\"dayPartId\">
                                    ";
        // line 85
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["dayParts"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["dayPart"]) {
            // line 86
            echo "                                        <option ";
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["dayPart"], "isCustom", [], "any", false, false, false, 86), 1))) {
                echo "selected";
            }
            // line 87
            echo "                                                value=\"";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "dayPartId", [], "any", false, false, false, 87), "html", null, true);
            echo "\"
                                                data-is-always=\"";
            // line 88
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "isAlways", [], "any", false, false, false, 88), "html", null, true);
            echo "\"
                                                data-is-custom=\"";
            // line 89
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "isCustom", [], "any", false, false, false, 89), "html", null, true);
            echo "\">";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "name", [], "any", false, false, false, 89), "html", null, true);
            echo "</option>
                                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['dayPart'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 91
        echo "                                </select>
                                <small class=\"form-text text-muted\">";
        // line 92
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</small>
                            </div>
                        </div>

                        ";
        // line 96
        ob_start(function () { return ''; });
        echo __("Start Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the start time for this event");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["fromDt", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "starttime-control", "required"], 98, $context, $this->getSourceContext());
        echo "

                        ";
        // line 100
        ob_start(function () { return ''; });
        echo __("End Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the end time for this event");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["toDt", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "endtime-control", "required"], 102, $context, $this->getSourceContext());
        echo "

                        ";
        // line 105
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.search")], 1 => ["name" => "data-search-is-layout-specific", "value" =>  -1], 2 => ["name" => "data-trans-layout", "value" => __("Layout")], 3 => ["name" => "data-trans-layout-help-text", "value" => __("Please select a Layout for this Event to show")], 4 => ["name" => "data-trans-campaign", "value" => __("Campaign")], 5 => ["name" => "data-trans-campaign-help-text", "value" => __("Please select a Campaign for this Event to show")]];
        // line 113
        echo "
                        ";
        // line 114
        ob_start(function () { return ''; });
        echo __("Layout");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a Layout for this Event to show");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["campaignId", "single", ($context["title"] ?? null), "", null, "id", "value", ($context["helpText"] ?? null), "layout-control", "", "", "", ($context["attributes"] ?? null)], 116, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row preview-button-container\">
                            <div class=\"offset-md-2 col-md-10\">
                                <a id=\"previewButton\" class=\"btn btn-success\" target=\"_blank\" data-url=\"";
        // line 120
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.preview", ["id" => ":id"]), "html", null, true);
        echo "\">";
        echo __("Preview");
        echo " <span class=\"fa fa-tablet\"></span></a>
                                <small class=\"form-text text-muted\">";
        // line 121
        echo __("Preview your selection in a new tab");
        echo "</small>
                            </div>
                        </div>

                        <div class=\"form-group row interrupt-control\" style=\"display: flex;\">
                            <label class=\"col-sm-2 control-label\" for=\"shareOfVoice\" accesskey=\"\">";
        // line 126
        echo __("Share of Voice");
        echo "</label>
                            <div class=\"col-sm-5\">
                                <input class=\"form-control\" name=\"shareOfVoice\" type=\"number\" id=\"shareOfVoice\" value=\"0\" min=\"0\" max=\"3600\" step=\"1\">
                                <small class=\"form-text text-muted\">";
        // line 129
        echo __("The amount of time this Layout should be shown, in seconds per hour.");
        echo "</small>
                            </div>

                            <div class=\"col-sm-5\">
                                <input class=\"form-control\" name=\"shareOfVoicePercentage\" type=\"number\" id=\"shareOfVoicePercentage\" value=\"\">
                                <small class=\"form-text text-muted\">";
        // line 134
        echo __("As a percentage");
        echo "</small>
                            </div>
                        </div>

                        ";
        // line 138
        ob_start(function () { return ''; });
        echo __("Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a command for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["commandId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["commandId" => "", "command" => ""]], ($context["commands"] ?? null)), "commandId", "command", ($context["helpText"] ?? null), "command-control"], 140, $context, $this->getSourceContext());
        echo "

                        ";
        // line 142
        ob_start(function () { return ''; });
        echo __("Display Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the order this event should appear in relation to others when there is more than one event scheduled");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["displayOrder", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "displayOrder-control"], 144, $context, $this->getSourceContext());
        echo "

                        ";
        // line 146
        ob_start(function () { return ''; });
        echo __("Priority");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Sets the event priority - events with the highest priority play in preference to lower priority events.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["isPriority", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "priority-control"], 148, $context, $this->getSourceContext());
        echo "

                        ";
        // line 150
        ob_start(function () { return ''; });
        echo __("Run at CMS Time?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("When selected, your event will run according to the timezone set on the CMS, otherwise the event will run at Display local time");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["syncTimezone", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 152, $context, $this->getSourceContext());
        echo "

                        ";
        // line 154
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "EVENT_SYNC", [], "any", false, false, false, 154), 1))) {
            // line 155
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Synchronise this event?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 156
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("When selected, all selected players will attempt to synchronise the output (Supported on Android player only)");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 157
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["syncEvent", ($context["title"] ?? null), 0, ($context["helpText"] ?? null), "sync-schedule-control"], 157, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 159
        echo "
                    </div>
                    
                    <div class=\"tab-pane\" id=\"repeats\">
                        ";
        // line 163
        ob_start(function () { return ''; });
        echo __("Repeats");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 164
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the type of Repeat required for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 165
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 166
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Per Minute");
        $context["minute"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 167
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Hourly");
        $context["hourly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 168
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Daily");
        $context["daily"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 169
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Weekly");
        $context["weekly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monthly");
        $context["monthly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yearly");
        $context["yearly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 172
        echo "                        ";
        $context["options"] = [0 => ["id" => "", "name" =>         // line 173
($context["noneOption"] ?? null)], 1 => ["id" => "Minute", "name" =>         // line 174
($context["minute"] ?? null)], 2 => ["id" => "Hour", "name" =>         // line 175
($context["hourly"] ?? null)], 3 => ["id" => "Day", "name" =>         // line 176
($context["daily"] ?? null)], 4 => ["id" => "Week", "name" =>         // line 177
($context["weekly"] ?? null)], 5 => ["id" => "Month", "name" =>         // line 178
($context["monthly"] ?? null)], 6 => ["id" => "Year", "name" =>         // line 179
($context["yearly"] ?? null)]];
        // line 181
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["recurrenceType", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "id", "name", ($context["helpText"] ?? null)], 181, $context, $this->getSourceContext());
        echo "

                        ";
        // line 183
        ob_start(function () { return ''; });
        echo __("Use the drop-down to select which days of the week this Event should be repeated.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 184
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monday");
        $context["monday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 185
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tuesday");
        $context["tuesday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 186
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Wednesday");
        $context["wednesday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 187
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Thursday");
        $context["thursday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 188
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Friday");
        $context["friday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 189
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Saturday");
        $context["saturday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 190
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Sunday");
        $context["sunday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 191
        echo "                        ";
        $context["options"] = [0 => ["id" => 1, "name" =>         // line 192
($context["monday"] ?? null)], 1 => ["id" => 2, "name" =>         // line 193
($context["tuesday"] ?? null)], 2 => ["id" => 3, "name" =>         // line 194
($context["wednesday"] ?? null)], 3 => ["id" => 4, "name" =>         // line 195
($context["thursday"] ?? null)], 4 => ["id" => 5, "name" =>         // line 196
($context["friday"] ?? null)], 5 => ["id" => 6, "name" =>         // line 197
($context["saturday"] ?? null)], 6 => ["id" => 7, "name" =>         // line 198
($context["sunday"] ?? null)]];
        // line 200
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["recurrenceRepeatsOn[]", "dropdownmulti", "", "", ($context["options"] ?? null), "id", "name", ($context["helpText"] ?? null), "repeat-weekly-control-group"], 200, $context, $this->getSourceContext());
        echo "

                        ";
        // line 202
        ob_start(function () { return ''; });
        echo __("Should this Event Repeat by Day of the month (eg. Monthly on Day 21) or by a Weekday in the month (eg. Monthly on the third Thursday).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 203
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-trans-day", "value" => __("on the [DAY] day")], 1 => ["name" => "data-trans-weekday", "value" => __("on the [POSITION] [WEEKDAY]")]];
        // line 207
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["recurrenceMonthlyRepeatsOn", "single", "", 0, [], "id", "name", ($context["helpText"] ?? null), "repeat-monthly-control-group", "", "", "", ($context["attributes"] ?? null)], 207, $context, $this->getSourceContext());
        echo "

                        ";
        // line 209
        ob_start(function () { return ''; });
        echo __("Every");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 210
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Include a number to determine the Repeat frequency required for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 211
        echo "                        <div class=\"form-group row repeat-control-group\">
                            <label class=\"col-sm-2 control-label\" for=\"recurrenceDetail\">";
        // line 212
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-10\">
                                <div class=\"input-group\">
                                    <input class=\"form-control\" name=\"recurrenceDetail\" type=\"number\" id=\"recurrenceDetail\" value=\"";
        // line 215
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "recurrenceDetail", [], "any", false, false, false, 215), "html", null, true);
        echo "\" />
                                    <div class=\"input-group-append\">
                                        <span class=\"input-group-text input-group-addon\"></span>
                                    </div>
                                </div>
                                <span class=\"form-text text-muted\">";
        // line 220
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                        </div>

                        ";
        // line 224
        ob_start(function () { return ''; });
        echo __("Until");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 225
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a date and time to end the Repeat for this Event. Leave empty to Repeat indefinitely.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 226
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["recurrenceRange", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "repeat-control-group", "", ""], 226, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"reminders\">
                        ";
        // line 230
        ob_start(function () { return ''; });
        echo __("Use the form fields below to create a set of reminders for this event. New fields can be added by clicking on the + icon at the end of the row. Use the tick box to receive a notification by email alternatively reminders will be shown in the message center.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 231
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 231, $context, $this->getSourceContext());
        echo "
                        <div id=\"reminderFields\" data-reminders=\"";
        // line 232
        echo twig_escape_filter($this->env, json_encode(($context["reminders"] ?? null)), "html", null, true);
        echo "\"></div>
                    </div>

                    <div class=\"tab-pane\" id=\"geoSchedule\">
                        ";
        // line 236
        ob_start(function () { return ''; });
        echo __("Geo Schedule?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 237
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this event be location aware? Enable this checkbox and select an area by drawing a polygon or rectangle layer on the map below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 238
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isGeoAware", ($context["title"] ?? null), 0, ($context["helpText"] ?? null), ""], 238, $context, $this->getSourceContext());
        echo "

                        <div id=\"geoScheduleMap\" style=\"height: 500px; width: 100%\" class=\"d-none\"></div>

                        ";
        // line 242
        echo twig_call_macro($macros["forms"], "macro_hidden", ["geoLocation", ""], 242, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "schedule-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  649 => 242,  641 => 238,  636 => 237,  632 => 236,  625 => 232,  620 => 231,  616 => 230,  608 => 226,  603 => 225,  599 => 224,  592 => 220,  584 => 215,  578 => 212,  575 => 211,  570 => 210,  566 => 209,  560 => 207,  557 => 203,  553 => 202,  547 => 200,  545 => 198,  544 => 197,  543 => 196,  542 => 195,  541 => 194,  540 => 193,  539 => 192,  537 => 191,  532 => 190,  527 => 189,  522 => 188,  517 => 187,  512 => 186,  507 => 185,  502 => 184,  498 => 183,  492 => 181,  490 => 179,  489 => 178,  488 => 177,  487 => 176,  486 => 175,  485 => 174,  484 => 173,  482 => 172,  477 => 171,  472 => 170,  467 => 169,  462 => 168,  457 => 167,  452 => 166,  447 => 165,  442 => 164,  438 => 163,  432 => 159,  426 => 157,  421 => 156,  416 => 155,  414 => 154,  408 => 152,  403 => 151,  399 => 150,  393 => 148,  388 => 147,  384 => 146,  378 => 144,  373 => 143,  369 => 142,  363 => 140,  358 => 139,  354 => 138,  347 => 134,  339 => 129,  333 => 126,  325 => 121,  319 => 120,  311 => 116,  306 => 115,  302 => 114,  299 => 113,  296 => 105,  290 => 102,  285 => 101,  281 => 100,  275 => 98,  270 => 97,  266 => 96,  259 => 92,  256 => 91,  246 => 89,  242 => 88,  237 => 87,  232 => 86,  228 => 85,  222 => 82,  219 => 81,  214 => 80,  210 => 79,  204 => 77,  201 => 72,  196 => 71,  192 => 70,  186 => 68,  184 => 66,  183 => 65,  182 => 64,  181 => 63,  180 => 62,  178 => 61,  173 => 60,  168 => 59,  163 => 58,  158 => 57,  153 => 56,  148 => 55,  144 => 54,  128 => 50,  123 => 49,  119 => 48,  114 => 46,  110 => 45,  106 => 44,  102 => 43,  97 => 40,  93 => 39,  87 => 36,  83 => 35,  79 => 34,  72 => 33,  68 => 32,  61 => 30,  56 => 27,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "schedule-form-add.twig", "/home/mgatv524/public_html/mctv/views/schedule-form-add.twig");
    }
}
