<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* common.twig */
class __TwigTemplate_157cf8cfa4fffa7c97d9c896fb30dbd9d97534e078d92198561e2a324e35e64e extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 5
        $this->displayBlock('javaScript', $context, $blocks);
    }

    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo " 
    <script type=\"text/javascript\">

        // COMMON VARIABLES
        var serverMode = \"";
        // line 9
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "SERVER_MODE", [], "any", false, false, false, 9), "html", null, true);
        echo "\";
        var playlistRegionColouring =  \"";
        // line 10
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "REGION_OPTIONS_COLOURING", [], "any", false, false, false, 10), "html", null, true);
        echo "\";
        var libraryUpload = ";
        // line 11
        echo json_encode(($context["libraryUpload"] ?? null));
        echo ";
        var librarySearchUrl = \"";
        // line 12
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search"), "html", null, true);
        echo "\";
        var libraryAddUrl = \"";
        // line 13
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.add"), "html", null, true);
        echo "\";
        var imageDownloadUrl = \"";
        // line 14
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.download", ["id" => ":id"]), "html", null, true);
        echo "?preview=1\";
        var uploadFormUpdateAllDefault = ";
        // line 15
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_UPDATEINALL_CHECKB", [], "any", false, false, false, 15), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ";
        var uploadFormDeleteOldDefault = ";
        // line 16
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_DELETEOLDVER_CHECKB", [], "any", false, false, false, 16), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ";
        var tooltipDelay = {'show': 250, 'hide': 0};
        var playlistEditorUrl = \"";
        // line 18
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playlist.timeline.form", ["id" => ":id"]), "html", null, true);
        echo "\";
        
        // Save navbar position
        var navbarPosition = 'vertical';
        ";
        // line 22
        $context["horizontalNav"] = (0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "getOptionValue", [0 => "navigationMenuPosition", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "NAVIGATION_MENU_POSITION", 1 => "vertical"], "method", false, false, false, 22)], "method", false, false, false, 22), "horizontal"));
        // line 23
        echo "        ";
        if (($context["horizontalNav"] ?? null)) {
            // line 24
            echo "            navbarPosition = 'horizontal';
        ";
        }
        // line 26
        echo "
        // MODULES LIST
        var modulesList = [];
        ";
        // line 29
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["modules"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["module"]) {
            // line 30
            echo "            modulesList.push(";
            echo json_encode(twig_get_attribute($this->env, $this->source, $context["module"], "getModule", [], "method", false, false, false, 30));
            echo ");
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['module'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 32
        echo "
        // USERS LIST
        var usersList = [];
        ";
        // line 35
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["users"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["user"]) {
            // line 36
            echo "            usersList.push(";
            echo json_encode($context["user"]);
            echo ");
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['user'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 38
        echo "
        // Structure with API URLs
        var urlsForApi = {
            layout: {
                designer: {
                    url: \"";
        // line 43
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.designer", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                get: {
                    url: \"";
        // line 47
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.search"), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                getForm: {
                    url: \"";
        // line 51
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.background.form", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                saveForm: {
                    url: \"";
        // line 55
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.edit.background", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                downloadBackground: {
                    url: \"";
        // line 59
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.download.background", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                preview: {
                    url: \"";
        // line 63
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.preview", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                checkout: {
                    url: \"";
        // line 67
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.checkout", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                publish: {
                    url: \"";
        // line 71
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.publish", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                discard: {
                    url: \"";
        // line 75
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.discard", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                unlock: {
                    url: \"";
        // line 79
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.lock.release", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                list: {
                    url: \"";
        // line 83
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.view"), "html", null, true);
        echo "\"
                },
                status: {
                    url: \"";
        // line 86
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.status", ["id" => ":id"]), "html", null, true);
        echo "\"
                },
                designer: {
                    url: \"";
        // line 89
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.designer", ["id" => ":id"]), "html", null, true);
        echo "\"
                },
                schedule: {
                    url: \"";
        // line 92
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("schedule.now.form", ["from" => "Layout", "id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                saveTemplate: {
                    url: \"";
        // line 96
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("template.from.layout.form", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                publishForm: {
                    url: \"";
        // line 100
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.publish.form", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                discardForm: {
                    url: \"";
        // line 104
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.discard.form", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                addActionForm: {
                    url: \"";
        // line 108
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("action.add.form", ["source" => "layout", "id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                addDrawer: {
                    url: \"";
        // line 112
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.add.drawer", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'POST'
                },
                saveDrawer: {
                    url: \"";
        // line 116
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.save.drawer", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                }
            },
            region: {
                transform: {
                    url: \"";
        // line 122
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.position.all", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT',
                    useMainObjectId: true
                },
                getForm: {
                    url: \"";
        // line 127
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.edit.form", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                saveForm: {
                    url: \"";
        // line 131
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.edit", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                create: {
                    url: \"";
        // line 135
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.add", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'POST',
                    useMainObjectId: true
                },
                delete: {
                    url: \"";
        // line 140
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.delete", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'DELETE'
                },
                preview: {
                    url: \"";
        // line 144
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.preview", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                getPermissions:  {
                    url: \"";
        // line 148
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.permissions.form", ["entity" => "Region", "id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                addActionForm: {
                    url: \"";
        // line 152
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("action.add.form", ["source" => "region", "id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                }
            },
            widget: {
                getForm: {
                    url: \"";
        // line 158
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit.form", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                saveForm: {
                    url: \"";
        // line 162
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                preview: {
                    url: \"";
        // line 166
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.preview", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                delete: {
                    url: \"";
        // line 170
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.delete", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'DELETE'
                },
                getAudio: {
                    url: \"";
        // line 174
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.audio.form", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                saveAudio:  {
                    url: \"";
        // line 178
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.audio", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                getExpiry: {
                    url: \"";
        // line 182
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.expiry.form", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                saveExpiry:  {
                    url: \"";
        // line 186
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.expiry", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                getTransition: {
                    url: \"";
        // line 190
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.transition.edit.form", ["id" => ":id", "type" => ":type"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                saveTransition:  {
                    url: \"";
        // line 194
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.transition.edit", ["id" => ":id", "type" => ":type"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                },
                getPermissions:  {
                    url: \"";
        // line 198
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.permissions.form", ["entity" => "Widget", "id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                addActionForm: {
                    url: \"";
        // line 202
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("action.add.form", ["source" => "widget", "id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                setRegion: {
                    url: \"";
        // line 206
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.set.region", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'PUT'
                }
            },
            library: {
                get: {
                    url: \"";
        // line 212
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search"), "html", null, true);
        echo "\",
                    type: 'GET'
                }
            },
            playlist: {
                get: {
                    url: \"";
        // line 218
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playlist.search"), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                getForm: {
                    url: \"";
        // line 222
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playlist.edit.form", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                addMedia: {
                    url: \"";
        // line 226
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playlist.library.assign", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'POST'
                },
                addWidget: {
                    url: \"";
        // line 230
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.add", ["type" => ":type", "id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'POST'
                },
                preview: {
                    url: \"";
        // line 234
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("region.preview", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                order: {
                    url: \"";
        // line 238
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playlist.order", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'POST'
                }
            },
            user: {
                getPref: {
                    url: \"";
        // line 244
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.pref"), "html", null, true);
        echo "\",
                    type: 'GET'
                },
                savePref: {
                    url: \"";
        // line 248
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.pref"), "html", null, true);
        echo "\",
                    type: 'POST'
                },
                permissions: {
                    url: \"";
        // line 252
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.permissions.form", ["entity" => ":entity", "id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                }
            },
            media: {
                isUsed: {
                    url: \"";
        // line 258
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.isused", ["id" => ":id"]), "html", null, true);
        echo "\",
                    type: 'GET'
                }
            }
        };

        ";
        // line 265
        echo "            // TRANSLATIONS
            var editorsTrans = {
                deleteTitle: \"";
        // line 267
        echo twig_escape_filter($this->env, __("Delete %obj%"), "js", null, true);
        echo "\",
                deleteMultipleTitle: \"";
        // line 268
        echo twig_escape_filter($this->env, __("Delete selected elements"), "js", null, true);
        echo "\",
                deleteConfirm: \"";
        // line 269
        echo twig_escape_filter($this->env, __("Are you sure? All changes related to this object will be erased"), "js", null, true);
        echo "\",
                yes: \"";
        // line 270
        echo twig_escape_filter($this->env, __("Yes"), "js", null, true);
        echo "\",
                no: \"";
        // line 271
        echo twig_escape_filter($this->env, __("No"), "js", null, true);
        echo "\",
                selectAll: \"";
        // line 272
        echo twig_escape_filter($this->env, __("Select All"), "js", null, true);
        echo "\",
                allChangesSaved: \"";
        // line 273
        echo twig_escape_filter($this->env, __("All changes saved!"), "js", null, true);
        echo "\",
                back: \"";
        // line 274
        echo twig_escape_filter($this->env, __("Back"), "js", null, true);
        echo "\",
                loadPropertyForObject: \"";
        // line 275
        echo twig_escape_filter($this->env, __("Load %prop% for %obj%"), "js", null, true);
        echo "\",
                loading: \"";
        // line 276
        echo twig_escape_filter($this->env, __("Loading"), "js", null, true);
        echo "\",
                resetTourNotification: \"";
        // line 277
        echo twig_escape_filter($this->env, __("Layout Designer Tour enabled!"), "js", null, true);
        echo "\",
                tooltipsDisabled: \"";
        // line 278
        echo twig_escape_filter($this->env, __("Tooltips disabled!"), "js", null, true);
        echo "\",
                tooltipsEnabled: \"";
        // line 279
        echo twig_escape_filter($this->env, __("Tooltips enabled!"), "js", null, true);
        echo "\",
                publish: \"";
        // line 280
        echo twig_escape_filter($this->env, __("Publish"), "js", null, true);
        echo "\",
                discard: \"";
        // line 281
        echo twig_escape_filter($this->env, __("Discard"), "js", null, true);
        echo "\",
                copyToClipboard: \"";
        // line 282
        echo twig_escape_filter($this->env, __("Copy to Clipboard"), "js", null, true);
        echo "\",
                couldNotCopy: \"";
        // line 283
        echo twig_escape_filter($this->env, __("Could not copy"), "js", null, true);
        echo "\",
                copied: \"";
        // line 284
        echo twig_escape_filter($this->env, __("Copied!"), "js", null, true);
        echo "\"
            };

            var uploadTrans = {
                uploadMessage: \"";
        // line 288
        echo twig_escape_filter($this->env, __("Upload media"), "js", null, true);
        echo "\",
                addFiles: \"";
        // line 289
        echo twig_escape_filter($this->env, __("Add files"), "js", null, true);
        echo "\",
                startUpload: \"";
        // line 290
        echo twig_escape_filter($this->env, __("Start upload"), "js", null, true);
        echo "\",
                cancelUpload: \"";
        // line 291
        echo twig_escape_filter($this->env, __("Cancel upload"), "js", null, true);
        echo "\",
                processing: \"";
        // line 292
        echo twig_escape_filter($this->env, __("Processing..."), "js", null, true);
        echo "\",
                viewLibrary: \"";
        // line 293
        echo twig_escape_filter($this->env, __("View Library"), "js", null, true);
        echo "\",
                widgetFromDt: \"";
        // line 294
        echo twig_escape_filter($this->env, __("Start time"), "js", null, true);
        echo "\",
                widgetToDt: \"";
        // line 295
        echo twig_escape_filter($this->env, __("End time"), "js", null, true);
        echo "\",
                widgetExpiryDates: \"";
        // line 296
        echo twig_escape_filter($this->env, __("Set Expiry Dates"), "js", null, true);
        echo "\",
                widgetExpiryDatesMessage: \"";
        // line 297
        echo twig_escape_filter($this->env, __("Use the check box to set Start and End dates and times for Widgets"), "js", null, true);
        echo "\",
                widgetFromDtMessage: \"";
        // line 298
        echo twig_escape_filter($this->env, __("Select the start time for this widget"), "js", null, true);
        echo "\",
                widgetToDtMessage: \"";
        // line 299
        echo twig_escape_filter($this->env, __("Select the end time for this widget"), "js", null, true);
        echo "\",
                deleteOnExpiry: \"";
        // line 300
        echo twig_escape_filter($this->env, __("Delete on Expiry"), "js", null, true);
        echo "\",
                deleteOnExpiryMessage: \"";
        // line 301
        echo twig_escape_filter($this->env, __("When the End Time for this Widget passes should the Widget be removed from the Playlist?"), "js", null, true);
        echo "\",
                applyToMedia: \"";
        // line 302
        echo twig_escape_filter($this->env, __("Delete from Library"), "js", null, true);
        echo "\",
                applyToMediaMessage: \"";
        // line 303
        echo twig_escape_filter($this->env, __("Remove file from the Media Library"), "js", null, true);
        echo "\",

                selectFolder: \"";
        // line 305
        echo twig_escape_filter($this->env, __("Select Folder"), "js", null, true);
        echo "\",
                selectFolderTitle: \"";
        // line 306
        echo twig_escape_filter($this->env, __("Change Current Folder location"), "js", null, true);
        echo "\",
                selectedFolder: \"";
        // line 307
        echo twig_escape_filter($this->env, __("Current Folder"), "js", null, true);
        echo ":\",
                selectedFolderTitle: \"";
        // line 308
        echo twig_escape_filter($this->env, __("Upload files to this Folder"), "js", null, true);
        echo ":\"
            };

            var deleteMenuTrans = {
                mainMessage: \"";
        // line 312
        echo twig_escape_filter($this->env, __("Are you sure you want to remove this %obj%? This action cannot be undone."), "js", null, true);
        echo "\",
                infoDeleteMessage: \"";
        // line 313
        echo twig_escape_filter($this->env, __("This widget is linked to Media in the Library which is also in use elsewhere. If this should be deleted then please do so from the Library page."), "js", null, true);
        echo "\",
                deleteMediaFromLibraryTitle: \"";
        // line 314
        echo twig_escape_filter($this->env, __("Also delete from the Library?"), "js", null, true);
        echo "\",
                deleteMediaFromLibraryMessage: \"";
        // line 315
        echo twig_escape_filter($this->env, __("This widget is linked to Media in the Library. Check this option to also delete that Media."), "js", null, true);
        echo "\",
                deleteMultipleObjects: \"";
        // line 316
        echo twig_escape_filter($this->env, __("Are you sure you want to remove these elements? This action cannot be undone."), "js", null, true);
        echo "\"
            };

            var contextMenuTrans = {
                editAudio: \"";
        // line 320
        echo twig_escape_filter($this->env, __("Edit Attached Audio"), "js", null, true);
        echo "\",
                editExpiry: \"";
        // line 321
        echo twig_escape_filter($this->env, __("Edit Expiry Dates"), "js", null, true);
        echo "\",
                editTransIn: \"";
        // line 322
        echo twig_escape_filter($this->env, __("Edit Transition In"), "js", null, true);
        echo "\",
                editTransOut: \"";
        // line 323
        echo twig_escape_filter($this->env, __("Edit Transition Out"), "js", null, true);
        echo "\",
                editPermissions: \"";
        // line 324
        echo twig_escape_filter($this->env, __("Edit Sharing"), "js", null, true);
        echo "\",
                moveLeft: \"";
        // line 325
        echo twig_escape_filter($this->env, __("Move one step left"), "js", null, true);
        echo "\",
                moveRight: \"";
        // line 326
        echo twig_escape_filter($this->env, __("Move one step right"), "js", null, true);
        echo "\",
                moveTopLeft: \"";
        // line 327
        echo twig_escape_filter($this->env, __("Move to the top left"), "js", null, true);
        echo "\",
                moveTopRight: \"";
        // line 328
        echo twig_escape_filter($this->env, __("Move to the top right"), "js", null, true);
        echo "\",
                delete: \"";
        // line 329
        echo twig_escape_filter($this->env, __("Delete"), "js", null, true);
        echo "\"
            };

            var propertiesPanelTrans = {
                width: \"";
        // line 333
        echo twig_escape_filter($this->env, __("Width"), "js", null, true);
        echo "\",
                height: \"";
        // line 334
        echo twig_escape_filter($this->env, __("Height"), "js", null, true);
        echo "\",
                scale: \"";
        // line 335
        echo twig_escape_filter($this->env, __("Scale"), "js", null, true);
        echo "\",
                targetDrawer: \"";
        // line 336
        echo twig_escape_filter($this->env, __("Target"), "js", null, true);
        echo "\",
                selectATarget: \"";
        // line 337
        echo twig_escape_filter($this->env, __("Select a target region!"), "js", null, true);
        echo "\"
            };

            var toolbarTrans = {
                toolbarTagsMessage: \"";
        // line 341
        echo twig_escape_filter($this->env, __("%tagCount% tags"), "js", null, true);
        echo "\",
                deleteObject: \"";
        // line 342
        echo twig_escape_filter($this->env, __("Delete selected %object%"), "js", null, true);
        echo "\",
                selectMultipleWidgets: \"";
        // line 343
        echo twig_escape_filter($this->env, __("Select multiple widgets"), "js", null, true);
        echo "\",
                changeLayout: \"";
        // line 344
        echo twig_escape_filter($this->env, __("Change Layout"), "js", null, true);
        echo "\",
                options: \"";
        // line 345
        echo twig_escape_filter($this->env, __("Options"), "js", null, true);
        echo "\",
                displayTooltipsName: \"";
        // line 346
        echo twig_escape_filter($this->env, __("Tooltips?"), "js", null, true);
        echo "\",
                displayTooltipsTitle: \"";
        // line 347
        echo twig_escape_filter($this->env, __("Show/Hide Tooltips"), "js", null, true);
        echo "\",
                resetTour: \"";
        // line 348
        echo twig_escape_filter($this->env, __("Show tour!"), "js", null, true);
        echo "\",
                resetTourTitle: \"";
        // line 349
        echo twig_escape_filter($this->env, __("Show Layout Designer tour"), "js", null, true);
        echo "\",
                createNewTab: \"";
        // line 350
        echo twig_escape_filter($this->env, __("Library Media Search"), "js", null, true);
        echo "\",
                closeAllTabs: \"";
        // line 351
        echo twig_escape_filter($this->env, __("Close all tabs"), "js", null, true);
        echo "\",
                actions: \"";
        // line 352
        echo twig_escape_filter($this->env, __("Actions"), "js", null, true);
        echo "\",
                search: \"";
        // line 353
        echo twig_escape_filter($this->env, __("Search"), "js", null, true);
        echo "\",
                add: \"";
        // line 354
        echo twig_escape_filter($this->env, __("Add"), "js", null, true);
        echo "\",
                grab: \"";
        // line 355
        echo twig_escape_filter($this->env, __("Grab"), "js", null, true);
        echo "\",
                addAsFavourite: \"";
        // line 356
        echo twig_escape_filter($this->env, __("Mark as favourite"), "js", null, true);
        echo "\",
                addedToFavourites: \"";
        // line 357
        echo twig_escape_filter($this->env, __("Module added to favourites!"), "js", null, true);
        echo "\",
                moduleNavStart: \"";
        // line 358
        echo twig_escape_filter($this->env, __("Scroll to the start!"), "js", null, true);
        echo "\",
                moduleNavEnd: \"";
        // line 359
        echo twig_escape_filter($this->env, __("Scroll to the end!"), "js", null, true);
        echo "\",
                moduleNavLeft: \"";
        // line 360
        echo twig_escape_filter($this->env, __("Scroll left!"), "js", null, true);
        echo "\",
                moduleNavRight: \"";
        // line 361
        echo twig_escape_filter($this->env, __("Scroll right!"), "js", null, true);
        echo "\",
                removedFromFavourites: \"";
        // line 362
        echo twig_escape_filter($this->env, __("Module removed from favourites!"), "js", null, true);
        echo "\",
                noResults: \"";
        // line 363
        echo twig_escape_filter($this->env, __("No results for the filter!"), "js", null, true);
        echo "\",
                searchFilters: {
                    mediaId: \"";
        // line 365
        echo twig_escape_filter($this->env, __("ID"), "js", null, true);
        echo "\",
                    name: \"";
        // line 366
        echo twig_escape_filter($this->env, __("Name"), "js", null, true);
        echo "\",
                    tag: \"";
        // line 367
        echo twig_escape_filter($this->env, __("Tag"), "js", null, true);
        echo "\",
                    type: \"";
        // line 368
        echo twig_escape_filter($this->env, __("Type"), "js", null, true);
        echo "\",
                    owner: \"";
        // line 369
        echo twig_escape_filter($this->env, __("Owner"), "js", null, true);
        echo "\"
                },
                tabName: \"";
        // line 371
        echo twig_escape_filter($this->env, __("Library Search %tagId%"), "js", null, true);
        echo "\",
                tableHeader: {
                    toolsName: \"";
        // line 373
        echo twig_escape_filter($this->env, __("Tools"), "js", null, true);
        echo "\",
                    id: \"";
        // line 374
        echo twig_escape_filter($this->env, __("Id"), "js", null, true);
        echo "\",
                    name: \"";
        // line 375
        echo twig_escape_filter($this->env, __("Name"), "js", null, true);
        echo "\",
                    type: \"";
        // line 376
        echo twig_escape_filter($this->env, __("Type"), "js", null, true);
        echo "\",
                    tags: \"";
        // line 377
        echo twig_escape_filter($this->env, __("Tags"), "js", null, true);
        echo "\",
                    thumbnail: \"";
        // line 378
        echo twig_escape_filter($this->env, __("Thumbnail"), "js", null, true);
        echo "\"
                },
                queue: {
                    title: \"";
        // line 381
        echo twig_escape_filter($this->env, __("Media Add Queue"), "js", null, true);
        echo "\",
                    clear: \"";
        // line 382
        echo twig_escape_filter($this->env, __("Clear Queue"), "js", null, true);
        echo "\",
                    addToRegion: \"";
        // line 383
        echo twig_escape_filter($this->env, __("Add to Selected Region"), "js", null, true);
        echo "\",
                    addToPlaylist: \"";
        // line 384
        echo twig_escape_filter($this->env, __("Add to Playlist"), "js", null, true);
        echo "\",
                    selectRegion: \"";
        // line 385
        echo twig_escape_filter($this->env, __("Click in Region to Add"), "js", null, true);
        echo "\",
                    cancel: \"";
        // line 386
        echo twig_escape_filter($this->env, __("Cancel"), "js", null, true);
        echo "\"
                },
                menuItems: {
                    toolsName: \"";
        // line 389
        echo twig_escape_filter($this->env, __("Tools"), "js", null, true);
        echo "\",
                    toolsTitle: \"";
        // line 390
        echo twig_escape_filter($this->env, __("Layout Designer tools"), "js", null, true);
        echo "\",
                    widgetsName: \"";
        // line 391
        echo twig_escape_filter($this->env, __("Widgets"), "js", null, true);
        echo "\",
                    widgetsTitle: \"";
        // line 392
        echo twig_escape_filter($this->env, __("Layout Designer widgets"), "js", null, true);
        echo "\",
                    libraryName: \"";
        // line 393
        echo twig_escape_filter($this->env, __("Library"), "js", null, true);
        echo "\",
                    libraryTitle: \"";
        // line 394
        echo twig_escape_filter($this->env, __("Library search"), "js", null, true);
        echo "\"
                },
                tools: {
                    region: {
                        name: \"";
        // line 398
        echo twig_escape_filter($this->env, __("Region"), "js", null, true);
        echo "\",
                        description: \"";
        // line 399
        echo twig_escape_filter($this->env, __("Add a Region"), "js", null, true);
        echo "\"
                    },
                    audio: {
                        name: \"";
        // line 402
        echo twig_escape_filter($this->env, __("Audio"), "js", null, true);
        echo "\",
                        description: \"";
        // line 403
        echo twig_escape_filter($this->env, __("Upload Audio files to assign to Widgets"), "js", null, true);
        echo "\"
                    },
                    expiry: {
                        name: \"";
        // line 406
        echo twig_escape_filter($this->env, __("Expiry Dates"), "js", null, true);
        echo "\",
                        description: \"";
        // line 407
        echo twig_escape_filter($this->env, __("Enter start and end times for Widgets"), "js", null, true);
        echo "\"
                    },
                    transitionIn: {
                        name: \"";
        // line 410
        echo twig_escape_filter($this->env, __("Transition In"), "js", null, true);
        echo "\",
                        description: \"";
        // line 411
        echo twig_escape_filter($this->env, __("Apply a Transition type for the start of a media item"), "js", null, true);
        echo "\"
                    },
                    transitionOut: {
                        name: \"";
        // line 414
        echo twig_escape_filter($this->env, __("Transition Out"), "js", null, true);
        echo "\",
                        description: \"";
        // line 415
        echo twig_escape_filter($this->env, __("Apply a Transition type for the end of a media item"), "js", null, true);
        echo "\"
                    },
                    permissions: {
                        name: \"";
        // line 418
        echo twig_escape_filter($this->env, __("Sharing"), "js", null, true);
        echo "\",
                        description: \"";
        // line 419
        echo twig_escape_filter($this->env, __("Set View, Edit and Delete Sharing for Widgets and Regions"), "js", null, true);
        echo "\"
                    }
                },
                window: {
                    drag: \"";
        // line 423
        echo twig_escape_filter($this->env, __("Move Window"), "js", null, true);
        echo "\",
                    close: \"";
        // line 424
        echo twig_escape_filter($this->env, __("Close Window"), "js", null, true);
        echo "\",
                    minimise: \"";
        // line 425
        echo twig_escape_filter($this->env, __("Minimise Window"), "js", null, true);
        echo "\",
                    newTab: \"";
        // line 426
        echo twig_escape_filter($this->env, __("New Tab"), "js", null, true);
        echo "\"
                }
            };

            var topbarTrans = {
                name: \"";
        // line 431
        echo twig_escape_filter($this->env, __("Name"), "js", null, true);
        echo "\",
                nameDetail: \"";
        // line 432
        echo twig_escape_filter($this->env, __("Layout name"), "js", null, true);
        echo "\",
                duration: \"";
        // line 433
        echo twig_escape_filter($this->env, __("Duration"), "js", null, true);
        echo "\",
                durationDetail: \"";
        // line 434
        echo twig_escape_filter($this->env, __("Layout duration"), "js", null, true);
        echo "\",
                dimensions: \"";
        // line 435
        echo twig_escape_filter($this->env, __("Dimensions"), "js", null, true);
        echo "\",
                dimensionsDetail: \"";
        // line 436
        echo twig_escape_filter($this->env, __("Layout dimensions"), "js", null, true);
        echo "\",
                onlyMyLayouts: \"";
        // line 437
        echo twig_escape_filter($this->env, __("My Layouts?"), "js", null, true);
        echo "\"
            };

            var historyManagerTrans = {
                revert: {
                    saveForm: \"";
        // line 442
        echo twig_escape_filter($this->env, __("Revert %target% form save"), "js", null, true);
        echo "\",
                    order: \"";
        // line 443
        echo twig_escape_filter($this->env, __("Revert %target% order"), "js", null, true);
        echo "\",
                    transform: \"";
        // line 444
        echo twig_escape_filter($this->env, __("Revert %target% transformation"), "js", null, true);
        echo "\",
                    addWidget: \"";
        // line 445
        echo twig_escape_filter($this->env, __("Revert %target% creation"), "js", null, true);
        echo "\",
                    addMedia: \"";
        // line 446
        echo twig_escape_filter($this->env, __("Revert %target% assignment"), "js", null, true);
        echo "\",
                    create: \"";
        // line 447
        echo twig_escape_filter($this->env, __("Revert %target% creation"), "js", null, true);
        echo "\"
                }
            };

            var playlistAddFilesTrans = {
                uploadMessage: \"";
        // line 452
        echo twig_escape_filter($this->env, __("Replace"), "js", null, true);
        echo "\",
                addFiles: \"";
        // line 453
        echo twig_escape_filter($this->env, __("Add Replacement"), "js", null, true);
        echo "\",
                startUpload: \"";
        // line 454
        echo twig_escape_filter($this->env, __("Start Replace"), "js", null, true);
        echo "\",
                cancelUpload: \"";
        // line 455
        echo twig_escape_filter($this->env, __("Cancel Replace"), "js", null, true);
        echo "\",
                processing: \"";
        // line 456
        echo twig_escape_filter($this->env, __("Processing..."), "js", null, true);
        echo "\",
                updateInLayouts: {
                    title: \"";
        // line 458
        echo twig_escape_filter($this->env, __("Update this media in all layouts it is assigned to?"), "js", null, true);
        echo "\",
                    helpText: \"";
        // line 459
        echo twig_escape_filter($this->env, __("Note: It will only be updated in layouts you have permission to edit."), "js", null, true);
        echo "\"
                },
                deleteOldRevisions: {
                    title: \"";
        // line 462
        echo twig_escape_filter($this->env, __("Delete the old version?"), "js", null, true);
        echo "\",
                    helpText: \"";
        // line 463
        echo twig_escape_filter($this->env, __("Completely remove the old version of this media item if a new file is being uploaded."), "js", null, true);
        echo "\"
                },
                widgetExpiryDates: \"";
        // line 465
        echo twig_escape_filter($this->env, __("Set Expiry Dates"), "js", null, true);
        echo "\",
                widgetExpiryDatesMessage: \"";
        // line 466
        echo twig_escape_filter($this->env, __("Use the check box to set Start and End dates and times for Widgets"), "js", null, true);
        echo "\",
                widgetFromDtMessage: \"";
        // line 467
        echo twig_escape_filter($this->env, __("Select the start time for this widget"), "js", null, true);
        echo "\",
                widgetToDtMessage: \"";
        // line 468
        echo twig_escape_filter($this->env, __("Select the end time for this widget"), "js", null, true);
        echo "\",
                deleteOnExpiry: \"";
        // line 469
        echo twig_escape_filter($this->env, __("Delete on Expiry"), "js", null, true);
        echo "\",
                deleteOnExpiryMessage: \"";
        // line 470
        echo twig_escape_filter($this->env, __("When the End Time for this Widget passes should the Widget be removed from the Playlist?"), "js", null, true);
        echo "\",
                
            };

            var errorMessagesTrans = {
                error: \"";
        // line 475
        echo twig_escape_filter($this->env, __("ERROR"), "js", null, true);
        echo "\",
                loadingLayout: \"";
        // line 476
        echo twig_escape_filter($this->env, __("There was a problem loading the Layout!"), "js", null, true);
        echo "\",
                loadingPlaylist: \"";
        // line 477
        echo twig_escape_filter($this->env, __("There was a problem loading the Playlist!"), "js", null, true);
        echo "\",
                userSavePreferencesFailed: \"";
        // line 478
        echo twig_escape_filter($this->env, __("User save preferences failed!"), "js", null, true);
        echo "\",
                userLoadPreferencesFailed: \"";
        // line 479
        echo twig_escape_filter($this->env, __("User load preferences failed!"), "js", null, true);
        echo "\",
                libraryLoadFailed: \"";
        // line 480
        echo twig_escape_filter($this->env, __("Library load failed!"), "js", null, true);
        echo "\",
                formLoadFailed: \"";
        // line 481
        echo twig_escape_filter($this->env, __("Form load failed!"), "js", null, true);
        echo "\",
                revertFailed: \"";
        // line 482
        echo twig_escape_filter($this->env, __("Revert failed: %error%"), "js", null, true);
        echo "\",
                saveOrderFailed: \"";
        // line 483
        echo twig_escape_filter($this->env, __("Save order failed: %error%"), "js", null, true);
        echo "\",
                deleteFailed: \"";
        // line 484
        echo twig_escape_filter($this->env, __("Object delete failed: %error%"), "js", null, true);
        echo "\",
                saveAllChangesFailed: \"";
        // line 485
        echo twig_escape_filter($this->env, __("Save all changes failed!"), "js", null, true);
        echo "\",
                removeAllChangesFailed: \"";
        // line 486
        echo twig_escape_filter($this->env, __("Remove all changes failed!!"), "js", null, true);
        echo "\",
                addMediaFailed: \"";
        // line 487
        echo twig_escape_filter($this->env, __("Add media failed: %error%"), "js", null, true);
        echo "\",
                addModuleFailed: \"";
        // line 488
        echo twig_escape_filter($this->env, __("Add module failed: %error%"), "js", null, true);
        echo "\",
                createRegionFailed: \"";
        // line 489
        echo twig_escape_filter($this->env, __("Create region failed: %error%"), "js", null, true);
        echo "\",
                listOrderNotChanged: \"";
        // line 490
        echo twig_escape_filter($this->env, __("List order not Changed!"), "js", null, true);
        echo "\",
                playlistOrderSave: \"";
        // line 491
        echo twig_escape_filter($this->env, __("Playlist save order failed!"), "js", null, true);
        echo "\",
                getFormFailed: \"";
        // line 492
        echo twig_escape_filter($this->env, __("Get form failed!"), "js", null, true);
        echo "\",
                transformRegionFailed: \"";
        // line 493
        echo twig_escape_filter($this->env, __("Transform region failed!"), "js", null, true);
        echo "\",
                previewFailed: \"";
        // line 494
        echo twig_escape_filter($this->env, __("Preview failed!"), "js", null, true);
        echo "\",
                noWidgetsNeedSaving: \"";
        // line 495
        echo twig_escape_filter($this->env, __("No widgets need saving!"), "js", null, true);
        echo "\"
            };

            var widgetStatusTrans = {
                setToStart: \"";
        // line 499
        echo twig_escape_filter($this->env, __("Set to start"), "js", null, true);
        echo "\",
                setToExpire: \"";
        // line 500
        echo twig_escape_filter($this->env, __("Set to expire"), "js", null, true);
        echo "\",
                expired: \"";
        // line 501
        echo twig_escape_filter($this->env, __("Expired"), "js", null, true);
        echo "\",
                startTime: \"";
        // line 502
        echo twig_escape_filter($this->env, __("Start Time"), "js", null, true);
        echo "\",
                endTime: \"";
        // line 503
        echo twig_escape_filter($this->env, __("End Time"), "js", null, true);
        echo "\"
            };

            var datasetQueryBuilderTranslations = {
                ascTitle: \"";
        // line 507
        echo twig_escape_filter($this->env, __("Ascending"), "js", null, true);
        echo "\",
                descTitle: \"";
        // line 508
        echo twig_escape_filter($this->env, __("Descending"), "js", null, true);
        echo "\",
                filterOptions: [
                    {
                        id: \"starts-with\",
                        value: \"";
        // line 512
        echo twig_escape_filter($this->env, __("starts with"), "js", null, true);
        echo "\"
                    }, {
                        id: \"ends-with\",
                        value: \"";
        // line 515
        echo twig_escape_filter($this->env, __("ends with"), "js", null, true);
        echo "\"
                    }, {
                        id: \"contains\",
                        value: \"";
        // line 518
        echo twig_escape_filter($this->env, __("contains"), "js", null, true);
        echo "\"
                    }, {
                        id: \"equals\",
                        value: \"";
        // line 521
        echo twig_escape_filter($this->env, __("equals"), "js", null, true);
        echo "\"
                    }, {
                        id: \"not-starts-with\",
                        value: \"";
        // line 524
        echo twig_escape_filter($this->env, __("does not start with"), "js", null, true);
        echo "\"
                    }, {
                        id: \"not-ends-with\",
                        value: \"";
        // line 527
        echo twig_escape_filter($this->env, __("does not end with"), "js", null, true);
        echo "\"
                    }, {
                        id: \"not-contains\",
                        value: \"";
        // line 530
        echo twig_escape_filter($this->env, __("does not contain"), "js", null, true);
        echo "\"
                    }, {
                        id: \"not-equals\",
                        value: \"";
        // line 533
        echo twig_escape_filter($this->env, __("does not equal"), "js", null, true);
        echo "\"
                    }, {
                        id: \"greater-than\",
                        value: \"";
        // line 536
        echo twig_escape_filter($this->env, __("greater than"), "js", null, true);
        echo "\"
                    }, {
                        id: \"less-than\",
                        value: \"";
        // line 539
        echo twig_escape_filter($this->env, __("less than"), "js", null, true);
        echo "\"
                    }
                ],
                filterOperatorOptions: [
                    {
                        id: \"OR\",
                        value: \"";
        // line 545
        echo twig_escape_filter($this->env, __("Or"), "js", null, true);
        echo "\"
                    }, {
                        id: \"AND\",
                        value: \"";
        // line 548
        echo twig_escape_filter($this->env, __("And"), "js", null, true);
        echo "\"
                    }
                ]
            };

            var actionsTranslations = {
                tableHeaders: {
                    name: \"";
        // line 555
        echo twig_escape_filter($this->env, __("Actions"), "js", null, true);
        echo "\",
                    id: \"";
        // line 556
        echo twig_escape_filter($this->env, __("Id"), "js", null, true);
        echo "\",
                    ownerId: \"";
        // line 557
        echo twig_escape_filter($this->env, __("Owner Id"), "js", null, true);
        echo "\",
                    triggerType: \"";
        // line 558
        echo twig_escape_filter($this->env, __("Trigger Type"), "js", null, true);
        echo "\",
                    triggerCode: \"";
        // line 559
        echo twig_escape_filter($this->env, __("Trigger Code"), "js", null, true);
        echo "\",
                    actionType: \"";
        // line 560
        echo twig_escape_filter($this->env, __("Action Type"), "js", null, true);
        echo "\",
                    target: \"";
        // line 561
        echo twig_escape_filter($this->env, __("Target Type"), "js", null, true);
        echo "\",
                    targetId: \"";
        // line 562
        echo twig_escape_filter($this->env, __("Target"), "js", null, true);
        echo "\",
                    widgetId: \"";
        // line 563
        echo twig_escape_filter($this->env, __("Widget"), "js", null, true);
        echo "\",
                    layoutCode: \"";
        // line 564
        echo twig_escape_filter($this->env, __("Layout Code"), "js", null, true);
        echo "\",
                },
                button: {
                    name: \"";
        // line 567
        echo twig_escape_filter($this->env, __("Add Action"), "js", null, true);
        echo "\",
                    description: \"";
        // line 568
        echo twig_escape_filter($this->env, __("Click to Add a new Action"), "js", null, true);
        echo "\"
                }
            };
        ";
        // line 572
        echo "    </script>
";
    }

    public function getTemplateName()
    {
        return "common.twig";
    }

    public function getDebugInfo()
    {
        return array (  1438 => 572,  1432 => 568,  1428 => 567,  1422 => 564,  1418 => 563,  1414 => 562,  1410 => 561,  1406 => 560,  1402 => 559,  1398 => 558,  1394 => 557,  1390 => 556,  1386 => 555,  1376 => 548,  1370 => 545,  1361 => 539,  1355 => 536,  1349 => 533,  1343 => 530,  1337 => 527,  1331 => 524,  1325 => 521,  1319 => 518,  1313 => 515,  1307 => 512,  1300 => 508,  1296 => 507,  1289 => 503,  1285 => 502,  1281 => 501,  1277 => 500,  1273 => 499,  1266 => 495,  1262 => 494,  1258 => 493,  1254 => 492,  1250 => 491,  1246 => 490,  1242 => 489,  1238 => 488,  1234 => 487,  1230 => 486,  1226 => 485,  1222 => 484,  1218 => 483,  1214 => 482,  1210 => 481,  1206 => 480,  1202 => 479,  1198 => 478,  1194 => 477,  1190 => 476,  1186 => 475,  1178 => 470,  1174 => 469,  1170 => 468,  1166 => 467,  1162 => 466,  1158 => 465,  1153 => 463,  1149 => 462,  1143 => 459,  1139 => 458,  1134 => 456,  1130 => 455,  1126 => 454,  1122 => 453,  1118 => 452,  1110 => 447,  1106 => 446,  1102 => 445,  1098 => 444,  1094 => 443,  1090 => 442,  1082 => 437,  1078 => 436,  1074 => 435,  1070 => 434,  1066 => 433,  1062 => 432,  1058 => 431,  1050 => 426,  1046 => 425,  1042 => 424,  1038 => 423,  1031 => 419,  1027 => 418,  1021 => 415,  1017 => 414,  1011 => 411,  1007 => 410,  1001 => 407,  997 => 406,  991 => 403,  987 => 402,  981 => 399,  977 => 398,  970 => 394,  966 => 393,  962 => 392,  958 => 391,  954 => 390,  950 => 389,  944 => 386,  940 => 385,  936 => 384,  932 => 383,  928 => 382,  924 => 381,  918 => 378,  914 => 377,  910 => 376,  906 => 375,  902 => 374,  898 => 373,  893 => 371,  888 => 369,  884 => 368,  880 => 367,  876 => 366,  872 => 365,  867 => 363,  863 => 362,  859 => 361,  855 => 360,  851 => 359,  847 => 358,  843 => 357,  839 => 356,  835 => 355,  831 => 354,  827 => 353,  823 => 352,  819 => 351,  815 => 350,  811 => 349,  807 => 348,  803 => 347,  799 => 346,  795 => 345,  791 => 344,  787 => 343,  783 => 342,  779 => 341,  772 => 337,  768 => 336,  764 => 335,  760 => 334,  756 => 333,  749 => 329,  745 => 328,  741 => 327,  737 => 326,  733 => 325,  729 => 324,  725 => 323,  721 => 322,  717 => 321,  713 => 320,  706 => 316,  702 => 315,  698 => 314,  694 => 313,  690 => 312,  683 => 308,  679 => 307,  675 => 306,  671 => 305,  666 => 303,  662 => 302,  658 => 301,  654 => 300,  650 => 299,  646 => 298,  642 => 297,  638 => 296,  634 => 295,  630 => 294,  626 => 293,  622 => 292,  618 => 291,  614 => 290,  610 => 289,  606 => 288,  599 => 284,  595 => 283,  591 => 282,  587 => 281,  583 => 280,  579 => 279,  575 => 278,  571 => 277,  567 => 276,  563 => 275,  559 => 274,  555 => 273,  551 => 272,  547 => 271,  543 => 270,  539 => 269,  535 => 268,  531 => 267,  527 => 265,  518 => 258,  509 => 252,  502 => 248,  495 => 244,  486 => 238,  479 => 234,  472 => 230,  465 => 226,  458 => 222,  451 => 218,  442 => 212,  433 => 206,  426 => 202,  419 => 198,  412 => 194,  405 => 190,  398 => 186,  391 => 182,  384 => 178,  377 => 174,  370 => 170,  363 => 166,  356 => 162,  349 => 158,  340 => 152,  333 => 148,  326 => 144,  319 => 140,  311 => 135,  304 => 131,  297 => 127,  289 => 122,  280 => 116,  273 => 112,  266 => 108,  259 => 104,  252 => 100,  245 => 96,  238 => 92,  232 => 89,  226 => 86,  220 => 83,  213 => 79,  206 => 75,  199 => 71,  192 => 67,  185 => 63,  178 => 59,  171 => 55,  164 => 51,  157 => 47,  150 => 43,  143 => 38,  134 => 36,  130 => 35,  125 => 32,  116 => 30,  112 => 29,  107 => 26,  103 => 24,  100 => 23,  98 => 22,  91 => 18,  82 => 16,  74 => 15,  70 => 14,  66 => 13,  62 => 12,  58 => 11,  54 => 10,  50 => 9,  38 => 5,);
    }

    public function getSourceContext()
    {
        return new Source("", "common.twig", "/home/mgatv524/public_html/mctv/views/common.twig");
    }
}
