<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-form-add.twig */
class __TwigTemplate_5410e8e97df0f58bbfb32977aa720b43758fcaca9149ecad9b1c6200c8510c02 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "dataset-form-add.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "dataset-form-add.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Add DataSet");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#dataSetAddForm\").submit()    
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "dataSetFormOpen";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item tabForRemoteDataSet\"><a class=\"nav-link\" href=\"#gateway\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Remote");
        echo "</span></a></li>
                <li class=\"nav-item tabForRemoteDataSet\"><a class=\"nav-link\" href=\"#auth\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Authentication");
        echo "</span></a></li>
                <li class=\"nav-item tabForRemoteDataSet\"><a class=\"nav-link\" href=\"#data\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Data");
        echo "</span></a></li>
                <li class=\"nav-item tabForRemoteDataSet\"><a class=\"nav-link\" href=\"#params\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 47
        echo __("Advanced");
        echo "</span></a></li>
            </ul>
            <form id=\"dataSetAddForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 49
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.add"), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">

                        ";
        // line 53
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 53)) {
            // line 54
            echo "                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\">";
            // line 55
            echo __("Folder");
            echo "</label>
                            <div class=\"col-sm-10\">
                                <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 57
            echo __("Select Folder");
            echo "</button>
                                <span id=\"selectedFormFolder\"></span>
                            </div>
                        </div>
                        ";
            // line 61
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId"], 61, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 63
        echo "
                        ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A name for this DataSet");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dataSet", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required"], 66, $context, $this->getSourceContext());
        echo "

                        ";
        // line 68
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional description");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["description", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 70, $context, $this->getSourceContext());
        echo "

                        ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A code which can be used to lookup this DataSet - usually for an API application");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["code", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 74, $context, $this->getSourceContext());
        echo "

                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Remote?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Is this DataSet connected to a remote data source?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isRemote", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 78, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"gateway\">
                        ";
        // line 82
        ob_start(function () { return ''; });
        echo __("Method");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("What type of request needs to be made to get the remote data?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("GET");
        $context["request_get"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("POST");
        $context["request_post"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "GET", "type" =>         // line 87
($context["request_get"] ?? null)], 1 => ["typeid" => "POST", "type" =>         // line 88
($context["request_post"] ?? null)]];
        // line 90
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["method", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 90, $context, $this->getSourceContext());
        echo "

                        ";
        // line 92
        ob_start(function () { return ''; });
        echo __("URI");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("URL to the Remote DataSet for GET and POST.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["uri", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required"], 94, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row\">
                            <div class=\"col-sm-12\">
                                <div class=\"help-block\">
                                    <strong>";
        // line 99
        echo __("Replacements");
        echo "</strong><br>
                                    ";
        // line 100
        echo __("Request date: {{DATE}}");
        echo "<br>
                                    ";
        // line 101
        echo __("Request time: {{TIME}}");
        echo "<br>
                                    ";
        // line 102
        echo __("Dependant fields: {{COL.NAME}} where NAME is a FieldName from the dependant DataSet");
        echo "<br>
                                </div>
                                <div class=\"help-block\">
                                    ";
        // line 105
        echo __("Data to add to this request. This should be URL encoded, e.g. paramA=1&amp;paramB=2.");
        // line 106
        echo "                                </div>
                                <textarea class=\"form-control\" name=\"postData\" id=\"postData\" rows=\"10\"></textarea>
                            </div>
                        </div>
                    </div>

                    <div class=\"tab-pane\" id=\"auth\">
                        ";
        // line 113
        ob_start(function () { return ''; });
        echo __("Authentication");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the authentication requirements for the remote data source. These will be added to the request.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["auth_none"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Basic");
        $context["auth_basic"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Digest");
        $context["auth_digest"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("NTLM");
        $context["auth_ntlm"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Bearer");
        $context["auth_bearer"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "none", "type" =>         // line 121
($context["auth_none"] ?? null)], 1 => ["typeid" => "basic", "type" =>         // line 122
($context["auth_basic"] ?? null)], 2 => ["typeid" => "digest", "type" =>         // line 123
($context["auth_digest"] ?? null)], 3 => ["typeid" => "ntlm", "type" =>         // line 124
($context["auth_ntlm"] ?? null)], 4 => ["typeid" => "bearer", "type" =>         // line 125
($context["auth_bearer"] ?? null)]];
        // line 127
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["authentication", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 127, $context, $this->getSourceContext());
        echo "

                        ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Username");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the authentication Username");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["username", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "auth-field-username", ""], 131, $context, $this->getSourceContext());
        echo "

                        ";
        // line 133
        ob_start(function () { return ''; });
        echo __("Password");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Corresponding Password");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["password", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "auth-field-password", ""], 135, $context, $this->getSourceContext());
        echo "

                        ";
        // line 137
        ob_start(function () { return ''; });
        echo __("Custom Headers");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Comma separated string of custom HTTP headers in headerName:headerValue format");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["customHeaders", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 139, $context, $this->getSourceContext());
        echo "

                        ";
        // line 141
        ob_start(function () { return ''; });
        echo __("User Agent");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Optionally set specific User Agent for this request, provide only the value, relevant header will be added automatically");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["userAgent", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 143, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"data\">
                        ";
        // line 147
        ob_start(function () { return ''; });
        echo __("Source");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select source type of the provided remote Dataset URL");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 149
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("JSON");
        $context["json"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 150
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("CSV");
        $context["csv"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        $context["options"] = [0 => ["sourceId" => 1, "source" =>         // line 152
($context["json"] ?? null)], 1 => ["sourceId" => 2, "source" =>         // line 153
($context["csv"] ?? null)]];
        // line 155
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["sourceId", "single", ($context["title"] ?? null), 1, ($context["options"] ?? null), "sourceId", "source", ($context["helpText"] ?? null)], 155, $context, $this->getSourceContext());
        echo "

                        ";
        // line 157
        ob_start(function () { return ''; });
        echo __("Data root");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 158
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the element in your remote data which we should use as the starting point when we match the remote Columns. This should be an array or an object. You can use the test button below to see the structure that is returned.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 159
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dataRoot", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "json-source-field", ""], 159, $context, $this->getSourceContext());
        echo "

                        ";
        // line 161
        ob_start(function () { return ''; });
        echo __("Ignore first row?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 162
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("For CSV source, should the first row be ignored?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 163
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["ignoreFirstRow", ($context["title"] ?? null), 0, ($context["helpText"] ?? null), "csv-source-field"], 163, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row\">
                            <div class=\"offset-sm-2 col-sm-10\">
                                <a class=\"btn btn-white\" id=\"dataSetRemoteTestButton\" href=\"#\">
                                    ";
        // line 168
        echo __("Test data URL");
        // line 169
        echo "                                </a>
                            </div>
                        </div>

                        ";
        // line 173
        ob_start(function () { return ''; });
        echo __("Aggregation");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 174
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Aggregate received data by the given method");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 175
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["summ_none"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 176
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Summarize");
        $context["summ_sum"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Count");
        $context["summ_count"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 178
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "none", "type" =>         // line 179
($context["summ_none"] ?? null)], 1 => ["typeid" => "sum", "type" =>         // line 180
($context["summ_sum"] ?? null)], 2 => ["typeid" => "count", "type" =>         // line 181
($context["summ_count"] ?? null)]];
        // line 183
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["summarize", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null), "json-source-field"], 183, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row json-source-field\">
                            <label class=\"col-sm-2 control-label\" for=\"summarizeField\">";
        // line 186
        echo __("By Field");
        echo "</label>
                            <div class=\"col-sm-10\">
                                <input class=\"form-control\" type=\"text\" name=\"summarizeField\" id=\"summarizeField\" />
                                <div class=\"help-block\">
                                    ";
        // line 190
        echo __("Using JSON syntax enter the path below the Data root by which the above aggregation should be applied.");
        echo "<br>
                                    ";
        // line 191
        echo __("Summarize: Values in this field will be summarized and stored in one column.");
        echo "<br>
                                    ";
        // line 192
        echo __("Count: All individual values in this field will be counted and stored in one Column for each value");
        echo "<br>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class=\"tab-pane\" id=\"params\">
                        ";
        // line 199
        ob_start(function () { return ''; });
        echo __("Refresh");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 200
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("How often should this remote data be fetched and imported?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 201
        echo "
                        ";
        // line 202
        ob_start(function () { return ''; });
        echo __("Constantly");
        $context["refresh_everytime"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 203
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Hourly");
        $context["refresh_hour"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 204
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Daily");
        $context["refresh_day"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 205
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Weekly");
        $context["refresh_week"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 206
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Every two Weeks");
        $context["refresh_two_week"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 207
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monthly");
        $context["refresh_month"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 208
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Quaterly");
        $context["refresh_quater"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 209
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yearly");
        $context["refresh_year"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 210
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "0", "type" =>         // line 211
($context["refresh_everytime"] ?? null)], 1 => ["typeid" => "3600", "type" =>         // line 212
($context["refresh_hour"] ?? null)], 2 => ["typeid" => "86400", "type" =>         // line 213
($context["refresh_day"] ?? null)], 3 => ["typeid" => "604800", "type" =>         // line 214
($context["refresh_week"] ?? null)], 4 => ["typeid" => "1209600", "type" =>         // line 215
($context["refresh_two_week"] ?? null)], 5 => ["typeid" => "2419200", "type" =>         // line 216
($context["refresh_month"] ?? null)], 6 => ["typeid" => "7257600", "type" =>         // line 217
($context["refresh_quater"] ?? null)], 7 => ["typeid" => "29030400", "type" =>         // line 218
($context["refresh_year"] ?? null)]];
        // line 220
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["refreshRate", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 220, $context, $this->getSourceContext());
        echo "

                        ";
        // line 222
        ob_start(function () { return ''; });
        echo __("Truncate DataSet");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 223
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select when you would like the Data to be truncated out of this DataSet. The criteria is assessed when synchronisation occurs and is truncated before adding new data.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 224
        echo "
                        ";
        // line 225
        ob_start(function () { return ''; });
        echo __("Never");
        $context["truncate_never"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 226
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Always");
        $context["truncate_everytime"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 227
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Hourly");
        $context["truncate_hour"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 228
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Daily");
        $context["truncate_day"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 229
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Weekly");
        $context["truncate_week"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 230
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Every two Weeks");
        $context["truncate_two_week"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 231
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monthly");
        $context["truncate_month"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 232
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Quaterly");
        $context["truncate_quater"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 233
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yearly");
        $context["truncate_year"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 234
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Every second Year");
        $context["truncate_two_year"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 235
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "0", "type" =>         // line 236
($context["truncate_never"] ?? null)], 1 => ["typeid" => "1", "type" =>         // line 237
($context["truncate_everytime"] ?? null)], 2 => ["typeid" => "3600", "type" =>         // line 238
($context["truncate_hour"] ?? null)], 3 => ["typeid" => "86400", "type" =>         // line 239
($context["truncate_day"] ?? null)], 4 => ["typeid" => "604800", "type" =>         // line 240
($context["truncate_week"] ?? null)], 5 => ["typeid" => "1209600", "type" =>         // line 241
($context["truncate_two_week"] ?? null)], 6 => ["typeid" => "2419200", "type" =>         // line 242
($context["truncate_month"] ?? null)], 7 => ["typeid" => "7257600", "type" =>         // line 243
($context["truncate_quater"] ?? null)], 8 => ["typeid" => "29030400", "type" =>         // line 244
($context["truncate_year"] ?? null)], 9 => ["typeid" => "58060800", "type" =>         // line 245
($context["truncate_two_year"] ?? null)]];
        // line 247
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["clearRate", "single", ($context["title"] ?? null), "1", ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 247, $context, $this->getSourceContext());
        echo "

                        ";
        // line 249
        ob_start(function () { return ''; });
        echo __("Depends on DataSet");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 250
        echo "                        ";
        $context["dataSets"] = twig_array_merge([0 => ["dataSetId" => null, "dataSet" => ""]], ($context["dataSets"] ?? null));
        // line 251
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The DataSet you select here will be processed in advance and have its values available for subsitution in the data to add to this request on the Remote tab.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 252
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["runsAfter", "single", ($context["title"] ?? null), "", ($context["dataSets"] ?? null), "dataSetId", "dataSet", ($context["helpText"] ?? null)], 252, $context, $this->getSourceContext());
        echo "

                        ";
        // line 254
        ob_start(function () { return ''; });
        echo __("Row Limit");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 255
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Optionally provide a row limit for this DataSet. When left empty the DataSet row limit from CMS Settings will be used.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 256
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["rowLimit", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 256, $context, $this->getSourceContext());
        echo "

                        ";
        // line 258
        ob_start(function () { return ''; });
        echo __("Limit Policy");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 259
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("What should happen when this Dataset reaches the row limit?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 260
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Stop Syncing");
        $context["stop"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 261
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("First In First Out");
        $context["fifo"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 262
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Truncate");
        $context["truncate"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 263
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "stop", "type" =>         // line 264
($context["stop"] ?? null)], 1 => ["typeid" => "fifo", "type" =>         // line 265
($context["fifo"] ?? null)], 2 => ["typeid" => "truncate", "type" =>         // line 266
($context["truncate"] ?? null)]];
        // line 268
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["limitPolicy", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 268, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
            <div id=\"datasetRemoteTestRequestResult\" class=\"col-sm-12\"></div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "dataset-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  744 => 268,  742 => 266,  741 => 265,  740 => 264,  738 => 263,  733 => 262,  728 => 261,  723 => 260,  718 => 259,  714 => 258,  708 => 256,  703 => 255,  699 => 254,  693 => 252,  688 => 251,  685 => 250,  681 => 249,  675 => 247,  673 => 245,  672 => 244,  671 => 243,  670 => 242,  669 => 241,  668 => 240,  667 => 239,  666 => 238,  665 => 237,  664 => 236,  662 => 235,  657 => 234,  652 => 233,  647 => 232,  642 => 231,  637 => 230,  632 => 229,  627 => 228,  622 => 227,  617 => 226,  613 => 225,  610 => 224,  605 => 223,  601 => 222,  595 => 220,  593 => 218,  592 => 217,  591 => 216,  590 => 215,  589 => 214,  588 => 213,  587 => 212,  586 => 211,  584 => 210,  579 => 209,  574 => 208,  569 => 207,  564 => 206,  559 => 205,  554 => 204,  549 => 203,  545 => 202,  542 => 201,  537 => 200,  533 => 199,  523 => 192,  519 => 191,  515 => 190,  508 => 186,  501 => 183,  499 => 181,  498 => 180,  497 => 179,  495 => 178,  490 => 177,  485 => 176,  480 => 175,  475 => 174,  471 => 173,  465 => 169,  463 => 168,  454 => 163,  449 => 162,  445 => 161,  439 => 159,  434 => 158,  430 => 157,  424 => 155,  422 => 153,  421 => 152,  419 => 151,  414 => 150,  409 => 149,  404 => 148,  400 => 147,  392 => 143,  387 => 142,  383 => 141,  377 => 139,  372 => 138,  368 => 137,  362 => 135,  357 => 134,  353 => 133,  347 => 131,  342 => 130,  338 => 129,  332 => 127,  330 => 125,  329 => 124,  328 => 123,  327 => 122,  326 => 121,  324 => 120,  319 => 119,  314 => 118,  309 => 117,  304 => 116,  299 => 115,  294 => 114,  290 => 113,  281 => 106,  279 => 105,  273 => 102,  269 => 101,  265 => 100,  261 => 99,  252 => 94,  247 => 93,  243 => 92,  237 => 90,  235 => 88,  234 => 87,  232 => 86,  227 => 85,  222 => 84,  217 => 83,  213 => 82,  205 => 78,  200 => 77,  196 => 76,  190 => 74,  185 => 73,  181 => 72,  175 => 70,  170 => 69,  166 => 68,  160 => 66,  155 => 65,  151 => 64,  148 => 63,  143 => 61,  136 => 57,  131 => 55,  128 => 54,  126 => 53,  119 => 49,  114 => 47,  110 => 46,  106 => 45,  102 => 44,  98 => 43,  93 => 40,  89 => 39,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-form-add.twig", "/home/mgatv524/public_html/mctv/views/dataset-form-add.twig");
    }
}
