<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* videoin-form-edit.twig */
class __TwigTemplate_7a60d79a48fb60aea8d144b9a3c4a8b42929b21868b2869bcd56f0136cea6106 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "videoin-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "videoin-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Video In");
    }

    // line 31
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 34
        echo __("General");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"videoinEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 37
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 37), "widgetId", [], "any", false, false, false, 37)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 40
        ob_start(function () { return ''; });
        echo __("Input");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Which device input should be shown");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("HDMI");
        $context["hdmi"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("HDMI2");
        $context["hdmi2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("HDMI3");
        $context["hdmi3"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("HDMI4");
        $context["hdmi4"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("RGB");
        $context["rgb"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("DVI");
        $context["dvi"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("DP");
        $context["dp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("OPS");
        $context["ops"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        $context["options"] = [0 => ["sourceId" =>         // line 51
($context["hdmi"] ?? null), "source" => ($context["hdmi"] ?? null)], 1 => ["sourceId" =>         // line 52
($context["hdmi2"] ?? null), "source" => ($context["hdmi2"] ?? null)], 2 => ["sourceId" =>         // line 53
($context["hdmi3"] ?? null), "source" => ($context["hdmi3"] ?? null)], 3 => ["sourceId" =>         // line 54
($context["hdmi4"] ?? null), "source" => ($context["hdmi4"] ?? null)], 4 => ["sourceId" =>         // line 55
($context["rgb"] ?? null), "source" => ($context["rgb"] ?? null)], 5 => ["sourceId" =>         // line 56
($context["dvi"] ?? null), "source" => ($context["dvi"] ?? null)], 6 => ["sourceId" =>         // line 57
($context["dp"] ?? null), "source" => ($context["dp"] ?? null)], 7 => ["sourceId" =>         // line 58
($context["ops"] ?? null), "source" => ($context["ops"] ?? null)]];
        // line 60
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["sourceId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "sourceId"], "method", false, false, false, 60), ($context["options"] ?? null), "sourceId", "source", ($context["helpText"] ?? null), "", "required"], 60, $context, $this->getSourceContext());
        echo "

                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 64), ($context["helpText"] ?? null)], 64, $context, $this->getSourceContext());
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 68), ($context["helpText"] ?? null), "duration-fields", "required"], 68, $context, $this->getSourceContext());
        echo "

                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Show Full Screen?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the video expand over the top of existing content and show in full screen?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showFullScreen", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showFullScreen", 1 => 0], "method", false, false, false, 72), ($context["helpText"] ?? null)], 72, $context, $this->getSourceContext());
        echo "

                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "
                        ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 81
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 82
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 83
($context["inheritOption"] ?? null)]];
        // line 85
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 85)], "method", false, false, false, 85), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 85, $context, $this->getSourceContext());
        echo "

                        ";
        // line 87
        ob_start(function () { return ''; });
        echo __("This Module is compatible with webOS and Tizen Players only");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), "alert alert-info"], 88, $context, $this->getSourceContext());
        echo "
                    </div>

                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "videoin-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  232 => 88,  228 => 87,  222 => 85,  220 => 83,  219 => 82,  218 => 81,  216 => 80,  211 => 79,  206 => 78,  202 => 77,  199 => 76,  194 => 75,  190 => 74,  184 => 72,  179 => 71,  175 => 70,  169 => 68,  164 => 67,  160 => 66,  154 => 64,  149 => 63,  145 => 62,  139 => 60,  137 => 58,  136 => 57,  135 => 56,  134 => 55,  133 => 54,  132 => 53,  131 => 52,  130 => 51,  128 => 50,  123 => 49,  118 => 48,  113 => 47,  108 => 46,  103 => 45,  98 => 44,  93 => 43,  88 => 42,  83 => 41,  79 => 40,  73 => 37,  67 => 34,  63 => 32,  59 => 31,  54 => 28,  50 => 27,  45 => 24,  43 => 25,  36 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "videoin-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/videoin-form-edit.twig");
    }
}
