<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-preferences.twig */
class __TwigTemplate_e8414846c920c2bcbef24d520352fcfbb32ee1daafa14f65e643043b05f17176 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "user-form-preferences.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-preferences.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Preferences");
    }

    // line 30
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 32
        echo __("Save");
        echo ", userPreferencesFormSubmit()
";
    }

    // line 35
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 36
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"userPreferences\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 38
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.pref"), "html", null, true);
        echo "\">
                ";
        // line 39
        if ((twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "isSettingVisible", [0 => "NAVIGATION_MENU_POSITION"], "method", false, false, false, 39) && twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "isSettingEditable", [0 => "NAVIGATION_MENU_POSITION"], "method", false, false, false, 39))) {
            // line 40
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Navigation Menu");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 41
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Select where the Navigation Menu should be positioned. Once selected please refresh your browser window to apply changes.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 42
            echo "
                    ";
            // line 43
            ob_start(function () { return ''; });
            echo __("Use the default configured by your administrator");
            $context["defaultOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 44
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Horizontal along the top");
            $context["horizontalOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 45
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Vertically on the left");
            $context["verticalOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 46
            echo "                    ";
            $context["options"] = [0 => ["id" => "", "value" =>             // line 47
($context["defaultOption"] ?? null)], 1 => ["id" => "horizontal", "value" =>             // line 48
($context["horizontalOption"] ?? null)], 2 => ["id" => "vertical", "value" =>             // line 49
($context["verticalOption"] ?? null)]];
            // line 51
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["navigationMenuPosition", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "getOptionValue", [0 => "navigationMenuPosition", 1 => ""], "method", false, false, false, 51), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 51, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 53
        echo "
                ";
        // line 54
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "isSuperAdmin", [], "method", false, false, false, 54)) {
            // line 55
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Show Content From");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 56
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Select Standard or DOOH to see relevant content");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 57
            echo "                    ";
            $context["options"] = [0 => ["id" => 1, "value" => __("Standard")], 1 => ["id" => 2, "value" => __("DOOH")], 2 => ["id" => 3, "value" => __("Both")]];
            // line 62
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["showContentFrom", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "showContentFrom", [], "any", false, false, false, 62), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 62, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 64
        echo "            
                ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Use Library duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Assign all Media items based on their Library duration. Leave this option unticked to use the Default Module duration.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useLibraryDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "getOptionValue", [0 => "useLibraryDuration", 1 => 0], "method", false, false, false, 67), ($context["helpText"] ?? null)], 67, $context, $this->getSourceContext());
        echo "

                ";
        // line 69
        ob_start(function () { return ''; });
        echo __("Auto show thumbnail column?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                ";
        ob_start(function () { return ''; });
        echo __("When requesting a screenshot from a display should the Thumbnail column be automatically shown if it's not visible?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showThumbnailColumn", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "getOptionValue", [0 => "showThumbnailColumn", 1 => 1], "method", false, false, false, 71), ($context["helpText"] ?? null)], 71, $context, $this->getSourceContext());
        echo "

                ";
        // line 73
        ob_start(function () { return ''; });
        echo __("Clear all auto submit form choices?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                ";
        ob_start(function () { return ''; });
        echo __("If you have selected to automatically submit any forms, tick here to reset.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["autoSubmitClearAll", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 75, $context, $this->getSourceContext());
        echo "

                ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Always use manual Add User form?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                ";
        ob_start(function () { return ''; });
        echo __("If selected the manual Add User form will always open when you click Add User, otherwise the onboarding form will open.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isAlwaysUseManualAddUserForm", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "getOptionValue", [0 => "isAlwaysUseManualAddUserForm", 1 => 0], "method", false, false, false, 79), ($context["helpText"] ?? null)], 79, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-preferences.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  209 => 79,  204 => 78,  200 => 77,  194 => 75,  189 => 74,  185 => 73,  179 => 71,  174 => 70,  170 => 69,  164 => 67,  159 => 66,  155 => 65,  152 => 64,  146 => 62,  143 => 57,  138 => 56,  133 => 55,  131 => 54,  128 => 53,  122 => 51,  120 => 49,  119 => 48,  118 => 47,  116 => 46,  111 => 45,  106 => 44,  102 => 43,  99 => 42,  94 => 41,  89 => 40,  87 => 39,  83 => 38,  79 => 36,  75 => 35,  69 => 32,  64 => 31,  60 => 30,  55 => 27,  51 => 26,  46 => 23,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-preferences.twig", "/home/mgatv524/public_html/mctv/views/user-form-preferences.twig");
    }
}
