<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dashboard-icon-page.twig */
class __TwigTemplate_0c8b25837c327925060b633b0cf077f599957186fdc71470907e8540ff54230e extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "dashboard-icon-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "dashboard-icon-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        $__internal_compile_0 = null;
        try {
            $__internal_compile_0 =             $this->loadTemplate("theme-dashboard-message.twig", "dashboard-icon-page.twig", 27);
        } catch (LoaderError $e) {
            // ignore missing template
        }
        if ($__internal_compile_0) {
            $__internal_compile_0->display($context);
        }
        // line 28
        echo "    <div id=\"dashbuttons\">
        ";
        // line 29
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "schedule.view"], "method", false, false, false, 29)) {
            // line 30
            echo "            <div class=\"dashicons\">
                <a href=\"";
            // line 31
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("schedule.view"), "html", null, true);
            echo "\">
                    <img src=\"";
            // line 32
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/dashboard/scheduleview.png"], "method", false, false, false, 32), "html", null, true);
            echo "\" class=\"dash_button\" />
                    <span class=\"dash_text\">";
            // line 33
            echo __("Schedule");
            echo "</span>
                </a>
            </div>
        ";
        }
        // line 37
        echo "
        ";
        // line 38
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "layout.view"], "method", false, false, false, 38)) {
            // line 39
            echo "            <div class=\"dashicons\">
                <a href=\"";
            // line 40
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.view"), "html", null, true);
            echo "\">
                    <img src=\"";
            // line 41
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/dashboard/presentations.png"], "method", false, false, false, 41), "html", null, true);
            echo "\" class=\"dash_button\" />
                    <span class=\"dash_text\">";
            // line 42
            echo __("Layouts");
            echo "</span>
                </a>
            </div>
        ";
        }
        // line 46
        echo "
        ";
        // line 47
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "library.view"], "method", false, false, false, 47)) {
            // line 48
            echo "            <div class=\"dashicons\">
                <a href=\"";
            // line 49
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.view"), "html", null, true);
            echo "\">
                    <img src=\"";
            // line 50
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/dashboard/content.png"], "method", false, false, false, 50), "html", null, true);
            echo "\" class=\"dash_button\" />
                    <span class=\"dash_text\">";
            // line 51
            echo __("Library");
            echo "</span>
                </a>
            </div>
        ";
        }
        // line 55
        echo "
        ";
        // line 56
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "template.view"], "method", false, false, false, 56)) {
            // line 57
            echo "            <div class=\"dashicons\">
                <a href=\"";
            // line 58
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("template.view"), "html", null, true);
            echo "\">
                    <img src=\"";
            // line 59
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/dashboard/layouts.png"], "method", false, false, false, 59), "html", null, true);
            echo "\" class=\"dash_button\" />
                    <span class=\"dash_text\">";
            // line 60
            echo __("Templates");
            echo "</span>
                </a>
            </div>
        ";
        }
        // line 64
        echo "
        ";
        // line 65
        if ((twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "users.view"], "method", false, false, false, 65) && (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "isGroupAdmin", [], "method", false, false, false, 65) || twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "isSuperAdmin", [], "method", false, false, false, 65)))) {
            // line 66
            echo "            <div class=\"dashicons\">
                <a href=\"";
            // line 67
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.view"), "html", null, true);
            echo "\">
                    <img src=\"";
            // line 68
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/dashboard/users.png"], "method", false, false, false, 68), "html", null, true);
            echo "\" class=\"dash_button\" />
                    <span class=\"dash_text\">";
            // line 69
            echo __("Users");
            echo "</span>
                </a>
            </div>
        ";
        }
        // line 73
        echo "
        ";
        // line 74
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "isSuperUser", [], "method", false, false, false, 74)) {
            // line 75
            echo "            <div class=\"dashicons\">
                <a href=\"";
            // line 76
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("admin.view"), "html", null, true);
            echo "\">
                    <img src=\"";
            // line 77
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/dashboard/settings.png"], "method", false, false, false, 77), "html", null, true);
            echo "\" class=\"dash_button\" />
                    <span class=\"dash_text\">";
            // line 78
            echo __("Settings");
            echo "</span>
                </a>
            </div>
        ";
        }
        // line 82
        echo "
        <div class=\"dashicons\">
            <a href=\"";
        // line 84
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("license.view"), "html", null, true);
        echo "\">
                <img src=\"";
        // line 85
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/dashboard/license.png"], "method", false, false, false, 85), "html", null, true);
        echo "\" class=\"dash_button\" />
                <span class=\"dash_text\">";
        // line 86
        echo __("About");
        echo "</span>
            </a>
        </div>

        ";
        // line 90
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "troubleshooting.fault"], "method", false, false, false, 90)) {
            // line 91
            echo "            <div class=\"dashicons\">
                <a href=\"";
            // line 92
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("fault.view"), "html", null, true);
            echo "\">
                    <img src=\"";
            // line 93
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/dashboard/help.png"], "method", false, false, false, 93), "html", null, true);
            echo "\" class=\"dash_button\" />
                    <span class=\"dash_text\">";
            // line 94
            echo __("Report Fault");
            echo "</span>
                </a>
            </div>
        ";
        }
        // line 98
        echo "
    </div>
";
    }

    public function getTemplateName()
    {
        return "dashboard-icon-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  241 => 98,  234 => 94,  230 => 93,  226 => 92,  223 => 91,  221 => 90,  214 => 86,  210 => 85,  206 => 84,  202 => 82,  195 => 78,  191 => 77,  187 => 76,  184 => 75,  182 => 74,  179 => 73,  172 => 69,  168 => 68,  164 => 67,  161 => 66,  159 => 65,  156 => 64,  149 => 60,  145 => 59,  141 => 58,  138 => 57,  136 => 56,  133 => 55,  126 => 51,  122 => 50,  118 => 49,  115 => 48,  113 => 47,  110 => 46,  103 => 42,  99 => 41,  95 => 40,  92 => 39,  90 => 38,  87 => 37,  80 => 33,  76 => 32,  72 => 31,  69 => 30,  67 => 29,  64 => 28,  53 => 27,  49 => 26,  44 => 23,  42 => 24,  35 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "dashboard-icon-page.twig", "/home/mgatv524/public_html/mctv/views/dashboard-icon-page.twig");
    }
}
