<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displaygroup-form-add.twig */
class __TwigTemplate_dd18fc1373babf97538cdd74b74f2c095d3d099c12a16b74d50c7080c67e21cf extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formFieldActions' => [$this, 'block_formFieldActions'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "displaygroup-form-add.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "displaygroup-form-add.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Add Display Group");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Next");
        echo ", displayGroupAddFormNext()
    ";
        // line 35
        echo __("Save");
        echo ", \$(\"#displayGroupAddForm\").submit();
";
    }

    // line 38
    public function block_formFieldActions($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 39
        echo "    [{
    \"field\": \"isDynamic\",
    \"trigger\": \"init\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"isDynamic\",
    \"trigger\": \"change\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"isDynamic\",
    \"trigger\": \"init\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"\" }
    }
    },{
    \"field\": \"isDynamic\",
    \"trigger\": \"change\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"\" }
    }
    }]
";
    }

    // line 74
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "displayGroupFormOpen";
    }

    // line 76
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 77
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayGroupAddForm\" class=\"XiboForm form-horizontal displayGroupForm\" method=\"post\" action=\"";
        // line 79
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.add"), "html", null, true);
        echo "\" data-gettag=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\">

                ";
        // line 81
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 81)) {
            // line 82
            echo "                <div class=\"form-group row\">
                    <label class=\"col-sm-2 control-label\">";
            // line 83
            echo __("Folder");
            echo "</label>
                    <div class=\"col-sm-10\">
                        <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 85
            echo __("Select Folder");
            echo "</button>
                        <span id=\"selectedFormFolder\"></span>
                    </div>
                </div>
                ";
            // line 89
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId"], 89, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 91
        echo "
                ";
        // line 92
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this Display Group");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["displayGroup", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 94, $context, $this->getSourceContext());
        echo "

                ";
        // line 96
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                ";
        ob_start(function () { return ''; });
        echo __("A short description of this Display Group");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["description", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 98, $context, $this->getSourceContext());
        echo "

                ";
        // line 100
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 100)) {
            // line 101
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 102
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags for this Display Group - Comma separated string of Tags or Tag|Value format. If you choose a Tag that has associated values, they will be shown for selection below.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 103
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "tags-with-value"], 103, $context, $this->getSourceContext());
            echo "

                    <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

                    ";
            // line 107
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 108
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["tagValue", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "key", "value"], 108, $context, $this->getSourceContext());
            echo "

                    <div id=\"tagValueContainer\">
                        ";
            // line 111
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 112
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Please provide the value for this Tag and confirm by pressing enter on your keyboard.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 113
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_input", ["tagValueInput", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 113, $context, $this->getSourceContext());
            echo "
                    </div>

                    <div id=\"tagValueRequired\" class=\"alert alert-info\">
                        <p>";
            // line 117
            echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
            echo "</p>
                    </div>
                ";
        }
        // line 120
        echo "
                ";
        // line 121
        ob_start(function () { return ''; });
        echo __("Dynamic Group?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Are the members of this group dynamic?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isDynamic", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 123, $context, $this->getSourceContext());
        echo "

                <div class=\"widget dynamic-fields\">
                    <div class=\"widget-title\">";
        // line 126
        echo __("Displays");
        echo "</div>
                    <div class=\"widget-body\">
                        <div class=\"FilterDiv card-body\" id=\"Filter\">
                            ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Criteria");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("A comma separated set of regular expressions run against the Display name to determine membership.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dynamicCriteria", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "dynamic-fields"], 131, $context, $this->getSourceContext());
        echo "

                            ";
        // line 133
        ob_start(function () { return ''; });
        echo __("Criteria Tags");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("A comma separated set of tags run against the Display tag to determine membership.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["dynamicCriteriaTags", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "dynamic-fields"], 135, $context, $this->getSourceContext());
        echo "

                            ";
        // line 137
        echo twig_call_macro($macros["forms"], "macro_hidden", ["useRegexForName", 1], 137, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"XiboData card pt-3\">
                            <table id=\"displayGroupDisplays\" class=\"table table-striped\">
                                <thead>
                                <tr>
                                    <th>";
        // line 144
        echo __("ID");
        echo "</th>
                                    <th>";
        // line 145
        echo __("Display");
        echo "</th>
                                    <th>";
        // line 146
        echo __("Tags");
        echo "</th>
                                    <th>";
        // line 147
        echo __("Status");
        echo "</th>
                                    <th>";
        // line 148
        echo __("Licence");
        echo "</th>
                                </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "displaygroup-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  340 => 148,  336 => 147,  332 => 146,  328 => 145,  324 => 144,  314 => 137,  308 => 135,  303 => 134,  299 => 133,  293 => 131,  288 => 130,  284 => 129,  278 => 126,  271 => 123,  266 => 122,  262 => 121,  259 => 120,  253 => 117,  245 => 113,  240 => 112,  236 => 111,  229 => 108,  225 => 107,  217 => 103,  212 => 102,  207 => 101,  205 => 100,  199 => 98,  194 => 97,  190 => 96,  184 => 94,  179 => 93,  175 => 92,  172 => 91,  167 => 89,  160 => 85,  155 => 83,  152 => 82,  150 => 81,  143 => 79,  139 => 77,  135 => 76,  128 => 74,  91 => 39,  87 => 38,  81 => 35,  77 => 34,  73 => 33,  66 => 32,  62 => 31,  57 => 28,  53 => 27,  48 => 24,  46 => 25,  39 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "displaygroup-form-add.twig", "/home/mgatv524/public_html/mctv/views/displaygroup-form-add.twig");
    }
}
