<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* maintenance-form-tidy.twig */
class __TwigTemplate_0196f5dd6b16e5d05356d829c9061b31d48bd66663dfe3eae30d964cc258eae5 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "maintenance-form-tidy.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "maintenance-form-tidy.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Tidy Library");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Yes");
        echo ", \$(\"#tidyLibraryForm\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"tidyLibraryForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("maintenance.tidy"), "html", null, true);
        echo "\">
                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Tidying the Library will delete any temporary files. Are you sure you want to proceed?");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 42, $context, $this->getSourceContext());
        echo "

                ";
        // line 44
        ob_start(function () { return ''; });
        echo __("Remove old revisions");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Cleaning up old revisions of media will result in any unused media revisions being permanently deleted.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["tidyOldRevisions", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 46, $context, $this->getSourceContext());
        echo "

                ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Remove all media not currently in use?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Selecting this option will remove any media that is not currently being used in Layouts or linked to Displays. This process cannot be reversed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["cleanUnusedFiles", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 50, $context, $this->getSourceContext());
        echo "

                ";
        // line 52
        ob_start(function () { return ''; });
        echo __("Delete Generic Files?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Selecting this option will remove any generic files that is are not currently linked to Displays. This process cannot be reversed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["tidyGenericFiles", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 54, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "maintenance-form-tidy.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  142 => 54,  137 => 53,  133 => 52,  127 => 50,  122 => 49,  118 => 48,  112 => 46,  107 => 45,  103 => 44,  97 => 42,  93 => 41,  89 => 40,  85 => 38,  81 => 37,  75 => 34,  71 => 33,  64 => 32,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "maintenance-form-tidy.twig", "/home/mgatv524/public_html/mctv/views/maintenance-form-tidy.twig");
    }
}
