<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-data-form-edit.twig */
class __TwigTemplate_1d27bb5dcb30b5cf93c14f4ec01097a3f8d57380b6c460257f659194d87f62c6 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "dataset-data-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "dataset-data-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Data");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Delete");
        echo ", XiboSwapDialog(\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.data.delete.form", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 32), "rowId" => twig_get_attribute($this->env, $this->source, ($context["row"] ?? null), "id", [], "any", false, false, false, 32)]), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#dataSetEditData\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"dataSetEditData\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.data.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 40), "rowId" => twig_get_attribute($this->env, $this->source, ($context["row"] ?? null), "id", [], "any", false, false, false, 40)]), "html", null, true);
        echo "\">
                ";
        // line 41
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "getColumn", [], "method", false, false, false, 41));
        foreach ($context['_seq'] as $context["_key"] => $context["col"]) {
            // line 42
            echo "                    ";
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "dataSetColumnTypeId", [], "any", false, false, false, 42), 1))) {
                // line 43
                echo "                        ";
                $context["fieldId"] = ("dataSetColumnId_" . twig_get_attribute($this->env, $this->source, $context["col"], "dataSetColumnId", [], "any", false, false, false, 43));
                // line 44
                echo "                        ";
                $context["heading"] = twig_get_attribute($this->env, $this->source, ($context["row"] ?? null), twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 44), [], "any", false, false, false, 44);
                // line 45
                echo "
                        ";
                // line 47
                echo "                        ";
                if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "dataTypeId", [], "any", false, false, false, 47), 2))) {
                    // line 48
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_number", [($context["fieldId"] ?? null), twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 48), ($context["heading"] ?? null)], 48, $context, $this->getSourceContext());
                    echo "
                        ";
                } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source,                 // line 49
$context["col"], "dataTypeId", [], "any", false, false, false, 49), 3))) {
                    // line 50
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_dateTime", [($context["fieldId"] ?? null), twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 50), ($context["heading"] ?? null)], 50, $context, $this->getSourceContext());
                    echo "
                        ";
                } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source,                 // line 51
$context["col"], "dataTypeId", [], "any", false, false, false, 51), 5))) {
                    // line 52
                    echo "                            ";
                    $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search")], 1 => ["name" => "data-search-term", "value" => "media"], 2 => ["name" => "data-search-term-tags", "value" => "tags"], 3 => ["name" => "data-id-property", "value" => "mediaId"], 4 => ["name" => "data-text-property", "value" => "name"], 5 => ["name" => "data-filter-options", "value" => "{\"type\":\"image\"}"], 6 => ["name" => "data-allow-clear", "value" => "true"], 7 => ["name" => "data-placeholder", "value" => "Select an Image"]];
                    // line 62
                    echo "                            ";
                    $context["images"] = twig_get_attribute($this->env, $this->source, ($context["row"] ?? null), "__images", [], "any", false, false, false, 62);
                    // line 63
                    echo "                            ";
                    $context["images"] = twig_get_attribute($this->env, $this->source, ($context["images"] ?? null), twig_get_attribute($this->env, $this->source, $context["col"], "dataSetColumnId", [], "any", false, false, false, 63), [], "any", false, false, false, 63);
                    // line 64
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_dropdown", [($context["fieldId"] ?? null), "single", twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 64), ($context["heading"] ?? null), [0 => ($context["images"] ?? null)], "mediaId", "name", "", "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 64, $context, $this->getSourceContext());
                    echo "
                        ";
                } elseif ((0 !== twig_compare(twig_get_attribute($this->env, $this->source,                 // line 65
$context["col"], "listContent", [], "any", false, false, false, 65), ""))) {
                    // line 66
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_dropdown", [($context["fieldId"] ?? null), "single", twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 66), ($context["heading"] ?? null), twig_array_merge([0 => ""], twig_get_attribute($this->env, $this->source, $context["col"], "listContentArray", [], "method", false, false, false, 66))], 66, $context, $this->getSourceContext());
                    echo "
                        ";
                } else {
                    // line 68
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_input", [($context["fieldId"] ?? null), twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 68), ($context["heading"] ?? null)], 68, $context, $this->getSourceContext());
                    echo "
                        ";
                }
                // line 70
                echo "                    ";
            }
            // line 71
            echo "                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['col'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 72
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "dataset-data-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  163 => 72,  157 => 71,  154 => 70,  148 => 68,  142 => 66,  140 => 65,  135 => 64,  132 => 63,  129 => 62,  126 => 52,  124 => 51,  119 => 50,  117 => 49,  112 => 48,  109 => 47,  106 => 45,  103 => 44,  100 => 43,  97 => 42,  93 => 41,  89 => 40,  85 => 38,  81 => 37,  75 => 34,  71 => 33,  64 => 32,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-data-form-edit.twig", "/home/mgatv524/public_html/mctv/views/dataset-data-form-edit.twig");
    }
}
