<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* worldclock-form-edit.twig */
class __TwigTemplate_9a1037371adc50e3ac9963bd47e7336d2d619772f24c7aad54e64b1dd3d21105 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "worldclock-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "worldclock-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit World Clock");
    }

    // line 31
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getExtra", [], "method", false, false, false, 31));
    }

    // line 33
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#generalTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"dropdown digital-control-group\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 40
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#templatePreset\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Preset");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#mainTemplateTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Main");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#optionalStylesheetTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Optional Stylesheet");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#analogueSettingsTab\" role=\"tab\" class=\"analogue-control-group\" data-toggle=\"tab\"><span>";
        // line 48
        echo __("Analogue Settings");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"clockFormEdit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 51
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 51), "widgetId", [], "any", false, false, false, 51)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"generalTab\">
                        ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 56), ($context["helpText"] ?? null)], 56, $context, $this->getSourceContext());
        echo "

                        ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 60), ($context["helpText"] ?? null)], 60, $context, $this->getSourceContext());
        echo "

                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 64), ($context["helpText"] ?? null), "duration-fields", "required"], 64, $context, $this->getSourceContext());
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "
                        ";
        // line 69
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 73
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 74
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 75
($context["inheritOption"] ?? null)]];
        // line 77
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 77)], "method", false, false, false, 77), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 77, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        <div class=\"row\">
                            <div class=\"col-sm-12\">
                                <h4>";
        // line 83
        echo __("Clocks");
        echo "&nbsp;<span class=\"clockCount\"></span></h4>
                            </div>
                        </div>

                        <div id=\"worldClocksContainer\" class=\"form-group d-block px-3\"></div>
                        
                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Clock Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the type of clock to display.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Analog");
        $context["analog"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Digital");
        $context["digital"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        $context["options"] = [0 => ["id" => 1, "value" =>         // line 94
($context["digital"] ?? null)], 1 => ["id" => 2, "value" =>         // line 95
($context["analog"] ?? null)]];
        // line 97
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["clockType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "clockType"], "method", false, false, false, 97), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 97, $context, $this->getSourceContext());
        echo "

                        ";
        // line 99
        ob_start(function () { return ''; });
        echo __("Clock Columns");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Number of columns to display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["clockCols", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "clockCols", 1 => 1], "method", false, false, false, 101), ($context["helpText"] ?? null), "", "required"], 101, $context, $this->getSourceContext());
        echo "

                        ";
        // line 103
        ob_start(function () { return ''; });
        echo __("Clock Rows");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Number of rows to display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["clockRows", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "clockRows", 1 => 1], "method", false, false, false, 105), ($context["helpText"] ?? null), "", "required"], 105, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"analogueSettingsTab\">
                        <div class=\"col-sm-12\">
                            <h4>";
        // line 110
        echo __("Analogue Clock Settings");
        echo "</span></h4>
                        </div>

                        ";
        // line 113
        ob_start(function () { return ''; });
        echo __("Background colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the background colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["bgColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "bgColor", 1 => "#f9f9f9"], "method", false, false, false, 115), ($context["helpText"] ?? null)], 115, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 117
        ob_start(function () { return ''; });
        echo __("Case colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the case colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["caseColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "caseColor", 1 => "#222"], "method", false, false, false, 119), ($context["helpText"] ?? null)], 119, $context, $this->getSourceContext());
        echo "

                        ";
        // line 121
        ob_start(function () { return ''; });
        echo __("Hour hand colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the hour hand colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["hourHandColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "hourHandColor", 1 => "#333"], "method", false, false, false, 123), ($context["helpText"] ?? null)], 123, $context, $this->getSourceContext());
        echo "

                        ";
        // line 125
        ob_start(function () { return ''; });
        echo __("Minute hand colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the minute hand colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 127
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["minuteHandColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "minuteHandColor", 1 => "#333"], "method", false, false, false, 127), ($context["helpText"] ?? null)], 127, $context, $this->getSourceContext());
        echo "

                        ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Show seconds hand?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to show the seconds hand.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showSecondsHand", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showSecondsHand", 1 => 1], "method", false, false, false, 131), ($context["helpText"] ?? null)], 131, $context, $this->getSourceContext());
        echo "

                        ";
        // line 133
        ob_start(function () { return ''; });
        echo __("Seconds hand colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the seconds hand colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["secondsHandColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "secondsHandColor", 1 => "#aa0202"], "method", false, false, false, 135), ($context["helpText"] ?? null), "seconds-fields"], 135, $context, $this->getSourceContext());
        echo "
                        <hr class=\"seconds-fields\">

                        ";
        // line 138
        ob_start(function () { return ''; });
        echo __("Dial centre colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the dial centre colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["dialColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dialColor", 1 => "#222"], "method", false, false, false, 140), ($context["helpText"] ?? null)], 140, $context, $this->getSourceContext());
        echo "

                        ";
        // line 142
        ob_start(function () { return ''; });
        echo __("Show steps?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to show the clock steps.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showSteps", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showSteps", 1 => 1], "method", false, false, false, 144), ($context["helpText"] ?? null)], 144, $context, $this->getSourceContext());
        echo "

                        ";
        // line 146
        ob_start(function () { return ''; });
        echo __("Steps colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the steps colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["stepsColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "stepsColor", 1 => "#333"], "method", false, false, false, 148), ($context["helpText"] ?? null), "steps-fields"], 148, $context, $this->getSourceContext());
        echo "

                        ";
        // line 150
        ob_start(function () { return ''; });
        echo __("Secondary steps colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the secondary steps colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["secondaryStepsColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "secondaryStepsColor", 1 => "#333"], "method", false, false, false, 152), ($context["helpText"] ?? null), "steps-fields"], 152, $context, $this->getSourceContext());
        echo "
                        <hr class=\"steps-fields\">

                        ";
        // line 155
        ob_start(function () { return ''; });
        echo __("Detailed look?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to show a more detailed look for the clock ( using shadows and 3D effects ).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 157
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showDetailed", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showDetailed", 1 => 1], "method", false, false, false, 157), ($context["helpText"] ?? null)], 157, $context, $this->getSourceContext());
        echo "

                        ";
        // line 159
        ob_start(function () { return ''; });
        echo __("Show inner digital clock?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 160
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to show a small inner digital clock.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 161
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showMiniDigitalClock", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showMiniDigitalClock", 1 => 1], "method", false, false, false, 161), ($context["helpText"] ?? null)], 161, $context, $this->getSourceContext());
        echo "

                        ";
        // line 163
        ob_start(function () { return ''; });
        echo __("Digital clock text colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 164
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the digital clock text colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 165
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["digitalClockTextColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "digitalClockTextColor", 1 => "#3b3b3b"], "method", false, false, false, 165), ($context["helpText"] ?? null), "inner-digital-fields"], 165, $context, $this->getSourceContext());
        echo "

                        ";
        // line 167
        ob_start(function () { return ''; });
        echo __("Digital clock background colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 168
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the digital clock background colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 169
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["digitalClockBgColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "digitalClockBgColor", 1 => "#e6e6e6"], "method", false, false, false, 169), ($context["helpText"] ?? null), "inner-digital-fields"], 169, $context, $this->getSourceContext());
        echo "
                        <hr class=\"inner-digital-fields\">

                        ";
        // line 172
        ob_start(function () { return ''; });
        echo __("Show label?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 173
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to show the timezone label.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 174
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showLabel", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showLabel", 1 => 1], "method", false, false, false, 174), ($context["helpText"] ?? null)], 174, $context, $this->getSourceContext());
        echo "

                        ";
        // line 176
        ob_start(function () { return ''; });
        echo __("Label text colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the label text colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 178
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["labelTextColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "labelTextColor", 1 => "#f9f9f9"], "method", false, false, false, 178), ($context["helpText"] ?? null), "label-fields"], 178, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 180
        ob_start(function () { return ''; });
        echo __("Label background colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 181
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the label background colour");
        $context["helpBg"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 182
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["labelBgColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "labelBgColor", 1 => "#222"], "method", false, false, false, 182), ($context["helpText"] ?? null), "label-fields"], 182, $context, $this->getSourceContext());
        echo "
                        <hr class=\"label-fields\">
                    </div>

                    <div class=\"tab-pane\" id=\"templatePreset\">
                        ";
        // line 187
        ob_start(function () { return ''; });
        echo __("Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 188
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 189
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["templateId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "templateId"], "method", false, false, false, 189), ($context["templatesAvailable"] ?? null), "id", "value", ($context["helptext"] ?? null), "template-selector-control selectPicker selectPickerWithImage", null, null, null, [0 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 1 => ["name" => "data-width", "value" => "100%"]], null, "image"], 189, $context, $this->getSourceContext());
        echo "

                        ";
        // line 191
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 192
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 193
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["overrideTemplate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "overrideTemplate", 1 => 0], "method", false, false, false, 193), ($context["helpText"] ?? null)], 193, $context, $this->getSourceContext());
        echo "

                        ";
        // line 195
        ob_start(function () { return ''; });
        // line 196
        echo "                            ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 198
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["useTemplatesMessage"] ?? null), "template-override-controls"], 198, $context, $this->getSourceContext());
        echo "

                        ";
        // line 200
        ob_start(function () { return ''; });
        echo __("Original Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 201
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended width of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 202
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalWidth", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalWidth", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 202), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 202, $context, $this->getSourceContext());
        echo "

                        ";
        // line 204
        ob_start(function () { return ''; });
        echo __("Original Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 205
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended height of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 206
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalHeight", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalHeight", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 206), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 206, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"mainTemplateTab\">
                        <div class=\"editor-messages\">
                            ";
        // line 211
        ob_start(function () { return ''; });
        echo __("Enter a format for the World Clock. See the manual for more information.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 212
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), ""], 212, $context, $this->getSourceContext());
        echo "

                            ";
        // line 214
        ob_start(function () { return ''; });
        // line 215
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 217
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "mainTemplate-advanced-editor-hide inline-editor-hide"], 217, $context, $this->getSourceContext());
        echo "

                            ";
        // line 219
        echo twig_call_macro($macros["forms"], "macro_message", [($context["playlistEditorMessage"] ?? null), "playlist-editor-message mainTemplate-advanced-editor-show"], 219, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"ckeditor_controls inline-editor-hide row\" data-linked-to=\"mainTemplate\">
                            <div class=\"offset-sm-4 col-sm-8\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 225
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\" 
                                            class=\"ckeditor_snippets_select form-control\"
                                            data-linked-to=\"mainTemplate\">
                                            <option value=\"\"></option>
                                            <option value=\"DD MMMM, YYYY\">Date</option>
                                            <option value=\"HH:mm:ss\">Time</option>
                                            <option value=\"ss\">Seconds</option>
                                            <option value=\"mm\">Minutes</option>
                                            <option value=\"HH\">Hours (0-23)</option>
                                            <option value=\"hh\">Hours (0-12)</option>
                                            <option value=\"A\">AM/PM</option>
                                            <option value=\"DD\">Days</option>
                                            <option value=\"MM\">Month</option>
                                            <option value=\"MMM\">Month Short Name</option>
                                            <option value=\"MMMM\">Month Long Name</option>
                                            <option value=\"YY\">~Year Short</option>
                                            <option value=\"YYYY\">~Year Long</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        ";
        // line 250
        echo twig_call_macro($macros["forms"], "macro_textarea", ["mainTemplate", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "mainTemplate"], "method", false, false, false, 250), "", "inline-editor-hide", "", 10], 250, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\"> 
                        <div class=\"form-content-title\">
                            <h4>";
        // line 255
        echo __("Optional Stylesheet");
        echo "</h4>
                        </div>

                        ";
        // line 258
        echo twig_call_macro($macros["forms"], "macro_textarea", ["styleSheet", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "styleSheet"], "method", false, false, false, 258), "", "", "", 10], 258, $context, $this->getSourceContext());
        echo "
                    </div>

                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "worldclock-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  695 => 258,  689 => 255,  681 => 250,  653 => 225,  644 => 219,  638 => 217,  632 => 215,  630 => 214,  624 => 212,  620 => 211,  611 => 206,  606 => 205,  602 => 204,  596 => 202,  591 => 201,  587 => 200,  581 => 198,  575 => 196,  573 => 195,  567 => 193,  562 => 192,  558 => 191,  552 => 189,  547 => 188,  543 => 187,  534 => 182,  529 => 181,  525 => 180,  519 => 178,  514 => 177,  510 => 176,  504 => 174,  499 => 173,  495 => 172,  488 => 169,  483 => 168,  479 => 167,  473 => 165,  468 => 164,  464 => 163,  458 => 161,  453 => 160,  449 => 159,  443 => 157,  438 => 156,  434 => 155,  427 => 152,  422 => 151,  418 => 150,  412 => 148,  407 => 147,  403 => 146,  397 => 144,  392 => 143,  388 => 142,  382 => 140,  377 => 139,  373 => 138,  366 => 135,  361 => 134,  357 => 133,  351 => 131,  346 => 130,  342 => 129,  336 => 127,  331 => 126,  327 => 125,  321 => 123,  316 => 122,  312 => 121,  306 => 119,  301 => 118,  297 => 117,  291 => 115,  286 => 114,  282 => 113,  276 => 110,  267 => 105,  262 => 104,  258 => 103,  252 => 101,  247 => 100,  243 => 99,  237 => 97,  235 => 95,  234 => 94,  232 => 93,  227 => 92,  222 => 91,  217 => 90,  213 => 89,  204 => 83,  194 => 77,  192 => 75,  191 => 74,  190 => 73,  188 => 72,  183 => 71,  178 => 70,  174 => 69,  171 => 68,  166 => 67,  162 => 66,  156 => 64,  151 => 63,  147 => 62,  141 => 60,  136 => 59,  132 => 58,  126 => 56,  121 => 55,  117 => 54,  111 => 51,  105 => 48,  99 => 45,  95 => 44,  91 => 43,  85 => 40,  79 => 37,  75 => 36,  71 => 34,  67 => 33,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "worldclock-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/worldclock-form-edit.twig");
    }
}
