<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* display-form-edit.twig */
class __TwigTemplate_9f723c4881ba895ab42faa8e84996f101e9140972bd25a502e5a267d93359eae extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "display-form-edit.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "display-form-edit.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Edit Display");
    }

    // line 30
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 32
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 33
        echo __("Save");
        echo ", displayEditFormSubmit()
";
    }

    // line 36
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "displayEditFormOpen";
    }

    // line 38
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "overrideConfig", [], "any", false, false, false, 38));
    }

    // line 40
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 41
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#location\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Location");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#maintenance\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Maintenance");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#wol\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 47
        echo __("Wake on LAN");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#settings\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 48
        echo __("Profile Settings");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#remote\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 49
        echo __("Remote");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#advanced\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 50
        echo __("Advanced");
        echo "</span></a></li>
            </ul>
            <form id=\"displayEditForm\" class=\"DisplayForm XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 52
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("display.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "displayId", [], "any", false, false, false, 52)]), "html", null, true);
        echo "\" data-gettag=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 55
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 55)) {
            // line 56
            echo "                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\">";
            // line 57
            echo __("Current Folder");
            echo "</label>
                            <div class=\"col-sm-10\" style=\"padding-top: 7px\">
                                <span id=\"originalFormFolder\"></span>
                            </div>
                        </div>

                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\">";
            // line 64
            echo __("Move to Selected Folder:");
            echo "</label>
                            <div class=\"col-sm-10\">
                                <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 66
            echo __("Select Folder");
            echo "</button>
                                <span id=\"selectedFormFolder\"></span>
                            </div>
                        </div>

                        ";
            // line 71
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId", twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "folderId", [], "any", false, false, false, 71)], 71, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 73
        echo "
                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Display");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        if (($context["displayLockName"] ?? null)) {
            // line 76
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("The Name of the Display - your administrator has locked this to the device name");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 77
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_disabled", ["display", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "display", [], "any", false, false, false, 77), ($context["helpText"] ?? null), "", "required"], 77, $context, $this->getSourceContext());
            echo "
                        ";
        } else {
            // line 79
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("The Name of the Display - (1 - 50 characters).");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 80
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_input", ["display", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "display", [], "any", false, false, false, 80), ($context["helpText"] ?? null), "", "required"], 80, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 82
        echo "                
                        ";
        // line 83
        ob_start(function () { return ''; });
        echo __("Display's Hardware Key");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A unique identifier for this display.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["license", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "license", [], "any", false, false, false, 85), ($context["helpText"] ?? null), "", "required", "", false], 85, $context, $this->getSourceContext());
        echo "

                        ";
        // line 87
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A description - (1 - 254 characters).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["description", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "description", [], "any", false, false, false, 89), ($context["helpText"] ?? null)], 89, $context, $this->getSourceContext());
        echo "

                        ";
        // line 91
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 91)) {
            // line 92
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 93
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Tags for this Display - Comma separated string of Tags or Tag|Value format. If you choose a Tag that has associated values, they will be shown for selection below.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 94
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), ($context["tags"] ?? null), ($context["helpText"] ?? null), "tags-with-value"], 94, $context, $this->getSourceContext());
            echo "

                            <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

                            ";
            // line 98
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 99
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["tagValue", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "key", "value"], 99, $context, $this->getSourceContext());
            echo "

                            <div id=\"tagValueContainer\">
                                ";
            // line 102
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 103
            echo "                                ";
            ob_start(function () { return ''; });
            echo __("Please provide the value for this Tag and confirm by pressing enter on your keyboard.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 104
            echo "                                ";
            echo twig_call_macro($macros["forms"], "macro_input", ["tagValueInput", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 104, $context, $this->getSourceContext());
            echo "
                            </div>

                            <div id=\"tagValueRequired\" class=\"alert alert-info\">
                                <p>";
            // line 108
            echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
            echo "</p>
                            </div>
                        ";
        }
        // line 111
        echo "
                        ";
        // line 112
        ob_start(function () { return ''; });
        echo __("Authorise display?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use one of the available slots for this display?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yes");
        $context["yes"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("No");
        $context["no"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        $context["options"] = [0 => ["licensedid" => 1, "licensed" =>         // line 117
($context["yes"] ?? null)], 1 => ["licensedid" => 0, "licensed" =>         // line 118
($context["no"] ?? null)]];
        // line 120
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["licensed", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "licensed", [], "any", false, false, false, 120), ($context["options"] ?? null), "licensedid", "licensed", ($context["helpText"] ?? null)], 120, $context, $this->getSourceContext());
        echo "

                        ";
        // line 122
        ob_start(function () { return ''; });
        echo __("Default Layout");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Default Layout to display where there is no other content scheduled. If left empty with no other content scheduled the splash screen will be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.search")], 1 => ["name" => "data-search-term", "value" => "layout"], 2 => ["name" => "data-search-term-tags", "value" => "tags"], 3 => ["name" => "data-id-property", "value" => "layoutId"], 4 => ["name" => "data-text-property", "value" => "layout"], 5 => ["name" => "data-filter-options", "value" => "{\"retired\":\"0\"}"]];
        // line 132
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["defaultLayoutId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "defaultLayoutId", [], "any", false, false, false, 132), ($context["layouts"] ?? null), "layoutId", "layout", ($context["helpText"] ?? null), "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 132, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"location\">
                        ";
        // line 135
        ob_start(function () { return ''; });
        echo __("Latitude");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 136
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Latitude of this display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["latitude", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "latitude", [], "any", false, false, false, 137), ($context["helpText"] ?? null)], 137, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 139
        ob_start(function () { return ''; });
        echo __("Longitude");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Longitude of this Display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["longitude", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "longitude", [], "any", false, false, false, 141), ($context["helpText"] ?? null)], 141, $context, $this->getSourceContext());
        echo "

                        ";
        // line 143
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "100%"]];
        // line 146
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Timezone");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The timezone for this display, or empty to use the CMS timezone");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["timeZone", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "timeZone", [], "any", false, false, false, 148), twig_array_merge([0 => ["id" => "", "value" => ""]], ($context["timeZones"] ?? null)), "id", "value", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 148, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"maintenance\">

                        ";
        // line 152
        ob_start(function () { return ''; });
        echo __("Email Alerts");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 153
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Do you want to be notified by email if there is a problem with this display?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 154
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yes");
        $context["yes"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("No");
        $context["no"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        $context["options"] = [0 => ["id" => 0, "value" =>         // line 157
($context["no"] ?? null)], 1 => ["id" => 1, "value" =>         // line 158
($context["yes"] ?? null)]];
        // line 160
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["emailAlert", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "emailAlert", [], "any", false, false, false, 160), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 160, $context, $this->getSourceContext());
        echo "


                        ";
        // line 163
        ob_start(function () { return ''; });
        echo __("Use the Global Timeout?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 164
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this display be tested against the global time out or the Player collection interval?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 165
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["alertTimeout", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "alertTimeout", [], "any", false, false, false, 165), ($context["helpText"] ?? null)], 165, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"wol\">

                        ";
        // line 169
        ob_start(function () { return ''; });
        echo __("Enable Wake on LAN");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Wake on Lan requires the correct network configuration to route the magic packet to the display PC");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["wakeOnLanEnabled", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "wakeOnLanEnabled", [], "any", false, false, false, 171), ($context["helpText"] ?? null)], 171, $context, $this->getSourceContext());
        echo "

                        ";
        // line 173
        ob_start(function () { return ''; });
        echo __("BroadCast Address");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 174
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The IP address of the remote host's broadcast address (or gateway)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 175
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["broadCastAddress", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "broadCastAddress", [], "any", false, false, false, 175), ($context["helpText"] ?? null)], 175, $context, $this->getSourceContext());
        echo "

                        ";
        // line 177
        ob_start(function () { return ''; });
        echo __("Wake on LAN SecureOn");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 178
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter a hexadecimal password of a SecureOn enabled Network Interface Card (NIC) of the remote host. Enter a value in this pattern: 'xx-xx-xx-xx-xx-xx'. Leave the following field empty, if SecureOn is not used (for example, because the NIC of the remote host does not support SecureOn).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 179
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["secureOn", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "secureOn", [], "any", false, false, false, 179), ($context["helpText"] ?? null)], 179, $context, $this->getSourceContext());
        echo "

                        ";
        // line 181
        ob_start(function () { return ''; });
        echo __("Wake on LAN Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 182
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The time this display should receive the WOL command, using the 24hr clock - e.g. 19:00. Maintenance must be enabled.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 183
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["wakeOnLanTime", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "wakeOnLanTime", [], "any", false, false, false, 183), ($context["helpText"] ?? null)], 183, $context, $this->getSourceContext());
        echo "


                        ";
        // line 186
        ob_start(function () { return ''; });
        echo __("Wake on LAN CIDR");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 187
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter a number within the range of 0 to 32 in the following field. Leave the following field empty, if no subnet mask should be used (CIDR = 0). If the remote host's broadcast address is unknown: Enter the host name or IP address of the remote host in Broad Cast Address and enter the CIDR subnet mask of the remote host in this field.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 188
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["cidr", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "cidr", [], "any", false, false, false, 188), ($context["helpText"] ?? null)], 188, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"settings\">
                        ";
        // line 191
        ob_start(function () { return ''; });
        echo __("Settings Profile?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 192
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("What display profile should this display use? To use the default profile leave this empty.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 193
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["displayProfileId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "displayProfileId", [], "any", false, false, false, 193), twig_array_merge([0 => ["displayProfileId" => null, "name" => ""]], ($context["profiles"] ?? null)), "displayProfileId", "name", ($context["helpText"] ?? null)], 193, $context, $this->getSourceContext());
        echo "

                        ";
        // line 195
        ob_start(function () { return ''; });
        echo __("The settings for this display are shown below. They are taken from the active Display Profile for this Display, which can be changed in Display Settings. If you have altered the Settings Profile above, you will need to save and re-show the form.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 196
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 196, $context, $this->getSourceContext());
        echo "

                        <table id=\"settings-from-profile\" class=\"table table-striped\">
                            <thead>
                                <th>";
        // line 200
        echo twig_escape_filter($this->env, __("Setting"), "html", null, true);
        echo "</th>
                                <th>";
        // line 201
        echo twig_escape_filter($this->env, __("Profile"), "html", null, true);
        echo "</th>
                                <th>";
        // line 202
        echo twig_escape_filter($this->env, __("Override"), "html", null, true);
        echo "</th>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                    <div class=\"tab-pane\" id=\"advanced\">
                        ";
        // line 209
        ob_start(function () { return ''; });
        echo __("Interleave Default");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 210
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Whether to always put the default layout into the cycle.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 211
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yes");
        $context["yes"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 212
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("No");
        $context["no"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 213
        echo "                        ";
        $context["options"] = [0 => ["id" => 0, "value" =>         // line 214
($context["no"] ?? null)], 1 => ["id" => 1, "value" =>         // line 215
($context["yes"] ?? null)]];
        // line 217
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["incSchedule", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "incSchedule", [], "any", false, false, false, 217), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 217, $context, $this->getSourceContext());
        echo "

                        ";
        // line 219
        ob_start(function () { return ''; });
        echo __("Auditing until");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 220
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Collect auditing from this Player. Should only be used if there is a problem with the display.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 221
        echo "                        ";
        if (twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "isAuditing", [], "method", false, false, false, 221)) {
            // line 222
            echo "                            ";
            $context["auditing"] = twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "auditingUntilIso", [], "any", false, false, false, 222);
            // line 223
            echo "                        ";
        } else {
            // line 224
            echo "                            ";
            $context["auditing"] = "";
            // line 225
            echo "                        ";
        }
        // line 226
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["auditingUntil", ($context["title"] ?? null), ($context["auditing"] ?? null), ($context["helpText"] ?? null)], 226, $context, $this->getSourceContext());
        echo "

                        ";
        // line 228
        ob_start(function () { return ''; });
        echo __("Bandwidth limit");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 229
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The bandwidth limit that should be applied. Enter 0 for no limit.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 230
        echo "                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\" for=\"bandwidthLimit\">";
        // line 231
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-6\">
                                <input class=\"form-control\" name=\"bandwidthLimit\" type=\"number\" id=\"bandwidthLimit\" min=\"0\" value=\"";
        // line 233
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "bandwidthLimit", [], "any", false, false, false, 233), "html", null, true);
        echo "\"/>
                                <span class=\"help-block\">";
        // line 234
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                            <div class=\"col-sm-4\">
                                <select name=\"bandwidthLimitUnits\" class=\"form-control\">
                                    <option value=\"kb\">KiB</option>
                                    <option value=\"mb\">MiB</option>
                                    <option value=\"gb\">GiB</option>
                                </select>
                            </div>
                        </div>

                        ";
        // line 245
        ob_start(function () { return ''; });
        echo __("Clear Cached Data");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 246
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Remove any cached data for this display.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 247
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["clearCachedData", ($context["title"] ?? null), 1, ($context["helpText"] ?? null)], 247, $context, $this->getSourceContext());
        echo "

                        ";
        // line 249
        ob_start(function () { return ''; });
        echo __("Reconfigure XMR");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 250
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Remove the XMR configuration for this Player and send a rekey action.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 251
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["rekeyXmr", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 251, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"remote\">
                        ";
        // line 255
        ob_start(function () { return ''; });
        echo __("TeamViewer Serial");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 256
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If TeamViewer is installed on the device, enter the serial number here.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 257
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["teamViewerSerial", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "teamViewerSerial", [], "any", false, false, false, 257), ($context["helpText"] ?? null)], 257, $context, $this->getSourceContext());
        echo "

                        ";
        // line 259
        ob_start(function () { return ''; });
        echo __("Webkey Serial");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 260
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If Webkey is installed on the device, enter the serial number here.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 261
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["webkeySerial", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "webkeySerial", [], "any", false, false, false, 261), ($context["helpText"] ?? null)], 261, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>    
            </form>


            <div id=\"settings-from-display-profile\" style=\"display:none\">
                ";
        // line 269
        echo "                ";
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getClientType", [], "method", false, false, false, 269), "android"))) {
            // line 270
            echo "                    ";
            $this->loadTemplate("displayprofile-form-edit-android.twig", "display-form-edit.twig", 270)->display($context);
            // line 271
            echo "                ";
        } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getClientType", [], "method", false, false, false, 271), "windows"))) {
            // line 272
            echo "                    ";
            $this->loadTemplate("displayprofile-form-edit-windows.twig", "display-form-edit.twig", 272)->display($context);
            // line 273
            echo "                ";
        } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getClientType", [], "method", false, false, false, 273), "linux"))) {
            // line 274
            echo "                    ";
            $this->loadTemplate("displayprofile-form-edit-linux.twig", "display-form-edit.twig", 274)->display($context);
            // line 275
            echo "                ";
        } elseif (((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getClientType", [], "method", false, false, false, 275), "lg")) || (0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getClientType", [], "method", false, false, false, 275), "sssp")))) {
            // line 276
            echo "                    ";
            $this->loadTemplate("displayprofile-form-edit-soc.twig", "display-form-edit.twig", 276)->display($context);
            // line 277
            echo "                ";
        }
        // line 278
        echo "
                ";
        // line 279
        $this->loadTemplate("displayprofile-form-edit-javascript.twig", "display-form-edit.twig", 279)->display($context);
        // line 280
        echo "            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "display-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  761 => 280,  759 => 279,  756 => 278,  753 => 277,  750 => 276,  747 => 275,  744 => 274,  741 => 273,  738 => 272,  735 => 271,  732 => 270,  729 => 269,  718 => 261,  713 => 260,  709 => 259,  703 => 257,  698 => 256,  694 => 255,  686 => 251,  681 => 250,  677 => 249,  671 => 247,  666 => 246,  662 => 245,  648 => 234,  644 => 233,  639 => 231,  636 => 230,  631 => 229,  627 => 228,  621 => 226,  618 => 225,  615 => 224,  612 => 223,  609 => 222,  606 => 221,  601 => 220,  597 => 219,  591 => 217,  589 => 215,  588 => 214,  586 => 213,  581 => 212,  576 => 211,  571 => 210,  567 => 209,  557 => 202,  553 => 201,  549 => 200,  541 => 196,  537 => 195,  531 => 193,  526 => 192,  522 => 191,  515 => 188,  510 => 187,  506 => 186,  499 => 183,  494 => 182,  490 => 181,  484 => 179,  479 => 178,  475 => 177,  469 => 175,  464 => 174,  460 => 173,  454 => 171,  449 => 170,  445 => 169,  437 => 165,  432 => 164,  428 => 163,  421 => 160,  419 => 158,  418 => 157,  416 => 156,  411 => 155,  406 => 154,  401 => 153,  397 => 152,  389 => 148,  384 => 147,  379 => 146,  377 => 143,  371 => 141,  366 => 140,  362 => 139,  356 => 137,  351 => 136,  347 => 135,  340 => 132,  337 => 124,  332 => 123,  328 => 122,  322 => 120,  320 => 118,  319 => 117,  317 => 116,  312 => 115,  307 => 114,  302 => 113,  298 => 112,  295 => 111,  289 => 108,  281 => 104,  276 => 103,  272 => 102,  265 => 99,  261 => 98,  253 => 94,  248 => 93,  243 => 92,  241 => 91,  235 => 89,  230 => 88,  226 => 87,  220 => 85,  215 => 84,  211 => 83,  208 => 82,  202 => 80,  197 => 79,  191 => 77,  186 => 76,  183 => 75,  179 => 74,  176 => 73,  171 => 71,  163 => 66,  158 => 64,  148 => 57,  145 => 56,  143 => 55,  135 => 52,  130 => 50,  126 => 49,  122 => 48,  118 => 47,  114 => 46,  110 => 45,  106 => 44,  101 => 41,  97 => 40,  90 => 38,  83 => 36,  77 => 33,  73 => 32,  66 => 31,  62 => 30,  57 => 27,  53 => 26,  48 => 23,  46 => 24,  39 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "display-form-edit.twig", "/home/mgatv524/public_html/mctv/views/display-form-edit.twig");
    }
}
