<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* layout-page.twig */
class __TwigTemplate_bc4cc6ff4f9ed16ba74c24272fd030c824cbbb81b9bb18f1301f14b5833d6613 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 1
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 2
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "layout-page.twig", 2)->unwrap();
        // line 1
        $this->parent = $this->loadTemplate("authed.twig", "layout-page.twig", 1);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 4
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Layouts"), "html", null, true);
        echo " | ";
    }

    // line 6
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 7
        echo "    ";
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "layout.add"], "method", false, false, false, 7)) {
            // line 8
            echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboFormButton\" title=\"";
            // line 9
            echo __("Add a new Layout and jump to the layout designer.");
            echo "\" href=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.add.form"), "html", null, true);
            echo "\"><i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
            echo __("Add Layout");
            echo "</button>
        <button class=\"btn btn-info\" id=\"layoutUploadForm\" title=\"";
            // line 10
            echo __("Import a Layout from a ZIP file.");
            echo "\" href=\"#\"> <i class=\"fa fa-cloud-download\" aria-hidden=\"true\"></i> ";
            echo __("Import");
            echo "</button>
    </div>
    ";
        }
    }

    // line 15
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 16
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 17
        echo __("Layouts");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 19
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-type=\"layout\" data-grid-name=\"layoutView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <ul class=\"nav nav-tabs\" role=\"tablist\">
                            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general-filter\" role=\"tab\" data-toggle=\"tab\" aria-selected=\"true\"><span>";
        // line 23
        echo __("General");
        echo "</span></a></li>
                            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#advanced-filter\" role=\"tab\" data-toggle=\"tab\" aria-selected=\"false\"><span>";
        // line 24
        echo __("Advanced");
        echo "</span></a></li>
                        </ul>
                        <form class=\"form-inline d-block\">
                            <div class=\"tab-content\">
                                <div class=\"tab-pane active\" id=\"general-filter\" role=\"tabpanel\">
                                    ";
        // line 29
        ob_start(function () { return ''; });
        echo __("ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_number", ["layoutId", ($context["title"] ?? null)], 30, $context, $this->getSourceContext());
        echo "

                                    <div class=\"form-group mr-1 mb-1\">
                                        <label class=\"control-label mr-1\" title=\"\" for=\"layout\" accesskey=\"\">";
        // line 33
        echo __("Name");
        echo "</label>
                                        <div class=\"input-group\">
                                            <input class=\"form-control\" name=\"layout\" type=\"text\" id=\"layout\" value=\"\">
                                            <div class=\"input-group-append input-group-addon\">
                                                <div class=\"input-group-text\">
                                                    <input title=\"";
        // line 38
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    ";
        // line 44
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 44)) {
            // line 45
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 46
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("Exact match?");
            $context["exactTagTitle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 47
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("A comma separated list of tags to filter by. Enter a Tag value preceded with | to filter by Tag values. Enter --no-tag to see items without tags.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 48
            echo "                                        ";
            echo twig_call_macro($macros["inline"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), null, ($context["helpText"] ?? null), null, null, null, "exactTags", ($context["exactTagTitle"] ?? null)], 48, $context, $this->getSourceContext());
            echo "
                                    ";
        }
        // line 50
        echo "
                                    ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["codeLike", ($context["title"] ?? null)], 52, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 54
        $context["attributes"] = [0 => ["name" => "data-allow-clear", "value" => "true"], 1 => ["name" => "data-placeholder--id", "value" => null], 2 => ["name" => "data-placeholder--value", "value" => ""]];
        // line 59
        echo "
                                    ";
        // line 60
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "displaygroup.view"], "method", false, false, false, 60)) {
            // line 61
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("Display Group");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 62
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("Show Layouts active on the selected Display / Display Group");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 63
            echo "                                        ";
            echo twig_call_macro($macros["inline"], "macro_dropdown", ["activeDisplayGroupId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["displayGroupId" => null, "displayGroup" => ""]], ($context["displayGroups"] ?? null)), "displayGroupId", "displayGroup", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 63, $context, $this->getSourceContext());
            echo "
                                    ";
        }
        // line 65
        echo "
                                    ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Owner");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Show items owned by the selected User.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["userId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null)), "userId", "userName", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 68, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Owner User Group");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Show items owned by users in the selected User Group.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["ownerUserGroupId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["groupId" => null, "group" => ""]], ($context["groups"] ?? null)), "groupId", "group", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 72, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 74
        echo twig_call_macro($macros["inline"], "macro_hidden", ["folderId"], 74, $context, $this->getSourceContext());
        echo "
                                </div>
                                <div class=\"tab-pane\" id=\"advanced-filter\" role=\"tabpanel\">

                                    ";
        // line 78
        ob_start(function () { return ''; });
        echo __("Retired");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                                    ";
        $context["option1"] = __("Yes");
        // line 80
        echo "                                    ";
        $context["option2"] = __("No");
        // line 81
        echo "                                    ";
        $context["values"] = [0 => ["id" => 1, "value" => ($context["option1"] ?? null)], 1 => ["id" => 0, "value" => ($context["option2"] ?? null)]];
        // line 82
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["retired", "single", ($context["title"] ?? null), 0, ($context["values"] ?? null), "id", "value"], 82, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 84
        ob_start(function () { return ''; });
        echo __("Show");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                                    ";
        $context["option1"] = __("All");
        // line 86
        echo "                                    ";
        $context["option2"] = __("Only Used");
        // line 87
        echo "                                    ";
        $context["option3"] = __("Only Unused");
        // line 88
        echo "                                    ";
        $context["values"] = [0 => ["id" => 1, "value" => ($context["option1"] ?? null)], 1 => ["id" => 2, "value" => ($context["option2"] ?? null)], 2 => ["id" => 3, "value" => ($context["option3"] ?? null)]];
        // line 89
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["layoutStatusId", "single", ($context["title"] ?? null), 1, ($context["values"] ?? null), "id", "value"], 89, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 91
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                                    ";
        $context["option1"] = __("All");
        // line 93
        echo "                                    ";
        $context["option2"] = __("1st line");
        // line 94
        echo "                                    ";
        $context["option3"] = __("Widget List");
        // line 95
        echo "                                    ";
        $context["values"] = [0 => ["id" => 1, "value" => ($context["option1"] ?? null)], 1 => ["id" => 2, "value" => ($context["option2"] ?? null)], 2 => ["id" => 3, "value" => ($context["option3"] ?? null)]];
        // line 96
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["showDescriptionId", "single", ($context["title"] ?? null), 2, ($context["values"] ?? null), "id", "value"], 96, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 98
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "library.view"], "method", false, false, false, 98)) {
            // line 99
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("Media");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 100
            echo "                                        ";
            echo twig_call_macro($macros["inline"], "macro_input", ["mediaLike", ($context["title"] ?? null)], 100, $context, $this->getSourceContext());
            echo "
                                    ";
        }
        // line 102
        echo "                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                <div class=\"row\">
                    <div class=\"col-sm-2 p-3 bg-light\" id=\"grid-folder-filter\">
                        <div class=\"form-check\">
                            <input type=\"checkbox\" class=\"form-check-input\" id=\"folder-tree-clear-selection-button\">
                            <label class=\"form-check-label\" for=\"folder-tree-clear-selection-button\" title=\"";
        // line 112
        echo __("Search in all folders");
        echo "\">";
        echo __("All Folders");
        echo "</label>
                        </div>
                        <div id=\"container-folder-tree\"></div>
                    </div>

                    <div class=\"folder-controller d-none\">
                        <button type=\"button\" id=\"folder-tree-select-folder-button\" class=\"btn btn-outline-secondary\" title=\"";
        // line 118
        echo __("Open / Close Folder Search options");
        echo "\"><i class=\"fas fa-folder fa-1x\"></i></button>
                        <div id=\"breadcrumbs\" class=\"mt-2 pl-2\"></div>
                    </div>
                    
                    <div id=\"datatable-container\" class=\"card col-sm-10 pt-4 px-2\">
                        <div class=\"XiboData\">
                            <table id=\"layouts\" class=\"table table-striped responsive nowrap\" data-content-type=\"layout\" data-content-id-name=\"layoutId\" data-state-preference-name=\"layoutGrid\" style=\"width: 100%;\">
                                <thead>
                                    <tr>
                                        <th>";
        // line 127
        echo __("ID");
        echo "</th>
                                        <th>";
        // line 128
        echo __("Name");
        echo "</th>
                                        <th>";
        // line 129
        echo __("Status");
        echo "</th>
                                        <th>";
        // line 130
        echo __("Description");
        echo "</th>
                                        <th>";
        // line 131
        echo __("Duration");
        echo "</th>
                                        ";
        // line 132
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 132)) {
            echo "<th>";
            echo __("Tags");
            echo "</th>";
        }
        // line 133
        echo "                                        <th>";
        echo __("Thumbnail");
        echo "</th>
                                        <th>";
        // line 134
        echo __("Owner");
        echo "</th>
                                        <th>";
        // line 135
        echo __("Sharing");
        echo "</th>
                                        <th>";
        // line 136
        echo __("Valid?");
        echo "</th>
                                        <th>";
        // line 137
        echo __("Stats?");
        echo "</th>
                                        <th>";
        // line 138
        echo __("Created");
        echo "</th>
                                        <th>";
        // line 139
        echo __("Modified");
        echo "</th>
                                        <th>";
        // line 140
        echo __("Code");
        echo "</th>
                                        <th class=\"rowMenu\"></th>
                                    </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 156
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 157
        echo "    <script type=\"text/javascript\">
        var table;
        \$(document).ready(function() {
            ";
        // line 160
        if ( !twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 160)) {
            // line 161
            echo "            disableFolders();
            ";
        }
        // line 163
        echo "
            table = \$(\"#layouts\").DataTable({
                \"language\": dataTablesLanguage,
                \"lengthMenu\": [10, 25, 50, 100, 250, 500],
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                stateDuration: 0,
                responsive: true,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                filter: false,
                searchDelay: 3000,
                dataType: 'json',
                \"order\": [[1, \"asc\"]],
                ajax: {
                    url: \"";
        // line 179
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.search"), "html", null, true);
        echo "\",
                    \"data\": function (d) {
                        \$.extend(d, \$(\"#layouts\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {\"data\": \"layoutId\", responsivePriority: 2},
                    {
                        \"data\": \"layout\",
                        responsivePriority: 2,
                        \"render\": dataTableSpacingPreformatted
                    },
                    {
                        \"name\": \"publishedStatus\",
                        responsivePriority: 2,
                        \"data\": function (data, type) {
                            if (data.publishedDate != null) {
                                var now = moment();
                                var published = moment(data.publishedDate);
                                var differenceMinutes = published.diff(now, 'minutes');
                                var momentDifference = moment(now).to(published);

                                if (differenceMinutes < -5) {
                                    return data.publishedStatus.concat(\" - \", data.publishedStatusFailed);
                                } else {
                                    return data.publishedStatus.concat(\" - \", data.publishedStatusFuture.replace('%s', momentDifference));
                                }
                            } else {
                                return data.publishedStatus;
                            }

                        }
                    },
                    {
                        \"name\": \"description\",
                        \"data\": null,
                        responsivePriority: 5,
                        \"render\": {\"_\": \"description\", \"display\": \"descriptionFormatted\", \"sort\": \"description\"}
                    },
                    {
                        \"name\": \"duration\",
                        responsivePriority: 3,
                        \"data\": function (data, type) {
                            if (type != \"display\")
                                return data.duration;

                            return dataTableTimeFromSeconds(data.duration, type);
                        }
                    },
                    ";
        // line 228
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 228)) {
            echo "{
                        \"sortable\": false,
                        \"visible\": false,
                        responsivePriority: 3,
                        \"data\": dataTableCreateTags
                    },";
        }
        // line 234
        echo "                    {
                        \"name\": \"layoutId\",
                        responsivePriority: 5,
                        \"data\": null,
                        \"render\": {\"_\": \"thumbnail\", \"display\": \"thumbnail\", \"sort\": \"layoutId\"}
                    },
                    {\"data\": \"owner\", responsivePriority: 4},
                    {
                        \"data\": \"groupsWithPermissions\",
                        responsivePriority: 4,
                        \"render\": dataTableCreatePermissions
                    },
                    {
                        \"name\": \"status\",
                        responsivePriority: 3,
                        \"data\": function (data, type) {
                            if (type != \"display\")
                                return data.status;

                            var icon = \"\";
                            if (data.status == 1)
                                icon = \"fa-check\";
                            else if (data.status == 2)
                                icon = \"fa-exclamation\";
                            else if (data.status == 3)
                                icon = \"fa-cogs\";
                            else
                                icon = \"fa-times\";

                            return '<span class=\"fa ' + icon + '\" title=\"' + (data.statusDescription) + ((data.statusMessage == null) ? \"\" : \" - \" + (data.statusMessage)) + '\"></span>';
                        }
                    },
                    {
                        \"name\": \"enableStat\",
                        responsivePriority: 4,
                        \"data\": function (data) {

                            var icon = \"\";
                            if (data.enableStat == 1)
                                icon = \"fa-check\";
                            else
                                icon = \"fa-times\";

                            return '<span class=\"fa ' + icon + '\" title=\"' + (data.enableStatDescription) + '\"></span>';
                        }
                    },
                    {
                        \"data\": \"createdDt\",
                        responsivePriority: 6,
                        \"render\": dataTableDateFromIso,
                        \"visible\": false
                    },
                    {
                        \"data\": \"modifiedDt\",
                        responsivePriority: 6,
                        \"render\": dataTableDateFromIso,
                        \"visible\": false
                    },
                    {\"data\": \"code\", \"visible\":false, responsivePriority: 4},
                    {
                        \"orderable\": false,
                        responsivePriority: 1,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('draw', { form: \$(\"#layouts\").closest(\".XiboGrid\").find(\".FilterDiv form\") } ,dataTableCreateTagEvents);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#layouts_wrapper').find('.dataTables_buttons'));
        });

        \$(\"#layoutUploadForm\").click(function(e) {
            e.preventDefault();
            var currentWorkingFolderId = \$('#folderId').val();

            // Open the upload dialog with our options.
            openUploadForm({
                url: \"";
        // line 313
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.import"), "html", null, true);
        echo "\",
                title: \"";
        // line 314
        echo twig_escape_filter($this->env, __("Upload Layout"), "html", null, true);
        echo "\",
                videoImageCovers: false,
                buttons: {
                    main: {
                        label: \"";
        // line 318
        echo twig_escape_filter($this->env, __("Done"), "html", null, true);
        echo "\",
                        className: \"btn-primary btn-bb-main\",
                        callback: function () {
                            table.ajax.reload();
                            XiboDialogClose();
                        }
                    }
                },
                templateOptions: {
                    layoutImport: true,
                    updateInAllChecked: ";
        // line 328
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_UPDATEINALL_CHECKB", [], "any", false, false, false, 328), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                    deleteOldRevisionsChecked: ";
        // line 329
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_DELETEOLDVER_CHECKB", [], "any", false, false, false, 329), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                    trans: {
                        addFiles: \"";
        // line 331
        echo twig_escape_filter($this->env, __("Add Layout Export ZIP Files"), "html", null, true);
        echo "\",
                        startUpload: \"";
        // line 332
        echo twig_escape_filter($this->env, __("Start Import"), "html", null, true);
        echo "\",
                        cancelUpload: \"";
        // line 333
        echo twig_escape_filter($this->env, __("Cancel Import"), "html", null, true);
        echo "\",
                        replaceExistingMediaMessage: \"";
        // line 334
        echo twig_escape_filter($this->env, __("Replace Existing Media?"), "html", null, true);
        echo "\",
                        importTagsMessage: \"";
        // line 335
        echo twig_escape_filter($this->env, __("Import Tags?"), "html", null, true);
        echo "\",
                        useExistingDataSetsMessage: \"";
        // line 336
        echo twig_escape_filter($this->env, __("Use existing DataSets matched by name?"), "html", null, true);
        echo "\",
                        dataSetDataMessage: \"";
        // line 337
        echo twig_escape_filter($this->env, __("Import DataSet Data?"), "html", null, true);
        echo "\",
                        selectFolder: \"";
        // line 338
        echo twig_escape_filter($this->env, __("Select Folder"), "html", null, true);
        echo "\",
                        selectFolderTitle: \"";
        // line 339
        echo twig_escape_filter($this->env, __("Change Current Folder location"), "html", null, true);
        echo "\",
                        selectedFolder: \"";
        // line 340
        echo twig_escape_filter($this->env, __("Current Folder"), "html", null, true);
        echo ":\",
                        selectedFolderTitle: \"";
        // line 341
        echo twig_escape_filter($this->env, __("Upload files to this Folder"), "html", null, true);
        echo "\"
                    },
                    upload: {
                        maxSize: ";
        // line 344
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSize", [], "any", false, false, false, 344), "html", null, true);
        echo ",
                        maxSizeMessage: \"";
        // line 345
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSizeMessage", [], "any", false, false, false, 345), "html", null, true);
        echo "\",
                        validExt: \"zip\"
                    },
                    currentWorkingFolderId: currentWorkingFolderId,
                    folderSelector: true
                },
                formOpenedEvent: function () {
                    // Configure the active behaviour of the checkboxes
                    \$(\"#useExistingDataSets\").on(\"click\", function () {
                        \$(\"#importDataSetData\").prop(\"disabled\", (\$(this).is(\":checked\")));
                    });
                },
                uploadDoneEvent: function (data) {
                    XiboDialogClose();
                    table.ajax.reload();
                }
            });
        });

        function layoutAddFormOpen() {
            if (\$('#folder-tree-form-modal').length === 0) {
                // compile tree folder modal and append it to Form
                var folderTreeModal = Handlebars.compile(\$('#folder-tree-template').html());
                var treeConfig = {\"container\": \"container-folder-form-tree\", \"modal\": \"folder-tree-form-modal\"};
                \$(\"body\").append(folderTreeModal(treeConfig));

                \$(\"#folder-tree-form-modal\").on('hidden.bs.modal', function () {
                    // Fix for 2nd/overlay modal
                    \$('.modal:visible').length && \$(document.body).addClass('modal-open');
                    
                    \$(this).data('bs.modal', null);
                });
            }

            // select current working folder if one is selected in the grid
            if (\$('#container-folder-tree').jstree(\"get_selected\", true)[0] !== undefined) {
                \$('#layoutAddForm' + ' #folderId').val(\$('#container-folder-tree').jstree(\"get_selected\", true)[0].id);
            }

            initJsTreeAjax(\$('#folder-tree-form-modal').find('#container-folder-form-tree'), 'layoutAddForm', true, 600);

            \$(\"#layoutAddForm\").submit(function(e) {
                e.preventDefault();
                var form = \$(this);

                var url = \$(this).data().redirect;

                \$.ajax({
                    type: \$(this).attr(\"method\"),
                    url: \$(this).attr(\"action\"),
                    data: \$(this).serialize(),
                    cache: false,
                    dataType:\"json\",
                    success: function(xhr, textStatus, error) {

                        XiboSubmitResponse(xhr, form);

                        if (xhr.success) {
                            // Reload the designer
                            XiboRedirect(url.replace(\":id\", xhr.id));
                        }
                    }
                });
            });
        }

        function layoutExportFormSubmit() {
            var \$form = \$(\"#layoutExportForm\");
            window.location = \$form.attr(\"action\") + \"?\" + \$form.serialize();

            setTimeout(function() {
                XiboDialogClose();
            }, 1000);
        }

        function assignLayoutToCampaignFormSubmit() {
            var form = \$(\"#layoutAssignCampaignForm\");

            var url = form.prop(\"action\").replace(\":id\", form.find(\"#campaignId\").val());

            \$.ajax({
                type: form.attr(\"method\"),
                url: url,
                data: {layoutId: form.data().layoutId},
                cache: false,
                dataType:\"json\",
                success: XiboSubmitResponse
            });
        }

        function setEnableStatMultiSelectFormOpen(dialog) {
            var \$input = \$('<input type=checkbox id=\"enableStat\" name=\"enableStat\"> ";
        // line 436
        echo twig_escape_filter($this->env, __("Enable Stats Collection?"), "html", null, true);
        echo " </input>');
            var \$helpText = \$('<span class=\"help-block\">";
        // line 437
        echo twig_escape_filter($this->env, __("Check to enable the collection of Proof of Play statistics for the selected items."), "html", null, true);
        echo "</span>');

            \$input.on('change', function() {
                dialog.data().commitData = {enableStat: \$(this).val()};
            });

            \$(dialog).find('.modal-body').append(\$input);
            \$(dialog).find('.modal-body').append(\$helpText);
        }

    </script>
";
    }

    public function getTemplateName()
    {
        return "layout-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  795 => 437,  791 => 436,  697 => 345,  693 => 344,  687 => 341,  683 => 340,  679 => 339,  675 => 338,  671 => 337,  667 => 336,  663 => 335,  659 => 334,  655 => 333,  651 => 332,  647 => 331,  638 => 329,  630 => 328,  617 => 318,  610 => 314,  606 => 313,  525 => 234,  516 => 228,  464 => 179,  446 => 163,  442 => 161,  440 => 160,  435 => 157,  431 => 156,  412 => 140,  408 => 139,  404 => 138,  400 => 137,  396 => 136,  392 => 135,  388 => 134,  383 => 133,  377 => 132,  373 => 131,  369 => 130,  365 => 129,  361 => 128,  357 => 127,  345 => 118,  334 => 112,  322 => 102,  316 => 100,  311 => 99,  309 => 98,  303 => 96,  300 => 95,  297 => 94,  294 => 93,  291 => 92,  287 => 91,  281 => 89,  278 => 88,  275 => 87,  272 => 86,  269 => 85,  265 => 84,  259 => 82,  256 => 81,  253 => 80,  250 => 79,  246 => 78,  239 => 74,  233 => 72,  228 => 71,  224 => 70,  218 => 68,  213 => 67,  209 => 66,  206 => 65,  200 => 63,  195 => 62,  190 => 61,  188 => 60,  185 => 59,  183 => 54,  177 => 52,  173 => 51,  170 => 50,  164 => 48,  159 => 47,  154 => 46,  149 => 45,  147 => 44,  138 => 38,  130 => 33,  123 => 30,  119 => 29,  111 => 24,  107 => 23,  100 => 19,  95 => 17,  92 => 16,  88 => 15,  78 => 10,  70 => 9,  67 => 8,  64 => 7,  60 => 6,  52 => 4,  47 => 1,  45 => 2,  38 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "layout-page.twig", "/home/mgatv524/public_html/mctv/views/layout-page.twig");
    }
}
