<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-page.twig */
class __TwigTemplate_07782b4d2d5cbfa1cef16bdb4e3a58556fe53f0494dc6971a5b4fa013cd2d160 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
            'javaScriptTemplates' => [$this, 'block_javaScriptTemplates'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "dataset-page.twig", 24)->unwrap();
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "dataset-page.twig", 25)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "dataset-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("DataSets"), "html", null, true);
        echo " | ";
    }

    // line 29
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "    ";
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "dataset.add"], "method", false, false, false, 30)) {
            // line 31
            echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboFormButton btns\" title=\"";
            // line 32
            echo __("Add a new DataSet");
            echo "\" href=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.add.form"), "html", null, true);
            echo "\"> <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
            echo __("Add DataSet");
            echo "</button>
    </div>
    ";
        }
    }

    // line 37
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 39
        echo __("DataSets");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 41
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\" onsubmit=\"return false\">
                            <div class=\"form-group mr-1 mb-1\">
                                <label class=\"control-label mr-1\" title=\"\" for=\"dataSet\" accesskey=\"\">";
        // line 46
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"dataSet\" type=\"text\" id=\"dataSet\" value=\"\">
                                        <div class=\"input-group-append input-group-addon\">
                                            <div class=\"input-group-text\">
                                                <input title=\"";
        // line 52
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items which match the provided code");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_input", ["code", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 61, $context, $this->getSourceContext());
        echo "

                            ";
        // line 63
        ob_start(function () { return ''; });
        echo __("Owner");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items owned by the selected User.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["userId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null)), "userId", "userName", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 65, $context, $this->getSourceContext());
        echo "

                            ";
        // line 67
        echo twig_call_macro($macros["inline"], "macro_hidden", ["folderId"], 67, $context, $this->getSourceContext());
        echo "
                        </form>
                    </div>
                </div>

                <div class=\"row\">
                    <div class=\"col-sm-2 p-3 bg-light\" id=\"grid-folder-filter\">
                        <div class=\"form-check\">
                            <input type=\"checkbox\" class=\"form-check-input\" id=\"folder-tree-clear-selection-button\">
                            <label class=\"form-check-label\" for=\"folder-tree-clear-selection-button\" title=\"";
        // line 76
        echo __("Search in all folders");
        echo "\">";
        echo __("All Folders");
        echo "</label>
                        </div>
                        <div id=\"container-folder-tree\"></div>
                    </div>
                    <div class=\"folder-controller d-none\">
                        <button type=\"button\" id=\"folder-tree-select-folder-button\" class=\"btn btn-outline-secondary\" title=\"";
        // line 81
        echo __("Open / Close Folder Search options");
        echo "\"><i class=\"fas fa-folder fa-1x\"></i></button>
                        <div id=\"breadcrumbs\" class=\"mt-2 pl-2\"></div>
                    </div>
                    <div id=\"datatable-container\" class=\"card col-sm-10 pt-4 px-2\">
                        <div class=\"XiboData\">
                            <table id=\"datasets\" class=\"table table-striped\" data-state-preference-name=\"dataSetGrid\" style=\"width: 100%;\">
                                <thead>
                                    <tr>
                                        <th>";
        // line 89
        echo __("ID");
        echo "</th>
                                        <th>";
        // line 90
        echo __("Name");
        echo "</th>
                                        <th>";
        // line 91
        echo __("Description");
        echo "</th>
                                        <th>";
        // line 92
        echo __("Code");
        echo "</th>
                                        <th>";
        // line 93
        echo __("Remote?");
        echo "</th>
                                        <th>";
        // line 94
        echo __("Owner");
        echo "</th>
                                        <th>";
        // line 95
        echo __("Sharing");
        echo "</th>
                                        <th>";
        // line 96
        echo __("Last Sync");
        echo "</th>
                                        <th class=\"rowMenu\"></th>
                                    </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 112
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 113
        echo "    <script type=\"text/javascript\">
        var table;
        \$(document).ready(function() {
            ";
        // line 116
        if ( !twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 116)) {
            // line 117
            echo "            disableFolders();
            ";
        }
        // line 119
        echo "
            table = \$(\"#datasets\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                stateDuration: 0,
                responsive: true,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                filter: false,
                searchDelay: 3000,
                \"order\": [[ 0, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 133
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.search"), "html", null, true);
        echo "\",
                    \"data\": function(d) {
                        \$.extend(d, \$(\"#datasets\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    { \"data\": \"dataSetId\", responsivePriority: 2 },
                    { \"data\": \"dataSet\", \"render\": dataTableSpacingPreformatted, responsivePriority: 2 },
                    { \"data\": \"description\", responsivePriority: 4 },
                    { \"data\": \"code\", responsivePriority: 3 },
                    {
                        \"data\": \"isRemote\",
                        responsivePriority: 3,
                        \"render\": dataTableTickCrossColumn
                    },
                    { \"data\": \"owner\", responsivePriority: 3 },
                    {
                        \"data\": \"groupsWithPermissions\",
                        responsivePriority: 3,
                        \"render\": dataTableCreatePermissions
                    },
                    {
                        \"data\": \"lastSync\",
                        responsivePriority: 4,
                        \"render\": dataTableDateFromUnix
                    },
                    {
                        \"orderable\": false,
                        responsivePriority: 1,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            table.on('draw', function(e, settings) {
                dataTableDraw(e, settings);

                // Upload form
                \$(\".dataSetImportForm\").click(function(e) {
                    e.preventDefault();

                    var template = Handlebars.compile(\$(\"#template-dataset-upload\").html());
                    var data = table.row(\$(this).closest(\"tr\")).data();
                    var columns = [];
                    var i = 1;

                    \$.each(data.columns, function (index, element) {
                        if (element.dataSetColumnTypeId === 1) {
                            element.index = i;
                            columns.push(element);
                            i++;
                        }
                    });

                    // Handle bars and open a dialog
                    bootbox.dialog({
                        message: template({
                            trans: {
                                addFiles: \"";
        // line 191
        echo __("Add CSV Files");
        echo "\",
                                startUpload: \"";
        // line 192
        echo __("Start upload");
        echo "\",
                                cancelUpload: \"";
        // line 193
        echo __("Cancel upload");
        echo "\",
                                processing: \"";
        // line 194
        echo __("Processing...");
        echo "\"
                            },
                            upload: {
                                maxSize: ";
        // line 197
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSize", [], "any", false, false, false, 197), "html", null, true);
        echo ",
                                maxSizeMessage: \"";
        // line 198
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSizeMessage", [], "any", false, false, false, 198), "html", null, true);
        echo "\",
                                validExt: \"";
        // line 199
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "validExt", [], "any", false, false, false, 199), "html", null, true);
        echo "\",
                                utf8Message: \"";
        // line 200
        echo __("If the CSV file contains non-ASCII characters please ensure the file is UTF-8 encoded");
        echo "\"
                            },
                            columns: columns
                        }),
                        title: \"";
        // line 204
        echo __("CSV Import");
        echo "\",
                        size: 'large',
                        buttons: {
                            main: {
                                label: \"";
        // line 208
        echo __("Done");
        echo "\",
                                className: \"btn-primary btn-bb-main\",
                                callback: function() {
                                    table.ajax.reload();
                                    XiboDialogClose();
                                }
                            },
                            help: {
                                label: \"";
        // line 216
        echo __("Help");
        echo "\",
                                className: \"default btn-bb-help\",
                                callback: function() {
                                    XiboHelpRender(\"";
        // line 219
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["helpService"] ?? null), "link", [0 => "dataset"], "method", false, false, false, 219), "html", null, true);
        echo "#Importing_from_CSV_file\");
                                }
                            }
                        }
                    }).on('shown.bs.modal', function() {
                        // Configure the upload form
                        var url = \"";
        // line 225
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.import", ["id" => ":id"]), "html", null, true);
        echo "\".replace(\":id\", data.dataSetId);
                        var form = \$(this).find(\"form\");
                        var refreshSessionInterval;

                        // Initialize the jQuery File Upload widget:
                        form.fileupload({
                            url: url,
                            disableImageResize: true
                        });

                        // Upload server status check for browsers with CORS support:
                        if (\$.support.cors) {
                            \$.ajax({
                                url: url,
                                type: 'HEAD'
                            }).fail(function () {
                                \$('<span class=\"alert alert-error\"/>')
                                    .text('Upload server currently unavailable - ' + new Date())
                                    .appendTo(form);
                            });
                        }

                        // Enable iframe cross-domain access via redirect option:
                        form.fileupload(
                            'option',
                            'redirect',
                            window.location.href.replace(
                                /\\/[^\\/]*\$/,
                                '/cors/result.html?%s'
                            )
                        );

                        form.bind('fileuploadsubmit', function (e, data) {
                            var inputs = data.context.find(':input');
                            if (inputs.filter('[required][value=\"\"]').first().focus().length) {
                                return false;
                            }
                            data.formData = inputs.serializeArray().concat(form.serializeArray());

                            inputs.filter(\"input\").prop(\"disabled\", true);
                        }).bind('fileuploadstart', function (e, data) {

                            // Show progress data
                            form.find('.fileupload-progress .progress-extended').show();
                            form.find('.fileupload-progress .progress-end').hide();

                            if (form.fileupload(\"active\") <= 0)
                                refreshSessionInterval = setInterval(\"XiboPing('\" + pingUrl + \"?refreshSession=true')\", 1000 * 60 * 3);

                            return true;
                        }).bind('fileuploaddone', function (e, data) {
                            if (refreshSessionInterval != null && form.fileupload(\"active\") <= 0)
                                clearInterval(refreshSessionInterval);
                        }).bind('fileuploadprogressall', function (e, data) {
                            // Hide progress data and show processing
                            if(data.total > 0 && data.loaded == data.total) {
                                form.find('.fileupload-progress .progress-extended').hide();
                                form.find('.fileupload-progress .progress-end').show();
                            }
                        }).bind('fileuploadadded fileuploadcompleted fileuploadfinished', function (e, data) {
                            // Get uploaded and downloaded files and toggle Done button
                            var filesToUploadCount = form.find('tr.template-upload').length;
                            var \$button = form.parents('.modal:first').find('button.btn-bb-main');

                            if(filesToUploadCount == 0) {
                                \$button.removeAttr('disabled');
                            } else {
                                \$button.attr('disabled', 'disabled');
                            }
                        });
                    });
                });
            });
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#datasets_wrapper').find('.dataTables_buttons'));
        });


        function dataSetFormOpen(dialog) {
            // Bind the test button
            \$(dialog).find(\"#dataSetRemoteTestButton\").on('click', function() {
                var \$form = \$(dialog).find(\"form\");
                XiboRemoteRequest(\"";
        // line 307
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.test.remote"), "html", null, true);
        echo "\", \$form.serializeObject(), function(response) {
                    if (!\$.trim(response.data.entries)) {
                        response.data = response.message;
                    }
                    \$(\"#datasetRemoteTestRequestResult\").html('<pre style=\"height: 300px; overflow: scroll\">' + JSON.stringify(response.data, null, 3) + '</pre>');
                });
            });

            // Set up some dependencies between the isRemote checkbox and the tabs related to remote datasets
            onRemoteFieldChanged(dialog);

            \$(dialog).find(\"#isRemote\").on('change', function() {
                onRemoteFieldChanged(dialog);
            });

            // Auth field
            onAuthenticationFieldChanged(dialog);

            \$(dialog).find(\"#authentication\").on('change', function() {
                onAuthenticationFieldChanged(dialog);
            });

            // remote DataSet source
            onSourceFieldChanged(dialog);
            \$(dialog).find('#sourceId').on('change', function() {
                onSourceFieldChanged(dialog);
            });
        }

        function onRemoteFieldChanged(dialog) {
            var isRemote = \$(dialog).find(\"#isRemote\").is(\":checked\");
            var \$remoteTabs = \$(dialog).find(\".tabForRemoteDataSet\");

            if (isRemote) {
                \$remoteTabs.removeClass(\"d-none\");
            } else {
                \$remoteTabs.addClass(\"d-none\");
            }
        }

        function onAuthenticationFieldChanged(dialog) {
            var authentication = \$(dialog).find(\"#authentication\").val();
            var \$authFieldUserName = \$(dialog).find(\".auth-field-username\");
            var \$authFieldPassword = \$(dialog).find(\".auth-field-password\");

            if (authentication === \"none\") {
                \$authFieldUserName.addClass(\"d-none\");
                \$authFieldPassword.addClass(\"d-none\");
            } else if (authentication === \"bearer\") {
                \$authFieldUserName.addClass(\"d-none\");
                \$authFieldPassword.removeClass(\"d-none\");
            } else {
                \$authFieldUserName.removeClass(\"d-none\");
                \$authFieldPassword.removeClass(\"d-none\");
            }
        }

        function onSourceFieldChanged(dialog) {
            var sourceId = \$(dialog).find('#sourceId').val();
            var \$jsonSource =  \$(dialog).find(\".json-source-field\");
            var \$csvSource = \$(dialog).find(\".csv-source-field\");

            if (sourceId == 1) {
                \$jsonSource.removeClass('d-none');
                \$csvSource.addClass('d-none');
            } else {
                \$jsonSource.addClass('d-none');
                \$csvSource.removeClass('d-none');
            }
        }

        function deleteMultiSelectFormOpen(dialog) {
            ";
        // line 379
        $context["message"] = "Delete any associated data?";
        // line 380
        echo "
            var \$input = \$('<input type=checkbox id=\"deleteData\" name=\"deleteData\"> ";
        // line 381
        echo twig_escape_filter($this->env, __(($context["message"] ?? null)));
        echo " </input>');
            \$input.on('change', function() {
                dialog.data().commitData = {deleteData: \$(this).val()};
            });
            \$(dialog).find('.modal-body').append(\$input);
        }
    </script>
";
    }

    // line 390
    public function block_javaScriptTemplates($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 391
        echo "    ";
        $this->displayParentBlock("javaScriptTemplates", $context, $blocks);
        echo "

    ";
        // line 436
        echo "

    <script type=\"text/x-handlebars-template\" id=\"template-dataset-upload\">
        <form class=\"form-horizontal\" method=\"post\" enctype=\"multipart/form-data\" data-max-file-size=\"{{ upload.maxSize }}\" data-accept-file-types=\"/(\\.|\\/)csv/i\">
            <div class=\"row fileupload-buttonbar\">
                <div class=\"card p-3 mb-3 bg-light\">
                    {{ upload.maxSizeMessage }} <br>
                    {{ upload.utf8Message }}
                </div>
                <div class=\"col-md-7\">
                    <!-- The fileinput-button span is used to style the file input field as button -->
                    <span class=\"btn btn-success fileinput-button\">
                        <i class=\"fa fa-plus\"></i>
                        <span>{{ trans.addFiles }}</span>
                        <input type=\"file\" name=\"files\">
                    </span>
                    <button type=\"submit\" class=\"btn btn-primary start\">
                        <i class=\"fa fa-upload\"></i>
                        <span>{{ trans.startUpload }}</span>
                    </button>
                    <button type=\"reset\" class=\"btn btn-warning cancel\">
                        <i class=\"fa fa-ban\"></i>
                        <span>{{ trans.cancelUpload }}</span>
                    </button>
                    <!-- The loading indicator is shown during file processing -->
                    <span class=\"fileupload-loading\"></span>
                </div>
                <!-- The global progress information -->
                <div class=\"col-md-4 fileupload-progress fade\">
                    <!-- The global progress bar -->
                    <div class=\"progress\">
                        <div class=\"progress-bar progress-bar-success progress-bar-striped active\" role=\"progressbar\" aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width:0%;\">
                            <div class=\"sr-only\"></div>
                        </div>
                    </div>
                    <!-- The extended global progress information -->
                    <div class=\"progress-extended\">&nbsp;</div>
                    <!-- Processing info container -->
                    <div class=\"progress-end\" style=\"display:none;\">{{ trans.processing }}</div>
                </div>
            </div>
            <div class=\"row\">
                <div class=\"col-md-12\">
        ";
        echo "
                    ";
        // line 437
        ob_start(function () { return ''; });
        echo __("Overwrite existing data?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 438
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("Erase all content in this DataSet and overwrite it with the new content in this import.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 439
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["overwrite", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 439, $context, $this->getSourceContext());
        echo "

                    ";
        // line 441
        ob_start(function () { return ''; });
        echo __("Ignore first row?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 442
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("Ignore the first row? Useful if the CSV has headings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 443
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["ignorefirstrow", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 443, $context, $this->getSourceContext());
        echo "

                    ";
        // line 445
        ob_start(function () { return ''; });
        echo __("In the fields below please enter the column number in the CSV file that corresponds to the Column Heading listed. This should be done before Adding the file.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 446
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 446, $context, $this->getSourceContext());
        echo "

        ";
        // line 525
        echo "
                    {{#each columns}}
                    <div class=\"form-group row\">
                        <label class=\"col-sm-2 control-label\" for=\"csvImport_{{dataSetColumnId}}\">{{heading}}</label>
                        <div class=\"col-sm-10\">
                            <input class=\"form-control\" name=\"csvImport_{{dataSetColumnId}}\" type=\"number\" id=\"csvImport_{{dataSetColumnId}}\" value=\"{{ index }}\" />
                        </div>
                    </div>
                    {{/each}}
                </div>
            </div>

            <!-- The table listing the files available for upload/download -->
            <table role=\"presentation\" class=\"table table-striped\"><tbody class=\"files\"></tbody></table>
        </form>
    </script>

    <!-- The template to display files available for upload -->
    <script id=\"template-dataset-upload\" type=\"text/x-tmpl\">
        {% for (var i=0, file; file=o.files[i]; i++) { %}
            <tr class=\"template-upload\">
                <td>
                    <span class=\"fileupload-preview\"></span>
                </td>
                <td class=\"title\">
                    {% if (file.error) { %}
                        <div><span class=\"label label-danger\">{%=file.error%}</span></div>
                    {% } %}
                    {% if (!file.error) { %}
                    <label for=\"name[]\"><input name=\"name[]\" type=\"text\" id=\"name\" value=\"\" /></label>
                    {% } %}
                </td>
                <td>
                    <p class=\"size\">{%=o.formatFileSize(file.size)%}</p>
                    {% if (!o.files.error) { %}
                        <div class=\"progress\">
                            <div class=\"progress-bar progress-bar-striped active\" role=\"progressbar\" aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width:0%;\">
                                <div class=\"sr-only\"></div>
                            </div>
                        </div>
                    </div>
                    {% } %}
                </td>
                <td class=\"btn-group\">
                    {% if (!o.files.error && !i && !o.options.autoUpload) { %}
                        <button class=\"btn btn-primary start\">
                            <i class=\"fa fa-upload\"></i>
                        </button>
                    {% } %}
                    {% if (!i) { %}
                        <button class=\"btn btn-warning cancel\">
                            <i class=\"fa fa-ban\"></i>
                        </button>
                    {% } %}
                </td>
            </tr>
        {% } %}
        </script>
    <!-- The template to display files available for download -->
    <script id=\"template-dataset-download\" type=\"text/x-tmpl\">
        {% for (var i=0, file; file=o.files[i]; i++) { %}
            <tr class=\"template-download\">
               <td>
                    <p class=\"name\" id=\"{%=file.storedas%}\" status=\"{% if (file.error) { %}error{% } %}\">
                        {%=file.name%}
                    </p>
                    {% if (file.error) { %}
                        <div><span class=\"label label-danger\">{%=file.error%}</span></div>
                    {% } %}
                </td>
                <td>
                    <span class=\"size\">{%=o.formatFileSize(file.size)%}</span>
                </td>
            </tr>
        {% } %}
        </script>

    ";
        echo "
";
    }

    public function getTemplateName()
    {
        return "dataset-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  670 => 525,  664 => 446,  660 => 445,  654 => 443,  649 => 442,  645 => 441,  639 => 439,  634 => 438,  630 => 437,  583 => 436,  577 => 391,  573 => 390,  561 => 381,  558 => 380,  556 => 379,  481 => 307,  396 => 225,  387 => 219,  381 => 216,  370 => 208,  363 => 204,  356 => 200,  352 => 199,  348 => 198,  344 => 197,  338 => 194,  334 => 193,  330 => 192,  326 => 191,  265 => 133,  249 => 119,  245 => 117,  243 => 116,  238 => 113,  234 => 112,  215 => 96,  211 => 95,  207 => 94,  203 => 93,  199 => 92,  195 => 91,  191 => 90,  187 => 89,  176 => 81,  166 => 76,  154 => 67,  148 => 65,  143 => 64,  139 => 63,  133 => 61,  128 => 60,  124 => 59,  114 => 52,  105 => 46,  97 => 41,  92 => 39,  89 => 38,  85 => 37,  73 => 32,  70 => 31,  67 => 30,  63 => 29,  55 => 27,  50 => 23,  48 => 25,  46 => 24,  39 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-page.twig", "/home/mgatv524/public_html/mctv/views/dataset-page.twig");
    }
}
