<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* help-form-edit.twig */
class __TwigTemplate_4bf8b4bd8168224307dcaa937a985d4fe8a7893c0520844342dca90b037e2103 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "help-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "help-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Help Link");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 33
        echo __("Save");
        echo ", \$(\"#helpEditForm\").submit()
";
    }

    // line 36
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 37
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"helpEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 39
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("help.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "helpId", [], "any", false, false, false, 39)]), "html", null, true);
        echo "\">
                    ";
        // line 40
        ob_start(function () { return ''; });
        echo __("Topic");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("The Topic for this Help Link");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["topic", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "topic", [], "any", false, false, false, 42), ($context["helpText"] ?? null)], 42, $context, $this->getSourceContext());
        echo "
                        
                    ";
        // line 44
        ob_start(function () { return ''; });
        echo __("Category");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("he Category for this Help Link");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["category", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "category", [], "any", false, false, false, 46), ($context["helpText"] ?? null)], 46, $context, $this->getSourceContext());
        echo "
                       
                    ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Link");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("The Link to open for this help topic and category");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["link", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "link", [], "any", false, false, false, 50), ($context["helpText"] ?? null)], 50, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "help-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  126 => 50,  121 => 49,  117 => 48,  111 => 46,  106 => 45,  102 => 44,  96 => 42,  91 => 41,  87 => 40,  83 => 39,  79 => 37,  75 => 36,  69 => 33,  64 => 32,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "help-form-edit.twig", "/home/mgatv524/public_html/mctv/views/help-form-edit.twig");
    }
}
