<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* embedded-form-edit.twig */
class __TwigTemplate_94f08819348bd8e5ec6de20cbeff74a2696ca48ab708ff02d700ccb4f8359edd extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "embedded-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "embedded-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Embedded");
    }

    // line 31
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 34
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 38
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#htmlTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 41
        echo __("HTML to Embed");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#customStyleSheetTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("Custom Style Sheet");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#headContentTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("HEAD content to Embed");
        echo "</span></a>
                </div>
            </li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"embeddedFormEdit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 48
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 48), "widgetId", [], "any", false, false, false, 48)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 53), ($context["helpText"] ?? null)], 53, $context, $this->getSourceContext());
        echo "

                        ";
        // line 55
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 57), ($context["helpText"] ?? null)], 57, $context, $this->getSourceContext());
        echo "

                        ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 61), ($context["helpText"] ?? null), "duration-fields", "required"], 61, $context, $this->getSourceContext());
        echo "

                        ";
        // line 63
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "
                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 70
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 71
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 72
($context["inheritOption"] ?? null)]];
        // line 74
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 74)], "method", false, false, false, 74), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 74, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 78
        ob_start(function () { return ''; });
        echo __("Background transparent?");
        echo " ";
        echo twig_call_macro($macros["forms"], "macro_playerCompat", ["", "", "", "", "v2 R253+"], 78, $context, $this->getSourceContext());
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the Widget be shown with a transparent background? Also requires the embedded content to have a transparent background.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["transparency", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "transparency"], "method", false, false, false, 80), ($context["helpText"] ?? null)], 80, $context, $this->getSourceContext());
        echo "

                        ";
        // line 82
        ob_start(function () { return ''; });
        echo __("Scale Content?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the embedded content be scaled along with the layout?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["scaleContent", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "scaleContent"], "method", false, false, false, 84), ($context["helpText"] ?? null)], 84, $context, $this->getSourceContext());
        echo "

                        ";
        // line 86
        ob_start(function () { return ''; });
        echo __("Preload?");
        echo " ";
        echo twig_call_macro($macros["forms"], "macro_playerCompat", ["v2 R207+"], 86, $context, $this->getSourceContext());
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this Widget be loaded entirely off screen so that it is ready when shown? Dynamic content will start running off screen.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isPreNavigate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "isPreNavigate"], "method", false, false, false, 88), ($context["helpText"] ?? null)], 88, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"htmlTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 93
        echo __("HTML to Embed");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"embedHtml_advanced\" name=\"embedHtml_advanced\" ";
        // line 95
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "embedHtml_advanced", 1 => 0], "method", false, false, false, 95), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 97
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 99
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 100
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 105
        ob_start(function () { return ''; });
        // line 106
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 108
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "embedHtml-advanced-editor-hide inline-editor-hide"], 108, $context, $this->getSourceContext());
        echo "

                            ";
        // line 111
        echo "                            ";
        ob_start(function () { return ''; });
        // line 112
        echo "                                ";
        echo __("Enter text to display using the inline editor which can be opened by clicking in the preview on the left.");
        // line 113
        echo "                                ";
        echo __("When using the inline editor Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 114
        echo "                            ";
        $context["layoutDesignerMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["layoutDesignerMessage"] ?? null), "layout-designer-message inline-editor-show"], 115, $context, $this->getSourceContext());
        echo "

                            ";
        // line 118
        echo "                            ";
        ob_start(function () { return ''; });
        // line 119
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 120
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 121
        echo "                            ";
        $context["playlistEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["playlistEditorMessage"] ?? null), "playlist-editor-message embedHtml-advanced-editor-show"], 122, $context, $this->getSourceContext());
        echo "
                        </div>

                        ";
        // line 125
        echo twig_call_macro($macros["forms"], "macro_textarea", ["embedHtml", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "embedHtml"], "method", false, false, false, 125), "", "inline-editor-hide", "", 10], 125, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"customStyleSheetTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 130
        echo __("Custom Style Sheets");
        echo "</h4>
                        </div>
                        
                        ";
        // line 133
        echo twig_call_macro($macros["forms"], "macro_textarea", ["embedStyle", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "embedStyle"], "method", false, false, false, 133), "", "", "", 10], 133, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"headContentTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 138
        echo __("HEAD content to Embed");
        echo "</h4>
                        </div>

                        ";
        // line 141
        ob_start(function () { return ''; });
        echo __("HEAD content to Embed (including script tags)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["embedScript", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "embedScript"], "method", false, false, false, 142), ($context["helpText"] ?? null), "", "", 10], 142, $context, $this->getSourceContext());
        echo "
                    </div>

                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "embedded-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  354 => 142,  350 => 141,  344 => 138,  336 => 133,  330 => 130,  322 => 125,  315 => 122,  312 => 121,  309 => 120,  306 => 119,  303 => 118,  297 => 115,  294 => 114,  291 => 113,  288 => 112,  285 => 111,  279 => 108,  273 => 106,  271 => 105,  263 => 100,  259 => 99,  254 => 97,  247 => 95,  242 => 93,  233 => 88,  228 => 87,  222 => 86,  216 => 84,  211 => 83,  207 => 82,  201 => 80,  196 => 79,  190 => 78,  182 => 74,  180 => 72,  179 => 71,  178 => 70,  176 => 69,  171 => 68,  166 => 67,  162 => 66,  159 => 65,  154 => 64,  150 => 63,  144 => 61,  139 => 60,  135 => 59,  129 => 57,  124 => 56,  120 => 55,  114 => 53,  109 => 52,  105 => 51,  99 => 48,  91 => 43,  87 => 42,  83 => 41,  77 => 38,  71 => 35,  67 => 34,  63 => 32,  59 => 31,  54 => 28,  50 => 27,  45 => 24,  43 => 25,  36 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "embedded-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/embedded-form-edit.twig");
    }
}
