<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* media-manager-page.twig */
class __TwigTemplate_2f573b783e5e2953f0fc0067fce23c43462230155f25f09c94757f542d9782bc extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "media-manager-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "media-manager-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        $__internal_compile_0 = null;
        try {
            $__internal_compile_0 =             $this->loadTemplate("theme-dashboard-message.twig", "media-manager-page.twig", 27);
        } catch (LoaderError $e) {
            // ignore missing template
        }
        if ($__internal_compile_0) {
            $__internal_compile_0->display($context);
        }
        // line 28
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 29
        echo __("All Editable Widgets");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 31
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"mediaManagerView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">

                            ";
        // line 36
        ob_start(function () { return ''; });
        echo __("Layout");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_input", ["layout", ($context["title"] ?? null), "", "", "layout-draft"], 37, $context, $this->getSourceContext());
        echo "

                            ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Region");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_input", ["region", ($context["title"] ?? null), "", "", "layout-draft"], 40, $context, $this->getSourceContext());
        echo "

                            ";
        // line 42
        ob_start(function () { return ''; });
        echo __("Playlist");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_input", ["playlist", ($context["title"] ?? null), "", "", "playlist"], 43, $context, $this->getSourceContext());
        echo "

                            ";
        // line 45
        ob_start(function () { return ''; });
        echo __("Media");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_input", ["media", ($context["title"] ?? null)], 46, $context, $this->getSourceContext());
        echo "

                            ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Module");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["type", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["type" => null, "name" => ""]], ($context["modules"] ?? null)), "type", "name"], 49, $context, $this->getSourceContext());
        echo "

                            ";
        // line 51
        $context["title"] = __("Widgets From");
        // line 52
        echo "                            ";
        $context["options"] = [0 => ["id" => 1, "value" => __("Drafts")], 1 => ["id" => 2, "value" => __("Playlists")]];
        // line 56
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["showWidgetsFrom", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 56, $context, $this->getSourceContext());
        echo "

                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"entries\" class=\"table table-striped\">
                        <thead>
                            <tr>
                                <th>";
        // line 65
        echo __("Widget");
        echo "</th>
                                <th>";
        // line 66
        echo __("Type");
        echo "</th>
                                <th>";
        // line 67
        echo __("Thumbnail");
        echo "</th>
                                <th>";
        // line 68
        echo __("Layout");
        echo "</th>
                                <th>";
        // line 69
        echo __("Region");
        echo "</th>
                                <th>";
        // line 70
        echo __("Playlist");
        echo "</th>
                                <th>";
        // line 71
        echo __("Display Order");
        echo "</th>
                                <th class=\"rowMenu\"></th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 85
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 86
        echo "    ";
        // line 87
        echo "    ";
        $this->loadTemplate("common.twig", "media-manager-page.twig", 87)->display($context);
        // line 88
        echo "
    <script type=\"text/javascript\">
        var table;

        \$(document).ready(function() {

            if (\$('#showWidgetsFrom').val() == 1) {
                \$('.playlist').hide();
                \$('#playlist').val(\"\");
                \$('.layout-draft').show()
            } else {
                \$('.layout-draft').hide();
                \$('#layout,#region').val(\"\");
                \$('.playlist').show()
            }

            \$('#showWidgetsFrom').change(function() {
                if (\$('#showWidgetsFrom').val() == 1) {
                    \$('.playlist').hide();
                    \$('#playlist').val(\"\");
                    \$('.layout-draft').show()
                } else {
                    \$('.layout-draft').hide();
                    \$('#layout,#region').val(\"\");
                    \$('.playlist').show()
                }
            });

            table = \$(\"#entries\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                filter: false,
                searchDelay: 3000,
                \"order\": [[1, \"asc\"]],
                ajax: {
                    url: \"";
        // line 124
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("mediamanager.search"), "html", null, true);
        echo "\",
                    \"data\": function (d) {
                        \$.extend(d, \$(\"#entries\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {\"data\": \"widget\"},
                    {\"data\": \"type\"},
                    {
                        \"name\": \"widgetId\",
                        \"data\": null,
                        \"render\": {\"_\": \"thumbnail\", \"display\": \"thumbnail\", \"sort\": \"widgetId\"}
                    },
                    {
                        \"data\": \"layout\",
                        \"orderable\": false
                    },
                    {
                        \"data\": \"region\",
                        \"orderable\": false
                    },
                    {
                        \"data\": \"playlist\"
                    },
                    {\"data\": \"displayOrder\"},
                    {
                        \"orderable\": false,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            table.on('draw', function(e, settings) {
                dataTableDraw(e, settings);

                // Bind to any media replace buttons
                \$(\"#\" + e.target.id).find('.MediaManagerReplaceButton').on('click', function() {
                    e.preventDefault();

                    // \$(this) is the button
                    var mediaId = \$(this).data().mediaId;
                    var widgetId = \$(this).data().widgetId;
                    var validExtensions = \$(this).data().validExtensions;

                    // Close the current dialog
                    XiboDialogClose();

                    // Open the upload dialog with our options.
                    openUploadForm({
                        url: \"";
        // line 173
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.add"), "html", null, true);
        echo "\",
                        title: \"";
        // line 174
        echo __("Upload media");
        echo "\",
                        buttons: {
                            main: {
                                label: \"";
        // line 177
        echo __("Done");
        echo "\",
                                className: \"btn-primary btn-bb-main\",
                                callback: function() {
                                    table.ajax.reload();
                                    XiboDialogClose();
                                }
                            }
                        },
                        templateOptions: {
                            multi: false,
                            oldMediaId: mediaId,
                            widgetId: widgetId,
                            updateInAllChecked: ";
        // line 189
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_UPDATEINALL_CHECKB", [], "any", false, false, false, 189), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                            deleteOldRevisionsChecked: ";
        // line 190
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_DELETEOLDVER_CHECKB", [], "any", false, false, false, 190), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                            trans: {
                                addFiles: \"";
        // line 192
        echo __("Add Replacement");
        echo "\",
                                startUpload: \"";
        // line 193
        echo __("Start Replace");
        echo "\",
                                cancelUpload: \"";
        // line 194
        echo __("Cancel Replace");
        echo "\",
                                processing: \"";
        // line 195
        echo __("Processing...");
        echo "\",
                                updateInLayouts: {
                                    title: \"";
        // line 197
        echo __("Update this media in all layouts it is assigned to?");
        echo "\",
                                    helpText: \"";
        // line 198
        echo __("Note: It will only be updated in layouts you have permission to edit.");
        echo "\"
                                },
                                deleteOldRevisions: {
                                    title: \"";
        // line 201
        echo __("Delete the old version?");
        echo "\",
                                    helpText: \"";
        // line 202
        echo __("Completely remove the old version of this media item if a new file is being uploaded.");
        echo "\"
                                }
                            },
                            upload: {
                                maxSize: ";
        // line 206
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSize", [], "any", false, false, false, 206), "html", null, true);
        echo ",
                                maxSizeMessage: \"";
        // line 207
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSizeMessage", [], "any", false, false, false, 207), "html", null, true);
        echo "\",
                                validExt: validExtensions
                            },
                            folderSelector: false
                        },
                        uploadDoneEvent: function () {
                            XiboDialogClose();
                            table.ajax.reload();
                        }
                    });
                });

                // Bind to any media replace buttons
                \$(\"#\" + e.target.id).find('.WidgetEditForm').on('click', function() {
                    e.preventDefault();

                    formHelpers.widgetFormRender(\$(this), \$(this).data());
                });
            });
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#entries_wrapper').find('.dataTables_buttons'));
        });

        /**
         * Media Edit form
         */
        function mediaEditFormOpen(dialog) {

            if (dialog.find(\"form\").data().mediaEditable !== 1) {
                return;
            }

            // Create a new button
            var footer = dialog.find(\".modal-footer\");
            var mediaId = dialog.find(\"form\").data().mediaId;
            var widgetId = dialog.find(\"form\").data().widgetId;
            var validExtensions = dialog.find(\"form\").data().validExtensions;

            // Append
            var replaceButton = \$('<button class=\"btn btn-warning\">').html(\"";
        // line 246
        echo __("Replace");
        echo "\");
            replaceButton.click(function(e) {
                e.preventDefault();

                // Open the upload dialog with our options.
                openUploadForm({
                    url: \"";
        // line 252
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.add"), "html", null, true);
        echo "\",
                    title: \"";
        // line 253
        echo __("Upload media");
        echo "\",
                    buttons: {
                        main: {
                            label: \"";
        // line 256
        echo __("Done");
        echo "\",
                            className: \"btn-primary btn-bb-main\",
                            callback: function() {
                                table.ajax.reload();
                                XiboDialogClose();
                            }
                        }
                    },
                    templateOptions: {
                        multi: false,
                        oldMediaId: mediaId,
                        widgetId: widgetId,
                        updateInAllChecked: ";
        // line 268
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_UPDATEINALL_CHECKB", [], "any", false, false, false, 268), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                        deleteOldRevisionsChecked: ";
        // line 269
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_DELETEOLDVER_CHECKB", [], "any", false, false, false, 269), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                        trans: {
                            addFiles: \"";
        // line 271
        echo __("Add Replacement");
        echo "\",
                            startUpload: \"";
        // line 272
        echo __("Start Replace");
        echo "\",
                            cancelUpload: \"";
        // line 273
        echo __("Cancel Replace");
        echo "\",
                            processing: \"";
        // line 274
        echo __("Processing...");
        echo "\",
                            updateInLayouts: {
                                title: \"";
        // line 276
        echo __("Update this media in all layouts it is assigned to?");
        echo "\",
                                helpText: \"";
        // line 277
        echo __("Note: It will only be updated in layouts you have permission to edit.");
        echo "\"
                            },
                            deleteOldRevisions: {
                                title: \"";
        // line 280
        echo __("Delete the old version?");
        echo "\",
                                helpText: \"";
        // line 281
        echo __("Completely remove the old version of this media item if a new file is being uploaded.");
        echo "\"
                            }
                        },
                        upload: {
                            maxSize: ";
        // line 285
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSize", [], "any", false, false, false, 285), "html", null, true);
        echo ",
                            maxSizeMessage: \"";
        // line 286
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSizeMessage", [], "any", false, false, false, 286), "html", null, true);
        echo "\",
                            validExt: validExtensions
                        },
                        folderSelector: false
                    },
                    uploadDoneEvent: function () {
                        XiboDialogClose();
                        table.ajax.reload();
                    }
                });
            });

            footer.find(\".btn-primary\").before(replaceButton);
        }
    </script>

    ";
        // line 302
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["assignableModules"] ?? null));
        $context['loop'] = [
          'parent' => $context['_parent'],
          'index0' => 0,
          'index'  => 1,
          'first'  => true,
        ];
        if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
            $length = count($context['_seq']);
            $context['loop']['revindex0'] = $length - 1;
            $context['loop']['revindex'] = $length;
            $context['loop']['length'] = $length;
            $context['loop']['last'] = 1 === $length;
        }
        foreach ($context['_seq'] as $context["_key"] => $context["module"]) {
            // line 303
            echo "        ";
            if ((0 !== twig_compare(twig_get_attribute($this->env, $this->source, $context["module"], "layoutDesignerJavaScript", [], "method", false, false, false, 303), ""))) {
                // line 304
                echo "            ";
                $this->loadTemplate((twig_get_attribute($this->env, $this->source, $context["module"], "layoutDesignerJavaScript", [], "method", false, false, false, 304) . ".twig"), "media-manager-page.twig", 304)->display($context);
                // line 305
                echo "        ";
            }
            // line 306
            echo "    ";
            ++$context['loop']['index0'];
            ++$context['loop']['index'];
            $context['loop']['first'] = false;
            if (isset($context['loop']['length'])) {
                --$context['loop']['revindex0'];
                --$context['loop']['revindex'];
                $context['loop']['last'] = 0 === $context['loop']['revindex0'];
            }
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['module'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
    }

    public function getTemplateName()
    {
        return "media-manager-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  553 => 306,  550 => 305,  547 => 304,  544 => 303,  527 => 302,  508 => 286,  504 => 285,  497 => 281,  493 => 280,  487 => 277,  483 => 276,  478 => 274,  474 => 273,  470 => 272,  466 => 271,  457 => 269,  449 => 268,  434 => 256,  428 => 253,  424 => 252,  415 => 246,  373 => 207,  369 => 206,  362 => 202,  358 => 201,  352 => 198,  348 => 197,  343 => 195,  339 => 194,  335 => 193,  331 => 192,  322 => 190,  314 => 189,  299 => 177,  293 => 174,  289 => 173,  237 => 124,  199 => 88,  196 => 87,  194 => 86,  190 => 85,  173 => 71,  169 => 70,  165 => 69,  161 => 68,  157 => 67,  153 => 66,  149 => 65,  136 => 56,  133 => 52,  131 => 51,  125 => 49,  121 => 48,  115 => 46,  111 => 45,  105 => 43,  101 => 42,  95 => 40,  91 => 39,  85 => 37,  81 => 36,  73 => 31,  68 => 29,  65 => 28,  54 => 27,  50 => 26,  45 => 23,  43 => 24,  36 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "media-manager-page.twig", "/home/mgatv524/public_html/mctv/views/media-manager-page.twig");
    }
}
