<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* playlist-module-form-delete.twig */
class __TwigTemplate_26136880e9cdd791e7fe7fa33ff1a789a61e916c4cbf24146752be5cb344a238 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "playlist-module-form-delete.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "playlist-module-form-delete.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Delete Widget");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Yes");
        echo ", \$(\"#playlistModuleDeleteForm\").submit()
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "playlistModuleDeleteFormOpen";
    }

    // line 40
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 41
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"playlistModuleDeleteForm\" class=\"form-horizontal\" method=\"delete\" action=\"";
        // line 43
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.delete", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 43), "widgetId", [], "any", false, false, false, 43)]), "html", null, true);
        echo "\">
                ";
        // line 44
        ob_start(function () { return ''; });
        echo __("Are you sure you want to remove this widget?");
        echo " ";
        echo __("This action cannot be undone.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 45, $context, $this->getSourceContext());
        echo "

                <div class=\"offset-sm-2 col-sm-10\">
                    <div class=\"checkbox\">
                        <label for=\"deleteMedia\" title=\"";
        // line 49
        echo __("Also delete from the Library?");
        echo "\" accesskey=\"\">
                            <input type=\"checkbox\" id=\"deleteMedia\" name=\"deleteMedia\">
                            ";
        // line 51
        echo __("Also delete from the Library?");
        // line 52
        echo "                        </label>
                    </div>
                    <span class=\"help-block\">";
        // line 54
        echo __("This widget is linked to Media in the Library. Check this option to also delete that Media.");
        echo " </span>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "playlist-module-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  126 => 54,  122 => 52,  120 => 51,  115 => 49,  107 => 45,  101 => 44,  97 => 43,  93 => 41,  89 => 40,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "playlist-module-form-delete.twig", "/home/mgatv524/public_html/mctv/views/playlist-module-form-delete.twig");
    }
}
