<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* display-page.twig */
class __TwigTemplate_ba0bc12c25b713932fd2d3758330b4b54f350a1bfcf7f3c2abf69499dce3069f extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "display-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "display-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Displays"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    <div class=\"widget-action-menu pull-right\">
        ";
        // line 30
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "displays.add"], "method", false, false, false, 30)) {
            // line 31
            echo "        <button class=\"btn btn-success XiboFormButton\" title=\"";
            echo __("Add a Display via user_code displayed on the Player screen");
            echo "\" href=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("display.addViaCode.form"), "html", null, true);
            echo "\"> <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
            echo __("Add Display (Code)");
            echo "</button>
        ";
        }
        // line 33
        echo "        <button class=\"btn btn-primary\" id=\"refreshGrid\" title=\"";
        echo __("Refresh the Table");
        echo "\" href=\"#\"><i class=\"fa fa-refresh\" aria-hidden=\"true\"></i> ";
        echo __("Refresh");
        echo "</button>
    </div>
";
    }

    // line 37
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 39
        echo __("Displays");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 41
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"displayView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <ul class=\"nav nav-tabs\" role=\"tablist\">
                            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#filter-general\" role=\"tab\" data-toggle=\"tab\">";
        // line 45
        echo __("General");
        echo "</a></li>
                            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#filter-advanced\" role=\"tab\" data-toggle=\"tab\">";
        // line 46
        echo __("Advanced");
        echo "</a></li>
                        </ul>
                        <form class=\"form-inline\">
                            <div class=\"tab-content\">
                                <div class=\"tab-pane active\" id=\"filter-general\">
                                    ";
        // line 51
        ob_start(function () { return ''; });
        echo __("ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_number", ["displayId", ($context["title"] ?? null)], 52, $context, $this->getSourceContext());
        echo "

                                    <div class=\"form-group mr-1 mb-1\">
                                        <label class=\"control-label mr-1\" title=\"\" for=\"display\" accesskey=\"\">";
        // line 55
        echo __("Name");
        echo "</label>
                                        <div>
                                            <div class=\"input-group\">
                                                <input class=\"form-control\" name=\"display\" type=\"text\" id=\"display\" value=\"\">
                                                <div class=\"input-group-append input-group-addon\">
                                                    <div class=\"input-group-text\">
                                                        <input title=\"";
        // line 61
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    ";
        // line 68
        ob_start(function () { return ''; });
        echo __("Status");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Up to date");
        $context["check"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Out of date");
        $context["cloud"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Downloading");
        $context["cross"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                                    ";
        $context["options"] = [0 => ["optionid" => "", "option" => ""], 1 => ["optionid" => "1", "option" =>         // line 74
($context["check"] ?? null)], 2 => ["optionid" => "3", "option" =>         // line 75
($context["cloud"] ?? null)], 3 => ["optionid" => "2", "option" =>         // line 76
($context["cross"] ?? null)]];
        // line 78
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["mediaInventoryStatus", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "optionid", "option"], 78, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 80
        ob_start(function () { return ''; });
        echo __("Logged In?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Yes");
        $context["yesOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("No");
        $context["noOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                                    ";
        $context["options"] = [0 => ["optionid" => "", "option" => ""], 1 => ["optionid" => "1", "option" =>         // line 85
($context["yesOption"] ?? null)], 2 => ["optionid" => "0", "option" =>         // line 86
($context["noOption"] ?? null)]];
        // line 88
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["loggedIn", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "optionid", "option"], 88, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 90
        ob_start(function () { return ''; });
        echo __("Authorised?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Yes");
        $context["yesOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("No");
        $context["noOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                                    ";
        $context["options"] = [0 => ["optionid" => "", "option" => ""], 1 => ["optionid" => "1", "option" =>         // line 95
($context["yesOption"] ?? null)], 2 => ["optionid" => "0", "option" =>         // line 96
($context["noOption"] ?? null)]];
        // line 98
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["authorised", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "optionid", "option"], 98, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 100
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 100)) {
            // line 101
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 102
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("Exact match?");
            $context["exactTagTitle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 103
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("A comma separated list of tags to filter by. Enter a Tag value preceded with | to filter by Tag values. Enter --no-tag to see items without tags.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 104
            echo "                                        ";
            echo twig_call_macro($macros["inline"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), null, ($context["helpText"] ?? null), null, null, null, "exactTags", ($context["exactTagTitle"] ?? null)], 104, $context, $this->getSourceContext());
            echo "
                                    ";
        }
        // line 106
        echo "
                                    ";
        // line 107
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "displaygroup.view"], "method", false, false, false, 107)) {
            // line 108
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("Display Group");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 109
            echo "                                        ";
            echo twig_call_macro($macros["inline"], "macro_dropdown", ["displayGroupId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["displayGroupId" => null, "displayGroup" => ""]], ($context["displayGroups"] ?? null)), "displayGroupId", "displayGroup"], 109, $context, $this->getSourceContext());
            echo "
                                    ";
        }
        // line 111
        echo "
                                    ";
        // line 112
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "displayprofile.view"], "method", false, false, false, 112)) {
            // line 113
            echo "                                        ";
            ob_start(function () { return ''; });
            echo __("Display Profile");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 114
            echo "                                        ";
            echo twig_call_macro($macros["inline"], "macro_dropdown", ["displayProfileId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["displayProfileId" => null, "name" => ""]], ($context["displayProfiles"] ?? null)), "displayProfileId", "name"], 114, $context, $this->getSourceContext());
            echo "
                                    ";
        }
        // line 116
        echo "
                                    ";
        // line 117
        echo twig_call_macro($macros["inline"], "macro_hidden", ["folderId"], 117, $context, $this->getSourceContext());
        echo "
                                </div>

                                <div class=\"tab-pane\" id=\"filter-advanced\">
                                    ";
        // line 121
        ob_start(function () { return ''; });
        echo __("Last Accessed");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_date", ["lastAccessed", ($context["title"] ?? null)], 122, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 124
        ob_start(function () { return ''; });
        echo __("Player Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Android");
        $context["android"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Windows");
        $context["windows"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 127
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("webOS");
        $context["webos"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 128
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Tizen");
        $context["sssp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Linux");
        $context["linux"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                                    ";
        $context["options"] = [0 => ["optionid" => "", "option" => ""], 1 => ["optionid" => "android", "option" =>         // line 132
($context["android"] ?? null)], 2 => ["optionid" => "windows", "option" =>         // line 133
($context["windows"] ?? null)], 3 => ["optionid" => "lg", "option" =>         // line 134
($context["webos"] ?? null)], 4 => ["optionid" => "sssp", "option" =>         // line 135
($context["sssp"] ?? null)], 5 => ["optionid" => "linux", "option" =>         // line 136
($context["linux"] ?? null)]];
        // line 138
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["clientType", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "optionid", "option"], 138, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 140
        ob_start(function () { return ''; });
        echo __("Player Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["clientCode", ($context["title"] ?? null)], 141, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 143
        ob_start(function () { return ''; });
        echo __("Mac Address");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["macAddress", ($context["title"] ?? null)], 144, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 146
        ob_start(function () { return ''; });
        echo __("IP Address");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["clientAddress", ($context["title"] ?? null)], 147, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 149
        ob_start(function () { return ''; });
        echo __("Orientation");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 150
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Landscape");
        $context["landscape"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Portrait");
        $context["portrait"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                                    ";
        $context["options"] = [0 => ["optionid" => "", "option" => ""], 1 => ["optionid" => "landscape", "option" =>         // line 154
($context["landscape"] ?? null)], 2 => ["optionid" => "portrait", "option" =>         // line 155
($context["portrait"] ?? null)]];
        // line 157
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["orientation", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "optionid", "option"], 157, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 159
        ob_start(function () { return ''; });
        echo __("Commercial Licence");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 160
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Licensed fully");
        $context["licensed"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 161
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Trial");
        $context["trial"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 162
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Not licenced");
        $context["notLinceced"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 163
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Not applicable");
        $context["notApplicable"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 164
        echo "                                    ";
        $context["options"] = [0 => ["optionid" => "", "option" => ""], 1 => ["optionid" => "1", "option" =>         // line 166
($context["licensed"] ?? null)], 2 => ["optionid" => "2", "option" =>         // line 167
($context["trial"] ?? null)], 3 => ["optionid" => "0", "option" =>         // line 168
($context["notLinceced"] ?? null)], 4 => ["optionid" => "3", "option" =>         // line 169
($context["notApplicable"] ?? null)]];
        // line 171
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["commercialLicence", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "optionid", "option"], 171, $context, $this->getSourceContext());
        echo "
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class=\"row\">
                    <div class=\"col-sm-2 p-3 bg-light\" id=\"grid-folder-filter\">
                        <div class=\"form-check\">
                            <input type=\"checkbox\" class=\"form-check-input\" id=\"folder-tree-clear-selection-button\">
                            <label class=\"form-check-label\" for=\"folder-tree-clear-selection-button\" title=\"";
        // line 181
        echo twig_escape_filter($this->env, __("Search in all folders"), "html", null, true);
        echo "\">";
        echo twig_escape_filter($this->env, __("All Folders"), "html", null, true);
        echo "</label>
                        </div>
                        <div id=\"container-folder-tree\"></div>
                    </div>
                    <div class=\"folder-controller d-none\">
                        <button type=\"button\" id=\"folder-tree-select-folder-button\" class=\"btn btn-outline-secondary\" title=\"";
        // line 186
        echo twig_escape_filter($this->env, __("Open / Close Folder Search options"), "html", null, true);
        echo "\"><i class=\"fas fa-folder fa-1x\"></i></button>
                        <div id=\"breadcrumbs\" class=\"mt-2 pl-2\"></div>
                    </div>
                    <div id=\"datatable-container\" class=\"card col-sm-10 pt-4 px-2\">
                        <div class=\"XiboData\">
                            <table id=\"displays\" class=\"table table-striped\" data-content-type=\"display\" data-content-id-name=\"displayId\" data-state-preference-name=\"displayGrid\" style=\"width: 100%;\">
                                <thead>
                                    <tr>
                                        <th>";
        // line 194
        echo __("ID");
        echo "</th>
                                        <th>";
        // line 195
        echo __("Display");
        echo "</th>
                                        <th>";
        // line 196
        echo __("Status");
        echo "</th>
                                        <th>";
        // line 197
        echo __("Authorised?");
        echo "</th>
                                        <th>";
        // line 198
        echo __("Current Layout");
        echo "</th>
                                        <th>";
        // line 199
        echo __("Storage Available");
        echo "</th>
                                        <th>";
        // line 200
        echo __("Storage Total");
        echo "</th>
                                        <th>";
        // line 201
        echo __("Storage Free %");
        echo "</th>
                                        <th>";
        // line 202
        echo __("Description");
        echo "</th>
                                        <th>";
        // line 203
        echo __("Orientation");
        echo "</th>
                                        <th>";
        // line 204
        echo __("Resolution");
        echo "</th>
                                        ";
        // line 205
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 205)) {
            echo "<th>";
            echo __("Tags");
            echo "</th>";
        }
        // line 206
        echo "                                        <th>";
        echo __("Default Layout");
        echo "</th>
                                        <th>";
        // line 207
        echo __("Interleave Default");
        echo "</th>
                                        <th>";
        // line 208
        echo __("Email Alert");
        echo "</th>
                                        <th>";
        // line 209
        echo __("Logged In");
        echo "</th>
                                        <th>";
        // line 210
        echo __("Last Accessed");
        echo "</th>
                                        <th>";
        // line 211
        echo __("Display Profile");
        echo "</th>
                                        <th>";
        // line 212
        echo __("Version");
        echo "</th>
                                        <th>";
        // line 213
        echo __("Device Name");
        echo "</th>
                                        <th>";
        // line 214
        echo __("IP Address");
        echo "</th>
                                        <th>";
        // line 215
        echo __("Mac Address");
        echo "</th>
                                        <th>";
        // line 216
        echo __("Timezone");
        echo "</th>
                                        <th>";
        // line 217
        echo __("Latitude");
        echo "</th>
                                        <th>";
        // line 218
        echo __("Longitude");
        echo "</th>
                                        <th>";
        // line 219
        echo __("Screen shot?");
        echo "</th>
                                        <th>";
        // line 220
        echo __("Thumbnail");
        echo "</th>
                                        <th>";
        // line 221
        echo __("CMS Transfer?");
        echo "</th>
                                        <th>";
        // line 222
        echo __("Bandwidth Limit");
        echo "</th>
                                        <th>";
        // line 223
        echo __("Last Command");
        echo "</th>
                                        <th>";
        // line 224
        echo __("XMR Registered");
        echo "</th>
                                        <th>";
        // line 225
        echo __("Commercial Licence");
        echo "</th>
                                        <th>";
        // line 226
        echo __("Remote");
        echo "</th>
                                        <th>";
        // line 227
        echo __("Created Date");
        echo "</th>
                                        <th>";
        // line 228
        echo __("Modified Date");
        echo "</th>
                                        <th class=\"rowMenu\"></th>
                                    </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 244
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 245
        echo "    <script type=\"text/javascript\">
        ";
        // line 246
        if ( !twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 246)) {
            // line 247
            echo "        disableFolders();
        ";
        }
        // line 249
        echo "
        \$(document).ready(function() {
            var table = \$(\"#displays\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                stateDuration: 0,
                responsive: true,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                filter: false,
                searchDelay: 3000,
                order: [[1, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 264
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("display.search"), "html", null, true);
        echo "\",
                    \"data\": function (dataToSend) {
                        //make a new object so as not to destroy the input.
                        var data = {};
                        data.draw = dataToSend.draw;
                        data.length = dataToSend.length;
                        data.start = dataToSend.start;
                        data.order = dataToSend.order;
                        data.columns = [];

                        \$.each(dataToSend.columns, function (index, e) {
                            var col = {};
                            col.data = e.data;
                            if (e.name != null && e.name != \"\")
                                col.name = e.name;
                            data.columns.push(col);
                        });

                        \$.extend(data, \$(\"#displays\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());

                        return data;
                    }
                },
                createdRow: function (row, data, index) {
                    if (data.mediaInventoryStatus === 1) {
                        \$(row).addClass('table-success');
                    } else if (data.mediaInventoryStatus === 1) {
                        \$(row).addClass('table-danger');
                    } else {
                        \$(row).addClass('table-warning');
                    }
                },
                \"columns\": [
                    {\"data\": \"displayId\", responsivePriority: 2},
                    {\"data\": \"display\", responsivePriority: 2},
                    {
                        \"data\": \"mediaInventoryStatus\",
                        responsivePriority: 2,
                        \"render\": function (data, type, row) {
                            if (type != \"display\")
                                return data;

                            var icon = \"\";
                            if (data == 1)
                                icon = \"fa-check\";
                            else if (data == 2)
                                icon = \"fa-times\";
                            else
                                icon = \"fa-cloud-download\";

                            return '<span class=\"fa ' + icon + '\" title=\"' + (row.statusDescription) + '\"></span>';
                        }
                    },
                    {\"data\": \"licensed\", \"render\": dataTableTickCrossColumn, responsivePriority: 3},
                    {\"data\": \"currentLayout\", \"visible\": false, \"sortable\": false, responsivePriority: 5},
                    {
                        \"data\": \"storageAvailableSpace\",
                        responsivePriority: 5,
                        \"visible\": false,
                        \"render\": function (data, type, row) {
                            if (type != \"display\")
                                return data;

                            return row.storageAvailableSpaceFormatted;
                        }
                    },
                    {
                        \"data\": \"storageTotalSpace\",
                        responsivePriority: 5,
                        \"visible\": false,
                        \"render\": function (data, type, row) {
                            if (type != \"display\")
                                return data;

                            return row.storageTotalSpaceFormatted;
                        }
                    },
                    {\"data\": \"storagePercentage\", \"visible\": false, \"sortable\": false, responsivePriority: 5},
                    {\"data\": \"description\", \"visible\": false, responsivePriority: 4},
                    {\"data\": \"orientation\", \"visible\": false, responsivePriority: 6},
                    {\"data\": \"resolution\", \"visible\": false, responsivePriority: 6},
                    ";
        // line 345
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 345)) {
            // line 346
            echo "                    {
                        \"name\": \"tags\",
                        responsivePriority: 3,
                        \"sortable\": false,
                        \"visible\": false,
                        \"data\": dataTableCreateTags
                    },
                    ";
        }
        // line 354
        echo "                    {\"data\": \"defaultLayout\", \"visible\": false, responsivePriority: 4},
                    {\"data\": \"incSchedule\", \"render\": dataTableTickCrossColumn, \"visible\": false, responsivePriority: 5},
                    {\"data\": \"emailAlert\", \"render\": dataTableTickCrossColumn, \"visible\": false, responsivePriority: 5},
                    {\"data\": \"loggedIn\", \"render\": dataTableTickCrossColumn, responsivePriority: 3},
                    {\"data\": \"lastAccessed\", \"render\": dataTableDateFromUnix, responsivePriority: 4},
                    {
                        \"name\": \"displayProfileId\",
                        responsivePriority: 5,
                        \"data\": function (data, type) {
                            return data.displayProfile;
                        },
                        \"visible\": false
                    },
                    {
                        \"name\": \"clientSort\",
                        responsivePriority: 4,
                        \"data\": function (data) {
                            if (data.clientType === 'lg') {
                                data.clientType = 'webOS'
                            }

                            return data.clientType + ' ' + data.clientVersion + '-' + data.clientCode;
                        },
                        \"visible\": false
                    },
                    {\"data\": \"deviceName\", \"visible\": false, responsivePriority: 5},
                    {\"data\": \"clientAddress\", \"visible\": false, responsivePriority: 6},
                    {\"data\": \"macAddress\", responsivePriority: 5},
                    {\"data\": \"timeZone\", \"visible\": false, responsivePriority: 5},
                    {\"data\": \"latitude\", \"visible\": false, responsivePriority: 6},
                    {\"data\": \"longitude\", \"visible\": false, responsivePriority: 6},
                    {\"data\": \"screenShotRequested\", \"render\": dataTableTickCrossColumn, \"visible\": false, \"name\": \"screenShotRequested\", responsivePriority: 7},
                    {
                        \"name\": \"thumbnail\",
                        responsivePriority: 4,
                        \"orderable\": false,
                        \"data\": function (data, type) {
                            if (type != \"display\")
                                return data.thumbnail;

                            if (data.thumbnail != \"\") {
                                return '<a class=\"display-screenshot-container\" data-toggle=\"lightbox\" data-type=\"image\" href=\"' + data.thumbnail + '\"><img class=\"display-screenshot\" src=\"' + data.thumbnail + '\" data-display-id=\"'+ data.displayId +'\" data-type=\"'+ data.clientType +'\" /></a>';
                            }
                            else {
                                return \"\";
                            }
                        },
                        \"visible\": false
                    },
                    {
                        \"data\": \"isCmsTransferInProgress\",
                        \"render\": dataTableTickCrossColumn,
                        \"visible\": false,
                        \"name\": \"isCmsTransferInProgress\"
                    },
                    {
                        \"name\": \"bandwidthLimit\",
                        responsivePriority: 5,
                        \"data\": null,
                        \"render\": {\"_\": \"bandwidthLimit\", \"display\": \"bandwidthLimitFormatted\", \"sort\": \"bandwidthLimit\"},
                        \"visible\": false
                    },
                    {
                        \"data\": \"lastCommandSuccess\",
                        responsivePriority: 6,
                        \"render\": function (data, type, row) {
                            if (type != \"display\")
                                return data;

                            var icon = \"\";
                            if (data == 1)
                                icon = \"fa-check\";
                            else if (data == 0)
                                icon = \"fa-times\";
                            else
                                icon = \"fa-question\";

                            return \"<span class='fa \" + icon + \"'></span>\";
                        },
                        \"visible\": false
                    },
                    {
                        \"data\": \"xmrChannel\",
                        responsivePriority: 6,
                        \"render\": function (data, type, row) {
                            if (type === \"export\") {
                                return (data !== null && data !== \"\") ? 1 : 0;
                            }

                            if (type != \"display\")
                                return data;

                            var icon = \"\";
                            if (data != null && data != \"\")
                                icon = \"fa-check\";
                            else
                                icon = \"fa-times\";

                            return \"<span class='fa \" + icon + \"'></span>\";
                        },
                        \"visible\": false
                    },
                    {
                        \"data\": \"commercialLicence\",
                        \"name\": \"commercialLicence\",
                        responsivePriority: 5,
                        \"render\": function (data, type, row) {
                            if (type != \"display\")
                                return data;

                            var icon = \"\";
                            if (data == 3) {
                                return \"N/A\";
                            } else {
                                if (data == 1) {
                                    icon = \"fa-check\";
                                } else if (data == 0) {
                                    icon = \"fa-times\";
                                } else if (data == 2) {
                                    icon = \"fa-clock-o\";
                                }

                                return '<span class=\"fa ' + icon + '\" title=\"' + (row.commercialLicenceDescription) + '\"></span>';
                            }
                        },
                        \"visible\": false
                    },
                    {
                        \"name\": \"remote\",
                        \"data\": null,
                        responsivePriority: 4,
                        \"render\": function (data, type, row) {
                            if (type === \"display\") {
                                var html = \"<div class='remote-icons'>\";
                                if (\"";
        // line 488
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "SHOW_DISPLAY_AS_VNCLINK", [], "any", false, false, false, 488), "html", null, true);
        echo "\" !== \"\" && row.clientAddress != null && row.clientAddress !== \"\") {
                                    var link = \"";
        // line 489
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "SHOW_DISPLAY_AS_VNCLINK", [], "any", false, false, false, 489), "html", null, true);
        echo "\".replace('%s', row.clientAddress);
                                    html += '<a href=\"' + link + '\" title=\"";
        // line 490
        echo twig_escape_filter($this->env, __("VNC to this Display"), "html", null, true);
        echo "\" target=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "SHOW_DISPLAY_AS_VNC_TGT", [], "any", false, false, false, 490), "html", null, true);
        echo "\">'
                                        + '<i class=\"fa fa-eye\"></i></a>';
                                }

                                if (row.teamViewerLink !== \"\") {
                                    html += '<a href=\"' + row.teamViewerLink + '\" title=\"";
        // line 495
        echo twig_escape_filter($this->env, __("TeamViewer to this Display"), "html", null, true);
        echo "\" target=\"_blank\">'
                                        + '<img src=\"";
        // line 496
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 496), "html", null, true);
        echo "theme/default/img/remote_icons/teamviewer.png\" alt=\"TeamViewer Icon\"></a>';
                                }

                                if (row.webkeyLink !== \"\") {
                                    html += '<a href=\"' + row.webkeyLink + '\" title=\"";
        // line 500
        echo twig_escape_filter($this->env, __("Webkey to this Display"), "html", null, true);
        echo "\" target=\"_blank\">'
                                        + '<img src=\"";
        // line 501
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 501), "html", null, true);
        echo "theme/default/img/remote_icons/webkey.png\" alt=\"Webkey Icon\"></a>';
                                }

                                return html + \"</div>\";

                            } else if (type === \"export\") {
                                if (row.teamViewerLink !== \"\") {
                                    return \"TeamViewer: \" + row.teamViewerLink;
                                }
                                if (row.webkeyLink !== \"\") {
                                    return \"Webkey: \" + row.webkeyLink;
                                }
                                if (row.teamViewerLink === \"\" && row.webkeyLink === \"\") {
                                    return \"\";
                                }
                            } else {
                                return \"\";
                            }
                        },
                        \"visible\": true,
                        \"orderable\": false
                    },
                    {\"data\": \"createdDt\", \"visible\": false, responsivePriority: 6},
                    {\"data\": \"modifiedDt\", \"visible\": false, responsivePriority: 6},
                    {
                        \"orderable\": false,
                        responsivePriority: 1,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('draw', { form: \$(\"#displays\").closest(\".XiboGrid\").find(\".FilterDiv form\") }, dataTableCreateTagEvents);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#displays_wrapper').find('.dataTables_buttons'));

            \$(\"#refreshGrid\").click(function () {
                table.ajax.reload();
            });
        });

        ";
        // line 543
        $context["showThumbnailColumn"] = twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "getOptionValue", [0 => "showThumbnailColumn", 1 => 1], "method", false, false, false, 543);
        // line 544
        echo "
        function displayRequestScreenshotFormSubmit() {
            \$(\"#displayRequestScreenshotForm\").submit();
            XiboDialogClose();

            ";
        // line 549
        if ((0 === twig_compare(($context["showThumbnailColumn"] ?? null), 1))) {
            // line 550
            echo "                var table = \$('#displays').DataTable();
                if (!table.column([\"thumbnail:name\"]).visible()) {
                    table.columns([\"screenShotRequested:name\", \"thumbnail:name\"]).visible(true);
                }
            ";
        }
        // line 555
        echo "        }


        function setDefaultMultiSelectFormOpen(dialog) {
            console.log('Multi-select form opened for default layout');

            // Inject a list of layouts into the form, in a drop down.
            var \$select = \$('<select name=\"layoutId\" class=\"form-control\" data-search-url=\"";
        // line 562
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.search"), "html", null, true);
        echo "\" data-search-term=\"layout\" data-search-term-tags=\"tags\" data-id-property=\"layoutId\" data-text-property=\"layout\">');
            \$select.on('change', function() {
                console.log('Setting commit data to ' + \$(this).val());
                dialog.data().commitData = {layoutId: \$(this).val()};
            });

            // Add the list to the body.
            \$(dialog).find('.modal-body').append(\$select);

            makePagedSelect(\$select, dialog);
        }

        function displayFormLicenceCheckSubmit(form) {
            // Display commercial licence table column 
            \$('table#displays').DataTable().column('commercialLicence:name').visible(true);

            // Submit form
            form.submit();
        }

        function setMoveCmsMultiSelectFormOpen(dialog) {
            console.log('Multi-select form opened for move CMS');

            var \$message = \$(
                '<div class=\"col-sm-12 alert alert-info\">' +
                    \"<p>";
        // line 587
        echo twig_escape_filter($this->env, __("Please note: Once the CMS Address and Key are authenticated in this form the Display will attempt to register with the CMS Instance details entered. Once transferred the Display will stop communicating with this CMS Instance."), "html", null, true);
        echo "</p>\" +
                '</div>'
            );

            \$(dialog).find('.modal-body').append(\$message);

            var \$cmsAddress =   \$(
                '<div class=\"form-group row\">' +
                    '<label class=\"col-sm-2 control-label\" for=\"newCmsAddress\" accesskey=\"\">New CMS Address</label>' +
                    '<div class=\"col-sm-10\">' +
                        '<input class=\"form-control\" name=\"newCmsAddress\" type=\"text\" id=\"newCmsAddress\" value=\"\">' +
                        '<span class=\"help-block\">";
        // line 598
        echo twig_escape_filter($this->env, __("Full URL to the new CMS, including https:// "), "html", null, true);
        echo "</span>' +
                    '</div>' +
                '</div>'
            );

            var \$cmsKey = \$(
                '<div class=\"form-group row\">' +
                    '<label class=\"col-sm-2 control-label\" for=\"newCmsKey\" accesskey=\"\">New CMS Key</label>' +
                    '<div class=\"col-sm-10\">' +
                        '<input class=\"form-control\" name=\"newCmsKey\" type=\"text\" id=\"newCmsKey\" value=\"\">' +
                        '<span class=\"help-block\">";
        // line 608
        echo twig_escape_filter($this->env, __("CMS Secret Key associated with the provided new CMS Address"), "html", null, true);
        echo "</span>' +
                    '</div>' +
                '</div>'
            );

            var \$authenticationCode =   \$(
                '<div class=\"form-group row\">' +
                    '<label class=\"col-sm-2 control-label\" for=\"twoFactorCode\" accesskey=\"\">Two Factor Code</label>' +
                    '<div class=\"col-sm-10\">' +
                        '<input class=\"form-control\" name=\"twoFactorCode\" type=\"text\" id=\"twoFactorCode\" value=\"\">' +
                        '<span class=\"help-block\">";
        // line 618
        echo twig_escape_filter($this->env, __("Please enter your Two Factor authentication code"), "html", null, true);
        echo "</span>' +
                    '</div>' +
                '</div>'
            );

            \$(dialog).find('.modal-body').append(\$cmsAddress, \$cmsKey, \$authenticationCode);

            \$('#twoFactorCode, #newCmsAddress, #newCmsKey').on('change', function() {

                dialog.data().commitData = {
                        newCmsAddress: \$('#newCmsAddress').val(),
                        newCmsKey: \$('#newCmsKey').val(),
                        twoFactorCode: \$('#twoFactorCode').val()
                    };
            });
        }

        function displayEditFormOpen(dialog) {

            // Setup display profile form
            displayProfileFormOpen();
            XiboInitialise('#settings-from-display-profile');

            var \$settings = \$(dialog).find('#settings-from-display-profile').find('.form-group');
            var \$table = \$(dialog).find('#settings-from-profile tbody').empty();
            var override = \$(dialog).data('extra');

            // Parse special fields
            override.forEach(function(field, index) {
                if(['lockOptions','pictureOptions', 'timers'].includes(field.name)) {
                    var parsedValues = JSON.parse(field.value);
                    
                    // Add values to the override array
                    \$.each(parsedValues, function(name, value){

                        if(name == 'keylock') {
                            \$.each(value, function(keylockName, keylockValue){
                                if(keylockName == 'local') {
                                    keylockName = 'keylockLocal';
                                }

                                if(keylockName == 'remote') {
                                    keylockName = 'keylockRemote';
                                }

                                override.push({name: keylockName, value: keylockValue})
                            });
                        }
                        // Convert boolean and numbers to string
                        value = (['boolean','number'].includes(typeof value)) ? value.toString() : value;

                        override.push({name: name, value: value})
                    });
                }
            });

            // Method to create a new input field based on the hidden form
            var createInputField = function(target, inputName, newValue = null) {
                var select2FixFlag = false;
                var timepickerFixFlag = false;
                var timepickerOptionsFixFlag = false;
                var sliderFixFlag = false;
                var sliderFixOptions = {};

                // Grab input field from hidden table
                var \$inputFields = \$settings.find('#' + inputName);

                // If no input field is capture by ID, get special fields
                if(\$inputFields.length == 0) {
                    if( \$settings.find('.multiSelect').length > 0) {
                        // Copy special fields ( timers, pictureOptions ) by selected option
                        \$inputFields = \$settings.find('.multiSelect option:selected[value=\"' + inputName + '\"]').parents('.form-group:first').find('.multiSelect, .multiSelectInputs');

                        \$inputFields.each(function(key, el) {
                            if(\$(el).find('.timePickerDisplayEditForm').length > 0) {
                                timepickerOptionsFixFlag = true;

                                \$(el).find('.input-group.timerInit').removeClass('timerInit');

                                destroyDatePicker(\$(el).find('.timePickerDisplayEditForm:not(.datePickerHelper)'));
                            } else if(\$(el).find('.pictureControlsSlider').length > 0) {
                                sliderFixFlag = true;
                                sliderFixOptions = \$(el).find('.pictureControlsSlider').bootstrapSlider('getAttribute');
                                \$(el).find('.pictureControlsSlider').bootstrapSlider('destroy');
                            }
                        });
                    }
                } else if(\$inputFields.length == 1 && \$inputFields.hasClass('timePicker')) {
                    timepickerFixFlag  = true;

                    destroyDatePicker(\$inputFields);

                    // Time inputs
                    \$inputFields = \$inputFields.parent();
                } else if(\$inputFields.length == 1 && \$inputFields.hasClass('select2-hidden-accessible')) {
                    select2FixFlag = true;
                    // Destroy select2 before copying
                    \$inputFields.select2('destroy');
                }

                // Save old field before cloning
                \$inputFieldsOld = \$inputFields;

                // Clone input fields ( to be able to reuse the originals )
                \$inputFields = \$inputFields.clone(true);

                if(select2FixFlag) {
                    // Restore old field to a select2
                    makePagedSelect(\$inputFieldsOld);
                }
                // Add input field to the target
                \$(target).html(\$inputFields);

                if(timepickerFixFlag) {
                    XiboInitialise('#' + \$inputFieldsOld.parents('form').attr('id'));
                    XiboInitialise('#' + \$(target).parents('form').attr('id'));
                }

                if(timepickerOptionsFixFlag) {
                    timersFormInit(\$inputFieldsOld);
                    timersFormInit(\$(target));

                    // Parent container
                    var \$inputParent = \$inputFields.parent()
                    \$inputParent.addClass('timerOverride');
                    \$inputParent.find('.date-clear-button').remove();
                    \$inputParent.append('<div class=\"text-muted\">";
        // line 744
        echo twig_escape_filter($this->env, __("Adjust the times of this timer. To add or remove a day, use the Display Profile."), "html", null, true);
        echo "</div>');
                }

                if(sliderFixFlag) {
                    \$inputFieldsOld.find('.pictureControlsSlider').bootstrapSlider(sliderFixOptions);
                    \$inputFields.find('.pictureControlsSlider').bootstrapSlider(sliderFixOptions);
                }

                // Set value if defined
                if(newValue != null) {
                    if(\$(target).find('.multiSelectInputs .pictureControlsSlider').length > 0) {
                        // SLIDER
                        if(!\$.isNumeric(newValue)) { // If value is a label, get index
                            \$(target).find('.multiSelectInputs .slider-tick-label').each(function(idx, el) {
                                if(\$(el).html() == newValue) {
                                    newValue = idx;
                                    return false; 
                                }
                            });
                        }
                        
                        // Set value
                        \$(target).find('.pictureControlsSlider').bootstrapSlider('setValue', newValue);
                    } else if(\$inputFields.attr('type') == 'checkbox') {
                        // CHECKBOX
                        \$(\$inputFields).prop('checked', newValue);
                    } else if(timepickerFixFlag) {
                        \$(\$inputFields).find('input').val(newValue);
                    } else if(timepickerOptionsFixFlag) {
                        \$.each(newValue, function(name, value){
                            if(name == 'on') {
                                \$(\$inputFields).find('input.timersOn').val(value);
                            } else if(name == 'off') {
                                \$(\$inputFields).find('input.timersOff').val(value);
                            }
                        })
                    } else {
                        \$(\$inputFields).val(newValue);
                    }
                }

                // Reload select 2 with new value
                if(select2FixFlag) {
                    // Restore select2 after value set
                    makePagedSelect(\$inputFields);
                }

                // Android dimensions init
                if(inputName == 'screenDimensions') {
                    setAndroidDimensions(\$(target));

                    // CSS fix
                    \$(target).find('.androidDimensionInput').removeClass('col-3').addClass('col-6');
                }

                // If there's a multiselect, set the value of the dropdown ( it's not kept on cloning ) and hide it
                \$(target).find('.multiSelect').val(inputName).hide();

                // Style multi selects
                if(\$(target).find('.multiSelectInputs').length > 0) {
                    // Calculate column size for bootstrap
                    var colSize = Math.round(12/\$(target).find('.multiSelectInputs').length);
                    
                    //Remove all style classes and add the new size class
                    \$(target).find('.multiSelectInputs').attr('class', 'multiSelectInputs col-sm-' + colSize)
                }

                // Set data propeties
                \$(target).attr('data-editing', 'true');
                \$(target).attr('data-input-name', inputName);

                // Remove click to edit event
                \$(target).unbind('click');

                // Fixes for slider
                \$(target).find('.slider').addClass('scaled-slider');
                \$(target).find('.pictureControlsSlider').bootstrapSlider('refresh', { useCurrentValue: true });

                // Add help text if exists on label
                let inputHelpText = \$(target).parent('tr').find('td:first strong').attr('title');
                if(inputHelpText) {
                    \$(target).append('<div class=\"text-muted\">' + inputHelpText + '</div>');
                }

                var \$newButton = \$('<button class=\"btn btn-outline-danger btn-sm pull-right button-close-override\" type=\"button\"><i class=\"fa fa-times\"></i></button>').click(function (e) {
                    e.stopPropagation();
                    restoreInputField(target, inputName);
                 });
                \$(target).append(\$newButton);
            };


            // Method to restore the input field to the edit button
            var restoreInputField = function(target, inputName) {

                \$(target).html('<button class=\"btn btn-block btn-outline-secondary\" type=\"button\"><i class=\"fa fa-edit\"></i></button>');

                // Handlers for field edit
                \$(target).off().click(function() {
                    if(!\$(this).data('editing')) {
                        createInputField(\$(this), inputName);
                    }
                });

                \$(target).attr('data-editing', 'false');
            };

            // Build table
            \$.each(\$settings, function(index, element) {
                var \$label = \$(element).find('label');
                var \$input = \$(element).find('input,select');
                var \$help = \$(element).find('small.form-text.text-muted');
                var over = \$label.prop(\"for\");
                var value = '';
                var text = '';
                var help = \$help.length > 0 ? \$help.text() : '';

                // Skip for some fields
                if(['name', 'isDefault'].includes(over)) {
                    return true;
                }

                if(\$(element).hasClass('form-group-timers')) {
                    // Get text and override name
                    over = \$(element).find('.multiSelect').val();
                    text = \$(element).find('.multiSelect option:selected').text();
                    
                    // Get value
                    value = \$(element).find('.timersOn').val() + ' - ' + \$(element).find('.timersOff').val(); 
                } else if(\$(element).hasClass('form-group-picture-options')) {
                    // Get text and override name
                    over = \$(element).find('.multiSelect').val();
                    text = \$(element).find('.multiSelect option:selected').text();

                    // Get labels
                    var labels = [];
                    \$(element).find('.multiSelectInputs .slider-tick-label').each(function(idx, el) {
                        labels.push(\$(el).html());
                    });

                    // Get value
                    value = \$(element).find('.multiSelectInputs .pictureControlsSlider').bootstrapSlider('getValue');

                    // If specific value has a label, use it as value
                    if(labels[value] != undefined) {
                        value = labels[value];
                    }
                } else if(\$input.attr('type') == 'checkbox'){
                    // Get text and value
                    text = \$label.text();
                    value = \$input.is(\":checked\");

                } else if(\$input.is('select')){
                    // Get text and value
                    text = \$label.text();
                    value = \$input.find('option:selected').text();
                } else if(over === 'screenDimensions'){
                    // Get text and value
                    text = \$label.text();
                    value = \$(element).find('#screenDimensions').val();
                } else {
                    // Get text and value
                    text = \$label.text();
                    value = \$input.val();
                }

                // Skip empty fields
                if(over == '' || over == undefined || over == null) {
                    return true;
                }

                // Append new row to the table
                var \$tableNewRow = \$('<tr><td style=\"width: 40%;\"><strong title=\"' + help + '\">' + text + '</strong></td><td style=\"width: 25%; overflow-x: auto; max-width: 250px;\"><div>' + value + '</div></td><td class=\"override-input text-center\" style=\"width: 35%;\" data-editing=\"false\" data-input-name=\"' + over + '\"><button class=\"btn btn-block btn-outline-secondary\" type=\"button\"><i class=\"fa fa-edit\"></i></button></td></tr>').appendTo(\$table);

                // Get override element
                var overrideEl = override.find(function(x) { return x.name === over; });
                if(overrideEl != undefined) { //If element was found, create an input

                    // Create input with override value
                    createInputField(\$tableNewRow.find('.override-input'), over, overrideEl.value);
                }
            });

            // Handlers for field edit
            \$(dialog).find('.override-input[data-editing=\"false\"]').click(function() {
                var inputName = \$(this).data('inputName');
                createInputField(\$(this), inputName);
            });

            // Refresh on tab switch to fix broken labels
            \$('a[data-toggle=\"tab\"]').on('shown.bs.tab', function() {
                \$('.pictureControlsSlider').bootstrapSlider('refresh', { useCurrentValue: true });
            });

            // Call XiboInitialise on table
            XiboInitialise('#settings-from-profile');
        }

        // Custom submit for display form
        function displayEditFormSubmit() {
            var \$form = \$('#displayEditForm');
            // Grab and alter the value in the bandwidth limit field
            var bandwidthLimitField = \$form.find(\"input[name=bandwidthLimit]\");
            var bandwidthLimitUnitsField = \$form.find(\"select[name=bandwidthLimitUnits]\");
            var bandwidthLimit = bandwidthLimitField.val();

            if (bandwidthLimitUnitsField.val() == 'mb') {
                bandwidthLimit = bandwidthLimit * 1024;
            } else if (bandwidthLimitUnitsField.val() == 'gb') {
                bandwidthLimit = bandwidthLimit * 1024 * 1024;
            }

            // Set the field
            bandwidthLimitField.prop('value', bandwidthLimit);

            // Remove temp fields and enable checkbox after submit
            \$form.submit(function(event) {
                event.preventDefault();
                // Re-enable checkboxes
                \$form.find('input[type=\"checkbox\"]').each(function () {
                    // Enable checkbox
                    \$(this).attr('disabled', false);
                });

                // Remove temp input fields
                \$form.find('input.temp-input').each(function () {
                    \$(this).remove();
                });
            });

            // Replace all checkboxes with hidden input fields
            \$form.find('input[type=\"checkbox\"]').each(function () {
                // Get checkbox values
                var value = \$(this).is(':checked') ? 'on' : 'off';
                var id = \$(this).attr('id');

                // Create hidden input
                \$('<input type=\"hidden\" class=\"temp-input\">')
                    .attr('id', id)
                    .attr('name', id)
                    .val(value)
                    .appendTo(\$(this).parent());

                // Disable checkbox so it won't be submitted
                \$(this).attr('disabled', true);
            });

            // Submit form
            \$form.submit();
        }

        \$('body').on('click', '.display-screenshot', function(el) {
            var displayId = el.target.dataset.displayId;
            var displayType = el.target.dataset.type;

            var statusWindowData = {};

            \$.ajax({
                url: \"/display/status/\" + displayId,
                method: \"GET\",
                dataType: \"json\",
                success: function (data) {
                    if (data != null) {
                        // do some processing on data received from webOS and Tizen Players.
                        if (displayType === 'webOS' || displayType === 'sssp') {
                            data.logMessagesArray = JSON.stringify(data.logMessagesArray);
                            data.allLayouts = JSON.stringify(data.allLayouts);
                            data.scheduledLayouts = JSON.stringify(data.scheduledLayouts);
                            data.validLayouts = JSON.stringify(data.validLayouts);
                            data.invalidLayouts = JSON.stringify(data.invalidLayouts);
                            data.blacklistArray = JSON.stringify(data.blacklistArray);
                            data.spaceTotal = formatBytes(data.spaceTotal, 2);
                            data.spaceFree = formatBytes(data.spaceFree, 2);
                            data.spaceUsed = formatBytes(data.spaceUsed, 2);
                        }

                        statusWindowData['data'] = data;
                        statusWindowData['type'] = displayType;
                        var statusWindowTemplate = Handlebars.compile(\$('#display-status-window-template').html());
                        \$('.modal-body').append(statusWindowTemplate(statusWindowData));
                    }
                }
            });
        });
    </script>

    <style>
        #settings-from-profile tr.row-fluid { 
            height: 50px;
        }
    </style>
";
    }

    public function getTemplateName()
    {
        return "display-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  1192 => 744,  1063 => 618,  1050 => 608,  1037 => 598,  1023 => 587,  995 => 562,  986 => 555,  979 => 550,  977 => 549,  970 => 544,  968 => 543,  923 => 501,  919 => 500,  912 => 496,  908 => 495,  898 => 490,  894 => 489,  890 => 488,  754 => 354,  744 => 346,  742 => 345,  658 => 264,  641 => 249,  637 => 247,  635 => 246,  632 => 245,  628 => 244,  609 => 228,  605 => 227,  601 => 226,  597 => 225,  593 => 224,  589 => 223,  585 => 222,  581 => 221,  577 => 220,  573 => 219,  569 => 218,  565 => 217,  561 => 216,  557 => 215,  553 => 214,  549 => 213,  545 => 212,  541 => 211,  537 => 210,  533 => 209,  529 => 208,  525 => 207,  520 => 206,  514 => 205,  510 => 204,  506 => 203,  502 => 202,  498 => 201,  494 => 200,  490 => 199,  486 => 198,  482 => 197,  478 => 196,  474 => 195,  470 => 194,  459 => 186,  449 => 181,  435 => 171,  433 => 169,  432 => 168,  431 => 167,  430 => 166,  428 => 164,  423 => 163,  418 => 162,  413 => 161,  408 => 160,  404 => 159,  398 => 157,  396 => 155,  395 => 154,  393 => 152,  388 => 151,  383 => 150,  379 => 149,  373 => 147,  369 => 146,  363 => 144,  359 => 143,  353 => 141,  349 => 140,  343 => 138,  341 => 136,  340 => 135,  339 => 134,  338 => 133,  337 => 132,  335 => 130,  330 => 129,  325 => 128,  320 => 127,  315 => 126,  310 => 125,  306 => 124,  300 => 122,  296 => 121,  289 => 117,  286 => 116,  280 => 114,  275 => 113,  273 => 112,  270 => 111,  264 => 109,  259 => 108,  257 => 107,  254 => 106,  248 => 104,  243 => 103,  238 => 102,  233 => 101,  231 => 100,  225 => 98,  223 => 96,  222 => 95,  220 => 93,  215 => 92,  210 => 91,  206 => 90,  200 => 88,  198 => 86,  197 => 85,  195 => 83,  190 => 82,  185 => 81,  181 => 80,  175 => 78,  173 => 76,  172 => 75,  171 => 74,  169 => 72,  164 => 71,  159 => 70,  154 => 69,  150 => 68,  140 => 61,  131 => 55,  124 => 52,  120 => 51,  112 => 46,  108 => 45,  101 => 41,  96 => 39,  93 => 38,  89 => 37,  79 => 33,  69 => 31,  67 => 30,  64 => 29,  60 => 28,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "display-page.twig", "/home/mgatv524/public_html/mctv/views/display-page.twig");
    }
}
