<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-column-form-add.twig */
class __TwigTemplate_42a67f93605d3aebde660fd95a61562113ff4bc6c8d657ed2e34b52feb4429ba extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formFieldActions' => [$this, 'block_formFieldActions'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "dataset-column-form-add.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "dataset-column-form-add.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Add Column");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#dataSetColumnAddForm\").submit()    
";
    }

    // line 37
    public function block_formFieldActions($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "[
    {
      \"field\": \"dataSetColumnTypeId\", \"trigger\": \"init\",
      \"operation\": \"equals\", \"value\": \"1\",
      \"actions\": { \".formula\": { \"display\": \"none\" }, \".listContent\": { \"display\": \"\" }, \".remoteField\": { \"display\": \"none\" } }
    },{
      \"field\": \"dataSetColumnTypeId\", \"trigger\": \"change\",
      \"operation\": \"equals\", \"value\": \"1\",
      \"actions\": { \".formula\": { \"display\": \"none\" }, \".listContent\": { \"display\": \"\" }, \".remoteField\": { \"display\": \"none\" } }
    },
    {
      \"field\": \"dataSetColumnTypeId\", \"trigger\": \"init\",
      \"operation\": \"equals\", \"value\": \"2\",
      \"actions\": { \".formula\": { \"display\": \"\" }, \".listContent\": { \"display\": \"none\" }, \".remoteField\": { \"display\": \"none\" } }
    },{
      \"field\": \"dataSetColumnTypeId\", \"trigger\": \"change\",
      \"operation\": \"equals\", \"value\": \"2\",
      \"actions\": { \".formula\": { \"display\": \"\" }, \".listContent\": { \"display\": \"none\" }, \".remoteField\": { \"display\": \"none\" } }
    },
    {
      \"field\": \"dataSetColumnTypeId\", \"trigger\": \"init\",
      \"operation\": \"equals\", \"value\": \"3\",
      \"actions\": { \".formula\": { \"display\": \"none\" }, \".listContent\": { \"display\": \"none\" }, \".remoteField\": { \"display\": \"\" } }
    },{
      \"field\": \"dataSetColumnTypeId\", \"trigger\": \"change\",
      \"operation\": \"equals\", \"value\": \"3\",
      \"actions\": { \".formula\": { \"display\": \"none\" }, \".listContent\": { \"display\": \"none\" }, \".remoteField\": { \"display\": \"\" } }
    }
]
";
    }

    // line 69
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 70
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"dataSetColumnAddForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 72
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.column.add", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 72)]), "html", null, true);
        echo "\">
                    ";
        // line 73
        ob_start(function () { return ''; });
        echo __("Heading");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("The heading for this Column");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["heading", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required"], 75, $context, $this->getSourceContext());
        echo "

                    ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Column Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("Select the Column Type");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["dataSetColumnTypeId", "single", ($context["title"] ?? null), "", ($context["dataSetColumnTypes"] ?? null), "dataSetColumnTypeId", "dataSetColumnType", ($context["helpText"] ?? null)], 79, $context, $this->getSourceContext());
        echo "

                    ";
        // line 81
        ob_start(function () { return ''; });
        echo __("Data Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("The DataType of the Intended Data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["dataTypeId", "single", ($context["title"] ?? null), "", ($context["dataTypes"] ?? null), "dataTypeId", "dataType", ($context["helpText"] ?? null)], 83, $context, $this->getSourceContext());
        echo "

                    ";
        // line 85
        ob_start(function () { return ''; });
        echo __("List Content");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("A comma separated list of items to present in a combo box");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["listContent", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "listContent"], 87, $context, $this->getSourceContext());
        echo "
                    
                    ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Remote Data Path");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                    ";
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "sourceId", [], "any", false, false, false, 90), 1))) {
            // line 91
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Give the JSON-path in the remote data for the value that you want to fill this column. This path should be relative to the DataRoot configured on the DataSet.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 92
            echo "                    ";
        } else {
            // line 93
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Provide Column number relative to the spreadsheet, numeration starts from 0 ie to get values from Column A from spreadsheet to this column enter 0");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 94
            echo "                    ";
        }
        // line 95
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["remoteField", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSetColumn"] ?? null), "remoteField", [], "any", false, false, false, 95), ($context["helpText"] ?? null), "remoteField"], 95, $context, $this->getSourceContext());
        echo "

                    ";
        // line 97
        ob_start(function () { return ''; });
        echo __("Column Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("The order this column should be displayed in when entering data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["columnOrder", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 99, $context, $this->getSourceContext());
        echo "

                    ";
        // line 101
        ob_start(function () { return ''; });
        echo __("Formula");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("A formula to use as a calculation for formula column types");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["formula", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "formula"], 103, $context, $this->getSourceContext());
        echo "

                    ";
        // line 105
        ob_start(function () { return ''; });
        echo __("Filter?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("Show as a filter option on the Data Entry Page?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 107
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showFilter", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 107, $context, $this->getSourceContext());
        echo "

                    ";
        // line 109
        ob_start(function () { return ''; });
        echo __("Sort?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("Enable sorting on the Data Entry Page? We recommend that the number of sortable columns is kept to a minimum.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 111
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showSort", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 111, $context, $this->getSourceContext());
        echo "

                    ";
        // line 113
        ob_start(function () { return ''; });
        echo __("Two substitutions are available for Formula columns: [DisplayId] and [DisplayGeoLocation]. They will be substituted at run time with the Display ID / Display Geo Location (MySQL GEOMETRY).");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), "alert alert-info formula"], 114, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "dataset-column-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  284 => 114,  280 => 113,  274 => 111,  269 => 110,  265 => 109,  259 => 107,  254 => 106,  250 => 105,  244 => 103,  239 => 102,  235 => 101,  229 => 99,  224 => 98,  220 => 97,  214 => 95,  211 => 94,  206 => 93,  203 => 92,  198 => 91,  195 => 90,  191 => 89,  185 => 87,  180 => 86,  176 => 85,  170 => 83,  165 => 82,  161 => 81,  155 => 79,  150 => 78,  146 => 77,  140 => 75,  135 => 74,  131 => 73,  127 => 72,  123 => 70,  119 => 69,  86 => 38,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-column-form-add.twig", "/home/mgatv524/public_html/mctv/views/dataset-column-form-add.twig");
    }
}
