<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* transition-form-edit.twig */
class __TwigTemplate_29490439e73c5137129c60e473c17a8613525eda5c01e3a47a69cf58f8f6702d extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "transition-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "transition-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Transition");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#transitionEditForm\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"transitionEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("transition.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["transition"] ?? null), "transitionId", [], "any", false, false, false, 40)]), "html", null, true);
        echo "\">
                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Available for In Transitions?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Can this transition be used for media start?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["availableAsIn", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["transition"] ?? null), "availableAsIn", [], "any", false, false, false, 43), ($context["helpText"] ?? null)], 43, $context, $this->getSourceContext());
        echo "

                ";
        // line 45
        ob_start(function () { return ''; });
        echo __("Available for Out Transitions?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Can this transition be used for media end?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["availableAsOut", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["transition"] ?? null), "availableAsOut", [], "any", false, false, false, 47), ($context["helpText"] ?? null)], 47, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "transition-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  117 => 47,  112 => 46,  108 => 45,  102 => 43,  97 => 42,  93 => 41,  89 => 40,  85 => 38,  81 => 37,  75 => 34,  71 => 33,  64 => 32,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "transition-form-edit.twig", "/home/mgatv524/public_html/mctv/views/transition-form-edit.twig");
    }
}
