<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* calendar-form-edit.twig */
class __TwigTemplate_0afca2df87c46088d05c9848e60d747b3b22c090881099d21d1a7a52f9803964 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "calendar-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "calendar-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Calendar");
    }

    // line 31
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    <div class=\"row\">

        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#generalTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#appearanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("Appearance");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 40
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#templateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Main");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#currentEventTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Current Event");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#noDataTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("No Data");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#optionalStylesheetTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Optional Stylesheet");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#cachingTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 49
        echo __("Caching");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#triggerTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 50
        echo __("Trigger");
        echo "</span></a></li>
        </ul>

        <div class=\"col-md-12\">
            <form id=\"calendarFormEdit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 54
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 54), "widgetId", [], "any", false, false, false, 54)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">

                    <div class=\"tab-pane active\" id=\"generalTab\">
                        ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 60), ($context["helpText"] ?? null)], 60, $context, $this->getSourceContext());
        echo "

                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 64), ($context["helpText"] ?? null)], 64, $context, $this->getSourceContext());
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 68), ($context["helpText"] ?? null), "duration-fields", "required"], 68, $context, $this->getSourceContext());
        echo "

                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Duration is per item");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration specified is per item otherwise it is per feed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["durationIsPerItem", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "durationIsPerItem"], "method", false, false, false, 72), ($context["helpText"] ?? null)], 72, $context, $this->getSourceContext());
        echo "

                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "
                        ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 81
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 82
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 83
($context["inheritOption"] ?? null)]];
        // line 85
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 85)], "method", false, false, false, 85), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 85, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Feed URL");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Link for the iCal Feed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["uri", ($context["title"] ?? null), urldecode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "uri"], "method", false, false, false, 91)), ($context["helpText"] ?? null)], 91, $context, $this->getSourceContext());
        echo "

                        ";
        // line 94
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Interval");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Using natural language enter a string representing the period for which events should be returned, for example 2 days or 1 week.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["customInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "customInterval"], "method", false, false, false, 96), ($context["helpText"] ?? null), "interval"], 96, $context, $this->getSourceContext());
        echo "

                        ";
        // line 98
        ob_start(function () { return ''; });
        echo __("Select a Date range to return events instead?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the checkbox to return events within defined start and end dates");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDateRange", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useDateRange", 1 => 0], "method", false, false, false, 100), ($context["helpText"] ?? null)], 100, $context, $this->getSourceContext());
        echo "

                        <div class=\"date-range\" style=\"display: none\">
                            ";
        // line 103
        ob_start(function () { return ''; });
        echo __("Start Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["rangeStart", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "rangeStart", 1 => null], "method", false, false, false, 104), "", "date-range"], 104, $context, $this->getSourceContext());
        echo "

                            ";
        // line 106
        ob_start(function () { return ''; });
        echo __("End Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 107
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["rangeEnd", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "rangeEnd", 1 => null, 2 => "", 3 => "date-range"], "method", false, false, false, 107)], 107, $context, $this->getSourceContext());
        echo "
                        </div>

                        ";
        // line 110
        ob_start(function () { return ''; });
        echo __("Number of Items");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 111
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Number of items you want to display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["numItems", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "numItems"], "method", false, false, false, 112), ($context["helpText"] ?? null)], 112, $context, $this->getSourceContext());
        echo "

                        ";
        // line 114
        ob_start(function () { return ''; });
        echo __("Exclude all day events?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("When all day events are excluded they are removed from the list of events in the feed and wont be shown");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["excludeAllDay", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "excludeAllDay"], "method", false, false, false, 116), ($context["helpText"] ?? null)], 116, $context, $this->getSourceContext());
        echo "

                        ";
        // line 118
        ob_start(function () { return ''; });
        echo __("Exclude current events?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("When current events are excluded they are removed from the list of events in the feed and wont be shown");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["excludeCurrent", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "excludeCurrent"], "method", false, false, false, 120), ($context["helpText"] ?? null)], 120, $context, $this->getSourceContext());
        echo "

                        ";
        // line 122
        ob_start(function () { return ''; });
        echo __("Use event timezone?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If an event specifies a timezone, should it be used. Deselection means the CMS timezone will be used.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useEventTimezone", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useEventTimezone", 1 => 1], "method", false, false, false, 124), ($context["helpText"] ?? null)], 124, $context, $this->getSourceContext());
        echo "

                        ";
        // line 126
        ob_start(function () { return ''; });
        echo __("Use calendar timezone?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 127
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If use event timezone is selected and your calendar feed specifies its own time zone should this be used? Deselecting means the CMS timezone will be used.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 128
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useCalendarTimezone", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useCalendarTimezone", 1 => 1], "method", false, false, false, 128), ($context["helpText"] ?? null)], 128, $context, $this->getSourceContext());
        echo "

                        ";
        // line 130
        ob_start(function () { return ''; });
        echo __("Windows format Calendar?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Does the calendar feed come from Windows - if unsure leave unselected.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 132
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["windowsFormatCalendar", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "windowsFormatCalendar", 1 => 0], "method", false, false, false, 132), ($context["helpText"] ?? null)], 132, $context, $this->getSourceContext());
        echo "

                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTab\">
                        ";
        // line 137
        ob_start(function () { return ''; });
        echo __("Date Format");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        ob_start(function () { return ''; });
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["helpService"] ?? null), "address", [0 => "media_module_calendar.html"], "method", false, false, false, 138), "html", null, true);
        $context["manualUrl"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        ob_start(function () { return ''; });
        /* xgettext:no-php-format */        echo strtr(__("The format to apply to dates. See the <a href=\"%manualUrl%\">Manual</a> for allowed formats."), array("%manualUrl%" => ($context["manualUrl"] ?? null), ));
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dateFormat", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dateFormat"], "method", false, false, false, 140), ($context["helpText"] ?? null)], 140, $context, $this->getSourceContext());
        echo "

                        ";
        // line 142
        ob_start(function () { return ''; });
        echo __("Show items side by side?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should items be shown side by side?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["itemsSideBySide", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "itemsSideBySide"], "method", false, false, false, 144), ($context["helpText"] ?? null)], 144, $context, $this->getSourceContext());
        echo "

                        ";
        // line 146
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items. Marquee effects are CPU intensive and may not be suitable for lower power displays.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "
                        ";
        // line 149
        ob_start(function () { return ''; });
        echo __("Show all items");
        $context["showAll"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 150
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Paged");
        $context["showPaged"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Left");
        $context["marqueeLeft"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Right");
        $context["marqueeRight"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 153
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Up");
        $context["marqueeUp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 154
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Down");
        $context["marqueeDown"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        $context["optionGroups"] = [0 => ["id" => "showAll", "label" =>         // line 156
($context["showAll"] ?? null)], 1 => ["id" => "showPaged", "label" =>         // line 157
($context["showPaged"] ?? null)]];
        // line 159
        echo "
                        ";
        // line 160
        ob_start(function () { return ''; });
        echo __("No effect - all items are shown");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 161
        echo "                        ";
        $context["showAllOptions"] = [0 => ["effectid" => "none", "effect" =>         // line 162
($context["noneOption"] ?? null)], 1 => ["effectid" => "marqueeLeft", "effect" =>         // line 163
($context["marqueeLeft"] ?? null)], 2 => ["effectid" => "marqueeRight", "effect" =>         // line 164
($context["marqueeRight"] ?? null)], 3 => ["effectid" => "marqueeUp", "effect" =>         // line 165
($context["marqueeUp"] ?? null)], 4 => ["effectid" => "marqueeDown", "effect" =>         // line 166
($context["marqueeDown"] ?? null)]];
        // line 168
        echo "
                        ";
        // line 169
        ob_start(function () { return ''; });
        echo __("No transition");
        $context["noTransitionOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 172
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 173
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 174
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 175
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 176
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 178
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 179
        echo "                        ";
        $context["showPagedOptions"] = [0 => ["effectid" => "noTransition", "effect" =>         // line 180
($context["noTransitionOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 181
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 182
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 183
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 184
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 185
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 186
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 187
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 188
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 189
($context["tileBlind"] ?? null)]];
        // line 191
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["effect", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "effect"], "method", false, false, false, 191), ["showAll" => ($context["showAllOptions"] ?? null), "showPaged" => ($context["showPagedOptions"] ?? null)], "effectid", "effect", ($context["helpText"] ?? null), "l", "", "", "", "", ($context["optionGroups"] ?? null)], 191, $context, $this->getSourceContext());
        echo "

                        ";
        // line 193
        ob_start(function () { return ''; });
        echo __("Items per page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 194
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If an effect has been selected how many pages should we split the items across? If you don't enter anything here 1 item will be put on each page.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 195
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["itemsPerPage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "itemsPerPage"], "method", false, false, false, 195), ($context["helpText"] ?? null), "effect-controls"], 195, $context, $this->getSourceContext());
        echo "
                    </div>


                    <div class=\"tab-pane\" id=\"templateTab\">

                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 202
        echo __("Main Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"template_advanced\" name=\"template_advanced\" ";
        // line 204
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "template_advanced", 1 => 0], "method", false, false, false, 204), 1))) {
            echo "checked";
        }
        // line 205
        echo "                                    data-size=\"small\"
                                    data-label-text=\"";
        // line 206
        echo __("Visual editor");
        echo "\"
                                    data-label-width=\"80px\"
                                    data-on-text=\"";
        // line 208
        echo __("On");
        echo "\"
                                    data-off-text=\"";
        // line 209
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 214
        ob_start(function () { return ''; });
        // line 215
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 217
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "ta_text-advanced-editor-hide inline-editor-hide"], 217, $context, $this->getSourceContext());
        echo "

                            ";
        // line 220
        echo "                            ";
        ob_start(function () { return ''; });
        // line 221
        echo "                                ";
        echo __("Enter text to display using the inline editor which can be opened by clicking in the preview on the left.");
        // line 222
        echo "                                ";
        echo __("When using the inline editor Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 223
        echo "                            ";
        $context["layoutDesignerMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 224
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["layoutDesignerMessage"] ?? null), "layout-designer-message inline-editor-show"], 224, $context, $this->getSourceContext());
        echo "

                            ";
        // line 227
        echo "                            ";
        ob_start(function () { return ''; });
        // line 228
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 229
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 230
        echo "                            ";
        $context["playlistEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 231
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["playlistEditorMessage"] ?? null), "playlist-editor-message ta_text-advanced-editor-show"], 231, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"form-group row ckeditor_controls inline-editor-hide\" data-linked-to=\"template\">
                            <div class=\"col-sm-6\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 237
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\"
                                        class=\"ckeditor_snippets_select form-control\"
                                        data-linked-to=\"template\">
                                            <option value=\"\"></option>
                                            <option value=\"Name\">Name</option>
                                            <option value=\"Summary\">Summary</option>
                                            <option value=\"Description\">Description</option>
                                            <option value=\"Location\">Location</option>
                                            <option value=\"StartDate\">StartDate</option>
                                            <option value=\"StartDate|Y-m-d H:i\">StartDate|Y-m-d H:i</option>
                                            <option value=\"EndDate\">EndDate</option>
                                            <option value=\"EndDate|Y-m-d H:i\">EndDate|Y-m-d H:i</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class=\"col-sm-6\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_library_select2\">";
        // line 257
        echo __("Library");
        echo "</label>
                                    <div class=\"col-sm-8\">
                                        <select id=\"ckeditor_library_select2\"
                                                class=\"ckeditor_library_select form-control\"
                                                data-width=\"100%\"
                                                data-linked-to=\"template\"
                                                data-search-url=\"";
        // line 263
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search"), "html", null, true);
        echo "\"
                                                data-image-url=\"";
        // line 264
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.download", ["id" => ":id"]), "html", null, true);
        echo "?preview=1\">
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        ";
        // line 271
        echo twig_call_macro($macros["forms"], "macro_textarea", ["template", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "template"], "method", false, false, false, 271), "", "inline-editor-hide", "", 10], 271, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"currentEventTemplateTab\">

                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 277
        echo __("Current Event Template");
        echo "</h4>
                            <div class=\"current-event-template ml-auto\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"currentEventTemplate_advanced\" name=\"currentEventTemplate_advanced\" ";
        // line 279
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "currentEventTemplate_advanced", 1 => 0], "method", false, false, false, 279), 1))) {
            echo "checked";
        }
        // line 280
        echo "                                    data-size=\"small\"
                                    data-label-text=\"";
        // line 281
        echo __("Visual editor");
        echo "\"
                                    data-label-width=\"80px\"
                                    data-on-text=\"";
        // line 283
        echo __("On");
        echo "\"
                                    data-off-text=\"";
        // line 284
        echo __("Off");
        echo "\">
                                </div>
                        </div>

                        ";
        // line 288
        ob_start(function () { return ''; });
        echo __("Use an alternative template for Current Events?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 289
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This will use the Players Date/Time to work out if the event showing is current.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 290
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useCurrentTemplate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useCurrentTemplate"], "method", false, false, false, 290), ($context["helpText"] ?? null)], 290, $context, $this->getSourceContext());
        echo "

                        <div class=\"editor-messages current-event-template\">
                            ";
        // line 293
        ob_start(function () { return ''; });
        // line 294
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 296
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "currentEventTemplate-advanced-editor-hide"], 296, $context, $this->getSourceContext());
        echo "

                            ";
        // line 298
        ob_start(function () { return ''; });
        // line 299
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 300
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 301
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 302
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage2"] ?? null), "currentEventTemplate-advanced-editor-show"], 302, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"ckeditor_controls row current-event-template\" data-linked-to=\"currentEventTemplate\">
                            <div class=\"col-sm-6\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 308
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\"
                                        class=\"ckeditor_snippets_select form-control\"
                                        data-linked-to=\"currentEventTemplate\">
                                            <option value=\"\"></option>
                                            <option value=\"Name\">Name</option>
                                            <option value=\"Summary\">Summary</option>
                                            <option value=\"Description\">Description</option>
                                            <option value=\"Location\">Location</option>
                                            <option value=\"StartDate\">StartDate</option>
                                            <option value=\"EndDate\">EndDate</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class=\"col-sm-6\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_library_select2\">";
        // line 326
        echo __("Library");
        echo "</label>
                                    <div class=\"col-sm-8\">
                                        <select id=\"ckeditor_library_select2\"
                                                class=\"ckeditor_library_select form-control\"
                                                data-width=\"100%\"
                                                data-linked-to=\"currentEventTemplate\"
                                                data-search-url=\"";
        // line 332
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search"), "html", null, true);
        echo "\"
                                                data-image-url=\"";
        // line 333
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.download", ["id" => ":id"]), "html", null, true);
        echo "?preview=1\">
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        ";
        // line 340
        ob_start(function () { return ''; });
        // line 341
        echo "                            ";
        echo __("Enter the alternative template for events that are current.");
        // line 342
        echo "                        ";
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 343
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["currentEventTemplate", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "currentEventTemplate"], "method", false, false, false, 343), ($context["helpText"] ?? null), "current-event-template", "", 10], 343, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"noDataTemplateTab\">

                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 349
        echo __("No Data Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"noDataMessage_advanced\" name=\"noDataMessage_advanced\" ";
        // line 351
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "noDataMessage_advanced", 1 => 0], "method", false, false, false, 351), 1))) {
            echo "checked";
        }
        // line 352
        echo "                                    data-size=\"small\"
                                    data-label-text=\"";
        // line 353
        echo __("Visual editor");
        echo "\"
                                    data-label-width=\"80px\"
                                    data-on-text=\"";
        // line 355
        echo __("On");
        echo "\"
                                    data-off-text=\"";
        // line 356
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        ";
        // line 360
        ob_start(function () { return ''; });
        // line 361
        echo "                            ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                        ";
        $context["noDataMessageMessage1"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 363
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["noDataMessageMessage1"] ?? null), "noDataMessage-advanced-editor-hide"], 363, $context, $this->getSourceContext());
        echo "

                        ";
        // line 365
        ob_start(function () { return ''; });
        // line 366
        echo "                            ";
        echo __("Enter the text to display.");
        // line 367
        echo "                            ";
        echo __("The red rectangle reflects the size of the region you are editing.");
        // line 368
        echo "                            ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 369
        echo "                        ";
        $context["noDataMessageMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 370
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["noDataMessageMessage2"] ?? null), "noDataMessage-advanced-editor-show"], 370, $context, $this->getSourceContext());
        echo "

                        ";
        // line 372
        ob_start(function () { return ''; });
        echo __("A message to display when no data is returned from the source");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 373
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["noDataMessage", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "noDataMessage"], "method", false, false, false, 373), ($context["helpText"] ?? null), "", "", 5], 373, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">

                        <div class=\"form-content-title\">
                            <h4>";
        // line 379
        echo __("Optional Stylesheet Template");
        echo "</h4>
                        </div>

                        ";
        // line 382
        echo twig_call_macro($macros["forms"], "macro_textarea", ["styleSheet", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "styleSheet"], "method", false, false, false, 382), "", "", "", 10], 382, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cachingTab\">
                        ";
        // line 386
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 387
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 388
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["updateInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 5], "method", false, false, false, 388), ($context["helpText"] ?? null), "", "required"], 388, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"triggerTab\">
                        ";
        // line 392
        ob_start(function () { return ''; });
        // line 393
        echo "                            ";
        echo __("Web Hook triggers can be executed when certain conditions are detected. If you would like to execute a trigger, enter the trigger code below against each event.");
        echo "<br>
                        ";
        $context["calendarTriggerExplanation"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 395
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["calendarTriggerExplanation"] ?? null)], 395, $context, $this->getSourceContext());
        echo "

                        ";
        // line 397
        ob_start(function () { return ''; });
        echo __("Current Event");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 398
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Code to be triggered when a event is currently ongoing.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 399
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["currentEventTrigger", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "currentEventTrigger"], "method", false, false, false, 399), ($context["helpText"] ?? null)], 399, $context, $this->getSourceContext());
        echo "

                        ";
        // line 401
        ob_start(function () { return ''; });
        echo __("No Event");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 402
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Code to be triggered when no events are ongoing at the moment.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 403
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["noEventTrigger", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "noEventTrigger"], "method", false, false, false, 403), ($context["helpText"] ?? null)], 403, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "calendar-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  995 => 403,  990 => 402,  986 => 401,  980 => 399,  975 => 398,  971 => 397,  965 => 395,  959 => 393,  957 => 392,  949 => 388,  944 => 387,  940 => 386,  933 => 382,  927 => 379,  917 => 373,  913 => 372,  907 => 370,  904 => 369,  901 => 368,  898 => 367,  895 => 366,  893 => 365,  887 => 363,  881 => 361,  879 => 360,  872 => 356,  868 => 355,  863 => 353,  860 => 352,  856 => 351,  851 => 349,  841 => 343,  838 => 342,  835 => 341,  833 => 340,  823 => 333,  819 => 332,  810 => 326,  789 => 308,  779 => 302,  776 => 301,  773 => 300,  770 => 299,  768 => 298,  762 => 296,  756 => 294,  754 => 293,  747 => 290,  742 => 289,  738 => 288,  731 => 284,  727 => 283,  722 => 281,  719 => 280,  715 => 279,  710 => 277,  701 => 271,  691 => 264,  687 => 263,  678 => 257,  655 => 237,  645 => 231,  642 => 230,  639 => 229,  636 => 228,  633 => 227,  627 => 224,  624 => 223,  621 => 222,  618 => 221,  615 => 220,  609 => 217,  603 => 215,  601 => 214,  593 => 209,  589 => 208,  584 => 206,  581 => 205,  577 => 204,  572 => 202,  561 => 195,  556 => 194,  552 => 193,  546 => 191,  544 => 189,  543 => 188,  542 => 187,  541 => 186,  540 => 185,  539 => 184,  538 => 183,  537 => 182,  536 => 181,  535 => 180,  533 => 179,  528 => 178,  523 => 177,  518 => 176,  513 => 175,  508 => 174,  503 => 173,  498 => 172,  493 => 171,  488 => 170,  484 => 169,  481 => 168,  479 => 166,  478 => 165,  477 => 164,  476 => 163,  475 => 162,  473 => 161,  469 => 160,  466 => 159,  464 => 157,  463 => 156,  461 => 155,  456 => 154,  451 => 153,  446 => 152,  441 => 151,  436 => 150,  432 => 149,  429 => 148,  424 => 147,  420 => 146,  414 => 144,  409 => 143,  405 => 142,  399 => 140,  394 => 139,  389 => 138,  385 => 137,  376 => 132,  371 => 131,  367 => 130,  361 => 128,  356 => 127,  352 => 126,  346 => 124,  341 => 123,  337 => 122,  331 => 120,  326 => 119,  322 => 118,  316 => 116,  311 => 115,  307 => 114,  301 => 112,  296 => 111,  292 => 110,  285 => 107,  281 => 106,  275 => 104,  271 => 103,  264 => 100,  259 => 99,  255 => 98,  249 => 96,  244 => 95,  239 => 94,  233 => 91,  228 => 90,  224 => 89,  216 => 85,  214 => 83,  213 => 82,  212 => 81,  210 => 80,  205 => 79,  200 => 78,  196 => 77,  193 => 76,  188 => 75,  184 => 74,  178 => 72,  173 => 71,  169 => 70,  163 => 68,  158 => 67,  154 => 66,  148 => 64,  143 => 63,  139 => 62,  133 => 60,  128 => 59,  124 => 58,  117 => 54,  110 => 50,  106 => 49,  100 => 46,  96 => 45,  92 => 44,  88 => 43,  82 => 40,  76 => 37,  72 => 36,  68 => 35,  63 => 32,  59 => 31,  54 => 28,  50 => 27,  45 => 24,  43 => 25,  36 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "calendar-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/calendar-form-edit.twig");
    }
}
