<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* display-form-request-screenshot.twig */
class __TwigTemplate_62abc887065b94603e71457e9693dad6314f644eca5fd5f15255b90ce83cdf60 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "display-form-request-screenshot.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "display-form-request-screenshot.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Request Screen Shot");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", displayRequestScreenshotFormSubmit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayRequestScreenshotForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("display.requestscreenshot", ["id" => twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "displayId", [], "any", false, false, false, 40)]), "html", null, true);
        echo "\">
                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Are you sure you want to request a screenshot?");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 42, $context, $this->getSourceContext());
        echo "

                ";
        // line 44
        ob_start(function () { return ''; });
        echo __("If the Player is configured for push messaging, screenshots are requested immediately and should be seen when the form closed. In some circumstances it may be necessary to refresh the page after a few seconds.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 45, $context, $this->getSourceContext());
        echo "

                ";
        // line 47
        ob_start(function () { return ''; });
        echo __("Screenshots can be seen in the Display Grid by selecting Column Visibility and enabling the Screenshot column.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 48, $context, $this->getSourceContext());
        echo "

                ";
        // line 50
        if (twig_test_empty(twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "xmrChannel", [], "any", false, false, false, 50))) {
            // line 51
            echo "                    <div class=\"alert alert-info\">
                        ";
            // line 52
            ob_start(function () { return ''; });
            /* xgettext:no-php-format */            echo strtr(__("XMR is not working on this Player yet, the screenshot will be requested the next time the Player connects on its collection interval, expected %nextCollect%."), array("%nextCollect%" => ($context["nextCollect"] ?? null), ));
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 53
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 53, $context, $this->getSourceContext());
            echo "
                    </div>
                ";
        }
        // line 56
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "display-form-request-screenshot.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  139 => 56,  132 => 53,  128 => 52,  125 => 51,  123 => 50,  117 => 48,  113 => 47,  107 => 45,  103 => 44,  97 => 42,  93 => 41,  89 => 40,  85 => 38,  81 => 37,  75 => 34,  71 => 33,  64 => 32,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "display-form-request-screenshot.twig", "/home/mgatv524/public_html/mctv/views/display-form-request-screenshot.twig");
    }
}
