<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* schedule-form-edit.twig */
class __TwigTemplate_9b07343664d1e1b7a5ec0d209dc2e9d1b1efa9359fb9c9b537f0498abf07f83c extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'callBack' => [$this, 'block_callBack'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "schedule-form-edit.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "schedule-form-edit.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Edit Event");
    }

    // line 30
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "setupScheduleForm";
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Delete");
        echo ", XiboSwapDialog(\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("schedule.delete.form", ["id" => twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "eventId", [], "any", false, false, false, 35)]), "html", null, true);
        echo "\")
    ";
        // line 36
        echo __("Save");
        echo ", beforeSubmitScheduleForm(\$(\"#scheduleEditForm\"))
";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item repeats\"><a class=\"nav-link\" href=\"#repeats\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Repeats");
        echo "</span></a></li>
                <li class=\"nav-item reminders\"><a class=\"nav-link\" href=\"#reminders\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Reminder");
        echo "</span></a></li>
                <li class=\"nav-item geoSchedule\"><a class=\"nav-link\" href=\"#geoSchedule\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Geo Location");
        echo "</span></a></li>
            </ul>
            ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Select the start time for this event");
        $context["dayPartMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "            <form id=\"scheduleEditForm\" autocomplete=\"off\" class=\"form-horizontal\" method=\"put\" data-event-id=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "eventId", [], "any", false, false, false, 49), "html", null, true);
        echo "\" data-event-start=\"";
        echo twig_escape_filter($this->env, ($context["eventStart"] ?? null), "html", null, true);
        echo "\" data-event-end=\"";
        echo twig_escape_filter($this->env, ($context["eventEnd"] ?? null), "html", null, true);
        echo "\" action=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("schedule.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "eventId", [], "any", false, false, false, 49)]), "html", null, true);
        echo "\"
                  data-daypart-message=\"";
        // line 50
        echo twig_escape_filter($this->env, ($context["dayPartMessage"] ?? null), "html", null, true);
        echo "\"
                  data-not-daypart-message=\"";
        // line 51
        echo twig_escape_filter($this->env, ($context["notDayPartMessage"] ?? null), "html", null, true);
        echo "\"
                  data-add-url=\"";
        // line 52
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("schedule.add"), "html", null, true);
        echo "\"
                  data-duplicated-message=\"";
        // line 53
        echo __("Duplicate form loaded, make adjustments and press save.");
        echo "\"
                  data-default-lat=\"";
        // line 54
        echo twig_escape_filter($this->env, ($context["defaultLat"] ?? null), "html", null, true);
        echo "\"
                  data-default-long=\"";
        // line 55
        echo twig_escape_filter($this->env, ($context["defaultLong"] ?? null), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Event Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the type of event to schedule");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Layout");
        $context["layoutEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Campaign");
        $context["campaignEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Command");
        $context["commandEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Overlay Layout");
        $context["overlayEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Interrupt Layout");
        $context["interruptEventType"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        $context["eventTypes"] = [0 => ["id" => 1, "label" =>         // line 66
($context["layoutEventType"] ?? null)], 1 => ["id" => 5, "label" =>         // line 67
($context["campaignEventType"] ?? null)], 2 => ["id" => 2, "label" =>         // line 68
($context["commandEventType"] ?? null)], 3 => ["id" => 3, "label" =>         // line 69
($context["overlayEventType"] ?? null)], 4 => ["id" => 4, "label" =>         // line 70
($context["interruptEventType"] ?? null)]];
        // line 72
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["eventTypeId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "eventTypeId", [], "any", false, false, false, 72), ($context["eventTypes"] ?? null), "id", "label", ($context["helpText"] ?? null)], 72, $context, $this->getSourceContext());
        echo "

                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Display");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select one or more displays / groups for this event to be shown on.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.search")], 1 => ["name" => "data-trans-groups", "value" => __("Groups")], 2 => ["name" => "data-trans-display", "value" => __("Display")]];
        // line 81
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["displayGroupIds[]", "dropdownmulti", ($context["title"] ?? null), ($context["displayGroupIds"] ?? null), ($context["displayGroups"] ?? null), "displayGroupId", "displayGroup", ($context["helpText"] ?? null), "", "", "", "", ($context["attributes"] ?? null)], 81, $context, $this->getSourceContext());
        echo "

                        ";
        // line 83
        ob_start(function () { return ''; });
        echo __("Dayparting");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the dayparting information for this event. To set your own times select custom and to have the event run constantly select Always.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        <div class=\"form-group row day-part-control\">
                            <label class=\"col-sm-2 control-label\" for=\"dayPartId\">";
        // line 86
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-10\">
                                <select class=\"form-control\" name=\"dayPartId\" id=\"dayPartId\">
                                    ";
        // line 89
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["dayParts"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["dayPart"]) {
            // line 90
            echo "                                        <option ";
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["dayPart"], "dayPartId", [], "any", false, false, false, 90), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "dayPartId", [], "any", false, false, false, 90)))) {
                echo "selected";
            }
            // line 91
            echo "                                                value=\"";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "dayPartId", [], "any", false, false, false, 91), "html", null, true);
            echo "\"
                                                data-is-always=\"";
            // line 92
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "isAlways", [], "any", false, false, false, 92), "html", null, true);
            echo "\"
                                                data-is-custom=\"";
            // line 93
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "isCustom", [], "any", false, false, false, 93), "html", null, true);
            echo "\">";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["dayPart"], "name", [], "any", false, false, false, 93), "html", null, true);
            echo "</option>
                                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['dayPart'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 95
        echo "                                </select>
                                <small class=\"form-text text-muted\">";
        // line 96
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</small>
                            </div>
                        </div>

                        ";
        // line 100
        ob_start(function () { return ''; });
        echo __("Start Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the start time for this event");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["fromDt", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "fromDt", [], "any", false, false, false, 102), ($context["helpText"] ?? null), "starttime-control", "required", ""], 102, $context, $this->getSourceContext());
        echo "

                        ";
        // line 104
        ob_start(function () { return ''; });
        echo __("End Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the end time for this event");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["toDt", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "toDt", [], "any", false, false, false, 106), ($context["helpText"] ?? null), "endtime-control", "required", ""], 106, $context, $this->getSourceContext());
        echo "

                        ";
        // line 109
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.search")], 1 => ["name" => "data-search-is-layout-specific", "value" =>  -1], 2 => ["name" => "data-trans-layout", "value" => __("Layout")], 3 => ["name" => "data-trans-layout-help-text", "value" => __("Please select a Layout for this Event to show")], 4 => ["name" => "data-trans-campaign", "value" => __("Campaign")], 5 => ["name" => "data-trans-campaign-help-text", "value" => __("Please select a Campaign for this Event to show")]];
        // line 117
        echo "
                        ";
        // line 118
        ob_start(function () { return ''; });
        echo __("Layout");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a Layout for this Event to show");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["campaignId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "campaignId", [], "any", false, false, false, 120), [0 => ($context["campaign"] ?? null)], "campaignId", "campaign", ($context["helpText"] ?? null), "layout-control", "", "", "", ($context["attributes"] ?? null)], 120, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row preview-button-container\">
                            <div class=\"offset-md-2 col-md-10\">
                                <a id=\"previewButton\" class=\"btn btn-success\" target=\"_blank\" data-url=\"";
        // line 124
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.preview", ["id" => ":id"]), "html", null, true);
        echo "\">";
        echo __("Preview");
        echo " <span class=\"fa fa-tablet\"></span></a>
                                <small class=\"form-text text-muted\">";
        // line 125
        echo __("Preview your selection in a new tab");
        echo "</small>
                            </div>
                        </div>

                        <div class=\"form-group row interrupt-control\">
                            <label class=\"col-sm-2 control-label\" for=\"shareOfVoice\" accesskey=\"\">";
        // line 130
        echo __("Share of Voice");
        echo "</label>
                            <div class=\"col-sm-5\">
                                <input class=\"form-control\" name=\"shareOfVoice\" type=\"number\" id=\"shareOfVoice\" value=\"";
        // line 132
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "shareOfVoice", [], "any", false, false, false, 132), "html", null, true);
        echo "\" min=\"0\" max=\"3600\" step=\"1\">
                                <small class=\"form-text text-muted\">";
        // line 133
        echo __("The amount of time this Layout should be shown, in seconds per hour.");
        echo "</small>
                            </div>

                            <div class=\"col-sm-5\">
                                <input class=\"form-control\" name=\"shareOfVoicePercentage\" type=\"number\" id=\"shareOfVoicePercentage\" value=\"\">
                                <small class=\"form-text text-muted\">";
        // line 138
        echo __("As a percentage");
        echo "</small>
                            </div>
                        </div>

                        ";
        // line 142
        ob_start(function () { return ''; });
        echo __("Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a command for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["commandId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "commandId", [], "any", false, false, false, 144), twig_array_merge([0 => ["commandId" => "", "command" => ""]], ($context["commands"] ?? null)), "commandId", "command", ($context["helpText"] ?? null), "command-control"], 144, $context, $this->getSourceContext());
        echo "

                        ";
        // line 146
        ob_start(function () { return ''; });
        echo __("Display Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the order this event should appear in relation to others when there is more than one event scheduled");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["displayOrder", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "displayOrder", [], "any", false, false, false, 148), ($context["helpText"] ?? null), "displayOrder-control"], 148, $context, $this->getSourceContext());
        echo "

                        ";
        // line 150
        ob_start(function () { return ''; });
        echo __("Priority");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Sets the event priority - events with the highest priority play in preference to lower priority events.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["isPriority", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "isPriority", [], "any", false, false, false, 152), ($context["helpText"] ?? null), "priority-control"], 152, $context, $this->getSourceContext());
        echo "

                        ";
        // line 154
        ob_start(function () { return ''; });
        echo __("Run at CMS Time?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("When selected, your event will run according to the timezone set on the CMS, otherwise the event will run at Display local time");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["syncTimezone", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "syncTimezone", [], "any", false, false, false, 156), ($context["helpText"] ?? null)], 156, $context, $this->getSourceContext());
        echo "

                        ";
        // line 158
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "EVENT_SYNC", [], "any", false, false, false, 158), 1))) {
            // line 159
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Synchronise this event?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 160
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("When selected, all selected players will attempt to synchronise the output (Supported on Android player only)");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 161
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["syncEvent", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "syncEvent", [], "any", false, false, false, 161), ($context["helpText"] ?? null), "sync-schedule-control"], 161, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 163
        echo "
                        ";
        // line 164
        if (($context["recurringEvent"] ?? null)) {
            // line 165
            echo "                            <div class=\"card p-3 mb-3 bg-light text-primary text-center form-error\">
                                <p>This is an instance of a scheduled recurring event:
                                    <span class=\"fa fa-info-circle\"
                                          data-toggle=\"popover\"
                                          data-trigger=\"hover\"
                                          data-placement=\"bottom\"
                                          data-content=\"";
            // line 171
            echo __("Editing the Start and or End date/time will create a new Recurring Event across the Schedule. Any previously deleted instances of this event will be recreated with edits made here.");
            echo "\"></span></p>
                                <p>
                                    Starting from <span class=\"text-warning\"><b id=\"instanceStartDate\">-</b></span> to <span class=\"text-warning\"><b id=\"instanceEndDate\">-</b></span>
                                </p>
                                <div id=\"recurringInfo\"></div>
                            </div>
                        ";
        }
        // line 178
        echo "
                    </div>
                    
                    <div class=\"tab-pane\" id=\"repeats\">
                        ";
        // line 182
        ob_start(function () { return ''; });
        echo __("Repeats");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 183
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the type of Repeat required for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 184
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 185
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Per Minute");
        $context["minute"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 186
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Hourly");
        $context["hourly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 187
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Daily");
        $context["daily"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 188
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Weekly");
        $context["weekly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 189
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monthly");
        $context["monthly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 190
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yearly");
        $context["yearly"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 191
        echo "                        ";
        $context["options"] = [0 => ["id" => "", "name" =>         // line 192
($context["noneOption"] ?? null)], 1 => ["id" => "Minute", "name" =>         // line 193
($context["minute"] ?? null)], 2 => ["id" => "Hour", "name" =>         // line 194
($context["hourly"] ?? null)], 3 => ["id" => "Day", "name" =>         // line 195
($context["daily"] ?? null)], 4 => ["id" => "Week", "name" =>         // line 196
($context["weekly"] ?? null)], 5 => ["id" => "Month", "name" =>         // line 197
($context["monthly"] ?? null)], 6 => ["id" => "Year", "name" =>         // line 198
($context["yearly"] ?? null)]];
        // line 200
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["recurrenceType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "recurrenceType", [], "any", false, false, false, 200), ($context["options"] ?? null), "id", "name", ($context["helpText"] ?? null)], 200, $context, $this->getSourceContext());
        echo "

                        ";
        // line 202
        ob_start(function () { return ''; });
        echo __("Use the drop-down to select which days of the week this Event should be repeated");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 203
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monday");
        $context["monday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 204
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tuesday");
        $context["tuesday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 205
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Wednesday");
        $context["wednesday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 206
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Thursday");
        $context["thursday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 207
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Friday");
        $context["friday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 208
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Saturday");
        $context["saturday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 209
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Sunday");
        $context["sunday"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 210
        echo "                        ";
        $context["options"] = [0 => ["id" => 1, "name" =>         // line 211
($context["monday"] ?? null)], 1 => ["id" => 2, "name" =>         // line 212
($context["tuesday"] ?? null)], 2 => ["id" => 3, "name" =>         // line 213
($context["wednesday"] ?? null)], 3 => ["id" => 4, "name" =>         // line 214
($context["thursday"] ?? null)], 4 => ["id" => 5, "name" =>         // line 215
($context["friday"] ?? null)], 5 => ["id" => 6, "name" =>         // line 216
($context["saturday"] ?? null)], 6 => ["id" => 7, "name" =>         // line 217
($context["sunday"] ?? null)]];
        // line 219
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["recurrenceRepeatsOn[]", "dropdownmulti", "", twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "recurrenceRepeatsOn", [], "any", false, false, false, 219), ($context["options"] ?? null), "id", "name", ($context["helpText"] ?? null), "repeat-weekly-control-group"], 219, $context, $this->getSourceContext());
        echo "

                        ";
        // line 221
        ob_start(function () { return ''; });
        echo __("Should this Event Repeat by Day of the month (eg. Monthly on Day 21) or by a Weekday in the month (eg. Monthly on the third Thursday)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 222
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-value", "value" => twig_get_attribute($this->env, $this->source,         // line 223
($context["event"] ?? null), "recurrenceMonthlyRepeatsOn", [], "any", false, false, false, 223)], 1 => ["name" => "data-trans-day", "value" => __("on the [DAY] day")], 2 => ["name" => "data-trans-weekday", "value" => __("on the [POSITION] [WEEKDAY]")]];
        // line 227
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["recurrenceMonthlyRepeatsOn", "single", "", twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "recurrenceMonthlyRepeatsOn", [], "any", false, false, false, 227), [0 => ["id" => twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "recurrenceMonthlyRepeatsOn", [], "any", false, false, false, 227), "name" => ""]], "id", "name", ($context["helpText"] ?? null), "repeat-monthly-control-group", "", "", "", ($context["attributes"] ?? null)], 227, $context, $this->getSourceContext());
        echo "

                        ";
        // line 229
        ob_start(function () { return ''; });
        echo __("Every");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 230
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Include a number to determine the Repeat frequency required for this Event.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 231
        echo "                        <div class=\"form-group row repeat-control-group\">
                            <label class=\"col-sm-2 control-label\" for=\"recurrenceDetail\">";
        // line 232
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-10\">
                                <div class=\"input-group\">
                                    <input class=\"form-control\" name=\"recurrenceDetail\" type=\"number\" id=\"recurrenceDetail\" value=\"";
        // line 235
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "recurrenceDetail", [], "any", false, false, false, 235), "html", null, true);
        echo "\" />
                                    <div class=\"input-group-append\">
                                        <span class=\"input-group-text input-group-addon\"></span>
                                    </div>
                                </div>
                                <span class=\"form-text text-muted\">";
        // line 240
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                        </div>

                        ";
        // line 244
        ob_start(function () { return ''; });
        echo __("Until");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 245
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a date and time to end the Repeat for this Event. Leave empty to Repeat indefinitely.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 246
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["recurrenceRange", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "recurrenceRange", [], "any", false, false, false, 246), ($context["helpText"] ?? null), "repeat-control-group", "", ""], 246, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"reminders\">
                        ";
        // line 250
        ob_start(function () { return ''; });
        echo __("Use the form fields below to create a set of reminders for this event. New fields can be added by clicking on the + icon at the end of the row. Use the tick box to receive a notification by email alternatively reminders will be shown in the message center.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 251
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 251, $context, $this->getSourceContext());
        echo "
                        <div id=\"reminderFields\" data-reminders=\"";
        // line 252
        echo twig_escape_filter($this->env, json_encode(($context["reminders"] ?? null)), "html", null, true);
        echo "\"></div>
                    </div>

                    <div class=\"tab-pane\" id=\"geoSchedule\">
                        ";
        // line 256
        ob_start(function () { return ''; });
        echo __("Geo Schedule?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 257
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this event be location aware? Enable this checkbox and select an area by drawing a polygon or rectangle layer on the map below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 258
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isGeoAware", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "isGeoAware", [], "any", false, false, false, 258), ($context["helpText"] ?? null), ""], 258, $context, $this->getSourceContext());
        echo "

                        <div id=\"geoScheduleMap\" style=\"height: 500px; width: 100%\" class=\"d-none\"></div>

                        ";
        // line 262
        echo twig_call_macro($macros["forms"], "macro_hidden", ["geoLocation", twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "geoLocation", [], "any", false, false, false, 262)], 262, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "schedule-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  694 => 262,  686 => 258,  681 => 257,  677 => 256,  670 => 252,  665 => 251,  661 => 250,  653 => 246,  648 => 245,  644 => 244,  637 => 240,  629 => 235,  623 => 232,  620 => 231,  615 => 230,  611 => 229,  605 => 227,  603 => 223,  601 => 222,  597 => 221,  591 => 219,  589 => 217,  588 => 216,  587 => 215,  586 => 214,  585 => 213,  584 => 212,  583 => 211,  581 => 210,  576 => 209,  571 => 208,  566 => 207,  561 => 206,  556 => 205,  551 => 204,  546 => 203,  542 => 202,  536 => 200,  534 => 198,  533 => 197,  532 => 196,  531 => 195,  530 => 194,  529 => 193,  528 => 192,  526 => 191,  521 => 190,  516 => 189,  511 => 188,  506 => 187,  501 => 186,  496 => 185,  491 => 184,  486 => 183,  482 => 182,  476 => 178,  466 => 171,  458 => 165,  456 => 164,  453 => 163,  447 => 161,  442 => 160,  437 => 159,  435 => 158,  429 => 156,  424 => 155,  420 => 154,  414 => 152,  409 => 151,  405 => 150,  399 => 148,  394 => 147,  390 => 146,  384 => 144,  379 => 143,  375 => 142,  368 => 138,  360 => 133,  356 => 132,  351 => 130,  343 => 125,  337 => 124,  329 => 120,  324 => 119,  320 => 118,  317 => 117,  314 => 109,  308 => 106,  303 => 105,  299 => 104,  293 => 102,  288 => 101,  284 => 100,  277 => 96,  274 => 95,  264 => 93,  260 => 92,  255 => 91,  250 => 90,  246 => 89,  240 => 86,  237 => 85,  232 => 84,  228 => 83,  222 => 81,  219 => 76,  214 => 75,  210 => 74,  204 => 72,  202 => 70,  201 => 69,  200 => 68,  199 => 67,  198 => 66,  196 => 65,  191 => 64,  186 => 63,  181 => 62,  176 => 61,  171 => 60,  166 => 59,  162 => 58,  156 => 55,  152 => 54,  148 => 53,  144 => 52,  140 => 51,  136 => 50,  125 => 49,  121 => 48,  116 => 46,  112 => 45,  108 => 44,  104 => 43,  99 => 40,  95 => 39,  89 => 36,  83 => 35,  79 => 34,  72 => 33,  68 => 32,  61 => 30,  56 => 27,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "schedule-form-edit.twig", "/home/mgatv524/public_html/mctv/views/schedule-form-edit.twig");
    }
}
