<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* campaign-preview.twig */
class __TwigTemplate_183ed1d93d044e13ea14b59994a62b92181cc0ab63c9b7419a22ca4f4b75e237 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
            'headContent' => [$this, 'block_headContent'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "campaign-preview.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "campaign-preview.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">
            ";
        // line 29
        $context["campaignName"] = twig_get_attribute($this->env, $this->source, ($context["campaign"] ?? null), "campaign", [], "any", false, false, false, 29);
        // line 30
        echo "            ";
        if (twig_get_attribute($this->env, $this->source, ($context["campaign"] ?? null), "isLayoutSpecific", [], "any", false, false, false, 30)) {
            // line 31
            echo "                ";
            /* xgettext:no-php-format */            echo strtr(__("Layout Preview for %campaignName%"), array("%campaignName%" => ($context["campaignName"] ?? null), ));
            // line 32
            echo "            ";
        } else {
            // line 33
            echo "                ";
            /* xgettext:no-php-format */            echo strtr(__("Campaign Preview for %campaignName%"), array("%campaignName%" => ($context["campaignName"] ?? null), ));
            // line 34
            echo "            ";
        }
        // line 35
        echo "        </div>
        <div class=\"widget-body\">
            <p><b>";
        // line 37
        echo __("total duration");
        echo "</b> ";
        echo twig_escape_filter($this->env, $this->extensions['Xibo\Twig\DateFormatTwigExtension']->dateFormat(($context["duration"] ?? null)), "html", null, true);
        echo " <i>(";
        echo __("hours:min:sec");
        echo ")</i></p>
            <p><b>";
        // line 38
        echo __("number of layouts");
        echo "</b> : ";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["campaign"] ?? null), "numberLayouts", [], "any", false, false, false, 38), "html", null, true);
        echo " </p>
            <div class=\"row clearfix\">
                ";
        // line 40
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["extendedLayouts"] ?? null));
        $context['loop'] = [
          'parent' => $context['_parent'],
          'index0' => 0,
          'index'  => 1,
          'first'  => true,
        ];
        if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
            $length = count($context['_seq']);
            $context['loop']['revindex0'] = $length - 1;
            $context['loop']['revindex'] = $length;
            $context['loop']['length'] = $length;
            $context['loop']['last'] = 1 === $length;
        }
        foreach ($context['_seq'] as $context["_key"] => $context["extendedLayout"]) {
            // line 41
            echo "                    <div class=\"col-sm-6 col-md-4 col-lg-3\">
                        <div class=\"row\">
                            <div class=\"col-sm-12\">
                                <div class=\"embed-responsive embed-responsive-4by3\">
                                    <div class=\"embed-responsive-item preview-container\"
                                         data-url=\"";
            // line 46
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.preview", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["extendedLayout"], "layout", [], "any", false, false, false, 46), "layoutId", [], "any", false, false, false, 46)]), "html", null, true);
            echo "\">
                                        ";
            // line 47
            $this->loadTemplate("layout-preview-partial.twig", "campaign-preview.twig", 47)->display(twig_array_merge($context, ["layout" => twig_get_attribute($this->env, $this->source, $context["extendedLayout"], "layout", [], "any", false, false, false, 47), "previewOptions" => twig_get_attribute($this->env, $this->source, $context["extendedLayout"], "previewOptions", [], "any", false, false, false, 47)]));
            // line 48
            echo "                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class=\"row\">
                            <div class=\"col-sm-8\">
                                <small>";
            // line 54
            echo __("id");
            echo ":</small> ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["extendedLayout"], "layout", [], "any", false, false, false, 54), "layoutId", [], "any", false, false, false, 54), "html", null, true);
            echo "<br/>
                                <small>";
            // line 55
            echo __("name");
            echo ":</small> ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["extendedLayout"], "layout", [], "any", false, false, false, 55), "layout", [], "any", false, false, false, 55), "html", null, true);
            echo "<br/>
                                <small>";
            // line 56
            echo __("duration");
            echo ":</small> ";
            echo twig_escape_filter($this->env, $this->extensions['Xibo\Twig\DateFormatTwigExtension']->dateFormat(twig_get_attribute($this->env, $this->source, $context["extendedLayout"], "duration", [], "any", false, false, false, 56)), "html", null, true);
            echo "<br/>
                            </div>
                            <div class=\"col-sm-4\">
                                <a class=\"btn btn-white\" href=\"";
            // line 59
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.preview", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["extendedLayout"], "layout", [], "any", false, false, false, 59), "layoutId", [], "any", false, false, false, 59)]), "html", null, true);
            echo "\" target=\"_blank\">
                                    ";
            // line 60
            echo __("Open full screen");
            // line 61
            echo "                                    <span class=\"fa fa-tablet\"></span>
                                </a>
                            </div>
                        </div>
                    </div>
                ";
            ++$context['loop']['index0'];
            ++$context['loop']['index'];
            $context['loop']['first'] = false;
            if (isset($context['loop']['length'])) {
                --$context['loop']['revindex0'];
                --$context['loop']['revindex'];
                $context['loop']['last'] = 0 === $context['loop']['revindex0'];
            }
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['extendedLayout'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 67
        echo "            </div>
        </div>
    </div>
";
    }

    // line 72
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 73
        echo "    <script src=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 73), "html", null, true);
        echo "dist/vendor/html5preloader/html5Preloader.js?v=";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "&rev=";
        echo twig_escape_filter($this->env, ($context["revision"] ?? null), "html", null, true);
        echo "\"></script>
    <script src=\"";
        // line 74
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 74), "html", null, true);
        echo "dist/preview/html-preview.js?v=";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "&rev=";
        echo twig_escape_filter($this->env, ($context["revision"] ?? null), "html", null, true);
        echo "\"></script>
    <script type=\"text/javascript\">
        var previewTranslations = {};
        // Translations we want always available
        ";
        // line 79
        echo "            previewTranslations.actionControllerTitle = \"";
        echo twig_escape_filter($this->env, __("Action Controller"), "js", null, true);
        echo "\";
            previewTranslations.navigateToLayout = \"";
        // line 80
        echo twig_escape_filter($this->env, __("Navigate to layout with code [layoutTag]?"), "js", null, true);
        echo "\";
            previewTranslations.emptyRegionMessage = \"";
        // line 81
        echo twig_escape_filter($this->env, __("Empty Region"), "js", null, true);
        echo "\";
        ";
        // line 83
        echo "
        (function(\$){
          \$(document).ready(function(){
            ";
        // line 86
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["extendedLayouts"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["extendedLayout"]) {
            // line 87
            echo "              dsInit(";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["extendedLayout"], "layout", [], "any", false, false, false, 87), "layoutId", [], "any", false, false, false, 87), "html", null, true);
            echo ", ";
            echo json_encode(twig_get_attribute($this->env, $this->source, $context["extendedLayout"], "previewOptions", [], "any", false, false, false, 87));
            echo ", false);
            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['extendedLayout'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 89
        echo "          });
        }(jQuery));
    </script>
";
    }

    // line 94
    public function block_headContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 95
        echo "        <link rel=\"stylesheet\" type=\"text/css\" href=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 95), "html", null, true);
        echo "dist/preview/html-preview.css\" />
        <link rel=\"stylesheet\" type=\"text/css\" href=\"";
        // line 96
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "css/html-preview.css"], "method", false, false, false, 96), "html", null, true);
        echo "\" />
";
    }

    public function getTemplateName()
    {
        return "campaign-preview.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  258 => 96,  253 => 95,  249 => 94,  242 => 89,  231 => 87,  227 => 86,  222 => 83,  218 => 81,  214 => 80,  209 => 79,  198 => 74,  189 => 73,  185 => 72,  178 => 67,  159 => 61,  157 => 60,  153 => 59,  145 => 56,  139 => 55,  133 => 54,  125 => 48,  123 => 47,  119 => 46,  112 => 41,  95 => 40,  88 => 38,  80 => 37,  76 => 35,  73 => 34,  70 => 33,  67 => 32,  64 => 31,  61 => 30,  59 => 29,  55 => 27,  51 => 26,  46 => 23,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "campaign-preview.twig", "/home/mgatv524/public_html/mctv/views/campaign-preview.twig");
    }
}
