<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* currencies-form-settings.twig */
class __TwigTemplate_1886243ee7481206427265285cfacc91ddacda4e5e1ee1c2c1a3f3d8cdcbdd43 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'moduleFormFields' => [$this, 'block_moduleFormFields'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "module-form-settings.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "currencies-form-settings.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("module-form-settings.twig", "currencies-form-settings.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_moduleFormFields($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "
    ";
        // line 29
        ob_start(function () { return ''; });
        echo __("API Key");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Key from Alpha Advantage: https://www.alphavantage.co/support/#api-key.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 31
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["apiKey", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "apiKey"], "method", false, false, false, 31), ($context["helpText"] ?? null)], 31, $context, $this->getSourceContext());
        echo "

    ";
        // line 33
        ob_start(function () { return ''; });
        echo __("Cache Period");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 34
        echo "    ";
        ob_start(function () { return ''; });
        echo __("This module uses 3rd party data. Please enter the number of seconds you would like to cache results.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 35
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["cachePeriod", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "cachePeriod", 1 => 3600], "method", false, false, false, 35), ($context["helpText"] ?? null)], 35, $context, $this->getSourceContext());
        echo "

";
    }

    public function getTemplateName()
    {
        return "currencies-form-settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  80 => 35,  75 => 34,  71 => 33,  65 => 31,  60 => 30,  56 => 29,  53 => 28,  49 => 27,  44 => 24,  42 => 25,  35 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "currencies-form-settings.twig", "/home/mgatv524/public_html/mctv/modules/currencies-form-settings.twig");
    }
}
