<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* daypart-form-edit.twig */
class __TwigTemplate_a7bc12b69322b2c8b300251f48783b8b02413630df01a5757be076ddf40acf5e extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'extra' => [$this, 'block_extra'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "daypart-form-edit.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "daypart-form-edit.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Edit Daypart");
    }

    // line 30
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 32
        echo __("Save");
        echo ", \$(\"#dayPartEditForm\").submit()
";
    }

    // line 35
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(($context["extra"] ?? null));
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "dayPartFormOpen";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#description\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Description");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#exceptions\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Exceptions");
        echo "</span></a></li>
            </ul>
            <form id=\"dayPartEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 47
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("daypart.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["dayPart"] ?? null), "dayPartId", [], "any", false, false, false, 47)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 50
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Name for this Daypart");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dayPart"] ?? null), "name", [], "any", false, false, false, 52), ($context["helpText"] ?? null), "", "required"], 52, $context, $this->getSourceContext());
        echo "

                        ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Retired");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Retire? It will no longer be visible when scheduling");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["retired", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dayPart"] ?? null), "isRetired", [], "any", false, false, false, 56), ($context["helpText"] ?? null)], 56, $context, $this->getSourceContext());
        echo "

                        ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Start Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the start time for this daypart");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_time", ["startTime", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dayPart"] ?? null), "startTime", [], "any", false, false, false, 60), ($context["helpText"] ?? null)], 60, $context, $this->getSourceContext());
        echo "

                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("End Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the end time for this daypart. If the end time is before the start time, then the daypart will cross midnight.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_time", ["endTime", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dayPart"] ?? null), "endTime", [], "any", false, false, false, 64), ($context["helpText"] ?? null)], 64, $context, $this->getSourceContext());
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("If this daypart is already in use, the events will be adjusted to use the new times provided. If used on a recurring event and that event has already recurred. The event will be split in two and the future event time adjusted.");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["title"] ?? null)], 67, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"description\">
                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A Description of Daypart");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["description", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dayPart"] ?? null), "description", [], "any", false, false, false, 72), ($context["helpText"] ?? null)], 72, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"exceptions\">
                        ";
        // line 75
        ob_start(function () { return ''; });
        echo __("If there are any exceptions enter them below by selecting the Day from the list and entering a start/end time.");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["title"] ?? null)], 76, $context, $this->getSourceContext());
        echo "
                        <div id=\"dayPartExceptions\">

                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "daypart-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  210 => 76,  206 => 75,  199 => 72,  194 => 71,  190 => 70,  183 => 67,  179 => 66,  173 => 64,  168 => 63,  164 => 62,  158 => 60,  153 => 59,  149 => 58,  143 => 56,  138 => 55,  134 => 54,  128 => 52,  123 => 51,  119 => 50,  113 => 47,  108 => 45,  104 => 44,  100 => 43,  95 => 40,  91 => 39,  84 => 37,  77 => 35,  71 => 32,  66 => 31,  62 => 30,  57 => 27,  53 => 26,  48 => 23,  46 => 24,  39 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "daypart-form-edit.twig", "/home/mgatv524/public_html/mctv/views/daypart-form-edit.twig");
    }
}
