<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* playersoftware-form-edit.twig */
class __TwigTemplate_1f80de96fb2b40978cfce981bd6336f6bb37541d1182f6eec6b9577302fff412 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "playersoftware-form-edit.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "playersoftware-form-edit.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Edit Media");
    }

    // line 30
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 32
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 33
        echo __("Save");
        echo ", \$(\"#playersoftwareEditForm\").submit()
";
    }

    // line 36
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 37
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"playersoftwareEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 39
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playersoftware.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["version"] ?? null), "versionId", [], "any", false, false, false, 39)]), "html", null, true);
        echo "\" data-media-id=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["version"] ?? null), "versionId", [], "any", false, false, false, 39), "html", null, true);
        echo "\" data-valid-extensions=\"";
        echo twig_escape_filter($this->env, ($context["validExtensions"] ?? null), "html", null, true);
        echo "\">
                ";
        // line 40
        ob_start(function () { return ''; });
        echo __("Player Version Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name of the player version application, this will be displayed in Version dropdowns in Display Profile and Display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["playerShowVersion", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["version"] ?? null), "playerShowVersion", [], "any", false, false, false, 42), ($context["helpText"] ?? null)], 42, $context, $this->getSourceContext());
        echo "

                ";
        // line 44
        ob_start(function () { return ''; });
        echo __("Version");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Version number of this installer file, this should be correctly populated on upload, otherwise adjust it here");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["version", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["version"] ?? null), "version", [], "any", false, false, false, 46), ($context["helpText"] ?? null)], 46, $context, $this->getSourceContext());
        echo "

                ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Code number of this installer file, this should be correctly populated on upload, otherwise adjust it here");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_number", ["code", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["version"] ?? null), "code", [], "any", false, false, false, 50), ($context["helpText"] ?? null)], 50, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "playersoftware-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  136 => 50,  131 => 49,  127 => 48,  121 => 46,  116 => 45,  112 => 44,  106 => 42,  101 => 41,  97 => 40,  89 => 39,  85 => 37,  81 => 36,  75 => 33,  71 => 32,  64 => 31,  60 => 30,  55 => 27,  51 => 26,  46 => 23,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "playersoftware-form-edit.twig", "/home/mgatv524/public_html/mctv/views/playersoftware-form-edit.twig");
    }
}
