<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-edit.twig */
class __TwigTemplate_2e4484ef8a4e16b5abddc77d0f834b57aa3c3193793dfc897975be5c476409e1 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "user-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit User");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "edit", [], "any", false, false, false, 32), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#userEditForm\").submit()
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "userFormOpen";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Details");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#reference\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Reference");
        echo "</span></a></li>
                ";
        // line 45
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userTypeId", [], "any", false, false, false, 45), 1))) {
            // line 46
            echo "                    <li class=\"nav-item\"><a class=\"nav-link\" href=\"#notifications\" role=\"tab\" data-toggle=\"tab\"><span>";
            echo __("Notifications");
            echo "</span></a></li>
                ";
        }
        // line 48
        echo "                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#optionsTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        echo __("Options");
        echo "</span></a></li>
            </ul>
            <form id=\"userEditForm\" class=\"UserForm form-horizontal\" data-user-id=\"";
        // line 50
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "userId", [], "any", false, false, false, 50), "html", null, true);
        echo "\" method=\"put\" action=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "userId", [], "any", false, false, false, 50)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("User Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Login Name of the user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["userName", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "userName", [], "any", false, false, false, 55), ($context["helpText"] ?? null), "", "required maxlength='50'"], 55, $context, $this->getSourceContext());
        echo "

                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Email");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Email Address for this user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_email", ["email", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "email", [], "any", false, false, false, 59), ($context["helpText"] ?? null)], 59, $context, $this->getSourceContext());
        echo "

                        ";
        // line 61
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userTypeId", [], "any", false, false, false, 61), 1))) {
            // line 62
            echo "                            ";
            // line 63
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("New Password");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 64
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("The new Password for this user.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 65
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_password", ["newPassword", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 65, $context, $this->getSourceContext());
            echo "

                            ";
            // line 67
            ob_start(function () { return ''; });
            echo __("Retype New Password");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 68
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Repeat the new Password for this user.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 69
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_password", ["retypeNewPassword", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 69, $context, $this->getSourceContext());
            echo "

                            ";
            // line 71
            ob_start(function () { return ''; });
            echo __("Reset Two Factor Authentication");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 72
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Once ticked the two factor authentication will be set to ‘Off’ for this User Profile with any stored secret codes cleared. The User can now set up two factor authentication from the User Profile as before.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 73
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["disableTwoFactor", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 73, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 75
        echo "
                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Homepage");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Homepage for this user. This is the page they will be taken to when they login.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\" for=\"homePageId\">";
        // line 79
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-10\">
                                <select name=\"homePageId\" class=\"form-control homepage-select\" required data-search-url=\"";
        // line 81
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.homepages.search"), "html", null, true);
        echo "\">
                                    <option value=\"";
        // line 82
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["options"] ?? null), "homepage", [], "any", false, false, false, 82), "homepage", [], "any", false, false, false, 82), "html", null, true);
        echo "\" selected>";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["options"] ?? null), "homepage", [], "any", false, false, false, 82), "title", [], "any", false, false, false, 82), "html", null, true);
        echo "</option>
                                </select>
                                <span class=\"help-block\">";
        // line 84
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                        </div>

                        ";
        // line 88
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "isSuperAdmin", [], "method", false, false, false, 88)) {
            // line 89
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("User Type");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 90
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("What is this users type?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 91
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["userTypeId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "userTypeId", [], "any", false, false, false, 91), twig_get_attribute($this->env, $this->source, ($context["options"] ?? null), "userTypes", [], "any", false, false, false, 91), "userTypeId", "userType", ($context["helpText"] ?? null)], 91, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 93
        echo "
                        ";
        // line 94
        ob_start(function () { return ''; });
        echo __("Library Quota");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The quota that should be applied. Enter 0 for no quota.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\" for=\"libraryQuota\">";
        // line 97
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-6\">
                                <input class=\"form-control\" name=\"libraryQuota\" type=\"number\" id=\"libraryQuota\" min=\"0\" value=\"";
        // line 99
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "libraryQuota", [], "any", false, false, false, 99), "html", null, true);
        echo "\" />
                                <span class=\"help-block\">";
        // line 100
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                            <div class=\"col-sm-4\">
                                <select name=\"libraryQuotaUnits\" class=\"form-control\">
                                    <option value=\"kb\">KiB</option>
                                    <option value=\"mb\">MiB</option>
                                    <option value=\"gb\">GiB</option>
                                </select>
                            </div>
                        </div>

                        ";
        // line 111
        ob_start(function () { return ''; });
        echo __("Retired?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Is this user retired?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["retired", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "retired", [], "any", false, false, false, 113), ($context["helpText"] ?? null)], 113, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"reference\">
                        ";
        // line 116
        ob_start(function () { return ''; });
        echo __("First Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The User's First Name.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["firstName", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "firstName", [], "any", false, false, false, 118), ($context["helpText"] ?? null), "", "maxlength='254'"], 118, $context, $this->getSourceContext());
        echo "

                        ";
        // line 120
        ob_start(function () { return ''; });
        echo __("Last Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The User's Last Name.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["lastName", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "lastName", [], "any", false, false, false, 122), ($context["helpText"] ?? null), "", "maxlength='254'"], 122, $context, $this->getSourceContext());
        echo "

                        ";
        // line 124
        ob_start(function () { return ''; });
        echo __("Phone Number");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The User's Phone Number.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["phone", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "phone", [], "any", false, false, false, 126), ($context["helpText"] ?? null), "", "maxlength='254'"], 126, $context, $this->getSourceContext());
        echo "

                        ";
        // line 128
        ob_start(function () { return ''; });
        echo __("Reference 1");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["ref1", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "ref1", [], "any", false, false, false, 130), ($context["helpText"] ?? null), "", "maxlength='254'"], 130, $context, $this->getSourceContext());
        echo "

                        ";
        // line 132
        ob_start(function () { return ''; });
        echo __("Reference 2");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 133
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["ref2", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "ref2", [], "any", false, false, false, 134), ($context["helpText"] ?? null), "", "maxlength='254'"], 134, $context, $this->getSourceContext());
        echo "

                        ";
        // line 136
        ob_start(function () { return ''; });
        echo __("Reference 3");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["ref3", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "ref3", [], "any", false, false, false, 138), ($context["helpText"] ?? null), "", "maxlength='254'"], 138, $context, $this->getSourceContext());
        echo "

                        ";
        // line 140
        ob_start(function () { return ''; });
        echo __("Reference 4");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["ref4", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "ref4", [], "any", false, false, false, 142), ($context["helpText"] ?? null), "", "maxlength='254'"], 142, $context, $this->getSourceContext());
        echo "

                        ";
        // line 144
        ob_start(function () { return ''; });
        echo __("Reference 5");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 145
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 146
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["ref5", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "ref5", [], "any", false, false, false, 146), ($context["helpText"] ?? null), "", "maxlength='254'"], 146, $context, $this->getSourceContext());
        echo "
                    </div>
                    ";
        // line 148
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userTypeId", [], "any", false, false, false, 148), 1))) {
            // line 149
            echo "                        <div class=\"tab-pane\" id=\"notifications\">
                            ";
            // line 150
            ob_start(function () { return ''; });
            echo __("Receive System Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 151
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Should this User receive system notifications?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 152
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["isSystemNotification", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "isSystemNotification", [], "any", false, false, false, 152), ($context["helpText"] ?? null)], 152, $context, $this->getSourceContext());
            echo "

                            ";
            // line 154
            ob_start(function () { return ''; });
            echo __("Receive Display Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 155
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Should this User receive Display notifications for Displays they have permission to see?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 156
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["isDisplayNotification", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "isDisplayNotification", [], "any", false, false, false, 156), ($context["helpText"] ?? null)], 156, $context, $this->getSourceContext());
            echo "
                        </div>
                    ";
        }
        // line 159
        echo "
                    <div class=\"tab-pane\" id=\"optionsTab\">
                        ";
        // line 161
        ob_start(function () { return ''; });
        echo __("Hide navigation?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 162
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the navigation side bar be hidden for this User?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 163
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["hideNavigation", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "getOptionValue", [0 => "hideNavigation", 1 => "0"], "method", false, false, false, 163), ($context["helpText"] ?? null)], 163, $context, $this->getSourceContext());
        echo "

                        ";
        // line 165
        ob_start(function () { return ''; });
        echo __("Hide User Guide?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 166
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this User see the new user guide when they log in? This will be set to hidden if the User has dismissed the guide themselves.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 167
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["newUserWizard", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "newUserWizard", [], "any", false, false, false, 167), ($context["helpText"] ?? null)], 167, $context, $this->getSourceContext());
        echo "

                        ";
        // line 169
        ob_start(function () { return ''; });
        echo __("Force Password Change");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this User be forced to change password next time they log in?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isPasswordChangeRequired", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "isPasswordChangeRequired", [], "any", false, false, false, 171), ($context["helpText"] ?? null)], 171, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  517 => 171,  512 => 170,  508 => 169,  502 => 167,  497 => 166,  493 => 165,  487 => 163,  482 => 162,  478 => 161,  474 => 159,  467 => 156,  462 => 155,  458 => 154,  452 => 152,  447 => 151,  443 => 150,  440 => 149,  438 => 148,  432 => 146,  427 => 145,  423 => 144,  417 => 142,  412 => 141,  408 => 140,  402 => 138,  397 => 137,  393 => 136,  387 => 134,  382 => 133,  378 => 132,  372 => 130,  367 => 129,  363 => 128,  357 => 126,  352 => 125,  348 => 124,  342 => 122,  337 => 121,  333 => 120,  327 => 118,  322 => 117,  318 => 116,  311 => 113,  306 => 112,  302 => 111,  288 => 100,  284 => 99,  279 => 97,  276 => 96,  271 => 95,  267 => 94,  264 => 93,  258 => 91,  253 => 90,  248 => 89,  246 => 88,  239 => 84,  232 => 82,  228 => 81,  223 => 79,  220 => 78,  215 => 77,  211 => 76,  208 => 75,  202 => 73,  197 => 72,  193 => 71,  187 => 69,  182 => 68,  178 => 67,  172 => 65,  167 => 64,  162 => 63,  160 => 62,  158 => 61,  152 => 59,  147 => 58,  143 => 57,  137 => 55,  132 => 54,  128 => 53,  120 => 50,  114 => 48,  108 => 46,  106 => 45,  102 => 44,  98 => 43,  93 => 40,  89 => 39,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-edit.twig", "/home/mgatv524/public_html/mctv/views/user-form-edit.twig");
    }
}
