<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* weather-form-settings.twig */
class __TwigTemplate_367dfc85439fa19e2ced4cbfcfa9996a8b983c2760aa95fedef524bfba332b6e extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'moduleFormFields' => [$this, 'block_moduleFormFields'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "module-form-settings.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "weather-form-settings.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("module-form-settings.twig", "weather-form-settings.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_moduleFormFields($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "
    ";
        // line 28
        ob_start(function () { return ''; });
        echo __("Open Weather Map API Key");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Key from Open Weather Map.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["owmApiKey", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "owmApiKey"], "method", false, false, false, 30), ($context["helpText"] ?? null)], 30, $context, $this->getSourceContext());
        echo "

    ";
        // line 32
        ob_start(function () { return ''; });
        echo __("Paid plan?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 33
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Is the above key on an Open Weather Map paid plan?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 34
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["owmIsPaidPlan", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "owmIsPaidPlan"], "method", false, false, false, 34), ($context["helpText"] ?? null)], 34, $context, $this->getSourceContext());
        echo "

    <div class=\"row\">
        <div class=\"col-sm-10 offset-sm-2\">
            <p>Weather data provided by <a href=\"https://openweathermap.org/\" target=\"_blank\">OpenWeather</a> is provided under
                <a href=\"http://creativecommons.org/licenses/by-sa/4.0/\" target=\"_blank\">CC-BY-SA 4.0</a>
                and <a href=\"http://opendatacommons.org/licenses/odbl/\" target=\"_blank\">ODbl</a>.</p>
        </div>
    </div>

    ";
        // line 44
        ob_start(function () { return ''; });
        echo __("DarkSky API Key");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Key from DarkSky.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["apiKey", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "apiKey"], "method", false, false, false, 46), ($context["helpText"] ?? null)], 46, $context, $this->getSourceContext());
        echo "

    ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Cache Period");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter the number of seconds you would like to cache long/lat requests for. DarkSky offers 1000 requests a day.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["cachePeriod", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "cachePeriod", 1 => 300], "method", false, false, false, 50), ($context["helpText"] ?? null)], 50, $context, $this->getSourceContext());
        echo "
";
    }

    public function getTemplateName()
    {
        return "weather-form-settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  118 => 50,  113 => 49,  109 => 48,  103 => 46,  98 => 45,  94 => 44,  80 => 34,  75 => 33,  71 => 32,  65 => 30,  60 => 29,  56 => 28,  53 => 27,  49 => 26,  44 => 23,  42 => 24,  35 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "weather-form-settings.twig", "/home/mgatv524/public_html/mctv/modules/weather-form-settings.twig");
    }
}
