<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* display-form-moveCms.twig */
class __TwigTemplate_20d4dee947221e0861afc3683a1561a4f9ebc7b2f75dd5b4df16dafb9cb622c7 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "display-form-moveCms.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "display-form-moveCms.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Transfer to another CMS");
    }

    // line 30
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 32
        echo __("Save");
        echo ", \$(\"#displayMoveCmsForm\").submit()
";
    }

    // line 35
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 36
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayMoveCmsForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 38
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("display.moveCms", ["id" => twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "displayId", [], "any", false, false, false, 38)]), "html", null, true);
        echo "\">

                ";
        // line 40
        $context["message"] = __("Please note: Once the CMS Address and Key are authenticated in this form the Display will attempt to register with the CMS Instance details entered. Once transferred the Display will stop communicating with this CMS Instance.");
        // line 41
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), "alert alert-info"], 41, $context, $this->getSourceContext());
        echo "

                ";
        // line 43
        $context["title"] = __("New CMS Address");
        // line 44
        echo "                ";
        $context["helpText"] = __("Full URL to the new CMS, including https://");
        // line 45
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["newCmsAddress", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "newCmsAddress", [], "any", false, false, false, 45), ($context["helpText"] ?? null)], 45, $context, $this->getSourceContext());
        echo "

                ";
        // line 47
        $context["title"] = __("New CMS Key");
        // line 48
        echo "                ";
        $context["helpText"] = __("CMS Secret Key associated with the provided new CMS Address");
        // line 49
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["newCmsKey", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "newCmsKey", [], "any", false, false, false, 49), ($context["helpText"] ?? null)], 49, $context, $this->getSourceContext());
        echo "

                ";
        // line 51
        $context["title"] = __("Two Factor Code");
        // line 52
        echo "                ";
        $context["helpText"] = __("Please enter your Two Factor authentication code");
        // line 53
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["twoFactorCode", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required"], 53, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "display-form-moveCms.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  123 => 53,  120 => 52,  118 => 51,  112 => 49,  109 => 48,  107 => 47,  101 => 45,  98 => 44,  96 => 43,  90 => 41,  88 => 40,  83 => 38,  79 => 36,  75 => 35,  69 => 32,  64 => 31,  60 => 30,  55 => 27,  51 => 26,  46 => 23,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "display-form-moveCms.twig", "/home/mgatv524/public_html/mctv/views/display-form-moveCms.twig");
    }
}
