<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-data-form-add.twig */
class __TwigTemplate_25a646fb3d3aa1359a7576f85e700d43fcdfff9f930385a6a139a1b59ede7894 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "dataset-data-form-add.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "dataset-data-form-add.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Add Data");
    }

    // line 30
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 32
        echo __("Next");
        echo ", XiboDialogApply(\"#dataSetDataAdd\")
    ";
        // line 33
        echo __("Save");
        echo ", \$(\"#dataSetDataAdd\").submit()
";
    }

    // line 36
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 37
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"dataSetDataAdd\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 39
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.data.add", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 39)]), "html", null, true);
        echo "\">
                ";
        // line 40
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "getColumn", [], "method", false, false, false, 40));
        foreach ($context['_seq'] as $context["_key"] => $context["col"]) {
            // line 41
            echo "                    ";
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "dataSetColumnTypeId", [], "any", false, false, false, 41), 1))) {
                // line 42
                echo "                        ";
                $context["fieldId"] = ("dataSetColumnId_" . twig_get_attribute($this->env, $this->source, $context["col"], "dataSetColumnId", [], "any", false, false, false, 42));
                // line 43
                echo "
                        ";
                // line 45
                echo "                        ";
                if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "dataTypeId", [], "any", false, false, false, 45), 2))) {
                    // line 46
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_number", [($context["fieldId"] ?? null), twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 46)], 46, $context, $this->getSourceContext());
                    echo "
                        ";
                } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source,                 // line 47
$context["col"], "dataTypeId", [], "any", false, false, false, 47), 3))) {
                    // line 48
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_dateTime", [($context["fieldId"] ?? null), twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 48)], 48, $context, $this->getSourceContext());
                    echo "
                        ";
                } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source,                 // line 49
$context["col"], "dataTypeId", [], "any", false, false, false, 49), 5))) {
                    // line 50
                    echo "                            ";
                    ob_start(function () { return ''; });
                    echo __("Select an Image");
                    $context["selectImage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
                    // line 51
                    echo "                            ";
                    $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search")], 1 => ["name" => "data-search-term", "value" => "media"], 2 => ["name" => "data-search-term-tags", "value" => "tags"], 3 => ["name" => "data-id-property", "value" => "mediaId"], 4 => ["name" => "data-text-property", "value" => "name"], 5 => ["name" => "data-filter-options", "value" => "{\"type\":\"image\"}"], 6 => ["name" => "data-allow-clear", "value" => "true"], 7 => ["name" => "data-placeholder", "value" =>                     // line 59
($context["selectImage"] ?? null)]];
                    // line 61
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_dropdown", [($context["fieldId"] ?? null), "single", twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 61), "", null, "mediaId", "name", "", "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 61, $context, $this->getSourceContext());
                    echo "
                        ";
                } elseif ((0 !== twig_compare(twig_get_attribute($this->env, $this->source,                 // line 62
$context["col"], "listContent", [], "any", false, false, false, 62), ""))) {
                    // line 63
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_dropdown", [($context["fieldId"] ?? null), "single", twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 63), ($context["heading"] ?? null), twig_array_merge([0 => ""], twig_get_attribute($this->env, $this->source, $context["col"], "listContentArray", [], "method", false, false, false, 63))], 63, $context, $this->getSourceContext());
                    echo "
                        ";
                } else {
                    // line 65
                    echo "                            ";
                    echo twig_call_macro($macros["forms"], "macro_input", [($context["fieldId"] ?? null), twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 65)], 65, $context, $this->getSourceContext());
                    echo "
                        ";
                }
                // line 67
                echo "                    ";
            }
            // line 68
            echo "                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['col'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 69
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "dataset-data-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  158 => 69,  152 => 68,  149 => 67,  143 => 65,  137 => 63,  135 => 62,  130 => 61,  128 => 59,  126 => 51,  121 => 50,  119 => 49,  114 => 48,  112 => 47,  107 => 46,  104 => 45,  101 => 43,  98 => 42,  95 => 41,  91 => 40,  87 => 39,  83 => 37,  79 => 36,  73 => 33,  69 => 32,  64 => 31,  60 => 30,  55 => 27,  51 => 26,  46 => 23,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-data-form-add.twig", "/home/mgatv524/public_html/mctv/views/dataset-data-form-add.twig");
    }
}
