<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* datasetview-form-edit-step1.twig */
class __TwigTemplate_f80855d1449119167d3de87fb952a4f864a6d119b8813ddee6107f9bec3f04b0 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "datasetview-form-edit-step1.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "datasetview-form-edit-step1.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Select your DataSet");
    }

    // line 30
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"dataSetEditFormStep1\" class=\"XiboForm form-horizontal\" data-form-step=\"1\" method=\"put\" action=\"";
        // line 33
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 33), "widgetId", [], "any", false, false, false, 33)]), "html", null, true);
        echo "\"
                  data-next-form-url=\"";
        // line 34
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit.form", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 34), "widgetId", [], "any", false, false, false, 34)]), "html", null, true);
        echo "?step=2\">

                ";
        // line 36
        ob_start(function () { return ''; });
        echo __("DataSet");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Please select the DataSet to use as a source of data for this view.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 38
        echo "                ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "200px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.dataset.search")], 5 => ["name" => "data-search-term", "value" => "dataSet"], 6 => ["name" => "data-id-property", "value" => "dataSetId"], 7 => ["name" => "data-text-property", "value" => "dataSet"]];
        // line 48
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["dataSetId", "single", ($context["title"] ?? null), "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDataSet", [], "method", false, false, false, 48), "dataSetId", "dataSet", ($context["helpText"] ?? null), "dataset-fields pagedSelect", "", "", "", ($context["attributes"] ?? null)], 48, $context, $this->getSourceContext());
        echo "
            
                <input type=\"hidden\" name=\"step\" value=\"1\" />
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "datasetview-form-edit-step1.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  88 => 48,  85 => 38,  80 => 37,  76 => 36,  71 => 34,  67 => 33,  63 => 31,  59 => 30,  54 => 27,  50 => 26,  45 => 23,  43 => 24,  36 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "datasetview-form-edit-step1.twig", "/home/mgatv524/public_html/mctv/modules/datasetview-form-edit-step1.twig");
    }
}
