<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* display-page-manage.twig */
class __TwigTemplate_0a1bbfa65b93b3dee935252b9503439291a010c25e0e5050f086e39b398a0f8e extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "display-page-manage.twig", 24)->unwrap();
        // line 25
        $context["displayName"] = twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "display", [], "any", false, false, false, 25);
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "display-page-manage.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        /* xgettext:no-php-format */        echo strtr(__("Manage %displayName%"), array("%displayName%" => ($context["displayName"] ?? null), ));
        echo " | ";
    }

    // line 29
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "    ";
        $context["displayLastAccessed"] = twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "lastAccessed", [], "any", false, false, false, 30);
        // line 31
        echo "    ";
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "loggedIn", [], "any", false, false, false, 31), 1))) {
            // line 32
            echo "        ";
            ob_start(function () { return ''; });
            /* xgettext:no-php-format */            echo strtr(__("Display %displayName% is currently logged-in, seen %timeAgo%."), array("%displayName%" => ($context["displayName"] ?? null), "%timeAgo%" => ($context["timeAgo"] ?? null), ));
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 33
            echo "    ";
        } else {
            // line 34
            echo "        ";
            ob_start(function () { return ''; });
            /* xgettext:no-php-format */            echo strtr(__("Display %displayName% is not logged in at the moment and last accessed at <span class=\"unixDate\">%displayLastAccessed%</span>"), array("%displayName%" => ($context["displayName"] ?? null), "%displayLastAccessed%" => ($context["displayLastAccessed"] ?? null), ));
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 35
            echo "    ";
        }
        // line 36
        echo "    <h1 class=\"text-center\">";
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</h1>
    ";
        // line 37
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "mediaInventoryStatus", [], "any", false, false, false, 37), 3))) {
            // line 38
            echo "    <p class=\"text-center\">";
            echo __("This Display hasn't connected since updates have been made in the CMS. The below information will be updated when it has.");
            echo "</p>
    ";
        }
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-lg-6\">
            <div class=\"widget\">
                <div class=\"widget-title\">";
        // line 43
        echo __("File Status - Count of Files");
        echo "</div>
                <div class=\"widget-body\">
                    <canvas id=\"downloadedCountPie\" style=\"clear:both; margin-top:25px;\" width=\"230\"></canvas>
                </div>
            </div>
        </div>
        <div class=\"col-lg-6\">
            <div class=\"widget\">
                <div class=\"widget-title\">";
        // line 51
        echo __("File Status - Size of Files");
        echo "</div>
                <div class=\"widget-body\">
                    <canvas id=\"downloadedSizePie\" style=\"clear:both; margin-top:25px;\" width=\"230\"></canvas>
                </div>
            </div>
        </div>
    </div>
    <div class=\"row\">
        <div class=\"col-lg-6\">
            <div class=\"widget\">
                <div class=\"widget-title\">
                    <button id=\"refreshLog\" class=\"btn btn-sm pull-right\"><span class=\"fa fa-refresh\"></span></button>
                    ";
        // line 63
        echo __("Errors in the Last 12 hours");
        // line 64
        echo "                </div>
                <div class=\"widget-body medium no-padding\">
                    <table id=\"logs\" class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 69
        echo __("ID");
        echo "</th>
                            <th>";
        // line 70
        echo __("Date");
        echo "</th>
                            <th>";
        // line 71
        echo __("Message");
        echo "</th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class=\"col-lg-6\">
            <div class=\"widget\">
                <div class=\"widget-title\">";
        // line 83
        echo __("Layouts");
        echo "</div>
                <div class=\"widget-body medium no-padding\">
                    <table class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 88
        echo __("ID");
        echo "</th>
                            <th>";
        // line 89
        echo __("Name");
        echo "</th>
                            <th>";
        // line 90
        echo __("Size");
        echo "</th>
                            <th>";
        // line 91
        echo __("Complete");
        echo "</th>
                            <th>";
        // line 92
        echo __("Downloaded");
        echo "</th>
                        </tr>
                        </thead>
                        <tbody>
                            ";
        // line 96
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["inventory"] ?? null), "layouts", [], "any", false, false, false, 96));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 97
            echo "                                <tr>
                                    <td>";
            // line 98
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "itemId", [], "any", false, false, false, 98), "html", null, true);
            echo "</td>
                                    <td>";
            // line 99
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "layout", [], "any", false, false, false, 99), "html", null, true);
            echo "</td>
                                    <td>";
            // line 100
            echo twig_escape_filter($this->env, $this->extensions['Xibo\Twig\ByteFormatterTwigExtension']->byteFormat(twig_get_attribute($this->env, $this->source, $context["item"], "size", [], "any", false, false, false, 100)), "html", null, true);
            echo "</td>
                                    <td>
                                        <span class=\"fa ";
            // line 102
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "complete", [], "any", false, false, false, 102), 1))) {
                echo "fa-check";
            } else {
                echo "fa-download";
            }
            echo "\"></span>
                                    </td>
                                    <td>";
            // line 104
            echo twig_escape_filter($this->env, $this->extensions['Xibo\Twig\ByteFormatterTwigExtension']->byteFormat(twig_get_attribute($this->env, $this->source, $context["item"], "bytesRequested", [], "any", false, false, false, 104)), "html", null, true);
            echo "</td>
                                </tr>
                            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 107
        echo "                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class=\"row\">
        <div class=\"col-lg-6\">
            <div class=\"widget\">
                <div class=\"widget-title\">
                    ";
        // line 117
        echo __("Media");
        // line 118
        echo "                </div>
                <div class=\"widget-body medium no-padding\">
                    <table class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 123
        echo __("ID");
        echo "</th>
                            <th>";
        // line 124
        echo __("Name");
        echo "</th>
                            <th>";
        // line 125
        echo __("Type");
        echo "</th>
                            <th>";
        // line 126
        echo __("File Name");
        echo "</th>
                            <th>";
        // line 127
        echo __("Size");
        echo "</th>
                            <th>";
        // line 128
        echo __("Complete");
        echo "</th>
                            <th>";
        // line 129
        echo __("Downloaded");
        echo "</th>
                            <th>";
        // line 130
        echo __("Released");
        echo "</th>
                        </tr>
                        </thead>
                        <tbody>
                            ";
        // line 134
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["inventory"] ?? null), "media", [], "any", false, false, false, 134));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 135
            echo "                                <tr>
                                    <td>";
            // line 136
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "itemId", [], "any", false, false, false, 136), "html", null, true);
            echo "</td>
                                    <td>";
            // line 137
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "name", [], "any", false, false, false, 137), "html", null, true);
            echo "</td>
                                    <td>";
            // line 138
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "type", [], "any", false, false, false, 138), "html", null, true);
            echo "</td>
                                    <td>";
            // line 139
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "storedAs", [], "any", false, false, false, 139), "html", null, true);
            echo "</td>
                                    <td>";
            // line 140
            echo twig_escape_filter($this->env, $this->extensions['Xibo\Twig\ByteFormatterTwigExtension']->byteFormat(twig_get_attribute($this->env, $this->source, $context["item"], "size", [], "any", false, false, false, 140)), "html", null, true);
            echo "</td>
                                    <td title=\"";
            // line 141
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "lastUsed", [], "any", false, false, false, 141), 0))) {
                echo twig_escape_filter($this->env, ($context["nonceNotUsed"] ?? null), "html", null, true);
            } else {
                echo twig_escape_filter($this->env, ($context["nonceUsed"] ?? null), "html", null, true);
            }
            echo "\">
                                        <span class=\"fa ";
            // line 142
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "complete", [], "any", false, false, false, 142), 1))) {
                echo "fa-check";
            } else {
                echo "fa-download";
            }
            echo "\"></span>
                                    </td>
                                    <td>";
            // line 144
            echo twig_escape_filter($this->env, $this->extensions['Xibo\Twig\ByteFormatterTwigExtension']->byteFormat(twig_get_attribute($this->env, $this->source, $context["item"], "bytesRequested", [], "any", false, false, false, 144)), "html", null, true);
            echo "</td>
                                    <td>
                                        <span class=\"fa ";
            // line 146
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "released", [], "any", false, false, false, 146), 1))) {
                echo "fa-check";
            } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "released", [], "any", false, false, false, 146), 0))) {
                echo "fa-cogs";
            } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "released", [], "any", false, false, false, 146), 2))) {
                echo "fa-times";
            }
            echo "\"></span>
                                    </td>
                                </tr>
                            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 150
        echo "                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class=\"col-lg-6\">
            <div class=\"widget\">
                <div class=\"widget-title\">";
        // line 157
        echo __("Widgets");
        echo "</div>
                <div class=\"widget-body medium no-padding\">
                    <table class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 162
        echo __("ID");
        echo "</th>
                            <th>";
        // line 163
        echo __("Name");
        echo "</th>
                            <th>";
        // line 164
        echo __("Type");
        echo "</th>
                            <th>";
        // line 165
        echo __("Complete");
        echo "</th>
                            <th>";
        // line 166
        echo __("Downloaded");
        echo "</th>
                        </tr>
                        </thead>
                        <tbody>
                            ";
        // line 170
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["inventory"] ?? null), "widgets", [], "any", false, false, false, 170));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 171
            echo "                                <tr>
                                    <td>";
            // line 172
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "itemId", [], "any", false, false, false, 172), "html", null, true);
            echo "</td>
                                    <td>";
            // line 173
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "widgetName", [], "any", false, false, false, 173), "html", null, true);
            echo "</td>
                                    <td>";
            // line 174
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "type", [], "any", false, false, false, 174), "html", null, true);
            echo "</td>
                                    <td title=\"";
            // line 175
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "lastUsed", [], "any", false, false, false, 175), 0))) {
                echo twig_escape_filter($this->env, ($context["nonceNotUsed"] ?? null), "html", null, true);
            } else {
                echo twig_escape_filter($this->env, ($context["nonceUsed"] ?? null), "html", null, true);
            }
            echo "\">
                                        <span class=\"fa ";
            // line 176
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "complete", [], "any", false, false, false, 176), 1))) {
                echo "fa-check";
            } else {
                echo "fa-download";
            }
            echo "\"></span>
                                    </td>
                                    <td>";
            // line 178
            echo twig_escape_filter($this->env, $this->extensions['Xibo\Twig\ByteFormatterTwigExtension']->byteFormat(twig_get_attribute($this->env, $this->source, $context["item"], "bytesRequested", [], "any", false, false, false, 178)), "html", null, true);
            echo "</td>
                                </tr>
                            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 181
        echo "                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    ";
        // line 187
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "displays.reporting"], "method", false, false, false, 187)) {
            // line 188
            echo "    <div class=\"row\">
        <div class=\"col-lg-12\">
            <div class=\"widget\">
                <div class=\"widget-title\">";
            // line 191
            echo __("Bandwidth");
            echo "</div>
                <div class=\"widget-body\">
                    <div class=\"XiboGrid\" id=\"";
            // line 193
            echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
            echo "\">
                        <div class=\"XiboFilter\">
                            <div class=\"FilterDiv card-body\" id=\"bandwidthFilter\">
                                <form class=\"form-inline\">
                                    ";
            // line 197
            echo twig_call_macro($macros["inline"], "macro_dateMonth", ["fromDt", "From Date", twig_get_attribute($this->env, $this->source, ($context["defaults"] ?? null), "fromDate", [], "any", false, false, false, 197), "", "", "", ""], 197, $context, $this->getSourceContext());
            echo "
                                    ";
            // line 198
            echo twig_call_macro($macros["inline"], "macro_dateMonth", ["toDt", "To Date", twig_get_attribute($this->env, $this->source, ($context["defaults"] ?? null), "toDate", [], "any", false, false, false, 198), "", "", "", ""], 198, $context, $this->getSourceContext());
            echo "
                                    ";
            // line 199
            echo twig_call_macro($macros["inline"], "macro_hidden", ["displayId", twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "displayId", [], "any", false, false, false, 199)], 199, $context, $this->getSourceContext());
            echo "
                                </form>
                            </div>
                        </div>
                        <div class=\"XiboData\">
                            <canvas id=\"bandwidthChart\" style=\"clear:both; margin-top:25px;\" height=\"330\"></canvas>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    ";
        }
    }

    // line 214
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 215
        echo "    <script type=\"text/javascript\">

        \$(document).ready(function() {
            var table = \$(\"#logs\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true, stateSave: true, stateDuration: 0,
                filter: false,
                responsive: true,
                searchDelay: 3000,
                \"order\": [[0, \"desc\"]],
                ajax: {
                    url: \"";
        // line 227
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("log.search"), "html", null, true);
        echo "?";
        echo ($context["errorSearch"] ?? null);
        echo "\",
                },
                \"columns\": [
                    {\"data\": \"logId\"},
                    {\"data\": \"logDate\", \"render\": dataTableDateFromIso},
                    {\"data\": \"message\"}
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('processing.dt', dataTableProcessing);

            \$(\"#refreshLog\").click(function () {
                table.ajax.reload();
            });
        });

        var bandwidthChart = null;

        function setBandwidthChart() {
            \$.ajax({
                type: \"get\",
                url: \"";
        // line 249
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("stats.bandwidth.data"), "html", null, true);
        echo "\",
                cache: false,
                dataType: \"json\",
                data: \$(\"#bandwidthFilter\").find(\"form\").serialize(),
                success: function(response) {
                    if (bandwidthChart !== undefined && bandwidthChart !== null) {
                        bandwidthChart.destroy();
                    }

                    if (response.extra.data.length <= 0) {
                        return;
                    }

                    // Create our chart
                    bandwidthChart = new Chart(\$(\"#bandwidthChart\"), {
                        type: \"bar\",
                        data: {
                            labels: response.extra.labels,
                            datasets: [{
                                label: \"";
        // line 268
        echo __("Bandwidth");
        echo "\",
                                backgroundColor: \"rgb(11, 98, 164)\",
                                data: response.extra.data
                            }]
                        },
                        options: {
                            scales: {
                                yAxes: [{
                                    scaleLabel: {
                                        display: true,
                                        labelString: response.extra.postUnits,
                                    }
                                }]
                            },
                            legend: {
                                display: false
                            },
                            maintainAspectRatio: false,
                        }
                    });
                }
            });
        }

        \$(document).ready(function() {

            ";
        // line 294
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "displays.reporting"], "method", false, false, false, 294)) {
            // line 295
            echo "            setBandwidthChart();

            // Bind to form change
            \$(\"#bandwidthFilter input, #bandwidthFilter select\").change(function() {
                setBandwidthChart();
            });
            ";
        }
        // line 302
        echo "
            // Find all Unix Dates and sort them out
            \$(\"span.unixDate\").each(function() {
                \$(this).html(moment(\$(this).html(), \"X\").format(jsDateFormat));
            });

            // Find all ISO Dates and sort them out
            \$(\"span.isoDate\").each(function() {
                \$(this).html(moment(\$(this).html()).format(jsDateFormat));
            });

            // Handle the Pie chart for download status
            var downloadedCountPie = new Chart(\$(\"#downloadedCountPie\"), {
                type: 'pie',
                data: {
                    datasets: [{
                        data: [";
        // line 318
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["status"] ?? null), "countComplete", [], "any", false, false, false, 318), "html", null, true);
        echo ", ";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["status"] ?? null), "countRemaining", [], "any", false, false, false, 318), "html", null, true);
        echo "],
                        backgroundColor: [\"#00CC00\", \"#FF0000\"]
                    }],
                    labels: [
                        \"";
        // line 322
        echo __("Downloaded");
        echo "\", \"";
        echo __("Pending");
        echo "\"
                    ]
                }
            });

            var downloadedSizePie = new Chart(\$(\"#downloadedSizePie\"), {
                type: 'pie',
                data: {
                    datasets: [{
                        data: [";
        // line 331
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["status"] ?? null), "sizeComplete", [], "any", false, false, false, 331), "html", null, true);
        echo ", ";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["status"] ?? null), "sizeRemaining", [], "any", false, false, false, 331), "html", null, true);
        echo "],
                        backgroundColor: [\"#00CC00\", \"#FF0000\"]
                    }],
                    labels: [
                        \"";
        // line 335
        echo __("Downloaded");
        echo "\" + \" ";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["status"] ?? null), "units", [], "any", false, false, false, 335), "html", null, true);
        echo "\", \"";
        echo __("Pending");
        echo "\" + \" ";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["status"] ?? null), "units", [], "any", false, false, false, 335), "html", null, true);
        echo "\"
                    ]
                },
            });
        });
    </script>
";
    }

    public function getTemplateName()
    {
        return "display-page-manage.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  648 => 335,  639 => 331,  625 => 322,  616 => 318,  598 => 302,  589 => 295,  587 => 294,  558 => 268,  536 => 249,  509 => 227,  495 => 215,  491 => 214,  473 => 199,  469 => 198,  465 => 197,  458 => 193,  453 => 191,  448 => 188,  446 => 187,  438 => 181,  429 => 178,  420 => 176,  412 => 175,  408 => 174,  404 => 173,  400 => 172,  397 => 171,  393 => 170,  386 => 166,  382 => 165,  378 => 164,  374 => 163,  370 => 162,  362 => 157,  353 => 150,  337 => 146,  332 => 144,  323 => 142,  315 => 141,  311 => 140,  307 => 139,  303 => 138,  299 => 137,  295 => 136,  292 => 135,  288 => 134,  281 => 130,  277 => 129,  273 => 128,  269 => 127,  265 => 126,  261 => 125,  257 => 124,  253 => 123,  246 => 118,  244 => 117,  232 => 107,  223 => 104,  214 => 102,  209 => 100,  205 => 99,  201 => 98,  198 => 97,  194 => 96,  187 => 92,  183 => 91,  179 => 90,  175 => 89,  171 => 88,  163 => 83,  148 => 71,  144 => 70,  140 => 69,  133 => 64,  131 => 63,  116 => 51,  105 => 43,  100 => 40,  94 => 38,  92 => 37,  87 => 36,  84 => 35,  79 => 34,  76 => 33,  71 => 32,  68 => 31,  65 => 30,  61 => 29,  53 => 27,  48 => 23,  46 => 25,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "display-page-manage.twig", "/home/mgatv524/public_html/mctv/views/display-page-manage.twig");
    }
}
