<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* twitter-form-settings.twig */
class __TwigTemplate_a78e8061b71bd96b1907f9cdc6993c8efd41fd91304be0938c9377132a85bfa8 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'moduleFormFields' => [$this, 'block_moduleFormFields'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "module-form-settings.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "twitter-form-settings.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("module-form-settings.twig", "twitter-form-settings.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_moduleFormFields($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        ob_start(function () { return ''; });
        echo __("API Key");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Key from Twitter.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["apiKey", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "apiKey"], "method", false, false, false, 30), ($context["helpText"] ?? null)], 30, $context, $this->getSourceContext());
        echo "

    ";
        // line 32
        ob_start(function () { return ''; });
        echo __("API Secret");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 33
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Secret from Twitter.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 34
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["apiSecret", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "apiSecret"], "method", false, false, false, 34), ($context["helpText"] ?? null)], 34, $context, $this->getSourceContext());
        echo "

    ";
        // line 36
        ob_start(function () { return ''; });
        echo __("Cache Period");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter the number of seconds you would like to cache twitter search results.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 38
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["cachePeriod", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "cachePeriod", 1 => 300], "method", false, false, false, 38), ($context["helpText"] ?? null)], 38, $context, $this->getSourceContext());
        echo "

    ";
        // line 40
        ob_start(function () { return ''; });
        echo __("Cache Period for Images");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter the number of hours you would like to cache twitter images.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["cachePeriodImages", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "cachePeriodImages", 1 => 24], "method", false, false, false, 42), ($context["helpText"] ?? null)], 42, $context, $this->getSourceContext());
        echo "

";
    }

    public function getTemplateName()
    {
        return "twitter-form-settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  108 => 42,  103 => 41,  99 => 40,  93 => 38,  88 => 37,  84 => 36,  78 => 34,  73 => 33,  69 => 32,  63 => 30,  58 => 29,  53 => 28,  49 => 27,  44 => 24,  42 => 25,  35 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "twitter-form-settings.twig", "/home/mgatv524/public_html/mctv/modules/twitter-form-settings.twig");
    }
}
