<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* webpage-form-edit.twig */
class __TwigTemplate_c3f2d5f56f6f5ccd550de84c7a433ec73e195c1e307dae557ed847c5a13f7e3c extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "webpage-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "webpage-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Add Webpage");
    }

    // line 31
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 34
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("Configuration");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"webpageEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 38
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 38), "widgetId", [], "any", false, false, false, 38)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 43), ($context["helpText"] ?? null)], 43, $context, $this->getSourceContext());
        echo "

                        ";
        // line 45
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 47), ($context["helpText"] ?? null)], 47, $context, $this->getSourceContext());
        echo "

                        ";
        // line 49
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this item should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 51), ($context["helpText"] ?? null), "duration-fields", "required"], 51, $context, $this->getSourceContext());
        echo "

                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "
                        ";
        // line 56
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 60
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 61
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 62
($context["inheritOption"] ?? null)]];
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 64)], "method", false, false, false, 64), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 64, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 68
        ob_start(function () { return ''; });
        echo __("Link");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Location (URL) of the webpage");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["uri", ($context["title"] ?? null), urldecode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "uri"], "method", false, false, false, 70)), ($context["helpText"] ?? null), "required"], 70, $context, $this->getSourceContext());
        echo "

                        ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Background transparent?");
        echo " ";
        echo twig_call_macro($macros["forms"], "macro_playerCompat", ["", "", "", "", "v2 R253+"], 72, $context, $this->getSourceContext());
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the Widget be shown with a transparent background? Also requires the embedded content to have a transparent background.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["transparency", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "GetOption", [0 => "transparency"], "method", false, false, false, 74), ($context["helpText"] ?? null)], 74, $context, $this->getSourceContext());
        echo "

                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Preload?");
        echo " ";
        echo twig_call_macro($macros["forms"], "macro_playerCompat", ["v2 R207+"], 76, $context, $this->getSourceContext());
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this Widget be loaded entirely off screen so that it is ready when shown? Dynamic content will start running off screen.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isPreNavigate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "isPreNavigate"], "method", false, false, false, 78), ($context["helpText"] ?? null)], 78, $context, $this->getSourceContext());
        echo "

                        ";
        // line 80
        ob_start(function () { return ''; });
        echo __("Options");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("How should this web page be embedded?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Open Natively");
        $context["openNatively"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Manual Position");
        $context["manualPosition"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Best Fit");
        $context["bestFit"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        ";
        $context["options"] = [0 => ["modeid" => 1, "mode" =>         // line 86
($context["openNatively"] ?? null)], 1 => ["modeid" => 2, "mode" =>         // line 87
($context["manualPosition"] ?? null)], 2 => ["modeid" => 3, "mode" =>         // line 88
($context["bestFit"] ?? null)]];
        // line 90
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["modeId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "modeid"], "method", false, false, false, 90), ($context["options"] ?? null), "modeid", "mode", ($context["helpText"] ?? null)], 90, $context, $this->getSourceContext());
        echo "

                        ";
        // line 92
        ob_start(function () { return ''; });
        echo __("Page Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The width of the page. Leave empty to use the region width.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["pageWidth", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "pageWidth"], "method", false, false, false, 94), ($context["helpText"] ?? null), "webpage-widths"], 94, $context, $this->getSourceContext());
        echo "

                        ";
        // line 96
        ob_start(function () { return ''; });
        echo __("Page Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The height of the page. Leave empty to use the region height.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["pageHeight", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "pageHeight"], "method", false, false, false, 98), ($context["helpText"] ?? null), "webpage-widths"], 98, $context, $this->getSourceContext());
        echo "

                        ";
        // line 100
        ob_start(function () { return ''; });
        echo __("Offset Top");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The starting point from the top in pixels");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["offsetTop", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "offsetTop"], "method", false, false, false, 102), ($context["helpText"] ?? null), "webpage-offsets"], 102, $context, $this->getSourceContext());
        echo "

                        ";
        // line 104
        ob_start(function () { return ''; });
        echo __("Offset Left");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The starting point from the left in pixels");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["offsetLeft", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "offsetLeft"], "method", false, false, false, 106), ($context["helpText"] ?? null), "webpage-offsets"], 106, $context, $this->getSourceContext());
        echo "

                        ";
        // line 108
        ob_start(function () { return ''; });
        echo __("Scale Percentage");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Percentage to Scale this Webpage (0 - 100)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["scaling", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "scaling"], "method", false, false, false, 110), ($context["helpText"] ?? null), "webpage-offsets"], 110, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "webpage-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  322 => 110,  317 => 109,  313 => 108,  307 => 106,  302 => 105,  298 => 104,  292 => 102,  287 => 101,  283 => 100,  277 => 98,  272 => 97,  268 => 96,  262 => 94,  257 => 93,  253 => 92,  247 => 90,  245 => 88,  244 => 87,  243 => 86,  241 => 85,  236 => 84,  231 => 83,  226 => 82,  221 => 81,  217 => 80,  211 => 78,  206 => 77,  200 => 76,  194 => 74,  189 => 73,  183 => 72,  177 => 70,  172 => 69,  168 => 68,  160 => 64,  158 => 62,  157 => 61,  156 => 60,  154 => 59,  149 => 58,  144 => 57,  140 => 56,  137 => 55,  132 => 54,  128 => 53,  122 => 51,  117 => 50,  113 => 49,  107 => 47,  102 => 46,  98 => 45,  92 => 43,  87 => 42,  83 => 41,  77 => 38,  71 => 35,  67 => 34,  63 => 32,  59 => 31,  54 => 28,  50 => 27,  45 => 24,  43 => 25,  36 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "webpage-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/webpage-form-edit.twig");
    }
}
