<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* template-form-add-from-layout.twig */
class __TwigTemplate_fd856edc7a13384a724ecd899052333c3dc48372eda155635cc82850e97917b4 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "template-form-add-from-layout.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "template-form-add-from-layout.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Save this Layout as a Template?");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#templateAddForm\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"templateAddForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("template.add.from.layout", ["id" => twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "layoutId", [], "any", false, false, false, 40)]), "html", null, true);
        echo "\" data-gettag=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\">
                ";
        // line 41
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 41)) {
            // line 42
            echo "                    <div class=\"form-group row\">
                        <label class=\"col-sm-2 control-label\">";
            // line 43
            echo __("Current Folder");
            echo "</label>
                        <div class=\"col-sm-10\" style=\"padding-top: 7px\">
                            <span id=\"originalFormFolder\"></span>
                        </div>
                    </div>

                    <div class=\"form-group row\">
                        <label class=\"col-sm-2 control-label\">";
            // line 50
            echo __("Move to Selected Folder:");
            echo "</label>
                        <div class=\"col-sm-10\">
                            <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 52
            echo __("Select Folder");
            echo "</button>
                            <span id=\"selectedFormFolder\"></span>
                        </div>
                    </div>
                    ";
            // line 56
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId", twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "folderId", [], "any", false, false, false, 56)], 56, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 58
        echo "
                ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name of the Template - (1 - 50 characters)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                ";
        ob_start(function () { return ''; });
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "layout", [], "any", false, false, false, 61), "html", null, true);
        echo " ";
        echo __("Template");
        $context["templateName"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), ($context["templateName"] ?? null), ($context["helpText"] ?? null)], 62, $context, $this->getSourceContext());
        echo "

                ";
        // line 64
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 64)) {
            // line 65
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 66
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags for this Layout - Comma separated string of Tags or Tag|Value format. If you choose a Tag that has associated values, they will be shown for selection below.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 67
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), ($context["tags"] ?? null), ($context["helpText"] ?? null), "tags-with-value"], 67, $context, $this->getSourceContext());
            echo "

                    <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

                    ";
            // line 71
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 72
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["tagValue", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "key", "value"], 72, $context, $this->getSourceContext());
            echo "

                    <div id=\"tagValueContainer\">
                        ";
            // line 75
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 76
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Please provide the value for this Tag and confirm by pressing enter on your keyboard.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 77
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_input", ["tagValueInput", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 77, $context, $this->getSourceContext());
            echo "
                    </div>

                    <div id=\"tagValueRequired\" class=\"alert alert-info\">
                        <p>";
            // line 81
            echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
            echo "</p>
                    </div>
                ";
        }
        // line 84
        echo "                
                ";
        // line 85
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                ";
        ob_start(function () { return ''; });
        echo __("An optional description of the Template. (1 - 250 characters)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["description", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "description", [], "any", false, false, false, 87), ($context["helpText"] ?? null)], 87, $context, $this->getSourceContext());
        echo "

                ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Include Widgets?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Add all the widgets to the template?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["includeWidgets", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 91, $context, $this->getSourceContext());
        echo "

            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "template-form-add-from-layout.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  233 => 91,  228 => 90,  224 => 89,  218 => 87,  213 => 86,  209 => 85,  206 => 84,  200 => 81,  192 => 77,  187 => 76,  183 => 75,  176 => 72,  172 => 71,  164 => 67,  159 => 66,  154 => 65,  152 => 64,  146 => 62,  139 => 61,  134 => 60,  130 => 59,  127 => 58,  122 => 56,  115 => 52,  110 => 50,  100 => 43,  97 => 42,  95 => 41,  89 => 40,  85 => 38,  81 => 37,  75 => 34,  71 => 33,  64 => 32,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "template-form-add-from-layout.twig", "/home/mgatv524/public_html/mctv/views/template-form-add-from-layout.twig");
    }
}
