<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-delete.twig */
class __TwigTemplate_2935098a8fac27d8d4b909b02e2d7e1bb8c35ca703c1d4dcca85c039b40c47e7 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formFieldActions' => [$this, 'block_formFieldActions'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "user-form-delete.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-delete.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Delete");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "delete", [], "any", false, false, false, 32), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("No");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Yes");
        echo ", \$(\"#userDeleteForm\").submit()
";
    }

    // line 37
    public function block_formFieldActions($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    [{
    \"field\": \"deleteAllItems\",
    \"trigger\": \"init\",
    \"value\": 1,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".user-selector-group\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"deleteAllItems\",
    \"trigger\": \"change\",
    \"value\": 1,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".user-selector-group\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"deleteAllItems\",
    \"trigger\": \"init\",
    \"value\": 0,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".user-selector-group\": { \"display\": \"\" }
    }
    },{
    \"field\": \"deleteAllItems\",
    \"trigger\": \"change\",
    \"value\": 0,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".user-selector-group\": { \"display\": \"\" }
    }
    }]
";
    }

    // line 73
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 74
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"userDeleteForm\" class=\"XiboForm form-horizontal\" method=\"delete\" action=\"";
        // line 76
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.delete", ["id" => twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "userId", [], "any", false, false, false, 76)]), "html", null, true);
        echo "\">
                ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Are you sure you want to delete? You may not be able to delete this user if they have associated content. You can retire users by using the Edit Button.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 78, $context, $this->getSourceContext());
        echo "

                ";
        // line 80
        if ( !twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "isSuperAdmin", [], "method", false, false, false, 80)) {
            // line 81
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Delete all items owned by this User?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 82
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Check to delete all items owned by this user, including Layouts, Media, Schedules, etc.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 83
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["deleteAllItems", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 83, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 85
        echo "
                ";
        // line 86
        ob_start(function () { return ''; });
        echo __("Reassign items to another User");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Reassign all items this User owns to the selected User.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["reassignUserId", "single", ($context["title"] ?? null), 0, twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null)), "userId", "userName", ($context["helpText"] ?? null), "user-selector-group"], 88, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  175 => 88,  170 => 87,  166 => 86,  163 => 85,  157 => 83,  152 => 82,  147 => 81,  145 => 80,  139 => 78,  135 => 77,  131 => 76,  127 => 74,  123 => 73,  86 => 38,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-delete.twig", "/home/mgatv524/public_html/mctv/views/user-form-delete.twig");
    }
}
