<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* datasetview-form-edit.twig */
class __TwigTemplate_1cdaec89801b58c2ec8d65a57d27a8628bd617564c35cbd78999f96b9666fa94 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "datasetview-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "datasetview-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        $context["dataSetName"] = twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getExtra", [], "method", false, false, false, 28), "dataSet", [], "any", false, false, false, 28), "dataSet", [], "any", false, false, false, 28);
        // line 29
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Edit DataSet View: DataSet is %dataSetName%"), array("%dataSetName%" => ($context["dataSetName"] ?? null), ));
    }

    // line 32
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getExtra", [], "method", false, false, false, 32));
    }

    // line 34
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 35
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 38
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#appearanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 39
        echo __("Appearance");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 42
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"template-override-controls dropdown-item\" href=\"#optionalStylesheetTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Optional Stylesheet");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#noDataTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("No Data");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#optionalJavascriptTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 47
        echo __("Optional JavaScript");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#orderCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 50
        echo __("Order");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#filterCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 51
        echo __("Filter");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#cachingTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 52
        echo __("Caching");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"dataSetViewEditForm2\" class=\"XiboForm form-horizontal\" data-form-step=\"2\" method=\"put\" action=\"";
        // line 55
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 55), "widgetId", [], "any", false, false, false, 55)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 60), ($context["helpText"] ?? null)], 60, $context, $this->getSourceContext());
        echo "

                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 64), ($context["helpText"] ?? null)], 64, $context, $this->getSourceContext());
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this item should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 68), ($context["helpText"] ?? null), "duration-fields", "required"], 68, $context, $this->getSourceContext());
        echo "

                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Duration is per page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration specified is per page otherwise it is overall Widget duration.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["durationIsPerPage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "durationIsPerPage"], "method", false, false, false, 72), ($context["helpText"] ?? null)], 72, $context, $this->getSourceContext());
        echo "

                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "
                        ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 81
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 82
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 83
($context["inheritOption"] ?? null)]];
        // line 85
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 85)], "method", false, false, false, 85), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 85, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Below you can select the columns to be shown in the table - drag and drop to reorder and to move between lists.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 90, $context, $this->getSourceContext());
        echo "

                        <div class=\"row\">
                            <div class=\"col-md-12 row\">
                                <div class=\"connectedlist col-sm-6\">
                                    <p class=\"text-info text-center\">";
        // line 95
        echo __("Columns Available");
        echo "</p>
                                    <ul id=\"columnsOut\" class=\"connectedSortable m-auto text-center\">
                                        ";
        // line 97
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "dataSetColumnsNotSelected", [], "method", false, false, false, 97));
        foreach ($context['_seq'] as $context["_key"] => $context["column"]) {
            // line 98
            echo "                                            <li id=\"";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["column"], "dataSetColumnId", [], "any", false, false, false, 98), "html", null, true);
            echo "\" class=\"li-sortable\">";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["column"], "heading", [], "any", false, false, false, 98), "html", null, true);
            echo "</li>
                                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['column'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 100
        echo "                                    </ul>
                                </div>
                                <div class=\"connectedlist col-sm-6\">
                                    <p class=\"text-info text-center\">";
        // line 103
        echo __("Columns Selected");
        echo "</p>
                                    <ul id=\"columnsIn\" class=\"connectedSortable m-auto text-center\">
                                        ";
        // line 105
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "dataSetColumnsSelected", [], "method", false, false, false, 105));
        foreach ($context['_seq'] as $context["_key"] => $context["column"]) {
            // line 106
            echo "                                            <li id=\"";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["column"], "dataSetColumnId", [], "any", false, false, false, 106), "html", null, true);
            echo "\" class=\"li-sortable\">";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["column"], "heading", [], "any", false, false, false, 106), "html", null, true);
            echo "</li>
                                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['column'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 108
        echo "                                    </ul>
                                </div>
                            </div>
                        </div>

                        ";
        // line 113
        ob_start(function () { return ''; });
        echo __("Show the table headings?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the Table headings be shown?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showHeadings", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showHeadings"], "method", false, false, false, 115), ($context["helpText"] ?? null)], 115, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 117
        ob_start(function () { return ''; });
        echo __("Lower Row Limit");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the Lower Row Limit for this DataSet (enter 0 for no limit)')");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["lowerLimit", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "lowerLimit"], "method", false, false, false, 119), ($context["helpText"] ?? null)], 119, $context, $this->getSourceContext());
        echo "

                        ";
        // line 121
        ob_start(function () { return ''; });
        echo __("Upper Row Limit");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the Upper Row Limit for this DataSet (enter 0 for no limit)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["upperLimit", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "upperLimit"], "method", false, false, false, 123), ($context["helpText"] ?? null)], 123, $context, $this->getSourceContext());
        echo "

                        ";
        // line 125
        ob_start(function () { return ''; });
        echo __("Rows per page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the number of rows per page. 0 for no pages.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 127
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["rowsPerPage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "rowsPerPage"], "method", false, false, false, 127), ($context["helpText"] ?? null)], 127, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTab\">

                        ";
        // line 132
        ob_start(function () { return ''; });
        echo __("Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 133
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["templateId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "templateId"], "method", false, false, false, 134), ($context["templatesAvailable"] ?? null), "id", "value", ($context["helpText"] ?? null), "template-selector-control"], 134, $context, $this->getSourceContext());
        echo "

                        ";
        // line 136
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["overrideTemplate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "overrideTemplate", 1 => "0"], "method", false, false, false, 138), ($context["helpText"] ?? null)], 138, $context, $this->getSourceContext());
        echo "

                        ";
        // line 140
        ob_start(function () { return ''; });
        // line 141
        echo "                           ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["useTemplatesMessage"] ?? null), "template-override-controls"], 143, $context, $this->getSourceContext());
        echo "

                        <div class=\"template-selector-default\">
                            ";
        // line 146
        ob_start(function () { return ''; });
        echo __("Background Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the background colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_color", ["backgroundColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "backgroundColor"], "method", false, false, false, 148), ($context["helpText"] ?? null), "template-selector-control"], 148, $context, $this->getSourceContext());
        echo "

                            ";
        // line 150
        ob_start(function () { return ''; });
        echo __("Border Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the border colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_color", ["borderColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "borderColor"], "method", false, false, false, 152), ($context["helpText"] ?? null), "template-selector-control"], 152, $context, $this->getSourceContext());
        echo "

                            ";
        // line 154
        ob_start(function () { return ''; });
        echo __("Font Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the font colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_color", ["fontColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "fontColor"], "method", false, false, false, 156), ($context["helpText"] ?? null), "template-selector-control"], 156, $context, $this->getSourceContext());
        echo "
                        </div>

                        ";
        // line 159
        ob_start(function () { return ''; });
        echo __("Font");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 160
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.font.list")], 1 => ["name" => "data-value", "value" => twig_get_attribute($this->env, $this->source,         // line 162
($context["module"] ?? null), "getOption", [0 => "fontFamily"], "method", false, false, false, 162)]];
        // line 164
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select a custom font - leave empty to use the default font.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 165
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["fontFamily", "single", ($context["title"] ?? null), "", [0 => ["id" => "", "value" => ""]], "id", "value", ($context["helpText"] ?? null), "template-selector-control", "", "", "", ($context["attributes"] ?? null)], 165, $context, $this->getSourceContext());
        echo "

                        ";
        // line 167
        ob_start(function () { return ''; });
        echo __("Font Size");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 168
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Set the font size");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 169
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["fontSize", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "fontSize"], "method", false, false, false, 169), ($context["helpText"] ?? null), "template-selector-control"], 169, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"noDataTemplateTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 174
        echo __("No Data Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"noDataMessage_advanced\" name=\"noDataMessage_advanced\" ";
        // line 176
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "noDataMessage_advanced", 1 => 0], "method", false, false, false, 176), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 178
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 180
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 181
        echo __("Off");
        echo "\">
                            </div>
                        </div>
                        
                        ";
        // line 185
        ob_start(function () { return ''; });
        // line 186
        echo "                            ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                        ";
        $context["noDataMessageMessage1"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 188
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["noDataMessageMessage1"] ?? null), "noDataMessage-advanced-editor-hide"], 188, $context, $this->getSourceContext());
        echo "

                        ";
        // line 190
        ob_start(function () { return ''; });
        // line 191
        echo "                            ";
        echo __("Enter the text to display.");
        // line 192
        echo "                            ";
        echo __("The red rectangle reflects the size of the region you are editing.");
        // line 193
        echo "                            ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 194
        echo "                        ";
        $context["noDataMessageMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 195
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["noDataMessageMessage2"] ?? null), "noDataMessage-advanced-editor-show"], 195, $context, $this->getSourceContext());
        echo "

                        ";
        // line 197
        ob_start(function () { return ''; });
        echo __("A message to display when no data is returned from the source");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 198
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["noDataMessage", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "noDataMessage"], "method", false, false, false, 198), ($context["helpText"] ?? null), "", "", 5], 198, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 203
        echo __("Optional Stylesheet Template");
        echo "</h4>
                        </div>

                        ";
        // line 206
        ob_start(function () { return ''; });
        echo __("Enter a style sheet for the table");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 207
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["styleSheet", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "styleSheet", 1 => twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "defaultStyleSheet", [], "method", false, false, false, 207)], "method", false, false, false, 207), ($context["title"] ?? null), "template-override-controls", "", 10], 207, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalJavascriptTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 212
        echo __("Optional JavaScript");
        echo "</h4>
                        </div>

                        ";
        // line 215
        echo twig_call_macro($macros["forms"], "macro_textarea", ["javaScript", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "javaScript"], "method", false, false, false, 215), "", "", "", 10], 215, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"orderCriteria\">

                        ";
        // line 220
        ob_start(function () { return ''; });
        echo __("The DataSet results can be ordered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated order be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 221
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 221, $context, $this->getSourceContext());
        echo "

                        <div id=\"orderClause\">

                        </div>

                        ";
        // line 227
        ob_start(function () { return ''; });
        echo __("Use advanced order clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 228
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 229
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useOrderingClause", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useOrderingClause", 1 => 0], "method", false, false, false, 229), ($context["helpText"] ?? null)], 229, $context, $this->getSourceContext());
        echo "

                        ";
        // line 231
        ob_start(function () { return ''; });
        echo __("Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 232
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause for how this dataset should be ordered");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 233
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["ordering", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "ordering"], "method", false, false, false, 233), ($context["helpText"] ?? null), "order-clause-field"], 233, $context, $this->getSourceContext());
        echo "

                    </div>

                    <div class=\"tab-pane\" id=\"filterCriteria\">
                        ";
        // line 238
        ob_start(function () { return ''; });
        echo __("The DataSet results can be filtered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated filter be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 239
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 239, $context, $this->getSourceContext());
        echo "

                        ";
        // line 241
        ob_start(function () { return ''; });
        echo __("The substitution [DisplayId] can be used in filter clauses and will be substituted at run time with the Display ID. When shown in the CMS it will be substituted with 0.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 242
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 242, $context, $this->getSourceContext());
        echo "

                        <div id=\"filterClause\">

                        </div>

                        ";
        // line 248
        ob_start(function () { return ''; });
        echo __("Use advanced filter clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 249
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 250
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useFilteringClause", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useFilteringClause", 1 => 0], "method", false, false, false, 250), ($context["helpText"] ?? null)], 250, $context, $this->getSourceContext());
        echo "

                        ";
        // line 252
        ob_start(function () { return ''; });
        echo __("Filter");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 253
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause to filter this DataSet.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 254
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["filter", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "filter"], "method", false, false, false, 254), ($context["helpText"] ?? null), "filter-clause-field"], 254, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cachingTab\">
                        ";
        // line 258
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 259
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per day this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 260
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["updateInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 5], "method", false, false, false, 260), ($context["helpText"] ?? null), "", "required"], 260, $context, $this->getSourceContext());
        echo "

                        ";
        // line 262
        ob_start(function () { return ''; });
        echo __("Freshness (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 263
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If the Player is offline it will switch to the No Data Template after this freshness time. Set this to 0 to never switch.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 264
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["freshnessTimeout", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "freshnessTimeout", 1 => 0], "method", false, false, false, 264), ($context["helpText"] ?? null)], 264, $context, $this->getSourceContext());
        echo "
                    </div>

                </div>

                <input type=\"hidden\" name=\"step\" value=\"2\" />
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "datasetview-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  723 => 264,  718 => 263,  714 => 262,  708 => 260,  703 => 259,  699 => 258,  691 => 254,  686 => 253,  682 => 252,  676 => 250,  671 => 249,  667 => 248,  657 => 242,  653 => 241,  647 => 239,  643 => 238,  634 => 233,  629 => 232,  625 => 231,  619 => 229,  614 => 228,  610 => 227,  600 => 221,  596 => 220,  588 => 215,  582 => 212,  573 => 207,  569 => 206,  563 => 203,  554 => 198,  550 => 197,  544 => 195,  541 => 194,  538 => 193,  535 => 192,  532 => 191,  530 => 190,  524 => 188,  518 => 186,  516 => 185,  509 => 181,  505 => 180,  500 => 178,  493 => 176,  488 => 174,  479 => 169,  474 => 168,  470 => 167,  464 => 165,  459 => 164,  457 => 162,  455 => 160,  451 => 159,  444 => 156,  439 => 155,  435 => 154,  429 => 152,  424 => 151,  420 => 150,  414 => 148,  409 => 147,  405 => 146,  398 => 143,  392 => 141,  390 => 140,  384 => 138,  379 => 137,  375 => 136,  369 => 134,  364 => 133,  360 => 132,  351 => 127,  346 => 126,  342 => 125,  336 => 123,  331 => 122,  327 => 121,  321 => 119,  316 => 118,  312 => 117,  306 => 115,  301 => 114,  297 => 113,  290 => 108,  279 => 106,  275 => 105,  270 => 103,  265 => 100,  254 => 98,  250 => 97,  245 => 95,  236 => 90,  232 => 89,  224 => 85,  222 => 83,  221 => 82,  220 => 81,  218 => 80,  213 => 79,  208 => 78,  204 => 77,  201 => 76,  196 => 75,  192 => 74,  186 => 72,  181 => 71,  177 => 70,  171 => 68,  166 => 67,  162 => 66,  156 => 64,  151 => 63,  147 => 62,  141 => 60,  136 => 59,  132 => 58,  126 => 55,  120 => 52,  116 => 51,  112 => 50,  106 => 47,  102 => 46,  98 => 45,  92 => 42,  86 => 39,  82 => 38,  78 => 37,  74 => 35,  70 => 34,  63 => 32,  58 => 29,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "datasetview-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/datasetview-form-edit.twig");
    }
}
