<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* layout-form-background.twig */
class __TwigTemplate_f835bdf6c983fdf674cab1d166cde24e2a6da366bf36746cd7641c478286d25f extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "layout-form-background.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "layout-form-background.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Layout");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#layoutEditForm\").submit()
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "backGroundFormSetup";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("General");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"layoutEditForm\" class=\"form-horizontal\" method=\"put\" action=\"";
        // line 45
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.edit.background", ["id" => twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "layoutId", [], "any", false, false, false, 45)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Background Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the colour picker to select the background colour");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["backgroundColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "backgroundColor", [], "any", false, false, false, 50), ($context["helpText"] ?? null)], 50, $context, $this->getSourceContext());
        echo "

                        ";
        // line 52
        $context["attributes"] = [0 => ["name" => "data-allow-clear", "value" => "true"], 1 => ["name" => "data-placeholder--id", "value" => null], 2 => ["name" => "data-placeholder--value", "value" => ""], 3 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search")], 4 => ["name" => "data-search-term", "value" => "media"], 5 => ["name" => "data-search-term-tags", "value" => "tags"], 6 => ["name" => "data-width", "value" => "100%"], 7 => ["name" => "data-id-property", "value" => "mediaId"], 8 => ["name" => "data-text-property", "value" => "name"], 9 => ["name" => "data-filter-options", "value" => "{\"type\":\"image\"}"]];
        // line 64
        echo "
                        ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Background Image");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Pick an image from the Library to use as your background. Please note that Windows Players only support JPG image files.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        $context["backgrounds"] = twig_array_merge([0 => ["mediaId" => null, "name" => ($context["noneMessage"] ?? null)]], ($context["backgrounds"] ?? null));
        // line 69
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["backgroundImageId", "single", ($context["title"] ?? null), ($context["backgroundId"] ?? null), ($context["backgrounds"] ?? null), "mediaId", "name", ($context["helpText"] ?? null), "pagedSelect background-image-fields", "", "b", "", ($context["attributes"] ?? null)], 69, $context, $this->getSourceContext());
        echo "

                        <div class=\"text-center\">
                            <div id=\"bg_not_found_icon\">
                                <i class=\"fa bg_not_found_icon fa-2x\"></i>
                                <span>";
        // line 74
        echo __("No Background Image");
        echo "</span>
                            </div>

                            <img id=\"bg_image_image\" data-url=\"";
        // line 77
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.download", ["id" => ":id"]), "html", null, true);
        echo "?preview=1&width=200&height=100\" alt=\"";
        echo __("Background thumbnail");
        echo "\" />
                        </div>

                        <div class=\"row background-image-fields background-image-add-button text-center\">
                            <div class=\"col-12\">
                                <button id=\"backgroundAddButton\" class=\"btn btn-white\" type=\"button\"
                                        data-add-new-background-url=\"";
        // line 83
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.add"), "html", null, true);
        echo "\">
                                    <i class=\"fa fa-plus\"></i>
                                    ";
        // line 85
        echo __("Add a new background image?");
        // line 86
        echo "                                </button>
                            </div>
                        </div>

                        <div class=\"form-group\">
                            <div id=\"layoutEditFormBackgroundUpload\" style=\"display: none;\"></div>
                        </div>

                        ";
        // line 94
        ob_start(function () { return ''; });
        echo __("Resolution");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Change the resolution");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["resolutionId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["resolution"] ?? null), "resolutionId", [], "any", false, false, false, 96), ($context["resolutions"] ?? null), "resolutionId", "resolution", ($context["helpText"] ?? null), "resolution-group"], 96, $context, $this->getSourceContext());
        echo "

                        ";
        // line 98
        ob_start(function () { return ''; });
        echo __("Layer");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The layering order of the background image (z-index). Advanced use only.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["backgroundzIndex", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "backgroundzIndex", [], "any", false, false, false, 100), ($context["helpText"] ?? null)], 100, $context, $this->getSourceContext());
        echo "

                        ";
        // line 102
        ob_start(function () { return ''; });
        echo __("Automatically apply Transitions?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("When enabled, the default Transition type and duration will be applied to all widgets on this Layout.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["autoApplyTransitions", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "autoApplyTransitions", [], "any", false, false, false, 104), ($context["helpText"] ?? null)], 104, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "layout-form-background.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  228 => 104,  223 => 103,  219 => 102,  213 => 100,  208 => 99,  204 => 98,  198 => 96,  193 => 95,  189 => 94,  179 => 86,  177 => 85,  172 => 83,  161 => 77,  155 => 74,  146 => 69,  143 => 68,  138 => 67,  133 => 66,  129 => 65,  126 => 64,  124 => 52,  118 => 50,  113 => 49,  109 => 48,  103 => 45,  97 => 42,  93 => 40,  89 => 39,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "layout-form-background.twig", "/home/mgatv524/public_html/mctv/views/layout-form-background.twig");
    }
}
