<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displayprofile-form-edit-command-fields.twig */
class __TwigTemplate_e4860922465e718c46212e3fbfa39f1b85594bfe9c68c108bebbe1e2b4d1a02d extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 23
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "displayprofile-form-edit-command-fields.twig", 23)->unwrap();
        // line 24
        $this->displayBlock('formHtml', $context, $blocks);
    }

    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        echo "    <div class=\"accordion\" id=\"accordion\" role=\"tablist\" aria-multiselectable=\"true\">
    ";
        // line 26
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["commands"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["field"]) {
            // line 27
            echo "        <div class=\"card\">
            <div class=\"card-header\" role=\"tab\" id=\"heading";
            // line 28
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["field"], "commandId", [], "any", false, false, false, 28), "html", null, true);
            echo "\">
                <h4 class=\"card-title\">
                    <a role=\"button\" data-toggle=\"collapse\" data-parent=\"#accordion\" href=\"#collapse";
            // line 30
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["field"], "commandId", [], "any", false, false, false, 30), "html", null, true);
            echo "\"
                       aria-expanded=\"true\" aria-controls=\"collapse";
            // line 31
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["field"], "commandId", [], "any", false, false, false, 31), "html", null, true);
            echo "\">
                        ";
            // line 32
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["field"], "command", [], "any", false, false, false, 32), "html", null, true);
            echo " | ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["field"], "code", [], "any", false, false, false, 32), "html", null, true);
            echo "
                    </a>
                </h4>
            </div>
            <div id=\"collapse";
            // line 36
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["field"], "commandId", [], "any", false, false, false, 36), "html", null, true);
            echo "\" class=\"collapse\"
                 role=\"tabpanel\" aria-labelledby=\"heading";
            // line 37
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["field"], "commandId", [], "any", false, false, false, 37), "html", null, true);
            echo "\" aria-expanded=\"false\">
                <div class=\"card-body\">
                    ";
            // line 39
            ob_start(function () { return ''; });
            echo __("Name");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 40
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_disabled", ["command", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, $context["field"], "command", [], "any", false, false, false, 40), twig_get_attribute($this->env, $this->source, $context["field"], "description", [], "any", false, false, false, 40)], 40, $context, $this->getSourceContext());
            echo "

                    ";
            // line 42
            if ((0 !== twig_compare(twig_get_attribute($this->env, $this->source, $context["field"], "commandString", [], "any", false, false, false, 42), ""))) {
                // line 43
                echo "                        ";
                echo twig_call_macro($macros["forms"], "macro_disabled", ["", "", __("This Command has a default Command String."), twig_get_attribute($this->env, $this->source, $context["field"], "commandString", [], "any", false, false, false, 43)], 43, $context, $this->getSourceContext());
                echo "
                    ";
            }
            // line 45
            echo "
                    ";
            // line 46
            $context["fieldId"] = ("commandString_" . twig_get_attribute($this->env, $this->source, $context["field"], "commandId", [], "any", false, false, false, 46));
            // line 47
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Command");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 48
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("The Command String for this Command on this display");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 49
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_input", [($context["fieldId"] ?? null), ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, $context["field"], "commandStringDisplayProfile", [], "any", false, false, false, 49), ($context["helpText"] ?? null), "XiboCommand"], 49, $context, $this->getSourceContext());
            echo "

                    ";
            // line 51
            if ((0 !== twig_compare(twig_get_attribute($this->env, $this->source, $context["field"], "validationString", [], "any", false, false, false, 51), ""))) {
                // line 52
                echo "                        ";
                echo twig_call_macro($macros["forms"], "macro_disabled", ["", "", __("This Command has a default Valildation String."), twig_get_attribute($this->env, $this->source, $context["field"], "validationString", [], "any", false, false, false, 52)], 52, $context, $this->getSourceContext());
                echo "
                    ";
            }
            // line 54
            echo "
                    ";
            // line 55
            $context["fieldId"] = ("validationString_" . twig_get_attribute($this->env, $this->source, $context["field"], "commandId", [], "any", false, false, false, 55));
            // line 56
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Validation");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 57
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("The Validation String for this Command on this display");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 58
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_input", [($context["fieldId"] ?? null), ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, $context["field"], "validationStringDisplayProfile", [], "any", false, false, false, 58), ($context["helpText"] ?? null)], 58, $context, $this->getSourceContext());
            echo "
                </div>
            </div>
        </div>
    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['field'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
    }

    public function getTemplateName()
    {
        return "displayprofile-form-edit-command-fields.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  150 => 58,  145 => 57,  140 => 56,  138 => 55,  135 => 54,  129 => 52,  127 => 51,  121 => 49,  116 => 48,  111 => 47,  109 => 46,  106 => 45,  100 => 43,  98 => 42,  92 => 40,  88 => 39,  83 => 37,  79 => 36,  70 => 32,  66 => 31,  62 => 30,  57 => 28,  54 => 27,  50 => 26,  47 => 25,  40 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "displayprofile-form-edit-command-fields.twig", "/home/mgatv524/public_html/mctv/views/displayprofile-form-edit-command-fields.twig");
    }
}
