<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* library-form-tidy.twig */
class __TwigTemplate_5a902420f79ac80b6763959025024db32cb13ec6902d9c0c24ac3ed03eeeeffb extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "library-form-tidy.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "library-form-tidy.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Tidy Library");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#libraryTidyForm\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"libraryTidyForm\" class=\"XiboForm form-horizontal\" method=\"delete\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.tidy"), "html", null, true);
        echo "\">
                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Tidying your Library will delete any media that is not currently in use.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 42, $context, $this->getSourceContext());
        echo "              

                ";
        // line 44
        if ((1 === twig_compare(($context["countExcludingGeneric"] ?? null), 0))) {
            // line 45
            echo "                    ";
            ob_start(function () { return ''; });
            /* xgettext:no-php-format */            echo strtr(__("There is %sumExcludingGeneric% of data stored in %countExcludingGeneric% files . Are you sure you want to proceed?"), array("%sumExcludingGeneric%" => ($context["sumExcludingGeneric"] ?? null), "%countExcludingGeneric%" => ($context["countExcludingGeneric"] ?? null), ));
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 46
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 46, $context, $this->getSourceContext());
            echo "
                ";
        } else {
            // line 48
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("You do not have any library files that are not in use.");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 49
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 49, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 51
        echo "
                ";
        // line 52
        if ((1 === twig_compare(($context["countGeneric"] ?? null), 0))) {
            // line 53
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Delete Generic Files?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 54
            echo "                    ";
            ob_start(function () { return ''; });
            /* xgettext:no-php-format */            echo strtr(__("There is %sumGeneric% of data stored in %countGeneric% generic files. To delete these check here"), array("%sumGeneric%" => ($context["sumGeneric"] ?? null), "%countGeneric%" => ($context["countGeneric"] ?? null), ));
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 55
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["tidyGenericFiles", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 55, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 57
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "library-form-tidy.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  148 => 57,  142 => 55,  137 => 54,  132 => 53,  130 => 52,  127 => 51,  121 => 49,  116 => 48,  110 => 46,  105 => 45,  103 => 44,  97 => 42,  93 => 41,  89 => 40,  85 => 38,  81 => 37,  75 => 34,  71 => 33,  64 => 32,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "library-form-tidy.twig", "/home/mgatv524/public_html/mctv/views/library-form-tidy.twig");
    }
}
