<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displaygroup-form-copy.twig */
class __TwigTemplate_86ddb1753f8dab3e87d6b309af0fdfa1a5d16be13f1c90663df40cdbc19f51aa extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "displaygroup-form-copy.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "displaygroup-form-copy.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        $context["name"] = twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroup", [], "any", false, false, false, 28);
        // line 29
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Copy %name%"), array("%name%" => ($context["name"] ?? null), ));
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#displayGroupCopyForm\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayGroupCopyForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.copy", ["id" => twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroupId", [], "any", false, false, false, 40)]), "html", null, true);
        echo "\">
                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this Display Profile");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                ";
        ob_start(function () { return ''; });
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroup", [], "any", false, false, false, 43), "html", null, true);
        echo " 2";
        $context["name"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["displayGroup", ($context["title"] ?? null), ($context["name"] ?? null), ($context["helpText"] ?? null), "", "required"], 44, $context, $this->getSourceContext());
        echo "

                ";
        // line 46
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The description for this Display Profile");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                ";
        ob_start(function () { return ''; });
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "description", [], "any", false, false, false, 48), "html", null, true);
        $context["description"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["description", ($context["title"] ?? null), ($context["description"] ?? null), ($context["helpText"] ?? null)], 49, $context, $this->getSourceContext());
        echo "

                ";
        // line 51
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "isDynamic", [], "any", false, false, false, 51), 0))) {
            // line 52
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Copy Memebers?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 53
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Should we copy all members to the new Display Group?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 54
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["copyMembers", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 54, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 56
        echo "
                ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Copy Assignments?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Should we copy all file and layout assignments to the new Display Group?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["copyAssignments", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 59, $context, $this->getSourceContext());
        echo "

                ";
        // line 61
        ob_start(function () { return ''; });
        echo __("Copy Tags?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Should we copy all tags to the new Display Group?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["copyTags", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 63, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "displaygroup-form-copy.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  176 => 63,  171 => 62,  167 => 61,  161 => 59,  156 => 58,  152 => 57,  149 => 56,  143 => 54,  138 => 53,  133 => 52,  131 => 51,  125 => 49,  120 => 48,  115 => 47,  111 => 46,  105 => 44,  99 => 43,  94 => 42,  90 => 41,  86 => 40,  82 => 38,  78 => 37,  72 => 34,  67 => 33,  63 => 32,  58 => 29,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "displaygroup-form-copy.twig", "/home/mgatv524/public_html/mctv/views/displaygroup-form-copy.twig");
    }
}
