<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* about-page.twig */
class __TwigTemplate_7be6a4da9526944395245a3d2c845584a08074f6179cca773ce0fddbca783e11 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'style' => [$this, 'block_style'],
            'header' => [$this, 'block_header'],
            'contentClass' => [$this, 'block_contentClass'],
            'content' => [$this, 'block_content'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "non-authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        $this->parent = $this->loadTemplate("non-authed.twig", "about-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 25
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("About"), "html", null, true);
        echo " | ";
    }

    // line 27
    public function block_style($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "<style type=\"text/css\">
    .about-container {
        padding: 19px 29px 29px;
        margin: 10px auto 20px;
        background-color: #fff;
        border: 1px solid #e5e5e5;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        border-radius: 5px;
        -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.05);
        -moz-box-shadow: 0 1px 2px rgba(0,0,0,.05);
        box-shadow: 0 1px 2px rgba(0,0,0,.05);
    }
</style>
";
    }

    // line 44
    public function block_header($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    // line 45
    public function block_contentClass($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    // line 47
    public function block_content($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 48
        echo "    <p><a href=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getThemeConfig", [0 => "theme_url"], "method", false, false, false, 48), "html", null, true);
        echo "\"><img src=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/xibologo.png"], "method", false, false, false, 48), "html", null, true);
        echo "\" alt=\"Logo\"></a></p>
    <a class=\"btn btn-info\" href=\"";
        // line 49
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("home"), "html", null, true);
        echo "\">";
        echo __("Home");
        echo "</a>
    <div class=\"about-container\">
        ";
        // line 51
        $this->loadTemplate("licence.twig", "about-page.twig", 51)->display($context);
        // line 52
        echo "    </div>
";
    }

    public function getTemplateName()
    {
        return "about-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  112 => 52,  110 => 51,  103 => 49,  96 => 48,  92 => 47,  86 => 45,  80 => 44,  62 => 28,  58 => 27,  50 => 25,  39 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "about-page.twig", "/home/mgatv524/public_html/mctv/views/about-page.twig");
    }
}
