<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* notification-form-edit.twig */
class __TwigTemplate_ae5c199035341e9d13c6a5339a066faeb22a96b4dc523848a256b140c5267acf extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'callBack' => [$this, 'block_callBack'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "notification-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "notification-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Notification");
    }

    // line 31
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "attachmentFormSetup";
    }

    // line 33
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 35
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 36
        echo __("Save");
        echo ", \$(\"#notificationForm\").submit()
";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#message-body\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Message");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#audience\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Audience");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#attachment\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Attachment");
        echo "</span></a></li>
            </ul>
            <form id=\"notificationForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 48
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("notification.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "notificationId", [], "any", false, false, false, 48)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Subject");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A subject line for the notification - used as a title.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["subject", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "subject", [], "any", false, false, false, 53), ($context["helpText"] ?? null), "", "required"], 53, $context, $this->getSourceContext());
        echo "

                        ";
        // line 55
        ob_start(function () { return ''; });
        echo __("Release Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The date when this notification will be published");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["releaseDt", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "releaseDt", [], "any", false, false, false, 57), ($context["helpText"] ?? null), "starttime-control", "required"], 57, $context, $this->getSourceContext());
        echo "

                        ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Email?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the notification be emailed?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkBox", ["isEmail", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "isEmail", [], "any", false, false, false, 61), ($context["helpText"] ?? null)], 61, $context, $this->getSourceContext());
        echo "

                        ";
        // line 63
        ob_start(function () { return ''; });
        echo __("Interrupt?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the notification interrupt nagivation in the Web Portal? Including Login.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkBox", ["isInterrupt", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "isInterrupt", [], "any", false, false, false, 65), ($context["helpText"] ?? null)], 65, $context, $this->getSourceContext());
        echo "

                    </div>
                    <div class=\"tab-pane\" id=\"message-body\">
                        ";
        // line 69
        ob_start(function () { return ''; });
        echo __("Add the body of your message in the box below. If you are going to target this message to a Display/DisplayGroup be aware that the formatting you apply here will be removed.");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["title"] ?? null)], 70, $context, $this->getSourceContext());
        echo "

                        ";
        // line 72
        echo twig_call_macro($macros["forms"], "macro_textarea", ["body", "", twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "body", [], "any", false, false, false, 72), "", "", 10], 72, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"audience\">
                        ";
        // line 75
        ob_start(function () { return ''; });
        echo __("Users");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select one or more users / groups who will receive this notification.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "100%"]];
        // line 80
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Groups");
        $context["transUserGroups"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Users");
        $context["transUsers"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        $context["optionGroups"] = [0 => ["id" => "group", "label" =>         // line 83
($context["transUserGroups"] ?? null)], 1 => ["id" => "user", "label" =>         // line 84
($context["transUsers"] ?? null)]];
        // line 86
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["userGroupIds[]", "dropdownmulti", ($context["title"] ?? null), ($context["userGroupIds"] ?? null), ["group" => ($context["userGroups"] ?? null), "user" => ($context["users"] ?? null)], "groupId", "group", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null), ($context["optionGroups"] ?? null)], 86, $context, $this->getSourceContext());
        echo "

                        ";
        // line 88
        ob_start(function () { return ''; });
        echo __("Non users");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Additional emails separated by a comma.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["nonusers", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "nonusers", [], "any", false, false, false, 90), ($context["helpText"] ?? null)], 90, $context, $this->getSourceContext());
        echo "

                        ";
        // line 92
        ob_start(function () { return ''; });
        echo __("Displays");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select one or more displays / groups for this notification to be shown on - Layouts will need the notification widget.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "100%"]];
        // line 97
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Groups");
        $context["transGroups"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Display");
        $context["transDisplays"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        $context["optionGroups"] = [0 => ["id" => "group", "label" =>         // line 100
($context["transGroups"] ?? null)], 1 => ["id" => "display", "label" =>         // line 101
($context["transDisplays"] ?? null)]];
        // line 103
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["displayGroupIds[]", "dropdownmulti", ($context["title"] ?? null), ($context["displayGroupIds"] ?? null), ["group" => ($context["displayGroups"] ?? null), "display" => ($context["displays"] ?? null)], "displayGroupId", "displayGroup", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null), ($context["optionGroups"] ?? null)], 103, $context, $this->getSourceContext());
        echo "

                    </div>

                    <div class=\"tab-pane\" id=\"attachment\">
                        <div class=\"row\">
                            <p><a href=\"";
        // line 109
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("notification.exportattachment", ["id" => twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "notificationId", [], "any", false, false, false, 109)]), "html", null, true);
        echo "\">";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "originalFileName", [], "any", false, false, false, 109), "html", null, true);
        echo "</a> </p>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "notification-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  284 => 109,  274 => 103,  272 => 101,  271 => 100,  269 => 99,  264 => 98,  259 => 97,  256 => 94,  251 => 93,  247 => 92,  241 => 90,  236 => 89,  232 => 88,  226 => 86,  224 => 84,  223 => 83,  221 => 82,  216 => 81,  211 => 80,  208 => 77,  203 => 76,  199 => 75,  193 => 72,  187 => 70,  183 => 69,  175 => 65,  170 => 64,  166 => 63,  160 => 61,  155 => 60,  151 => 59,  145 => 57,  140 => 56,  136 => 55,  130 => 53,  125 => 52,  121 => 51,  115 => 48,  110 => 46,  106 => 45,  102 => 44,  98 => 43,  93 => 40,  89 => 39,  83 => 36,  79 => 35,  72 => 34,  68 => 33,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "notification-form-edit.twig", "/home/mgatv524/public_html/mctv/views/notification-form-edit.twig");
    }
}
