<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* notificationview-form-edit.twig */
class __TwigTemplate_86bedbb5f9d6eb9149782e49cfc04de15b38736029719272d3c7041d62257b96 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "notificationview-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "notificationview-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Notification Widget");
    }

    // line 31
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 34
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\" class=\"layout-designer-only\"><span>";
        // line 35
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 38
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#templateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 41
        echo __("Main");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#noDataTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("No Data");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#optionalStylesheetTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Optional Stylesheet");
        echo "</span></a>
                </div>
            </li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"notificationForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 48
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 48), "widgetId", [], "any", false, false, false, 48)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 53), ($context["helpText"] ?? null)], 53, $context, $this->getSourceContext());
        echo "

                        ";
        // line 55
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 57), ($context["helpText"] ?? null)], 57, $context, $this->getSourceContext());
        echo "

                        ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 61), ($context["helpText"] ?? null), "duration-fields", "required"], 61, $context, $this->getSourceContext());
        echo "

                        ";
        // line 63
        ob_start(function () { return ''; });
        echo __("Duration is per item");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration specified is per item otherwise it is per feed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["durationIsPerItem", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "durationIsPerItem"], "method", false, false, false, 65), ($context["helpText"] ?? null)], 65, $context, $this->getSourceContext());
        echo "

                        ";
        // line 67
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "
                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 74
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 75
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 76
($context["inheritOption"] ?? null)]];
        // line 78
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 78)], "method", false, false, false, 78), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 78, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">

                        ";
        // line 83
        ob_start(function () { return ''; });
        echo __("Age");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("What is the maximum notification age in minutes, 0 for no restrictions.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["age", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "age"], "method", false, false, false, 85), ($context["helpText"] ?? null), "", "required"], 85, $context, $this->getSourceContext());
        echo "

                        ";
        // line 87
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Left");
        $context["marqueeLeft"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Right");
        $context["marqueeRight"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Up");
        $context["marqueeUp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Down");
        $context["marqueeDown"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        $context["options"] = [0 => ["effectid" => "none", "effect" =>         // line 104
($context["noneOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 105
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 106
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 107
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 108
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 109
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 110
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 111
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 112
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 113
($context["tileBlind"] ?? null)], 10 => ["effectid" => "marqueeLeft", "effect" =>         // line 114
($context["marqueeLeft"] ?? null)], 11 => ["effectid" => "marqueeRight", "effect" =>         // line 115
($context["marqueeRight"] ?? null)], 12 => ["effectid" => "marqueeUp", "effect" =>         // line 116
($context["marqueeUp"] ?? null)], 13 => ["effectid" => "marqueeDown", "effect" =>         // line 117
($context["marqueeDown"] ?? null)]];
        // line 119
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["effect", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "effect"], "method", false, false, false, 119), ($context["options"] ?? null), "effectid", "effect", ($context["helpText"] ?? null)], 119, $context, $this->getSourceContext());
        echo "

                        ";
        // line 121
        ob_start(function () { return ''; });
        echo __("Speed");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The transition speed of the selected effect in milliseconds (normal = 1000) or the Marquee Speed in a low to high scale (normal = 1).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["speed", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "speed"], "method", false, false, false, 123), ($context["helpText"] ?? null), "effect-controls"], 123, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templateTab\">
                    
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 129
        echo __("Main Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"template_advanced\" name=\"template_advanced\" ";
        // line 131
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "template_advanced", 1 => 0], "method", false, false, false, 131), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 133
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 135
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 136
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        <div class=\"editor-messages\">

                            ";
        // line 142
        ob_start(function () { return ''; });
        // line 143
        echo "                                ";
        echo __("The template for formatting your notifications. Enter [Subject] and [Body] with your desired formatting.");
        // line 144
        echo "                            ";
        $context["templateMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 145
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["templateMessage"] ?? null), ""], 145, $context, $this->getSourceContext());
        echo "

                            ";
        // line 147
        ob_start(function () { return ''; });
        // line 148
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 150
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "template-advanced-editor-hide inline-editor-hide"], 150, $context, $this->getSourceContext());
        echo "

                            ";
        // line 153
        echo "                            ";
        ob_start(function () { return ''; });
        // line 154
        echo "                                ";
        echo __("Enter text to display using the inline editor which can be opened by clicking in the preview on the left.");
        // line 155
        echo "                                ";
        echo __("When using the inline editor Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 156
        echo "                            ";
        $context["layoutDesignerMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 157
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["layoutDesignerMessage"] ?? null), "layout-designer-message inline-editor-show"], 157, $context, $this->getSourceContext());
        echo "

                            ";
        // line 160
        echo "                            ";
        ob_start(function () { return ''; });
        // line 161
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 162
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 163
        echo "                            ";
        $context["playlistEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 164
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["playlistEditorMessage"] ?? null), "playlist-editor-message template-advanced-editor-show"], 164, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"form-group row ckeditor_controls inline-editor-hide\" data-linked-to=\"template\">
                            <div class=\"col-sm-6\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 170
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\" 
                                        class=\"ckeditor_snippets_select form-control\"
                                        data-linked-to=\"template\">
                                            <option value=\"\"></option>
                                            <option value=\"Subject\">Subject</option>
                                            <option value=\"Body\">Body</option>
                                        </select>
                                    </div>
                                </div>
                            </div>  
                        </div>  

                        ";
        // line 184
        echo twig_call_macro($macros["forms"], "macro_textarea", ["template", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "template"], "method", false, false, false, 184), "", "inline-editor-hide", "", 5], 184, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"noDataTemplateTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 189
        echo __("No Data Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"noDataMessage_advanced\" name=\"noDataMessage_advanced\" ";
        // line 191
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "noDataMessage_advanced", 1 => 0], "method", false, false, false, 191), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 193
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 195
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 196
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        ";
        // line 200
        ob_start(function () { return ''; });
        // line 201
        echo "                            ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                        ";
        $context["noDataMessageMessage1"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 203
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["noDataMessageMessage1"] ?? null), "noDataMessage-advanced-editor-hide"], 203, $context, $this->getSourceContext());
        echo "

                        ";
        // line 205
        ob_start(function () { return ''; });
        // line 206
        echo "                            ";
        echo __("Enter the text to display.");
        // line 207
        echo "                            ";
        echo __("The red rectangle reflects the size of the region you are editing.");
        // line 208
        echo "                            ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 209
        echo "                        ";
        $context["noDataMessageMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 210
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["noDataMessageMessage2"] ?? null), "noDataMessage-advanced-editor-show"], 210, $context, $this->getSourceContext());
        echo "

                        ";
        // line 212
        ob_start(function () { return ''; });
        echo __("A message to display when there are no notifications to show");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 213
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["noDataMessage", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "noDataMessage"], "method", false, false, false, 213), ($context["helpText"] ?? null), "", "", 5], 213, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">
                        ";
        // line 217
        ob_start(function () { return ''; });
        echo __("Custom Style Sheets");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 218
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["embedStyle", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "embedStyle"], "method", false, false, false, 218), ($context["helpText"] ?? null), "", "", 10], 218, $context, $this->getSourceContext());
        echo "
                    </div>

                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "notificationview-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  543 => 218,  539 => 217,  531 => 213,  527 => 212,  521 => 210,  518 => 209,  515 => 208,  512 => 207,  509 => 206,  507 => 205,  501 => 203,  495 => 201,  493 => 200,  486 => 196,  482 => 195,  477 => 193,  470 => 191,  465 => 189,  457 => 184,  440 => 170,  430 => 164,  427 => 163,  424 => 162,  421 => 161,  418 => 160,  412 => 157,  409 => 156,  406 => 155,  403 => 154,  400 => 153,  394 => 150,  388 => 148,  386 => 147,  380 => 145,  377 => 144,  374 => 143,  372 => 142,  363 => 136,  359 => 135,  354 => 133,  347 => 131,  342 => 129,  332 => 123,  327 => 122,  323 => 121,  317 => 119,  315 => 117,  314 => 116,  313 => 115,  312 => 114,  311 => 113,  310 => 112,  309 => 111,  308 => 110,  307 => 109,  306 => 108,  305 => 107,  304 => 106,  303 => 105,  302 => 104,  300 => 103,  295 => 102,  290 => 101,  285 => 100,  280 => 99,  275 => 98,  270 => 97,  265 => 96,  260 => 95,  255 => 94,  250 => 93,  245 => 92,  240 => 91,  235 => 90,  230 => 89,  225 => 88,  221 => 87,  215 => 85,  210 => 84,  206 => 83,  197 => 78,  195 => 76,  194 => 75,  193 => 74,  191 => 73,  186 => 72,  181 => 71,  177 => 70,  174 => 69,  169 => 68,  165 => 67,  159 => 65,  154 => 64,  150 => 63,  144 => 61,  139 => 60,  135 => 59,  129 => 57,  124 => 56,  120 => 55,  114 => 53,  109 => 52,  105 => 51,  99 => 48,  91 => 43,  87 => 42,  83 => 41,  77 => 38,  71 => 35,  67 => 34,  63 => 32,  59 => 31,  54 => 28,  50 => 27,  45 => 24,  43 => 25,  36 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "notificationview-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/notificationview-form-edit.twig");
    }
}
