<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* countdown-form-edit.twig */
class __TwigTemplate_3fd08515604d46766b8e8f71420f8fa4358cf5d9e0faa316b85fcaa189b39882 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "countdown-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "countdown-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Countdown");
    }

    // line 31
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "templatesAvailable", [], "method", false, false, false, 31));
    }

    // line 33
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#generalTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 40
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#templatePreset\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Preset");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#templateTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Main");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#optionalStylesheetTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Optional Stylesheet");
        echo "</span></a>
                </div>
            </li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"clockFormEdit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 50
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 50), "widgetId", [], "any", false, false, false, 50)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"generalTab\">
                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 55), ($context["helpText"] ?? null)], 55, $context, $this->getSourceContext());
        echo "

                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 59), ($context["helpText"] ?? null)], 59, $context, $this->getSourceContext());
        echo "

                        ";
        // line 61
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 63), ($context["helpText"] ?? null), "duration-fields", "required"], 63, $context, $this->getSourceContext());
        echo "

                        ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "
                        ";
        // line 68
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 72
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 73
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 74
($context["inheritOption"] ?? null)]];
        // line 76
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 76)], "method", false, false, false, 76), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 76, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 80
        ob_start(function () { return ''; });
        echo __("Countdown Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the type of countdown.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Widget Duration");
        $context["useWidgetDuration"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Custom Duration");
        $context["useCustomDuration"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use Date");
        $context["useDate"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        ";
        $context["options"] = [0 => ["id" => 1, "value" =>         // line 86
($context["useWidgetDuration"] ?? null)], 1 => ["id" => 2, "value" =>         // line 87
($context["useCustomDuration"] ?? null)], 2 => ["id" => 3, "value" =>         // line 88
($context["useDate"] ?? null)]];
        // line 90
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["countdownType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "countdownType"], "method", false, false, false, 90), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 90, $context, $this->getSourceContext());
        echo "

                        ";
        // line 92
        ob_start(function () { return ''; });
        echo __("Countdown Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["countdownDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "countdownDuration"], "method", false, false, false, 94), ($context["helpText"] ?? null), "duration-group"], 94, $context, $this->getSourceContext());
        echo "

                        ";
        // line 96
        ob_start(function () { return ''; });
        echo __("Countdown Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the target date and time.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["countdownDate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "countdownDate"], "method", false, false, false, 98), ($context["helpText"] ?? null), "date-group"], 98, $context, $this->getSourceContext());
        echo "

                        ";
        // line 100
        ob_start(function () { return ''; });
        echo __("Warning Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The countdown will show in a warning mode from the end duration entered.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["countdownWarningDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "countdownWarningDuration"], "method", false, false, false, 102), ($context["helpText"] ?? null), "duration-group widget-duration-group"], 102, $context, $this->getSourceContext());
        echo "

                        ";
        // line 104
        ob_start(function () { return ''; });
        echo __("Warning Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The countdown will show in a warning mode from the warning date entered.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dateTime", ["countdownWarningDate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "countdownWarningDate"], "method", false, false, false, 106), ($context["helpText"] ?? null), "date-group"], 106, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templatePreset\">
                        ";
        // line 110
        ob_start(function () { return ''; });
        echo __("Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 111
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["templateId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "templateId"], "method", false, false, false, 112), ($context["templatesAvailable"] ?? null), "id", "value", ($context["helptext"] ?? null), "template-selector-control selectPicker selectPickerWithImage", null, null, null, [0 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 1 => ["name" => "data-width", "value" => "100%"]], null, "image"], 112, $context, $this->getSourceContext());
        echo "

                        ";
        // line 114
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["overrideTemplate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "overrideTemplate", 1 => 0], "method", false, false, false, 116), ($context["helpText"] ?? null)], 116, $context, $this->getSourceContext());
        echo "

                        ";
        // line 118
        ob_start(function () { return ''; });
        // line 119
        echo "                            ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["useTemplatesMessage"] ?? null), "template-override-controls"], 121, $context, $this->getSourceContext());
        echo "

                        ";
        // line 123
        ob_start(function () { return ''; });
        echo __("Original Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended width of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalWidth", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalWidth", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 125), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 125, $context, $this->getSourceContext());
        echo "

                        ";
        // line 127
        ob_start(function () { return ''; });
        echo __("Original Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 128
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended height of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalHeight", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalHeight", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 129), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 129, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templateTab\">
                        <div class=\"editor-messages\">
                            ";
        // line 134
        ob_start(function () { return ''; });
        echo __("Enter a format for the Countdown e.g. [hha], [hh], [mm], [ss] or [DD]. See the manual for more information.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), ""], 135, $context, $this->getSourceContext());
        echo "

                            ";
        // line 137
        ob_start(function () { return ''; });
        // line 138
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "mainTemplate-advanced-editor-hide"], 140, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"ckeditor_controls container-fluid\" data-linked-to=\"mainTemplate\">
                            <div class=\"offset-sm-4 col-sm-8\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 146
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\" 
                                            class=\"ckeditor_snippets_select form-control\"
                                            data-linked-to=\"mainTemplate\">
                                            <option value=\"\"></option>
                                            <option value=\"ss\">Seconds</option>
                                            <option value=\"mm\">Minutes</option>
                                            <option value=\"hh\">Hours</option>
                                            <option value=\"DD\">Days</option>
                                            <option value=\"WW\">Weeks</option>
                                            <option value=\"MM\">Months</option>
                                            <option value=\"YY\">~Years</option>
                                            <option value=\"ssa\">Seconds ( show total value )</option>
                                            <option value=\"mma\">Minutes ( show total value )</option>
                                            <option value=\"hha\">Hours ( show total value )</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        ";
        // line 168
        echo twig_call_macro($macros["forms"], "macro_textarea", ["mainTemplate", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "mainTemplate"], "method", false, false, false, 168), "", "", "", 10], 168, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\"> 
                        <div class=\"form-content-title\">
                            <h4>";
        // line 173
        echo __("Optional Stylesheet");
        echo "</h4>
                        </div>

                        ";
        // line 176
        echo twig_call_macro($macros["forms"], "macro_textarea", ["styleSheet", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "styleSheet"], "method", false, false, false, 176), "", "", "", 10], 176, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "countdown-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  440 => 176,  434 => 173,  426 => 168,  401 => 146,  391 => 140,  385 => 138,  383 => 137,  377 => 135,  373 => 134,  364 => 129,  359 => 128,  355 => 127,  349 => 125,  344 => 124,  340 => 123,  334 => 121,  328 => 119,  326 => 118,  320 => 116,  315 => 115,  311 => 114,  305 => 112,  300 => 111,  296 => 110,  288 => 106,  283 => 105,  279 => 104,  273 => 102,  268 => 101,  264 => 100,  258 => 98,  253 => 97,  249 => 96,  243 => 94,  238 => 93,  234 => 92,  228 => 90,  226 => 88,  225 => 87,  224 => 86,  222 => 85,  217 => 84,  212 => 83,  207 => 82,  202 => 81,  198 => 80,  190 => 76,  188 => 74,  187 => 73,  186 => 72,  184 => 71,  179 => 70,  174 => 69,  170 => 68,  167 => 67,  162 => 66,  158 => 65,  152 => 63,  147 => 62,  143 => 61,  137 => 59,  132 => 58,  128 => 57,  122 => 55,  117 => 54,  113 => 53,  107 => 50,  99 => 45,  95 => 44,  91 => 43,  85 => 40,  79 => 37,  75 => 36,  71 => 34,  67 => 33,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "countdown-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/countdown-form-edit.twig");
    }
}
