<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* usergroup-form-members.twig */
class __TwigTemplate_f75ac26c2ba8b05f6121a9238735a957ddbd51524e28c3789ee0d906a234ca46 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 26
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $context["randomId"] = twig_random($this->env);
        // line 27
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "usergroup-form-members.twig", 27)->unwrap();
        // line 26
        $this->parent = $this->loadTemplate("form-base.twig", "usergroup-form-members.twig", 26);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 29
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "    ";
        echo __("Manage Membership");
    }

    // line 33
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "permissions", [], "any", false, false, false, 34), "html", null, true);
        echo "\")
    ";
        // line 35
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 36
        echo __("Save");
        echo ", membersFormSubmit(\"";
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\")
";
    }

    // line 39
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "membersFormOpen";
    }

    // line 41
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 42
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <div id=\"";
        // line 44
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\" class=\"div-horizontal\"
                 data-param=\"userId\"
                 data-param-unassign=\"unassignUserId\"
                 data-url=\"";
        // line 47
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("group.members.assign", ["id" => twig_get_attribute($this->env, $this->source, ($context["group"] ?? null), "groupId", [], "any", false, false, false, 47)]), "html", null, true);
        echo "\"
                    >
                ";
        // line 49
        ob_start(function () { return ''; });
        echo __("Check or un-check the options against each user to control whether they are a member or not.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 50, $context, $this->getSourceContext());
        echo "
                <table class=\"table table-bordered membersTable\">
                    <tr>
                        <th>";
        // line 53
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["group"] ?? null), "group", [], "any", false, false, false, 53), "html", null, true);
        echo "</th>
                        <th>";
        // line 54
        echo __("Member");
        echo "</th>
                    </tr>
                    ";
        // line 56
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["checkboxes"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 57
            echo "                        <tr>
                            <td>";
            // line 58
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "name", [], "any", false, false, false, 58), "html", null, true);
            echo "</td>
                            <td><input type=\"checkbox\" data-member-id=\"";
            // line 59
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "id", [], "any", false, false, false, 59), "html", null, true);
            echo "\" ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "value_checked", [], "any", false, false, false, 59), "html", null, true);
            echo "></td>
                        </tr>
                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 62
        echo "                </table>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "usergroup-form-members.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  154 => 62,  143 => 59,  139 => 58,  136 => 57,  132 => 56,  127 => 54,  123 => 53,  116 => 50,  112 => 49,  107 => 47,  101 => 44,  97 => 42,  93 => 41,  86 => 39,  78 => 36,  74 => 35,  67 => 34,  63 => 33,  58 => 30,  54 => 29,  49 => 26,  47 => 27,  45 => 24,  38 => 26,);
    }

    public function getSourceContext()
    {
        return new Source("", "usergroup-form-members.twig", "/home/mgatv524/public_html/mctv/views/usergroup-form-members.twig");
    }
}
