<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* report-schedule-page.twig */
class __TwigTemplate_03fe7c4cb5512e8c6c086efcdcb374f0a33fa47564b41cb208637d2586f213d8 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "report-schedule-page.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("authed.twig", "report-schedule-page.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboRedirectButton\" href=\"";
        // line 29
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("report.view"), "html", null, true);
        echo "\"><i class=\"fa fa-th-list\" aria-hidden=\"true\"></i> ";
        echo __("Back to dashboard");
        echo "</button>
        <button class=\"btn btn-info XiboRedirectButton\" href=\"";
        // line 30
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("savedreport.view"), "html", null, true);
        echo "\"><i class=\"fa fa-eye\" aria-hidden=\"true\"></i> ";
        echo __("Saved Reports");
        echo "</button>
    </div>
";
    }

    // line 34
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 35
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">
            <span>";
        // line 37
        echo __("Report Schedule");
        echo "</span>
            <span class=\"fa fa-info-circle widget-title-info px-1\" data-toggle=\"popover\" data-trigger=\"hover\" data-placement=\"bottom\" data-content=\"";
        // line 38
        echo __("The report will be available 6AM every day.");
        echo "\"></span>
        </div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 41
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"reportscheduleView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">
                            ";
        // line 45
        ob_start(function () { return ''; });
        echo __("ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_number", ["reportScheduleId", ($context["title"] ?? null)], 46, $context, $this->getSourceContext());
        echo "

                            <div class=\"form-group mr-1 mb-1\">
                                <label class=\"control-labe mr-1\" title=\"\" for=\"name\" accesskey=\"\">";
        // line 49
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"name\" type=\"text\" id=\"name\" value=\"\">
                                        <div class=\"input-group-append input-group-addon\">
                                            <div class=\"input-group-text\">
                                                <input title=\"";
        // line 55
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Owner");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items owned by the selected User.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                            ";
        $context["users"] = twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null));
        // line 65
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["userId", "single", ($context["title"] ?? null), null, ($context["users"] ?? null), "userId", "userName", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 65, $context, $this->getSourceContext());
        echo "

                            ";
        // line 67
        ob_start(function () { return ''; });
        echo __("Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items belong to a report.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                            ";
        $context["reports"] = twig_array_merge([0 => ["name" => null, "description" => ""]], ($context["availableReports"] ?? null));
        // line 70
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["reportName", "single", ($context["title"] ?? null), null, ($context["reports"] ?? null), "name", "description", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 70, $context, $this->getSourceContext());
        echo "

                            ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Only my schedules?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_checkbox", ["onlyMySchedules", ($context["title"] ?? null), 1], 73, $context, $this->getSourceContext());
        echo "
                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"reportschedules\" class=\"table table-striped\" data-state-preference-name=\"reportscheduleGrid\">
                        <thead>
                        <tr>
                            <th>";
        // line 81
        echo __("Name");
        echo "</th>
                            <th>";
        // line 82
        echo __("Report Name");
        echo "</th>
                            <th>";
        // line 83
        echo __("Schedule");
        echo "</th>
                            <th>";
        // line 84
        echo __("Owner");
        echo "</th>
                            <th>";
        // line 85
        echo __("Last Run");
        echo "</th>
                            <th>";
        // line 86
        echo __("Next Run");
        echo "</th>
                            <th>";
        // line 87
        echo __("Previous Run");
        echo "</th>
                            <th>";
        // line 88
        echo __("Active");
        echo "</th>
                            <th>";
        // line 89
        echo __("Start time");
        echo "</th>
                            <th>";
        // line 90
        echo __("End time");
        echo "</th>
                            <th>";
        // line 91
        echo __("Failed Message");
        echo "</th>
                            <th>";
        // line 92
        echo __("Created");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 106
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 107
        echo "    <script type=\"text/javascript\">

        \$(function () {
            \$('[data-toggle=\"popover\"]').popover();
        });

        var table;
        \$(document).ready(function() {

            var url_string = window.location.href;
            var url = new URL(url_string);
            var reportScheduleId = url.searchParams.get(\"reportScheduleId\");
            var reportName = url.searchParams.get(\"reportName\");

            if (reportScheduleId !== undefined && reportScheduleId != null) {
                \$('#reportScheduleId').val(reportScheduleId);
            }

            if (reportName !== undefined && reportName != null) {
                // Grid will be reloaded again
                \$('#reportName').val(reportName).trigger('change');
            }

            table = \$(\"#reportschedules\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                stateDuration: 0,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                filter: false,
                searchDelay: 3000,
                \"order\": [[ 1, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 142
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("reportschedule.search"), "html", null, true);
        echo "\",
                    \"data\": function(d) {
                        \$.extend(d, \$(\"#reportschedules\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    { \"data\": \"name\"},
                    { \"data\": \"reportName\"},
                    { \"data\": \"schedule\"},
                    { \"data\": \"owner\"},
                    {
                        \"data\": \"lastRunDt\",
                        \"render\": dataTableDateFromUnix
                    },
                    {
                        \"orderable\": false,
                        \"data\": \"nextRunDt\",
                        \"render\": dataTableDateFromUnix
                    },
                    {
                        \"data\": \"previousRunDt\",
                        \"render\": dataTableDateFromUnix,
                        \"visible\": false
                    },
                    {
                        \"data\": \"isActive\",
                        \"render\": function (data, type, row) {
                            if (type !== \"display\")
                                return data;

                            var icon = \"\";
                            if (data == 1)
                                icon = \"fa-check\";
                            else
                                icon = \"fa-times\";

                            return '<span class=\"fa ' + icon + '\" title=\"' + (row.isActiveDescription) + '\"></span>';
                        },
                        \"visible\": false
                    },
                    {
                        \"data\": \"fromDt\",
                        \"render\": dataTableDateFromUnix,
                        \"visible\": false
                    },
                    {
                        \"data\": \"toDt\",
                        \"render\": dataTableDateFromUnix,
                        \"visible\": false
                    },
                    {
                        \"data\": \"message\",
                        \"render\": function (data, type, row) {
                            if (type !== \"display\")
                                return data;

                            var icon = \"\";
                            if (data !== null)
                                icon = \"fa-exclamation-triangle\";
                            else
                                icon = \"\";

                            return '<span class=\"fa ' + icon + '\" title=\"' + (row.message) + '\"></span>';
                        },
                        \"visible\": false
                    },
                    {
                        \"data\": \"createdDt\",
                        \"render\": dataTableDateFromUnix
                    },
                    {
                        \"orderable\": false,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#reportschedules_wrapper').find('.dataTables_buttons'));
        })

    </script>
";
    }

    public function getTemplateName()
    {
        return "report-schedule-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  282 => 142,  245 => 107,  241 => 106,  224 => 92,  220 => 91,  216 => 90,  212 => 89,  208 => 88,  204 => 87,  200 => 86,  196 => 85,  192 => 84,  188 => 83,  184 => 82,  180 => 81,  168 => 73,  164 => 72,  158 => 70,  155 => 69,  150 => 68,  146 => 67,  140 => 65,  137 => 64,  132 => 63,  128 => 62,  118 => 55,  109 => 49,  102 => 46,  98 => 45,  91 => 41,  85 => 38,  81 => 37,  77 => 35,  73 => 34,  64 => 30,  58 => 29,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "report-schedule-page.twig", "/home/mgatv524/public_html/mctv/views/report-schedule-page.twig");
    }
}
