<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-edit-profile.twig */
class __TwigTemplate_001429c89c98f6bc0ed240cf2ebbd357d9a43627590abd29f2f597d5778046e6 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'callBack' => [$this, 'block_callBack'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "user-form-edit-profile.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-edit-profile.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit User Profile");
    }

    // line 31
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "userProfileEditFormOpen";
    }

    // line 33
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "editProfile", [], "any", false, false, false, 34), "html", null, true);
        echo "\")
    ";
        // line 35
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 36
        echo __("Save");
        echo ", \$(\"#userEditProfileForm\").submit()
";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"userEditProfileForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 42
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.edit.profile", ["id" => twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "userId", [], "any", false, false, false, 42)]), "html", null, true);
        echo "\" data-setup=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["data"] ?? null), "setup", [], "any", false, false, false, 42), "html", null, true);
        echo "\" data-generate=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["data"] ?? null), "generate", [], "any", false, false, false, 42), "html", null, true);
        echo "\" data-show=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["data"] ?? null), "show", [], "any", false, false, false, 42), "html", null, true);
        echo "\" data-currentuser=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "twoFactorTypeId", [], "any", false, false, false, 42), "html", null, true);
        echo "\">
                ";
        // line 43
        ob_start(function () { return ''; });
        echo __("User Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_disabled", ["userName", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userName", [], "any", false, false, false, 44)], 44, $context, $this->getSourceContext());
        echo "

                ";
        // line 46
        ob_start(function () { return ''; });
        echo __("Password");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                ";
        ob_start(function () { return ''; });
        echo __("If you are changing your password or two factor settings, then please enter your current password");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_password", ["password", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 48, $context, $this->getSourceContext());
        echo "

                ";
        // line 50
        ob_start(function () { return ''; });
        echo __("New Password");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Please enter your new password");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_password", ["newPassword", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 52, $context, $this->getSourceContext());
        echo "

                ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Retype New Password");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Please repeat the new Password.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_password", ["retypeNewPassword", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 56, $context, $this->getSourceContext());
        echo "

                ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Email");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Email Address for this user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_email", ["email", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "email", [], "any", false, false, false, 60), ($context["helpText"] ?? null)], 60, $context, $this->getSourceContext());
        echo "

                ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Two Factor Authentication");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Enable an option to provide a two factor authentication code to log into the CMS for added security.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                ";
        $context["values"] = [0 => ["id" => 0, "value" => "Off"], 1 => ["id" => 1, "value" => "Email"], 2 => ["id" => 2, "value" => "Google Authenticator"]];
        // line 65
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["twoFactorTypeId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "twoFactorTypeId", [], "any", false, false, false, 65), ($context["values"] ?? null), "id", "value", ($context["helpText"] ?? null)], 65, $context, $this->getSourceContext());
        echo "

                ";
        // line 67
        echo twig_call_macro($macros["forms"], "macro_hidden", ["twoFactorRecoveryCodes", twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "twoFactorRecoveryCodes", [], "any", false, false, false, 67)], 67, $context, $this->getSourceContext());
        echo "
                <div id=\"qRCode\">
                    <p>";
        // line 69
        echo __("Please scan the following image with your app:");
        echo "</p>
                    <p id=\"qr\"><img id=\"qrImage\" src=\"\"></p>
                    <div>
                        ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Access Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["code", ($context["title"] ?? null)], 73, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>

                <div id=\"recoveryButtons\">
                    <p>";
        // line 78
        echo __("Please use the buttons below to generate or show your two factor recovery codes.");
        echo "</p>

                    <ul class=\"nav nav-pills pull-left\" style=\"margin-left: 5px;\">
                        <li class=\"btn btn-success btn-sm recBtn\"><a class=\"btns generateCodes\" id=\"generateCodesBtn\" style=\"padding: 7px 7px;\" title=\"";
        // line 81
        echo __("Generate Recovery codes, this action will invalidate all existing recovery codes.");
        echo "\" > <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
        echo __("Generate");
        echo "</a></li>
                    </ul>

                    <ul class=\"nav nav-pills pull-left\" style=\"margin-left: 5px;\">
                        <li class=\"btn btn-info btn-sm recBtn\"><a class=\"btns showCodes\" id=\"showCodesBtn\" style=\"padding: 7px 7px;\" title=\"";
        // line 85
        echo __("Show existing recovery codes");
        echo "\" > <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
        echo __("Show");
        echo "</a></li>
                    </ul>
                </div>

                <div id=\"recoveryCodes\" style=\"float: left; width: 100%;\">
                    <p>";
        // line 90
        echo __("Here are your recovery codes, please make sure to store them in a safe place, like password manager.");
        echo "</p>
                    <p>";
        // line 91
        echo __("Recovery codes will become active only after this form is successfully saved");
        echo "</p>
                    <p id=\"codesList\" class=\"\"></p>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-edit-profile.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  250 => 91,  246 => 90,  236 => 85,  227 => 81,  221 => 78,  212 => 73,  208 => 72,  202 => 69,  197 => 67,  191 => 65,  188 => 64,  183 => 63,  179 => 62,  173 => 60,  168 => 59,  164 => 58,  158 => 56,  153 => 55,  149 => 54,  143 => 52,  138 => 51,  134 => 50,  128 => 48,  123 => 47,  119 => 46,  113 => 44,  109 => 43,  97 => 42,  93 => 40,  89 => 39,  83 => 36,  79 => 35,  72 => 34,  68 => 33,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-edit-profile.twig", "/home/mgatv524/public_html/mctv/views/user-form-edit-profile.twig");
    }
}
