<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* googletraffic-form-settings.twig */
class __TwigTemplate_d39403cec3703d6fa9630264b3ca4bd94d90380f21b6c5f0fa78ece837bb93e5 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'moduleFormFields' => [$this, 'block_moduleFormFields'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "module-form-settings.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "googletraffic-form-settings.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("module-form-settings.twig", "googletraffic-form-settings.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_moduleFormFields($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        ob_start(function () { return ''; });
        echo __("API Key");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 28
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Enter your API Key from Google Maps.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["apiKey", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "apiKey"], "method", false, false, false, 29), ($context["helpText"] ?? null)], 29, $context, $this->getSourceContext());
        echo "

    ";
        // line 31
        ob_start(function () { return ''; });
        echo __("Minimum allowed duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 32
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Please enter a minumum allowed duration in seconds for this Module. This can be used to prevent run-away charges.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 33
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["minDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "minDuration"], "method", false, false, false, 33), ($context["helpText"] ?? null)], 33, $context, $this->getSourceContext());
        echo "

    ";
        // line 35
        ob_start(function () { return ''; });
        echo __("Reset all Widgets to the minimum duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["resetAllWidgets", ($context["title"] ?? null), 0], 36, $context, $this->getSourceContext());
        echo "

    ";
        // line 38
        ob_start(function () { return ''; });
        // line 39
        echo "        ";
        echo twig_escape_filter($this->env, __("This module uses the Google Traffic JavaScript API which is a paid-for API from Google."), "html", null, true);
        echo "
        ";
        // line 40
        echo twig_escape_filter($this->env, __("Charges will apply each time the map is loaded in the CMS preview and on each Player, therefore we recommend setting a high minimum duration."), "html", null, true);
        echo "
    ";
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), "alert alert-danger"], 42, $context, $this->getSourceContext());
        echo "
";
    }

    public function getTemplateName()
    {
        return "googletraffic-form-settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  106 => 42,  101 => 40,  96 => 39,  94 => 38,  88 => 36,  84 => 35,  78 => 33,  73 => 32,  69 => 31,  63 => 29,  58 => 28,  53 => 27,  49 => 26,  44 => 23,  42 => 24,  35 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "googletraffic-form-settings.twig", "/home/mgatv524/public_html/mctv/modules/googletraffic-form-settings.twig");
    }
}
