<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* schedule-recurrence-form-delete.twig */
class __TwigTemplate_834165684905b60032ac62b8629e46332bc66c2686b8eae5e872475ac62bee75 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'callBack' => [$this, 'block_callBack'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "schedule-recurrence-form-delete.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "schedule-recurrence-form-delete.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Delete Recurring Event.");
    }

    // line 31
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "setupScheduleForm";
    }

    // line 33
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 35
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 36
        echo __("Yes");
        echo ", \$(\"#scheduleRecurrenceDeleteForm\").submit()
";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"scheduleRecurrenceDeleteForm\" class=\"form-horizontal\" method=\"delete\" action=\"";
        // line 42
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("schedule.recurrence.delete", ["id" => twig_get_attribute($this->env, $this->source, ($context["event"] ?? null), "eventId", [], "any", false, false, false, 42)]), "html", null, true);
        echo "\">
                ";
        // line 43
        ob_start(function () { return ''; });
        echo __("Are you sure you want to delete this recurring event? Clicking Yes will delete this event from <b>all</b> displays.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 44, $context, $this->getSourceContext());
        echo "

                ";
        // line 46
        echo twig_call_macro($macros["forms"], "macro_hidden", ["eventStart", ($context["eventStart"] ?? null)], 46, $context, $this->getSourceContext());
        echo "
                ";
        // line 47
        echo twig_call_macro($macros["forms"], "macro_hidden", ["eventEnd", ($context["eventEnd"] ?? null)], 47, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "schedule-recurrence-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  115 => 47,  111 => 46,  105 => 44,  101 => 43,  97 => 42,  93 => 40,  89 => 39,  83 => 36,  79 => 35,  72 => 34,  68 => 33,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "schedule-recurrence-form-delete.twig", "/home/mgatv524/public_html/mctv/views/schedule-recurrence-form-delete.twig");
    }
}
