<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* display-form-set-bandwidth.twig */
class __TwigTemplate_af23bc279df1e6812a046d1ba6242aae19ee63f6fb28683a26598db791f256f9 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 26
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $context["randomId"] = twig_random($this->env);
        // line 27
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "display-form-set-bandwidth.twig", 27)->unwrap();
        // line 26
        $this->parent = $this->loadTemplate("form-base.twig", "display-form-set-bandwidth.twig", 26);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 29
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "    ";
        echo __("Bandwidth Limit");
    }

    // line 33
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 35
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 36
        echo __("Save");
        echo ", \$(\"#displayFormSetBandwidthLimit\").submit()
";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayFormSetBandwidthLimit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 42
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("display.setBandwidthLimitMultiple", ["id" => twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "displayId", [], "any", false, false, false, 42)]), "html", null, true);
        echo "\">
                ";
        // line 43
        ob_start(function () { return ''; });
        // line 44
        echo "                    ";
        echo __("Change Bandwidth Limit to all the selected displays.");
        echo "<br>
                ";
        $context["setBandwidthMultipleMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["setBandwidthMultipleMessage"] ?? null)], 46, $context, $this->getSourceContext());
        echo "
                
                ";
        // line 48
        echo twig_call_macro($macros["forms"], "macro_hidden", ["ids", ($context["ids"] ?? null)], 48, $context, $this->getSourceContext());
        echo "

                ";
        // line 50
        ob_start(function () { return ''; });
        echo __("Bandwidth limit");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The bandwidth limit that should be applied. Enter 0 for no limit.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                <div class=\"form-group row\">
                    <label class=\"col-sm-2 control-label\" for=\"bandwidthLimit\">";
        // line 53
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                    <div class=\"col-sm-6\">
                        <input class=\"form-control\" name=\"bandwidthLimit\" type=\"number\" id=\"bandwidthLimit\" min=\"0\" value=\"\"/>
                        <span class=\"help-block\">";
        // line 56
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                    </div>
                    <div class=\"col-sm-4\">
                        <select name=\"bandwidthLimitUnits\" class=\"form-control\">
                            <option value=\"kb\">KiB</option>
                            <option value=\"mb\">MiB</option>
                            <option value=\"gb\">GiB</option>
                        </select>
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "display-form-set-bandwidth.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  132 => 56,  126 => 53,  123 => 52,  118 => 51,  114 => 50,  109 => 48,  103 => 46,  97 => 44,  95 => 43,  91 => 42,  87 => 40,  83 => 39,  77 => 36,  73 => 35,  66 => 34,  62 => 33,  57 => 30,  53 => 29,  48 => 26,  46 => 27,  44 => 24,  37 => 26,);
    }

    public function getSourceContext()
    {
        return new Source("", "display-form-set-bandwidth.twig", "/home/mgatv524/public_html/mctv/views/display-form-set-bandwidth.twig");
    }
}
