<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* applications-form-add-dooh.twig */
class __TwigTemplate_9b9218d7f39fd036a15f8901320cd49b1d8bb790f12aaee15508b822d4c38fb5 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "applications-form-add-dooh.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "applications-form-add-dooh.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Add Application for DOOH");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 33
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#applicationAddFormSubmit\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"applicationAddFormSubmit\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("application.addDooh"), "html", null, true);
        echo "\">
                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Application Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null)], 42, $context, $this->getSourceContext());
        echo "

                ";
        // line 44
        ob_start(function () { return ''; });
        echo __("User");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Please select your DOOH user");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                ";
        $context["attributes"] = [0 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.search")], 1 => ["name" => "data-search-term", "value" => "userName"], 2 => ["name" => "data-id-property", "value" => "userId"], 3 => ["name" => "data-text-property", "value" => "userName"], 4 => ["name" => "data-filter-options", "value" => "{\"userTypeId\":\"4\"}"]];
        // line 53
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["userId", "single", ($context["title"] ?? null), "", ($context["users"] ?? null), "userId", "userName", ($context["helpText"] ?? null), "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 53, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "applications-form-add-dooh.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  115 => 53,  112 => 46,  107 => 45,  103 => 44,  97 => 42,  93 => 41,  89 => 40,  85 => 38,  81 => 37,  75 => 34,  69 => 33,  64 => 32,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "applications-form-add-dooh.twig", "/home/mgatv524/public_html/mctv/views/applications-form-add-dooh.twig");
    }
}
