<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* auditlog-page.twig */
class __TwigTemplate_ce654aac0f148a0536beebe544f4fb52066c2bd8b8aed1087b44279b2a771964 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "auditlog-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "auditlog-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Audit Log"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboFormButton\" title=\"";
        // line 30
        echo __("Export raw data to CSV");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("auditLog.export.form"), "html", null, true);
        echo "\"><i class=\"fa fa-cloud-upload\" aria-hidden=\"true\"></i> ";
        echo __("Export");
        echo "</button>
        <button class=\"btn btn-primary\" id=\"refreshLog\" title=\"";
        // line 31
        echo __("Refresh the Log");
        echo "\" href=\"#\"> <i class=\"fa fa-refresh\" aria-hidden=\"true\"></i> ";
        echo __("Refresh");
        echo "</button>
    </div>
";
    }

    // line 35
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 36
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 37
        echo __("Audit Log");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 39
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"auditView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">

                            ";
        // line 44
        ob_start(function () { return ''; });
        echo __("From Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_date", ["fromDt", ($context["title"] ?? null)], 45, $context, $this->getSourceContext());
        echo "

                            ";
        // line 47
        ob_start(function () { return ''; });
        echo __("To Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_date", ["toDt", ($context["title"] ?? null)], 48, $context, $this->getSourceContext());
        echo "

                            ";
        // line 50
        ob_start(function () { return ''; });
        echo __("User");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_input", ["user", ($context["title"] ?? null)], 51, $context, $this->getSourceContext());
        echo "

                            ";
        // line 53
        ob_start(function () { return ''; });
        echo __("Entity");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_input", ["entity", ($context["title"] ?? null)], 54, $context, $this->getSourceContext());
        echo "

                            ";
        // line 56
        ob_start(function () { return ''; });
        echo __("Entity ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_input", ["entityId", ($context["title"] ?? null)], 57, $context, $this->getSourceContext());
        echo "

                            ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Message");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_input", ["message", ($context["title"] ?? null)], 60, $context, $this->getSourceContext());
        echo "
                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"logs\" class=\"table table-striped\">
                        <thead>
                            <tr>
                                <th>";
        // line 68
        echo __("ID");
        echo "</th>
                                <th>";
        // line 69
        echo __("Date");
        echo "</th>
                                <th>";
        // line 70
        echo __("User");
        echo "</th>
                                <th>";
        // line 71
        echo __("Entity");
        echo "</th>
                                <th>";
        // line 72
        echo __("Entity ID");
        echo "</th>
                                <th>";
        // line 73
        echo __("Message");
        echo "</th>
                                <th>";
        // line 74
        echo __("Object");
        echo "</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 87
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 88
        echo "    ";
        // line 108
        echo "
    <script type=\"text/x-handlebars-template\" id=\"table-array-viewer\">
        <a class=\"arrayViewerToggle\" href=\"#\"><span class=\"fa fa-search\"></span></a>
        <table class=\"arrayViewer table table-bordered\" data-state-preferene-name=\"auditlogGrid\">
            <thead>
                <tr>
                    <th>{{ col1 }}</th>
                    <th>{{ col2 }}</th>
                </tr>
            </thead>
            <tbody>
                {{#each items}}
                <tr>
                    <td>{{ @key }}</td>
                    <td>{{ this }}</td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>
    ";
        echo "
    <script type=\"text/javascript\">

        \$(document).ready(function() {
            var arrayViewer = Handlebars.compile(\$(\"#table-array-viewer\").html());

            var table = \$(\"#logs\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                responsive: true,
                stateDuration: 0,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                filter: false,
                searchDelay: 3000,
                \"order\": [[0, \"desc\"]],
                ajax: {
                    url: \"";
        // line 127
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("auditLog.search"), "html", null, true);
        echo "\",
                    \"data\": function (d) {
                        \$.extend(d, \$(\"#logs\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {\"data\": \"logId\", responsivePriority: 2},
                    {\"data\": \"logDate\", \"render\": dataTableDateFromUnix, responsivePriority: 2},
                    {\"data\": \"userName\", responsivePriority: 2},
                    {\"data\": \"entity\", responsivePriority: 2},
                    {
                        \"name\": \"entityId\",
                        responsivePriority: 2,
                        \"data\" : function (data) {
                            if (data.entityId === 0) {
                                return ''
                            }

                            return data.entityId;
                        }
                    },
                    {\"data\": \"message\", responsivePriority: 1},
                    {
                        \"data\": function (data, type, row, meta) {
                            if (type != \"display\")
                                return \"\";

                            return arrayViewer({\"col1\": \"";
        // line 154
        echo __("Property");
        echo "\", \"col2\": \"";
        echo __("Value");
        echo "\", \"items\": data.objectAfter});
                        },
                        \"sortable\": false,
                         responsivePriority: 1
                    }
                ]
            });

            table.on('draw', function (e, settings) {
                dataTableDraw(e, settings);

                \$(\".arrayViewerToggle\").click(function () {
                    \$(this).parent().find(\".arrayViewer\").toggle();
                });
            });
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#logs_wrapper').find('.dataTables_buttons'));

            \$(\"#refreshLog\").click(function () {
                table.ajax.reload();
            });
        });

        function auditLogExportFormSubmit() {
            \$(\"#auditLogExportForm\").submit();
            XiboDialogClose();
        }

    </script>
";
    }

    public function getTemplateName()
    {
        return "auditlog-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  288 => 154,  258 => 127,  216 => 108,  214 => 88,  210 => 87,  194 => 74,  190 => 73,  186 => 72,  182 => 71,  178 => 70,  174 => 69,  170 => 68,  158 => 60,  154 => 59,  148 => 57,  144 => 56,  138 => 54,  134 => 53,  128 => 51,  124 => 50,  118 => 48,  114 => 47,  108 => 45,  104 => 44,  96 => 39,  91 => 37,  88 => 36,  84 => 35,  75 => 31,  67 => 30,  64 => 29,  60 => 28,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "auditlog-page.twig", "/home/mgatv524/public_html/mctv/views/auditlog-page.twig");
    }
}
