<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* notification-form-show.twig */
class __TwigTemplate_74febedcdfccbb4938198558584ff8d125363f59e4ecf130d14baf9fb6cb0e98 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "notification-form-show.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "notification-form-show.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "subject", [], "any", false, false, false, 28), "html", null, true);
        echo "
";
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Close");
        echo ", XiboDialogClose()
";
    }

    // line 35
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 36
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            ";
        // line 38
        ob_start(function () { return ''; });
        echo "<span class=\"notification-date\">";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "readDt", [], "any", false, false, false, 38), "html", null, true);
        echo "</span>";
        $context["readDt"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 39
        echo "            <p>";
        echo __("Published");
        echo " <span class=\"notification-date\">";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "releaseDt", [], "any", false, false, false, 39), "html", null, true);
        echo "</span>, ";
        /* xgettext:no-php-format */        echo strtr(__("you read this %readDt%."), array("%readDt%" => ($context["readDt"] ?? null), ));
        echo "</p>
            ";
        // line 40
        echo twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "body", [], "any", false, false, false, 40);
        echo "
            <p><a href=\"";
        // line 41
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("notification.exportattachment", ["id" => twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "notificationId", [], "any", false, false, false, 41)]), "html", null, true);
        echo "\">";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["notification"] ?? null), "originalFileName", [], "any", false, false, false, 41), "html", null, true);
        echo "</a> </p>

        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "notification-form-show.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  100 => 41,  96 => 40,  87 => 39,  81 => 38,  77 => 36,  73 => 35,  66 => 32,  62 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "notification-form-show.twig", "/home/mgatv524/public_html/mctv/views/notification-form-show.twig");
    }
}
