<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* tag-page.twig */
class __TwigTemplate_e1ad1d0caac52e3400b9ecbd385843633837b1874093cd6a059b718df0b6c1e5 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "tag-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "tag-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Tags"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboFormButton btns\" title=\"";
        // line 30
        echo __("Add a new Tag");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.add.form"), "html", null, true);
        echo "\"> <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i>  ";
        echo __("Add Tag");
        echo "</button>
    </div>
";
    }

    // line 34
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 35
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 36
        echo __("Tags");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 38
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"tagView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">
                            ";
        // line 42
        ob_start(function () { return ''; });
        echo __("ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_number", ["tagId", ($context["title"] ?? null)], 43, $context, $this->getSourceContext());
        echo "

                            <div class=\"form-group mr-1 mb-1\">
                                <label class=\"control-label mr-1\" title=\"\" for=\"tag\" accesskey=\"\">";
        // line 46
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"tag\" type=\"text\" id=\"tag\" value=\"\">
                                        <div class=\"input-group-append input-group-addon\">
                                            <div class=\"input-group-text\">
                                                <input title=\"";
        // line 52
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Show System tags?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_checkbox", ["isSystem", ($context["title"] ?? null), 0], 60, $context, $this->getSourceContext());
        echo "

                            ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Show only tags with values?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_checkbox", ["haveOptions", ($context["title"] ?? null), 0], 63, $context, $this->getSourceContext());
        echo "
                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"tags\" class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 71
        echo __("ID");
        echo "</th>
                            <th>";
        // line 72
        echo __("Name");
        echo "</th>
                            <th>";
        // line 73
        echo __("isRequired");
        echo "</th>
                            <th>";
        // line 74
        echo __("Values");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 88
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 89
        echo "    <script type=\"text/javascript\">
        var table = \$(\"#tags\").DataTable({
            \"language\": dataTablesLanguage,
            dom: dataTablesTemplate,
            serverSide: true,
            stateSave: true,
            stateDuration: 0,
            responsive: true,
            stateLoadCallback: dataTableStateLoadCallback,
            stateSaveCallback: dataTableStateSaveCallback,
            filter: false,
            searchDelay: 3000,
            \"order\": [[ 1, \"desc\"]],
            ajax: {
                \"url\": \"";
        // line 103
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.search"), "html", null, true);
        echo "\",
                \"data\": function(d) {
                    \$.extend(d, \$(\"#tags\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                }
            },
            \"columns\": [
                { \"data\": \"tagId\", responsivePriority: 2 },
                { \"data\": \"tag\", responsivePriority: 2 },
                {
                    \"data\": \"isRequired\",
                    responsivePriority: 3,
                    \"render\": function (data, type, row) {
                        if (type != \"display\") {
                            return data;
                        }

                        var icon = \"\";
                        if (data == 1)
                            icon = \"fa-check\";
                        else if (data == 0)
                            icon = \"fa-times\";

                        return \"<span class='fa \" + icon  + \"'></span>\";
                    }
                },
                {
                    \"data\": \"options\",
                    responsivePriority: 3,
                    \"render\": function (data, type, row) {

                        if (type != \"display\") {
                            return data;
                        }

                        return JSON.parse(data);
                    }
                },
                {
                    \"orderable\": false,
                    responsivePriority: 1,
                    \"data\": dataTableButtonsColumn
                }
            ]
        });

        table.on('draw', dataTableDraw);
        table.on('processing.dt', dataTableProcessing);
        dataTableAddButtons(table, \$('#tags_wrapper').find('.dataTables_buttons'), false);
    </script>
";
    }

    public function getTemplateName()
    {
        return "tag-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  202 => 103,  186 => 89,  182 => 88,  165 => 74,  161 => 73,  157 => 72,  153 => 71,  141 => 63,  137 => 62,  131 => 60,  127 => 59,  117 => 52,  108 => 46,  101 => 43,  97 => 42,  90 => 38,  85 => 36,  82 => 35,  78 => 34,  67 => 30,  64 => 29,  60 => 28,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "tag-page.twig", "/home/mgatv524/public_html/mctv/views/tag-page.twig");
    }
}
