<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-rss-page.twig */
class __TwigTemplate_0207d6c432b8dbca2a27ddc0b310e8091937ffdd2f65fa306d441bf042776f78 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "dataset-rss-page.twig", 24)->unwrap();
        // line 25
        $context["dataSetName"] = twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSet", [], "any", false, false, false, 25);
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "dataset-rss-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        /* xgettext:no-php-format */        echo strtr(__("RSS Feeds for %dataSetName%"), array("%dataSetName%" => ($context["dataSetName"] ?? null), ));
        echo " | ";
    }

    // line 29
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboFormButton\" title=\"";
        // line 31
        echo __("Add RSS");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.rss.add.form", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 31)]), "html", null, true);
        echo "\"><i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
        echo __("Add RSS");
        echo "</button>
    </div>
";
    }

    // line 35
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 36
        echo "    ";
        ob_start(function () { return ''; });
        /* xgettext:no-php-format */        echo strtr(__("RSS Feeds for %dataSetName%"), array("%dataSetName%" => ($context["dataSetName"] ?? null), ));
        $context["widgetTitle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 38
        echo twig_escape_filter($this->env, ($context["widgetTitle"] ?? null), "html", null, true);
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 40
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"XiboFilter\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">

                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"datasets\" class=\"table table-striped\" data-state-preference-name=\"dataSetRssGrid\">
                        <thead>
                            <tr>
                                <th>";
        // line 52
        echo __("ID");
        echo "</th>
                                <th>";
        // line 53
        echo __("Title");
        echo "</th>
                                <th>";
        // line 54
        echo __("Author");
        echo "</th>
                                <th>";
        // line 55
        echo __("URL");
        echo "</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 69
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 70
        echo "    <script type=\"text/javascript\">
        var table = \$(\"#datasets\").DataTable({
            \"language\": dataTablesLanguage,
            dom: dataTablesTemplate,
            serverSide: true,
            stateSave: true,
            stateDuration: 0,
            responsive: true,
            stateLoadCallback: dataTableStateLoadCallback,
            stateSaveCallback: dataTableStateSaveCallback,
            filter: false,
            searchDelay: 3000,
            \"order\": [[ 0, \"asc\"]],
            ajax: {
                \"url\": \"";
        // line 84
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.rss.search", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 84)]), "html", null, true);
        echo "\",
                \"data\": function(d) {
                    \$.extend(d, \$(\"#datasets\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                }
            },
            \"columns\": [
                { \"data\": \"id\" },
                { \"data\": \"title\" },
                { \"data\": \"author\" },
                {
                    \"orderable\": false,
                    \"data\": function (data, type, row, meta) {
                        if (type !== \"display\")
                            return \"\";

                        var url = window.location.origin + \"";
        // line 99
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.rss.feed", ["psk" => ":psk"]), "html", null, true);
        echo "\".replace(':psk', data.psk);

                        return \"<a href=\\\"\" + url + \"\\\" target=\\\"_blank\\\">\" + url + \"</a>\";
                    }
                },
                {
                    \"orderable\": false,
                    responsivePriority: 1,
                    \"data\": dataTableButtonsColumn
                }
            ]
        });

        table.on('draw', dataTableDraw);
        table.on('processing.dt', dataTableProcessing);
        dataTableAddButtons(table, \$('#datasets_wrapper').find('.dataTables_buttons'));

        /**
         * Configure the Query Building on DataSetRss Add/Edit forms.
         * @param dialog
         */
        function configureQueryBuilder(dialog) {
            // Order Clause
            var orderClauseFields = \$(\"#orderClause\");

            if (orderClauseFields.length === 0)
                return;

            var orderClauseTemplate = Handlebars.compile(\$(\"#dataSetViewOrderClauseTemplate\").html());
            var ascTitle = \"";
        // line 128
        echo __("Ascending");
        echo "\";
            var descTitle = \"";
        // line 129
        echo __("Descending");
        echo "\";

            if (dialog.data().extra.orderClauses.length === 0) {
                // Add a template row
                var context = {columns: dialog.data().extra.columns, title: \"1\", orderClause: \"\", orderClauseAsc: \"\", orderClauseDesc: \"\", buttonGlyph: \"fa-plus\", ascTitle: ascTitle, descTitle: descTitle};
                orderClauseFields.append(orderClauseTemplate(context));
            } else {
                // For each of the existing codes, create form components
                var i = 0;
                \$.each(dialog.data().extra.orderClauses, function (index, field) {
                    i++;

                    var direction = (field.orderClauseDirection === \"ASC\");

                    var context = {columns: dialog.data().extra.columns, title: i, orderClause: field.orderClause, orderClauseAsc: direction, orderClauseDesc: !direction, buttonGlyph: ((i == 1) ? \"fa-plus\" : \"fa-minus\"), ascTitle: ascTitle, descTitle: descTitle};

                    orderClauseFields.append(orderClauseTemplate(context));
                });
            }

            // Nabble the resulting buttons
            orderClauseFields.on(\"click\", \"button\", function (e) {
                e.preventDefault();

                // find the gylph
                if (\$(this).find(\"i\").hasClass(\"fa-plus\")) {
                    var context = {columns: dialog.data().extra.columns, title: orderClauseFields.find('.form-group').length + 1, orderClause: \"\", orderClauseAsc: \"\", orderClauseDesc: \"\", buttonGlyph: \"fa-minus\", ascTitle: ascTitle, descTitle: descTitle};
                    orderClauseFields.append(orderClauseTemplate(context));
                } else {
                    // Remove this row
                    \$(this).closest(\".form-group\").remove();
                }
            });

            //
            // Filter Clause
            //
            var filterClauseFields = \$(\"#filterClause\");
            var filterClauseTemplate = Handlebars.compile(\$(\"#dataSetViewFilterClauseTemplate\").html());
            var filterOptions = [
                {
                    id: \"starts-with\",
                    value: \"";
        // line 171
        echo __("starts with");
        echo "\"
                },{
                    id: \"ends-with\",
                    value: \"";
        // line 174
        echo __("ends with");
        echo "\"
                },{
                    id: \"contains\",
                    value: \"";
        // line 177
        echo __("contains");
        echo "\"
                },{
                    id: \"equals\",
                    value: \"";
        // line 180
        echo __("equals");
        echo "\"
                },{
                    id: \"not-starts-with\",
                    value: \"";
        // line 183
        echo __("does not start with");
        echo "\"
                },{
                    id: \"not-ends-with\",
                    value: \"";
        // line 186
        echo __("does not end with");
        echo "\"
                },{
                    id: \"not-contains\",
                    value: \"";
        // line 189
        echo __("does not contain");
        echo "\"
                },{
                    id: \"not-equals\",
                    value: \"";
        // line 192
        echo __("does not equal");
        echo "\"
                },{
                    id: \"greater-than\",
                    value: \"";
        // line 195
        echo __("greater than");
        echo "\"
                },{
                    id: \"less-than\",
                    value: \"";
        // line 198
        echo __("less than");
        echo "\"
                },{
                    id: \"is-empty\",
                    value: \"";
        // line 201
        echo __("is empty");
        echo "\"
                },{
                    id: \"is-not-empty\",
                    value: \"";
        // line 204
        echo __("is not empty");
        echo "\"
                }
            ];
            var filterOperatorOptions = [
                {
                    id: \"OR\",
                    value: \"";
        // line 210
        echo __("Or");
        echo "\"
                },{
                    id: \"AND\",
                    value: \"";
        // line 213
        echo __("And");
        echo "\"
                }
            ];

            if (dialog.data().extra.filterClauses.length == 0) {
                // Add a template row
                context = {
                    columns: dialog.data().extra.columns,
                    filterOptions: filterOptions,
                    filterOperatorOptions: filterOperatorOptions,
                    title: \"1\",
                    filterClause: \"\",
                    filterClauseOperator: \"AND\",
                    filterClauseCriteria: \"\",
                    filterClauseValue: \"\",
                    buttonGlyph: \"fa-plus\"
                };
                filterClauseFields.append(filterClauseTemplate(context));
            } else {
                // For each of the existing codes, create form components
                var j = 0;
                \$.each(dialog.data().extra.filterClauses, function (index, field) {
                    j++;

                    var context = {
                        columns: dialog.data().extra.columns,
                        filterOptions: filterOptions,
                        filterOperatorOptions: filterOperatorOptions,
                        title: j,
                        filterClause: field.filterClause,
                        filterClauseOperator: field.filterClauseOperator,
                        filterClauseCriteria: field.filterClauseCriteria,
                        filterClauseValue: field.filterClauseValue,
                        buttonGlyph: ((j == 1) ? \"fa-plus\" : \"fa-minus\")
                    };

                    filterClauseFields.append(filterClauseTemplate(context));
                });
            }

            // Nabble the resulting buttons
            filterClauseFields.on(\"click\", \"button\", function (e) {
                e.preventDefault();

                // find the gylph
                if (\$(this).find(\"i\").hasClass(\"fa-plus\")) {
                    var context = {
                        columns: dialog.data().extra.columns,
                        filterOptions: filterOptions,
                        filterOperatorOptions: filterOperatorOptions,
                        title: filterClauseFields.find('.form-group').length + 1,
                        filterClause: \"\",
                        filterClauseOperator: \"AND\",
                        filterClauseCriteria: \"\",
                        filterClauseValue: \"\",
                        buttonGlyph: \"fa-minus\"
                    };
                    filterClauseFields.append(filterClauseTemplate(context));
                } else {
                    // Remove this row
                    \$(this).closest(\".form-group\").remove();
                }
            });
        }

        // Equals helper for the templates below
        Handlebars.registerHelper('eq', function(v1, v2, opts) {
            if (v1 === v2) {
                return opts.fn(this);
            } else {
                return opts.inverse(this);
            }
        });
    </script>

    ";
        // line 354
        echo "
        <script type=\"text/x-handlebars-template\" id=\"dataSetViewOrderClauseTemplate\">
            <div class=\"form-group row\">
                <label class=\"col-sm-1 control-label\" for=\"orderClause[]\">{{ title }}</label>
                <div class=\"col-sm-7\">
                    <select class=\"form-control\" name=\"orderClause[]\">
                        <option value=\"\"></option>
                        {{#each columns}}
                        <option value=\"{{ heading }}\" {{#eq heading ../orderClause}}selected{{/eq}}>{{ heading }}</option>
                        {{/each}}
                    </select>
                </div>
                <div class=\"col-sm-3\">
                    <label for=\"orderClauseDirection[]\">
                        <select class=\"form-control\" name=\"orderClauseDirection[]\">
                            <option value=\"ASC\" {{#if orderClauseAsc}}selected{{/if}}>{{ ascTitle }}</option>
                            <option value=\"DESC\" {{#if orderClauseDesc}}selected{{/if}}>{{ descTitle }}</option>
                        </select>
                    </label>
                </div>
                <div class=\"col-sm-1\">
                    <button class=\"btn btn-white\"><i class=\"fa {{ buttonGlyph }}\"></i></button>
                </div>
            </div>
        </script>

        <script type=\"text/x-handlebars-template\" id=\"dataSetViewFilterClauseTemplate\">
            <div class=\"form-group row\">
                <label class=\"col-sm-1 control-label\" for=\"filterClause[]\">{{ title }}</label>
                <div class=\"col-sm-2\">
                    <label for=\"filterClauseOperator[]\" {{#eq title \"1\"}}class=\"d-none\"{{/eq}}>
                    <select class=\"form-control\" name=\"filterClauseOperator[]\">
                        {{#each filterOperatorOptions}}
                        <option value=\"{{ id }}\" {{#eq id ../filterClauseOperator}}selected{{/eq}}>{{ value }}</option>
                        {{/each}}
                    </select>
                    </label>
                </div>
                <div class=\"col-sm-3\">
                    <select class=\"form-control\" name=\"filterClause[]\">
                        <option value=\"\"></option>
                        {{#each columns}}
                        <option value=\"{{ heading }}\" {{#eq heading ../filterClause}}selected{{/eq}}>{{ heading }}</option>
                        {{/each}}
                    </select>
                </div>
                <div class=\"col-sm-3\">
                    <label for=\"filterClauseCriteria[]\">
                        <select class=\"form-control\" name=\"filterClauseCriteria[]\">
                            {{#each filterOptions}}
                            <option value=\"{{ id }}\" {{#eq id ../filterClauseCriteria}}selected{{/eq}}>{{ value }}</option>
                            {{/each}}
                        </select>
                    </label>
                </div>
                <div class=\"col-sm-2\">
                    <label for=\"filterClauseValue[]\">
                        <input class=\"form-control\" name=\"filterClauseValue[]\" type=\"text\" value=\"{{ filterClauseValue }}\" />
                    </label>
                </div>
                <div class=\"col-sm-1\">
                    <button class=\"btn btn-white\"><i class=\"fa {{ buttonGlyph }}\"></i></button>
                </div>
            </div>
        </script>

    ";
        echo "
";
    }

    public function getTemplateName()
    {
        return "dataset-rss-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  419 => 354,  341 => 213,  335 => 210,  326 => 204,  320 => 201,  314 => 198,  308 => 195,  302 => 192,  296 => 189,  290 => 186,  284 => 183,  278 => 180,  272 => 177,  266 => 174,  260 => 171,  215 => 129,  211 => 128,  179 => 99,  161 => 84,  145 => 70,  141 => 69,  124 => 55,  120 => 54,  116 => 53,  112 => 52,  97 => 40,  92 => 38,  89 => 37,  84 => 36,  80 => 35,  69 => 31,  66 => 30,  62 => 29,  54 => 27,  49 => 23,  47 => 25,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-rss-page.twig", "/home/mgatv524/public_html/mctv/views/dataset-rss-page.twig");
    }
}
