<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-form-edit.twig */
class __TwigTemplate_616d649b10771f7cfff47f4c0bca4a2d964b954471e887e22ee78c776cef9309 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "dataset-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "dataset-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit DataSet");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#dataSetEditForm\").submit()    
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "dataSetFormOpen";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item tabForRemoteDataSet\"><a class=\"nav-link\" href=\"#gateway\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Remote");
        echo "</span></a></li>
                <li class=\"nav-item tabForRemoteDataSet\"><a class=\"nav-link\" href=\"#auth\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Authentication");
        echo "</span></a></li>
                <li class=\"nav-item tabForRemoteDataSet\"><a class=\"nav-link\" href=\"#data\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Data");
        echo "</span></a></li>
                <li class=\"nav-item tabForRemoteDataSet\"><a class=\"nav-link\" href=\"#params\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 47
        echo __("Advanced");
        echo "</span></a></li>
            </ul>
            <form id=\"dataSetEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 49
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 49)]), "html", null, true);
        echo "\">
                <input type=\"hidden\" name=\"testDataSetId\" value=\"";
        // line 50
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 50), "html", null, true);
        echo "\"/>
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">

                        ";
        // line 54
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 54)) {
            // line 55
            echo "                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\">";
            // line 56
            echo __("Current Folder");
            echo "</label>
                            <div class=\"col-sm-10\" style=\"padding-top: 7px\">
                                <span id=\"originalFormFolder\"></span>
                            </div>
                        </div>

                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\">";
            // line 63
            echo __("Move to Selected Folder:");
            echo "</label>
                            <div class=\"col-sm-10\">
                                <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 65
            echo __("Select Folder");
            echo "</button>
                                <span id=\"selectedFormFolder\"></span>
                            </div>
                        </div>
                        ";
            // line 69
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId", twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "folderId", [], "any", false, false, false, 69)], 69, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 71
        echo "
                        ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A name for this DataSet");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dataSet", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSet", [], "any", false, false, false, 74), ($context["helpText"] ?? null), "", "required"], 74, $context, $this->getSourceContext());
        echo "

                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional description");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["description", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "description", [], "any", false, false, false, 78), ($context["helpText"] ?? null)], 78, $context, $this->getSourceContext());
        echo "

                        ";
        // line 80
        ob_start(function () { return ''; });
        echo __("Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A code which can be used to lookup this DataSet - usually for an API application");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["code", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "code", [], "any", false, false, false, 82), ($context["helpText"] ?? null)], 82, $context, $this->getSourceContext());
        echo "

                        ";
        // line 84
        ob_start(function () { return ''; });
        echo __("Remote?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Is this DataSet connected to a remote data source?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isRemote", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "isRemote", [], "any", false, false, false, 86), ($context["helpText"] ?? null)], 86, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"gateway\">
                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Method");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("What type of request needs to be made to get the remote data?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("GET");
        $context["request_get"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("POST");
        $context["request_post"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "GET", "type" =>         // line 94
($context["request_get"] ?? null)], 1 => ["typeid" => "POST", "type" =>         // line 95
($context["request_post"] ?? null)]];
        // line 97
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["method", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "method", [], "any", false, false, false, 97), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 97, $context, $this->getSourceContext());
        echo "

                        ";
        // line 99
        ob_start(function () { return ''; });
        echo __("URI");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("URL to the Remote DataSet for GET and POST.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["uri", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "uri", [], "any", false, false, false, 101), ($context["helpText"] ?? null), "", "required"], 101, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row\">
                            <div class=\"col-sm-12\">
                                <div class=\"help-block\">
                                    <strong>";
        // line 106
        echo __("Replacements");
        echo "</strong><br>
                                    ";
        // line 107
        echo __("Request date: {{DATE}}");
        echo "<br>
                                    ";
        // line 108
        echo __("Request time: {{TIME}}");
        echo "<br>
                                    ";
        // line 109
        echo __("Dependant fields: {{COL.NAME}} where NAME is a FieldName from the dependant DataSet");
        echo "<br>
                                </div>
                                <div class=\"help-block\">
                                    ";
        // line 112
        echo __("Data to add to this request. This should be URL encoded, e.g. paramA=1&amp;paramB=2.");
        // line 113
        echo "                                </div>
                                <textarea class=\"form-control\" name=\"postData\" id=\"postData\" rows=\"10\">";
        // line 114
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "postData", [], "any", false, false, false, 114), "html", null, true);
        echo "</textarea>
                            </div>
                        </div>
                    </div>

                    <div class=\"tab-pane\" id=\"auth\">
                        ";
        // line 120
        ob_start(function () { return ''; });
        echo __("Authentication");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the authentication requirements for the remote data source. These will be added to the request.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["auth_none"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Basic");
        $context["auth_basic"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Digest");
        $context["auth_digest"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("NTLM");
        $context["auth_ntlm"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Bearer");
        $context["auth_bearer"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 127
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "none", "type" =>         // line 128
($context["auth_none"] ?? null)], 1 => ["typeid" => "basic", "type" =>         // line 129
($context["auth_basic"] ?? null)], 2 => ["typeid" => "digest", "type" =>         // line 130
($context["auth_digest"] ?? null)], 3 => ["typeid" => "ntlm", "type" =>         // line 131
($context["auth_ntlm"] ?? null)], 4 => ["typeid" => "bearer", "type" =>         // line 132
($context["auth_bearer"] ?? null)]];
        // line 134
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["authentication", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "authentication", [], "any", false, false, false, 134), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 134, $context, $this->getSourceContext());
        echo "

                        ";
        // line 136
        ob_start(function () { return ''; });
        echo __("Username");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the authentication Username");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["username", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "username", [], "any", false, false, false, 138), ($context["helpText"] ?? null), "auth-field-username", ""], 138, $context, $this->getSourceContext());
        echo "

                        ";
        // line 140
        ob_start(function () { return ''; });
        echo __("Password");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Corresponding Password");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["password", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "password", [], "any", false, false, false, 142), ($context["helpText"] ?? null), "auth-field-password", ""], 142, $context, $this->getSourceContext());
        echo "

                        ";
        // line 144
        ob_start(function () { return ''; });
        echo __("Custom Headers");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 145
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Comma separated string of custom HTTP headers in headerName:headerValue format");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 146
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["customHeaders", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "customHeaders", [], "any", false, false, false, 146), ($context["helpText"] ?? null)], 146, $context, $this->getSourceContext());
        echo "

                        ";
        // line 148
        ob_start(function () { return ''; });
        echo __("User Agent");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 149
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Optionally set specific User Agent for this request, provide only the value, relevant header will be added automatically");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 150
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["userAgent", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "userAgent", [], "any", false, false, false, 150), ($context["helpText"] ?? null)], 150, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"data\">
                        ";
        // line 154
        ob_start(function () { return ''; });
        echo __("Source");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select source type of the provided remote Dataset URL");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("JSON");
        $context["json"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 157
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("CSV");
        $context["csv"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 158
        echo "                        ";
        $context["options"] = [0 => ["sourceId" => 1, "source" =>         // line 159
($context["json"] ?? null)], 1 => ["sourceId" => 2, "source" =>         // line 160
($context["csv"] ?? null)]];
        // line 162
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["sourceId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "sourceId", [], "any", false, false, false, 162), ($context["options"] ?? null), "sourceId", "source", ($context["helpText"] ?? null)], 162, $context, $this->getSourceContext());
        echo "

                        ";
        // line 164
        ob_start(function () { return ''; });
        echo __("Data root");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 165
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the element in your remote data which we should use as the starting point when we match the remote Columns. This should be an array or an object. You can use the test button below to see the structure that is returned.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 166
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dataRoot", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataRoot", [], "any", false, false, false, 166), ($context["helpText"] ?? null), "json-source-field", ""], 166, $context, $this->getSourceContext());
        echo "

                        ";
        // line 168
        ob_start(function () { return ''; });
        echo __("Ignore first row?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 169
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("For CSV source, should the first row be ignored?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["ignoreFirstRow", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "ignoreFirstRow", [], "any", false, false, false, 170), ($context["helpText"] ?? null), "csv-source-field"], 170, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row\">
                            <div class=\"offset-sm-2 col-sm-10\">
                                <a class=\"btn btn-white\" id=\"dataSetRemoteTestButton\" href=\"#\">
                                    ";
        // line 175
        echo __("Test data URL");
        // line 176
        echo "                                </a>
                            </div>
                        </div>

                        ";
        // line 180
        ob_start(function () { return ''; });
        echo __("Aggregation");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 181
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Aggregate received data by the given method");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 182
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["summ_none"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 183
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Summarize");
        $context["summ_sum"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 184
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Count");
        $context["summ_count"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 185
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "none", "type" =>         // line 186
($context["summ_none"] ?? null)], 1 => ["typeid" => "sum", "type" =>         // line 187
($context["summ_sum"] ?? null)], 2 => ["typeid" => "count", "type" =>         // line 188
($context["summ_count"] ?? null)]];
        // line 190
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["summarize", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "summarize", [], "any", false, false, false, 190), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null), "json-source-field"], 190, $context, $this->getSourceContext());
        echo "

                        <div class=\"form-group row json-source-field\">
                            <label class=\"col-sm-2 control-label\" for=\"summarizeField\">";
        // line 193
        echo __("By Field");
        echo "</label>
                            <div class=\"col-sm-10\">
                                <input class=\"form-control\" type=\"text\" name=\"summarizeField\" id=\"summarizeField\" value=\"";
        // line 195
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "summarizeField", [], "any", false, false, false, 195), "html", null, true);
        echo "\"/>
                                <div class=\"help-block\">
                                    ";
        // line 197
        echo __("Using JSON syntax enter the path below the Data root by which the above aggregation should be applied.");
        echo "<br>
                                    ";
        // line 198
        echo __("Summarize: Values in this field will be summarized and stored in one column.");
        echo "<br>
                                    ";
        // line 199
        echo __("Count: All individual values in this field will be counted and stored in one Column for each value");
        echo "<br>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class=\"tab-pane\" id=\"params\">
                        ";
        // line 206
        ob_start(function () { return ''; });
        echo __("Refresh");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 207
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("How often should this remote data be fetched and imported?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 208
        echo "
                        ";
        // line 209
        ob_start(function () { return ''; });
        echo __("Constantly");
        $context["refresh_everytime"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 210
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Hourly");
        $context["refresh_hour"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 211
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Daily");
        $context["refresh_day"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 212
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Weekly");
        $context["refresh_week"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 213
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Every two Weeks");
        $context["refresh_two_week"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 214
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monthly");
        $context["refresh_month"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 215
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Quaterly");
        $context["refresh_quater"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 216
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yearly");
        $context["refresh_year"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 217
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "0", "type" =>         // line 218
($context["refresh_everytime"] ?? null)], 1 => ["typeid" => "3600", "type" =>         // line 219
($context["refresh_hour"] ?? null)], 2 => ["typeid" => "86400", "type" =>         // line 220
($context["refresh_day"] ?? null)], 3 => ["typeid" => "604800", "type" =>         // line 221
($context["refresh_week"] ?? null)], 4 => ["typeid" => "1209600", "type" =>         // line 222
($context["refresh_two_week"] ?? null)], 5 => ["typeid" => "2419200", "type" =>         // line 223
($context["refresh_month"] ?? null)], 6 => ["typeid" => "7257600", "type" =>         // line 224
($context["refresh_quater"] ?? null)], 7 => ["typeid" => "29030400", "type" =>         // line 225
($context["refresh_year"] ?? null)]];
        // line 227
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["refreshRate", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "refreshRate", [], "any", false, false, false, 227), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 227, $context, $this->getSourceContext());
        echo "

                        ";
        // line 229
        ob_start(function () { return ''; });
        echo __("Truncate DataSet");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 230
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select when you would like the Data to be truncated out of this DataSet. The criteria is assessed when synchronisation occurs and is truncated before adding new data.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 231
        echo "
                        ";
        // line 232
        ob_start(function () { return ''; });
        echo __("Never");
        $context["truncate_never"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 233
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Always");
        $context["truncate_everytime"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 234
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Hourly");
        $context["truncate_hour"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 235
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Daily");
        $context["truncate_day"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 236
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Weekly");
        $context["truncate_week"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 237
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Every two Weeks");
        $context["truncate_two_week"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 238
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Monthly");
        $context["truncate_month"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 239
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Quaterly");
        $context["truncate_quater"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 240
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Yearly");
        $context["truncate_year"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 241
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Every second Year");
        $context["truncate_two_year"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 242
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "0", "type" =>         // line 243
($context["truncate_never"] ?? null)], 1 => ["typeid" => "1", "type" =>         // line 244
($context["truncate_everytime"] ?? null)], 2 => ["typeid" => "3600", "type" =>         // line 245
($context["truncate_hour"] ?? null)], 3 => ["typeid" => "86400", "type" =>         // line 246
($context["truncate_day"] ?? null)], 4 => ["typeid" => "604800", "type" =>         // line 247
($context["truncate_week"] ?? null)], 5 => ["typeid" => "1209600", "type" =>         // line 248
($context["truncate_two_week"] ?? null)], 6 => ["typeid" => "2419200", "type" =>         // line 249
($context["truncate_month"] ?? null)], 7 => ["typeid" => "7257600", "type" =>         // line 250
($context["truncate_quater"] ?? null)], 8 => ["typeid" => "29030400", "type" =>         // line 251
($context["truncate_year"] ?? null)], 9 => ["typeid" => "58060800", "type" =>         // line 252
($context["truncate_two_year"] ?? null)]];
        // line 254
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["clearRate", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "clearRate", [], "any", false, false, false, 254), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 254, $context, $this->getSourceContext());
        echo "

                        ";
        // line 256
        ob_start(function () { return ''; });
        echo __("Depends on DataSet");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 257
        echo "                        ";
        $context["dataSets"] = twig_array_merge([0 => ["dataSetId" => null, "dataSet" => ""]], ($context["dataSets"] ?? null));
        // line 258
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The DataSet you select here will be processed in advance and have its values available for subsitution in the data to add to this request on the Remote tab.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 259
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["runsAfter", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "runsAfter", [], "any", false, false, false, 259), ($context["dataSets"] ?? null), "dataSetId", "dataSet", ($context["helpText"] ?? null)], 259, $context, $this->getSourceContext());
        echo "

                        ";
        // line 261
        ob_start(function () { return ''; });
        echo __("Row Limit");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 262
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Optionally provide a row limit for this DataSet. When left empty the DataSet row limit from CMS Settings will be used.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 263
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["rowLimit", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "rowLimit", [], "any", false, false, false, 263), ($context["helpText"] ?? null)], 263, $context, $this->getSourceContext());
        echo "

                        ";
        // line 265
        ob_start(function () { return ''; });
        echo __("Limit Policy");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 266
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("What should happen when this Dataset reaches the row limit?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 267
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Stop Syncing");
        $context["stop"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 268
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("First In First Out");
        $context["fifo"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 269
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Truncate");
        $context["truncate"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 270
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "stop", "type" =>         // line 271
($context["stop"] ?? null)], 1 => ["typeid" => "fifo", "type" =>         // line 272
($context["fifo"] ?? null)], 2 => ["typeid" => "truncate", "type" =>         // line 273
($context["truncate"] ?? null)]];
        // line 275
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["limitPolicy", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "limitPolicy", [], "any", false, false, false, 275), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 275, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
            <div id=\"datasetRemoteTestRequestResult\" class=\"col-sm-12\"></div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "dataset-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  763 => 275,  761 => 273,  760 => 272,  759 => 271,  757 => 270,  752 => 269,  747 => 268,  742 => 267,  737 => 266,  733 => 265,  727 => 263,  722 => 262,  718 => 261,  712 => 259,  707 => 258,  704 => 257,  700 => 256,  694 => 254,  692 => 252,  691 => 251,  690 => 250,  689 => 249,  688 => 248,  687 => 247,  686 => 246,  685 => 245,  684 => 244,  683 => 243,  681 => 242,  676 => 241,  671 => 240,  666 => 239,  661 => 238,  656 => 237,  651 => 236,  646 => 235,  641 => 234,  636 => 233,  632 => 232,  629 => 231,  624 => 230,  620 => 229,  614 => 227,  612 => 225,  611 => 224,  610 => 223,  609 => 222,  608 => 221,  607 => 220,  606 => 219,  605 => 218,  603 => 217,  598 => 216,  593 => 215,  588 => 214,  583 => 213,  578 => 212,  573 => 211,  568 => 210,  564 => 209,  561 => 208,  556 => 207,  552 => 206,  542 => 199,  538 => 198,  534 => 197,  529 => 195,  524 => 193,  517 => 190,  515 => 188,  514 => 187,  513 => 186,  511 => 185,  506 => 184,  501 => 183,  496 => 182,  491 => 181,  487 => 180,  481 => 176,  479 => 175,  470 => 170,  465 => 169,  461 => 168,  455 => 166,  450 => 165,  446 => 164,  440 => 162,  438 => 160,  437 => 159,  435 => 158,  430 => 157,  425 => 156,  420 => 155,  416 => 154,  408 => 150,  403 => 149,  399 => 148,  393 => 146,  388 => 145,  384 => 144,  378 => 142,  373 => 141,  369 => 140,  363 => 138,  358 => 137,  354 => 136,  348 => 134,  346 => 132,  345 => 131,  344 => 130,  343 => 129,  342 => 128,  340 => 127,  335 => 126,  330 => 125,  325 => 124,  320 => 123,  315 => 122,  310 => 121,  306 => 120,  297 => 114,  294 => 113,  292 => 112,  286 => 109,  282 => 108,  278 => 107,  274 => 106,  265 => 101,  260 => 100,  256 => 99,  250 => 97,  248 => 95,  247 => 94,  245 => 93,  240 => 92,  235 => 91,  230 => 90,  226 => 89,  219 => 86,  214 => 85,  210 => 84,  204 => 82,  199 => 81,  195 => 80,  189 => 78,  184 => 77,  180 => 76,  174 => 74,  169 => 73,  165 => 72,  162 => 71,  157 => 69,  150 => 65,  145 => 63,  135 => 56,  132 => 55,  130 => 54,  123 => 50,  119 => 49,  114 => 47,  110 => 46,  106 => 45,  102 => 44,  98 => 43,  93 => 40,  89 => 39,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-form-edit.twig", "/home/mgatv524/public_html/mctv/views/dataset-form-edit.twig");
    }
}
