<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-force-change-password-page.twig */
class __TwigTemplate_65b5f82653790e322962e9d67ab34b30cb089d115b04fca4d630940e7ae767e8 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "user-force-change-password-page.twig", 24)->unwrap();
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "user-force-change-password-page.twig", 25)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "user-force-change-password-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 29
        echo __("Password change required");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"row\">
                <div class=\"col-md-12\">
                    <form id=\"userChangePasswordForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 33
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.force.change.password", ["id" => twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "userId", [], "any", false, false, false, 33)]), "html", null, true);
        echo "\">
                        ";
        // line 34
        ob_start(function () { return ''; });
        echo __("User Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 35
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_disabled", ["userName", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userName", [], "any", false, false, false, 35)], 35, $context, $this->getSourceContext());
        echo "

                        ";
        // line 37
        ob_start(function () { return ''; });
        echo __("New Password");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 38
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter your new password");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 39
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_password", ["newPassword", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required"], 39, $context, $this->getSourceContext());
        echo "

                        ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Retype New Password");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please repeat the new Password.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_password", ["retypeNewPassword", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required"], 43, $context, $this->getSourceContext());
        echo "
                    </form>
                </div>
            </div>
            <div class=\"row\">
                <div class=\"col-md-12\">
                    <button class=\"XiboFormButton btn btn-save btn-block btn-success\" id=\"changePassword\" title=\"";
        // line 49
        echo __("Save");
        echo "\">";
        echo __("Save");
        echo "</button>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 56
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 57
        echo "<script type=\"text/javascript\">

    \$(\"#changePassword\").click(function () {
        XiboFormSubmit(\$(\"#userChangePasswordForm\"), null, function(xhr, form) {
            if (xhr.success) {
                \$(\"#changePassword\").addClass(\"disabled\");
                window.location.href = \"";
        // line 63
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("home"), "html", null, true);
        echo "\";
            }
        });
    });

</script>
";
    }

    public function getTemplateName()
    {
        return "user-force-change-password-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  138 => 63,  130 => 57,  126 => 56,  114 => 49,  104 => 43,  99 => 42,  95 => 41,  89 => 39,  84 => 38,  80 => 37,  74 => 35,  70 => 34,  66 => 33,  59 => 29,  56 => 28,  52 => 27,  47 => 23,  45 => 25,  43 => 24,  36 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "user-force-change-password-page.twig", "/home/mgatv524/public_html/mctv/views/user-force-change-password-page.twig");
    }
}
