<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displayprofile-form-edit-android.twig */
class __TwigTemplate_6b9d378ec2e5e1c79bd4640bfd2c57e03a021dab53637075f95772259f63c417 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 23
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "displayprofile-form-edit-android.twig", 23)->unwrap();
        // line 24
        echo "
";
        // line 25
        $this->displayBlock('formHtml', $context, $blocks);
    }

    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 26
        echo "<div class=\"row\">
    <div class=\"col-md-12\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\">";
        // line 29
        echo __("General");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#network\" role=\"tab\" data-toggle=\"tab\">";
        // line 30
        echo __("Network");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#location\" role=\"tab\" data-toggle=\"tab\">";
        // line 31
        echo __("Location");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#troubleshooting\" role=\"tab\" data-toggle=\"tab\">";
        // line 32
        echo __("Troubleshooting");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#advanced\" role=\"tab\" data-toggle=\"tab\">";
        // line 33
        echo __("Advanced");
        echo "</a></li>
            ";
        // line 34
        if ((1 === twig_compare(twig_length_filter($this->env, ($context["commands"] ?? null)), 0))) {
            // line 35
            echo "                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#commands\" role=\"tab\" data-toggle=\"tab\">";
            echo __("Commands");
            echo "</a></li>
            ";
        }
        // line 37
        echo "        </ul>
        <form id=\"displayProfileForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 38
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayProfile.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "displayProfileId", [], "any", false, false, false, 38)]), "html", null, true);
        echo "\">
            <div class=\"tab-content\">
                <div class=\"tab-pane active\" id=\"general\">
                    ";
        // line 41
        echo twig_include($this->env, $context, "displayprofile-form-edit-common-fields.twig");
        echo "

                    ";
        // line 43
        $context["title"] = __("Email Address");
        // line 44
        echo "                    ";
        $context["helpText"] = __("The email address will be used to license this Player. This is the email address you provided when you purchased the licence.");
        // line 45
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_email", ["emailAddress", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "emailAddress"], "method", false, false, false, 45), ($context["helpText"] ?? null)], 45, $context, $this->getSourceContext());
        echo "

                    ";
        // line 47
        $context["title"] = __("Password Protect Settings");
        // line 48
        echo "                    ";
        $context["helpText"] = __("Provide a Password which will be required to access settings");
        // line 49
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["settingsPassword", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "settingsPassword"], "method", false, false, false, 49), ($context["helpText"] ?? null)], 49, $context, $this->getSourceContext());
        echo "

                    ";
        // line 51
        $context["title"] = __("Collect interval");
        // line 52
        echo "                    ";
        $context["helpText"] = __("How often should the Player check for new content.");
        // line 53
        echo "                    ";
        $context["options"] = [0 => ["id" => 60, "value" => __("1 minute")], 1 => ["id" => 300, "value" => __("5 minutes")], 2 => ["id" => 600, "value" => __("10 minutes")], 3 => ["id" => 1800, "value" => __("30 minutes")], 4 => ["id" => 3600, "value" => __("1 hour")], 5 => ["id" => 5400, "value" => __("1 hour 30 minutes")], 6 => ["id" => 7200, "value" => __("2 hours")], 7 => ["id" => 9000, "value" => __("2 hours 30 minutes")], 8 => ["id" => 10800, "value" => __("3 hours")], 9 => ["id" => 12600, "value" => __("3 hours 30 minutes")], 10 => ["id" => 14400, "value" => __("4 hours")], 11 => ["id" => 18000, "value" => __("5 hours")], 12 => ["id" => 21600, "value" => __("6 hours")], 13 => ["id" => 25200, "value" => __("7 hours")], 14 => ["id" => 28800, "value" => __("8 hours")], 15 => ["id" => 32400, "value" => __("9 hours")], 16 => ["id" => 36000, "value" => __("10 hours")], 17 => ["id" => 39600, "value" => __("11 hours")], 18 => ["id" => 43200, "value" => __("12 hours")], 19 => ["id" => 86400, "value" => __("24 hours")]];
        // line 75
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["collectInterval", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "collectInterval"], "method", false, false, false, 75), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 75, $context, $this->getSourceContext());
        echo "

                    ";
        // line 77
        $context["title"] = __("XMR Public Address");
        // line 78
        echo "                    ";
        $context["helpText"] = __("Please enter the public address for XMR.");
        // line 79
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["xmrNetworkAddress", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "xmrNetworkAddress"], "method", false, false, false, 79), ($context["helpText"] ?? null)], 79, $context, $this->getSourceContext());
        echo "

                    ";
        // line 81
        $context["title"] = __("Enable stats reporting?");
        // line 82
        echo "                    ";
        $context["helpText"] = __("Should the application send proof of play stats to the CMS.");
        // line 83
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["statsEnabled", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "statsEnabled"], "method", false, false, false, 83), ($context["helpText"] ?? null)], 83, $context, $this->getSourceContext());
        echo "

                    ";
        // line 85
        $context["title"] = __("Aggregation level");
        // line 86
        echo "                    ";
        $context["helpText"] = __("Set the level of collection for Proof of Play Statistics to be applied to selected Layouts / Media and Widget items.");
        // line 87
        echo "                    ";
        $context["options"] = [0 => ["id" => "Individual", "value" => __("Individual")], 1 => ["id" => "Hourly", "value" => __("Hourly")], 2 => ["id" => "Daily", "value" => __("Daily")]];
        // line 92
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["aggregationLevel", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "aggregationLevel"], "method", false, false, false, 92), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null), "aggregation-level"], 92, $context, $this->getSourceContext());
        echo "

                    ";
        // line 94
        $context["title"] = __("Record geolocation on each Proof of Play?");
        // line 95
        echo "                    ";
        $context["helpText"] = __("If the geolocation of the Display is known, enable to record that location against each proof of play record.");
        // line 96
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isRecordGeoLocationOnProofOfPlay", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "isRecordGeoLocationOnProofOfPlay"], "method", false, false, false, 96), ($context["helpText"] ?? null)], 96, $context, $this->getSourceContext());
        echo "

                    ";
        // line 98
        $context["title"] = __("Player Version");
        // line 99
        echo "                    ";
        $context["helpText"] = __("Set the Player Version to install, making sure that the selected version is suitable for your device");
        // line 100
        echo "                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "300px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playersoftware.search")], 5 => ["name" => "data-search-term", "value" => "playerShowVersion"], 6 => ["name" => "data-id-property", "value" => "mediaId"], 7 => ["name" => "data-text-property", "value" => "playerShowVersion"], 8 => ["name" => "data-filter-options", "value" => "{\"playerType\":\"android\"}"]];
        // line 111
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["versionMediaId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "versionMediaId"], "method", false, false, false, 111), twig_array_merge([0 => ["mediaId" => null, "playerShowVersion" => ""]], ($context["versions"] ?? null)), "mediaId", "playerShowVersion", ($context["helpText"] ?? null), "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 111, $context, $this->getSourceContext());
        echo "
                </div>

                <div class=\"tab-pane\" id=\"network\">

                    ";
        // line 116
        $context["title"] = __("Download Window Start Time");
        // line 117
        echo "                    ";
        $context["helpText"] = __("The start of the time window to connect to the CMS and download updates.");
        // line 118
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_time", ["downloadStartWindow", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "downloadStartWindow"], "method", false, false, false, 118), ($context["helpText"] ?? null), "", "", "", "HH:mm"], 118, $context, $this->getSourceContext());
        echo "

                    ";
        // line 120
        $context["title"] = __("Download Window End Time");
        // line 121
        echo "                    ";
        $context["helpText"] = __("The end of the time window to connect to the CMS and download updates.");
        // line 122
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_time", ["downloadEndWindow", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "downloadEndWindow"], "method", false, false, false, 122), ($context["helpText"] ?? null), "", "", "", "HH:mm"], 122, $context, $this->getSourceContext());
        echo "

                    ";
        // line 124
        $context["title"] = __("Update Window Start Time");
        // line 125
        echo "                    ";
        $context["helpText"] = __("The start of the time window to install application updates.");
        // line 126
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_time", ["updateStartWindow", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "updateStartWindow"], "method", false, false, false, 126), ($context["helpText"] ?? null), "", "", "", "HH:mm"], 126, $context, $this->getSourceContext());
        echo "

                    ";
        // line 128
        $context["title"] = __("Update Window End Time");
        // line 129
        echo "                    ";
        $context["helpText"] = __("The end of the time window to install application updates.");
        // line 130
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_time", ["updateEndWindow", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "updateEndWindow"], "method", false, false, false, 130), ($context["helpText"] ?? null), "", "", "", "HH:mm"], 130, $context, $this->getSourceContext());
        echo "

                    ";
        // line 132
        $context["title"] = __("Force HTTPS?");
        // line 133
        echo "                    ";
        $context["helpText"] = __("Should Displays be forced to use HTTPS connection to the CMS?");
        // line 134
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["forceHttps", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "forceHttps"], "method", false, false, false, 134), ($context["helpText"] ?? null)], 134, $context, $this->getSourceContext());
        echo "

                    ";
        // line 136
        $context["title"] = __("Operating Hours");
        // line 137
        echo "                    ";
        $context["helpText"] = __("Select a day part that should act as operating hours for this display -  email alerts will not be sent outside of operating hours");
        // line 138
        echo "                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "300px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("daypart.search")], 5 => ["name" => "data-search-term", "value" => "name"], 6 => ["name" => "data-id-property", "value" => "dayPartId"], 7 => ["name" => "data-text-property", "value" => "name"], 8 => ["name" => "data-filter-options", "value" => "{\"isAlways\":\"0\", \"isCustom\":\"0\"}"]];
        // line 149
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["dayPartId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "dayPartId"], "method", false, false, false, 149), twig_array_merge([0 => ["dayPartId" => null, "name" => ""]], ($context["dayParts"] ?? null)), "dayPartId", "name", ($context["helpText"] ?? null), "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 149, $context, $this->getSourceContext());
        echo "

                </div>

                <div class=\"tab-pane\" id=\"location\">

                    ";
        // line 155
        $context["title"] = __("Orientation");
        // line 156
        echo "                    ";
        $context["helpText"] = __("Set the orientation of the device (portrait mode will only work if supported by the hardware) Application Restart Required.");
        // line 157
        echo "                    ";
        $context["options"] = [0 => ["id" => 0, "value" => __("Landscape")], 1 => ["id" => 1, "value" => __("Portrait")], 2 => ["id" => 8, "value" => __("Reverse Landscape")], 3 => ["id" => 9, "value" => __("Reverse Portrait")]];
        // line 163
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["orientation", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "orientation"], "method", false, false, false, 163), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 163, $context, $this->getSourceContext());
        echo "

                    ";
        // line 165
        $context["title"] = __("Screen Dimensions");
        // line 166
        echo "                    ";
        $context["helpText"] = __("Set dimensions to be used for the Player window ensuring that they do not exceed the actual screen size. Enter the following values representing the pixel sizings for; Left,Top,Width,Height. This requires a Player Restart to action.");
        // line 167
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["screenDimensions", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "screenDimensions"], "method", false, false, false, 167), ($context["helpText"] ?? null)], 167, $context, $this->getSourceContext());
        echo "

                </div>

                <div class=\"tab-pane\" id=\"troubleshooting\">

                    ";
        // line 173
        $context["title"] = __("Blacklist Videos?");
        // line 174
        echo "                    ";
        $context["helpText"] = __("Should Videos we fail to play be blacklisted and no longer attempted?");
        // line 175
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["blacklistVideo", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "blacklistVideo"], "method", false, false, false, 175), ($context["helpText"] ?? null)], 175, $context, $this->getSourceContext());
        echo "

                    ";
        // line 177
        $context["title"] = __("Store HTML resources on the Internal Storage?");
        // line 178
        echo "                    ";
        $context["helpText"] = __("Store all HTML resources on the Internal Storage? Should be selected if the device cannot display text, ticker, dataset media.");
        // line 179
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["storeHtmlOnInternal", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "storeHtmlOnInternal"], "method", false, false, false, 179), ($context["helpText"] ?? null)], 179, $context, $this->getSourceContext());
        echo "

                    ";
        // line 181
        $context["title"] = __("Use a SurfaceView for Video Rendering?");
        // line 182
        echo "                    ";
        $context["helpText"] = __("If the device is having trouble playing video, it may be useful to switch to a Surface View for Video Rendering.");
        // line 183
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useSurfaceVideoView", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "useSurfaceVideoView"], "method", false, false, false, 183), ($context["helpText"] ?? null)], 183, $context, $this->getSourceContext());
        echo "

                    ";
        // line 185
        $context["title"] = __("Log Level");
        // line 186
        echo "                    ";
        $context["helpText"] = __("The logging level that should be recorded by the Player.");
        // line 187
        echo "                    ";
        $context["options"] = [0 => ["id" => "audit", "value" => __("Audit")], 1 => ["id" => "error", "value" => __("Error")], 2 => ["id" => "off", "value" => __("Off")]];
        // line 192
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["logLevel", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "logLevel"], "method", false, false, false, 192), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 192, $context, $this->getSourceContext());
        echo "

                </div>

                <div class=\"tab-pane\" id=\"advanced\">

                    ";
        // line 198
        $context["title"] = __("Start during device start up?");
        // line 199
        echo "                    ";
        $context["helpText"] = __("When the device starts and Android finishes loading, should the Player start up and come to the foreground?");
        // line 200
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["startOnBoot", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "startOnBoot"], "method", false, false, false, 200), ($context["helpText"] ?? null)], 200, $context, $this->getSourceContext());
        echo "

                    ";
        // line 202
        $context["title"] = __("Action Bar Mode");
        // line 203
        echo "                    ";
        $context["helpText"] = __("How should the action bar behave?");
        // line 204
        echo "                    ";
        $context["options"] = [0 => ["id" => 0, "value" => __("Hide")], 1 => ["id" => 1, "value" => __("Timed")], 2 => ["id" => 2, "value" => __("Run Intent")]];
        // line 209
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["actionBarMode", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "actionBarMode"], "method", false, false, false, 209), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 209, $context, $this->getSourceContext());
        echo "

                    ";
        // line 211
        $context["title"] = __("Action Bar Display Duration");
        // line 212
        echo "                    ";
        $context["helpText"] = __("How long should the Action Bar be shown for, in seconds?");
        // line 213
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["actionBarDisplayDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "actionBarDisplayDuration"], "method", false, false, false, 213), ($context["helpText"] ?? null)], 213, $context, $this->getSourceContext());
        echo "

                    ";
        // line 215
        $context["title"] = __("Action Bar Intent");
        // line 216
        echo "                    ";
        $context["helpText"] = __("When set to Run Intent, which intent should be run. Format is: Action|ExtraKey,ExtraMsg");
        // line 217
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["actionBarIntent", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "actionBarIntent"], "method", false, false, false, 217), ($context["helpText"] ?? null)], 217, $context, $this->getSourceContext());
        echo "

                    ";
        // line 219
        $context["title"] = __("Automatic Restart");
        // line 220
        echo "                    ";
        $context["helpText"] = __("Automatically Restart the application if we detect it is not visible.");
        // line 221
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["autoRestart", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "autoRestart"], "method", false, false, false, 221), ($context["helpText"] ?? null)], 221, $context, $this->getSourceContext());
        echo "

                    ";
        // line 223
        $context["title"] = __("Start delay for device start up");
        // line 224
        echo "                    ";
        $context["helpText"] = __("The number of seconds to wait before starting the application after the device has started. Minimum 10.");
        // line 225
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["startOnBootDelay", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "startOnBootDelay"], "method", false, false, false, 225), ($context["helpText"] ?? null)], 225, $context, $this->getSourceContext());
        echo "

                    ";
        // line 227
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_CURRENT_LAYOUT_STATUS_ENABLED", 1 => 0], "method", false, false, false, 227), 1))) {
            // line 228
            echo "                        ";
            $context["title"] = __("Notify current layout");
            // line 229
            echo "                        ";
            $context["helpText"] = __("When enabled the Player will send the current layout to the CMS each time it changes. Warning: This is bandwidth intensive and should be disabled unless on a LAN.");
            // line 230
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["sendCurrentLayoutAsStatusUpdate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "sendCurrentLayoutAsStatusUpdate"], "method", false, false, false, 230), ($context["helpText"] ?? null)], 230, $context, $this->getSourceContext());
            echo "
                    ";
        }
        // line 232
        echo "
                    ";
        // line 233
        $context["title"] = __("Expire Modified Layouts?");
        // line 234
        echo "                    ";
        $context["helpText"] = __("Expire Modified Layouts immediately on change. This means a layout can be cut during playback if it receives an update from the CMS");
        // line 235
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["expireModifiedLayouts", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "expireModifiedLayouts"], "method", false, false, false, 235), ($context["helpText"] ?? null)], 235, $context, $this->getSourceContext());
        echo "

                    ";
        // line 237
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_SCREENSHOT_INTERVAL_ENABLED", 1 => 0], "method", false, false, false, 237), 1))) {
            // line 238
            echo "                        ";
            $context["title"] = __("Screen shot interval");
            // line 239
            echo "                        ";
            $context["helpText"] = __("The duration between status screen shots in minutes. 0 to disable. Warning: This is bandwidth intensive.");
            // line 240
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_number", ["screenShotRequestInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotRequestInterval"], "method", false, false, false, 240), ($context["helpText"] ?? null)], 240, $context, $this->getSourceContext());
            echo "
                    ";
        }
        // line 242
        echo "
                    ";
        // line 243
        $context["title"] = __("Action for Screen Shot Intent");
        // line 244
        echo "                    ";
        $context["helpText"] = __("The Intent Action to use for requesting a screen shot. Leave empty to natively create an image from the player screen content.");
        // line 245
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["screenShotIntent", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotIntent"], "method", false, false, false, 245), ($context["helpText"] ?? null)], 245, $context, $this->getSourceContext());
        echo "

                    ";
        // line 247
        $context["title"] = __("Screen Shot Size");
        // line 248
        echo "                    ";
        $context["helpText"] = __("The size of the largest dimension. Empty or 0 means the screen size.");
        // line 249
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["screenShotSize", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotSize"], "method", false, false, false, 249), ($context["helpText"] ?? null)], 249, $context, $this->getSourceContext());
        echo "

                    ";
        // line 251
        $context["title"] = __("WebView Plugin State");
        // line 252
        echo "                    ";
        $context["helpText"] = __("What plugin state should be used when starting a web view.");
        // line 253
        echo "                    ";
        $context["options"] = [0 => ["id" => "OFF", "value" => __("Off")], 1 => ["id" => "DEMAND", "value" => __("On Demand")], 2 => ["id" => "ON", "value" => __("On")]];
        // line 258
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["webViewPluginState", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "webViewPluginState"], "method", false, false, false, 258), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 258, $context, $this->getSourceContext());
        echo "

                    ";
        // line 260
        $context["title"] = __("Hardware Accelerate Web Content");
        // line 261
        echo "                    ";
        $context["helpText"] = __("Mode for hardware acceleration of web based content.");
        // line 262
        echo "                    ";
        $context["options"] = [0 => ["id" => "0", "value" => __("Off")], 1 => ["id" => "2", "value" => __("Off when transparent")], 2 => ["id" => "1", "value" => __("On")]];
        // line 267
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["hardwareAccelerateWebViewMode", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "hardwareAccelerateWebViewMode"], "method", false, false, false, 267), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 267, $context, $this->getSourceContext());
        echo "

                    ";
        // line 269
        $context["title"] = __("Use CMS time?");
        // line 270
        echo "                    ";
        $context["helpText"] = __("Set the device time using the CMS. Only available on rooted devices or system signed players.");
        // line 271
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["timeSyncFromCms", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "timeSyncFromCms"], "method", false, false, false, 271), ($context["helpText"] ?? null)], 271, $context, $this->getSourceContext());
        echo "

                    ";
        // line 273
        $context["title"] = __("Enable caching of Web Resources?");
        // line 274
        echo "                    ";
        $context["helpText"] = __("The standard browser cache will be used - we recommend this is switched off unless specifically required. Effects Web Page and Embedded.");
        // line 275
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["webCacheEnabled", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "webCacheEnabled"], "method", false, false, false, 275), ($context["helpText"] ?? null)], 275, $context, $this->getSourceContext());
        echo "

                    ";
        // line 277
        $context["title"] = __("Embedded Web Server Port");
        // line 278
        echo "                    ";
        $context["helpText"] = __("The port number to use for the embedded web server on the Player. Only change this if there is a port conflict reported on the status screen.");
        // line 279
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["serverPort", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "serverPort"], "method", false, false, false, 279), ($context["helpText"] ?? null)], 279, $context, $this->getSourceContext());
        echo "

                    ";
        // line 281
        $context["title"] = __("Embedded Web Server allow WAN?");
        // line 282
        echo "                    ";
        $context["helpText"] = __("Should we allow access to the Player Embedded Web Server from WAN? You may need to adjust the device firewall to allow external traffic");
        // line 283
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["embeddedServerAllowWan", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "embeddedServerAllowWan"], "method", false, false, false, 283), ($context["helpText"] ?? null)], 283, $context, $this->getSourceContext());
        echo "

                    ";
        // line 285
        $context["title"] = __("Load Link Libraries for APK Update");
        // line 286
        echo "                    ";
        $context["helpText"] = __("Should the update command include dynamic link libraries? Only change this if your updates are failing.");
        // line 287
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["installWithLoadedLinkLibraries", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "installWithLoadedLinkLibraries"], "method", false, false, false, 287), ($context["helpText"] ?? null)], 287, $context, $this->getSourceContext());
        echo "

                    ";
        // line 289
        $context["title"] = __("Use Multiple Video Decoders");
        // line 290
        echo "                    ";
        $context["helpText"] = __("Should the Player try to use Multiple Video Decoders when preparing and showing Video content.");
        // line 291
        echo "                    ";
        $context["options"] = [0 => ["id" => "default", "value" => __("Device Default")], 1 => ["id" => "on", "value" => __("On")], 2 => ["id" => "off", "value" => __("Off")]];
        // line 296
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["isUseMultipleVideoDecoders", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "isUseMultipleVideoDecoders"], "method", false, false, false, 296), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 296, $context, $this->getSourceContext());
        echo "

                    ";
        // line 298
        $context["title"] = __("Maximum Region Count");
        // line 299
        echo "                    ";
        $context["helpText"] = __("This setting is a memory limit protection setting which will stop rendering regions beyond the limit set. Leave at 0 for no limit.");
        // line 300
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["maxRegionCount", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "maxRegionCount"], "method", false, false, false, 300), ($context["helpText"] ?? null)], 300, $context, $this->getSourceContext());
        echo "

                    ";
        // line 302
        $context["title"] = __("Video Engine");
        // line 303
        echo "                    ";
        $context["helpText"] = __("Select which video engine should be used to playback video. ExoPlayer is usually better, but if you experience issues you can revert back to Android Media Player. HLS always uses ExoPlayer. Available from v3 R300.");
        // line 304
        echo "                    ";
        $context["options"] = [0 => ["id" => "exoplayer", "value" => __("ExoPlayer")], 1 => ["id" => "mediaplayer", "value" => __("Android Media Player")]];
        // line 308
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["videoEngine", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "videoEngine"], "method", false, false, false, 308), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 308, $context, $this->getSourceContext());
        echo "

                    ";
        // line 310
        $context["title"] = __("Enable touch capabilities on the device?");
        // line 311
        echo "                    ";
        $context["helpText"] = __("If this device will be used as a touch screen check this option. Checking this option will cause a message to appear on the player which needs to be manually dismissed once. If this option is disabled, touching the screen will show the action bar according to the Action Bar Mode option. Available from v3 R300.");
        // line 312
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isTouchEnabled", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "isTouchEnabled"], "method", false, false, false, 312), ($context["helpText"] ?? null)], 312, $context, $this->getSourceContext());
        echo "
                </div>

                ";
        // line 315
        if ((1 === twig_compare(twig_length_filter($this->env, ($context["commands"] ?? null)), 0))) {
            // line 316
            echo "                <div class=\"tab-pane\" id=\"commands\">
                    ";
            // line 317
            $this->loadTemplate("displayprofile-form-edit-command-fields.twig", "displayprofile-form-edit-android.twig", 317)->display($context);
            // line 318
            echo "                </div>
                ";
        }
        // line 320
        echo "            </div>
        </form>
    </div>
</div>
";
    }

    public function getTemplateName()
    {
        return "displayprofile-form-edit-android.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  631 => 320,  627 => 318,  625 => 317,  622 => 316,  620 => 315,  613 => 312,  610 => 311,  608 => 310,  602 => 308,  599 => 304,  596 => 303,  594 => 302,  588 => 300,  585 => 299,  583 => 298,  577 => 296,  574 => 291,  571 => 290,  569 => 289,  563 => 287,  560 => 286,  558 => 285,  552 => 283,  549 => 282,  547 => 281,  541 => 279,  538 => 278,  536 => 277,  530 => 275,  527 => 274,  525 => 273,  519 => 271,  516 => 270,  514 => 269,  508 => 267,  505 => 262,  502 => 261,  500 => 260,  494 => 258,  491 => 253,  488 => 252,  486 => 251,  480 => 249,  477 => 248,  475 => 247,  469 => 245,  466 => 244,  464 => 243,  461 => 242,  455 => 240,  452 => 239,  449 => 238,  447 => 237,  441 => 235,  438 => 234,  436 => 233,  433 => 232,  427 => 230,  424 => 229,  421 => 228,  419 => 227,  413 => 225,  410 => 224,  408 => 223,  402 => 221,  399 => 220,  397 => 219,  391 => 217,  388 => 216,  386 => 215,  380 => 213,  377 => 212,  375 => 211,  369 => 209,  366 => 204,  363 => 203,  361 => 202,  355 => 200,  352 => 199,  350 => 198,  340 => 192,  337 => 187,  334 => 186,  332 => 185,  326 => 183,  323 => 182,  321 => 181,  315 => 179,  312 => 178,  310 => 177,  304 => 175,  301 => 174,  299 => 173,  289 => 167,  286 => 166,  284 => 165,  278 => 163,  275 => 157,  272 => 156,  270 => 155,  260 => 149,  257 => 138,  254 => 137,  252 => 136,  246 => 134,  243 => 133,  241 => 132,  235 => 130,  232 => 129,  230 => 128,  224 => 126,  221 => 125,  219 => 124,  213 => 122,  210 => 121,  208 => 120,  202 => 118,  199 => 117,  197 => 116,  188 => 111,  185 => 100,  182 => 99,  180 => 98,  174 => 96,  171 => 95,  169 => 94,  163 => 92,  160 => 87,  157 => 86,  155 => 85,  149 => 83,  146 => 82,  144 => 81,  138 => 79,  135 => 78,  133 => 77,  127 => 75,  124 => 53,  121 => 52,  119 => 51,  113 => 49,  110 => 48,  108 => 47,  102 => 45,  99 => 44,  97 => 43,  92 => 41,  86 => 38,  83 => 37,  77 => 35,  75 => 34,  71 => 33,  67 => 32,  63 => 31,  59 => 30,  55 => 29,  50 => 26,  43 => 25,  40 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "displayprofile-form-edit-android.twig", "/home/mgatv524/public_html/mctv/views/displayprofile-form-edit-android.twig");
    }
}
