<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displaygroup-form-media.twig */
class __TwigTemplate_a0377209684b55c270532ac87c732a36247ea2e08d7319f86a37e6d5f3a9ecb7 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "displaygroup-form-media.twig", 25)->unwrap();
        // line 26
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "displaygroup-form-media.twig", 26)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "displaygroup-form-media.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 28
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    ";
        echo __("Associate an item from the Library");
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Save");
        echo ", mediaAssignSubmit()
";
    }

    // line 38
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "mediaDisplayGroupFormCallBack";
    }

    // line 40
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 41
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <div id=\"FileAssociationsAssign\" class=\"card p-3 mb-3 bg-light\" data-url=\"";
        // line 43
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.assign.media", ["id" => twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroupId", [], "any", false, false, false, 43)]), "html", null, true);
        echo "\">
                <div>
                    <ul id=\"FileAssociationsSortable\">
                        ";
        // line 46
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["media"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 47
            echo "                        <li data-media-id=\"";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "id", [], "any", false, false, false, 47), "html", null, true);
            echo "\" class=\"btn btn-sm btn-white\">";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "name", [], "any", false, false, false, 47), "html", null, true);
            echo "<span class=\"fa fa-minus\"></span></li>
                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 49
        echo "                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class=\"row\">
        <div class=\"col-md-12\">
            <div class=\"XiboGrid\" id=\"";
        // line 56
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"FilterDiv card-body\">
                    <form onsubmit=\"false\">
                    ";
        // line 59
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["type", "single", "Type", "", twig_array_merge([0 => ["type" => null, "module" => ""]], ($context["modules"] ?? null)), "type", "name"], 59, $context, $this->getSourceContext());
        echo "
                    </form>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"mediaAssignments\" data-url=\"";
        // line 63
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search"), "html", null, true);
        echo "\" class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 66
        echo __("Name");
        echo "</th>
                            <th>";
        // line 67
        echo __("Type");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "displaygroup-form-media.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  152 => 67,  148 => 66,  142 => 63,  135 => 59,  129 => 56,  120 => 49,  109 => 47,  105 => 46,  99 => 43,  95 => 41,  91 => 40,  84 => 38,  78 => 35,  74 => 34,  67 => 33,  63 => 32,  58 => 29,  54 => 28,  49 => 24,  47 => 26,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "displaygroup-form-media.twig", "/home/mgatv524/public_html/mctv/views/displaygroup-form-media.twig");
    }
}
