<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displayprofile-form-edit-linux.twig */
class __TwigTemplate_75c4d990ca7dbc1cc20e945a8e242cadb7c3335acc6826d2dfad2d49a0f8aa6d extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 23
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "displayprofile-form-edit-linux.twig", 23)->unwrap();
        // line 24
        echo "
";
        // line 25
        $this->displayBlock('formHtml', $context, $blocks);
    }

    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 26
        echo "<div class=\"row\">
    <div class=\"col-md-12\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\">";
        // line 29
        echo __("General");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#network\" role=\"tab\" data-toggle=\"tab\">";
        // line 30
        echo __("Network");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#location\" role=\"tab\" data-toggle=\"tab\">";
        // line 31
        echo __("Location");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#troubleshooting\" role=\"tab\" data-toggle=\"tab\">";
        // line 32
        echo __("Troubleshooting");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#advanced\" role=\"tab\" data-toggle=\"tab\">";
        // line 33
        echo __("Advanced");
        echo "</a></li>
            ";
        // line 34
        if ((1 === twig_compare(twig_length_filter($this->env, ($context["commands"] ?? null)), 0))) {
            // line 35
            echo "                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#commands\" role=\"tab\" data-toggle=\"tab\">";
            echo __("Commands");
            echo "</a></li>
            ";
        }
        // line 37
        echo "        </ul>
        <form id=\"displayProfileForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 38
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayProfile.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "displayProfileId", [], "any", false, false, false, 38)]), "html", null, true);
        echo "\">
            <div class=\"tab-content\">
                <div class=\"tab-pane active\" id=\"general\">
                    ";
        // line 41
        $this->loadTemplate("displayprofile-form-edit-common-fields.twig", "displayprofile-form-edit-linux.twig", 41)->display($context);
        // line 42
        echo "
                    ";
        // line 43
        $context["title"] = __("Collect interval");
        // line 44
        echo "                    ";
        $context["helpText"] = __("How often should the Player check for new content.");
        // line 45
        echo "                    ";
        $context["options"] = [0 => ["id" => 60, "value" => __("1 minute")], 1 => ["id" => 300, "value" => __("5 minutes")], 2 => ["id" => 600, "value" => __("10 minutes")], 3 => ["id" => 1800, "value" => __("30 minutes")], 4 => ["id" => 3600, "value" => __("1 hour")], 5 => ["id" => 5400, "value" => __("1 hour 30 minutes")], 6 => ["id" => 7200, "value" => __("2 hours")], 7 => ["id" => 9000, "value" => __("2 hours 30 minutes")], 8 => ["id" => 10800, "value" => __("3 hours")], 9 => ["id" => 12600, "value" => __("3 hours 30 minutes")], 10 => ["id" => 14400, "value" => __("4 hours")], 11 => ["id" => 18000, "value" => __("5 hours")], 12 => ["id" => 21600, "value" => __("6 hours")], 13 => ["id" => 25200, "value" => __("7 hours")], 14 => ["id" => 28800, "value" => __("8 hours")], 15 => ["id" => 32400, "value" => __("9 hours")], 16 => ["id" => 36000, "value" => __("10 hours")], 17 => ["id" => 39600, "value" => __("11 hours")], 18 => ["id" => 43200, "value" => __("12 hours")], 19 => ["id" => 86400, "value" => __("24 hours")]];
        // line 67
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["collectInterval", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "collectInterval"], "method", false, false, false, 67), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 67, $context, $this->getSourceContext());
        echo "

                    ";
        // line 69
        $context["title"] = __("XMR Public Address");
        // line 70
        echo "                    ";
        $context["helpText"] = __("Please enter the public address for XMR.");
        // line 71
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["xmrNetworkAddress", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "xmrNetworkAddress"], "method", false, false, false, 71), ($context["helpText"] ?? null)], 71, $context, $this->getSourceContext());
        echo "

                    ";
        // line 73
        $context["title"] = __("Enable stats reporting?");
        // line 74
        echo "                    ";
        $context["helpText"] = __("Should the application send proof of play stats to the CMS.");
        // line 75
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["statsEnabled", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "statsEnabled"], "method", false, false, false, 75), ($context["helpText"] ?? null)], 75, $context, $this->getSourceContext());
        echo "

                    ";
        // line 77
        $context["title"] = __("Aggregation level");
        // line 78
        echo "                    ";
        $context["helpText"] = __("Set the level of collection for Proof of Play Statistics to be applied to selected Layouts / Media and Widget items.");
        // line 79
        echo "                    ";
        $context["options"] = [0 => ["id" => "Individual", "value" => __("Individual")], 1 => ["id" => "Hourly", "value" => __("Hourly")], 2 => ["id" => "Daily", "value" => __("Daily")]];
        // line 84
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["aggregationLevel", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "aggregationLevel"], "method", false, false, false, 84), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null), "aggregation-level"], 84, $context, $this->getSourceContext());
        echo "
                </div>

                <div class=\"tab-pane\" id=\"network\">

                    ";
        // line 89
        $context["title"] = __("Download Window Start Time");
        // line 90
        echo "                    ";
        $context["helpText"] = __("The start of the time window to connect to the CMS and download updates.");
        // line 91
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_time", ["downloadStartWindow", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "downloadStartWindow"], "method", false, false, false, 91), ($context["helpText"] ?? null), "", "", "", "HH:mm"], 91, $context, $this->getSourceContext());
        echo "

                    ";
        // line 93
        $context["title"] = __("Download Window End Time");
        // line 94
        echo "                    ";
        $context["helpText"] = __("The end of the time window to connect to the CMS and download updates.");
        // line 95
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_time", ["downloadEndWindow", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "downloadEndWindow"], "method", false, false, false, 95), ($context["helpText"] ?? null), "", "", "", "HH:mm"], 95, $context, $this->getSourceContext());
        echo "

                    ";
        // line 97
        $context["title"] = __("Force HTTPS?");
        // line 98
        echo "                    ";
        $context["helpText"] = __("Should Displays be forced to use HTTPS connection to the CMS?");
        // line 99
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["forceHttps", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "forceHttps"], "method", false, false, false, 99), ($context["helpText"] ?? null)], 99, $context, $this->getSourceContext());
        echo "

                    ";
        // line 101
        $context["title"] = __("Operating Hours");
        // line 102
        echo "                    ";
        $context["helpText"] = __("Select a day part that should act as operating hours for this display - email alerts will not be sent outside of operating hours");
        // line 103
        echo "                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "300px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("daypart.search")], 5 => ["name" => "data-search-term", "value" => "name"], 6 => ["name" => "data-id-property", "value" => "dayPartId"], 7 => ["name" => "data-text-property", "value" => "name"], 8 => ["name" => "data-filter-options", "value" => "{\"isAlways\":\"0\", \"isCustom\":\"0\"}"]];
        // line 114
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["dayPartId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "dayPartId"], "method", false, false, false, 114), twig_array_merge([0 => ["dayPartId" => null, "name" => ""]], ($context["dayParts"] ?? null)), "dayPartId", "name", ($context["helpText"] ?? null), "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 114, $context, $this->getSourceContext());
        echo "

                </div>

                <div class=\"tab-pane\" id=\"location\">

                    ";
        // line 120
        $context["title"] = __("Width");
        // line 121
        echo "                    ";
        $context["helpText"] = __("The Width of the Display Window. 0 means full width.");
        // line 122
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["sizeX", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "sizeX"], "method", false, false, false, 122), ($context["helpText"] ?? null)], 122, $context, $this->getSourceContext());
        echo "

                    ";
        // line 124
        $context["title"] = __("Height");
        // line 125
        echo "                    ";
        $context["helpText"] = __("The Height of the Display Window. 0 means full height.");
        // line 126
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["sizeY", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "sizeY"], "method", false, false, false, 126), ($context["helpText"] ?? null)], 126, $context, $this->getSourceContext());
        echo "

                    ";
        // line 128
        $context["title"] = __("Left Coordinate");
        // line 129
        echo "                    ";
        $context["helpText"] = __("The left pixel position the display window should be sized from.");
        // line 130
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["offsetX", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "offsetX"], "method", false, false, false, 130), ($context["helpText"] ?? null)], 130, $context, $this->getSourceContext());
        echo "

                    ";
        // line 132
        $context["title"] = __("Top Coordinate");
        // line 133
        echo "                    ";
        $context["helpText"] = __("The top pixel position the display window should be sized from.");
        // line 134
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["offsetY", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "offsetY"], "method", false, false, false, 134), ($context["helpText"] ?? null)], 134, $context, $this->getSourceContext());
        echo "

                </div>

                <div class=\"tab-pane\" id=\"troubleshooting\">

                    ";
        // line 140
        $context["title"] = __("Log Level");
        // line 141
        echo "                    ";
        $context["helpText"] = __("The logging level that should be recorded by the Player.");
        // line 142
        echo "                    ";
        $context["options"] = [0 => ["id" => "trace", "value" => __("Trace")], 1 => ["id" => "debug", "value" => __("Debug")], 2 => ["id" => "info", "value" => __("Information")], 3 => ["id" => "error", "value" => __("Error")], 4 => ["id" => "off", "value" => __("Off")]];
        // line 149
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["logLevel", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "logLevel"], "method", false, false, false, 149), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 149, $context, $this->getSourceContext());
        echo "

                </div>

                <div class=\"tab-pane\" id=\"advanced\">

                    ";
        // line 155
        $context["title"] = __("Enable Shell Commands");
        // line 156
        echo "                    ";
        $context["helpText"] = __("Enable the Shell Command module.");
        // line 157
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["enableShellCommands", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "enableShellCommands"], "method", false, false, false, 157), ($context["helpText"] ?? null)], 157, $context, $this->getSourceContext());
        echo "

                    ";
        // line 159
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_CURRENT_LAYOUT_STATUS_ENABLED", 1 => 0], "method", false, false, false, 159), 1))) {
            // line 160
            echo "                        ";
            $context["title"] = __("Notify current layout");
            // line 161
            echo "                        ";
            $context["helpText"] = __("When enabled the Player will send the current layout to the CMS each time it changes. Warning: This is bandwidth intensive and should be disabled unless on a LAN.");
            // line 162
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["sendCurrentLayoutAsStatusUpdate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "sendCurrentLayoutAsStatusUpdate"], "method", false, false, false, 162), ($context["helpText"] ?? null)], 162, $context, $this->getSourceContext());
            echo "
                    ";
        }
        // line 164
        echo "
                    ";
        // line 165
        $context["title"] = __("Expire Modified Layouts?");
        // line 166
        echo "                    ";
        $context["helpText"] = __("Expire Modified Layouts immediately on change. This means a layout can be cut during playback if it receives an update from the CMS");
        // line 167
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["expireModifiedLayouts", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "expireModifiedLayouts"], "method", false, false, false, 167), ($context["helpText"] ?? null)], 167, $context, $this->getSourceContext());
        echo "

                    ";
        // line 169
        $context["title"] = __("Maximum concurrent downloads");
        // line 170
        echo "                    ";
        $context["helpText"] = __("The maximum number of concurrent downloads the Player will attempt.");
        // line 171
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["maxConcurrentDownloads", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "maxConcurrentDownloads"], "method", false, false, false, 171), ($context["helpText"] ?? null)], 171, $context, $this->getSourceContext());
        echo "

                    ";
        // line 173
        $context["title"] = __("Shell Command Allow List");
        // line 174
        echo "                    ";
        $context["helpText"] = __("Which shell commands should the Player execute?");
        // line 175
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["shellCommandAllowList", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "shellCommandAllowList"], "method", false, false, false, 175), ($context["helpText"] ?? null)], 175, $context, $this->getSourceContext());
        echo "

                    ";
        // line 177
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_SCREENSHOT_INTERVAL_ENABLED", 1 => 0], "method", false, false, false, 177), 1))) {
            // line 178
            echo "                        ";
            $context["title"] = __("Screen shot interval");
            // line 179
            echo "                        ";
            $context["helpText"] = __("The duration between status screen shots in minutes. 0 to disable. Warning: This is bandwidth intensive.");
            // line 180
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_number", ["screenShotRequestInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotRequestInterval"], "method", false, false, false, 180), ($context["helpText"] ?? null)], 180, $context, $this->getSourceContext());
            echo "
                    ";
        }
        // line 182
        echo "
                    ";
        // line 183
        $context["title"] = __("Screen Shot Size");
        // line 184
        echo "                    ";
        $context["helpText"] = __("The size of the largest dimension. Empty or 0 means the screen size.");
        // line 185
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["screenShotSize", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotSize"], "method", false, false, false, 185), ($context["helpText"] ?? null)], 185, $context, $this->getSourceContext());
        echo "

                    ";
        // line 187
        $context["title"] = __("Limit the number of log files uploaded concurrently");
        // line 188
        echo "                    ";
        $context["helpText"] = __("The number of log files to upload concurrently. The lower the number the longer it will take, but the better for memory usage.");
        // line 189
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["maxLogFileUploads", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "maxLogFileUploads"], "method", false, false, false, 189), ($context["helpText"] ?? null)], 189, $context, $this->getSourceContext());
        echo "

                    ";
        // line 191
        $context["title"] = __("Embedded Web Server Port");
        // line 192
        echo "                    ";
        $context["helpText"] = __("The port number to use for the embedded web server on the Player. Only change this if there is a port conflict reported on the status screen.");
        // line 193
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["embeddedServerPort", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "embeddedServerPort"], "method", false, false, false, 193), ($context["helpText"] ?? null)], 193, $context, $this->getSourceContext());
        echo "

                    ";
        // line 195
        $context["title"] = __("Embedded Web Server allow WAN?");
        // line 196
        echo "                    ";
        $context["helpText"] = __("Should we allow access to the Player Embedded Web Server from WAN? You may need to adjust the device firewall to allow external traffic");
        // line 197
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["embeddedServerAllowWan", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "embeddedServerAllowWan"], "method", false, false, false, 197), ($context["helpText"] ?? null)], 197, $context, $this->getSourceContext());
        echo "

                    ";
        // line 199
        $context["title"] = __("Prevent Sleep?");
        // line 200
        echo "                    ";
        $context["helpText"] = __("Stop the player PC power management from Sleeping the PC");
        // line 201
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["preventSleep", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "preventSleep"], "method", false, false, false, 201), ($context["helpText"] ?? null)], 201, $context, $this->getSourceContext());
        echo "

                </div>

                ";
        // line 205
        if ((1 === twig_compare(twig_length_filter($this->env, ($context["commands"] ?? null)), 0))) {
            // line 206
            echo "                <div class=\"tab-pane\" id=\"commands\">
                    ";
            // line 207
            $this->loadTemplate("displayprofile-form-edit-command-fields.twig", "displayprofile-form-edit-linux.twig", 207)->display($context);
            // line 208
            echo "                </div>
                ";
        }
        // line 210
        echo "            </div>
        </form>
    </div>
</div>
";
    }

    public function getTemplateName()
    {
        return "displayprofile-form-edit-linux.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  413 => 210,  409 => 208,  407 => 207,  404 => 206,  402 => 205,  394 => 201,  391 => 200,  389 => 199,  383 => 197,  380 => 196,  378 => 195,  372 => 193,  369 => 192,  367 => 191,  361 => 189,  358 => 188,  356 => 187,  350 => 185,  347 => 184,  345 => 183,  342 => 182,  336 => 180,  333 => 179,  330 => 178,  328 => 177,  322 => 175,  319 => 174,  317 => 173,  311 => 171,  308 => 170,  306 => 169,  300 => 167,  297 => 166,  295 => 165,  292 => 164,  286 => 162,  283 => 161,  280 => 160,  278 => 159,  272 => 157,  269 => 156,  267 => 155,  257 => 149,  254 => 142,  251 => 141,  249 => 140,  239 => 134,  236 => 133,  234 => 132,  228 => 130,  225 => 129,  223 => 128,  217 => 126,  214 => 125,  212 => 124,  206 => 122,  203 => 121,  201 => 120,  191 => 114,  188 => 103,  185 => 102,  183 => 101,  177 => 99,  174 => 98,  172 => 97,  166 => 95,  163 => 94,  161 => 93,  155 => 91,  152 => 90,  150 => 89,  141 => 84,  138 => 79,  135 => 78,  133 => 77,  127 => 75,  124 => 74,  122 => 73,  116 => 71,  113 => 70,  111 => 69,  105 => 67,  102 => 45,  99 => 44,  97 => 43,  94 => 42,  92 => 41,  86 => 38,  83 => 37,  77 => 35,  75 => 34,  71 => 33,  67 => 32,  63 => 31,  59 => 30,  55 => 29,  50 => 26,  43 => 25,  40 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "displayprofile-form-edit-linux.twig", "/home/mgatv524/public_html/mctv/views/displayprofile-form-edit-linux.twig");
    }
}
