<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* display-form-licence-check.twig */
class __TwigTemplate_13620581db6ddbad5f2fde254483e0ff72c28cfa2f0c04e920b18a77b867e533 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 22
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 23
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "display-form-licence-check.twig", 23)->unwrap();
        // line 22
        $this->parent = $this->loadTemplate("form-base.twig", "display-form-licence-check.twig", 22);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 25
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 26
        echo "    ";
        echo __("Check Commercial Licence");
    }

    // line 29
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 31
        echo __("Save");
        echo ", displayFormLicenceCheckSubmit(\$(\"#displayLicenceCheckForm\"))
";
    }

    // line 34
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 35
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayLicenceCheckForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 37
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("display.licencecheck", ["id" => twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "displayId", [], "any", false, false, false, 37)]), "html", null, true);
        echo "\">
                ";
        // line 38
        ob_start(function () { return ''; });
        echo __("Are you sure you want to ask this Player to check its Licence?");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 39
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 39, $context, $this->getSourceContext());
        echo "

                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("The result of this check will be immediately actioned and the status reported in Commercial Licence column.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 42, $context, $this->getSourceContext());
        echo "

                ";
        // line 44
        if (twig_test_empty(twig_get_attribute($this->env, $this->source, ($context["display"] ?? null), "xmrChannel", [], "any", false, false, false, 44))) {
            // line 45
            echo "                    <div class=\"alert alert-info\">
                        ";
            // line 46
            ob_start(function () { return ''; });
            echo __("XMR is not working on this Player yet and therefore the licence check may not occur.");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 47
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 47, $context, $this->getSourceContext());
            echo "
                    </div>
                ";
        }
        // line 50
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "display-form-licence-check.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  123 => 50,  116 => 47,  112 => 46,  109 => 45,  107 => 44,  101 => 42,  97 => 41,  91 => 39,  87 => 38,  83 => 37,  79 => 35,  75 => 34,  69 => 31,  64 => 30,  60 => 29,  55 => 26,  51 => 25,  46 => 22,  44 => 23,  37 => 22,);
    }

    public function getSourceContext()
    {
        return new Source("", "display-form-licence-check.twig", "/home/mgatv524/public_html/mctv/views/display-form-licence-check.twig");
    }
}
