<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* datasetticker-form-edit.twig */
class __TwigTemplate_b46478725e14f4e6fdf62e3274874b60d6754422a4c032dcb696d13b64a58b51 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "datasetticker-form-edit.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "datasetticker-form-edit.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        $context["dataSetName"] = twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getExtra", [], "method", false, false, false, 27), "dataSet", [], "any", false, false, false, 27), "dataSet", [], "any", false, false, false, 27);
        // line 28
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Edit Ticker: DataSet is %dataSetName%"), array("%dataSetName%" => ($context["dataSetName"] ?? null), ));
    }

    // line 31
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getExtra", [], "method", false, false, false, 31));
    }

    // line 33
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#appearanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 38
        echo __("Appearance");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 41
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#templateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Main");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#noDataTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("No Data");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#optionalStylesheetTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Optional Stylesheet");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#optionalJavascriptTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 47
        echo __("Optional JavaScript");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#orderCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 50
        echo __("Order");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#filterCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 51
        echo __("Filter");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#cachingTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 52
        echo __("Caching");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"dataSetTickerForm2\" class=\"XiboForm form-horizontal\" data-form-step=\"2\" method=\"put\" action=\"";
        // line 55
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 55), "widgetId", [], "any", false, false, false, 55)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 60), ($context["helpText"] ?? null)], 60, $context, $this->getSourceContext());
        echo "

                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 64), ($context["helpText"] ?? null)], 64, $context, $this->getSourceContext());
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this item should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 68), ($context["helpText"] ?? null), "duration-fields", "required"], 68, $context, $this->getSourceContext());
        echo "

                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Duration is per item");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration specified is per item otherwise it is per feed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["durationIsPerItem", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "durationIsPerItem"], "method", false, false, false, 72), ($context["helpText"] ?? null)], 72, $context, $this->getSourceContext());
        echo "

                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "
                        ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 81
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 82
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 83
($context["inheritOption"] ?? null)]];
        // line 85
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 85)], "method", false, false, false, 85), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 85, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Show items side by side?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should items be shown side by side?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["itemsSideBySide", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "itemsSideBySide"], "method", false, false, false, 91), ($context["helpText"] ?? null)], 91, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 93
        ob_start(function () { return ''; });
        echo __("Lower Row Limit");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the Lower Row Limit for this DataSet (enter 0 for no limit)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["lowerLimit", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "lowerLimit"], "method", false, false, false, 95), ($context["helpText"] ?? null)], 95, $context, $this->getSourceContext());
        echo "

                        ";
        // line 97
        ob_start(function () { return ''; });
        echo __("Upper Row Limit");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the Upper Row Limit for this DataSet (enter 0 for no limit)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["upperLimit", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "upperLimit"], "method", false, false, false, 99), ($context["helpText"] ?? null)], 99, $context, $this->getSourceContext());
        echo "

                        ";
        // line 101
        ob_start(function () { return ''; });
        echo __("Number of Items");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Number of items you want to display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["numItems", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "numItems"], "method", false, false, false, 103), ($context["helpText"] ?? null)], 103, $context, $this->getSourceContext());
        echo "

                        ";
        // line 105
        ob_start(function () { return ''; });
        echo __("Randomise?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the order of the feed be randomised? When enabled each time the Widget is shown the items will be randomly shuffled and displayed in a random order.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 107
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["randomiseItems", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "randomiseItems"], "method", false, false, false, 107), ($context["helpText"] ?? null)], 107, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTab\">
                        ";
        // line 111
        ob_start(function () { return ''; });
        echo __("Background Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The selected effect works best with a background colour. Optionally add one here.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["backgroundColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "backgroundColor"], "method", false, false, false, 113), ($context["helpText"] ?? null), "background-color-group"], 113, $context, $this->getSourceContext());
        echo "

                        ";
        // line 115
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items. Marquee effects are CPU intensive and may not be suitable for lower power displays.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "
                        ";
        // line 118
        ob_start(function () { return ''; });
        echo __("Show all items");
        $context["showAll"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Paged");
        $context["showPaged"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Left");
        $context["marqueeLeft"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Right");
        $context["marqueeRight"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Up");
        $context["marqueeUp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Down");
        $context["marqueeDown"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                        ";
        $context["optionGroups"] = [0 => ["id" => "showAll", "label" =>         // line 125
($context["showAll"] ?? null)], 1 => ["id" => "showPaged", "label" =>         // line 126
($context["showPaged"] ?? null)]];
        // line 128
        echo "
                        ";
        // line 129
        ob_start(function () { return ''; });
        echo __("No effect - all items are shown");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        $context["showAllOptions"] = [0 => ["effectid" => "none", "effect" =>         // line 131
($context["noneOption"] ?? null)], 1 => ["effectid" => "marqueeLeft", "effect" =>         // line 132
($context["marqueeLeft"] ?? null)], 2 => ["effectid" => "marqueeRight", "effect" =>         // line 133
($context["marqueeRight"] ?? null)], 3 => ["effectid" => "marqueeUp", "effect" =>         // line 134
($context["marqueeUp"] ?? null)], 4 => ["effectid" => "marqueeDown", "effect" =>         // line 135
($context["marqueeDown"] ?? null)]];
        // line 137
        echo "
                        ";
        // line 138
        ob_start(function () { return ''; });
        echo __("No transition");
        $context["noTransitionOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 145
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 146
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        $context["showPagedOptions"] = [0 => ["effectid" => "noTransition", "effect" =>         // line 149
($context["noTransitionOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 150
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 151
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 152
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 153
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 154
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 155
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 156
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 157
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 158
($context["tileBlind"] ?? null)]];
        // line 160
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["effect", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "effect"], "method", false, false, false, 160), ["showAll" => ($context["showAllOptions"] ?? null), "showPaged" => ($context["showPagedOptions"] ?? null)], "effectid", "effect", ($context["helpText"] ?? null), "l", "", "", "", "", ($context["optionGroups"] ?? null)], 160, $context, $this->getSourceContext());
        echo "

                        ";
        // line 162
        ob_start(function () { return ''; });
        echo __("Speed");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 163
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The transition speed of the selected effect in milliseconds (normal = 1000) or the Marquee Speed in a low to high scale (normal = 1).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 164
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["speed", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "speed", 1 => twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "scrollSpeed"], "method", false, false, false, 164)], "method", false, false, false, 164), ($context["helpText"] ?? null), "effect-controls"], 164, $context, $this->getSourceContext());
        echo "

                        ";
        // line 166
        ob_start(function () { return ''; });
        echo __("Items per page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 167
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If an effect has been selected from the General tab, how many pages should we split the items across? If you don't enter anything here 1 item will be put on each page.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 168
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["itemsPerPage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "itemsPerPage"], "method", false, false, false, 168), ($context["helpText"] ?? null), "effect-controls"], 168, $context, $this->getSourceContext());
        echo "

                    </div>


                    <div class=\"tab-pane\" id=\"templateTab\">

                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 176
        echo __("Main Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"ta_text_advanced\" name=\"ta_text_advanced\" ";
        // line 178
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "ta_text_advanced", 1 => 0], "method", false, false, false, 178), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 180
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 182
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 183
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 188
        ob_start(function () { return ''; });
        // line 189
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 191
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "ta_text-advanced-editor-hide inline-editor-hide"], 191, $context, $this->getSourceContext());
        echo "

                            ";
        // line 194
        echo "                            ";
        ob_start(function () { return ''; });
        // line 195
        echo "                                ";
        echo __("Enter text to display using the inline editor which can be opened by clicking in the preview on the left.");
        // line 196
        echo "                                ";
        echo __("When using the inline editor Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 197
        echo "                            ";
        $context["layoutDesignerMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 198
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["layoutDesignerMessage"] ?? null), "layout-designer-message inline-editor-show"], 198, $context, $this->getSourceContext());
        echo "

                            ";
        // line 201
        echo "                            ";
        ob_start(function () { return ''; });
        // line 202
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 203
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 204
        echo "                            ";
        $context["playlistEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 205
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["playlistEditorMessage"] ?? null), "playlist-editor-message ta_text-advanced-editor-show"], 205, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"ckeditor_controls row inline-editor-hide container-fluid\" data-linked-to=\"ta_text\">
                            <div class=\"col-sm-6\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 211
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\" 
                                            class=\"ckeditor_snippets_select form-control\"
                                            data-linked-to=\"ta_text\">
                                            <option value=\"\"></option>

                                            ";
        // line 218
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "dataSetColumns", [], "method", false, false, false, 218));
        foreach ($context['_seq'] as $context["_key"] => $context["column"]) {
            // line 219
            echo "                                                <option value=\"";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["column"], "heading", [], "any", false, false, false, 219), "html", null, true);
            echo "|";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["column"], "dataSetColumnId", [], "any", false, false, false, 219), "html", null, true);
            echo "\">";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["column"], "heading", [], "any", false, false, false, 219), "html", null, true);
            echo "</option>
                                            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['column'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 221
        echo "                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class=\"col-sm-6\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_library_select3\">";
        // line 228
        echo __("Library");
        echo "</label>
                                    <div class=\"col-sm-8\">
                                        <select id=\"ckeditor_library_select3\"
                                                class=\"ckeditor_library_select form-control\"
                                                data-linked-to=\"ta_text\"
                                                data-search-url=\"";
        // line 233
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search"), "html", null, true);
        echo "\"
                                                data-image-url=\"";
        // line 234
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.download", ["id" => ":id"]), "html", null, true);
        echo "?preview=1\">
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        ";
        // line 241
        echo twig_call_macro($macros["forms"], "macro_textarea", ["ta_text", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "template"], "method", false, false, false, 241), "", "inline-editor-hide", "", 10], 241, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"noDataTemplateTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 246
        echo __("No Data Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"noDataMessage_advanced\" name=\"noDataMessage_advanced\" ";
        // line 248
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "noDataMessage_advanced", 1 => 0], "method", false, false, false, 248), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 250
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 252
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 253
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        ";
        // line 257
        ob_start(function () { return ''; });
        // line 258
        echo "                            ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                        ";
        $context["noDataMessageMessage1"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 260
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["noDataMessageMessage1"] ?? null), "noDataMessage-advanced-editor-hide"], 260, $context, $this->getSourceContext());
        echo "

                        ";
        // line 262
        ob_start(function () { return ''; });
        // line 263
        echo "                            ";
        echo __("Enter the text to display.");
        // line 264
        echo "                            ";
        echo __("The red rectangle reflects the size of the region you are editing.");
        // line 265
        echo "                            ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 266
        echo "                        ";
        $context["noDataMessageMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 267
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["noDataMessageMessage2"] ?? null), "noDataMessage-advanced-editor-show"], 267, $context, $this->getSourceContext());
        echo "

                        ";
        // line 269
        ob_start(function () { return ''; });
        echo __("A message to display when no data is returned from the source");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 270
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["noDataMessage", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "noDataMessage"], "method", false, false, false, 270), ($context["helpText"] ?? null), "", "", 5], 270, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 275
        echo __("Optional Stylesheet Template");
        echo "</h4>
                        </div>

                        ";
        // line 278
        echo twig_call_macro($macros["forms"], "macro_textarea", ["ta_css", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "css"], "method", false, false, false, 278), "", "", "", 10], 278, $context, $this->getSourceContext());
        echo "     
                    </div>

                    <div class=\"tab-pane\" id=\"optionalJavascriptTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 283
        echo __("Optional JavaScript");
        echo "</h4>
                        </div>

                        ";
        // line 286
        echo twig_call_macro($macros["forms"], "macro_textarea", ["javaScript", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "javaScript"], "method", false, false, false, 286), "", "", "", 10], 286, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"orderCriteria\">

                        ";
        // line 291
        ob_start(function () { return ''; });
        echo __("The DataSet results can be ordered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated order be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 292
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 292, $context, $this->getSourceContext());
        echo "

                        <div id=\"orderClause\">

                        </div>

                        ";
        // line 298
        ob_start(function () { return ''; });
        echo __("Use advanced order clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 299
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 300
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useOrderingClause", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useOrderingClause", 1 => 0], "method", false, false, false, 300), ($context["helpText"] ?? null)], 300, $context, $this->getSourceContext());
        echo "

                        ";
        // line 302
        ob_start(function () { return ''; });
        echo __("Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 303
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause for how this dataset should be ordered");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 304
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["ordering", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "ordering"], "method", false, false, false, 304), ($context["helpText"] ?? null), "order-clause-field"], 304, $context, $this->getSourceContext());
        echo "

                    </div>
                    <div class=\"tab-pane\" id=\"filterCriteria\">
                        ";
        // line 308
        ob_start(function () { return ''; });
        echo __("The DataSet results can be filtered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated filter be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 309
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 309, $context, $this->getSourceContext());
        echo "

                        ";
        // line 311
        ob_start(function () { return ''; });
        echo __("The substitution [DisplayId] can be used in filter clauses and will be substituted at run time with the Display ID. When shown in the CMS it will be substituted with 0.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 312
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 312, $context, $this->getSourceContext());
        echo "

                        <div id=\"filterClause\">

                        </div>

                        ";
        // line 318
        ob_start(function () { return ''; });
        echo __("Use advanced filter clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 319
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 320
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useFilteringClause", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useFilteringClause", 1 => 0], "method", false, false, false, 320), ($context["helpText"] ?? null)], 320, $context, $this->getSourceContext());
        echo "

                        ";
        // line 322
        ob_start(function () { return ''; });
        echo __("Filter");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 323
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause to filter this DataSet.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 324
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["filter", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "filter"], "method", false, false, false, 324), ($context["helpText"] ?? null), "filter-clause-field"], 324, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cachingTab\">
                        
                        ";
        // line 329
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 330
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 331
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["updateInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 5], "method", false, false, false, 331), ($context["helpText"] ?? null), "", "required"], 331, $context, $this->getSourceContext());
        echo "

                        ";
        // line 333
        ob_start(function () { return ''; });
        echo __("Freshness (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 334
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If the Player is offline it will switch to the No Data Template after this freshness time. Set this to 0 to never switch.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 335
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["freshnessTimeout", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "freshnessTimeout", 1 => 0], "method", false, false, false, 335), ($context["helpText"] ?? null)], 335, $context, $this->getSourceContext());
        echo "

                    </div>

                </div>
                
                <input type=\"hidden\" name=\"step\" value=\"2\" />
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "datasetticker-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  875 => 335,  870 => 334,  866 => 333,  860 => 331,  855 => 330,  851 => 329,  842 => 324,  837 => 323,  833 => 322,  827 => 320,  822 => 319,  818 => 318,  808 => 312,  804 => 311,  798 => 309,  794 => 308,  786 => 304,  781 => 303,  777 => 302,  771 => 300,  766 => 299,  762 => 298,  752 => 292,  748 => 291,  740 => 286,  734 => 283,  726 => 278,  720 => 275,  711 => 270,  707 => 269,  701 => 267,  698 => 266,  695 => 265,  692 => 264,  689 => 263,  687 => 262,  681 => 260,  675 => 258,  673 => 257,  666 => 253,  662 => 252,  657 => 250,  650 => 248,  645 => 246,  637 => 241,  627 => 234,  623 => 233,  615 => 228,  606 => 221,  593 => 219,  589 => 218,  579 => 211,  569 => 205,  566 => 204,  563 => 203,  560 => 202,  557 => 201,  551 => 198,  548 => 197,  545 => 196,  542 => 195,  539 => 194,  533 => 191,  527 => 189,  525 => 188,  517 => 183,  513 => 182,  508 => 180,  501 => 178,  496 => 176,  484 => 168,  479 => 167,  475 => 166,  469 => 164,  464 => 163,  460 => 162,  454 => 160,  452 => 158,  451 => 157,  450 => 156,  449 => 155,  448 => 154,  447 => 153,  446 => 152,  445 => 151,  444 => 150,  443 => 149,  441 => 148,  436 => 147,  431 => 146,  426 => 145,  421 => 144,  416 => 143,  411 => 142,  406 => 141,  401 => 140,  396 => 139,  392 => 138,  389 => 137,  387 => 135,  386 => 134,  385 => 133,  384 => 132,  383 => 131,  381 => 130,  377 => 129,  374 => 128,  372 => 126,  371 => 125,  369 => 124,  364 => 123,  359 => 122,  354 => 121,  349 => 120,  344 => 119,  340 => 118,  337 => 117,  332 => 116,  328 => 115,  322 => 113,  317 => 112,  313 => 111,  305 => 107,  300 => 106,  296 => 105,  290 => 103,  285 => 102,  281 => 101,  275 => 99,  270 => 98,  266 => 97,  260 => 95,  255 => 94,  251 => 93,  245 => 91,  240 => 90,  236 => 89,  228 => 85,  226 => 83,  225 => 82,  224 => 81,  222 => 80,  217 => 79,  212 => 78,  208 => 77,  205 => 76,  200 => 75,  196 => 74,  190 => 72,  185 => 71,  181 => 70,  175 => 68,  170 => 67,  166 => 66,  160 => 64,  155 => 63,  151 => 62,  145 => 60,  140 => 59,  136 => 58,  130 => 55,  124 => 52,  120 => 51,  116 => 50,  110 => 47,  106 => 46,  102 => 45,  98 => 44,  92 => 41,  86 => 38,  82 => 37,  78 => 36,  74 => 34,  70 => 33,  63 => 31,  58 => 28,  55 => 27,  51 => 26,  46 => 23,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "datasetticker-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/datasetticker-form-edit.twig");
    }
}
