<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* authed.twig */
class __TwigTemplate_312f64c267d7fc961215d0ef0c491c26d5129e9972348a77a96709652755dd91 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'content' => [$this, 'block_content'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'pageFooter' => [$this, 'block_pageFooter'],
            'javaScriptTemplates' => [$this, 'block_javaScriptTemplates'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        $this->parent = $this->loadTemplate("base.twig", "authed.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 25
    public function block_content($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 26
        echo "    ";
        $context["horizontalNav"] = (0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "getOptionValue", [0 => "navigationMenuPosition", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "NAVIGATION_MENU_POSITION", 1 => "vertical"], "method", false, false, false, 26)], "method", false, false, false, 26), "horizontal"));
        // line 27
        echo "    ";
        $context["hideNavigation"] = twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "getOptionValue", [0 => "hideNavigation", 1 => "0"], "method", false, false, false, 27);
        // line 28
        echo "    <div ";
        if ((((0 === twig_compare(($context["hideNavigation"] ?? null), "0")) &&  !($context["horizontalNav"] ?? null)) &&  !($context["forceHide"] ?? null))) {
            echo "id=\"page-wrapper\"";
        }
        echo " class=\"active\">

        ";
        // line 30
        if (((0 === twig_compare(($context["hideNavigation"] ?? null), "0")) &&  !($context["forceHide"] ?? null))) {
            // line 31
            echo "            ";
            if (($context["horizontalNav"] ?? null)) {
                // line 32
                echo "                <nav class=\"navbar navbar-default navbar-expand-lg\">
                    <a class=\"navbar-brand\" href=\"#\">
                        <img class=\"xibo-logo\" src=\"";
                // line 34
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/xibologo.png"], "method", false, false, false, 34), "html", null, true);
                echo "\">
                    </a>

                    <!-- Brand and toggle get grouped for better mobile display -->
                    <button type=\"button\" class=\"navbar-toggler\" data-toggle=\"collapse\" data-target=\"#navbar-collapse-1\" aria-controls=\"navbarNav\" aria-expanded=\"false\">
                        <span class=\"fa fa-bars\"></span>
                    </button>

                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class=\"navbar-collapse collapse justify-content-between\" id=\"navbar-collapse-1\">
                        ";
                // line 44
                $this->loadTemplate("authed-topbar.twig", "authed.twig", 44)->display($context);
                // line 45
                echo "
                        <ul class=\"nav navbar-nav navbar-right\">
                            ";
                // line 47
                $__internal_compile_0 = null;
                try {
                    $__internal_compile_0 =                     $this->loadTemplate("authed-theme-topbar.twig", "authed.twig", 47);
                } catch (LoaderError $e) {
                    // ignore missing template
                }
                if ($__internal_compile_0) {
                    $__internal_compile_0->display($context);
                }
                // line 48
                echo "                            ";
                if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "drawer"], "method", false, false, false, 48)) {
                    // line 49
                    echo "                                ";
                    $this->loadTemplate("authed-notification-drawer.twig", "authed.twig", 49)->display($context);
                    // line 50
                    echo "                            ";
                }
                // line 51
                echo "                            ";
                $this->loadTemplate("authed-user-menu.twig", "authed.twig", 51)->display($context);
                // line 52
                echo "                        </ul>
                    </div><!-- /.navbar-collapse -->
                </nav>
            ";
            } else {
                // line 56
                echo "                <div class=\"navbar-collapse navbar-collapse-side collapse\" id=\"navbar-collapse-1\">
                    ";
                // line 57
                $this->loadTemplate("authed-sidebar.twig", "authed.twig", 57)->display($context);
                // line 58
                echo "                </div>
            ";
            }
            // line 60
            echo "        ";
        }
        // line 61
        echo "
        <div id=\"content-wrapper\">
            <div class=\"page-content\">
                ";
        // line 64
        if ((( !($context["horizontalNav"] ?? null) || (0 === twig_compare(($context["hideNavigation"] ?? null), "1"))) || ($context["forceHide"] ?? null))) {
            // line 65
            echo "                <div class=\"row header header-side\">
                    <div class=\"col-sm-12\">
                        <div class=\"meta pull-left\">
                            <div class=\"page\"><img class=\"xibo-logo\" src=\"";
            // line 68
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/xibologo.png"], "method", false, false, false, 68), "html", null, true);
            echo "\"></div>
                        </div>
                        ";
            // line 70
            if ( !($context["forceHide"] ?? null)) {
                // line 71
                echo "                            <button type=\"button\" class=\"pull-right navbar-toggler navbar-toggler-side\" data-toggle=\"collapse\" data-target=\"#navbar-collapse-1\" aria-controls=\"navbarNav\" aria-expanded=\"false\">
                                <span class=\"fa fa-bars\"></span>
                            </button>
                            <div class=\"user pull-right\">
                                ";
                // line 75
                $this->loadTemplate("authed-user-menu.twig", "authed.twig", 75)->display($context);
                // line 76
                echo "                            </div>
                            ";
                // line 77
                if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "drawer"], "method", false, false, false, 77)) {
                    // line 78
                    echo "                            <div class=\"user user-notif pull-right\">
                                ";
                    // line 79
                    $this->loadTemplate("authed-notification-drawer.twig", "authed.twig", 79)->display($context);
                    // line 80
                    echo "                            </div>
                            ";
                }
                // line 82
                echo "                            ";
                $__internal_compile_1 = null;
                try {
                    $__internal_compile_1 =                     $this->loadTemplate("authed-theme-topbar.twig", "authed.twig", 82);
                } catch (LoaderError $e) {
                    // ignore missing template
                }
                if ($__internal_compile_1) {
                    $__internal_compile_1->display($context);
                }
                // line 83
                echo "                        ";
            }
            // line 84
            echo "                    </div>
                </div>
                ";
        }
        // line 87
        echo "                <div class=\"row\">
                    <div class=\"col-sm-12\">
                        ";
        // line 89
        $this->displayBlock('actionMenu', $context, $blocks);
        // line 90
        echo "                        ";
        $this->displayBlock('pageContent', $context, $blocks);
        // line 91
        echo "                    </div>
                </div>
                <div class=\"row\">
                    <div class=\"col-sm-12\">
                        ";
        // line 95
        $this->displayBlock('pageFooter', $context, $blocks);
        // line 96
        echo "                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 89
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    // line 90
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    // line 95
    public function block_pageFooter($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    // line 103
    public function block_javaScriptTemplates($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 104
        echo "
    <script type=\"text/javascript\">
        var userPreferencesUrl = \"";
        // line 106
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.pref"), "html", null, true);
        echo "\";

        // TODO: Change this to a call to all route permissions ( something like currentUser.getRoutePermissions() )
        var userRoutePermissions = {
            tags: \"";
        // line 110
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 110), "html", null, true);
        echo "\"
        };

        // Equals helper for the templates below
        Handlebars.registerHelper('eq', function(v1, v2, opts) {
            if (v1 === v2) {
                return opts.fn(this);
            } else {
                return opts.inverse(this);
            }
        });

        Handlebars.registerHelper('neq', function(v1, v2, opts) {
            if (v1 !== v2) {
                return opts.fn(this);
            } else {
                return opts.inverse(this);
            }
        });
    </script>

    ";
        // line 133
        echo "
    <script type=\"text/x-handlebars-template\" id=\"buttons-template\">
        <div class=\"btn-group pull-right\" title=\"";
        echo __("Row Menu");
        // line 186
        echo "\">
            <button class=\"btn btn-white dropdown-toggle\" data-toggle=\"dropdown\"></button>
            <div class=\"dropdown-menu dropdown-menu-right\">
                {{#each buttons}}
                    {{#if divider}}
                        <div class=\"dropdown-divider\"></div>
                    {{else multiSelectOnly}}
                        <a {{#each dataAttributes}}
                            data-{{ name }}=\"{{ value }}\"
                            {{/each}}
                            class=\"dropdown-item multi-select-button {{#if class}}{{ class }}{{else}}XiboMultiHiddenButton{{/if}} {{ id }}\" style=\"display: none;\" tabindex=\"-1\" href=\"#\">
                            {{ text }}
                        </a>
                    {{else}}
                        {{#if external}}
                            <a class=\"dropdown-item {{ id }}\" tabindex=\"-1\" target=\"{{ linkType }}\" onclick=\"{{ onclick }}\" href=\"{{ url }}\"{{#if title}} title=\"{{title}}\"{{/if}}>{{ text }}</a>
                        {{/if}}

                        {{#unless external}}
                            <a {{#each dataAttributes}}
                                data-{{ name }}=\"{{ value }}\"
                                {{/each}}
                                class=\"dropdown-item {{#if multi-select}}multi-select-button{{/if}} {{#if class}}{{ class }}{{else}}XiboFormButton{{/if}} {{ id }}\" href=\"{{ url }}\"{{#if title}} title=\"{{title}}\"{{/if}} tabindex=\"-1\" href=\"#\">
                                {{ text }}
                            </a>
                        {{/unless}}
                    {{/if}}
                {{/each}}
            </div>
        </div>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"multiselect-button-template\">
        <div class=\"btn-group dropup mr-2\">
            <button class=\"btn btn-primary select-all\" data-toggle=\"selectAll\">
                {{ selectAll }}
            </button>
            <button class=\"btn btn-white dropdown-toggle\" data-toggle=\"dropdown\">
                {{ withSelected }}
            </button>
            <div class=\"dropdown-menu\">
                {{#each buttons}}
                    {{#if divider}}
                        <div class=\"dropdown-divider\"></div>
                    {{else}}
                        <a class=\"dropdown-item XiboMultiSelectFormButton\" data-custom-handler=\"{{ customHandler }}\" data-custom-handler-url=\"{{ customHandlerUrl }}\" data-button-id=\"{{ id }}\" data-grid-id=\"{{ gridId }}\" data-content-type=\"{{ contentType }}\" data-content-id-name=\"{{ contentIdName }}\" tabindex=\"-1\" href=\"#\">{{ text }}</a>
                    {{/if}}
                {{/each}}
            </div>
        </div>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"command-input-main-template\">
        <input type=\"checkbox\" class=\"show-command-preview pull-right\" id=\"showCommandPreview{{ unique }}\" name=\"showCommandPreview{{ unique }}\" title=\"";
        echo __("Show command preview!");
        // line 187
        echo "\">
        <label for=\"showCommandPreview{{ unique }}\" class=\"pull-right show-command-preview-label\">";
        echo __("Show command preview!");
        // line 196
        echo "</label>

        <select class=\"command-type form-control form-control-inline\">
            {{#each types}}
                <option value=\"{{ @key }}\" {{#eq @key ../type}}selected=\"selected\"{{/eq}}>{{ this }}</option>
            {{/each}}
        </select>
        <div class=\"command-inputs panel panel-default\"></div>

        <pre class=\"command-preview\" data-invalid-message=\"";
        echo __("Invalid command!");
        // line 209
        echo "\">
            <code>
            <!-- your code here -->
            </code>
        </pre>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"command-input-freetext-template\">
        <input class=\"free-text form-control form-control-inline\" value=\"{{ initVal }}\">
    </script>

    <script type=\"text/x-handlebars-template\" id=\"command-input-tpv_led-template\">
        <select name=\"tpv_ledCommand{{ unique }}\" id=\"tpv_ledCommand{{ unique }}\" class=\"tpv-led-command form-control form-control-inline\" style=\"width:100%\">
            <option value=\"off\" {{#eq value \"off\"}}selected=\"selected\"{{/eq}}>";
        echo __("Off");
        // line 210
        echo "</option>
            <option value=\"red\" {{#eq value \"red\"}}selected=\"selected\"{{/eq}}>";
        echo __("Red");
        // line 211
        echo "</option>
            <option value=\"green\" {{#eq value \"green\"}}selected=\"selected\"{{/eq}}>";
        echo __("Green");
        // line 212
        echo "</option>
            <option value=\"blue\" {{#eq value \"blue\"}}selected=\"selected\"{{/eq}}>";
        echo __("Blue");
        // line 213
        echo "</option>
            <option value=\"white\" {{#eq value \"white\"}}selected=\"selected\"{{/eq}}>";
        echo __("White");
        // line 219
        echo "</option>
        </select>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"command-input-rs232-template\">
        <div class=\"form-group-command form-group-rs232\">
            <input class=\"form-control form-control-inline rs232-text-input rs232-device-name\" placeholder=\"";
        echo __("Device Name/COM");
        // line 220
        echo "\" value=\"{{ value.cs.deviceName }}\">
            <input class=\"form-control form-control-inline rs232-text-input rs232-baud-rate\" placeholder=\"";
        echo __("Baud Rate");
        // line 221
        echo "\" value=\"{{ value.cs.baudRate }}\">
            <input class=\"form-control form-control-inline rs232-text-input rs232-data-bits\" placeholder=\"";
        echo __("Data Bits");
        // line 225
        echo "\" value=\"{{ value.cs.dataBits }}\">
        </div>
        <div class=\"form-group-command form-group-rs232\">
            <div class=\"col-12 col-sm-6\">
                <label for=\"rs232Parity{{ unique }}\">";
        echo __("Parity:");
        // line 236
        echo "</label>
                <select name=\"rs232Parity{{ unique }}\" id=\"rs232Parity{{ unique }}\" class=\"rs232-parity form-control\">
                    <option value=\"None\" {{#eq value.cs.parity \"None\"}}selected=\"selected\"{{/eq}}>None</option>
                    <option value=\"Odd\" {{#eq value.cs.parity \"Odd\"}}selected=\"selected\"{{/eq}}>Odd</option>
                    <option value=\"Even\" {{#eq value.cs.parity \"Even\"}}selected=\"selected\"{{/eq}}>Even</option>
                    <option value=\"Mark\" {{#eq value.cs.parity \"Mark\"}}selected=\"selected\"{{/eq}}>Mark</option>
                    <option value=\"Space\" {{#eq value.cs.parity \"Space\"}}selected=\"selected\"{{/eq}}>Space</option>
                </select>
            </div>

            <div class=\"col-12 col-sm-6\">
                <label for=\"rs232StopBits{{ unique }}\">";
        echo __("Stop Bits:");
        // line 246
        echo "</label>
                <select name=\"rs232StopBits{{ unique }}\" id=\"rs232StopBits{{ unique }}\" class=\"rs232-stop-bits form-control\">
                    <option value=\"None\" {{#eq value.cs.stopBits \"None\"}}selected=\"selected\"{{/eq}}>None</option>
                    <option value=\"One\" {{#eq value.cs.stopBits \"One\"}}selected=\"selected\"{{/eq}}>One</option>
                    <option value=\"Two\" {{#eq value.cs.stopBits \"Two\"}}selected=\"selected\"{{/eq}}>Two</option>
                    <option value=\"OnePointFive\" {{#eq value.cs.stopBits \"OnePointFive\"}}selected=\"selected\"{{/eq}}>OnePointFive</option>
                </select>
            </div>

            <div class=\"col-12 col-sm-6\">
                <label for=\"rs232Handshake{{ unique }}\">";
        echo __("Handshake:");
        // line 256
        echo "</label>
                <select name=\"rs232Handshake{{ unique }}\" id=\"rs232Handshake{{ unique }}\" class=\"rs232-handshake form-control\">
                    <option value=\"None\" {{#eq value.cs.handshake \"None\"}}selected=\"selected\"{{/eq}}>None</option>
                    <option value=\"XOnXOff\" {{#eq value.cs.handshake \"XOnXOff\"}}selected=\"selected\"{{/eq}}>XOnXOff</option>
                    <option value=\"RequestToSend\" {{#eq value.cs.handshake \"RequestToSend\"}}selected=\"selected\"{{/eq}}>RequestToSend</option>
                    <option value=\"RequestToSendXOnXOff\" {{#eq value.cs.handshake \"RequestToSendXOnXOff\"}}selected=\"selected\"{{/eq}}>RequestToSendXOnXOff</option>
                </select>
            </div>
            
            <div class=\"col-12 col-sm-6\">
                <label for=\"rs232HexSupport{{ unique }}\">";
        echo __("HexSupport:");
        // line 265
        echo "</label>
                <select name=\"rs232HexSupport{{ unique }}\" id=\"rs232HexSupport{{ unique }}\" class=\"rs232-hex-support form-control\">
                    <option value=\"0\" {{#eq value.cs.hexSupport \"0\"}}selected=\"selected\"{{/eq}}>0</option>
                    <option value=\"1\" {{#eq value.cs.hexSupport \"1\"}}selected=\"selected\"{{/eq}}>1</option>
                    <option value=\"default 0\" {{#eq value.cs.hexSupport \"default 0\"}}selected=\"selected\"{{/eq}}>default 0</option>
                </select>
            </div>
        </div>
        <div class=\"form-group-command form-group-rs232 command-group\">
            <input class=\"form-control rs232-command\" placeholder=\"";
        echo __("Command");
        // line 271
        echo "\" value=\"{{ value.command }}\">
        </div>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"command-input-intent-template\">
        <div class=\"form-group-command\">
            <label for=\"intentType{{ unique }}\">";
        echo __("Type:");
        // line 279
        echo "</label>
            <select name=\"intentType{{ unique }}\" id=\"intentType{{ unique }}\" class=\"intent-type form-control form-control-inline\">
                <option value=\"activity\" {{#eq value.type \"activity\"}}selected=\"selected\"{{/eq}}>activity</option>
                <option value=\"service\" {{#eq value.type \"service\"}}selected=\"selected\"{{/eq}}>service</option>
                <option value=\"broadcast\" {{#eq value.type \"broadcast\"}}selected=\"selected\"{{/eq}}>broadcast</option>
            </select>
        </div>

        <input name=\"intentName{{ unique }}\" id=\"intentName{{ unique }}\" class=\"intent-name form-control form-control-inline\" placeholder=\"";
        echo __("Intent");
        // line 282
        echo "\" value=\"{{ value.name }}\">

        <div class=\"form-group-command\">
            <label for=\"intentExtraContainer{{ unique }}\" class=\"intent-extra-container-label\">";
        echo __("Extra:");
        // line 293
        echo "</label>
            <button class=\"intent-add-extra btn btn-info btn-sm pull-right\" type=\"button\">
                <i class=\"fa fa-plus\"></i>
            </button>

            <div id=\"intentExtraContainer{{ unique }}\" class=\"intent-extra-container\"></div>
        </div>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"command-input-intent-extra-template\">
        <div class=\"intent-extra-element\">
            <input class=\"form-control form-control-inline extra-name\" placeholder=\"";
        echo __("Name");
        // line 300
        echo "\" value=\"{{ name }}\">
            <select class=\"form-control form-control-inline extra-type\">
                <option value=\"string\" {{#eq type \"string\"}}selected=\"selected\"{{/eq}}>string</option>
                <option value=\"int\" {{#eq type \"int\"}}selected=\"selected\"{{/eq}}>int</option>
                <option value=\"bool\" {{#eq type \"bool\"}}selected=\"selected\"{{/eq}}>bool</option>
                <option value=\"intArray\" {{#eq type \"intArray\"}}selected=\"selected\"{{/eq}}>intArray</option
            </select>
            <input class=\"form-control form-control-inline extra-value\" placeholder=\"";
        echo __("Value");
        // line 304
        echo "\" value=\"{{ value }}\">
            <button type=\"button\" class=\"btn btn-sm btn-warning pull-right intent-remove-extra\"><i class=\"fa fa-minus fa-plus\"></i></button>
        </div>
    </script>
    ";
        echo "

    <script type=\"text/x-handlebars-template\" id=\"multiselect-tag-edit-form-template\">
        <form id=\"multiselectTagEditForm\" data-gettag=\"";
        // line 307
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\">
            <input type=\"hidden\" id=\"requestURL\" name=\"requestURL\" value=\"";
        // line 308
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.editMultiple", ["type" => "[type]"]), "html", null, true);
        echo "\">
            <div class=\"form-group tags-with-value tags-input-wide row\">
                <label class=\"col-sm-2 control-label\" for=\"tagsToAdd\">";
        // line 310
        echo __("New tags");
        echo "</label>
                <div class=\"col-sm-10\">
                    <input class=\"form-control\" name=\"tagsToAdd\" type=\"email\" id=\"tagsToAdd\" data-role=\"tagsInputForm\" data-auto-complete-url=\"";
        // line 312
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.search"), "html", null, true);
        echo "\" />
                    <span class=\"help-block\">";
        // line 313
        echo __("A comma separated list of tags to add to the selected elements.");
        echo "</span>
                </div>
            </div>

            <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

            <div class=\"form-group row\">
                <label class=\"col-sm-2 control-label\" for=\"tagValue\" title=\"\" accesskey=\"\">";
        // line 320
        echo __("Tag value");
        echo "</label>
                <div class=\"col-sm-10\">
                    <select class=\"form-control\" name=\"tagValue\" id=\"tagValue\"></select>
                </div>
            </div>

            <div id=\"tagValueContainer\" style=\"display: none;\">
                <div class=\"form-group row\">
                    <label class=\"col-sm-2 control-label\" for=\"tagValueInput\" accesskey=\"\">";
        // line 328
        echo __("Tag value");
        echo "</label>
                    <div class=\"col-sm-10\">
                        <input class=\"form-control\" name=\"tagValueInput\" type=\"text\" id=\"tagValueInput\" value=\"\">
                        <span class=\"help-block\">";
        // line 331
        echo __("Provide an optional Value for this Tag. If no Value is required, this field can be left blank.");
        echo "</span>
                    </div>
                </div>
            </div>

            <div id=\"tagValueRequired\" class=\"alert alert-info d-none\">
                <p>";
        // line 337
        echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
        echo "</p>
            </div>

            <div id=\"tagsToRemoveContainer\" class=\"form-group tags-with-value tags-input-wide row\">
                <label class=\"col-sm-2 control-label\" for=\"tagsToRemove\">";
        // line 341
        echo __("Existing tags");
        echo "</label>
                <div class=\"col-sm-10\">
                    <input class=\"form-control\" name=\"tagsToRemove\" type=\"email\" id=\"tagsToRemove\" data-role=\"tagsInputForm\" data-auto-complete-url=\"";
        // line 343
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.search"), "html", null, true);
        echo "\" />
                    <span class=\"help-block\">";
        // line 344
        echo __("Remove tags from the list to remove them from elements that contain them.");
        echo "</span>
                </div>
            </div>
        </form>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"display-status-window-template\">
        <div style=\"margin-top:5px; max-height: 400px; overflow-y: auto;\">
            ";
        // line 354
        echo "
            {{#if data}}
            ";
        echo "
            ";
        // line 355
        echo __("Player Status Window");
        echo ":
            ";
        // line 372
        echo "
                {{#eq type \"android\"}}
                    <div class=\"card p-3 mb-3 bg-light\">
                          <span>{{{data}}}</span>
                    </div>
                {{/eq}}
                {{#neq type \"android\"}}
                    <div class=\"card p-3 mb-3 bg-light\">
                        <ul>
                            {{#each data as |value key|}}
                            <li>{{key}}: {{value}}</li>
                            {{/each}}
                        </ul>
                    </div>
                {{/neq}}
            {{/if}}
            ";
        echo "
        </div>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"auto-submit-field-template\">
        <div class=\"checkbox\">
            <label for=\"autoSubmit\" accesskey=\"a\" title=\"";
        // line 378
        echo __("When enabled, this form will automatically submit in future. Reset this in your User Profile.");
        echo "\">
                <input type=\"checkbox\" id=\"autoSubmit\" name=\"autoSubmit\">
                ";
        // line 380
        echo __("Automatically submit this form?");
        // line 381
        echo "            </label>
        </div>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"folder-tree-template\">
        <!-- Modal -->
        ";
        // line 389
        echo "
        <div id=\"{{ modal }}\" class=\"modal fade inner-modal\" role=\"dialog\">
         ";
        echo "
            <div class=\"modal-dialog modal-sm\" style=\"width:450px;\">

                <!-- Modal content-->
                <div class=\"modal-content\">
                    <div class=\"modal-header\">
                        <h4 class=\"modal-title\">";
        // line 395
        echo __("Select Folder");
        echo "</h4>
                        <button type=\"button\" class=\"close btnCloseInnerModal\">&times;</button>
                    </div>
                    <div class=\"modal-body\">
                        <div class=\"form-group card p-3 mb-3 bg-light\">
                            ";
        // line 402
        echo "
                                <div id=\"{{ container }}\"></div>
                            ";
        echo "
                        </div>
                    </div>
                    <div class=\"modal-footer\">
                        <button type=\"button\" class=\"btn btn-white btnCloseInnerModal\">";
        // line 406
        echo __("Done");
        echo "</button>
                    </div>
                </div>

            </div>
        </div>
    </script>

    <script type=\"text/x-handlebars-template\" id=\"mini-player-template\">
        <div id=\"miniLayoutPreview\" class=\"mini-layout-preview\">
            <div id=\"playBtn\" class=\"fa fa-play preview-button\" title=\"";
        // line 416
        echo __("Play Preview");
        echo "\"></div>
            <div id=\"closeBtn\" class=\"fa fa-close preview-button\" title=\"";
        // line 417
        echo __("Close Preview");
        echo "\"></div>
            <div id=\"sizeBtn\" class=\"fa fa-plus-square preview-button\" title=\"";
        // line 418
        echo __("Change window size");
        echo "\"></div>
            <div id=\"newTabBtn\" class=\"fa fa-external-link-square preview-button\" title=\"";
        // line 419
        echo __("Preview in new window");
        echo "\"></div>
            <div id=\"content\"></div>
        </div>
    </script>

    <script  type=\"text/javascript\">
        function moveFolderMultiSelectFormOpen(dialog) {
            // make bootstrap happy.
            if (\$('#folder-tree-form-modal').length != 0) {
                \$('#folder-tree-form-modal').remove();
            }

            var folderContainer = '<div class=\"card p-3 mb-3 bg-light\" id=\"container-folder-form-tree\"></div>';
            var \$hiddenInput = \$('<input name=\"folderId\" type=\"hidden\" id=\"formFolderId\">');

            \$hiddenInput.on('change', function() {
                dialog.data().commitData = {folderId: \$(this).val()};
            });

            \$(dialog).find('.modal-body').append(folderContainer);
            \$(dialog).find('.modal-body').append(\$hiddenInput);
            initJsTreeAjax('#container-folder-form-tree', \"multi-select-folder\", true, 600000);
        }

        function triggerWebhookMultiSelectFormOpen(dialog) {
            var \$triggerCode =   \$(
                '<div class=\"form-group row\">' +
                '<label class=\"col-sm-2 control-label\" for=\"triggerCode\" accesskey=\"\">";
        // line 446
        echo __("Trigger Code");
        echo "</label>' +
                '<div class=\"col-sm-10\">' +
                '<input class=\"form-control\" name=\"triggerCode\" type=\"text\" id=\"triggerCode\" value=\"\">' +
                '<span class=\"help-block\">";
        // line 449
        echo __("Enter the code associated with the web hook you wish to trigger. Please note that for this action to work, the webhook trigger code has to be added to Interactive Actions in scheduled content for this Player.");
        echo "</span>' +
                '</div>' +
                '</div>'
            );

            \$(dialog).find('.modal-body').append(\$triggerCode);

            \$('#triggerCode').on('change', function() {

                dialog.data().commitData = {
                    triggerCode: \$('#triggerCode').val()
                };
            });
        }
    </script>

    ";
        // line 466
        echo "    ";
        $this->loadTemplate("include-file-upload.twig", "authed.twig", 466)->display($context);
    }

    public function getTemplateName()
    {
        return "authed.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  763 => 466,  744 => 449,  738 => 446,  708 => 419,  704 => 418,  700 => 417,  696 => 416,  683 => 406,  674 => 402,  666 => 395,  655 => 389,  647 => 381,  645 => 380,  640 => 378,  615 => 372,  611 => 355,  605 => 354,  594 => 344,  590 => 343,  585 => 341,  578 => 337,  569 => 331,  563 => 328,  552 => 320,  542 => 313,  538 => 312,  533 => 310,  528 => 308,  524 => 307,  514 => 304,  504 => 300,  490 => 293,  484 => 282,  473 => 279,  464 => 271,  452 => 265,  439 => 256,  426 => 246,  412 => 236,  405 => 225,  401 => 221,  397 => 220,  388 => 219,  384 => 213,  380 => 212,  376 => 211,  372 => 210,  356 => 209,  344 => 196,  340 => 187,  284 => 186,  279 => 133,  255 => 110,  248 => 106,  244 => 104,  240 => 103,  234 => 95,  228 => 90,  222 => 89,  213 => 96,  211 => 95,  205 => 91,  202 => 90,  200 => 89,  196 => 87,  191 => 84,  188 => 83,  177 => 82,  173 => 80,  171 => 79,  168 => 78,  166 => 77,  163 => 76,  161 => 75,  155 => 71,  153 => 70,  148 => 68,  143 => 65,  141 => 64,  136 => 61,  133 => 60,  129 => 58,  127 => 57,  124 => 56,  118 => 52,  115 => 51,  112 => 50,  109 => 49,  106 => 48,  96 => 47,  92 => 45,  90 => 44,  77 => 34,  73 => 32,  70 => 31,  68 => 30,  60 => 28,  57 => 27,  54 => 26,  50 => 25,  39 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "authed.twig", "/home/mgatv524/public_html/mctv/views/authed.twig");
    }
}
