<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-rss-form-add.twig */
class __TwigTemplate_af076ad88b68aa81680b046c9cf63b5d158a01992e951d7f381d53dc2e235bff extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formFieldActions' => [$this, 'block_formFieldActions'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "dataset-rss-form-add.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "dataset-rss-form-add.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Add RSS");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 33
        echo __("Save");
        echo ", \$(\"#dataSetRssAddForm\").submit()
";
    }

    // line 36
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "configureQueryBuilder";
    }

    // line 38
    public function block_formFieldActions($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 39
        echo "[
    {
    \"field\": \"useOrderingClause\",
    \"trigger\": \"init\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".order-clause-field\": { \"display\": \"none\" },
    \"#orderClause\": { \"display\": \"\" }
    }
    },{
    \"field\": \"useOrderingClause\",
    \"trigger\": \"change\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".order-clause-field\": { \"display\": \"none\" },
    \"#orderClause\": { \"display\": \"\" }
    }
    },{
    \"field\": \"useOrderingClause\",
    \"trigger\": \"init\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".order-clause-field\": { \"display\": \"\" },
    \"#orderClause\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"useOrderingClause\",
    \"trigger\": \"change\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".order-clause-field\": { \"display\": \"\" },
    \"#orderClause\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"useFilteringClause\",
    \"trigger\": \"init\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".filter-clause-field\": { \"display\": \"none\" },
    \"#filterClause\": { \"display\": \"\" }
    }
    },{
    \"field\": \"useFilteringClause\",
    \"trigger\": \"change\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".filter-clause-field\": { \"display\": \"none\" },
    \"#filterClause\": { \"display\": \"\" }
    }
    },{
    \"field\": \"useFilteringClause\",
    \"trigger\": \"init\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".filter-clause-field\": { \"display\": \"\" },
    \"#filterClause\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"useFilteringClause\",
    \"trigger\": \"change\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".filter-clause-field\": { \"display\": \"\" },
    \"#filterClause\": { \"display\": \"none\" }
    }
    }
]
";
    }

    // line 116
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(($context["extra"] ?? null));
    }

    // line 118
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 119
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 122
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#orderCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 123
        echo __("Order");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#filterCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 124
        echo __("Filter");
        echo "</span></a></li>
            </ul>
            <form id=\"dataSetRssAddForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 126
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.rss.add", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 126)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Title");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The title for this Rss");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["title", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required"], 131, $context, $this->getSourceContext());
        echo "

                        ";
        // line 133
        ob_start(function () { return ''; });
        echo __("Author");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The author for this Rss");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["author", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 135, $context, $this->getSourceContext());
        echo "

                        ";
        // line 137
        ob_start(function () { return ''; });
        echo __("Title Column");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a column to be the item title");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["titleColumnId", "single", ($context["title"] ?? null), ($context["titleColumnId"] ?? null), twig_array_merge([0 => ["dataSetColumnId" => null, "heading" => ""]], twig_get_attribute($this->env, $this->source, ($context["extra"] ?? null), "columns", [], "any", false, false, false, 139)), "dataSetColumnId", "heading", ($context["helpText"] ?? null)], 139, $context, $this->getSourceContext());
        echo "

                        ";
        // line 141
        ob_start(function () { return ''; });
        echo __("Summary Column");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a column to be the item summary");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["summaryColumnId", "single", ($context["title"] ?? null), ($context["summaryColumnId"] ?? null), twig_array_merge([0 => ["dataSetColumnId" => null, "heading" => ""]], twig_get_attribute($this->env, $this->source, ($context["extra"] ?? null), "columns", [], "any", false, false, false, 143)), "dataSetColumnId", "heading", ($context["helpText"] ?? null)], 143, $context, $this->getSourceContext());
        echo "

                        ";
        // line 145
        ob_start(function () { return ''; });
        echo __("Content Column");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 146
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a column to be the item content");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["contentColumnId", "single", ($context["title"] ?? null), ($context["contentColumnId"] ?? null), twig_array_merge([0 => ["dataSetColumnId" => null, "heading" => ""]], twig_get_attribute($this->env, $this->source, ($context["extra"] ?? null), "columns", [], "any", false, false, false, 147)), "dataSetColumnId", "heading", ($context["helpText"] ?? null)], 147, $context, $this->getSourceContext());
        echo "

                        ";
        // line 149
        ob_start(function () { return ''; });
        echo __("Published Date Column");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 150
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a column to be the item content. We will try to convert this to a date/time and if we can't we will use the current date/time.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["publishedDateColumn", "single", ($context["title"] ?? null), ($context["publishedDateColumn"] ?? null), twig_array_merge([0 => ["dataSetColumnId" => null, "heading" => ""]], twig_get_attribute($this->env, $this->source, ($context["extra"] ?? null), "dateColumns", [], "any", false, false, false, 151)), "dataSetColumnId", "heading", ($context["helpText"] ?? null)], 151, $context, $this->getSourceContext());
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"orderCriteria\">

                        ";
        // line 155
        ob_start(function () { return ''; });
        echo __("The DataSet results can be ordered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated order be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 156, $context, $this->getSourceContext());
        echo "

                        <div id=\"orderClause\">

                        </div>

                        ";
        // line 162
        ob_start(function () { return ''; });
        echo __("Use advanced order clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 163
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 164
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useOrderingClause", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useOrderingClause", 1 => 0], "method", false, false, false, 164), ($context["helpText"] ?? null)], 164, $context, $this->getSourceContext());
        echo "

                        ";
        // line 166
        ob_start(function () { return ''; });
        echo __("Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 167
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause for how this dataset should be ordered");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 168
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["ordering", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "ordering"], "method", false, false, false, 168), ($context["helpText"] ?? null), "order-clause-field"], 168, $context, $this->getSourceContext());
        echo "

                    </div>
                    <div class=\"tab-pane\" id=\"filterCriteria\">
                        ";
        // line 172
        ob_start(function () { return ''; });
        echo __("The DataSet results can be filtered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated filter be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 173
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 173, $context, $this->getSourceContext());
        echo "

                        <div id=\"filterClause\">

                        </div>

                        ";
        // line 179
        ob_start(function () { return ''; });
        echo __("Use advanced filter clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 180
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 181
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useFilteringClause", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useFilteringClause", 1 => 0], "method", false, false, false, 181), ($context["helpText"] ?? null)], 181, $context, $this->getSourceContext());
        echo "

                        ";
        // line 183
        ob_start(function () { return ''; });
        echo __("Filter");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 184
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause to filter this DataSet.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 185
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["filter", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "filter"], "method", false, false, false, 185), ($context["helpText"] ?? null), "filter-clause-field"], 185, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "dataset-rss-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  379 => 185,  374 => 184,  370 => 183,  364 => 181,  359 => 180,  355 => 179,  345 => 173,  341 => 172,  333 => 168,  328 => 167,  324 => 166,  318 => 164,  313 => 163,  309 => 162,  299 => 156,  295 => 155,  287 => 151,  282 => 150,  278 => 149,  272 => 147,  267 => 146,  263 => 145,  257 => 143,  252 => 142,  248 => 141,  242 => 139,  237 => 138,  233 => 137,  227 => 135,  222 => 134,  218 => 133,  212 => 131,  207 => 130,  203 => 129,  197 => 126,  192 => 124,  188 => 123,  184 => 122,  179 => 119,  175 => 118,  168 => 116,  89 => 39,  85 => 38,  78 => 36,  72 => 33,  67 => 32,  63 => 31,  58 => 28,  54 => 27,  49 => 24,  47 => 25,  40 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-rss-form-add.twig", "/home/mgatv524/public_html/mctv/views/dataset-rss-form-add.twig");
    }
}
