<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* chart-form-edit.twig */
class __TwigTemplate_1f100247cffb49fa01cafa1f7fee60936a578087450aa1e5c4adba500efc6fe5 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "chart-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "chart-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Chart");
    }

    // line 31
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getExtra", [], "method", false, false, false, 31));
    }

    // line 33
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 39
        echo __("Configuration");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#dataTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("Data");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#labelsTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Labels");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 48
        echo __("Appearance");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#styleTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 51
        echo __("Style");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#colourPalletTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 52
        echo __("Colour Palette");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#orderCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 55
        echo __("Order");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#filterCriteria\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 56
        echo __("Filter");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#cacheTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 57
        echo __("Caching");
        echo "</span></a></li>
        </ul>

        <div class=\"col-md-12\">
            <form id=\"graphEditFormStep2\" class=\"XiboForm form-horizontal\" data-form-step=\"2\" method=\"put\" action=\"";
        // line 61
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 61), "widgetId", [], "any", false, false, false, 61)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 64
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 66), ($context["helpText"] ?? null)], 66, $context, $this->getSourceContext());
        echo "

                        ";
        // line 68
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 70), ($context["helpText"] ?? null)], 70, $context, $this->getSourceContext());
        echo "

                        ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 74), ($context["helpText"] ?? null), "duration-fields", "required"], 74, $context, $this->getSourceContext());
        echo "

                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "
                        ";
        // line 79
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 83
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 84
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 85
($context["inheritOption"] ?? null)]];
        // line 87
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 87)], "method", false, false, false, 87), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 87, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"dataTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 92
        echo __("Data");
        echo "</h4>
                        </div>

                        ";
        // line 95
        ob_start(function () { return ''; });
        echo __("Bar");
        $context["bar_chart"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Line");
        $context["line_chart"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Horizontal Bar");
        $context["horizontal_bar_chart"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Pie");
        $context["pie_chart"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Donut");
        $context["donut_chart"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Radar");
        $context["radar_chart"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "line", "type" =>         // line 102
($context["line_chart"] ?? null)], 1 => ["typeid" => "bar", "type" =>         // line 103
($context["bar_chart"] ?? null)], 2 => ["typeid" => "pie", "type" =>         // line 104
($context["pie_chart"] ?? null)], 3 => ["typeid" => "doughnut", "type" =>         // line 105
($context["donut_chart"] ?? null)], 4 => ["typeid" => "horizontalBar", "type" =>         // line 106
($context["horizontal_bar_chart"] ?? null)], 5 => ["typeid" => "radar", "type" =>         // line 107
($context["radar_chart"] ?? null)]];
        // line 109
        echo "
                        ";
        // line 110
        ob_start(function () { return ''; });
        echo __("Chart Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 111
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select which type of chart to Display.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["graphType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "graphType"], "method", false, false, false, 112), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 112, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 114
        $context["message"] = ('' === $tmp = "Configure your Chart data using the below selectors. Use the `+` icon to add an X and Y-Axis and to include a Series Identifier (not available for Pie/Donut Chart Types) to breakdown values.") ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 115, $context, $this->getSourceContext());
        echo "

                        <div id=\"graphConfig\"></div>

                        ";
        // line 119
        ob_start(function () { return ''; });
        echo __("Always start the Y-Axis at 0?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["startYAtZero", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "startYAtZero"], "method", false, false, false, 120)], 120, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"labelsTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 125
        echo __("Labels");
        echo "</h4>
                        </div>

                        ";
        // line 128
        ob_start(function () { return ''; });
        echo __("Title");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter a title to show on the Chart.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["title", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "title"], "method", false, false, false, 130), ($context["helpText"] ?? null)], 130, $context, $this->getSourceContext());
        echo "

                        ";
        // line 132
        ob_start(function () { return ''; });
        echo __("X-Axis Label");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 133
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter a label to show on the Charts x-axis.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["x-axis-label", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "x-axis-label"], "method", false, false, false, 134), ($context["helpText"] ?? null)], 134, $context, $this->getSourceContext());
        echo "

                        ";
        // line 136
        ob_start(function () { return ''; });
        echo __("Y-Axis Label");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter a label to show on the Charts y-axis.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["y-axis-label", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "y-axis-label"], "method", false, false, false, 138), ($context["helpText"] ?? null)], 138, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 140
        ob_start(function () { return ''; });
        echo __("Top");
        $context["positionTop"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Left");
        $context["positionLeft"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Right");
        $context["positionRight"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Bottom");
        $context["positionBottom"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        $context["options"] = [0 => ["typeid" => "top", "type" =>         // line 145
($context["positionTop"] ?? null)], 1 => ["typeid" => "left", "type" =>         // line 146
($context["positionLeft"] ?? null)], 2 => ["typeid" => "right", "type" =>         // line 147
($context["positionRight"] ?? null)], 3 => ["typeid" => "bottom", "type" =>         // line 148
($context["positionBottom"] ?? null)]];
        // line 150
        echo "                        
                        ";
        // line 151
        ob_start(function () { return ''; });
        echo __("Show legend?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showLegend", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showLegend"], "method", false, false, false, 152)], 152, $context, $this->getSourceContext());
        echo "

                        ";
        // line 154
        ob_start(function () { return ''; });
        echo __("Legend Position");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Where should the legend be positioned.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["legendPosition", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "legendPosition"], "method", false, false, false, 156), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null), "legend-fields"], 156, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"styleTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 161
        echo __("Style");
        echo "</h4>
                        </div>

                        ";
        // line 164
        ob_start(function () { return ''; });
        echo __("Background Color");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 165
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select an optional background colour to put behind the chart, leaving this blank will make the graph transparent.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 166
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["backgroundColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "backgroundColor"], "method", false, false, false, 166), ($context["helpText"] ?? null), "background-color-group"], 166, $context, $this->getSourceContext());
        echo "

                        ";
        // line 168
        ob_start(function () { return ''; });
        echo __("Font Color");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 169
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Choose a font colour that will work well with your Layout's background - or the Region below this one.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["fontColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "fontColor"], "method", false, false, false, 170), ($context["helpText"] ?? null)], 170, $context, $this->getSourceContext());
        echo "

                        ";
        // line 172
        ob_start(function () { return ''; });
        echo __("Font Size");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 173
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Set the font size for all text that will show on the chart.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 174
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["fontSize", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "fontSize"], "method", false, false, false, 174), ($context["helpText"] ?? null)], 174, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"colourPalletTab\">

                        <div class=\"form-content-title\">
                            <h4>";
        // line 180
        echo __("Colour Palette");
        echo "</h4>
                        </div>

                        ";
        // line 183
        ob_start(function () { return ''; });
        echo __("Add a Colour Palette to use when drawing a charts data series. If no or too few colours are specified the default colours will be used.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 184
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 184, $context, $this->getSourceContext());
        echo "

                        <div id=\"seriesColors\"></div>
                    </div>

                    <div class=\"tab-pane\" id=\"orderCriteria\">
                        ";
        // line 190
        ob_start(function () { return ''; });
        echo __("The DataSet results can be ordered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated order be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 191
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 191, $context, $this->getSourceContext());
        echo "

                        <div id=\"orderClause\"></div>

                        ";
        // line 195
        ob_start(function () { return ''; });
        echo __("Use advanced order clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 196
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 197
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useOrderingClause", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useOrderingClause", 1 => 0], "method", false, false, false, 197), ($context["helpText"] ?? null)], 197, $context, $this->getSourceContext());
        echo "

                        ";
        // line 199
        ob_start(function () { return ''; });
        echo __("Order");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 200
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause for how this dataset should be ordered");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 201
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["ordering", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "ordering"], "method", false, false, false, 201), ($context["helpText"] ?? null), "order-clause-field"], 201, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"filterCriteria\">
                        ";
        // line 205
        ob_start(function () { return ''; });
        echo __("The DataSet results can be filtered by any column and set below. New fields can be added by selecting the plus icon at the end of the current row. Should a more complicated filter be required the advanced checkbox can be selected to provide custom SQL syntax.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 206
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 206, $context, $this->getSourceContext());
        echo "

                        <div id=\"filterClause\"></div>

                        ";
        // line 210
        ob_start(function () { return ''; });
        echo __("Use advanced filter clause?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 211
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Provide a custom clause instead of using the clause builder above.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 212
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useFilteringClause", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useFilteringClause", 1 => 0], "method", false, false, false, 212), ($context["helpText"] ?? null)], 212, $context, $this->getSourceContext());
        echo "

                        ";
        // line 214
        ob_start(function () { return ''; });
        echo __("Filter");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 215
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter a SQL clause to filter this DataSet.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 216
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["filter", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "filter"], "method", false, false, false, 216), ($context["helpText"] ?? null), "filter-clause-field"], 216, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cacheTab\">
                        ";
        // line 220
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 221
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per day this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 222
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["updateInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 5], "method", false, false, false, 222), ($context["helpText"] ?? null), "", "required"], 222, $context, $this->getSourceContext());
        echo "
                    </div>

                </div>

                <input type=\"hidden\" name=\"step\" value=\"2\" />
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "chart-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  587 => 222,  582 => 221,  578 => 220,  570 => 216,  565 => 215,  561 => 214,  555 => 212,  550 => 211,  546 => 210,  538 => 206,  534 => 205,  526 => 201,  521 => 200,  517 => 199,  511 => 197,  506 => 196,  502 => 195,  494 => 191,  490 => 190,  480 => 184,  476 => 183,  470 => 180,  460 => 174,  455 => 173,  451 => 172,  445 => 170,  440 => 169,  436 => 168,  430 => 166,  425 => 165,  421 => 164,  415 => 161,  406 => 156,  401 => 155,  397 => 154,  391 => 152,  387 => 151,  384 => 150,  382 => 148,  381 => 147,  380 => 146,  379 => 145,  377 => 144,  372 => 143,  367 => 142,  362 => 141,  358 => 140,  352 => 138,  347 => 137,  343 => 136,  337 => 134,  332 => 133,  328 => 132,  322 => 130,  317 => 129,  313 => 128,  307 => 125,  298 => 120,  294 => 119,  286 => 115,  284 => 114,  278 => 112,  273 => 111,  269 => 110,  266 => 109,  264 => 107,  263 => 106,  262 => 105,  261 => 104,  260 => 103,  259 => 102,  257 => 101,  252 => 100,  247 => 99,  242 => 98,  237 => 97,  232 => 96,  228 => 95,  222 => 92,  213 => 87,  211 => 85,  210 => 84,  209 => 83,  207 => 82,  202 => 81,  197 => 80,  193 => 79,  190 => 78,  185 => 77,  181 => 76,  175 => 74,  170 => 73,  166 => 72,  160 => 70,  155 => 69,  151 => 68,  145 => 66,  140 => 65,  136 => 64,  130 => 61,  123 => 57,  119 => 56,  115 => 55,  109 => 52,  105 => 51,  99 => 48,  91 => 43,  87 => 42,  81 => 39,  75 => 36,  71 => 34,  67 => 33,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "chart-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/chart-form-edit.twig");
    }
}
