<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-multiple-permissions.twig */
class __TwigTemplate_c5fce3cf531cd3ca43f1aa3c56e42406e064bddd72bb9ebcd4acbd39d300b756 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "user-form-multiple-permissions.twig", 24)->unwrap();
        // line 25
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "user-form-multiple-permissions.twig", 25)->unwrap();
        // line 27
        $context["randomId"] = twig_random($this->env);
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-multiple-permissions.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 29
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "    ";
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["object"] ?? null), "isLayoutSpecific", [], "any", false, false, false, 30), 1))) {
            // line 31
            echo "        ";
            $context["objectName"] = __("Layout");
            // line 32
            echo "    ";
        } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["object"] ?? null), "isDisplaySpecific", [], "any", false, false, false, 32), 1))) {
            // line 33
            echo "        ";
            $context["objectName"] = __("Display");
            // line 34
            echo "    ";
        } else {
            // line 35
            echo "        ";
            $context["objectName"] = __(($context["entity"] ?? null));
            // line 36
            echo "    ";
        }
        // line 37
        echo "
    ";
        // line 38
        /* xgettext:no-php-format */        echo strtr(__("Sharing for %objectName%"), array("%objectName%" => ($context["objectName"] ?? null), ));
    }

    // line 41
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 42
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "permissions", [], "any", false, false, false, 42), "html", null, true);
        echo "\")
    ";
        // line 43
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 44
        echo __("Save");
        echo ", permissionsMultiFormSubmit(\"";
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\")
";
    }

    // line 47
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "permissionsMultiFormOpen";
    }

    // line 49
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 50
        echo "    <div class=\"multiple-permissions-form\">
        <div class=\"row\">
            <div class=\"col-md-12\">
                <div class=\"XiboGrid permissionsGrid\" id=\"";
        // line 53
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\"
                     data-url=\"";
        // line 54
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.permissions.multi", ["entity" => ($context["entity"] ?? null)]), "html", null, true);
        echo "\"
                     data-target-ids=\"";
        // line 55
        echo twig_escape_filter($this->env, ($context["objectIds"] ?? null), "html", null, true);
        echo "\">
                    <div class=\"permissionsMultiTableFilter\">
                        <div class=\"XiboFilter card mb-3 bg-light\">
                            <div class=\"FilterDiv card-body\" id=\"Filter\">
                                <form class=\"form-inline\">
                                    ";
        // line 60
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["name", ($context["title"] ?? null)], 61, $context, $this->getSourceContext());
        echo "
                                </form>
                            </div>
                        </div>
                    </div>

                    ";
        // line 67
        ob_start(function () { return ''; });
        // line 68
        echo "                        ";
        echo __("Edit multiple sharing at the same time. Elements shown with an indeterminate state [-], result from a difference in sharing already set. All changes set here will be applied to all selected elements.");
        echo "<br>
                    ";
        $context["multiplePermissionsMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["multiplePermissionsMessage"] ?? null)], 70, $context, $this->getSourceContext());
        echo "
                    
                    <div class=\"XiboData card pt-3\">
                        <table id=\"permissionsMultiTable\" class=\"table table-striped\">
                            <thead>
                            <tr>
                                <th>";
        // line 76
        echo __("Name");
        echo "</th>
                                <th>";
        // line 77
        echo __("View");
        echo "</th>
                                <th>";
        // line 78
        echo __("Edit");
        echo "</th>
                                <th>";
        // line 79
        echo __("Delete");
        echo "</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-multiple-permissions.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  187 => 79,  183 => 78,  179 => 77,  175 => 76,  165 => 70,  159 => 68,  157 => 67,  147 => 61,  143 => 60,  135 => 55,  131 => 54,  127 => 53,  122 => 50,  118 => 49,  111 => 47,  103 => 44,  99 => 43,  92 => 42,  88 => 41,  84 => 38,  81 => 37,  78 => 36,  75 => 35,  72 => 34,  69 => 33,  66 => 32,  63 => 31,  60 => 30,  56 => 29,  51 => 23,  49 => 27,  47 => 25,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-multiple-permissions.twig", "/home/mgatv524/public_html/mctv/views/user-form-multiple-permissions.twig");
    }
}
