<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* library-page.twig */
class __TwigTemplate_e919afed48d2a0cc06c1c1cabc2f1e9546f2c2036b2cdf6eb0a39de6f43b72ef extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "library-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "library-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Library"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    ";
        if (((1 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabledCount", [0 => [0 => "library.add", 1 => "library.modify"]], "method", false, false, false, 29), 0)) || (0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "SETTING_LIBRARY_TIDY_ENABLED", [], "any", false, false, false, 29), 1)))) {
            // line 30
            echo "    <div class=\"widget-action-menu pull-right\">
        ";
            // line 31
            if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "library.add"], "method", false, false, false, 31)) {
                // line 32
                echo "        <button class=\"btn btn-success\" href=\"#\" id=\"libraryUploadForm\" title=\"";
                echo __("Add a new media item to the library");
                echo "\"><i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
                echo __("Add Media");
                echo "</button>
        <button class=\"btn btn-success XiboFormButton\" title=\"";
                // line 33
                echo __("Add a new media item to the library via external URL");
                echo "\" href=\"";
                echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.uploadUrl.form"), "html", null, true);
                echo "\"> <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
                echo __("Add media (URL)");
                echo "</button>
        ";
            }
            // line 35
            echo "        ";
            if (((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "SETTING_LIBRARY_TIDY_ENABLED", [], "any", false, false, false, 35), 1)) && twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "library.modify"], "method", false, false, false, 35))) {
                // line 36
                echo "            <button class=\"btn btn-danger XiboFormButton\" title=\"";
                echo __("Run through the library and remove unused and unnecessary files");
                echo "\" href=\"";
                echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.tidy.form"), "html", null, true);
                echo "\"> <i class=\"fa fa-trash\" aria-hidden=\"true\"></i> ";
                echo __("Tidy Library");
                echo "</button>
        ";
            }
            // line 38
            echo "    </div>
    ";
        }
    }

    // line 43
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 44
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 45
        echo __("Library");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 47
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"libraryView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">
                            ";
        // line 51
        ob_start(function () { return ''; });
        echo __("ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_number", ["mediaId", ($context["title"] ?? null)], 52, $context, $this->getSourceContext());
        echo "

                            <div class=\"form-group mr-1 mb-1\">
                                <label class=\"control-label mr-1\" title=\"\" for=\"media\" accesskey=\"\">";
        // line 55
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"media\" type=\"text\" id=\"media\" value=\"\">
                                        <div class=\"input-group-append input-group-addon\">
                                            <div class=\"input-group-text\">
                                                <input title=\"";
        // line 61
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            ";
        // line 68
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 68)) {
            // line 69
            echo "                                ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 70
            echo "                                ";
            ob_start(function () { return ''; });
            echo __("Exact match?");
            $context["exactTagTitle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 71
            echo "                                ";
            ob_start(function () { return ''; });
            echo __("A comma separated list of tags to filter by. Enter a Tag value preceded with | to filter by Tag values. Enter --no-tag to see items without tags.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 72
            echo "                                ";
            echo twig_call_macro($macros["inline"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), null, ($context["helpText"] ?? null), null, null, null, "exactTags", ($context["exactTagTitle"] ?? null)], 72, $context, $this->getSourceContext());
            echo "
                            ";
        }
        // line 74
        echo "
                            ";
        // line 75
        $context["attributes"] = [0 => ["name" => "data-allow-clear", "value" => "true"], 1 => ["name" => "data-placeholder--id", "value" => null], 2 => ["name" => "data-placeholder--value", "value" => ""]];
        // line 80
        echo "
                            ";
        // line 81
        ob_start(function () { return ''; });
        echo __("Owner");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                            ";
        $context["users"] = twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null));
        // line 83
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["ownerId", "single", ($context["title"] ?? null), null, ($context["users"] ?? null), "userId", "userName", "", "selectPicker", "", "", "", ($context["attributes"] ?? null)], 83, $context, $this->getSourceContext());
        echo "

                            ";
        // line 85
        ob_start(function () { return ''; });
        echo __("Owner User Group");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items owned by users in the selected User Group.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["ownerUserGroupId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["groupId" => null, "group" => ""]], ($context["groups"] ?? null)), "groupId", "group", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 87, $context, $this->getSourceContext());
        echo "

                            ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["type", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["type" => null, "name" => ""]], ($context["modules"] ?? null)), "type", "name"], 90, $context, $this->getSourceContext());
        echo "

                            ";
        // line 92
        ob_start(function () { return ''; });
        echo __("Retired");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                            ";
        $context["values"] = [0 => ["id" => 1, "value" => "Yes"], 1 => ["id" => 0, "value" => "No"]];
        // line 94
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["retired", "single", ($context["title"] ?? null), 0, ($context["values"] ?? null), "id", "value"], 94, $context, $this->getSourceContext());
        echo "

                            ";
        // line 96
        echo twig_call_macro($macros["inline"], "macro_hidden", ["folderId"], 96, $context, $this->getSourceContext());
        echo "

                            ";
        // line 98
        ob_start(function () { return ''; });
        echo __("Layout ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_number", ["layoutId", ($context["title"] ?? null), ($context["layoutId"] ?? null)], 99, $context, $this->getSourceContext());
        echo "
                        </form>
                    </div>
                </div>
                <div class=\"row\">
                    <div class=\"col-sm-2 p-3 bg-light\" id=\"grid-folder-filter\">
                        <div class=\"form-check\">
                            <input type=\"checkbox\" class=\"form-check-input\" id=\"folder-tree-clear-selection-button\">
                            <label class=\"form-check-label\" for=\"folder-tree-clear-selection-button\" title=\"";
        // line 107
        echo __("Search in all folders");
        echo "\">";
        echo __("All Folders");
        echo "</label>
                        </div>
                        <div id=\"container-folder-tree\"></div>
                    </div>
                    <div class=\"folder-controller d-none\">
                        <button type=\"button\" id=\"folder-tree-select-folder-button\" class=\"btn btn-outline-secondary\" title=\"";
        // line 112
        echo __("Open / Close Folder Search options");
        echo "\"><i class=\"fas fa-folder fa-1x\"></i></button>
                        <div id=\"breadcrumbs\" class=\"mt-2 pl-2\"></div>
                    </div>
                    <div id=\"datatable-container\" class=\"card col-sm-10 pt-4 px-2\">
                        <div class=\"XiboData\">
                            <table id=\"libraryItems\" class=\"table table-striped responsive nowrap\" data-content-type=\"media\" data-content-id-name=\"mediaId\" data-state-preference-name=\"libraryGrid\" style=\"width: 100%;\">
                                <thead>
                                <tr>
                                    <th>";
        // line 120
        echo __("ID");
        echo "</th>
                                    <th>";
        // line 121
        echo __("Name");
        echo "</th>
                                    <th>";
        // line 122
        echo __("Type");
        echo "</th>
                                    ";
        // line 123
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 123)) {
            echo "<th>";
            echo __("Tag");
            echo "</th>";
        }
        // line 124
        echo "                                    <th>";
        echo __("Thumbnail");
        echo "</th>
                                    <th>";
        // line 125
        echo __("Duration");
        echo "</th>
                                    <th>";
        // line 126
        echo __("Duration (seconds)");
        echo "</th>
                                    <th>";
        // line 127
        echo __("Size");
        echo "</th>
                                    <th>";
        // line 128
        echo __("Size (bytes)");
        echo "</th>
                                    <th>";
        // line 129
        echo __("Owner");
        echo "</th>
                                    <th>";
        // line 130
        echo __("Sharing");
        echo "</th>
                                    <th>";
        // line 131
        echo __("Revised");
        echo "</th>
                                    <th>";
        // line 132
        echo __("Released");
        echo "</th>
                                    <th>";
        // line 133
        echo __("File Name");
        echo "</th>
                                    <th>";
        // line 134
        echo __("Stats?");
        echo "</th>
                                    <th>";
        // line 135
        echo __("Created");
        echo "</th>
                                    <th>";
        // line 136
        echo __("Modified");
        echo "</th>
                                    <th>";
        // line 137
        echo __("Expires");
        echo "</th>
                                    <th class=\"rowMenu\"></th>
                                </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 153
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 154
        echo "    <script type=\"text/javascript\">
        var table;
        \$(document).ready(function() {

            ";
        // line 158
        if ( !twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 158)) {
            // line 159
            echo "            disableFolders();
            ";
        }
        // line 161
        echo "
            table = \$(\"#libraryItems\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                responsive: true,
                stateDuration: 0,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                filter: false,
                searchDelay: 3000,
                \"order\": [[1, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 175
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search"), "html", null, true);
        echo "\",
                    \"data\": function (d) {
                        \$.extend(d, \$(\"#libraryItems\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {\"data\": \"mediaId\", responsivePriority: 2},
                    {\"data\": \"name\", \"render\": dataTableSpacingPreformatted, responsivePriority: 3 },
                    {\"data\": \"mediaType\", responsivePriority: 2},
                    ";
        // line 184
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 184)) {
            echo "{
                        \"sortable\": false,
                        responsivePriority: 2,
                        \"visible\": false,
                        \"data\": dataTableCreateTags
                    },";
        }
        // line 190
        echo "                    {
                        \"name\": \"mediaId\",
                        responsivePriority: 3,
                        \"data\": null,
                        \"render\": {\"_\": \"thumbnail\", \"display\": \"thumbnail\", \"sort\": \"mediaId\"}
                    },
                    {
                        \"name\": \"duration\",
                        responsivePriority: 3,
                        \"data\": function (data, type) {
                            if (type != \"display\")
                                return data.duration;

                            return dataTableTimeFromSeconds(data.duration, type);
                        }
                    },
                    {\"data\": \"duration\", \"visible\": false, responsivePriority: 10},
                    {
                        \"name\": \"fileSize\",
                        responsivePriority: 3,
                        \"data\": null,
                        \"render\": {\"_\": \"fileSize\", \"display\": \"fileSizeFormatted\", \"sort\": \"fileSize\"}
                    },
                    {\"data\": \"fileSize\", \"visible\": false, responsivePriority: 10},
                    {\"data\": \"owner\", responsivePriority: 5},
                    {
                        \"data\": \"groupsWithPermissions\",
                        responsivePriority: 5,
                        \"render\": dataTableCreatePermissions
                    },
                    {\"data\": \"revised\", \"render\": dataTableTickCrossColumn, \"visible\": false, responsivePriority: 6},
                    {
                        \"name\": \"released\",
                        responsivePriority: 6,
                        \"data\": function (data, type) {
                            if (type != \"display\")
                                return data.released;

                            var icon = \"\";
                            if (data.released == 1)
                                icon = \"fa-check\";
                            else if (data.released == 0)
                                icon = \"fa-cogs\";
                            else if (data.released == 2)
                                icon = \"fa-times\";


                            return '<span class=\"fa ' + icon + '\" title=\"' + (data.releasedDescription) + '\"></span>';
                        },
                        \"visible\": false
                    },
                    {\"data\": \"fileName\", responsivePriority: 500},
                    {
                        \"name\": \"enableStat\",
                        responsivePriority: 6,
                        \"data\": function (data) {

                            var icon = \"\";
                            if (data.enableStat == 'On')
                                icon = \"fa-check\";
                            else if (data.enableStat == 'Off')
                                icon = \"fa-times\";
                            else
                                icon = \"fa-level-down\";

                            return '<span class=\"fa ' + icon + '\" title=\"' + (data.enableStatDescription) + '\"></span>';
                        }
                    },
                    {
                        \"data\": \"createdDt\",
                        responsivePriority: 6,
                        \"render\": dataTableDateFromIso,
                        \"visible\": false
                    },
                    {
                        \"data\": \"modifiedDt\",
                        responsivePriority: 6,
                        \"render\": dataTableDateFromIso,
                        \"visible\": false
                    },
                    {
                        \"name\": \"expires\",
                        responsivePriority: 6,
                        \"data\": function (data, type) {
                            if (data.expires != null && data.expires != 0) {
                                var now = moment();
                                var expiresIn = moment.unix(data.expires);
                                var differenceMinutes = expiresIn.diff(now, 'minutes');
                                var momentDifference = moment(now).to(expiresIn);

                                if (differenceMinutes < -10 ) {
                                    return data.mediaExpiryFailed;
                                } else {
                                    return data.mediaExpiresIn.replace('%s', momentDifference);
                                }
                            } else {
                                return data.mediaNoExpiryDate;
                            }

                        }
                    },
                    {
                        \"orderable\": false,
                        responsivePriority: 1,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('draw', { form: \$(\"#libraryItems\").closest(\".XiboGrid\").find(\".FilterDiv form\") } ,dataTableCreateTagEvents);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#libraryItems_wrapper').find('.dataTables_buttons'));
        });

        \$(\"#libraryUploadForm\").click(function(e) {
            e.preventDefault();
            var currentWorkingFolderId = \$('#folderId').val();

            openUploadForm({
                url: \"";
        // line 310
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.add"), "html", null, true);
        echo "\",
                title: \"";
        // line 311
        echo __("Add Media");
        echo "\",
                initialisedBy: \"library-upload\",
                buttons: {
                    main: {
                        label: \"";
        // line 315
        echo __("Done");
        echo "\",
                        className: \"btn-primary btn-bb-main\",
                        callback: function () {
                            table.ajax.reload();
                            XiboDialogClose();
                        }
                    }
                },
                templateOptions: {
                    trans: {
                        addFiles: \"";
        // line 325
        echo __("Add files");
        echo "\",
                        startUpload: \"";
        // line 326
        echo __("Start upload");
        echo "\",
                        cancelUpload: \"";
        // line 327
        echo __("Cancel upload");
        echo "\",
                        selectFolder: \"";
        // line 328
        echo __("Select Folder");
        echo "\",
                        selectFolderTitle: \"";
        // line 329
        echo __("Change Current Folder location");
        echo "\",
                        selectedFolder: \"";
        // line 330
        echo __("Current Folder");
        echo ":\",
                        selectedFolderTitle: \"";
        // line 331
        echo __("Upload files to this Folder");
        echo "\",
                    },
                    upload: {
                        maxSize: ";
        // line 334
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSize", [], "any", false, false, false, 334), "html", null, true);
        echo ",
                        maxSizeMessage: \"";
        // line 335
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSizeMessage", [], "any", false, false, false, 335), "html", null, true);
        echo "\",
                        validExt: \"";
        // line 336
        echo twig_escape_filter($this->env, ($context["validExt"] ?? null), "html", null, true);
        echo "\"
                    },
                    updateInAllChecked: ";
        // line 338
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_UPDATEINALL_CHECKB", [], "any", false, false, false, 338), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                    deleteOldRevisionsChecked: ";
        // line 339
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_DELETEOLDVER_CHECKB", [], "any", false, false, false, 339), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                    currentWorkingFolderId: currentWorkingFolderId,
                    folderSelector: true
                }
            });
        });

        /**
         * Media Edit form
         */
        function mediaEditFormOpen(dialog) {
            // Create a new button
            var footer = dialog.find(\".modal-footer\");
            var mediaId = dialog.find(\"#mediaEditForm\").data().mediaId;
            var validExtensions = dialog.find(\"#mediaEditForm\").data().validExtensions;
            var folderId = dialog.find(\"#mediaEditForm\").data().folderId;

            // Append
            var replaceButton = \$('<button class=\"btn btn-warning\">";
        // line 357
        echo __("Replace");
        echo "</button>');
            replaceButton.click(function(e) {
                e.preventDefault();

                // Open the upload dialog with our options.
                openUploadForm({
                    url: \"";
        // line 363
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.add"), "html", null, true);
        echo "\",
                    title: \"";
        // line 364
        echo __("Upload media");
        echo "\",
                    buttons: {
                        main: {
                            label: \"";
        // line 367
        echo __("Done");
        echo "\",
                            className: \"btn-primary btn-bb-main\",
                            callback: function () {
                                table.ajax.reload();
                                XiboDialogClose();
                            }
                        }
                    },
                    templateOptions: {
                        multi: false,
                        oldMediaId: mediaId,
                        oldFolderId: folderId,
                        updateInAllChecked: ";
        // line 379
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_UPDATEINALL_CHECKB", [], "any", false, false, false, 379), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                        deleteOldRevisionsChecked: ";
        // line 380
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_DELETEOLDVER_CHECKB", [], "any", false, false, false, 380), 1))) {
            echo "true";
        } else {
            echo "false";
        }
        echo ",
                        trans: {
                            addFiles: \"";
        // line 382
        echo __("Add Replacement");
        echo "\",
                            startUpload: \"";
        // line 383
        echo __("Start Replace");
        echo "\",
                            cancelUpload: \"";
        // line 384
        echo __("Cancel Replace");
        echo "\",
                            updateInLayouts: {
                                title: \"";
        // line 386
        echo __("Update this media in all layouts it is assigned to?");
        echo "\",
                                helpText: \"";
        // line 387
        echo __("Note: It will only be updated in layouts you have permission to edit.");
        echo "\"
                            },
                            deleteOldRevisions: {
                                title: \"";
        // line 390
        echo __("Delete the old version?");
        echo "\",
                                helpText: \"";
        // line 391
        echo __("Completely remove the old version of this media item if a new file is being uploaded.");
        echo "\"
                            }
                        },
                        upload: {
                            maxSize: ";
        // line 395
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSize", [], "any", false, false, false, 395), "html", null, true);
        echo ",
                            maxSizeMessage: \"";
        // line 396
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSizeMessage", [], "any", false, false, false, 396), "html", null, true);
        echo "\",
                            validExt: validExtensions,
                            validExtensionsMessage: \"";
        // line 398
        echo "Valid extensions are %s";
        echo "\".replace(\"%s\", validExtensions).replace(/\\|/g, \", \")
                        }
                    },
                    uploadDoneEvent: function () {
                        XiboDialogClose();
                        table.ajax.reload();
                    }
                });
            });

            footer.find(\".btn-primary\").before(replaceButton);
        }

        ///
        /// Library Usage Form
        ///
        function usageFormOpen(dialog) {
            // Displays tab
            var usageTable = \$(\"#usageReportTable\").DataTable({
                \"language\": dataTablesLanguage,
                serverSide: true,
                stateSave: true, stateDuration: 0,
                filter: false,
                searchDelay: 3000,
                responsive: true,
                \"order\": [[1, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 425
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.usage", ["id" => ":id"]), "html", null, true);
        echo "\".replace(\":id\", \$(\"#usageReportTable\").data().mediaId),
                    \"data\": function(dataDisplay) {
                        \$.extend(dataDisplay, \$(dialog).find(\"#usageReportForm\").serializeObject());
                        return dataDisplay;
                    }
                },
                \"columns\": [
                    { \"data\": \"displayId\"},
                    { \"data\": \"display\" },
                    { \"data\": \"description\" }
                ]
            });

            usageTable.on('draw', dataTableDraw);
            usageTable.on('processing.dt', dataTableProcessing);

            // Layouts tab
            var usageTableLayouts = \$(\"#usageReportLayoutsTable\").DataTable({
                \"language\": dataTablesLanguage,
                serverSide: true,
                stateSave: true, stateDuration: 0,
                filter: false,
                searchDelay: 3000,
                responsive: true,
                \"order\": [[1, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 451
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.usage.layouts", ["id" => ":id"]), "html", null, true);
        echo "\".replace(\":id\", \$(\"#usageReportLayoutsTable\").data().mediaId)
                },
                \"columns\": [
                    { \"data\": \"layoutId\"},
                    { \"data\": \"layout\" },
                    { \"data\": \"description\" },
                    {
                        \"orderable\": false,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            usageTableLayouts.on('draw', dataTableDraw);
            usageTableLayouts.on('processing.dt', dataTableProcessing);
        }

        function setDefaultMultiSelectFormOpen(dialog) {
            ";
        // line 469
        $context["message"] = "Force delete from any existing layouts, assignments, etc";
        // line 470
        echo "
            var \$input = \$('<input type=checkbox id=\"forceDelete\" name=\"forceDelete\"> ";
        // line 471
        echo twig_escape_filter($this->env, __(($context["message"] ?? null)));
        echo " </input>');
            \$input.on('change', function() {
                dialog.data().commitData = {forceDelete: \$(this).val()};
            });
            \$(dialog).find('.modal-body').append(\$input);
        }

        function setEnableStatMultiSelectFormOpen(dialog) {

            var \$select = \$('<select id=\"enableStat\" name=\"enableStat\" class=\"form-control\">' +
                '<option value=\"Off\">";
        // line 481
        echo __("Off");
        echo "</option>' +
                '<option value=\"On\">";
        // line 482
        echo __("On");
        echo "</option>' +
                '<option value=\"Inherit\">";
        // line 483
        echo __("Inherit");
        echo "</option>' +
                '</select>');

            \$select.on('change', function() {
                dialog.data().commitData = {enableStat: \$(this).val()};
            }).trigger('change');

            \$(dialog).find('.modal-body').append(\$select);
        }

    </script>
";
    }

    public function getTemplateName()
    {
        return "library-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  845 => 483,  841 => 482,  837 => 481,  824 => 471,  821 => 470,  819 => 469,  798 => 451,  769 => 425,  739 => 398,  734 => 396,  730 => 395,  723 => 391,  719 => 390,  713 => 387,  709 => 386,  704 => 384,  700 => 383,  696 => 382,  687 => 380,  679 => 379,  664 => 367,  658 => 364,  654 => 363,  645 => 357,  620 => 339,  612 => 338,  607 => 336,  603 => 335,  599 => 334,  593 => 331,  589 => 330,  585 => 329,  581 => 328,  577 => 327,  573 => 326,  569 => 325,  556 => 315,  549 => 311,  545 => 310,  423 => 190,  414 => 184,  402 => 175,  386 => 161,  382 => 159,  380 => 158,  374 => 154,  370 => 153,  351 => 137,  347 => 136,  343 => 135,  339 => 134,  335 => 133,  331 => 132,  327 => 131,  323 => 130,  319 => 129,  315 => 128,  311 => 127,  307 => 126,  303 => 125,  298 => 124,  292 => 123,  288 => 122,  284 => 121,  280 => 120,  269 => 112,  259 => 107,  247 => 99,  243 => 98,  238 => 96,  232 => 94,  229 => 93,  225 => 92,  219 => 90,  215 => 89,  209 => 87,  204 => 86,  200 => 85,  194 => 83,  191 => 82,  187 => 81,  184 => 80,  182 => 75,  179 => 74,  173 => 72,  168 => 71,  163 => 70,  158 => 69,  156 => 68,  146 => 61,  137 => 55,  130 => 52,  126 => 51,  119 => 47,  114 => 45,  111 => 44,  107 => 43,  101 => 38,  91 => 36,  88 => 35,  79 => 33,  72 => 32,  70 => 31,  67 => 30,  64 => 29,  60 => 28,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "library-page.twig", "/home/mgatv524/public_html/mctv/views/library-page.twig");
    }
}
