<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* campaign-form-edit.twig */
class __TwigTemplate_908803f5cac535c732cd48241a8fc9ac74b324f9f42c5dc74dca346fea4aa247 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "campaign-form-edit.twig", 25)->unwrap();
        // line 26
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "campaign-form-edit.twig", 26)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "campaign-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 28
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    ";
        echo __("Edit Campaign");
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Save");
        echo ", campaignFormSubmit(\$('#campaignEditForm'))
";
    }

    // line 38
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "campaignAssignLayoutsFormOpen";
    }

    // line 40
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 41
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"campaignEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 43
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["campaign"] ?? null), "campaignId", [], "any", false, false, false, 43)]), "html", null, true);
        echo "\" data-gettag=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\">

                ";
        // line 45
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 45)) {
            // line 46
            echo "                <div class=\"form-group row\">
                    <label class=\"col-sm-2 control-label\">";
            // line 47
            echo __("Current Folder");
            echo "</label>
                    <div class=\"col-sm-10\" style=\"padding-top: 7px\">
                        <span id=\"originalFormFolder\"></span>
                    </div>
                </div>

                <div class=\"form-group row\">
                    <label class=\"col-sm-2 control-label\">";
            // line 54
            echo __("Move to Selected Folder:");
            echo "</label>
                    <div class=\"col-sm-10\">
                        <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 56
            echo __("Select Folder");
            echo "</button>
                        <span id=\"selectedFormFolder\"></span>
                    </div>
                </div>
                ";
            // line 60
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId", twig_get_attribute($this->env, $this->source, ($context["campaign"] ?? null), "folderId", [], "any", false, false, false, 60)], 60, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 62
        echo "
                ";
        // line 63
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this Campaign");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["campaign"] ?? null), "campaign", [], "any", false, false, false, 65), ($context["helpText"] ?? null)], 65, $context, $this->getSourceContext());
        echo "

                ";
        // line 67
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 67)) {
            // line 68
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 69
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags for this Campaign - Comma separated string of Tags or Tag|Value format. If you choose a Tag that has associated values, they will be shown for selection below.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 70
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), ($context["tags"] ?? null), ($context["helpText"] ?? null), "tags-with-value"], 70, $context, $this->getSourceContext());
            echo "

                    <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

                    ";
            // line 74
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 75
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["tagValue", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "key", "value"], 75, $context, $this->getSourceContext());
            echo "

                    <div id=\"tagValueContainer\">
                        ";
            // line 78
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 79
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Please provide the value for this Tag and confirm by pressing enter on your keyboard.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 80
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_input", ["tagValueInput", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 80, $context, $this->getSourceContext());
            echo "
                    </div>

                    <div id=\"tagValueRequired\" class=\"alert alert-info\">
                        <p>";
            // line 84
            echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
            echo "</p>
                    </div>
                ";
        }
        // line 87
        echo "
                <div id=\"assignLayouts\"></div>
            </form>
        </div>
    </div>
    <div class=\"row\">
        <div class=\"col-md-12 card p-3 mb-3 bg-light\">
            ";
        // line 94
        $context["campaignName"] = twig_get_attribute($this->env, $this->source, ($context["campaign"] ?? null), "campaign", [], "any", false, false, false, 94);
        // line 95
        echo "            <h4>";
        /* xgettext:no-php-format */        echo strtr(__("Layouts on %campaignName%"), array("%campaignName%" => ($context["campaignName"] ?? null), ));
        echo "</h4>
            <div id=\"LayoutAssign\" class=\"card p-3 mb-3 bg-light\" data-url=\"";
        // line 96
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.assign.layout", ["id" => twig_get_attribute($this->env, $this->source, ($context["campaign"] ?? null), "campaignId", [], "any", false, false, false, 96)]), "html", null, true);
        echo "\">
                <div>
                    <ul id=\"LayoutAssignSortable\" data-layouts=\"";
        // line 98
        echo twig_escape_filter($this->env, json_encode(($context["layouts"] ?? null)), "html", null, true);
        echo "\"></ul>
                </div>
            </div>

            <div class=\"XiboGrid\" id=\"";
        // line 102
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"layoutAssignView\">
                <div class=\"layoutAssignFilterOptions XiboFilter\">
                    <form class=\"form-inline\" onsubmit=\"false\">
                        ";
        // line 105
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        echo twig_call_macro($macros["inline"], "macro_input", ["layout", ($context["title"] ?? null)], 106, $context, $this->getSourceContext());
        echo "

                        ";
        // line 108
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 108)) {
            // line 109
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 110
            echo "                            ";
            echo twig_call_macro($macros["inline"], "macro_inputWithTags", ["tags", ($context["title"] ?? null)], 110, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 112
        echo "
                        ";
        // line 113
        ob_start(function () { return ''; });
        echo __("Exact match?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        echo twig_call_macro($macros["inline"], "macro_checkbox", ["exactTags", ($context["title"] ?? null)], 114, $context, $this->getSourceContext());
        echo "
                    </form>
                </div>

                <div class=\"XiboData card pt-3\">
                    <table id=\"layoutAssignments\" class=\"table table-striped\" data-state-preference-name=\"campaignLayoutAssignGrid\">
                        <thead>
                        <tr>
                            <th>";
        // line 122
        echo __("ID");
        echo "</th>
                            <th>";
        // line 123
        echo __("Name");
        echo "</th>
                            <th>";
        // line 124
        echo __("Status");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "campaign-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  294 => 124,  290 => 123,  286 => 122,  274 => 114,  270 => 113,  267 => 112,  261 => 110,  256 => 109,  254 => 108,  248 => 106,  244 => 105,  238 => 102,  231 => 98,  226 => 96,  221 => 95,  219 => 94,  210 => 87,  204 => 84,  196 => 80,  191 => 79,  187 => 78,  180 => 75,  176 => 74,  168 => 70,  163 => 69,  158 => 68,  156 => 67,  150 => 65,  145 => 64,  141 => 63,  138 => 62,  133 => 60,  126 => 56,  121 => 54,  111 => 47,  108 => 46,  106 => 45,  99 => 43,  95 => 41,  91 => 40,  84 => 38,  78 => 35,  74 => 34,  67 => 33,  63 => 32,  58 => 29,  54 => 28,  49 => 24,  47 => 26,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "campaign-form-edit.twig", "/home/mgatv524/public_html/mctv/views/campaign-form-edit.twig");
    }
}
