<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* fault-page.twig */
class __TwigTemplate_fb9936fa8ef58299893433a7d640795ed9ee24aebe651d2d9acdfd11e6c4b768 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        $this->parent = $this->loadTemplate("authed.twig", "fault-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 25
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 26
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 27
        echo __("Report Fault");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"row\">
                <div class=\"board\">
                    <div class=\"board-inner\">
                        <ul class=\"nav fault nav-tabs\" id=\"fault\">
                            <div class=\"liner\"></div>
                            <li class=\"nav-item\">
                                <a class=\"nav-link active\" href=\"#home\" data-toggle=\"tab\">
                                    <span class=\"round-tabs one\"> <i class=\"fa fa-home\"></i> </span>
                                </a>
                            </li>
                            <li class=\"nav-item\">
                                <a class=\"nav-link\" href=\"#checklist\" data-toggle=\"tab\">
                                    <span class=\"round-tabs two\"> <i class=\"fa fa-check-square-o\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"nav-item\">
                                <a class=\"nav-link\" href=\"#turnons\" data-toggle=\"tab\">
                                    <span class=\"round-tabs three\"> <i class=\"fa fa-bug\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"nav-item\">
                                <a class=\"nav-link\" href=\"#replicate\" data-toggle=\"tab\">
                                    <span class=\"round-tabs four\"> <i class=\"fa fa-clone\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"nav-item\">
                                <a class=\"nav-link\" href=\"#collect\" data-toggle=\"tab\">
                                    <span class=\"round-tabs five\"> <i class=\"fa fa-floppy-o\" aria-hidden=\"true\"></i> </span>
                                </a>
                            </li>
                            <li class=\"nav-item\">
                                <a class=\"nav-link\" href=\"#turnoff\" data-toggle=\"tab\">
                                    <span class=\"round-tabs six\">  <span><i class=\"fa fa-bug\"></i><i class=\"fa fa-ban fa-stack-2x\"></i></span> </span>
                                </a>
                            </li>
                            <li class=\"nav-item\">
                                <a class=\"nav-link\" href=\"#ask\" data-toggle=\"tab\">
                                    <span class=\"round-tabs seven\"><i class=\"fa fa-question-circle\" aria-hidden=\"true\"></i></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class=\"tab-content\">
                        <div class=\"tab-pane fade in active show\" id=\"home\">
                            <h3 class=\"head text-center\">";
        // line 73
        echo __("Report an application fault");
        // line 74
        echo "                                <span style=\"color:#f48260;\"></span>
                            </h3>

                            ";
        // line 77
        if (($context["urlError"] ?? null)) {
            // line 78
            echo "                                <p class=\"alert alert-info\">";
            echo __("CMS configuration warning, it is very unlikely that /web/ should be in the URL. This usually means that the DocumentRoot of the web server is wrong and may put your CMS at risk if not corrected.");
            echo "</p>
                            ";
        }
        // line 80
        echo "
                            ";
        // line 81
        if (($context["binLogError"] ?? null)) {
            // line 82
            echo "                                <p class=\"alert alert-info\">";
            echo __("The CMS may not be working as expected because MySQL BINLOG format is set to STATEMENT. This can effect sessions and should be set to ROW or MIXED.");
            echo "</p>
                            ";
        }
        // line 84
        echo "
                            <p class=\"narrow text-center\">";
        // line 85
        echo __("Before reporting a fault it would be appreciated if you follow the steps. Click start ");
        echo "</p>

                            <form class=\"form-horizontal text-center\" id=\"home_form\" name=\"home_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#checklist\" name=\"home_form\" class=\"btn-submit btn btn-success\">
                                        ";
        // line 90
        echo __("Start");
        // line 91
        echo "                                        <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i></button>
                                </fieldset>
                            </form>
                        </div>
                        <div class=\"tab-pane fade\" id=\"checklist\">
                            <p class=\"text-center\">";
        // line 96
        echo __("Check that the Environment passes all the CMS Environment checks.");
        echo "</p>

                            ";
        // line 98
        if (($context["environmentFault"] ?? null)) {
            // line 99
            echo "                                <p class=\"alert alert-danger narrow text-center\">";
            echo __("There is a critical error that you should resolve first.");
            echo "</p>
                            ";
        } elseif (        // line 100
($context["environmentWarning"] ?? null)) {
            // line 101
            echo "                                <p class=\"alert alert-warning narrow text-center\">";
            echo __("There is a warning on the checklist that you should resolve.");
            echo "</p>
                            ";
        } else {
            // line 103
            echo "                                <p class=\"alert alert-success narrow text-center\">";
            echo __("All checks pass. Click next to continue");
            echo "</p>
                            ";
        }
        // line 105
        echo "
                            <br/>
                            ";
        // line 107
        if ((($context["environmentFault"] ?? null) || ($context["environmentWarning"] ?? null))) {
            // line 108
            echo "                                <table id=\"checksWithFaults\" class=\"table table-striped\">
                                    <thead>
                                    <tr>
                                        <th>";
            // line 111
            echo __("Item");
            echo "</th>
                                        <th>";
            // line 112
            echo __("Status");
            echo "</th>
                                        <th>";
            // line 113
            echo __("Advice");
            echo "</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    ";
            // line 117
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(($context["environmentCheck"] ?? null));
            foreach ($context['_seq'] as $context["_key"] => $context["check"]) {
                // line 118
                echo "                                        ";
                if ((0 !== twig_compare(twig_get_attribute($this->env, $this->source, $context["check"], "status", [], "any", false, false, false, 118), 1))) {
                    // line 119
                    echo "                                            <tr>
                                                <td>";
                    // line 120
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["check"], "item", [], "any", false, false, false, 120), "html", null, true);
                    echo "</td>
                                                <td>
                                                    ";
                    // line 122
                    if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["check"], "status", [], "any", false, false, false, 122), 0))) {
                        // line 123
                        echo "                                                        <span class=\"fa fa-times\"></span>
                                                    ";
                    } else {
                        // line 125
                        echo "                                                        <span class=\"fa fa-exclamation\"></span>
                                                    ";
                    }
                    // line 127
                    echo "                                                </td>
                                                <td>";
                    // line 128
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["check"], "advice", [], "any", false, false, false, 128), "html", null, true);
                    echo "</td>
                                            </tr>
                                        ";
                }
                // line 131
                echo "                                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['check'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 132
            echo "                                    </tbody>
                                </table>

                                <p class=\"text-center\"><b>";
            // line 135
            echo __("All other checks passed");
            echo "</b></p>

                            ";
        }
        // line 138
        echo "                            <div class=\"text-center\">
                                <a id=\"toggler\" href=\"#\" class=\"btn btn-info\">";
        // line 139
        echo __("I want to see the list anyway.");
        echo "</a>
                            </div>
                            <br/>
                            ";
        // line 142
        if (($context["environmentCheck"] ?? null)) {
            // line 143
            echo "                                <table id=\"checksWithSuccess\" class=\"table table-striped hide-table\">
                                    <thead>
                                    <tr>
                                        <th>";
            // line 146
            echo __("Item");
            echo "</th>
                                        <th>";
            // line 147
            echo __("Status");
            echo "</th>
                                        <th>";
            // line 148
            echo __("Advice");
            echo "</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    ";
            // line 152
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(($context["environmentCheck"] ?? null));
            foreach ($context['_seq'] as $context["_key"] => $context["check"]) {
                // line 153
                echo "                                        ";
                if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["check"], "status", [], "any", false, false, false, 153), 1))) {
                    // line 154
                    echo "                                            <tr>
                                                <td>";
                    // line 155
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["check"], "item", [], "any", false, false, false, 155), "html", null, true);
                    echo "</td>
                                                <td>
                                                    ";
                    // line 157
                    if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["check"], "status", [], "any", false, false, false, 157), 1))) {
                        // line 158
                        echo "                                                        <span class=\"fa fa-check fa-2x text-success\"></span>
                                                    ";
                    }
                    // line 160
                    echo "                                                </td>
                                                <td>";
                    // line 161
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["check"], "advice", [], "any", false, false, false, 161), "html", null, true);
                    echo "</td>
                                            </tr>
                                        ";
                }
                // line 164
                echo "                                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['check'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 165
            echo "                                    </tbody>
                                </table>
                            ";
        }
        // line 168
        echo "

                            <form class=\"form-horizontal text-center\" id=\"checklist_form\" name=\"checklist_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#home\" name=\"home_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> ";
        // line 173
        echo __("Previous");
        // line 174
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#turnons\" name=\"checklist_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 176
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>
                        </div>

                        <div class=\"tab-pane fade\" id=\"turnons\">

                            <p class=\"narrow text-center\">";
        // line 184
        echo __("Turn ON full auditing and debugging.");
        echo "</p>
                            <form id=\"1\" class=\"XiboAutoForm text-center \" action=\"";
        // line 185
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("fault.debug.on"), "html", null, true);
        echo "\" method=\"put\" onsubmit=\"return checkFormOn(this);\">
                                <input class=\"btn btn-success\" type=\"submit\" name=\"onDeb\" value=\"";
        // line 186
        echo __(" Turn ON Debugging");
        echo "\"></input>
                            </form>
                            <br/>
                            <form class=\"form-horizontal text-center\" id=\"turnons_form\" name=\"turnons_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#checklist\" name=\"turnons_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> ";
        // line 192
        echo __("Previous");
        // line 193
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#replicate\" name=\"turnons_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 195
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>

                        </div>


                        <div class=\"tab-pane fade text-center\" id=\"replicate\">
                            <p class=\"narrow\">";
        // line 204
        echo __("Recreate the Problem in a new window.");
        echo "</p>
                            <p class=\"narrow\">";
        // line 205
        echo __("Please open a new window and recreate the problem. While you do that we are going to log all of the actions taken in a text based log. We won't capture screenshots or videos, so if you feel that this would be useful please capture those manually and add them to the zip file you will download in the next step.");
        echo "</p>
                            <br/>
                            <a href=\"";
        // line 207
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("home"), "html", null, true);
        echo "\" target=\"_blank\" class=\"btn btn-success\"><i class=\"fa fa-external-link\"></i> ";
        echo __("Open a new window");
        echo "</a>
                            <br/>
                            <br/>
                            <form class=\"form-horizontal text-center\" id=\"replicate_form\" name=\"replicate_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#turnons\" name=\"replicate_form\" class=\"btn-submit btn btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> ";
        // line 213
        echo __("Previous");
        // line 214
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#collect\" name=\"replicate_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 216
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>
                        </div>

                        <div class=\"tab-pane fade\" id=\"collect\">
                            <p class=\"narrow text-center\">
                                ";
        // line 224
        echo __("Automatically collect and export relevant information into a text file.");
        // line 225
        echo "                                ";
        echo __("Please save this file to your PC.");
        // line 226
        echo "                            </p>
                            <p class=\"narrow text-center\">
                                ";
        // line 228
        echo __("What items would you like to save?");
        // line 229
        echo "                            </p>
                            <div class=\"col-md-6 offset-md-3 \">
                                <div class=\"funkyradio\">
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputVersion\" id=\"outputVersion\" checked/>
                                        <label for=\"outputVersion\">";
        // line 234
        echo __("Version Information");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputLog\" id=\"outputLog\" checked/>
                                        <label for=\"outputLog\">";
        // line 238
        echo __("Log");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputEnvCheck\" id=\"outputEnvCheck\" checked/>
                                        <label for=\"outputEnvCheck\">";
        // line 242
        echo __("Environment Check");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputSettings\" id=\"outputSettings\" checked/>
                                        <label for=\"outputSettings\">";
        // line 246
        echo __("Settings");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputDisplays\" id=\"outputDisplays\" checked/>
                                        <label for=\"outputDisplays\">";
        // line 250
        echo __("Display List");
        echo "</label>
                                    </div>
                                    <div class=\"funkyradio-primary\">
                                        <input type=\"checkbox\" name=\"outputDisplayProfile\" id=\"outputDisplayProfile\" checked/>
                                        <label for=\"outputDisplayProfile\">";
        // line 254
        echo __("Display Settings Profile (included with each display)");
        echo "</label>
                                    </div>
                                </div>
                            </div>

                            <div class=\"col-md-12 text-center\">
                                <a id=\"dldata\" class=\"btn btn-success text-center\" type=\"submit\" href=\"#\" data-base-href=\"";
        // line 260
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("fault.collect"), "html", null, true);
        echo "\">
                                    <i class=\"fa fa-floppy-o\" aria-hidden=\"true\"></i> ";
        // line 261
        echo __("Collect and Save Data");
        // line 262
        echo "                                </a> <br/><br/>
                                <form class=\"form-horizontal text-center\" id=\"collect_form\" name=\"collect_form\" role=\"form\">
                                    <button type=\"submit\" href=\"#replicate\" name=\"collect_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i>";
        // line 265
        echo __("Previous");
        // line 266
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#turnoff\" name=\"collect_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 268
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </form>
                            </div>


                        </div>

                        <div class=\"tab-pane fade text-center\" id=\"turnoff\">
                            <p class=\"narrow\">";
        // line 277
        echo __("Turn full auditing and debugging OFF.");
        echo "</p>

                            <form id=\"2\" class=\"XiboAutoForm text-center \" action=\"";
        // line 279
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("fault.debug.off"), "html", null, true);
        echo "\" method=\"put\" onsubmit=\"return checkFormOff(this);\">
                                <input class=\"btn btn-danger\" type=\"submit\" name=\"offDeb\" value=\"";
        // line 280
        echo __(" Turn OFF Debugging");
        echo "\"></input>
                            </form>
                            <br/>
                            <form class=\"form-horizontal text-center\" id=\"turnoff_form\" name=\"turnoff_form\" role=\"form\">
                                <fieldset>
                                    <button type=\"submit\" href=\"#collect\" name=\"turnoff_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-chevron-circle-left\" aria-hidden=\"true\"></i> ";
        // line 286
        echo __("Previous");
        // line 287
        echo "                                    </button>
                                    <button type=\"submit\" href=\"#ask\" name=\"turnoff_form\" class=\"btn-submit btn btn-primary\">
                                        ";
        // line 289
        echo __("Next");
        echo " <i class=\"fa fa-chevron-circle-right\" aria-hidden=\"true\"></i>
                                    </button>
                                </fieldset>
                            </form>
                        </div>


                        <div class=\"tab-pane fade\" id=\"ask\">
                            <div class=\"text-center\"><i class=\"img-intro icon-checkmark-circle\"></i></div>
                            <h3 class=\"head text-center\">
                                ";
        // line 299
        echo __("That's it!");
        // line 300
        echo "                            </h3>
                            <p class=\"narrow text-center\">
                                ";
        // line 302
        echo __("Click on the below link to open the bug report page for this release.");
        // line 303
        echo "                                ";
        echo __("Describe the problem and include a link to the fault archive you obtained earlier - please check this archive for sensitive information, redact as appropriate, and upload it somewhere publically accessible.");
        // line 304
        echo "                            </p>
                            <form class=\"text-center\">
                                <fieldset>
                                    <a class=\"btn btn-success\" href=\"";
        // line 307
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getThemeConfig", [0 => "product_support_url", 1 => "https://community.xibo.org.uk/c/support"], "method", false, false, false, 307), "html", null, true);
        echo "\" target=\"_blank\">
                                        <i class=\"fa fa-question\" aria-hidden=\"true\"></i> ";
        // line 308
        echo __("Ask a question");
        // line 309
        echo "                                    </a>
                                    <button type=\"submit\" href=\"#home\" name=\"turnoff_form\" class=\"btn-submit btn btn-info\">
                                        <i class=\"fa fa-home\" aria-hidden=\"true\"></i> ";
        // line 311
        echo __("Start again");
        // line 312
        echo "                                    </button>
                                </fieldset>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
";
    }

    // line 325
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 326
        echo "        <script type=\"text/javascript\">
            // Fault Page List switcher
            \$(function () {
                \$('a[title]').tooltip();
                \$('.btn-submit').on('click', function (e) {
                    var formname = \$(this).attr('name');
                    var tabname = \$(this).attr('href');
                    if (\$('#' + formname)[0].checkValidity()) { /* Only works in Firefox/Chrome need polyfill for IE9, Safari. */
                        e.preventDefault();
                        \$('ul.nav li a[href=\"' + tabname + '\"]').parent().removeClass('disabled');
                        \$('ul.nav li a[href=\"' + tabname + '\"]').trigger('click');
                    }
                });
                \$('ul.nav li').on('click', function (e) {
                    if (\$(this).hasClass('disabled')) {
                        e.preventDefault();
                        return false;
                    }
                });
            });

        </script>


        <script type=\"text/javascript\">

            \$(function () {
                \$('[data-toggle=\"popover\"]').popover()
            })


            function checkFormOn(form) {
                form.onDeb.disabled = true;
                form.onDeb.value = \"Debugging mode ON\";
                return true;
            }

            function checkFormOff(form) {
                form.offDeb.disabled = true;
                form.offDeb.value = \"Debugging mode Off\";
                return true;
            }

            \$(\"#dldata\").on(\"click\", function (event) {
                if (\$(this).hasClass(\"disabled\")) {
                    event.preventDefault();
                }

                // Disable download button when downloading
                \$(this).addClass(\"btn-success disabled\");
                \$(\"#dldata\").text('";
        // line 376
        echo twig_escape_filter($this->env, __("Downloading file"), "html", null, true);
        echo "');
                \$(\"#dldata\").prop(\"href\", \$(\"#dldata\").data().baseHref + \"?\" + \$(\".funkyradio\").find(\"input[type=checkbox]\").serialize());


                //Re Enables download button after new checkbox selection
                \$('.funkyradio').click(function () {
                    if (\$(this).is(':checked')) {
                        \$('#dldata').removeClass('disabled');

                    } else {
                        \$('#dldata').removeClass('disabled').attr('enabled');
                        ;
                        \$(\"#dldata\").text('";
        // line 388
        echo twig_escape_filter($this->env, __("Download selected items"), "html", null, true);
        echo "');
                    }
                });

            });


        </script>

        <script>
            \$(\"#toggler\").click(function () {
                \$(this).text(function (i, v) {
                    return v === '";
        // line 400
        echo twig_escape_filter($this->env, __("Hide Environment checks"), "html", null, true);
        echo "' ? '";
        echo twig_escape_filter($this->env, __("Show Environment checks"), "html", null, true);
        echo "' : '";
        echo twig_escape_filter($this->env, __("Hide Environment checks"), "html", null, true);
        echo "'
                })
                \$(\"#checksWithSuccess\").toggle();
            });

        </script>


    ";
    }

    public function getTemplateName()
    {
        return "fault-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  676 => 400,  661 => 388,  646 => 376,  594 => 326,  590 => 325,  576 => 312,  574 => 311,  570 => 309,  568 => 308,  564 => 307,  559 => 304,  556 => 303,  554 => 302,  550 => 300,  548 => 299,  535 => 289,  531 => 287,  529 => 286,  520 => 280,  516 => 279,  511 => 277,  499 => 268,  495 => 266,  493 => 265,  488 => 262,  486 => 261,  482 => 260,  473 => 254,  466 => 250,  459 => 246,  452 => 242,  445 => 238,  438 => 234,  431 => 229,  429 => 228,  425 => 226,  422 => 225,  420 => 224,  409 => 216,  405 => 214,  403 => 213,  392 => 207,  387 => 205,  383 => 204,  371 => 195,  367 => 193,  365 => 192,  356 => 186,  352 => 185,  348 => 184,  337 => 176,  333 => 174,  331 => 173,  324 => 168,  319 => 165,  313 => 164,  307 => 161,  304 => 160,  300 => 158,  298 => 157,  293 => 155,  290 => 154,  287 => 153,  283 => 152,  276 => 148,  272 => 147,  268 => 146,  263 => 143,  261 => 142,  255 => 139,  252 => 138,  246 => 135,  241 => 132,  235 => 131,  229 => 128,  226 => 127,  222 => 125,  218 => 123,  216 => 122,  211 => 120,  208 => 119,  205 => 118,  201 => 117,  194 => 113,  190 => 112,  186 => 111,  181 => 108,  179 => 107,  175 => 105,  169 => 103,  163 => 101,  161 => 100,  156 => 99,  154 => 98,  149 => 96,  142 => 91,  140 => 90,  132 => 85,  129 => 84,  123 => 82,  121 => 81,  118 => 80,  112 => 78,  110 => 77,  105 => 74,  103 => 73,  54 => 27,  51 => 26,  47 => 25,  36 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "fault-page.twig", "/home/mgatv524/public_html/mctv/views/fault-page.twig");
    }
}
