<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* action-form-edit.twig */
class __TwigTemplate_ee151f5ea1cbb147a8cb23afdd74d0d51ff6192524e90bc497834755e353be53 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 21
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 22
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "action-form-edit.twig", 22)->unwrap();
        // line 21
        $this->parent = $this->loadTemplate("form-base.twig", "action-form-edit.twig", 21);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 24
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Edit Action for %source%"), array("%source%" => ($context["source"] ?? null), ));
    }

    // line 28
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 30
        echo __("Save");
        echo ", \$(\"#actionFormEdit\").submit()
";
    }

    // line 33
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "actionFormOpen";
    }

    // line 35
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 36
        echo "
    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"actionFormEdit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 39
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("action.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["action"] ?? null), "actionId", [], "any", false, false, false, 39)]), "html", null, true);
        echo "\">
                ";
        // line 40
        ob_start(function () { return ''; });
        echo __("Trigger Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                ";
        ob_start(function () { return ''; });
        echo __("How should the Player listen for this Action to be triggered?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Touch/Click");
        $context["touch"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Web hook");
        $context["webhook"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        $context["options"] = [0 => ["typeid" => "touch", "type" =>         // line 45
($context["touch"] ?? null)], 1 => ["typeid" => "webhook", "type" =>         // line 46
($context["webhook"] ?? null)]];
        // line 48
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["triggerType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["action"] ?? null), "triggerType", [], "any", false, false, false, 48), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 48, $context, $this->getSourceContext());
        echo "

                ";
        // line 50
        ob_start(function () { return ''; });
        echo __("Trigger Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                ";
        ob_start(function () { return ''; });
        echo __("If this Action is triggered by a Web Hook then this Trigger Code must be present in the URL `trigger=` parameter.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["triggerCode", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["action"] ?? null), "triggerCode", [], "any", false, false, false, 52), ($context["helpText"] ?? null), "trigger-code-control"], 52, $context, $this->getSourceContext());
        echo "

                ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Action Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Please select action Type");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "
                ";
        // line 57
        if ((0 === twig_compare(($context["source"] ?? null), "layout"))) {
            // line 58
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Next item in the Schedule");
            $context["next"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 59
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Previous item in the Schedule");
            $context["previous"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 60
            echo "                ";
        } else {
            // line 61
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Next Widget in the Region Timeline");
            $context["next"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 62
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Previous Widget in the Region Timeline");
            $context["previous"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 63
            echo "                ";
        }
        // line 64
        echo "
                ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Navigate to Layout");
        $context["navLayout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Navigate to Widget");
        $context["navWidget"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                ";
        $context["options"] = [0 => ["typeid" => "next", "type" =>         // line 68
($context["next"] ?? null)], 1 => ["typeid" => "previous", "type" =>         // line 69
($context["previous"] ?? null)], 2 => ["typeid" => "navLayout", "type" =>         // line 70
($context["navLayout"] ?? null)], 3 => ["typeid" => "navWidget", "type" =>         // line 71
($context["navWidget"] ?? null)]];
        // line 73
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["actionType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["action"] ?? null), "actionType", [], "any", false, false, false, 73), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null)], 73, $context, $this->getSourceContext());
        echo "

                ";
        // line 75
        ob_start(function () { return ''; });
        echo __("Widget");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Which Widget would you like to Navigate to? The Widget must be in the Interactive drawer for this Layout.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["widgetId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["action"] ?? null), "widgetId", [], "any", false, false, false, 77), twig_array_merge([0 => ["widgetId" => null, "name" => ""]], ($context["widgets"] ?? null)), "widgetId", "name", ($context["helpText"] ?? null), "nav-control-widget"], 77, $context, $this->getSourceContext());
        echo "

                ";
        // line 79
        ob_start(function () { return ''; });
        echo __("Layout Code");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Please enter the Code identifier for the Layout as assigned in the Add / Edit Layout form.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "
                ";
        // line 82
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "100%"], 1 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.code.search")], 2 => ["name" => "data-search-term", "value" => "code"], 3 => ["name" => "data-id-property", "value" => "code"], 4 => ["name" => "data-text-property", "value" => "code"]];
        // line 89
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["layoutCode", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["action"] ?? null), "layoutCode", [], "any", false, false, false, 89), ($context["layout"] ?? null), "code", "code", ($context["helpText"] ?? null), "pagedSelect nav-control-layout", "", "", "", ($context["attributes"] ?? null)], 89, $context, $this->getSourceContext());
        echo "

                ";
        // line 91
        ob_start(function () { return ''; });
        echo __("Target");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                ";
        ob_start(function () { return ''; });
        echo __("If your Widget is a Shell Command you can select to target 'Screen' to run the command without affecting any Regions. For all other Widgets select 'Region' as target.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Screen");
        $context["screen"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Region");
        $context["region"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                ";
        $context["options"] = [0 => ["typeid" => "screen", "type" =>         // line 96
($context["screen"] ?? null)], 1 => ["typeid" => "region", "type" =>         // line 97
($context["region"] ?? null)]];
        // line 99
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["target", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["action"] ?? null), "target", [], "any", false, false, false, 99), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null), "target-control"], 99, $context, $this->getSourceContext());
        echo "

                ";
        // line 101
        ob_start(function () { return ''; });
        echo __("Target Region");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Select the Region this Widget will be loaded into.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["targetId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["action"] ?? null), "targetId", [], "any", false, false, false, 103), twig_array_merge([0 => ["regionId" => null, "name" => ""]], ($context["regions"] ?? null)), "regionId", "name", ($context["helpText"] ?? null), "targetid-control"], 103, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "action-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  280 => 103,  275 => 102,  271 => 101,  265 => 99,  263 => 97,  262 => 96,  260 => 95,  255 => 94,  250 => 93,  245 => 92,  241 => 91,  235 => 89,  233 => 82,  230 => 81,  225 => 80,  221 => 79,  215 => 77,  210 => 76,  206 => 75,  200 => 73,  198 => 71,  197 => 70,  196 => 69,  195 => 68,  193 => 67,  188 => 66,  184 => 65,  181 => 64,  178 => 63,  173 => 62,  168 => 61,  165 => 60,  160 => 59,  155 => 58,  153 => 57,  150 => 56,  145 => 55,  141 => 54,  135 => 52,  130 => 51,  126 => 50,  120 => 48,  118 => 46,  117 => 45,  115 => 44,  110 => 43,  105 => 42,  100 => 41,  96 => 40,  92 => 39,  87 => 36,  83 => 35,  76 => 33,  70 => 30,  65 => 29,  61 => 28,  56 => 25,  52 => 24,  47 => 21,  45 => 22,  38 => 21,);
    }

    public function getSourceContext()
    {
        return new Source("", "action-form-edit.twig", "/home/mgatv524/public_html/mctv/views/action-form-edit.twig");
    }
}
