<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* library-form-edit.twig */
class __TwigTemplate_1d9ddd1273ce0d1843dbefffce1ecca1e591927410124e76c7f776bf2c1d2a60 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "library-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "library-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Media");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#mediaEditForm\").submit()
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "mediaEditFormOpen";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"mediaEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 42
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "mediaId", [], "any", false, false, false, 42)]), "html", null, true);
        echo "\" data-media-id=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "mediaId", [], "any", false, false, false, 42), "html", null, true);
        echo "\" data-valid-extensions=\"";
        echo twig_escape_filter($this->env, ($context["validExtensions"] ?? null), "html", null, true);
        echo "\" data-gettag=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\" data-folder-id=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "folderId", [], "any", false, false, false, 42), "html", null, true);
        echo "\">
                ";
        // line 43
        if ((0 !== twig_compare(twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "mediaType", [], "any", false, false, false, 43), "font"))) {
            // line 44
            echo "
                    <div class=\"form-group row\">
                        <label class=\"col-sm-2 control-label\">";
            // line 46
            echo __("Current Folder");
            echo "</label>
                        <div class=\"col-sm-10\" style=\"padding-top: 7px\">
                            <span id=\"originalFormFolder\"></span>
                        </div>
                    </div>

                    <div class=\"form-group row\">
                        <label class=\"col-sm-2 control-label\">";
            // line 53
            echo __("Move to Selected Folder:");
            echo "</label>
                        <div class=\"col-sm-10\">
                            <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 55
            echo __("Select Folder");
            echo "</button>
                            <span id=\"selectedFormFolder\"></span>
                        </div>
                    </div>

                    ";
            // line 60
            ob_start(function () { return ''; });
            echo __("Name");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 61
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("The Name of this item - Leave blank to use the file name");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 62
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "name", [], "any", false, false, false, 62), ($context["helpText"] ?? null)], 62, $context, $this->getSourceContext());
            echo "

                    ";
            // line 64
            ob_start(function () { return ''; });
            echo __("Duration");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 65
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("The duration in seconds this item should be displayed");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 66
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "duration", [], "any", false, false, false, 66), ($context["helpText"] ?? null)], 66, $context, $this->getSourceContext());
            echo "

                    ";
            // line 68
            if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 68)) {
                // line 69
                echo "                        ";
                ob_start(function () { return ''; });
                echo __("Tags");
                $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
                // line 70
                echo "                        ";
                ob_start(function () { return ''; });
                echo __("Tags for this Media - Comma separated string of Tags or Tag|Value format. If you choose a Tag that has associated values, they will be shown for selection below.");
                $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
                // line 71
                echo "                        ";
                echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), ($context["tags"] ?? null), ($context["helpText"] ?? null), "tags-with-value"], 71, $context, $this->getSourceContext());
                echo "

                        <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

                        ";
                // line 75
                ob_start(function () { return ''; });
                echo __("Tag value");
                $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
                // line 76
                echo "                        ";
                echo twig_call_macro($macros["forms"], "macro_dropdown", ["tagValue", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "key", "value"], 76, $context, $this->getSourceContext());
                echo "

                        <div id=\"tagValueContainer\">
                            ";
                // line 79
                ob_start(function () { return ''; });
                echo __("Tag value");
                $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
                // line 80
                echo "                            ";
                ob_start(function () { return ''; });
                echo __("Please provide the value for this Tag and confirm by pressing enter on your keyboard.");
                $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
                // line 81
                echo "                            ";
                echo twig_call_macro($macros["forms"], "macro_input", ["tagValueInput", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 81, $context, $this->getSourceContext());
                echo "
                        </div>

                        <div id=\"tagValueRequired\" class=\"alert alert-info\">
                            <p>";
                // line 85
                echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
                echo "</p>
                        </div>
                    ";
            }
            // line 88
            echo "
                    ";
            // line 89
            ob_start(function () { return ''; });
            echo __("Expiry date");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 90
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Select the date and time after which this media should be removed from the CMS - it will be removed from any existing widgets as well");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 91
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_dateTime", ["expires", ($context["title"] ?? null), ($context["expiryDate"] ?? null), ($context["helpText"] ?? null)], 91, $context, $this->getSourceContext());
            echo "

                    ";
            // line 93
            ob_start(function () { return ''; });
            echo __("Retire this media?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 94
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Retired media remains on existing Layouts but is not available to assign to new Layouts.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 95
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["retired", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "retired", [], "any", false, false, false, 95), ($context["helpText"] ?? null)], 95, $context, $this->getSourceContext());
            echo "

                    ";
            // line 97
            ob_start(function () { return ''; });
            echo __("Enable Media Stats Collection?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 98
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Enable the collection of Proof of Play statistics for this Media Item. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 99
            echo "
                    ";
            // line 100
            ob_start(function () { return ''; });
            echo __("Off");
            $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 101
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("On");
            $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 102
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Inherit");
            $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 103
            echo "                    ";
            $context["options"] = [0 => ["id" => "Off", "value" =>             // line 104
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>             // line 105
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>             // line 106
($context["inheritOption"] ?? null)]];
            // line 108
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "enableStat", [], "any", false, false, false, 108), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 108, $context, $this->getSourceContext());
            echo "

                    ";
            // line 110
            ob_start(function () { return ''; });
            echo __("Update this media in all layouts it is assigned to?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 111
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Note: It will only be updated in layouts you have permission to edit.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 112
            echo "                    ";
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "LIBRARY_MEDIA_UPDATEINALL_CHECKB", [], "any", false, false, false, 112), 1))) {
                // line 113
                echo "                        ";
                $context["checked"] = 1;
                // line 114
                echo "                    ";
            }
            // line 115
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["updateInLayouts", ($context["title"] ?? null), ($context["checked"] ?? null), ($context["helpText"] ?? null)], 115, $context, $this->getSourceContext());
            echo "

                    ";
            // line 117
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId", twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "folderId", [], "any", false, false, false, 117)], 117, $context, $this->getSourceContext());
            echo "
                ";
        } else {
            // line 119
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Sorry, Fonts do not have any editable properties.");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 120
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 120, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 122
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "library-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  333 => 122,  327 => 120,  322 => 119,  317 => 117,  311 => 115,  308 => 114,  305 => 113,  302 => 112,  297 => 111,  293 => 110,  287 => 108,  285 => 106,  284 => 105,  283 => 104,  281 => 103,  276 => 102,  271 => 101,  267 => 100,  264 => 99,  259 => 98,  255 => 97,  249 => 95,  244 => 94,  240 => 93,  234 => 91,  229 => 90,  225 => 89,  222 => 88,  216 => 85,  208 => 81,  203 => 80,  199 => 79,  192 => 76,  188 => 75,  180 => 71,  175 => 70,  170 => 69,  168 => 68,  162 => 66,  157 => 65,  153 => 64,  147 => 62,  142 => 61,  138 => 60,  130 => 55,  125 => 53,  115 => 46,  111 => 44,  109 => 43,  97 => 42,  93 => 40,  89 => 39,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "library-form-edit.twig", "/home/mgatv524/public_html/mctv/views/library-form-edit.twig");
    }
}
