<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* campaign-page.twig */
class __TwigTemplate_ce01d0d70c9653f204a0c20595be11248b5bc80e36ea56cc9387f840f2ad916d extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "campaign-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "campaign-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Campaigns"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    ";
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "campaign.add"], "method", false, false, false, 29)) {
            // line 30
            echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboFormButton\" title=\"";
            // line 31
            echo __("Add a new Campaign");
            echo "\" href=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.add.form"), "html", null, true);
            echo "\"> <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i>  ";
            echo __("Add Campaign");
            echo "</button>
    </div>
    ";
        }
    }

    // line 37
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 39
        echo __("Campaigns");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 41
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"campaignView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">

                            <div class=\"form-group mr-1 mb-1\">
                                <label class=\"control-label mr-1\" title=\"\" for=\"name\" accesskey=\"\">";
        // line 47
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"name\" type=\"text\" id=\"name\" value=\"\">
                                        <div class=\"input-group-append input-group-addon\">
                                            <div class=\"input-group-text\">
                                                <input title=\"";
        // line 53
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            ";
        // line 60
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 60)) {
            // line 61
            echo "                                ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 62
            echo "                                ";
            ob_start(function () { return ''; });
            echo __("Exact match?");
            $context["exactTagTitle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 63
            echo "                                ";
            ob_start(function () { return ''; });
            echo __("A comma separated list of tags to filter by. Enter a Tag value preceded with | to filter by Tag values. Enter --no-tag to see items without tags.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 64
            echo "                                ";
            echo twig_call_macro($macros["inline"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), null, ($context["helpText"] ?? null), null, null, null, "exactTags", ($context["exactTagTitle"] ?? null)], 64, $context, $this->getSourceContext());
            echo "
                            ";
        }
        // line 66
        echo "
                            ";
        // line 67
        ob_start(function () { return ''; });
        echo __("Layouts");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                            ";
        $context["values"] = [0 => ["id" => 0, "value" => ""], 1 => ["id" => 2, "value" => "Yes"], 2 => ["id" => 1, "value" => "No"]];
        // line 69
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["hasLayouts", "single", ($context["title"] ?? null), 0, ($context["values"] ?? null), "id", "value"], 69, $context, $this->getSourceContext());
        echo "

                            ";
        // line 71
        echo twig_call_macro($macros["inline"], "macro_hidden", ["folderId"], 71, $context, $this->getSourceContext());
        echo "

                            ";
        // line 73
        ob_start(function () { return ''; });
        echo __("Layout ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_number", ["layoutId", ($context["title"] ?? null), ($context["layoutId"] ?? null)], 74, $context, $this->getSourceContext());
        echo "
                        </form>
                    </div>
                </div>

                <div class=\"row\">
                    <div class=\"col-sm-2 p-3 bg-light\" id=\"grid-folder-filter\">
                        <div class=\"form-check\">
                            <input type=\"checkbox\" class=\"form-check-input\" id=\"folder-tree-clear-selection-button\">
                            <label class=\"form-check-label\" for=\"folder-tree-clear-selection-button\" title=\"";
        // line 83
        echo __("Search in all folders");
        echo "\">";
        echo __("All Folders");
        echo "</label>
                        </div>
                        <div id=\"container-folder-tree\"></div>
                    </div>
                    <div class=\"folder-controller d-none\">
                        <button type=\"button\" id=\"folder-tree-select-folder-button\" class=\"btn btn-outline-secondary\" title=\"";
        // line 88
        echo __("Open / Close Folder Search options");
        echo "\"><i class=\"fas fa-folder fa-1x\"></i></button>
                        <div id=\"breadcrumbs\" class=\"mt-2 pl-2\"></div>
                    </div>
                    <div id=\"datatable-container\" class=\"card col-sm-10 pt-4 px-2\">
                        <div class=\"XiboData\">
                            <table id=\"campaigns\" class=\"table table-striped\" data-content-type=\"campaign\" data-content-id-name=\"campaignId\" data-state-preference-name=\"campaignGrid\" style=\"width: 100%;\">
                                <thead>
                                    <tr>
                                        <th>";
        // line 96
        echo __("Name");
        echo "</th>
                                        <th>";
        // line 97
        echo __("# Layouts");
        echo "</th>
                                        ";
        // line 98
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 98)) {
            echo "<th>";
            echo __("Tags");
            echo "</th>";
        }
        // line 99
        echo "                                        <th>";
        echo __("Duration");
        echo "</th>
                                        <th class=\"rowMenu\"></th>
                                    </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 115
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 116
        echo "    <script type=\"text/javascript\">
        var table;
        // Configure the DataTable
        \$(document).ready(function() {
            ";
        // line 120
        if ( !twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 120)) {
            // line 121
            echo "            disableFolders();
            ";
        }
        // line 123
        echo "
            table = \$(\"#campaigns\").DataTable({\"language\": dataTablesLanguage,
                serverSide: true,
                stateSave: true,
                stateDuration: 0,
                responsive: true,
                dom: dataTablesTemplate,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                \"filter\": false,
                searchDelay: 3000,
                \"order\": [[ 0, \"asc\"]],
                ajax: {
                    url: \"";
        // line 136
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("campaign.search"), "html", null, true);
        echo "\",
                    \"data\": function(d) {
                        \$.extend(d, \$(\"#campaigns\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {
                        \"data\": \"campaign\" ,
                        responsivePriority: 2,
                        \"render\": dataTableSpacingPreformatted
                    },
                    { \"data\": \"numberLayouts\", responsivePriority: 2 },
                    ";
        // line 148
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 148)) {
            echo " {
                        \"sortable\": false,
                        responsivePriority: 2,
                        \"data\": dataTableCreateTags
                    },";
        }
        // line 153
        echo "                    {
                        \"data\": \"totalDuration\",
                        responsivePriority: 2,
                        \"render\": dataTableTimeFromSeconds
                    },
                    {
                        \"orderable\": false,
                        responsivePriority: 1,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            // Data Table events
            table.on('draw', dataTableDraw);
            table.on('draw', { form: \$(\"#campaigns\").closest(\".XiboGrid\").find(\".FilterDiv form\") }, dataTableCreateTagEvents);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#campaigns_wrapper').find('.dataTables_buttons'));
        });

        // Callback for the media form
        // Fired when the media form opens
        function campaignAssignLayoutsFormOpen(dialog) {
            // Layout element template
            var layoutElementTemplate = Handlebars.compile(\$(\"#campaign-assign-layout\").html());

            // Convert our filter form tags inputs into actual tag inputs
            \$(dialog).find(\"#tags\").tagsinput();

            // Hold a container for the layouts we have assigned already
            var container = \$(\"#LayoutAssign\");

            // Assignment table
            var \$layoutAssignments = \$(\"#layoutAssignments\");

            var \$layoutAssignSortable = \$(\"#LayoutAssignSortable\");

            // Update all the layout element positions
            var updateSortablePositions = function() {
                var layoutElements = \$layoutAssignSortable.find('li');

                layoutElements.each(function(idx, el) {
                    \$(el).find('.layout-order').html(idx+1);
                })
            };

            // Populate layouts
            var layoutsArray = \$layoutAssignSortable.data('layouts');
            for (layoutIndex = 0; layoutIndex < layoutsArray.length; layoutIndex++) {
                var layout = layoutsArray[layoutIndex];

                // Append to our layouts list
                var newItem = layoutElementTemplate({
                    index: (layoutIndex + 1),
                    layoutId: layout.layoutId,
                    layoutName: layout.layout,
                    locked: layout.locked
                });

                \$(newItem).appendTo(\"#LayoutAssignSortable\");
            }

            // Layout DataTable
            var layoutTable = \$layoutAssignments.DataTable({ \"language\": dataTablesLanguage,
                serverSide: true,
                stateSave: true,
                stateDuration: 0,
                pageLength: 5,
                lengthMenu: [5, 10, 25, 50],
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                searchDelay: 3000,
                \"order\": [[ 0, \"asc\"]],
                \"filter\": false,
                ajax: {
                    url: \"";
        // line 228
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("layout.search"), "html", null, true);
        echo "\",
                    \"data\": function(d) {
                        \$.extend(d, \$layoutAssignments.closest(\".XiboGrid\").find(\".layoutAssignFilterOptions form\").serializeObject());
                    }
                },
                \"columns\": [
                    { \"data\": \"layoutId\" },
                    {
                        \"data\": \"layout\",
                        \"render\": dataTableSpacingPreformatted
                    },
                    {
                        \"name\": \"status\",
                        \"data\": function (data, type) {
                            if (type != \"display\")
                                return data.status;

                            var icon = \"\";
                            if (data.status == 1)
                                icon = \"fa-check\";
                            else if (data.status == 2)
                                icon = \"fa-exclamation\";
                            else if (data.status == 3)
                                icon = \"fa-cogs\";
                            else
                                icon = \"fa-times\";

                            return \"<span class='fa \" + icon + \"' title='\" + (data.statusDescription) + ((data.statusMessage == null) ? \"\" : \" - \" + (data.statusMessage)) + \"'></span>\";
                        }
                    },
                    {
                        \"sortable\": false,
                        \"data\": function(data, type, row, meta) {
                            if (type !== \"display\")
                                return \"\";

                            // Create a click-able span
                            return \"<a href=\\\"#\\\" class=\\\"assignItem\\\"><span class=\\\"fa fa-plus\\\"></a>\";
                        }
                    }
                ]
            });

            layoutTable.on('draw', { form: \$layoutAssignments.closest(\".XiboGrid\").find(\"form\") }, function(e, settings) {
                dataTableDraw(e, settings);
                dataTableCreateTagEvents(e, settings);

                // Bind a click event to each table rows + button (span)
                \$layoutAssignments.find(\".assignItem\").on(\"click\", function() {
                    // Get the row that this is in.
                    var data = layoutTable.row(\$(this).closest(\"tr\")).data();

                    // Append to our layouts list
                    var newItem = layoutElementTemplate({
                        index: (\$(\"#LayoutAssignSortable\").find('li').length + 1),
                        layoutId: data.layoutId,
                        layoutName: data.layout,
                        locked: false
                    }); 

                    \$(newItem).appendTo(\"#LayoutAssignSortable\");
                });
            });
            layoutTable.on('processing.dt', dataTableProcessing);

            // Make our little list sortable
            \$layoutAssignSortable.sortable({
                cancel: \".ui-state-disabled\",
                update: function( event, ui ) {
                    updateSortablePositions();
                }
            });

            // Bind to the existing items in the list
            \$layoutAssignSortable.on('click', '.layout-remove', function () {
                \$(this).parent().remove();
                updateSortablePositions();
            });

            // Bind the filter form
            \$(\".layoutAssignFilterOptions\").find(\"input, select\").change(function() {
                layoutTable.ajax.reload();
            });
        }

        function campaignFormSubmit(\$form) {

            // Process layouts to add
            layoutAssignSubmit(\$form);

            // Submit form
            \$form.submit();
        }
        
        function layoutAssignSubmit(\$form) {
            // Get the final sortable positions
            var finalLayoutPositions = [];
            \$(\"#LayoutAssignSortable\").find(\"li\").each(function(){
                finalLayoutPositions.push(\$(this).data(\"layoutId\"));
            });

            // Send flag to manage layouts
            \$('<input>').attr({
                type: 'hidden',
                name: 'manageLayouts'
            }).val(1).appendTo(\$form);

            //Build the array of layouts
            var layoutOrderArray = [];
            for (i = 0; i < finalLayoutPositions.length; i++) {
                \$('<input>').attr({
                    type: 'hidden',
                    name: 'layoutIds[' + i + ']'
                }).val(finalLayoutPositions[i]).appendTo(\$form.find('#assignLayouts'));
            }
        }
    </script>

    ";
        // line 354
        echo "
        <script type=\"text/x-handlebars-template\" id=\"campaign-assign-layout\">
            <li data-layout-id=\"{{ layoutId }}\" class=\"btn btn-sm btn-white {{#if locked}}ui-state-disabled{{/if}}\">
                <div class=\"float-left text-left layout-order\">{{index}}</div>
                <div class=\"layout-name float-left\" title=\"{{ layoutName }}\">{{ layoutName }}</div>
                <div class=\"layout-icon fa {{#if locked}}fa-lock{{else}}fa-minus layout-remove{{/if}}\"></div>
            </li>
        </script>
    ";
        echo "
";
    }

    public function getTemplateName()
    {
        return "campaign-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  490 => 354,  369 => 228,  292 => 153,  284 => 148,  269 => 136,  254 => 123,  250 => 121,  248 => 120,  242 => 116,  238 => 115,  218 => 99,  212 => 98,  208 => 97,  204 => 96,  193 => 88,  183 => 83,  170 => 74,  166 => 73,  161 => 71,  155 => 69,  152 => 68,  148 => 67,  145 => 66,  139 => 64,  134 => 63,  129 => 62,  124 => 61,  122 => 60,  112 => 53,  103 => 47,  94 => 41,  89 => 39,  86 => 38,  82 => 37,  70 => 31,  67 => 30,  64 => 29,  60 => 28,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "campaign-page.twig", "/home/mgatv524/public_html/mctv/views/campaign-page.twig");
    }
}
