<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* image-form-settings.twig */
class __TwigTemplate_36be00483f4976a881a2971d28c7c3250871afb4920b31ef34fb243ff01a2737 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'moduleFormFields' => [$this, 'block_moduleFormFields'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "module-form-settings.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "image-form-settings.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("module-form-settings.twig", "image-form-settings.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_moduleFormFields($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Default Scale type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 28
        echo "    ";
        ob_start(function () { return ''; });
        echo __("How should images be scaled by default?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Centre");
        $context["center"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "    ";
        ob_start(function () { return ''; });
        echo __("Stretch");
        $context["stretch"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 31
        echo "    ";
        $context["options"] = [0 => ["scaleTypeId" => "center", "scaleType" =>         // line 32
($context["center"] ?? null)], 1 => ["scaleTypeId" => "stretch", "scaleType" =>         // line 33
($context["stretch"] ?? null)]];
        // line 35
        echo "    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["defaultScaleTypeId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "defaultScaleTypeId", 1 => "center"], "method", false, false, false, 35), ($context["options"] ?? null), "scaleTypeId", "scaleType", ($context["helpText"] ?? null)], 35, $context, $this->getSourceContext());
        echo "
";
    }

    public function getTemplateName()
    {
        return "image-form-settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  78 => 35,  76 => 33,  75 => 32,  73 => 31,  68 => 30,  63 => 29,  58 => 28,  53 => 27,  49 => 26,  44 => 23,  42 => 24,  35 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "image-form-settings.twig", "/home/mgatv524/public_html/mctv/modules/image-form-settings.twig");
    }
}
