<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* dataset-dataentry-page.twig */
class __TwigTemplate_1dc2fa8348b413a167745f078f215c461809ee7beb230eb95e42650cecd12180 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "dataset-dataentry-page.twig", 24)->unwrap();
        // line 25
        $context["dataSetName"] = twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSet", [], "any", false, false, false, 25);
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "dataset-dataentry-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        /* xgettext:no-php-format */        echo strtr(__("Data Entry for %dataSetName%"), array("%dataSetName%" => ($context["dataSetName"] ?? null), ));
        echo " | ";
    }

    // line 29
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboFormButton\" title=\"";
        // line 31
        echo __("Add a row to the end of this DataSet");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.data.add.form", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 31)]), "html", null, true);
        echo "\"><i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
        echo __("Add Row");
        echo "</button>
        <button class=\"btn btn-primary toggleMultiSelectMode\" id=\"toggleMultiSelectMode\" title=\"";
        // line 32
        echo __("Click to toggle between Data Edit and Multi Select modes");
        echo "\"><i class=\"fa fa-object-group\" aria-hidden=\"true\"></i> <span class=\"button-text\">";
        echo __("Multi Select Mode");
        echo "</span></button>
        <button class=\"btn btn-danger d-none deleteSelectedRows\" id=\"deleteSelectedRows\" title=\"";
        // line 33
        echo __("Click to delete selected rows");
        echo "\" disabled=\"disabled\"><i class=\"fa fa-trash\" aria-hidden=\"true\"></i> <span class=\"button-text\">";
        echo __("Delete Rows");
        echo "</span></button>
        <button class=\"btn btn-info XiboRedirectButton\" href=\"";
        // line 34
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.column.view", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 34)]), "html", null, true);
        echo "\"><i class=\"fa fa-columns\" aria-hidden=\"true\"></i> ";
        echo __("View Columns");
        echo "</button>
    </div>
";
    }

    // line 39
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    ";
        ob_start(function () { return ''; });
        /* xgettext:no-php-format */        echo strtr(__("Data Entry for %dataSetName%"), array("%dataSetName%" => ($context["dataSetName"] ?? null), ));
        $context["widgetTitle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 42
        echo twig_escape_filter($this->env, ($context["widgetTitle"] ?? null), "html", null, true);
        echo " | <strong class=\"dataset-edit-title-mode widget-sub-title\">";
        echo __("Edit Mode");
        echo "</strong><span title=\"";
        echo __("Click on any row to edit");
        echo "\" class=\"badge badge-pill badge-secondary px-1 mx-1\">?</span></div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 44
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"XiboFilter\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">
                            ";
        // line 48
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "getColumn", [], "method", false, false, false, 48));
        foreach ($context['_seq'] as $context["_key"] => $context["col"]) {
            // line 49
            echo "                                ";
            if ((((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "dataSetColumnTypeId", [], "any", false, false, false, 49), 1)) && ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "dataTypeId", [], "any", false, false, false, 49), 1)) || (0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "dataTypeId", [], "any", false, false, false, 49), 2)))) && (0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "showFilter", [], "any", false, false, false, 49), 1)))) {
                // line 50
                echo "                                    ";
                echo twig_call_macro($macros["inline"], "macro_input", [twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 50), twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 50)], 50, $context, $this->getSourceContext());
                echo "
                                ";
            }
            // line 52
            echo "                            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['col'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 53
        echo "                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"datasets\" class=\"table table-striped\" data-image-url=\"";
        // line 57
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.download", ["id" => ":id"]), "html", null, true);
        echo "?preview=1&width=150&height=150\">
                        <thead>
                        <tr>
                            <th>";
        // line 60
        echo __("ID");
        echo "</th>
                            ";
        // line 61
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "getColumn", [], "method", false, false, false, 61));
        foreach ($context['_seq'] as $context["_key"] => $context["col"]) {
            // line 62
            echo "                                <th>";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 62), "html", null, true);
            echo "</th>
                            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['col'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 64
        echo "                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

";
    }

    // line 78
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 79
        echo "    <script type=\"text/javascript\">

        var imageUrl = \$(\"#datasets\").data(\"imageUrl\");
        var cols = [];
        var editMode = true;
        var editModeTitleTrans = \"";
        // line 84
        echo __("Edit Mode");
        echo "\";
        var multiSelectTitleTrans = \"";
        // line 85
        echo __("Multi Select Mode");
        echo "\";
        var editModeHelpTrans = \"";
        // line 86
        echo __("Click on any row to edit");
        echo "\";
        var multiSelectHelpTrans = \"";
        // line 87
        echo __("Select one or more rows to delete");
        echo "\";


        cols.push({ \"name\": \"id\", \"data\": \"id\" });
        ";
        // line 91
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "getColumn", [], "method", false, false, false, 91));
        foreach ($context['_seq'] as $context["_key"] => $context["col"]) {
            // line 92
            echo "            ";
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "dataTypeId", [], "any", false, false, false, 92), 3))) {
                // line 93
                echo "                cols.push({ \"data\": \"";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 93), "html", null, true);
                echo "\", \"orderable\": ";
                if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "showSort", [], "any", false, false, false, 93), 1))) {
                    echo "true";
                } else {
                    echo "false";
                }
                echo ", \"render\": dataTableDateFromIso });
            ";
            } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source,             // line 94
$context["col"], "dataTypeId", [], "any", false, false, false, 94), 5))) {
                // line 95
                echo "                cols.push({ \"data\": \"";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 95), "html", null, true);
                echo "\", \"orderable\": ";
                if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "showSort", [], "any", false, false, false, 95), 1))) {
                    echo "true";
                } else {
                    echo "false";
                }
                echo ", \"render\": function(data, type, row) {
                        if (type != \"display\")
                            return data;

                        if (data == null)
                            return \"\";

                        return '<img src=\"' + imageUrl.replace(\":id\", data) + '\"/>';
                    }
                });
            ";
            } else {
                // line 106
                echo "                cols.push({ \"data\": \"";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["col"], "heading", [], "any", false, false, false, 106), "html", null, true);
                echo "\", \"orderable\": ";
                if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["col"], "showSort", [], "any", false, false, false, 106), 1))) {
                    echo "true";
                } else {
                    echo "false";
                }
                echo " });
            ";
            }
            // line 108
            echo "        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['col'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 109
        echo "
        cols.push({
            \"orderable\": false,
            \"data\": function(data, type, row, meta) {
                if (type != \"display\")
                    return \"\";

                var url = \"";
        // line 116
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.data.delete.form", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 116), "rowId" => ":rowId"]), "html", null, true);
        echo "\".replace(\":rowId\", data.id);

                return \"<a href=\\\"\" + url + \"\\\" class=\\\"XiboFormButton\\\"><span class=\\\"fa fa-times\\\"></span></a>\";
            }
        });

        var table = \$(\"#datasets\").DataTable({ \"language\": dataTablesLanguage,
            dom: dataTablesTemplate,
            serverSide: true, stateSave: true, stateDuration: 0,
            filter: false,
            responsive: true,
            searchDelay: 3000,
            \"order\": [[ 0, \"asc\"]],
            ajax: {
                \"url\": \"";
        // line 130
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.data.search", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 130)]), "html", null, true);
        echo "\",
                \"data\": function(dataToSend) {
                    var data = {};
                    data.draw = dataToSend.draw;
                    data.length = dataToSend.length;
                    data.start = dataToSend.start;
                    data.order = dataToSend.order;
                    data.columns = [];
                    \$.each(dataToSend.columns, function (index, e) {
                        var col = {};
                        col.data = e.data;
                        if (e.orderable) {
                            data.columns.push(col);
                        } else {
                            data.columns.push({});
                        }
                    });

                    \$.extend(data, \$(\"#datasets\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    return data;
                },
                complete: function (response) {

                    if (response.responseJSON.data.exception != '' && response.responseJSON.data.exception != undefined) {
                        var error = response.responseJSON.data.exception;
                        \$(\"#datasets tbody\").html(error)
                    }
                }
            },
            \"columns\": cols
        });

        table.on('draw', dataTableDraw);
        table.on('processing.dt', dataTableProcessing);
        dataTableAddButtons(table, \$('#datasets_wrapper').find('.dataTables_buttons'));

        var dataSetEditFormOpen = _.debounce(function() {
            var data = table.row(\$(this)).data();

            // Load the edit form.
            var editUrl = \"";
        // line 170
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.data.edit.form", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 170), "rowId" => ":rowId"]), "html", null, true);
        echo "\".replace(\":rowId\", data.id);
            XiboFormRender(editUrl);
        }, 500, true);

        // default is Edit mode, hence this should be our onclick event and deleteRows button should be hidden.
        \$(\"#datasets tbody\").on('click', 'tr', dataSetEditFormOpen);

        // Toggle between Edit and Multi Select modes
        // we also switch between two different onclick events depending on the mode and show/hide deleteRows button.
        \$('#toggleMultiSelectMode').on(\"click\", function(e) {
            e.preventDefault();

            if (editMode) {
                // switch to multi select mode
                editMode = false;
                \$(this).find('.button-text').text(editModeTitleTrans);
                \$(this).find('i').removeClass('fa-object-group').addClass('fa-edit');
                \$('.dataset-edit-title-mode').text(multiSelectTitleTrans);
                \$('.widget-title .badge').attr('title', multiSelectHelpTrans);
                \$(\"#datasets tbody\").off('click', 'tr');
                \$(\".deleteSelectedRows\").removeClass('d-none');
                \$('#datasets tbody').on('click', 'tr', function(ev) {

                    // See if element has class already
                    var hasClass = \$(ev.currentTarget).hasClass('selected')

                    // Add class to the clicked one ( or remove it if there was already there )
                    \$(ev.currentTarget).toggleClass('selected', !hasClass);

                    // Change Delete button state according to the number of selected rows
                    if (\$('#datasets tbody tr.selected').length > 0) {
                        \$(\".deleteSelectedRows\").removeAttr('disabled');
                    } else {
                        \$(\".deleteSelectedRows\").attr('disabled', 'disabled');
                    }
                     
                });
            } else {
                // switch to edit mode
                editMode = true;
                \$(this).find('.button-text').text(multiSelectTitleTrans);
                \$(this).find('i').removeClass('fa-edit').addClass('fa-object-group');
                \$('.dataset-edit-title-mode').text(editModeTitleTrans);
                \$('.widget-title .badge').attr('title', editModeHelpTrans);
                \$(\".deleteSelectedRows\").addClass('d-none');
                \$(\"#datasets tbody\").off('click', 'tr');
                \$('#datasets tbody tr[role=\"row\"].selected').removeClass('selected');
                \$(\".deleteSelectedRows\").attr('disabled', 'disabled');
                \$(\"#datasets tbody\").on('click', 'tr', dataSetEditFormOpen);
            }
        });

        // get selected rows and their ids then pass it to dataSet data delete ajax call and reload the grid when done.
        \$('#deleteSelectedRows').on(\"click\", function(e) {
            e.preventDefault();

            var rows = [];
            var rowIds = [];
            var processedRows = 0;

            \$('#datasets tbody tr[role=\"row\"].selected').each(function(idx, ele) {
                rows.push(table.row(ele).data());
            });

            for (var i = 0; i < rows.length; i++) {
                rowIds.push(rows[i].id);
            }

            rowIds.forEach(function(id) {
                \$.ajax({
                    url: \"";
        // line 240
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("dataSet.data.delete", ["id" => twig_get_attribute($this->env, $this->source, ($context["dataSet"] ?? null), "dataSetId", [], "any", false, false, false, 240), "rowId" => ":rowId"]), "html", null, true);
        echo "\".replace(\":rowId\", id),
                    type: \"DELETE\",
                    success: function (data) {
                        processedRows++;
                        if (processedRows === rowIds.length) {
                            table.ajax.reload();
                        }
                    }
                });
            });
        });
    </script>
";
    }

    public function getTemplateName()
    {
        return "dataset-dataentry-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  421 => 240,  348 => 170,  305 => 130,  288 => 116,  279 => 109,  273 => 108,  261 => 106,  240 => 95,  238 => 94,  227 => 93,  224 => 92,  220 => 91,  213 => 87,  209 => 86,  205 => 85,  201 => 84,  194 => 79,  190 => 78,  174 => 64,  165 => 62,  161 => 61,  157 => 60,  151 => 57,  145 => 53,  139 => 52,  133 => 50,  130 => 49,  126 => 48,  119 => 44,  110 => 42,  107 => 41,  102 => 40,  98 => 39,  89 => 34,  83 => 33,  77 => 32,  69 => 31,  66 => 30,  62 => 29,  54 => 27,  49 => 23,  47 => 25,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "dataset-dataentry-page.twig", "/home/mgatv524/public_html/mctv/views/dataset-dataentry-page.twig");
    }
}
