<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* install-error.twig */
class __TwigTemplate_6b374d282af1bb47b87448e64ae53fe25279c020509a923989fefceb3820a06b extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'jumboTron' => [$this, 'block_jumboTron'],
            'stepContent' => [$this, 'block_stepContent'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 1
        return "base-install.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 2
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "install-error.twig", 2)->unwrap();
        // line 1
        $this->parent = $this->loadTemplate("base-install.twig", "install-error.twig", 1);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 4
    public function block_jumboTron($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 5
        echo "    <div class=\"jumbotron\">
        <div class=\"container\">
            ";
        // line 7
        $context["themeName"] = twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getThemeConfig", [0 => "app_name"], "method", false, false, false, 7);
        // line 8
        echo "            ";
        ob_start(function () { return ''; });
        /* xgettext:no-php-format */        echo strtr(__("%themeName% Error"), array("%themeName%" => ($context["themeName"] ?? null), ));
        $context["header"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 9
        echo "            <h1>";
        echo twig_escape_filter($this->env, ($context["header"] ?? null), "html", null, true);
        echo "</h1>
            <p>";
        // line 10
        echo __("We are really sorry, but there has been an error. It has been logged in install_log.txt and printed below.");
        echo "</p>
        </div>
    </div>
";
    }

    // line 15
    public function block_stepContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 16
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <p class=\"alert alert-danger\">";
        // line 18
        echo twig_escape_filter($this->env, ($context["error"] ?? null), "html", null, true);
        echo "</p>
        </div>
    </div>
    <div class=\"row\">
        <div class=\"col-md-12\">
            <div class=\"card p-3 mb-3 bg-light\">
                <code>";
        // line 24
        echo twig_escape_filter($this->env, ($context["trace"] ?? null), "html", null, true);
        echo "</code>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "install-error.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  95 => 24,  86 => 18,  82 => 16,  78 => 15,  70 => 10,  65 => 9,  60 => 8,  58 => 7,  54 => 5,  50 => 4,  45 => 1,  43 => 2,  36 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "install-error.twig", "/home/mgatv524/public_html/mctv/views/install-error.twig");
    }
}
