<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* log-page.twig */
class __TwigTemplate_8e9d1d31f9372d8133c618eb9f11b7f4c0d6df508f96524f10841116492c8063 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "log-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "log-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Logs"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-warning XiboFormButton\" title=\"";
        // line 30
        echo __("Truncate the Log");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("log.truncate.form"), "html", null, true);
        echo "\" data-auto-submit=\"true\" data-commit-url=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("log.truncate"), "html", null, true);
        echo "\" data-commit-method=\"DELETE\"><i class=\"fa fa-scissors\" aria-hidden=\"true\"></i> ";
        echo __("Truncate");
        echo "</button>
        <button class=\"btn btn-success\" id=\"refreshLog\" title=\"";
        // line 31
        echo __("Refresh the Log");
        echo "\" href=\"#\"><i class=\"fa fa-refresh\" aria-hidden=\"true\"></i> ";
        echo __("Refresh");
        echo "</button>
    </div>
";
    }

    // line 36
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 37
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 38
        echo __("Logs");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 40
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"logView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <ul class=\"nav nav-tabs\" role=\"tablist\">
                            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\">";
        // line 44
        echo __("General");
        echo "</a></li>
                            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#advanced\" role=\"tab\" data-toggle=\"tab\">";
        // line 45
        echo __("Advanced");
        echo "</a></li>
                        </ul>
                        <form class=\"form-inline\">
                            <div class=\"tab-content\">
                                <div class=\"tab-pane active\" id=\"general\">
                                    ";
        // line 50
        ob_start(function () { return ''; });
        echo __("Level");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["level", ($context["title"] ?? null)], 51, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 53
        ob_start(function () { return ''; });
        echo __("Interval");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Seconds");
        $context["secondsTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Minutes");
        $context["minutesTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("Hours");
        $context["hoursTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                                    ";
        $context["intervalTypeOptions"] = [0 => ["id" => 1, "value" =>         // line 58
($context["secondsTrans"] ?? null)], 1 => ["id" => 60, "value" =>         // line 59
($context["minutesTrans"] ?? null)], 2 => ["id" => 3600, "value" =>         // line 60
($context["hoursTrans"] ?? null)]];
        // line 62
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["intervalType", "single", ($context["title"] ?? null), 1, ($context["intervalTypeOptions"] ?? null), "id", "value"], 62, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Duration back");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_number", ["seconds", ($context["title"] ?? null), 120], 65, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 67
        ob_start(function () { return ''; });
        echo __("Run");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["runNo", ($context["title"] ?? null)], 68, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 70
        ob_start(function () { return ''; });
        echo __("User");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["userId", "single", ($context["title"] ?? null), "", twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null)), "userId", "userName"], 71, $context, $this->getSourceContext());
        echo "
                                </div>
                                <div class=\"tab-pane\" id=\"advanced\">
                                    ";
        // line 74
        ob_start(function () { return ''; });
        echo __("From Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_date", ["fromDt", ($context["title"] ?? null)], 75, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Channel");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["channel", ($context["title"] ?? null)], 78, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 80
        ob_start(function () { return ''; });
        echo __("Page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["page", ($context["title"] ?? null)], 81, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 83
        ob_start(function () { return ''; });
        echo __("Function");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("GET");
        $context["getTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("POST");
        $context["postTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("PUT");
        $context["putTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("DELETE");
        $context["deleteTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("HEAD");
        $context["headTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                                    ";
        ob_start(function () { return ''; });
        echo __("PATCH");
        $context["patchTrans"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                                    ";
        $context["functionOptions"] = [0 => ["id" => "", "value" => ""], 1 => ["id" => "GET", "value" =>         // line 92
($context["getTrans"] ?? null)], 2 => ["id" => "POST", "value" =>         // line 93
($context["postTrans"] ?? null)], 3 => ["id" => "PUT", "value" =>         // line 94
($context["putTrans"] ?? null)], 4 => ["id" => "DELETE", "value" =>         // line 95
($context["deleteTrans"] ?? null)], 5 => ["id" => "HEAD", "value" =>         // line 96
($context["headTrans"] ?? null)], 6 => ["id" => "PATCH", "value" =>         // line 97
($context["patchTrans"] ?? null)]];
        // line 99
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["function", "single", ($context["title"] ?? null), "", ($context["functionOptions"] ?? null), "id", "value"], 99, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 101
        ob_start(function () { return ''; });
        echo __("Display");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "200px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("display.search")], 5 => ["name" => "data-search-term", "value" => "display"], 6 => ["name" => "data-search-term-tags", "value" => "tags"], 7 => ["name" => "data-id-property", "value" => "displayId"], 8 => ["name" => "data-text-property", "value" => "display"]];
        // line 113
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["displayId", "single", ($context["title"] ?? null), "", null, "displayId", "display", "", "pagedSelect", "", "d", "", ($context["attributes"] ?? null)], 113, $context, $this->getSourceContext());
        echo "

                                    <div class=\"form-group mr-1 mb-1\">
                                        <label class=\"control-label mr-1\" title=\"\" for=\"display\" accesskey=\"\">";
        // line 116
        echo __("Display Name");
        echo "</label>
                                        <div>
                                            <div class=\"input-group\">
                                                <input class=\"form-control\" name=\"display\" type=\"text\" id=\"display\" value=\"\">
                                                <div class=\"input-group-append input-group-addon\">
                                                    <div class=\"input-group-text\">
                                                        <input title=\"";
        // line 122
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Display Group");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "200px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.search")], 5 => ["name" => "data-search-term", "value" => "displayGroup"], 6 => ["name" => "data-id-property", "value" => "displayGroupId"], 7 => ["name" => "data-text-property", "value" => "displayGroup"]];
        // line 140
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["displayGroupId", "single", ($context["title"] ?? null), "", null, "displayGroupId", "displayGroup", "", "pagedSelect", "", "d", "", ($context["attributes"] ?? null)], 140, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 142
        ob_start(function () { return ''; });
        echo __("Message");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_input", ["message", ($context["title"] ?? null)], 143, $context, $this->getSourceContext());
        echo "

                                    ";
        // line 145
        ob_start(function () { return ''; });
        echo __("Exclude logs common to each request?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 146
        echo "                                    ";
        echo twig_call_macro($macros["inline"], "macro_checkbox", ["excludeLog", ($context["title"] ?? null), 1], 146, $context, $this->getSourceContext());
        echo "
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"logs\" class=\"table table-striped\" data-state-preference-name=\"logGrid\">
                        <thead>
                            <tr>
                                <th>";
        // line 156
        echo __("ID");
        echo "</th>
                                <th>";
        // line 157
        echo __("Run");
        echo "</th>
                                <th>";
        // line 158
        echo __("Date");
        echo "</th>
                                <th>";
        // line 159
        echo __("Channel");
        echo "</th>
                                <th>";
        // line 160
        echo __("Function");
        echo "</th>
                                <th>";
        // line 161
        echo __("Level");
        echo "</th>
                                <th>";
        // line 162
        echo __("Display");
        echo "</th>
                                <th>";
        // line 163
        echo __("Page");
        echo "</th>
                                <th style=\"width: 50%\">";
        // line 164
        echo __("Message");
        echo "</th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 177
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 178
        echo "    <script type=\"text/javascript\">
        \$(document).ready(function() {
            var table = \$(\"#logs\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                stateDuration: 0,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                filter: false,
                searchDelay: 3000,
                \"order\": [[0, \"desc\"]],
                ajax: {
                    url: \"";
        // line 192
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("log.search"), "html", null, true);
        echo "\",
                    \"data\": function (d) {
                        \$.extend(d, \$(\"#logs\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {\"data\": \"logId\"},
                    {\"data\": \"runNo\"},
                    {\"data\": \"logDate\", \"render\": dataTableDateFromIso},
                    {\"data\": \"channel\"},
                    {\"data\": \"function\"},
                    {\"data\": \"type\"},
                    {\"data\": \"display\"},
                    {\"data\": \"page\"},
                    {\"data\": \"message\"}
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#logs_wrapper').find('.dataTables_buttons'));

            \$(\"#refreshLog\").click(function() {
                table.ajax.reload();
            });
        });
    </script>
";
    }

    public function getTemplateName()
    {
        return "log-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  410 => 192,  394 => 178,  390 => 177,  374 => 164,  370 => 163,  366 => 162,  362 => 161,  358 => 160,  354 => 159,  350 => 158,  346 => 157,  342 => 156,  328 => 146,  324 => 145,  318 => 143,  314 => 142,  308 => 140,  305 => 130,  301 => 129,  291 => 122,  282 => 116,  275 => 113,  272 => 102,  268 => 101,  262 => 99,  260 => 97,  259 => 96,  258 => 95,  257 => 94,  256 => 93,  255 => 92,  253 => 90,  248 => 89,  243 => 88,  238 => 87,  233 => 86,  228 => 85,  223 => 84,  219 => 83,  213 => 81,  209 => 80,  203 => 78,  199 => 77,  193 => 75,  189 => 74,  182 => 71,  178 => 70,  172 => 68,  168 => 67,  162 => 65,  158 => 64,  152 => 62,  150 => 60,  149 => 59,  148 => 58,  146 => 57,  141 => 56,  136 => 55,  131 => 54,  127 => 53,  121 => 51,  117 => 50,  109 => 45,  105 => 44,  98 => 40,  93 => 38,  90 => 37,  86 => 36,  77 => 31,  67 => 30,  64 => 29,  60 => 28,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "log-page.twig", "/home/mgatv524/public_html/mctv/views/log-page.twig");
    }
}
