<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* tfa.twig */
class __TwigTemplate_b36d48da317e7de36a2d59c262d42eb5b376e28fe37d2db757337b442f134428 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 1
        echo "<!DOCTYPE html>
<html lang=\"en\">
<head>
    <title>";
        // line 4
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getThemeConfig", [0 => "theme_title"], "method", false, false, false, 4), "html", null, true);
        echo "</title>
    <meta charset=\"utf-8\">
    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
    <meta name=\"token\" content=\"";
        // line 8
        echo twig_escape_filter($this->env, ($context["csrfToken"] ?? null), "html", null, true);
        echo "\"/>
    <meta name=\"public-path\" content=\"";
        // line 9
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 9), "html", null, true);
        echo "\"/>
    <link rel=\"shortcut icon\" href=\"";
        // line 10
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/favicon.ico"], "method", false, false, false, 10), "html", null, true);
        echo "\" />

    <!-- Import CSS bundle from dist -->
    <script src=\"";
        // line 13
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 13), "html", null, true);
        echo "dist/style.bundle.min.js?v=";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "&rev=";
        echo twig_escape_filter($this->env, ($context["revision"] ?? null), "html", null, true);
        echo "\"></script>

    <!-- Copyright 2006-2020 Xibo Signage Ltd. Part of the Xibo Open Source Digital Signage Solution. Released under the AGPLv3 or later. -->
    <style type=\"text/css\">
        body {
            padding-top: 40px;
            padding-bottom: 40px;
            background-color: #f5f5f5;
        }

        .form-signin {
            max-width: 300px;
            padding: 19px 29px 29px;
            margin: 0 auto 20px;
            background-color: #fff;
            border: 1px solid #e5e5e5;
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            border-radius: 5px;
            -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.05);
            -moz-box-shadow: 0 1px 2px rgba(0,0,0,.05);
            box-shadow: 0 1px 2px rgba(0,0,0,.05);
        }
        .form-signin .form-signin-heading,
        .form-signin .checkbox {
            margin-bottom: 10px;
        }
        .form-signin input[type=\"text\"],
        .form-signin input[type=\"password\"] {
            font-size: 16px;
            height: auto;
            margin-bottom: 15px;
            padding: 7px 9px;
        }
        .login-logo {
            width: 200px;
        }

    </style>
</head>
<body>
<div class=\"container\">
        <form id=\"login-form\" class=\"form-signin text-center\" action=\"";
        // line 55
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tfa.auth.validate"), "html", null, true);
        echo "\" method=\"post\">
            ";
        // line 56
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable($this->extensions['Xibo\Twig\TwigMessages']->getMessages("priorRoute"));
        foreach ($context['_seq'] as $context["_key"] => $context["priorRoute"]) {
            // line 57
            echo "                <input name=\"priorRoute\" type=\"hidden\" value=\"";
            echo twig_escape_filter($this->env, $context["priorRoute"], "html", null, true);
            echo "\" />
            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['priorRoute'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 59
        echo "            <input type=\"hidden\" name=\"";
        echo twig_escape_filter($this->env, ($context["csrfKey"] ?? null), "html", null, true);
        echo "\" value=\"";
        echo twig_escape_filter($this->env, ($context["csrfToken"] ?? null), "html", null, true);
        echo "\" />
            <p><a href=\"";
        // line 60
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getThemeConfig", [0 => "theme_url"], "method", false, false, false, 60), "html", null, true);
        echo "\"><img class=\"login-logo\" src=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/xibologo.png"], "method", false, false, false, 60), "html", null, true);
        echo "\"></a></p>

            <p>";
        // line 62
        echo __("Please provide your Two Factor Authorisation Code");
        echo "</p>
            <input id=\"code\" class=\"form-control input-block-level\" name=\"code\" type=\"text\" placeholder=\"";
        // line 63
        echo __("Code");
        echo "\" autofocus>

            ";
        // line 65
        if ((0 !== twig_compare(($context["message"] ?? null), ""))) {
            // line 66
            echo "                <div class=\"alert alert-danger\">";
            echo twig_escape_filter($this->env, ($context["message"] ?? null), "html", null, true);
            echo "</div>
            ";
        }
        // line 68
        echo "
            <p><button class=\"btn btn-primary\" type=\"submit\">";
        // line 69
        echo __("Verify");
        echo "</button></p>

            <p><a href=\"#\" id=\"recovery-form-toggle\">";
        // line 71
        echo __("Use Recovery Code instead?");
        echo "</a></p>
        </form>

    <form id=\"recovery-form\" class=\"form-signin text-center d-none\" action=\"";
        // line 74
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tfa.auth.validate"), "html", null, true);
        echo "\" method=\"post\">
        ";
        // line 75
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable($this->extensions['Xibo\Twig\TwigMessages']->getMessages("priorRoute"));
        foreach ($context['_seq'] as $context["_key"] => $context["priorRoute"]) {
            // line 76
            echo "            <input name=\"priorRoute\" type=\"hidden\" value=\"";
            echo twig_escape_filter($this->env, $context["priorRoute"], "html", null, true);
            echo "\" />
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['priorRoute'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 78
        echo "        <input type=\"hidden\" name=\"";
        echo twig_escape_filter($this->env, ($context["csrfKey"] ?? null), "html", null, true);
        echo "\" value=\"";
        echo twig_escape_filter($this->env, ($context["csrfToken"] ?? null), "html", null, true);
        echo "\" />
        <p><a href=\"";
        // line 79
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getThemeConfig", [0 => "theme_url"], "method", false, false, false, 79), "html", null, true);
        echo "\"><img class=\"login-logo\" src=\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "uri", [0 => "img/xibologo.png"], "method", false, false, false, 79), "html", null, true);
        echo "\"></a></p>

        <p>";
        // line 81
        echo __("Please provide your Two Factor Authorisation Recovery Code");
        echo "</p>
        <input id=\"recoveryCode\" class=\"form-control input-block-level\" name=\"recoveryCode\" type=\"text\" placeholder=\"";
        // line 82
        echo __("Recovery Code");
        echo "\" autofocus>

        ";
        // line 84
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable($this->extensions['Xibo\Twig\TwigMessages']->getMessages("2fa_message"));
        foreach ($context['_seq'] as $context["_key"] => $context["loginMessage"]) {
            // line 85
            echo "            <div class=\"alert alert-danger\">";
            echo twig_escape_filter($this->env, $context["loginMessage"], "html", null, true);
            echo "</div>
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['loginMessage'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 87
        echo "
        <p><button class=\"btn btn-primary\" type=\"submit\">";
        // line 88
        echo __("Verify");
        echo "</button></p>

        <p><a href=\"#\" id=\"login-form-toggle\">";
        // line 90
        echo __("Use Two Factor Code instead?");
        echo "</a></p>
    </form>
</div>
<!-- Import JS bundle from dist -->
<script src=\"";
        // line 94
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 94), "html", null, true);
        echo "dist/vendor.bundle.min.js?v=";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "&rev=";
        echo twig_escape_filter($this->env, ($context["revision"] ?? null), "html", null, true);
        echo "\"></script>
<script type=\"text/javascript\">
    \$(function() {
        \$(\"#recovery-form-toggle\").on(\"click\", function (e) {
            e.preventDefault();

            \$(\"#login-form\").addClass(\"d-none\");
            \$(\"#recovery-form\").removeClass(\"d-none\");
        });

        \$(\"#login-form-toggle\").on(\"click\", function (e) {
            e.preventDefault();

            \$(\"#login-form\").removeClass(\"d-none\");
            \$(\"#recovery-form\").addClass(\"d-none\");
        });
    });
</script>
</body>
</html>
";
    }

    public function getTemplateName()
    {
        return "tfa.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  242 => 94,  235 => 90,  230 => 88,  227 => 87,  218 => 85,  214 => 84,  209 => 82,  205 => 81,  198 => 79,  191 => 78,  182 => 76,  178 => 75,  174 => 74,  168 => 71,  163 => 69,  160 => 68,  154 => 66,  152 => 65,  147 => 63,  143 => 62,  136 => 60,  129 => 59,  120 => 57,  116 => 56,  112 => 55,  63 => 13,  57 => 10,  53 => 9,  49 => 8,  42 => 4,  37 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "tfa.twig", "/home/mgatv524/public_html/mctv/views/tfa.twig");
    }
}
