<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* subplaylist-form-edit.twig */
class __TwigTemplate_af42482470c1adfb47c06f448e7979e460fd1c804afb0aa50827eb4757004400 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "subplaylist-form-edit.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "subplaylist-form-edit.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Edit Sub-Playlist");
    }

    // line 30
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getExtra", [0 => twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userId", [], "any", false, false, false, 30)], "method", false, false, false, 30));
    }

    // line 32
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("Configuration");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"subPlaylistForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 39
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 39), "widgetId", [], "any", false, false, false, 39)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 42
        ob_start(function () { return ''; });
        echo __("Please select one or more Playlists to embed. If selecting more than one use the Configuration tab to adjust how each Playlist is combined.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 43, $context, $this->getSourceContext());
        echo "

                        ";
        // line 45
        ob_start(function () { return ''; });
        echo __("Optionally set Spot options to expand or shrink each Playlist to a particular size or duration. Leave the Spot options empty to use the count of Widgets in each Playlist.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 46, $context, $this->getSourceContext());
        echo "

                        ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Setting Spots to 0 will omit the first Playlist from the play order, and will be used as a Spot Fill option.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 49, $context, $this->getSourceContext());
        echo "

                        <div class=\"row row-special\">
                            <div class=\"col-sm-1 text-right\" for=\"subPlaylistId[]\">#</div>
                            <div class=\"col-sm-3 text-center\">
                                ";
        // line 54
        echo twig_escape_filter($this->env, __("Playlists"), "html", null, true);
        echo "
                            </div>
                            ";
        // line 56
        ob_start(function () { return ''; });
        echo __("How many spots would you like on this Sub-Playlist? This is used before ordering to expand or shrink the list to the specified size. Leave empty to use the count of Widgets.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                            <div class=\"col-sm-2 text-center\" title=\"";
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "\" data-toggle=\"tooltip\" data-placement=\"top\">
                                ";
        // line 58
        echo twig_escape_filter($this->env, __("Spots"), "html", null, true);
        echo "
                            </div>
                            ";
        // line 60
        ob_start(function () { return ''; });
        echo __("Set the duration of all Widgets in the Playlist to a specific value in seconds. Leave empty to use each Widget duration.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                            <div class=\"col-sm-2 text-center\" title=\"";
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "\" data-toggle=\"tooltip\" data-placement=\"top\">
                                ";
        // line 62
        echo twig_escape_filter($this->env, __("Spot Length"), "html", null, true);
        echo "
                            </div>
                            ";
        // line 64
        ob_start(function () { return ''; });
        echo __("If there are not enough Widgets fill all spots, how should the remaining spots be filled?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                            <div class=\"col-sm-3 text-center\" title=\"";
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "\" data-toggle=\"tooltip\" data-placement=\"top\">
                                ";
        // line 66
        echo twig_escape_filter($this->env, __("Spot Fill"), "html", null, true);
        echo "
                            </div>
                            <div class=\"col-sm-1 text-center\" title=\"";
        // line 68
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "\" data-toggle=\"tooltip\" data-placement=\"top\">
                            </div>
                        </div>

                        <div class=\"sub-playlists\"></div>
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Playlist Ordering");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("How would you like the Widgets on these Playlists to be ordered?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Play all - Playlists will play in their entirety one after the other in the order they appear on the General tab");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Round Robin - take one Widget from each Playlist in the order they appear on the General tab and repeat");
        $context["robinOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Auto - ensure Widgets are played evenly from each Playlist using the total count of Widgets on all Playlists");
        $context["evenOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        $context["options"] = [0 => ["id" => "none", "value" =>         // line 82
($context["noneOption"] ?? null)], 1 => ["id" => "roundrobin", "value" =>         // line 83
($context["robinOption"] ?? null)], 2 => ["id" => "even", "value" =>         // line 84
($context["evenOption"] ?? null)]];
        // line 86
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["arrangement", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "arrangement"], "method", false, false, false, 86), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 86, $context, $this->getSourceContext());
        echo "

                        ";
        // line 88
        ob_start(function () { return ''; });
        echo __("Remaining Widgets");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If there are Widgets left unordered at the end, what should be done with these Widgets?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Add - After ordering any remaining Widgets are to be added to the end");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Discard - Uses the Playlist with the least Widgets and ignores remaining Widgets on the longer Playlists");
        $context["dropOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Repeat - Uses the Playlist with the most Widgets and repeats remaining Widgets on the shorter Playlists");
        $context["repeatOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        $context["options"] = [0 => ["id" => "none", "value" =>         // line 94
($context["noneOption"] ?? null)], 1 => ["id" => "drop", "value" =>         // line 95
($context["dropOption"] ?? null)], 2 => ["id" => "repeat", "value" =>         // line 96
($context["repeatOption"] ?? null)]];
        // line 98
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["remainder", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "remainder"], "method", false, false, false, 98), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 98, $context, $this->getSourceContext());
        echo "
                    </div>

                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "subplaylist-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  248 => 98,  246 => 96,  245 => 95,  244 => 94,  242 => 93,  237 => 92,  232 => 91,  227 => 90,  222 => 89,  218 => 88,  212 => 86,  210 => 84,  209 => 83,  208 => 82,  206 => 81,  201 => 80,  196 => 79,  191 => 78,  186 => 77,  182 => 76,  171 => 68,  166 => 66,  161 => 65,  157 => 64,  152 => 62,  147 => 61,  143 => 60,  138 => 58,  133 => 57,  129 => 56,  124 => 54,  115 => 49,  111 => 48,  105 => 46,  101 => 45,  95 => 43,  91 => 42,  85 => 39,  79 => 36,  75 => 35,  71 => 33,  67 => 32,  60 => 30,  55 => 27,  51 => 26,  46 => 23,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "subplaylist-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/subplaylist-form-edit.twig");
    }
}
