<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* reportschedule-form-toggleactive.twig */
class __TwigTemplate_861db82bc6023e3b303a74dd1081b985549a434461c048c97fed9e6ba4c33548 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "reportschedule-form-toggleactive.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "reportschedule-form-toggleactive.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["reportSchedule"] ?? null), "isActive", [], "any", false, false, false, 28), 1))) {
            // line 29
            echo "        ";
            echo __("Pause Report Schedule");
            // line 30
            echo "    ";
        } else {
            // line 31
            echo "        ";
            echo __("Resume Report Schedule");
            // line 32
            echo "    ";
        }
    }

    // line 35
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 36
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 37
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 38
        echo __("Yes");
        echo ", \$(\"#reportScheduleToggleActiveForm\").submit()
";
    }

    // line 41
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 42
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"reportScheduleToggleActiveForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 44
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("reportschedule.toggleactive", ["id" => twig_get_attribute($this->env, $this->source, ($context["reportSchedule"] ?? null), "reportScheduleId", [], "any", false, false, false, 44)]), "html", null, true);
        echo "\">
                ";
        // line 45
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["reportSchedule"] ?? null), "isActive", [], "any", false, false, false, 45), 1))) {
            // line 46
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Are you sure you want to pause this report schedule?");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 47
            echo "                ";
        } else {
            // line 48
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Are you sure you want to resume this report schedule?");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 49
            echo "                ";
        }
        // line 50
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 50, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "reportschedule-form-toggleactive.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  123 => 50,  120 => 49,  115 => 48,  112 => 47,  107 => 46,  105 => 45,  101 => 44,  97 => 42,  93 => 41,  87 => 38,  83 => 37,  76 => 36,  72 => 35,  67 => 32,  64 => 31,  61 => 30,  58 => 29,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "reportschedule-form-toggleactive.twig", "/home/mgatv524/public_html/mctv/views/reportschedule-form-toggleactive.twig");
    }
}
