<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-membership.twig */
class __TwigTemplate_b2db8b3e22d3124e476e965fa3fa64f0f4ea73f701875784e1c1037fda327977 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 25
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 23
        $context["randomId"] = twig_random($this->env);
        // line 26
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "user-form-membership.twig", 26)->unwrap();
        // line 25
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-membership.twig", 25);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 28
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    ";
        echo __("Manage Membership");
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "permissions", [], "any", false, false, false, 33), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Save");
        echo ", membersFormSubmit(\"";
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\")
";
    }

    // line 38
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "membersFormOpen";
    }

    // line 40
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 41
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <div id=\"";
        // line 43
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\" class=\"div-horizontal\"
                     data-param=\"userGroupId\"
                     data-param-unassign=\"unassignUserGroupId\"
                     data-url=\"";
        // line 46
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.assign.userGroup", ["id" => twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "userId", [], "any", false, false, false, 46)]), "html", null, true);
        echo "\"
                    >
                ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Check or un-check the options against each user to control whether they are a member or not.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 49, $context, $this->getSourceContext());
        echo "
                <table class=\"table table-bordered membersTable\">
                    <tr>
                        <th>";
        // line 52
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["user"] ?? null), "user", [], "any", false, false, false, 52), "html", null, true);
        echo "</th>
                        <th>";
        // line 53
        echo __("Member");
        echo "</th>
                    </tr>
                    ";
        // line 55
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["checkboxes"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 56
            echo "                        <tr>
                            <td>";
            // line 57
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "name", [], "any", false, false, false, 57), "html", null, true);
            echo "</td>
                            <td><input type=\"checkbox\" data-member-id=\"";
            // line 58
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "id", [], "any", false, false, false, 58), "html", null, true);
            echo "\" ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "value_checked", [], "any", false, false, false, 58), "html", null, true);
            echo "></td>
                        </tr>
                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 61
        echo "                </table>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-membership.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  154 => 61,  143 => 58,  139 => 57,  136 => 56,  132 => 55,  127 => 53,  123 => 52,  116 => 49,  112 => 48,  107 => 46,  101 => 43,  97 => 41,  93 => 40,  86 => 38,  78 => 35,  74 => 34,  67 => 33,  63 => 32,  58 => 29,  54 => 28,  49 => 25,  47 => 26,  45 => 23,  38 => 25,);
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-membership.twig", "/home/mgatv524/public_html/mctv/views/user-form-membership.twig");
    }
}
