<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* install-step1.twig */
class __TwigTemplate_317acf0ea05596c92dcd36f7d93f174239257eaa5d62b54de98bb751b5c27750 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'jumboTron' => [$this, 'block_jumboTron'],
            'stepContent' => [$this, 'block_stepContent'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 1
        return "base-install.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 2
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "install-step1.twig", 2)->unwrap();
        // line 1
        $this->parent = $this->loadTemplate("base-install.twig", "install-step1.twig", 1);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 4
    public function block_jumboTron($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 5
        echo "    <div class=\"jumbotron\">
        <div class=\"container\">
            ";
        // line 7
        $context["themeName"] = twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getThemeConfig", [0 => "app_name"], "method", false, false, false, 7);
        // line 8
        echo "            ";
        ob_start(function () { return ''; });
        /* xgettext:no-php-format */        echo strtr(__("Welcome to the %themeName% Installation"), array("%themeName%" => ($context["themeName"] ?? null), ));
        $context["header"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 9
        echo "            <h1>";
        echo twig_escape_filter($this->env, ($context["header"] ?? null), "html", null, true);
        echo "</h1>
            <p>";
        // line 10
        /* xgettext:no-php-format */        echo strtr(__("Thank you for choosing %themeName%. This installation wizard will take you through
                setting up %themeName% one step at a time. There are 6 steps in total, the first one is below."), array("%themeName%" => ($context["themeName"] ?? null), "%themeName%" =>         // line 11
($context["themeName"] ?? null), ));
        // line 12
        echo "            </p>
            <p><a class=\"btn btn-primary btn-lg\" role=\"button\" href=\"";
        // line 13
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getThemeConfig", [0 => "cms_install_url"], "method", false, false, false, 13), "html", null, true);
        echo "\" target=\"_blank\">";
        echo __("Installation guide");
        echo " &raquo;</a></p>
        </div>
    </div>
";
    }

    // line 18
    public function block_stepContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 19
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            ";
        // line 21
        $context["themeName"] = twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getThemeConfig", [0 => "app_name"], "method", false, false, false, 21);
        // line 22
        echo "            <p>";
        /* xgettext:no-php-format */        echo strtr(__("First we need to check if your server meets %themeName%'s requirements."), array("%themeName%" => ($context["themeName"] ?? null), ));
        echo "</p>
            <table id=\"sessions\" class=\"table table-striped\">
                <thead>
                <tr>
                    <th>";
        // line 26
        echo __("Item");
        echo "</th>
                    <th>";
        // line 27
        echo __("Status");
        echo "</th>
                    <th>";
        // line 28
        echo __("Advice");
        echo "</th>
                </tr>
                </thead>
                <tbody>
                ";
        // line 32
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["config"] ?? null), "CheckEnvironment", [], "method", false, false, false, 32));
        foreach ($context['_seq'] as $context["_key"] => $context["check"]) {
            // line 33
            echo "                    <tr>
                        <td>";
            // line 34
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["check"], "item", [], "any", false, false, false, 34), "html", null, true);
            echo "</td>
                        <td>
                            ";
            // line 36
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["check"], "status", [], "any", false, false, false, 36), 0))) {
                // line 37
                echo "                                <span class=\"fa fa-times\"></span>
                            ";
            } elseif ((0 === twig_compare(twig_get_attribute($this->env, $this->source,             // line 38
$context["check"], "status", [], "any", false, false, false, 38), 1))) {
                // line 39
                echo "                                <span class=\"fa fa-check\"></span>
                            ";
            } else {
                // line 41
                echo "                                <span class=\"fa fa-exclamation\"></span>
                            ";
            }
            // line 43
            echo "                        </td>
                        <td>";
            // line 44
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["check"], "advice", [], "any", false, false, false, 44), "html", null, true);
            echo "</td>
                    </tr>
                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['check'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 47
        echo "                </tbody>
            </table>
            ";
        // line 49
        if (twig_get_attribute($this->env, $this->source, ($context["config"] ?? null), "EnvironmentFault", [], "method", false, false, false, 49)) {
            // line 50
            echo "                <form action=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("install", ["step" => 1]), "html", null, true);
            echo "\" class=\"form-inline\">
                    ";
            // line 51
            ob_start(function () { return ''; });
            echo __("Retest");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 52
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_button", [($context["title"] ?? null), "submit"], 52, $context, $this->getSourceContext());
            echo "
                </form>
            ";
        } elseif (twig_get_attribute($this->env, $this->source,         // line 54
($context["config"] ?? null), "EnvironmentWarning", [], "method", false, false, false, 54)) {
            // line 55
            echo "                <form action=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("install", ["step" => 2]), "html", null, true);
            echo "\" class=\"form-inline\">
                    ";
            // line 56
            ob_start(function () { return ''; });
            echo __("Retest");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 57
            echo "                    ";
            $context["link"] = $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("install", ["step" => 1]);
            // line 58
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_button", [($context["title"] ?? null), "link", ($context["link"] ?? null)], 58, $context, $this->getSourceContext());
            echo "

                    ";
            // line 60
            ob_start(function () { return ''; });
            echo __("Next");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 61
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_button", [($context["title"] ?? null), "submit", ($context["link"] ?? null)], 61, $context, $this->getSourceContext());
            echo "
                </form>
            ";
        } else {
            // line 64
            echo "                <form action=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("install", ["step" => 2]), "html", null, true);
            echo "\" class=\"form-inline\">
                    ";
            // line 65
            ob_start(function () { return ''; });
            echo __("Next");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 66
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_button", [($context["title"] ?? null), "submit"], 66, $context, $this->getSourceContext());
            echo "
                </form>
            ";
        }
        // line 69
        echo "        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "install-step1.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  227 => 69,  220 => 66,  216 => 65,  211 => 64,  204 => 61,  200 => 60,  194 => 58,  191 => 57,  187 => 56,  182 => 55,  180 => 54,  174 => 52,  170 => 51,  165 => 50,  163 => 49,  159 => 47,  150 => 44,  147 => 43,  143 => 41,  139 => 39,  137 => 38,  134 => 37,  132 => 36,  127 => 34,  124 => 33,  120 => 32,  113 => 28,  109 => 27,  105 => 26,  97 => 22,  95 => 21,  91 => 19,  87 => 18,  77 => 13,  74 => 12,  72 => 11,  70 => 10,  65 => 9,  60 => 8,  58 => 7,  54 => 5,  50 => 4,  45 => 1,  43 => 2,  36 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "install-step1.twig", "/home/mgatv524/public_html/mctv/views/install-step1.twig");
    }
}
