<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* usergroup-form-add.twig */
class __TwigTemplate_b2c8fc9e679ab98146c16df4d401d6d317a61ec2b66c73a406d9af0ddba8a689 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "usergroup-form-add.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "usergroup-form-add.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Add User Group");
    }

    // line 30
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "add", [], "any", false, false, false, 31), "html", null, true);
        echo "\")
    ";
        // line 32
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 33
        echo __("Save");
        echo ", \$(\"#userGroupAddForm\").submit()
";
    }

    // line 36
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "userGroupFormOpen";
    }

    // line 38
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 39
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general-tab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#description-tab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Description");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#onboarding-tab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Onboarding Settings");
        echo "</span></a></li>
            </ul>
            <form id=\"userGroupAddForm\" class=\"UserGroupForm form-horizontal\" method=\"post\" action=\"";
        // line 46
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("group.add"), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general-tab\">
                        ";
        // line 49
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Name for this User Group");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["group", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required maxlength='50'"], 51, $context, $this->getSourceContext());
        echo "

                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("Library Quota");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The quota that should be applied. Enter 0 for no quota.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\" for=\"libraryQuota\">";
        // line 56
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-6\">
                                <input class=\"form-control\" name=\"libraryQuota\" type=\"number\" id=\"libraryQuota\" />
                                <span class=\"help-block\">";
        // line 59
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                            <div class=\"col-sm-4\">
                                <select name=\"libraryQuotaUnits\" class=\"form-control\">
                                    <option value=\"kb\">KiB</option>
                                    <option value=\"mb\">MiB</option>
                                    <option value=\"gb\">GiB</option>
                                </select>
                            </div>
                        </div>

                        ";
        // line 70
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userTypeId", [], "any", false, false, false, 70), 1))) {
            // line 71
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Receive System Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 72
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Should members of this Group receive system notifications?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 73
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["isSystemNotification", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 73, $context, $this->getSourceContext());
            echo "

                            ";
            // line 75
            ob_start(function () { return ''; });
            echo __("Receive Display Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 76
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Should members of this Group receive Display notifications for Displays they have permission to see?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 77
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["isDisplayNotification", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 77, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 79
        echo "                    </div>

                    <div class=\"tab-pane\" id=\"description-tab\">
                        ";
        // line 82
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional description of the user group. (1 - 500 characters)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["description", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "", 15], 84, $context, $this->getSourceContext());
        echo "
                    </div>

                    ";
        // line 87
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userTypeId", [], "any", false, false, false, 87), 1))) {
            // line 88
            echo "                        <div class=\"tab-pane\" id=\"onboarding-tab\">
                            ";
            // line 89
            ob_start(function () { return ''; });
            echo __("Show when onboarding a new user?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 90
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Should this User Group be available for selection when creating a New User via the onboarding form?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 91
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["isShownForAddUser", ($context["title"] ?? null), 0, ($context["helpText"] ?? null)], 91, $context, $this->getSourceContext());
            echo "

                            ";
            // line 93
            ob_start(function () { return ''; });
            echo __("Default Homepage");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 94
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Default Homepage for users created with this group.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 95
            echo "                            ";
            ob_start(function () { return ''; });
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.homepages.search"), "html", null, true);
            echo "?userTypeId=1";
            $context["homepagesUrl"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 96
            echo "                            ";
            $context["attributes"] = [0 => ["name" => "data-live-search", "value" => "true"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" =>             // line 101
($context["homepagesUrl"] ?? null)], 5 => ["name" => "data-search-term", "value" => "homepage"], 6 => ["name" => "data-id-property", "value" => "homepage"], 7 => ["name" => "data-text-property", "value" => "title"], 8 => ["name" => "data-initial-key", "value" => "homepage"], 9 => ["name" => "data-initial-value", "value" => twig_get_attribute($this->env, $this->source,             // line 106
($context["group"] ?? null), "defaultHomepageId", [], "any", false, false, false, 106)]];
            // line 108
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["defaultHomepageId", "single", ($context["title"] ?? null), "", null, "homepage", "title", ($context["helpText"] ?? null), "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 108, $context, $this->getSourceContext());
            echo "
                        </div>
                    ";
        }
        // line 111
        echo "                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "usergroup-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  265 => 111,  258 => 108,  256 => 106,  255 => 101,  253 => 96,  247 => 95,  242 => 94,  238 => 93,  232 => 91,  227 => 90,  223 => 89,  220 => 88,  218 => 87,  211 => 84,  206 => 83,  202 => 82,  197 => 79,  191 => 77,  186 => 76,  182 => 75,  176 => 73,  171 => 72,  166 => 71,  164 => 70,  150 => 59,  144 => 56,  141 => 55,  136 => 54,  132 => 53,  126 => 51,  121 => 50,  117 => 49,  111 => 46,  106 => 44,  102 => 43,  98 => 42,  93 => 39,  89 => 38,  82 => 36,  76 => 33,  72 => 32,  65 => 31,  61 => 30,  56 => 27,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "usergroup-form-add.twig", "/home/mgatv524/public_html/mctv/views/usergroup-form-add.twig");
    }
}
