<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* usergroup-form-edit.twig */
class __TwigTemplate_41b28b1c5a178973a279581b2f4a7bb8e48a793685d8c0e4a189ef5a639292bf extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "usergroup-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "usergroup-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit User Group");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["help"] ?? null), "edit", [], "any", false, false, false, 32), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#userGroupEditForm\").submit()
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "userGroupFormOpen";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general-tab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#description-tab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Description");
        echo "</span></a></li>
                ";
        // line 45
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userTypeId", [], "any", false, false, false, 45), 1))) {
            echo "<li class=\"nav-item\"><a class=\"nav-link\" href=\"#onboarding-tab\" role=\"tab\" data-toggle=\"tab\"><span>";
            echo __("Onboarding Settings");
            echo "</span></a></li>";
        }
        // line 46
        echo "            </ul>
            <form id=\"userGroupEditForm\" class=\"UserGroupForm form-horizontal\" method=\"put\" action=\"";
        // line 47
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("group.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["group"] ?? null), "groupId", [], "any", false, false, false, 47)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general-tab\">

                        ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Name for this User Group");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["group", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["group"] ?? null), "group", [], "any", false, false, false, 53), ($context["helpText"] ?? null), "", "required maxlength='50'"], 53, $context, $this->getSourceContext());
        echo "

                        ";
        // line 55
        ob_start(function () { return ''; });
        echo __("Library Quota");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The quota that should be applied. Enter 0 for no quota.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        <div class=\"form-group row\">
                            <label class=\"col-sm-2 control-label\" for=\"libraryQuota\">";
        // line 58
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-6\">
                                <input class=\"form-control\" name=\"libraryQuota\" type=\"number\" id=\"libraryQuota\" value=\"";
        // line 60
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["group"] ?? null), "libraryQuota", [], "any", false, false, false, 60), "html", null, true);
        echo "\" />
                                <span class=\"help-block\">";
        // line 61
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                            <div class=\"col-sm-4\">
                                <select name=\"libraryQuotaUnits\" class=\"form-control\">
                                    <option value=\"kb\">KiB</option>
                                    <option value=\"mb\">MiB</option>
                                    <option value=\"gb\">GiB</option>
                                </select>
                            </div>
                        </div>

                        ";
        // line 72
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userTypeId", [], "any", false, false, false, 72), 1))) {
            // line 73
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Receive System Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 74
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Should members of this Group receive system notifications?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 75
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["isSystemNotification", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["group"] ?? null), "isSystemNotification", [], "any", false, false, false, 75), ($context["helpText"] ?? null)], 75, $context, $this->getSourceContext());
            echo "

                            ";
            // line 77
            ob_start(function () { return ''; });
            echo __("Receive Display Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 78
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Should members of this Group receive Display notifications for Displays they have permission to see?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 79
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["isDisplayNotification", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["group"] ?? null), "isDisplayNotification", [], "any", false, false, false, 79), ($context["helpText"] ?? null)], 79, $context, $this->getSourceContext());
            echo "
                        ";
        }
        // line 81
        echo "                    </div>

                    <div class=\"tab-pane\" id=\"description-tab\">
                        ";
        // line 84
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional description of the user group. (1 - 500 characters)");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["description", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["group"] ?? null), "description", [], "any", false, false, false, 86), ($context["helpText"] ?? null), "", "", 15], 86, $context, $this->getSourceContext());
        echo "
                    </div>

                    ";
        // line 89
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "userTypeId", [], "any", false, false, false, 89), 1))) {
            // line 90
            echo "                    <div class=\"tab-pane\" id=\"onboarding-tab\">
                        ";
            // line 91
            ob_start(function () { return ''; });
            echo __("Show when onboarding a new user?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 92
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Should this User Group be available for selection when creating a New User via the onboarding form?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 93
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["isShownForAddUser", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["group"] ?? null), "isShownForAddUser", [], "any", false, false, false, 93), ($context["helpText"] ?? null)], 93, $context, $this->getSourceContext());
            echo "

                        ";
            // line 95
            ob_start(function () { return ''; });
            echo __("Default Homepage");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 96
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Default Homepage for users created with this group.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 97
            echo "                        ";
            ob_start(function () { return ''; });
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.homepages.search"), "html", null, true);
            echo "?userTypeId=1";
            $context["homepagesUrl"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 98
            echo "                        ";
            $context["attributes"] = [0 => ["name" => "data-live-search", "value" => "true"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" =>             // line 103
($context["homepagesUrl"] ?? null)], 5 => ["name" => "data-search-term", "value" => "homepage"], 6 => ["name" => "data-id-property", "value" => "homepage"], 7 => ["name" => "data-text-property", "value" => "title"], 8 => ["name" => "data-initial-key", "value" => "homepage"], 9 => ["name" => "data-initial-value", "value" => twig_get_attribute($this->env, $this->source,             // line 108
($context["group"] ?? null), "defaultHomepageId", [], "any", false, false, false, 108)]];
            // line 110
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["defaultHomepageId", "single", ($context["title"] ?? null), "", null, "homepage", "title", ($context["helpText"] ?? null), "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 110, $context, $this->getSourceContext());
            echo "
                    </div>
                    ";
        }
        // line 113
        echo "                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "usergroup-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  273 => 113,  266 => 110,  264 => 108,  263 => 103,  261 => 98,  255 => 97,  250 => 96,  246 => 95,  240 => 93,  235 => 92,  231 => 91,  228 => 90,  226 => 89,  219 => 86,  214 => 85,  210 => 84,  205 => 81,  199 => 79,  194 => 78,  190 => 77,  184 => 75,  179 => 74,  174 => 73,  172 => 72,  158 => 61,  154 => 60,  149 => 58,  146 => 57,  141 => 56,  137 => 55,  131 => 53,  126 => 52,  122 => 51,  115 => 47,  112 => 46,  106 => 45,  102 => 44,  98 => 43,  93 => 40,  89 => 39,  82 => 37,  76 => 34,  72 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "usergroup-form-edit.twig", "/home/mgatv524/public_html/mctv/views/usergroup-form-edit.twig");
    }
}
