<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* weather-form-edit.twig */
class __TwigTemplate_0f5e810bb500bba9f914fd3bf950f874e3c878d08e83514ce9fe4229780fd223 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "weather-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "weather-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Weather");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        if ((twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "isSuperAdmin", [], "method", false, false, false, 32) && (0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "SERVER_MODE", [], "any", false, false, false, 32), "Test")))) {
            // line 33
            echo "        ";
            echo __("Export Template");
            echo ", formHelpers.requestTab(\"forecast\"| \"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.tab.form", ["tab" => "exporttemplate", "id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 33), "widgetId", [], "any", false, false, false, 33)]), "html", null, true);
            echo "\")
    ";
        }
        // line 35
        echo "    ";
        echo __("Get Forecast");
        echo ", formHelpers.requestTab(\"forecast\"| \"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.tab.form", ["tab" => "forecast", "id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 35), "widgetId", [], "any", false, false, false, 35)]), "html", null, true);
        echo "\")
";
    }

    // line 38
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "templatesAvailable", [], "method", false, false, false, 38));
    }

    // line 40
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 41
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 47
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#templatePreset\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 50
        echo __("Preset");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#backgroundTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 51
        echo __("Backgrounds");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#templateTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 52
        echo __("Main Template");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#optionalStylesheetTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 53
        echo __("Optional Stylesheet");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#optionalJavascript\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 54
        echo __("Optional JavaScript");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#cacheTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 57
        echo __("Caching");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#forecast\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 58
        echo __("Forecast");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"forecastEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 61
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 61), "widgetId", [], "any", false, false, false, 61)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 66), ($context["helpText"] ?? null)], 66, $context, $this->getSourceContext());
        echo "

                        ";
        // line 68
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 70), ($context["helpText"] ?? null)], 70, $context, $this->getSourceContext());
        echo "

                        ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this item should be displayed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 74), ($context["helpText"] ?? null), "duration-fields", "required"], 74, $context, $this->getSourceContext());
        echo "

                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 82
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 83
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 84
($context["inheritOption"] ?? null)]];
        // line 86
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 86)], "method", false, false, false, 86), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 86, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 90
        ob_start(function () { return ''; });
        echo __("Weather type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Choose between the current or forecast views");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Current");
        $context["currentText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Forecast");
        $context["forecastText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        $context["options"] = [0 => ["id" => "current", "value" =>         // line 95
($context["currentText"] ?? null)], 1 => ["id" => "forecast", "value" =>         // line 96
($context["forecastText"] ?? null)]];
        // line 98
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["weatherType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "weatherType", 1 => "current"], "method", false, false, false, 98), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 98, $context, $this->getSourceContext());
        echo "

                        ";
        // line 100
        ob_start(function () { return ''; });
        echo __("Use the Display Location");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the location configured on the display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDisplayLocation", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useDisplayLocation", 1 => 1], "method", false, false, false, 102), ($context["helpText"] ?? null)], 102, $context, $this->getSourceContext());
        echo "

                        ";
        // line 104
        ob_start(function () { return ''; });
        echo __("Latitude");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Latitude for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["latitude", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "latitude"], "method", false, false, false, 106), ($context["helpText"] ?? null), "locationControls"], 106, $context, $this->getSourceContext());
        echo "

                        ";
        // line 108
        ob_start(function () { return ''; });
        echo __("Longitude");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Longitude for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["longitude", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "longitude"], "method", false, false, false, 110), ($context["helpText"] ?? null), "locationControls"], 110, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 112
        ob_start(function () { return ''; });
        echo __("Days Offset");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Starting day offset");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["dayOffset", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dayOffset", 1 => 0], "method", false, false, false, 114), ($context["helpText"] ?? null), "forecastViewControls", ""], 114, $context, $this->getSourceContext());
        echo "

                        ";
        // line 116
        ob_start(function () { return ''; });
        echo __("Number of days");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Number of days ( less than one week ) to display counting from the offset value onwards");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["numDays", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "numDays", 1 => 1], "method", false, false, false, 118), ($context["helpText"] ?? null), "forecastViewControls", "required"], 118, $context, $this->getSourceContext());
        echo "

                        ";
        // line 120
        ob_start(function () { return ''; });
        echo __("Days Columns");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Number of columns to display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["daysCols", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "daysCols", 1 => 1], "method", false, false, false, 122), ($context["helpText"] ?? null), "forecastViewControls", "required"], 122, $context, $this->getSourceContext());
        echo "

                        ";
        // line 124
        ob_start(function () { return ''; });
        echo __("Days Rows");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Number of rows to display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["daysRows", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "daysRows", 1 => 1], "method", false, false, false, 126), ($context["helpText"] ?? null), "forecastViewControls", "required"], 126, $context, $this->getSourceContext());
        echo "

                        ";
        // line 128
        ob_start(function () { return ''; });
        echo __("Units");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the units you would like to use.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["units", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "units"], "method", false, false, false, 130), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "unitsAvailable", [], "method", false, false, false, 130), "id", "value", ($context["helpText"] ?? null)], 130, $context, $this->getSourceContext());
        echo "

                        ";
        // line 132
        ob_start(function () { return ''; });
        echo __("Language");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 133
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the language you would like to use.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["lang", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "lang", 1 => "en"], "method", false, false, false, 134), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "supportedLanguages", [], "method", false, false, false, 134), "id", "value", ($context["helpText"] ?? null)], 134, $context, $this->getSourceContext());
        echo "

                        ";
        // line 136
        ob_start(function () { return ''; });
        echo __("Only show Daytime weather conditions");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to only show the Daytime weather conditions.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["dayConditionsOnly", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dayConditionsOnly"], "method", false, false, false, 138), ($context["helpText"] ?? null)], 138, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"backgroundTab\">
                        ";
        // line 142
        ob_start(function () { return ''; });
        echo __("Show main background?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Default");
        $context["nameDefault"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Show background in the main widget container");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 145
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showMainBackground", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showMainBackground", 1 => 0], "method", false, false, false, 145), ($context["helpText"] ?? null)], 145, $context, $this->getSourceContext());
        echo "

                        ";
        // line 147
        $context["attributes"] = [0 => ["name" => "data-allow-clear", "value" => "true"], 1 => ["name" => "data-placeholder--id", "value" => null], 2 => ["name" => "data-placeholder--value", "value" => ""], 3 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.search")], 4 => ["name" => "data-search-term", "value" => "media"], 5 => ["name" => "data-search-term-tags", "value" => "tags"], 6 => ["name" => "data-width", "value" => "100%"], 7 => ["name" => "data-id-property", "value" => "mediaId"], 8 => ["name" => "data-text-property", "value" => "name"], 9 => ["name" => "data-filter-options", "value" => "{\"type\":\"image\"}"]];
        // line 159
        echo "
                        ";
        // line 160
        $context["backgroundTranslations"] = ["cloudy-image" => __("Cloudy"), "day-cloudy-image" => __("Cloudy day"), "day-sunny-image" => __("Clear"), "fog-image" => __("Fog"), "hail-image" => __("Hail"), "night-clear-image" => __("Clear night"), "night-partly-cloudy-image" => __("Cloudy night"), "rain-image" => __("Raining"), "snow-image" => __("Snowing"), "windy-image" => __("Windy")];
        // line 172
        echo "
                        ";
        // line 173
        $context["backgroundOptions"] = twig_array_merge([0 => ["mediaId" => "", "name" => ""]], twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getBackgroundOptions", [], "method", false, false, false, 173));
        // line 174
        echo "                        ";
        $context["getBackgroundList"] = twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getBackgroundList", [], "method", false, false, false, 174);
        // line 175
        echo "
                        ";
        // line 176
        ob_start(function () { return ''; });
        echo __("Select images from the media library to replace the default weather backgrounds. The images will be used both for main background and daily backgrounds.");
        $context["backgroundListMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["backgroundListMessage"] ?? null), ""], 177, $context, $this->getSourceContext());
        echo "

                        ";
        // line 179
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["getBackgroundList"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["backgroundEl"]) {
            // line 180
            echo "                            ";
            if ((0 !== twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => $context["backgroundEl"]], "method", false, false, false, 180), $context["backgroundEl"]))) {
                // line 181
                echo "                                ";
                $context["elOption"] = twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => $context["backgroundEl"]], "method", false, false, false, 181);
                // line 182
                echo "                            ";
            } else {
                // line 183
                echo "                                ";
                $context["elOption"] = "";
                // line 184
                echo "                            ";
            }
            echo " 

                            ";
            // line 186
            $context["title"] = twig_get_attribute($this->env, $this->source, ($context["backgroundTranslations"] ?? null), $context["backgroundEl"], [], "any", false, false, false, 186);
            // line 187
            echo "                            ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", [$context["backgroundEl"], "single", ($context["title"] ?? null), ($context["elOption"] ?? null), ($context["backgroundOptions"] ?? null), "mediaId", "name", "", "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 187, $context, $this->getSourceContext());
            echo "
                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['backgroundEl'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 189
        echo "                    </div>

                    <div class=\"tab-pane\" id=\"templatePreset\">
                        ";
        // line 192
        ob_start(function () { return ''; });
        echo __("Weather Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 193
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 194
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["templateId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "templateId"], "method", false, false, false, 194), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "templatesAvailable", [], "method", false, false, false, 194), "id", "value", ($context["helpText"] ?? null), "template-selector-control localSelect selectPickerWithImage weather-type-targets", null, null, null, [0 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 1 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 2 => ["name" => "data-width", "value" => "100%"]], ($context["optionGroups"] ?? null), "image", "type"], 194, $context, $this->getSourceContext());
        echo "

                        ";
        // line 196
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 197
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 198
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["overrideTemplate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "overrideTemplate"], "method", false, false, false, 198), ($context["helpText"] ?? null)], 198, $context, $this->getSourceContext());
        echo "

                        ";
        // line 200
        ob_start(function () { return ''; });
        // line 201
        echo "                            ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 203
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["useTemplatesMessage"] ?? null), "template-override-controls"], 203, $context, $this->getSourceContext());
        echo "

                        ";
        // line 205
        ob_start(function () { return ''; });
        echo __("Original Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 206
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended width of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 207
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalWidth", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalWidth", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 207), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 207, $context, $this->getSourceContext());
        echo "

                        ";
        // line 209
        ob_start(function () { return ''; });
        echo __("Original Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 210
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended height of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 211
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalHeight", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalHeight", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 211), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 211, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templateTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 216
        echo __("Forecast Template");
        echo "</h4>
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 220
        ob_start(function () { return ''; });
        // line 221
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 223
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "template-advanced-editor-hide"], 223, $context, $this->getSourceContext());
        echo "

                            ";
        // line 225
        ob_start(function () { return ''; });
        // line 226
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 227
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 228
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 229
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage2"] ?? null), "template-advanced-editor-show"], 229, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"ckeditor_controls inline-editor-hide container-fluid\" data-linked-to=\"template\">
                            <div class=\"form-group row localSelect\">
                                <label class=\"col-sm-2 control-label\" for=\"ckeditor_snippets_select\">";
        // line 234
        echo __("Snippets");
        echo "</label>
                                <div class=\"col-sm-10 ckeditor_select_container weather-type-targets\">
                                    ";
        // line 236
        $context["weatherSnippets"] = twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getWeatherSnippets", [], "method", false, false, false, 236);
        // line 237
        echo "
                                    <select id=\"ckeditor_snippets_select\" 
                                        class=\"ckeditor_snippets_select form-control\"
                                        data-linked-to=\"template\"
                                        data-filter-class=\"\">
                                        <option value=\"\"></option>

                                        ";
        // line 244
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["weatherSnippets"] ?? null), "current", [], "any", false, false, false, 244));
        foreach ($context['_seq'] as $context["_key"] => $context["snippet"]) {
            // line 245
            echo "                                            <option value=\"";
            echo twig_escape_filter($this->env, $context["snippet"], "html", null, true);
            echo "\" data-filter-class=\"current\">";
            echo twig_escape_filter($this->env, $context["snippet"], "html", null, true);
            echo "</option>
                                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['snippet'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 247
        echo "
                                        ";
        // line 248
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["weatherSnippets"] ?? null), "forecast", [], "any", false, false, false, 248));
        foreach ($context['_seq'] as $context["_key"] => $context["snippet"]) {
            // line 249
            echo "                                            <option value=\"";
            echo twig_escape_filter($this->env, $context["snippet"], "html", null, true);
            echo "\" data-filter-class=\"forecast\">";
            echo twig_escape_filter($this->env, $context["snippet"], "html", null, true);
            echo "</option>
                                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['snippet'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 251
        echo "                                    </select>
                                </div>
                            </div>
                        </div>

                        ";
        // line 256
        ob_start(function () { return ''; });
        echo __("Enter the template for the current forecast. For a list of substitutions click Get Forecast below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 257
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["template", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "template"], "method", false, false, false, 257), ($context["helpText"] ?? null), "template-override-controls", "required", 10], 257, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 262
        echo __("CSS Style Sheet");
        echo "</h4>
                        </div>

                        ";
        // line 265
        ob_start(function () { return ''; });
        echo __("Enter a CSS style sheet to style the weather widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 266
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["styleSheet", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "styleSheet"], "method", false, false, false, 266), ($context["helpText"] ?? null), "template-override-controls", "", 10], 266, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalJavascript\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 271
        echo __("Optional JavaScript");
        echo "</h4>
                        </div>

                        ";
        // line 274
        echo twig_call_macro($macros["forms"], "macro_textarea", ["javaScript", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "javaScript"], "method", false, false, false, 274), "", "", "", 10], 274, $context, $this->getSourceContext());
        echo "
                    </div>
                    
                    <div class=\"tab-pane\" id=\"cacheTab\">
                        ";
        // line 278
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 279
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 280
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["updateInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 60], "method", false, false, false, 280), ($context["helpText"] ?? null), "", "required"], 280, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"forecast\">
                        ";
        // line 284
        ob_start(function () { return ''; });
        echo __("Please press Get Forecast");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 285
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 285, $context, $this->getSourceContext());
        echo "  
                    </div>
                </div>
                
                ";
        // line 289
        if (((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "apiKey"], "method", false, false, false, 289), "")) && (0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "owmApiKey"], "method", false, false, false, 289), "")))) {
            // line 290
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("The Weather Widget has not been configured yet, please ask your CMS Administrator to look at it for you.");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 291
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), "alert alert-danger"], 291, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 293
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "weather-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  766 => 293,  760 => 291,  755 => 290,  753 => 289,  745 => 285,  741 => 284,  733 => 280,  728 => 279,  724 => 278,  717 => 274,  711 => 271,  702 => 266,  698 => 265,  692 => 262,  683 => 257,  679 => 256,  672 => 251,  661 => 249,  657 => 248,  654 => 247,  643 => 245,  639 => 244,  630 => 237,  628 => 236,  623 => 234,  614 => 229,  611 => 228,  608 => 227,  605 => 226,  603 => 225,  597 => 223,  591 => 221,  589 => 220,  582 => 216,  573 => 211,  568 => 210,  564 => 209,  558 => 207,  553 => 206,  549 => 205,  543 => 203,  537 => 201,  535 => 200,  529 => 198,  524 => 197,  520 => 196,  514 => 194,  509 => 193,  505 => 192,  500 => 189,  491 => 187,  489 => 186,  483 => 184,  480 => 183,  477 => 182,  474 => 181,  471 => 180,  467 => 179,  461 => 177,  457 => 176,  454 => 175,  451 => 174,  449 => 173,  446 => 172,  444 => 160,  441 => 159,  439 => 147,  433 => 145,  428 => 144,  423 => 143,  419 => 142,  411 => 138,  406 => 137,  402 => 136,  396 => 134,  391 => 133,  387 => 132,  381 => 130,  376 => 129,  372 => 128,  366 => 126,  361 => 125,  357 => 124,  351 => 122,  346 => 121,  342 => 120,  336 => 118,  331 => 117,  327 => 116,  321 => 114,  316 => 113,  312 => 112,  306 => 110,  301 => 109,  297 => 108,  291 => 106,  286 => 105,  282 => 104,  276 => 102,  271 => 101,  267 => 100,  261 => 98,  259 => 96,  258 => 95,  256 => 94,  251 => 93,  246 => 92,  241 => 91,  237 => 90,  229 => 86,  227 => 84,  226 => 83,  225 => 82,  223 => 81,  218 => 80,  213 => 79,  208 => 78,  203 => 77,  199 => 76,  193 => 74,  188 => 73,  184 => 72,  178 => 70,  173 => 69,  169 => 68,  163 => 66,  158 => 65,  154 => 64,  148 => 61,  142 => 58,  138 => 57,  132 => 54,  128 => 53,  124 => 52,  120 => 51,  116 => 50,  110 => 47,  104 => 44,  100 => 43,  96 => 41,  92 => 40,  85 => 38,  76 => 35,  68 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "weather-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/weather-form-edit.twig");
    }
}
