<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* applications-page.twig */
class __TwigTemplate_6912346e7ec8b66300818c9d65eb38d29d8886777d32ebd568c95c789c42df50 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "applications-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "applications-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Applications"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboFormButton\" title=\"";
        // line 30
        echo __("Add an Application");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("application.add.form"), "html", null, true);
        echo "\"> <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
        echo __("Add Application");
        echo "</button>
        ";
        // line 31
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "isSuperAdmin", [], "method", false, false, false, 31)) {
            // line 32
            echo "            <button class=\"btn btn-success XiboFormButton\" title=\"";
            echo __("Add a DOOH Application");
            echo "\" href=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("application.addDooh.form"), "html", null, true);
            echo "\"> <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
            echo __("Add DOOH Application");
            echo "</button>
        ";
        }
        // line 34
        echo "    </div>
";
    }

    // line 38
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 39
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 40
        echo __("Applications");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 42
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"XiboFilter\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">
                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"applications\" class=\"table table-striped\">
                        <thead>
                            <tr>
                                <th>";
        // line 53
        echo __("Name");
        echo "</th>
                                <th>";
        // line 54
        echo __("Owner");
        echo "</th>
                                <th class=\"rowMenu\"></th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 68
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 69
        echo "    <script type=\"text/javascript\">
    
        ";
        // line 72
        echo "            var copyToClipboardTrans = \"";
        echo twig_escape_filter($this->env, __("Copy to Clipboard"), "js", null, true);
        echo "\";
            var couldNotCopyTrans = \"";
        // line 73
        echo twig_escape_filter($this->env, __("Could not copy"), "js", null, true);
        echo "\";
            var copiedTrans = \"";
        // line 74
        echo twig_escape_filter($this->env, __("Copied!"), "js", null, true);
        echo "\";
        ";
        // line 76
        echo "
        var table = \$(\"#applications\").DataTable({ \"language\": dataTablesLanguage,
            dom: dataTablesTemplate,
            serverSide: true,
            stateSave: true,
            responsive: true,
            stateDuration: 0,
            stateLoadCallback: dataTableStateLoadCallback,
            stateSaveCallback: dataTableStateSaveCallback,
            filter: false,
            searchDelay: 3000,
            \"order\": [[ 0, \"asc\"]],
            ajax: \"";
        // line 88
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("application.search"), "html", null, true);
        echo "\",
            \"columns\": [
                { \"data\": \"name\", \"render\": dataTableSpacingPreformatted },
                { \"data\": \"owner\" },
                {
                    \"orderable\": false,
                    responsivePriority: 1,
                    \"data\": dataTableButtonsColumn
                }
            ]
        });

        table.on('draw', dataTableDraw);
        table.on('processing.dt', dataTableProcessing);
        dataTableAddButtons(table, \$('#applications_wrapper').find('.dataTables_buttons'));
        
        function copyFromSecretInput() {
            // Initialize the tooltip.
            \$('#copy-button').tooltip();

            \$('#copy-button').bind('click', function() {
                
              var input = \$('#clientSecret');
              
              // Select the input to copy 
              input.focus();
              input.select();
              
              // Try to copy to clipboard and give feedback
              try {
                var success = document.execCommand('copy');
                if (success) {
                  \$('#copy-button').trigger('copied', [copiedTrans]);
                } else {
                  \$('#copy-button').trigger('copied', [couldNotCopyTrans]);
                }
              } catch (err) {
                \$('#copy-button').trigger('copied', [couldNotCopyTrans]);
              }
              
              // Unselect the input
              input.blur();
            });

            // Handler for updating the tooltip message.
            \$('#copy-button').bind('copied', function(event, message) {
                const \$self = \$(this);
                \$(this).tooltip('hide')
                    .attr('data-original-title', message)
                    .tooltip('show');

                setTimeout(function() {
                    \$self.tooltip('hide').attr('data-original-title', copyToClipboardTrans);
                }, 1000);
            });
        }
    </script>
";
    }

    public function getTemplateName()
    {
        return "applications-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  174 => 88,  160 => 76,  156 => 74,  152 => 73,  147 => 72,  143 => 69,  139 => 68,  122 => 54,  118 => 53,  104 => 42,  99 => 40,  96 => 39,  92 => 38,  87 => 34,  77 => 32,  75 => 31,  67 => 30,  64 => 29,  60 => 28,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "applications-page.twig", "/home/mgatv524/public_html/mctv/views/applications-page.twig");
    }
}
