<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* transition-page.twig */
class __TwigTemplate_48040fb0a6f7f2e9e3cabf583fdee43f1c2129f092d8bb6e4584b764ff172934 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "transition-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "transition-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Transitions"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 30
        echo __("Transitions");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 32
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"XiboFilter\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">

                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"transitions\" class=\"table table-striped\">
                        <thead>
                            <tr>
                                <th>";
        // line 44
        echo __("Name");
        echo "</th>
                                <th>";
        // line 45
        echo __("Has Duration");
        echo "</th>
                                <th>";
        // line 46
        echo __("Has Direction");
        echo "</th>
                                <th>";
        // line 47
        echo __("Enabled for In");
        echo "</th>
                                <th>";
        // line 48
        echo __("Enabled for Out");
        echo "</th>
                                <th class=\"rowMenu\"></th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 62
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 63
        echo "    <script type=\"text/javascript\">
        var table = \$(\"#transitions\").DataTable({
            \"language\": dataTablesLanguage,
            dom: dataTablesTemplate,
            serverSide: true,
            stateSave: true,
            stateDuration: 0,
            responsive: true,
            stateLoadCallback: dataTableStateLoadCallback,
            stateSaveCallback: dataTableStateSaveCallback,
            filter: false,
            searchDelay: 3000,
            \"order\": [[ 0, \"asc\"]],
            ajax: {
                \"url\": \"";
        // line 77
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("transition.search"), "html", null, true);
        echo "\",
                \"data\": function(d) {
                    \$.extend(d, \$(\"#transitions\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                }
            },
            \"columns\": [
                { \"data\": \"transition\", responsivePriority: 2 },
                { \"data\": \"hasDuration\", \"render\": dataTableTickCrossColumn, responsivePriority: 3 },
                { \"data\": \"hasDirection\", \"render\": dataTableTickCrossColumn, responsivePriority: 3 },
                { \"data\": \"availableAsIn\", \"render\": dataTableTickCrossColumn, responsivePriority: 3 },
                { \"data\": \"availableAsOut\", \"render\": dataTableTickCrossColumn, responsivePriority: 3 },
                {
                    \"orderable\": false,
                    responsivePriority: 1,
                    \"data\": dataTableButtonsColumn
                }
            ]
        });

        table.on('draw', dataTableDraw);
        table.on('processing.dt', dataTableProcessing);
        dataTableAddButtons(table, \$('#transitions_wrapper').find('.dataTables_buttons'));
    </script>
";
    }

    public function getTemplateName()
    {
        return "transition-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  139 => 77,  123 => 63,  119 => 62,  102 => 48,  98 => 47,  94 => 46,  90 => 45,  86 => 44,  71 => 32,  66 => 30,  63 => 29,  59 => 28,  51 => 26,  46 => 23,  44 => 24,  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "transition-page.twig", "/home/mgatv524/public_html/mctv/views/transition-page.twig");
    }
}
