<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* shellcommand-form-edit.twig */
class __TwigTemplate_14f3fa2930aeffe5536fab4d9688d6f66c5e62d90a126b80d8304ddea48de5cb extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "shellcommand-form-edit.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "shellcommand-form-edit.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    ";
        echo __("Edit Shell Command");
    }

    // line 30
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 33
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 34
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"new-command-fields\"><a href=\"#advanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("Advanced");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"shellCommandEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 38
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 38), "widgetId", [], "any", false, false, false, 38)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 43), ($context["helpText"] ?? null)], 43, $context, $this->getSourceContext());
        echo "

                        ";
        // line 45
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 47), ($context["helpText"] ?? null)], 47, $context, $this->getSourceContext());
        echo "

                        ";
        // line 49
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 51), ($context["helpText"] ?? null), "duration-fields", "required"], 51, $context, $this->getSourceContext());
        echo "

                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("Terminate the command once the duration elapses?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the player forcefully terminate the command after the duration specified. Leave unchecked to let the command terminate naturally.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["terminateCommand", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "terminateCommand"], "method", false, false, false, 55), ($context["helpText"] ?? null), "duration-fields"], 55, $context, $this->getSourceContext());
        echo "

                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Use taskkill to terminate commands?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On Windows, should the player use taskkill to terminate commands.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useTaskkill", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useTaskkill"], "method", false, false, false, 59), ($context["helpText"] ?? null), "duration-fields"], 59, $context, $this->getSourceContext());
        echo "

                        ";
        // line 61
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "
                        ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 68
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 69
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 70
($context["inheritOption"] ?? null)]];
        // line 72
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 72)], "method", false, false, false, 72), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 72, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Stored Command");
        $context["storedCommand"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Create Command");
        $context["createCommand"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        $context["options"] = [0 => ["id" => "storedCommand", "value" =>         // line 79
($context["storedCommand"] ?? null)], 1 => ["id" => "createCommand", "value" =>         // line 80
($context["createCommand"] ?? null)]];
        // line 82
        echo "
                        ";
        // line 83
        ob_start(function () { return ''; });
        echo __("Command Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Pick a command type");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["commandType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "commandType"], "method", false, false, false, 85), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 85, $context, $this->getSourceContext());
        echo "

                        ";
        // line 87
        ob_start(function () { return ''; });
        echo __("Stored Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Pick a stored command");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["commandCode", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "commandCode"], "method", false, false, false, 89), twig_array_merge([0 => ["code" => "", "command" => ""]], ($context["commands"] ?? null)), "code", "command", ($context["helpText"] ?? null), "stored-command-fields"], 89, $context, $this->getSourceContext());
        echo "

                        <div class=\"new-command-fields\">
                            ";
        // line 92
        ob_start(function () { return ''; });
        echo __("Use global command?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Use a global command to work with all the player types.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useGlobalCommand", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useGlobalCommand"], "method", false, false, false, 94), ($context["helpText"] ?? null), ""], 94, $context, $this->getSourceContext());
        echo "

                            ";
        // line 96
        ob_start(function () { return ''; });
        echo __("Global Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Enter a global (Android/Linux/Tizen/webOS/Windows) Command Line compatible command");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_input", ["globalCommand", ($context["title"] ?? null), urldecode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "globalCommand"], "method", false, false, false, 98)), ($context["helpText"] ?? null), "global-command-show XiboCommand"], 98, $context, $this->getSourceContext());
        echo "

                            ";
        // line 100
        ob_start(function () { return ''; });
        echo __("Android Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Enter an Android Command Line compatible command");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_input", ["androidCommand", ($context["title"] ?? null), urldecode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "androidCommand"], "method", false, false, false, 102)), ($context["helpText"] ?? null), "global-command-hide XiboCommand"], 102, $context, $this->getSourceContext());
        echo "

                            ";
        // line 104
        ob_start(function () { return ''; });
        echo __("Linux Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Enter an Linux Command Line compatible command");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_input", ["linuxCommand", ($context["title"] ?? null), urldecode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "linuxCommand"], "method", false, false, false, 106)), ($context["helpText"] ?? null), "global-command-hide XiboCommand"], 106, $context, $this->getSourceContext());
        echo "

                            ";
        // line 108
        ob_start(function () { return ''; });
        echo __("Tizen Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Enter a Tizen Command Line compatible command.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_input", ["tizenCommand", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "tizenCommand"], "method", false, false, false, 110), ($context["helpText"] ?? null), "global-command-hide XiboCommand"], 110, $context, $this->getSourceContext());
        echo "

                            ";
        // line 112
        ob_start(function () { return ''; });
        echo __("webOS Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Enter a webOS Command Line compatible command.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_input", ["webosCommand", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "webosCommand"], "method", false, false, false, 114), ($context["helpText"] ?? null), "global-command-hide XiboCommand"], 114, $context, $this->getSourceContext());
        echo "

                            ";
        // line 116
        ob_start(function () { return ''; });
        echo __("Windows Command");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Enter a Windows Command Line compatible command");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_input", ["windowsCommand", ($context["title"] ?? null), urldecode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "windowsCommand"], "method", false, false, false, 118)), ($context["helpText"] ?? null), "global-command-hide XiboCommand"], 118, $context, $this->getSourceContext());
        echo "
                        </div>
                    </div>

                    <div class=\"tab-pane\" id=\"advanceTab\">
                        ";
        // line 123
        ob_start(function () { return ''; });
        echo __("Launch the command via Windows Command Line");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On Windows, should the player launch this command through the windows command line (cmd.exe)? This is useful for batch files. If you try to terminate this command only the command line will be terminated.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["launchThroughCmd", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "launchThroughCmd", 1 => 1], "method", false, false, false, 125), ($context["helpText"] ?? null), ""], 125, $context, $this->getSourceContext());
        echo "
                    </div>
                </div> 
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "shellcommand-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  367 => 125,  362 => 124,  358 => 123,  349 => 118,  344 => 117,  340 => 116,  334 => 114,  329 => 113,  325 => 112,  319 => 110,  314 => 109,  310 => 108,  304 => 106,  299 => 105,  295 => 104,  289 => 102,  284 => 101,  280 => 100,  274 => 98,  269 => 97,  265 => 96,  259 => 94,  254 => 93,  250 => 92,  243 => 89,  238 => 88,  234 => 87,  228 => 85,  223 => 84,  219 => 83,  216 => 82,  214 => 80,  213 => 79,  211 => 78,  206 => 77,  202 => 76,  194 => 72,  192 => 70,  191 => 69,  190 => 68,  188 => 67,  183 => 66,  178 => 65,  174 => 64,  171 => 63,  166 => 62,  162 => 61,  156 => 59,  151 => 58,  147 => 57,  141 => 55,  136 => 54,  132 => 53,  126 => 51,  121 => 50,  117 => 49,  111 => 47,  106 => 46,  102 => 45,  96 => 43,  91 => 42,  87 => 41,  81 => 38,  75 => 35,  71 => 34,  67 => 33,  63 => 31,  59 => 30,  54 => 27,  50 => 26,  45 => 23,  43 => 24,  36 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "shellcommand-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/shellcommand-form-edit.twig");
    }
}
