<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* weather-designer-javascript.twig */
class __TwigTemplate_0abe871e4dda9885293eadb2b4b91920f993953b11e0b6cf6285162766228837 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 23
        echo "<script type=\"text/javascript\">

    var weatherType = {
        forecast: 'Forecast', 
        current: 'Current'
        };

    // Runs after form opens
    function weather_form_edit_open() {
        
        // Set duration field, using the helper ()
        formHelpers.setupCheckboxInputFields(\$(this).find('form'), '#useDuration', '.duration-fields');

        // Set display location field, using the helper ()
        formHelpers.setupCheckboxInputFields(\$(this).find('form'), '#useDisplayLocation', '', '.locationControls');

        // Weather controls based on type
        formHelpers.setupObjectValueInputFields(\$(this).find('form'), '#weatherType', ['.forecastViewControls'], ['current'], true);
        
        // Set override template field, using the helper ()
        formHelpers.setupCheckboxInputFields(\$(this), '#overrideTemplate', '.template-override-controls, .reloadTemplateButton', '.template-selector-control');

        // Setup editors
        formHelpers.setupDualTypeTextArea(this, 'template');

        // Setup template override
        formHelpers.setupTemplateOverriding(this, '#overrideTemplate', '#templateId', 
            {
                '#template': 'main',
                '#styleSheet': 'css',
                '#widgetOriginalWidth': 'widgetOriginalWidth',
                '#widgetOriginalHeight': 'widgetOriginalHeight'
            }
        );

        var setFilter = function (refresh) {
            // Set dropdown filter option
            \$(this).find('.weather-type-targets select').data('filterClass', \$(this).find('#weatherType').val());

            // Clear template id if it's not selected
            if(refresh && \$(this).find('#overrideTemplate').is(':checked') == false) {
                \$(this).find('#templateId').val(null).trigger('change');
            }
        }.bind(this);

        // Trigger set filter on weather type change
        \$(this).find('#weatherType').on('change input', function () {
            setFilter(true);
        });

        setFilter(false);
    }
</script>";
    }

    public function getTemplateName()
    {
        return "weather-designer-javascript.twig";
    }

    public function getDebugInfo()
    {
        return array (  37 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "weather-designer-javascript.twig", "/home/mgatv524/public_html/mctv/modules/weather-designer-javascript.twig");
    }
}
