<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* playlist-dashboard-spots.twig */
class __TwigTemplate_116b7396e1e6a3e8e5dcdb4d89a523c24d81c6cb025d6a448df48694250d0029 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        $this->parent = $this->loadTemplate("form-base.twig", "playlist-dashboard-spots.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 25
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 26
        echo "    ";
        if ((0 >= twig_compare(($context["spotsFound"] ?? null), 0))) {
            // line 27
            echo "        <div class=\"row\">
            <div class=\"col-md-12\">
                <div class=\"alert alert-warning\">
                    ";
            // line 30
            echo __("This Playlist does not have any Spots for you to manage. Please choose another.");
            // line 31
            echo "                </div>
            </div>
        </div>
    ";
        }
        // line 35
        echo "
    ";
        // line 36
        if ((1 === twig_compare(($context["spotsFound"] ?? null), 0))) {
            // line 37
            echo "        <div class=\"widget\">
            <div class=\"widget-title\">
                <h3>";
            // line 39
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["playlist"] ?? null), "name", [], "any", false, false, false, 39), "html", null, true);
            echo " <small>";
            echo twig_escape_filter($this->env, ($context["spotsFound"] ?? null), "html", null, true);
            echo " ";
            echo __("Spots");
            echo "</small></h3>
            </div>
            <div class=\"widget-body\">

                ";
            // line 43
            $context["widgetLength"] = twig_length_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["playlist"] ?? null), "widgets", [], "any", false, false, false, 43));
            // line 44
            echo "                ";
            $context["remaining"] = (($context["spotsFound"] ?? null) - ($context["widgetLength"] ?? null));
            // line 45
            echo "
                ";
            // line 46
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["playlist"] ?? null), "widgets", [], "any", false, false, false, 46));
            $context['loop'] = [
              'parent' => $context['_parent'],
              'index0' => 0,
              'index'  => 1,
              'first'  => true,
            ];
            if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
                $length = count($context['_seq']);
                $context['loop']['revindex0'] = $length - 1;
                $context['loop']['revindex'] = $length;
                $context['loop']['length'] = $length;
                $context['loop']['last'] = 1 === $length;
            }
            foreach ($context['_seq'] as $context["_key"] => $context["widget"]) {
                // line 47
                echo "
                    <div class=\"row\">
                        <div class=\"col-md-1\">
                            <span class=\"row-title\">";
                // line 50
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["loop"], "index", [], "any", false, false, false, 50), "html", null, true);
                echo "</span>
                        </div>
                        <div class=\"col-md-2\">
                            ";
                // line 53
                if (twig_get_attribute($this->env, $this->source, $context["widget"], "viewble", [], "any", false, false, false, 53)) {
                    // line 54
                    echo "                                ";
                    if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["widget"], "module", [], "any", false, false, false, 54), "getModule", [], "method", false, false, false, 54), "type", [], "any", false, false, false, 54), "image"))) {
                        // line 55
                        echo "                                    ";
                        $context["downloadUrl"] = $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.download", ["id" => twig_get_attribute($this->env, $this->source, $context["widget"], "getPrimaryMediaId", [], "method", false, false, false, 55)]);
                        // line 56
                        echo "                                    <a class=\"img-replace\" data-toggle=\"lightbox\" data-type=\"image\" href=\"";
                        echo twig_escape_filter($this->env, ($context["downloadUrl"] ?? null), "html", null, true);
                        echo "?preview=1\">
                                        <img src='";
                        // line 57
                        echo twig_escape_filter($this->env, ($context["downloadUrl"] ?? null), "html", null, true);
                        echo "?preview=1&width=50&height=50&cache=1' style='max-height: 50px; max-width: 50px;'/>
                                    </a>
                                ";
                    } else {
                        // line 60
                        echo "                                    <i title=\"";
                        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["widget"], "module", [], "any", false, false, false, 60), "getModule", [], "method", false, false, false, 60), "name", [], "any", false, false, false, 60), "html", null, true);
                        echo "\" class=\"fa fa-2x module-icon-";
                        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["widget"], "type", [], "any", false, false, false, 60), "html", null, true);
                        echo "\" style=\"height: 50px; max-width: 50px;\"></i>
                                ";
                    }
                    // line 62
                    echo "                            ";
                }
                // line 63
                echo "                        </div>
                        <div class=\"col-md-8\"
                             data-button-type=\"replace\"
                             data-playlist-id=\"";
                // line 66
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["widget"], "playlistId", [], "any", false, false, false, 66), "html", null, true);
                echo "\"
                             data-widget-id=\"";
                // line 67
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["widget"], "widgetId", [], "any", false, false, false, 67), "html", null, true);
                echo "\"
                             data-widget-name=\"";
                // line 68
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["widget"], "module", [], "any", false, false, false, 68), "getName", [], "method", false, false, false, 68), "html", null, true);
                echo "\"
                                ";
                // line 69
                if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["widget"], "module", [], "any", false, false, false, 69), "getModule", [], "method", false, false, false, 69), "regionSpecific", [], "any", false, false, false, 69), 0))) {
                    // line 70
                    echo "                                data-media-id=\"";
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["widget"], "getPrimaryMediaId", [], "method", false, false, false, 70), "html", null, true);
                    echo "\"
                                ";
                }
                // line 72
                echo "                             >

                            ";
                // line 74
                if (((0 === twig_compare(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["widget"], "module", [], "any", false, false, false, 74), "getModule", [], "method", false, false, false, 74), "regionSpecific", [], "any", false, false, false, 74), 0)) && twig_get_attribute($this->env, $this->source, $context["widget"], "editable", [], "any", false, false, false, 74))) {
                    // line 75
                    echo "                                ";
                    if ( !twig_get_attribute($this->env, $this->source, $context["widget"], "viewble", [], "any", false, false, false, 75)) {
                        // line 76
                        echo "                                    <button class=\"btn btn-block disabled\">
                                        <i class=\"fa fa-lock fa-lg\"></i>
                                    </button>
                                ";
                    } elseif ( !twig_get_attribute($this->env, $this->source,                     // line 79
$context["widget"], "editable", [], "any", false, false, false, 79)) {
                        // line 80
                        echo "                                    <button class=\"btn btn-block disabled\">
                                        ";
                        // line 81
                        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["widget"], "module", [], "any", false, false, false, 81), "getName", [], "method", false, false, false, 81), "html", null, true);
                        echo " <i class=\"fa fa-lock fa-lg\"></i>
                                    </button>
                                ";
                    } else {
                        // line 84
                        echo "                                    <button class=\"btn btn-block btn-warning spot-action-button\">";
                        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["widget"], "module", [], "any", false, false, false, 84), "getName", [], "method", false, false, false, 84), "html", null, true);
                        echo " </button>
                                ";
                    }
                    // line 86
                    echo "                            ";
                } else {
                    // line 87
                    echo "                                <button class=\"btn btn-block btn-white\" disabled>";
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["widget"], "module", [], "any", false, false, false, 87), "getName", [], "method", false, false, false, 87), "html", null, true);
                    echo " - ";
                    echo __("Locked");
                    echo "</button>
                            ";
                }
                // line 89
                echo "                        </div>
                        <div class=\"col-md-1\">
                            ";
                // line 91
                if ((((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["widget"], "deletable", [], "any", false, false, false, 91), 1)) && twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "playlist.modify"], "method", false, false, false, 91)) && (0 === twig_compare(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["widget"], "module", [], "any", false, false, false, 91), "getModule", [], "method", false, false, false, 91), "regionSpecific", [], "any", false, false, false, 91), 0)))) {
                    // line 92
                    echo "                                <a class=\"XiboFormButton btns\" title=\"";
                    echo __("Delete");
                    echo "\" href=\"";
                    echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playlist.module.widget.delete.form", ["id" => twig_get_attribute($this->env, $this->source, $context["widget"], "widgetId", [], "any", false, false, false, 92)]), "html", null, true);
                    echo "\">
                                    <i class=\"fa fa-lg fa-trash\" aria-hidden=\"true\" style=\"padding:8px 0 8px; color:#d9534f;\"></i>
                                </a>
                            ";
                }
                // line 96
                echo "                        </div>
                    </div>

                ";
                ++$context['loop']['index0'];
                ++$context['loop']['index'];
                $context['loop']['first'] = false;
                if (isset($context['loop']['length'])) {
                    --$context['loop']['revindex0'];
                    --$context['loop']['revindex'];
                    $context['loop']['last'] = 0 === $context['loop']['revindex0'];
                }
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['widget'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 100
            echo "
                ";
            // line 101
            if ((1 === twig_compare(($context["remaining"] ?? null), 0))) {
                // line 102
                echo "                    ";
                $context['_parent'] = $context;
                $context['_seq'] = twig_ensure_traversable(range(0, (($context["remaining"] ?? null) - 1)));
                $context['loop'] = [
                  'parent' => $context['_parent'],
                  'index0' => 0,
                  'index'  => 1,
                  'first'  => true,
                ];
                if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
                    $length = count($context['_seq']);
                    $context['loop']['revindex0'] = $length - 1;
                    $context['loop']['revindex'] = $length;
                    $context['loop']['length'] = $length;
                    $context['loop']['last'] = 1 === $length;
                }
                foreach ($context['_seq'] as $context["_key"] => $context["i"]) {
                    // line 103
                    echo "
                        <div class=\"row\">
                            <div class=\"col-md-1\">
                                <span class=\"row-title\">";
                    // line 106
                    echo twig_escape_filter($this->env, (twig_get_attribute($this->env, $this->source, $context["loop"], "index", [], "any", false, false, false, 106) + ($context["widgetLength"] ?? null)), "html", null, true);
                    echo "</span>
                            </div>
                            <div class=\"col-md-2\">
                            </div>
                            <div class=\"col-md-8\"
                                 data-button-type=\"add\"
                                 data-widget-id=\"\"
                                 data-playlist-id=\"";
                    // line 113
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["playlist"] ?? null), "playlistId", [], "any", false, false, false, 113), "html", null, true);
                    echo "\"
                                 data-widget-preview=\"";
                    // line 114
                    echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("library.download", ["id" => ":id"]), "html", null, true);
                    echo "?preview=1\"
                                 data-widget-del=\"";
                    // line 115
                    echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("playlist.module.widget.delete.form", ["id" => ":id"]), "html", null, true);
                    echo "\"
                                 data-feature-enabled=\"";
                    // line 116
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "playlist.modify"], "method", false, false, false, 116), "html", null, true);
                    echo "\">
                                ";
                    // line 117
                    if (twig_get_attribute($this->env, $this->source, $context["loop"], "first", [], "any", false, false, false, 117)) {
                        // line 118
                        echo "                                    <button class=\"btn btn-block btn-success spot-action-button\">";
                        echo __("Add");
                        echo "</button>
                                ";
                    } else {
                        // line 120
                        echo "                                    <button class=\"btn btn-block btn-white\" disabled>";
                        echo __("Empty");
                        echo "</button>
                                ";
                    }
                    // line 122
                    echo "                            </div>

                            <div class=\"col-md-1 delete-widget\">
                            </div>
                        </div>

                    ";
                    ++$context['loop']['index0'];
                    ++$context['loop']['index'];
                    $context['loop']['first'] = false;
                    if (isset($context['loop']['length'])) {
                        --$context['loop']['revindex0'];
                        --$context['loop']['revindex'];
                        $context['loop']['last'] = 0 === $context['loop']['revindex0'];
                    }
                }
                $_parent = $context['_parent'];
                unset($context['_seq'], $context['_iterated'], $context['_key'], $context['i'], $context['_parent'], $context['loop']);
                $context = array_intersect_key($context, $_parent) + $_parent;
                // line 129
                echo "                ";
            }
            // line 130
            echo "
            </div>
        </div>
    ";
        }
        // line 134
        echo "
";
    }

    public function getTemplateName()
    {
        return "playlist-dashboard-spots.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  349 => 134,  343 => 130,  340 => 129,  320 => 122,  314 => 120,  308 => 118,  306 => 117,  302 => 116,  298 => 115,  294 => 114,  290 => 113,  280 => 106,  275 => 103,  257 => 102,  255 => 101,  252 => 100,  235 => 96,  225 => 92,  223 => 91,  219 => 89,  211 => 87,  208 => 86,  202 => 84,  196 => 81,  193 => 80,  191 => 79,  186 => 76,  183 => 75,  181 => 74,  177 => 72,  171 => 70,  169 => 69,  165 => 68,  161 => 67,  157 => 66,  152 => 63,  149 => 62,  141 => 60,  135 => 57,  130 => 56,  127 => 55,  124 => 54,  122 => 53,  116 => 50,  111 => 47,  94 => 46,  91 => 45,  88 => 44,  86 => 43,  75 => 39,  71 => 37,  69 => 36,  66 => 35,  60 => 31,  58 => 30,  53 => 27,  50 => 26,  46 => 25,  35 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "playlist-dashboard-spots.twig", "/home/mgatv524/public_html/mctv/views/playlist-dashboard-spots.twig");
    }
}
