<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* clock-form-edit.twig */
class __TwigTemplate_041a0756dfb6be9a9b117793e68e1eb87f2dbd66231ae5339979d0825f5b41f4 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "clock-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "clock-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Clock");
    }

    // line 31
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#generalTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 34
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#appearanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("Appearance");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#editorTab\" class=\"digital-control-group\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("Editor");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"clockFormEdit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 39
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 39), "widgetId", [], "any", false, false, false, 39)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"generalTab\">
                        ";
        // line 42
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 44), ($context["helpText"] ?? null)], 44, $context, $this->getSourceContext());
        echo "

                        ";
        // line 46
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 48), ($context["helpText"] ?? null)], 48, $context, $this->getSourceContext());
        echo "

                        ";
        // line 50
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 52), ($context["helpText"] ?? null), "duration-fields", "required"], 52, $context, $this->getSourceContext());
        echo "

                        ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "
                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 61
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 62
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 63
($context["inheritOption"] ?? null)]];
        // line 65
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 65)], "method", false, false, false, 65), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 65, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTab\">
                        ";
        // line 69
        ob_start(function () { return ''; });
        echo __("Clock Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the type of clock to display.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Analog");
        $context["analog"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Digital");
        $context["digital"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Clock");
        $context["flip"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        $context["options"] = [0 => ["id" => 1, "value" =>         // line 75
($context["analog"] ?? null)], 1 => ["id" => 2, "value" =>         // line 76
($context["digital"] ?? null)], 2 => ["id" => 3, "value" =>         // line 77
($context["flip"] ?? null)]];
        // line 79
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["clockTypeId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "clockTypeId"], "method", false, false, false, 79), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 79, $context, $this->getSourceContext());
        echo "

                        ";
        // line 81
        ob_start(function () { return ''; });
        echo __("Clock Face");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a clock face.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["clockFace", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "clockFace", 1 => "TwentyFourHourClock"], "method", false, false, false, 83), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "clockFaces", [], "method", false, false, false, 83), "id", "value", ($context["helpText"] ?? null), "flip-control-group"], 83, $context, $this->getSourceContext());
        echo "

                        ";
        // line 85
        ob_start(function () { return ''; });
        echo __("Offset");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The offset in minutes that should be applied to the current time, or if a counter then date/time to run from in the format Y-m-d H:i:s.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["offset", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "offset"], "method", false, false, false, 87), ($context["helpText"] ?? null)], 87, $context, $this->getSourceContext());
        echo "

                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Show Seconds?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the clock show seconds or not?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showSeconds", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "showSeconds", 1 => 1], "method", false, false, false, 91), ($context["helpText"] ?? null), "flip-control-group"], 91, $context, $this->getSourceContext());
        echo "

                        ";
        // line 93
        ob_start(function () { return ''; });
        echo __("Theme");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select a theme for the clock.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Light");
        $context["light"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Dark");
        $context["dark"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        $context["options"] = [0 => ["id" => 1, "value" =>         // line 98
($context["light"] ?? null)], 1 => ["id" => 2, "value" =>         // line 99
($context["dark"] ?? null)]];
        // line 101
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["themeId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "theme"], "method", false, false, false, 101), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null), "analogue-control-group"], 101, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"editorTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 106
        echo __("Clock Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"ta_text_advanced\" name=\"ta_text_advanced\" ";
        // line 108
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "ta_text_advanced", 1 => 0], "method", false, false, false, 108), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 110
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 112
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 113
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 118
        ob_start(function () { return ''; });
        echo __("Enter a format for the Digital Clock e.g. [HH:mm] or [DD/MM/YYYY]. See the manual for more information.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), ""], 119, $context, $this->getSourceContext());
        echo "

                            ";
        // line 121
        ob_start(function () { return ''; });
        // line 122
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "ta_text-advanced-editor-hide inline-editor-hide"], 124, $context, $this->getSourceContext());
        echo "

                            ";
        // line 127
        echo "                            ";
        ob_start(function () { return ''; });
        // line 128
        echo "                                ";
        echo __("Enter text to display using the inline editor which can be opened by clicking in the preview on the left.");
        // line 129
        echo "                                ";
        echo __("When using the inline editor Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 130
        echo "                            ";
        $context["layoutDesignerMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["layoutDesignerMessage"] ?? null), "layout-designer-message inline-editor-show"], 131, $context, $this->getSourceContext());
        echo "

                            ";
        // line 134
        echo "                            ";
        ob_start(function () { return ''; });
        // line 135
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 136
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 137
        echo "                            ";
        $context["playlistEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["playlistEditorMessage"] ?? null), "playlist-editor-message ta_text-advanced-editor-show"], 138, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"ckeditor_controls row inline-editor-hide container-fluid\" data-linked-to=\"ta_text\">
                            <div class=\"offset-sm-4 col-sm-8\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 144
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\" 
                                            class=\"ckeditor_snippets_select form-control\"
                                            data-linked-to=\"ta_text\">
                                            <option value=\"\"></option>
                                            <option value=\"HH:mm\">HH:mm</option>
                                            <option value=\"DD/MM/YYYY\">DD/MM/YYYY</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        ";
        // line 158
        echo twig_call_macro($macros["forms"], "macro_textarea", ["ta_text", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "format"], "method", false, false, false, 158), "", "inline-editor-hide", "", 10], 158, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "clock-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  396 => 158,  379 => 144,  369 => 138,  366 => 137,  363 => 136,  360 => 135,  357 => 134,  351 => 131,  348 => 130,  345 => 129,  342 => 128,  339 => 127,  333 => 124,  327 => 122,  325 => 121,  319 => 119,  315 => 118,  307 => 113,  303 => 112,  298 => 110,  291 => 108,  286 => 106,  277 => 101,  275 => 99,  274 => 98,  272 => 97,  267 => 96,  262 => 95,  257 => 94,  253 => 93,  247 => 91,  242 => 90,  238 => 89,  232 => 87,  227 => 86,  223 => 85,  217 => 83,  212 => 82,  208 => 81,  202 => 79,  200 => 77,  199 => 76,  198 => 75,  196 => 74,  191 => 73,  186 => 72,  181 => 71,  176 => 70,  172 => 69,  164 => 65,  162 => 63,  161 => 62,  160 => 61,  158 => 60,  153 => 59,  148 => 58,  144 => 57,  141 => 56,  136 => 55,  132 => 54,  126 => 52,  121 => 51,  117 => 50,  111 => 48,  106 => 47,  102 => 46,  96 => 44,  91 => 43,  87 => 42,  81 => 39,  75 => 36,  71 => 35,  67 => 34,  63 => 32,  59 => 31,  54 => 28,  50 => 27,  45 => 24,  43 => 25,  36 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "clock-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/clock-form-edit.twig");
    }
}
