<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* task-page.twig */
class __TwigTemplate_c7602c7512d1e3a79e6e7aa520428d407843922b2bbb3f9c74f266d0ab3a5ab0 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "task-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "task-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Tasks"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    <div class=\"widget-action-menu pull-right\">
        ";
        // line 30
        if (((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "TASK_CONFIG_LOCKED_CHECKB", [], "any", false, false, false, 30), 0)) || (0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "TASK_CONFIG_LOCKED_CHECKB", [], "any", false, false, false, 30), "Unchecked")))) {
            // line 31
            echo "            <button class=\"btn btn-success XiboFormButton\" href=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("task.add.form"), "html", null, true);
            echo "\"><i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i> ";
            echo __("Add Task");
            echo "</button>
        ";
        }
        // line 33
        echo "        <button class=\"btn btn-primary\" id=\"refreshLog\" title=\"";
        echo __("Refresh the Log");
        echo "\" href=\"#\"><i class=\"fa fa-refresh\" aria-hidden=\"true\"></i> ";
        echo __("Refresh");
        echo "</button>
    </div>
";
    }

    // line 37
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 39
        echo __("Tasks");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 41
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"XiboFilter\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">

                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"tasks\" class=\"table table-striped\" data-state-preference-name=\"taskGrid\">
                        <thead>
                            <tr>
                                <th>";
        // line 53
        echo __("ID");
        echo "</th>
                                <th>";
        // line 54
        echo __("Name");
        echo "</th>
                                <th>";
        // line 55
        echo __("Active");
        echo "</th>
                                <th>";
        // line 56
        echo __("Status");
        echo "</th>
                                <th>";
        // line 57
        echo __("Next Run");
        echo "</th>
                                <th>";
        // line 58
        echo __("Run Now");
        echo "</th>
                                <th>";
        // line 59
        echo __("Last Run");
        echo "</th>
                                <th>";
        // line 60
        echo __("Last Status");
        echo "</th>
                                <th>";
        // line 61
        echo __("Last Duration");
        echo "</th>
                                <th class=\"rowMenu\"></th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 75
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 76
        echo "    <script type=\"text/javascript\">
        var table = \$(\"#tasks\").DataTable({
            \"language\": dataTablesLanguage,
            dom: dataTablesTemplate,
            serverSide: true,
            stateSave: true,
            responsive: true,
            stateDuration: 0,
            stateLoadCallback: dataTableStateLoadCallback,
            stateSaveCallback: dataTableStateSaveCallback,
            filter: false,
            searchDelay: 3000,
            \"order\": [[ 1, \"asc\"]],
            ajax: {
                \"url\": \"";
        // line 90
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("task.search"), "html", null, true);
        echo "\",
                \"data\": function(d) {
                    \$.extend(d, \$(\"#tasks\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                }
            },
            \"columns\": [
                { \"data\": \"taskId\" , responsivePriority: 2},
                { \"data\": \"name\" , responsivePriority: 2},
                {
                    \"data\": \"isActive\",
                    responsivePriority: 2,
                    \"render\": dataTableTickCrossColumn
                },
                {
                    \"data\": \"status\",
                    \"render\": function (data, type, row) {
                        if (type !== \"display\")
                            return data;

                        var icon = \"\";
                        var title = \"\";
                        if (data === 1) {
                            if (moment(row.lastRunStartDt, \"X\").tz) {
                                title = \"PID: \" + row.pid + \" (\" + moment(row.lastRunStartDt, \"X\").tz(timezone).format(jsDateFormat) + \")\";
                            } else {
                                title = \"PID: \" + row.pid + \" (\" + moment(row.lastRunStartDt, \"X\").format(jsDateFormat) + \")\";
                            }
                            icon = \"fa-cogs\";
                        }
                        else if (data === 3) {
                            title = \"Exit: \" + row.lastRunExitCode;
                            icon = \"fa-bug\";
                        }
                        else if (data === 5) {
                            title = \"Time out\";
                            icon = \"fa-hourglass-o\";
                        }
                        else {
                            title = \"\";
                            icon = \"fa-clock-o\";
                        }

                        return '<span class=\"fa ' + icon + '\" title=\"' + title + '\"></span>';
                    }
                },
                {
                    \"data\": \"nextRunDt\",
                    \"render\": dataTableDateFromUnix
                },
                {
                    \"data\": \"runNow\",
                    \"render\": dataTableTickCrossColumn
                },
                {
                    \"data\": \"lastRunDt\",
                    \"render\": dataTableDateFromUnix
                },
                {
                    \"data\": \"lastRunStatus\",
                    \"render\": function (data, type, row) {
                        if (type !== \"display\")
                            return data;

                        var icon = \"\";
                        if (data === 4)
                            icon = \"fa-check\";
                        else
                            icon = \"fa-times\";

                        return '<span class=\"fa ' + icon + '\" title=\"' + ((row.lastRunMessage === null) ? \"\" : row.lastRunMessage) + '\"></span>';
                    }
                },
                {
                    \"data\": \"lastRunDuration\",
                    \"render\": function (data, type, row) {
                        if (type !== \"display\")
                            return data;

                        return (data === null) ? 0 : moment().startOf(\"day\").seconds(data).format(\"H:mm:ss\");
                    }
                },
                {
                    \"orderable\": false,
                    responsivePriority: 1,
                    \"data\": dataTableButtonsColumn
                }
            ]
        });

        table.on('draw', dataTableDraw);
        table.on('processing.dt', dataTableProcessing);
        dataTableAddButtons(table, \$('#tasks_wrapper').find('.dataTables_buttons'));

        \$(\"#refreshLog\").click(function () {
            table.ajax.reload();
        });
    </script>
";
    }

    public function getTemplateName()
    {
        return "task-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  183 => 90,  167 => 76,  163 => 75,  146 => 61,  142 => 60,  138 => 59,  134 => 58,  130 => 57,  126 => 56,  122 => 55,  118 => 54,  114 => 53,  99 => 41,  94 => 39,  91 => 38,  87 => 37,  77 => 33,  69 => 31,  67 => 30,  64 => 29,  60 => 28,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "task-page.twig", "/home/mgatv524/public_html/mctv/views/task-page.twig");
    }
}
