<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* forecastio-form-edit.twig */
class __TwigTemplate_f6ee4ed1612cc07c9b3879dc67123742af821f9d62bd359203839f58efd867a4 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "forecastio-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "forecastio-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Weather");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        if ((twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "isSuperAdmin", [], "method", false, false, false, 32) && (0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["settings"] ?? null), "SERVER_MODE", [], "any", false, false, false, 32), "Test")))) {
            // line 33
            echo "        ";
            echo __("Export Template");
            echo ", formHelpers.requestTab(\"forecast\"| \"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.tab.form", ["tab" => "exporttemplate", "id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 33), "widgetId", [], "any", false, false, false, 33)]), "html", null, true);
            echo "\")
    ";
        }
        // line 35
        echo "    ";
        echo __("Get Forecast");
        echo ", formHelpers.requestTab(\"forecast\"| \"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.tab.form", ["tab" => "forecast", "id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 35), "widgetId", [], "any", false, false, false, 35)]), "html", null, true);
        echo "\")
";
    }

    // line 38
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "templatesAvailable", [], "method", false, false, false, 38));
    }

    // line 40
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 41
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 47
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#templatePreset\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 50
        echo __("Preset");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#currentForecastTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 51
        echo __("Current Forecast");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#dailyForecastTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 52
        echo __("Daily Forecast");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#optionalStylesheetTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 53
        echo __("Style Sheet");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#optionalJavascript\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 54
        echo __("Optional JavaScript");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#cacheTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 57
        echo __("Caching");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#forecast\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 58
        echo __("Forecast");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"forecastEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 61
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 61), "widgetId", [], "any", false, false, false, 61)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 66), ($context["helpText"] ?? null)], 66, $context, $this->getSourceContext());
        echo "

                        ";
        // line 68
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 70), ($context["helpText"] ?? null)], 70, $context, $this->getSourceContext());
        echo "

                        ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this item should be displayed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 74), ($context["helpText"] ?? null), "duration-fields", "required"], 74, $context, $this->getSourceContext());
        echo "

                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "
                        ";
        // line 79
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 83
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 84
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 85
($context["inheritOption"] ?? null)]];
        // line 87
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 87)], "method", false, false, false, 87), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 87, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 91
        ob_start(function () { return ''; });
        echo __("Use the Display Location");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Use the location configured on the display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDisplayLocation", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "useDisplayLocation", 1 => 1], "method", false, false, false, 93), ($context["helpText"] ?? null)], 93, $context, $this->getSourceContext());
        echo "

                        ";
        // line 95
        ob_start(function () { return ''; });
        echo __("Latitude");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Latitude for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["latitude", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "latitude"], "method", false, false, false, 97), ($context["helpText"] ?? null), "locationControls"], 97, $context, $this->getSourceContext());
        echo "

                        ";
        // line 99
        ob_start(function () { return ''; });
        echo __("Longitude");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Longitude for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["longitude", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "longitude"], "method", false, false, false, 101), ($context["helpText"] ?? null), "locationControls"], 101, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 103
        ob_start(function () { return ''; });
        echo __("Units");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the units you would like to use.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["units", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "units"], "method", false, false, false, 105), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "unitsAvailable", [], "method", false, false, false, 105), "id", "value", ($context["helpText"] ?? null)], 105, $context, $this->getSourceContext());
        echo "

                        ";
        // line 107
        ob_start(function () { return ''; });
        echo __("Language");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 108
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the language you would like to use.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["lang", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "lang", 1 => "en"], "method", false, false, false, 109), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "supportedLanguages", [], "method", false, false, false, 109), "id", "value", ($context["helpText"] ?? null)], 109, $context, $this->getSourceContext());
        echo "

                        ";
        // line 111
        ob_start(function () { return ''; });
        echo __("Only show Daytime weather conditions");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to only show the Daytime weather conditions.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["dayConditionsOnly", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dayConditionsOnly"], "method", false, false, false, 113), ($context["helpText"] ?? null)], 113, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templatePreset\">

                        ";
        // line 118
        ob_start(function () { return ''; });
        echo __("Weather Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["templateId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "templateId"], "method", false, false, false, 120), ($context["templatesAvailable"] ?? null), "id", "value", ($context["helpText"] ?? null), "template-selector-control selectPicker selectPickerWithImage", null, null, null, [0 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 1 => ["name" => "data-width", "value" => "100%"]], null, "image"], 120, $context, $this->getSourceContext());
        echo "

                        ";
        // line 122
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["overrideTemplate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "overrideTemplate"], "method", false, false, false, 124), ($context["helpText"] ?? null)], 124, $context, $this->getSourceContext());
        echo "

                        ";
        // line 126
        ob_start(function () { return ''; });
        // line 127
        echo "                            ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["useTemplatesMessage"] ?? null), "template-override-controls"], 129, $context, $this->getSourceContext());
        echo "

                        ";
        // line 131
        ob_start(function () { return ''; });
        echo __("Original Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 132
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended width of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 133
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalWidth", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalWidth", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 133), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 133, $context, $this->getSourceContext());
        echo "

                        ";
        // line 135
        ob_start(function () { return ''; });
        echo __("Original Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 136
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended height of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalHeight", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalHeight", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 137), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 137, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"currentForecastTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 142
        echo __("Current Forecast Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"currentTemplate_advanced\" name=\"currentTemplate_advanced\" ";
        // line 144
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "currentTemplate_advanced", 1 => 0], "method", false, false, false, 144), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 146
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 148
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 149
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 154
        ob_start(function () { return ''; });
        // line 155
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 157
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "currentTemplate-advanced-editor-hide"], 157, $context, $this->getSourceContext());
        echo "

                            ";
        // line 159
        ob_start(function () { return ''; });
        // line 160
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 161
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 162
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 163
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage2"] ?? null), "currentTemplate-advanced-editor-show"], 163, $context, $this->getSourceContext());
        echo "
                        </div>

                        ";
        // line 166
        ob_start(function () { return ''; });
        echo __("Enter the template for the current forecast. For a list of substitutions click Get Forecast below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 167
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["currentTemplate", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "currentTemplate"], "method", false, false, false, 167), ($context["helpText"] ?? null), "template-override-controls", "required", 10], 167, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"dailyForecastTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 172
        echo __("Daily Forecast Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"dailyTemplate_advanced\" name=\"dailyTemplate_advanced\" ";
        // line 174
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dailyTemplate_advanced", 1 => 0], "method", false, false, false, 174), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 176
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 178
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 179
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 184
        ob_start(function () { return ''; });
        // line 185
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 187
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "dailyTemplate-advanced-editor-hide"], 187, $context, $this->getSourceContext());
        echo "

                            ";
        // line 189
        ob_start(function () { return ''; });
        // line 190
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 191
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 192
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 193
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage2"] ?? null), "dailyTemplate-advanced-editor-show"], 193, $context, $this->getSourceContext());
        echo "
                        </div>

                        ";
        // line 196
        ob_start(function () { return ''; });
        echo __("Enter the template for the daily forecast. Replaces [dailyForecast] in main template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 197
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["dailyTemplate", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dailyTemplate"], "method", false, false, false, 197), ($context["helpText"] ?? null), "template-override-controls", "", 10], 197, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 202
        echo __("CSS Style Sheet");
        echo "</h4>
                        </div>

                        ";
        // line 205
        ob_start(function () { return ''; });
        echo __("Enter a CSS style sheet to style the weather widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 206
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["styleSheet", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "styleSheet"], "method", false, false, false, 206), ($context["helpText"] ?? null), "template-override-controls", "required", 10], 206, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalJavascript\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 211
        echo __("Optional JavaScript");
        echo "</h4>
                        </div>

                        ";
        // line 214
        echo twig_call_macro($macros["forms"], "macro_textarea", ["javaScript", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "javaScript"], "method", false, false, false, 214), "", "", "", 10], 214, $context, $this->getSourceContext());
        echo "
                    </div>
                    
                    <div class=\"tab-pane\" id=\"cacheTab\">
                        ";
        // line 218
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 219
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 220
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["updateInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 60], "method", false, false, false, 220), ($context["helpText"] ?? null), "", "required"], 220, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"forecast\">
                        ";
        // line 224
        ob_start(function () { return ''; });
        echo __("Please press Get Forecast");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 225
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null)], 225, $context, $this->getSourceContext());
        echo "  
                    </div>

                </div>
                
                ";
        // line 230
        if (((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "apiKey"], "method", false, false, false, 230), "")) && (0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getSetting", [0 => "owmApiKey"], "method", false, false, false, 230), "")))) {
            // line 231
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("The Weather Widget has not been configured yet, please ask your CMS Administrator to look at it for you.");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 232
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), "alert alert-danger"], 232, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 234
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "forecastio-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  632 => 234,  626 => 232,  621 => 231,  619 => 230,  610 => 225,  606 => 224,  598 => 220,  593 => 219,  589 => 218,  582 => 214,  576 => 211,  567 => 206,  563 => 205,  557 => 202,  548 => 197,  544 => 196,  537 => 193,  534 => 192,  531 => 191,  528 => 190,  526 => 189,  520 => 187,  514 => 185,  512 => 184,  504 => 179,  500 => 178,  495 => 176,  488 => 174,  483 => 172,  474 => 167,  470 => 166,  463 => 163,  460 => 162,  457 => 161,  454 => 160,  452 => 159,  446 => 157,  440 => 155,  438 => 154,  430 => 149,  426 => 148,  421 => 146,  414 => 144,  409 => 142,  400 => 137,  395 => 136,  391 => 135,  385 => 133,  380 => 132,  376 => 131,  370 => 129,  364 => 127,  362 => 126,  356 => 124,  351 => 123,  347 => 122,  341 => 120,  336 => 119,  332 => 118,  323 => 113,  318 => 112,  314 => 111,  308 => 109,  303 => 108,  299 => 107,  293 => 105,  288 => 104,  284 => 103,  278 => 101,  273 => 100,  269 => 99,  263 => 97,  258 => 96,  254 => 95,  248 => 93,  243 => 92,  239 => 91,  231 => 87,  229 => 85,  228 => 84,  227 => 83,  225 => 82,  220 => 81,  215 => 80,  211 => 79,  208 => 78,  203 => 77,  199 => 76,  193 => 74,  188 => 73,  184 => 72,  178 => 70,  173 => 69,  169 => 68,  163 => 66,  158 => 65,  154 => 64,  148 => 61,  142 => 58,  138 => 57,  132 => 54,  128 => 53,  124 => 52,  120 => 51,  116 => 50,  110 => 47,  104 => 44,  100 => 43,  96 => 41,  92 => 40,  85 => 38,  76 => 35,  68 => 33,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "forecastio-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/forecastio-form-edit.twig");
    }
}
