<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* applications-authorize-page.twig */
class __TwigTemplate_b608eee37f23ed44c824c383e854a93f268c80c683458a778aea74668be3289c extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "applications-authorize-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "applications-authorize-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 27
        echo "    <div class=\"widget w-50 mx-auto\">
        <div class=\"widget-title\">";
        // line 28
        echo __("Authorize Request");
        echo "</div>
        <div class=\"widget-body\">
            <h1>";
        // line 30
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["authParams"] ?? null), "client", [], "any", false, false, false, 30), "getName", [], "method", false, false, false, 30), "html", null, true);
        echo "</h1>
            <h5>";
        // line 31
        echo twig_escape_filter($this->env, __("would like access to the following scopes"), "html", null, true);
        echo ":</h5>

            <ul>
                ";
        // line 34
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["scopes"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["scope"]) {
            // line 35
            echo "                <li>
                    ";
            // line 36
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["scope"], "description", [], "any", false, false, false, 36), "html", null, true);
            echo "
                </li>
                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['scope'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 39
        echo "            </ul>

            <form method=\"post\" action=\"";
        // line 41
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("application.authorize"), "html", null, true);
        echo "\">
                <div class=\"text-right\">
                    <input type=\"hidden\" name=\"";
        // line 43
        echo twig_escape_filter($this->env, ($context["csrfKey"] ?? null), "html", null, true);
        echo "\" value=\"";
        echo twig_escape_filter($this->env, ($context["csrfToken"] ?? null), "html", null, true);
        echo "\" />
                    <input type=\"submit\" class=\"btn btn-danger\" value=\"Deny\" name=\"authorization\">
                    <input type=\"submit\" class=\"btn btn-success\" value=\"Approve\" name=\"authorization\">
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "applications-authorize-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  96 => 43,  91 => 41,  87 => 39,  78 => 36,  75 => 35,  71 => 34,  65 => 31,  61 => 30,  56 => 28,  53 => 27,  49 => 26,  44 => 23,  42 => 24,  35 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "applications-authorize-page.twig", "/home/mgatv524/public_html/mctv/views/applications-authorize-page.twig");
    }
}
