<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* twittermetro-form-edit.twig */
class __TwigTemplate_b5e4ae2b65b7edca70788d24c27b28c9a1488e6ec13cf1fd779c154bba378631 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "twittermetro-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "twittermetro-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Twitter Metro");
    }

    // line 31
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(["colors" => twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "templateColours"], "method", false, false, false, 31), "templates" => twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "templatesAvailable", [], "method", false, false, false, 31)]);
    }

    // line 33
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("Configuration");
        echo "</span></a></li>
             <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 40
        echo __("Appearance");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#appearanceTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Main");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#colorsTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Colours");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#effectTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Effect");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#cacheTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 48
        echo __("Caching");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"twitterMetroEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 51
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 51), "widgetId", [], "any", false, false, false, 51)]), "html", null, true);
        echo "\">
                 <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 56), ($context["helpText"] ?? null)], 56, $context, $this->getSourceContext());
        echo "

                        ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 60), ($context["helpText"] ?? null)], 60, $context, $this->getSourceContext());
        echo "

                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed (default = 60).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 64), ($context["helpText"] ?? null), "duration-fields", "required"], 64, $context, $this->getSourceContext());
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "
                        ";
        // line 69
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 73
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 74
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 75
($context["inheritOption"] ?? null)]];
        // line 77
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 77)], "method", false, false, false, 77), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 77, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 81
        ob_start(function () { return ''; });
        echo __("Search Term");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Search term. You can test your search term in the twitter.com search box first.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["searchTerm", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "searchTerm"], "method", false, false, false, 83), ($context["helpText"] ?? null), "", "required"], 83, $context, $this->getSourceContext());
        echo "

                        ";
        // line 85
        ob_start(function () { return ''; });
        echo __("Language");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Language in which tweets should be returned");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["language", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "language"], "method", false, false, false, 87), ($context["helpText"] ?? null)], 87, $context, $this->getSourceContext());
        echo "

                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Recent shows only the most recent tweets, Popular the most popular and Mixed includes both popular and recent results.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Mixed");
        $context["mixed"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Recent");
        $context["recent"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Popular");
        $context["popular"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        $context["options"] = [0 => ["typeid" => 1, "type" =>         // line 95
($context["mixed"] ?? null)], 1 => ["typeid" => 2, "type" =>         // line 96
($context["recent"] ?? null)], 2 => ["typeid" => 3, "type" =>         // line 97
($context["popular"] ?? null)]];
        // line 99
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["resultType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "resultType"], "method", false, false, false, 99), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null), "", "required"], 99, $context, $this->getSourceContext());
        echo "

                        ";
        // line 101
        ob_start(function () { return ''; });
        echo __("Distance");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Distance in miles that the tweets should be returned from. Set to 0 for no restrictions.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["tweetDistance", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "tweetDistance"], "method", false, false, false, 103), ($context["helpText"] ?? null)], 103, $context, $this->getSourceContext());
        echo "

                        ";
        // line 105
        ob_start(function () { return ''; });
        echo __("Count");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The number of Tweets to return (default = 60).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 107
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["tweetCount", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "tweetCount"], "method", false, false, false, 107), ($context["helpText"] ?? null)], 107, $context, $this->getSourceContext());
        echo "

                        ";
        // line 109
        ob_start(function () { return ''; });
        echo __("Content Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended tweet content type.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 111
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("All Tweets");
        $context["allTweets"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tweets with text only content");
        $context["justText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tweets with text and image content");
        $context["withImages"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        $context["options"] = [0 => ["contenttypeid" => 0, "type" =>         // line 115
($context["allTweets"] ?? null)], 1 => ["contenttypeid" => 1, "type" =>         // line 116
($context["justText"] ?? null)], 2 => ["contenttypeid" => 2, "type" =>         // line 117
($context["withImages"] ?? null)]];
        // line 119
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["resultContent", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "resultContent", 1 => 0], "method", false, false, false, 119), ($context["options"] ?? null), "contenttypeid", "type", ($context["helpText"] ?? null), "", "required"], 119, $context, $this->getSourceContext());
        echo "

                        ";
        // line 121
        ob_start(function () { return ''; });
        echo __("Remove Retweets?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should retweets be filtered?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["removeRetweets", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "GetOption", [0 => "removeRetweets", 1 => 1], "method", false, false, false, 123), ($context["helpText"] ?? null)], 123, $context, $this->getSourceContext());
        echo "

                        ";
        // line 125
        ob_start(function () { return ''; });
        echo __("Remove Mentions?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should mentions (@someone) be removed from the Tweet Text?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 127
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["removeMentions", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "GetOption", [0 => "removeMentions", 1 => 0], "method", false, false, false, 127), ($context["helpText"] ?? null)], 127, $context, $this->getSourceContext());
        echo "

                        ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Remove Hashtags?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should Hashtags (#something) be removed from the Tweet Text?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["removeHashtags", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "GetOption", [0 => "removeHashtags", 1 => 0], "method", false, false, false, 131), ($context["helpText"] ?? null)], 131, $context, $this->getSourceContext());
        echo "

                        ";
        // line 133
        ob_start(function () { return ''; });
        echo __("Remove URLs?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should URLs be removed from the Tweet Text? Most URLs do not compliment digital signage.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["removeUrls", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "GetOption", [0 => "removeUrls", 1 => 1], "method", false, false, false, 135), ($context["helpText"] ?? null)], 135, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTemplateTab\">
                        ";
        // line 139
        ob_start(function () { return ''; });
        echo __("Background Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The selected effect works best with a background colour. Optionally add one here.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["backgroundColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "backgroundColor"], "method", false, false, false, 141), ($context["helpText"] ?? null), "background-color-group"], 141, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 143
        ob_start(function () { return ''; });
        echo __("No tweets");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A message to display when there are no tweets returned by the search query");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 145
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["noTweetsMessage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "noTweetsMessage"], "method", false, false, false, 145), ($context["helpText"] ?? null)], 145, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 147
        ob_start(function () { return ''; });
        echo __("Date Format");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the date format to apply to all dates returned: d - day in numbers; 01 to 31 / D - day of the week as text; Mon to Sun: m - month in numbers; 01 to 12 /M - month in text; Jan to Dec - year in two digits; 19 / Y - year in four digits; 2019");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 149
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dateFormat", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dateFormat"], "method", false, false, false, 149), ($context["helpText"] ?? null)], 149, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"colorsTemplateTab\">
                        ";
        // line 153
        ob_start(function () { return ''; });
        echo __("Template Colours");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 154
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template colours you would like to apply.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["colorTemplateId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "colorTemplateId"], "method", false, false, false, 155), ($context["templatesAvailable"] ?? null), "id", "value", ($context["helpText"] ?? null), "selectPicker selectPickerWithImage template-selector-control", null, null, null, null, null, "image"], 155, $context, $this->getSourceContext());
        echo "
            
                        ";
        // line 157
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 158
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 159
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["overrideColorTemplate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "overrideColorTemplate"], "method", false, false, false, 159), ($context["helpText"] ?? null)], 159, $context, $this->getSourceContext());
        echo "

                        <div id=\"templateColors\" class=\"template-override-controls\"></div>
                    </div>

                    <div class=\"tab-pane\" id=\"effectTemplateTab\">
                        ";
        // line 165
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 166
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 167
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 168
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 169
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 172
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 173
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 174
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 175
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 176
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        $context["options"] = [0 => ["effectid" => "noAnim", "effect" =>         // line 178
($context["noneOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 179
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 180
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 181
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 182
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 183
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 184
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 185
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 186
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 187
($context["tileBlind"] ?? null)]];
        // line 189
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["effect", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "effect"], "method", false, false, false, 189), ($context["options"] ?? null), "effectid", "effect", ($context["helpText"] ?? null)], 189, $context, $this->getSourceContext());
        echo "

                        ";
        // line 191
        ob_start(function () { return ''; });
        echo __("Speed");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 192
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The transition speed of the selected effect in milliseconds (normal = 1000).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 193
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["speed", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "speed"], "method", false, false, false, 193), ($context["helpText"] ?? null), "effect-controls"], 193, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cacheTab\">
                        ";
        // line 197
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 198
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 199
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["updateInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 60], "method", false, false, false, 199), ($context["helpText"] ?? null), "", "required"], 199, $context, $this->getSourceContext());
        echo "
                    </div>

                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "twittermetro-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  581 => 199,  576 => 198,  572 => 197,  564 => 193,  559 => 192,  555 => 191,  549 => 189,  547 => 187,  546 => 186,  545 => 185,  544 => 184,  543 => 183,  542 => 182,  541 => 181,  540 => 180,  539 => 179,  538 => 178,  536 => 177,  531 => 176,  526 => 175,  521 => 174,  516 => 173,  511 => 172,  506 => 171,  501 => 170,  496 => 169,  491 => 168,  486 => 167,  481 => 166,  477 => 165,  467 => 159,  462 => 158,  458 => 157,  452 => 155,  447 => 154,  443 => 153,  435 => 149,  430 => 148,  426 => 147,  420 => 145,  415 => 144,  411 => 143,  405 => 141,  400 => 140,  396 => 139,  388 => 135,  383 => 134,  379 => 133,  373 => 131,  368 => 130,  364 => 129,  358 => 127,  353 => 126,  349 => 125,  343 => 123,  338 => 122,  334 => 121,  328 => 119,  326 => 117,  325 => 116,  324 => 115,  322 => 114,  317 => 113,  312 => 112,  307 => 111,  302 => 110,  298 => 109,  292 => 107,  287 => 106,  283 => 105,  277 => 103,  272 => 102,  268 => 101,  262 => 99,  260 => 97,  259 => 96,  258 => 95,  256 => 94,  251 => 93,  246 => 92,  241 => 91,  236 => 90,  232 => 89,  226 => 87,  221 => 86,  217 => 85,  211 => 83,  206 => 82,  202 => 81,  194 => 77,  192 => 75,  191 => 74,  190 => 73,  188 => 72,  183 => 71,  178 => 70,  174 => 69,  171 => 68,  166 => 67,  162 => 66,  156 => 64,  151 => 63,  147 => 62,  141 => 60,  136 => 59,  132 => 58,  126 => 56,  121 => 55,  117 => 54,  111 => 51,  105 => 48,  99 => 45,  95 => 44,  91 => 43,  85 => 40,  79 => 37,  75 => 36,  71 => 34,  67 => 33,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "twittermetro-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/twittermetro-form-edit.twig");
    }
}
