<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* module-form-audio.twig */
class __TwigTemplate_0623f506e3c8c8ca435ec541faafcdf42dd437c93a85301b8686330274084da5 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "module-form-audio.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "module-form-audio.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        $context["name"] = twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getName", [], "method", false, false, false, 28);
        // line 29
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Audio for %name%"), array("%name%" => ($context["name"] ?? null), ));
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#widgetAudioForm\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "
    ";
        // line 39
        if ((1 === twig_compare(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 39), "countAudio", [], "any", false, false, false, 39), 0))) {
            // line 40
            echo "        ";
            $context["audio"] = (($__internal_compile_0 = twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 40), "audio", [], "any", false, false, false, 40)) && is_array($__internal_compile_0) || $__internal_compile_0 instanceof ArrayAccess ? ($__internal_compile_0[0] ?? null) : null);
            // line 41
            echo "        ";
            $context["mediaId"] = twig_get_attribute($this->env, $this->source, ($context["audio"] ?? null), "mediaId", [], "any", false, false, false, 41);
            // line 42
            echo "        ";
            $context["volume"] = twig_get_attribute($this->env, $this->source, ($context["audio"] ?? null), "volume", [], "any", false, false, false, 42);
            // line 43
            echo "        ";
            $context["loop"] = twig_get_attribute($this->env, $this->source, ($context["audio"] ?? null), "loop", [], "any", false, false, false, 43);
            // line 44
            echo "    ";
        } else {
            // line 45
            echo "        ";
            $context["mediaId"] = 0;
            // line 46
            echo "        ";
            $context["volume"] = 100;
            // line 47
            echo "        ";
            $context["loop"] = 0;
            // line 48
            echo "    ";
        }
        // line 49
        echo "
    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"widgetAudioForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 52
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.audio", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 52), "widgetId", [], "any", false, false, false, 52)]), "html", null, true);
        echo "\">

                ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Audio Media");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Select the audio file that should be played when this Widget starts.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["mediaId", "single", ($context["title"] ?? null), ($context["mediaId"] ?? null), twig_array_merge([0 => ["mediaId" => 0, "name" => ""]], ($context["media"] ?? null)), "mediaId", "name", ($context["helpText"] ?? null)], 56, $context, $this->getSourceContext());
        echo "

                ";
        // line 58
        if ( !($context["isAudioAvailable"] ?? null)) {
            // line 59
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("The currently selected audio has been retired, please select a new item or cancel to keep the current one.");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 60
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_message", [($context["message"] ?? null), "alert alert-danger"], 60, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 62
        echo "
                ";
        // line 63
        ob_start(function () { return ''; });
        echo __("Volume");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Enter the volume percentage for this audio to play at.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_number", ["volume", ($context["title"] ?? null), ($context["volume"] ?? null), ($context["helpText"] ?? null)], 65, $context, $this->getSourceContext());
        echo "

                ";
        // line 67
        ob_start(function () { return ''; });
        echo __("Loop?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Should the audio loop if it finishes before the widget has finished?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["loop", ($context["title"] ?? null), ($context["loop"] ?? null), ($context["helpText"] ?? null), "loop-fields"], 69, $context, $this->getSourceContext());
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "module-form-audio.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  179 => 69,  174 => 68,  170 => 67,  164 => 65,  159 => 64,  155 => 63,  152 => 62,  146 => 60,  141 => 59,  139 => 58,  133 => 56,  128 => 55,  124 => 54,  119 => 52,  114 => 49,  111 => 48,  108 => 47,  105 => 46,  102 => 45,  99 => 44,  96 => 43,  93 => 42,  90 => 41,  87 => 40,  85 => 39,  82 => 38,  78 => 37,  72 => 34,  67 => 33,  63 => 32,  58 => 29,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "module-form-audio.twig", "/home/mgatv524/public_html/mctv/views/module-form-audio.twig");
    }
}
