<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* layout-designer-page.twig */
class __TwigTemplate_3e51d3cce6911b85caf54c0d6918de20049402567394a4b0197e7c89963e511b extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "layout-designer-page.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("authed.twig", "layout-designer-page.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("Layout Designer"), "html", null, true);
        echo " | ";
    }

    // line 29
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 30
        echo "
    <!-- Editor structure -->
    <div id=\"layout-editor\" data-layout-id=\"";
        // line 32
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["layout"] ?? null), "layoutId", [], "any", false, false, false, 32), "html", null, true);
        echo "\"></div>

    <div class=\"loading-overlay\">
        <i class=\"fa fa-spinner fa-spin loading-icon\"></i>
    </div>

";
    }

    // line 40
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo " 
        ";
        // line 42
        echo "        ";
        $this->loadTemplate("common.twig", "layout-designer-page.twig", 42)->display($context);
        // line 43
        echo "
        <script src=\"";
        // line 44
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 44), "html", null, true);
        echo "dist/layoutDesigner.bundle.min.js?v=";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "&rev=";
        echo twig_escape_filter($this->env, ($context["revision"] ?? null), "html", null, true);
        echo "\"></script>
        <script src=\"";
        // line 45
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "rootUri", [], "method", false, false, false, 45), "html", null, true);
        echo "dist/playlistEditor.bundle.min.js?v=";
        echo twig_escape_filter($this->env, ($context["version"] ?? null), "html", null, true);
        echo "&rev=";
        echo twig_escape_filter($this->env, ($context["revision"] ?? null), "html", null, true);
        echo "\"></script>
        <script type=\"text/javascript\">

            ";
        // line 49
        echo "            ";
        // line 50
        echo "                ";
        // line 51
        echo "                var layoutDesignerTrans = {
                    publishTitle: \"";
        // line 52
        echo __("Publish layout");
        echo "\",
                    discardTitle: \"";
        // line 53
        echo __("Discard draft");
        echo "\",
                    publishMessage: \"";
        // line 54
        echo __("Are you sure you want to publish this Layout? If it is already in use the update will automatically get pushed.");
        echo "\",
                    checkoutTitle: \"";
        // line 55
        echo __("Checkout");
        echo "\",
                    scheduleTitle: \"";
        // line 56
        echo __("Schedule Now");
        echo "\",
                    unlockTitle: \"";
        // line 57
        echo __("Unlock layout");
        echo "\",
                    saveTemplateTitle: \"";
        // line 58
        echo __("Save Template");
        echo "\",
                    readOnlyModeTitle: \"";
        // line 59
        echo __("Read Only Mode");
        echo "\",
                    readOnlyModeMessage: \"";
        // line 60
        echo __("You are viewing this Layout in read only mode, checkout by clicking on this message or from the Options menu above!");
        echo "\",
                    lockedModeTitle: \"";
        // line 61
        echo __("Locked Layout");
        echo "\",
                    lockedModeMessage: \"";
        // line 62
        echo __("This layout is being locked by another user. Lock expires on: [expiryDate]");
        echo "\",
                    checkoutMessage: \"";
        // line 63
        echo __("Layout is not editable, please checkout!");
        echo "\",
                    unlockMessage: \"";
        // line 64
        echo __("The current layout will be unlocked to other users. You will also be redirected to the Layouts page");
        echo "\",
                    viewModeTitle: \"";
        // line 65
        echo __("View");
        echo "\",
                    regionEditModeMessage: \"";
        // line 66
        echo __("Editing Regions");
        echo "\",
                    welcomeModalMessage: \"";
        // line 67
        echo __("This Layout is Published and cannot be edited. You can checkout the Layout for editing below, or continue to view it in a read only mode.");
        echo "\"
                };

                var viewerTrans = {
                    inlineEditor: \"";
        // line 71
        echo __("Inline Editor");
        echo "\",
                    toggleFullscreen: \"";
        // line 72
        echo __("Toggle Fullscreen Mode");
        echo "\",
                    backToLayout: \"";
        // line 73
        echo __("Go back to Layout view");
        echo "\",
                    saveEditorChanges: \"";
        // line 74
        echo __("Save editor changes");
        echo "\",
                    playPreviewLayout: \"";
        // line 75
        echo __("Play Layout preview");
        echo "\",
                    editLayout: \"";
        // line 76
        echo __("Edit Layout");
        echo "\",
                    stopPreviewLayout: \"";
        // line 77
        echo __("Stop Layout preview");
        echo "\",
                    nextWidget: \"";
        // line 78
        echo __("Next widget");
        echo "\",
                    previousWidget: \"";
        // line 79
        echo __("Previous widget");
        echo "\"
                };

                var timelineTrans = {
                    zoomIn: \"";
        // line 83
        echo __("Zoom in");
        echo "\",
                    zoomOut: \"";
        // line 84
        echo __("Zoom out");
        echo "\",
                    resetZoom: \"";
        // line 85
        echo __("Reset zoom");
        echo "\",
                    zoomDelta: \"";
        // line 86
        echo __("Visible area time span");
        echo "\",
                    hiddenTimeruler: \"";
        // line 87
        echo __("Zoom out to see timeruler!");
        echo "\",
                    zoomFindSelected: \"";
        // line 88
        echo __("Scroll to selected widget");
        echo "\",
                    startTime: \"";
        // line 89
        echo __("Visible area start time");
        echo "\",
                    endTime: \"";
        // line 90
        echo __("Visible area end time");
        echo "\",
                    layoutName: \"";
        // line 91
        echo __("Layout name");
        echo "\",
                    layoutDuration: \"";
        // line 92
        echo __("Layout duration");
        echo "\",
                    layoutDimensions: \"";
        // line 93
        echo __("Layout dimensions");
        echo "\",
                    emptyRegion: \"";
        // line 94
        echo __("Empty Region");
        echo "\",
                    addToThisPosition: \"";
        // line 95
        echo __("Add to this position");
        echo "\",
                    hiddenContentInWidget: \"";
        // line 96
        echo __("Zoom in to see more details!");
        echo "\",
                    widgetActions: \"";
        // line 97
        echo __("Widget Actions:");
        echo "\"
                };

                var navigatorTrans = {
                    edit: \"";
        // line 101
        echo __("Edit layout regions");
        echo "\",
                    addRegion: \"";
        // line 102
        echo __("Add");
        echo "\",
                    addRegionDesc: \"";
        // line 103
        echo __("Add a new region");
        echo "\",
                    deleteRegion: \"";
        // line 104
        echo __("Delete region");
        echo "\",
                    toggleFullscreen: \"";
        // line 105
        echo __("Toggle Fullscreen Mode");
        echo "\",
                    undo: \"";
        // line 106
        echo __("Undo");
        echo "\",
                    undoDesc: \"";
        // line 107
        echo __("Revert last change");
        echo "\",
                    close: \"";
        // line 108
        echo __("Close");
        echo "\",
                    closeDesc: \"";
        // line 109
        echo __("Return to Layout View");
        echo "\",
                    save: \"";
        // line 110
        echo __("Save");
        echo "\",
                    saveDesc: \"";
        // line 111
        echo __("Save changes");
        echo "\"
                };

                var drawerTrans = {
                    title: \"";
        // line 115
        echo __("Drawer");
        echo "\",
                    search: \"";
        // line 116
        echo __("Search");
        echo "\",
                    emptyDrawer: \"";
        // line 117
        echo __("Add widgets to be used as targets in actions");
        echo "\",
                    notInitEmptyDrawer: \"";
        // line 118
        echo __("Drawer is empty!");
        echo "\",
                    toggleDrawer: \"";
        // line 119
        echo __("Toggle drawer");
        echo "\",
                    widgetActions: \"";
        // line 120
        echo __("Widget Actions:");
        echo "\",
                    noTargetRegion: \"";
        // line 121
        echo __("No Target");
        echo "\",
                    noTargetRegionHelp: \"";
        // line 122
        echo __("Please select a target region");
        echo "\"
                };
            ";
        // line 125
        echo "        </script>
        <script type=\"text/javascript\">
            /**
             * Setup the background form.
             */
            function backGroundFormSetup(dialog) {
                var backgroundImageList = \$('#backgroundImageId');
                var notFoundIcon = \$('#bg_not_found_icon');
                var backgroundImage = \$('#bg_image_image');
                var initialBackgroundImageId = backgroundImageList.val();
                var backgroundChanged = false;

                function backgroundImageChange() {
                    // Want to attach an onchange event to the drop down for the bg-image
                    var id = backgroundImageList.val();

                    var src;
                    // If the image is not defined
                    if ([0, ''].indexOf(id) !== -1) {

                        // Show not found icon and hide image
                        notFoundIcon.show();
                        backgroundImage.hide();
                    } else {

                        // Hide not found icon and show image
                        notFoundIcon.hide();
                        backgroundImage.show();

                        // Replace image source
                        src = backgroundImage.data().url.replace(\":id\", id);
                        backgroundImage.attr(\"src\", src);
                    }

                    if (id !== initialBackgroundImageId) {
                        backgroundChanged = true;
                    }
                }

                backgroundImageList.change(backgroundImageChange);

                backgroundImageChange();

                // Bind to the background add button click
                \$(\"#backgroundAddButton\").on(\"click\", function(e) {
                    layoutEditBackgroundButtonClicked(e, dialog);
                });

                // Bind to the layout form submit
                \$(\"#layoutEditForm\").submit(function(e) {
                    e.preventDefault();

                    var form = \$(this);

                    // Submit via ajax - change the background color on success
                    \$.ajax({
                        type: form.attr(\"method\"),
                        url: form.attr(\"action\"),
                        cache: false,
                        dataType: \"json\",
                        data: \$(form).serialize(),
                        success: function(xhr, textStatus, error) {

                            XiboSubmitResponse(xhr, form);

                            if (xhr.success) {
                                var layout = \$(\"div#layout\");

                                if (layout.length > 0) {
                                    var color = form.find(\"#backgroundColor\").val();
                                    layout.data().backgroundColor = color;
                                    layout.css(\"background-color\", color);

                                    if (backgroundChanged)
                                        window.location.reload();
                                } else {
                                    // We assume we're on the layout page - call render
                                    // If we're not, table is a Chrome/Safari/FireBug global function
                                    if (backgroundChanged && typeof(table) !== 'undefined' && table.hasOwnProperty('ajax'))
                                        table.ajax.reload(null, false);
                                }
                            }
                        },
                        error: function(xhr, textStatus, errorThrown) {
                            SystemMessage(xhr.responseText, false);
                        }
                    });
                })
            };

            /**
             * Layout edit background add image button
             * @param e the event
             * @param dialog the dialog
             */
            function layoutEditBackgroundButtonClicked(e, dialog) {
                e.preventDefault();

                // Open an upload form
                openUploadForm({
                    url: \$(e.target).data().addNewBackgroundUrl,
                    title: \"";
        // line 226
        echo __("Add Background Image");
        echo "\",
                    videoImageCovers: false,
                    buttons: {
                        main: {
                            label: \"";
        // line 230
        echo __("Done");
        echo "\",
                            className: \"btn-primary btn-bb-main\",
                            callback: function () {
                                XiboDialogClose();
                            }
                        }
                    },
                    templateOptions: {
                        multi: false,
                        trans: {
                            addFiles: \"";
        // line 240
        echo __("Browse/Add Image");
        echo "\",
                            startUpload: \"";
        // line 241
        echo __("Start Upload");
        echo "\",
                            cancelUpload: \"";
        // line 242
        echo __("Cancel Upload");
        echo "\"
                        },
                        upload: {
                            maxSize: ";
        // line 245
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSize", [], "any", false, false, false, 245), "html", null, true);
        echo ",
                            maxSizeMessage: \"";
        // line 246
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "maxSizeMessage", [], "any", false, false, false, 246), "html", null, true);
        echo "\",
                            validExt: \"";
        // line 247
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["libraryUpload"] ?? null), "validImageExt", [], "any", false, false, false, 247), "html", null, true);
        echo "\"
                        }
                    },
                    uploadDoneEvent: function (data) {
                        // Get the mediaId
                        var mediaId = data.result.files[0].mediaId;

                        // Create a hidden field with the mediaId
                        \$(\"#layoutEditForm\").append(\$(\"<input type='hidden' name='backgroundImageId' value='\" + mediaId + \"'/>\"));

                        var \$bgImagePreview = dialog.find(\"#bg_image_image\");
                        \$bgImagePreview
                            .prop(\"src\", \$bgImagePreview.data().url.replace(\":id\", mediaId))
                            .show();

                        dialog.find(\"#bg_not_found_icon\").hide();

                        XiboDialogClose();
                    }
                });
            }
        </script>

        ";
        // line 270
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["modules"] ?? null));
        $context['loop'] = [
          'parent' => $context['_parent'],
          'index0' => 0,
          'index'  => 1,
          'first'  => true,
        ];
        if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
            $length = count($context['_seq']);
            $context['loop']['revindex0'] = $length - 1;
            $context['loop']['revindex'] = $length;
            $context['loop']['length'] = $length;
            $context['loop']['last'] = 1 === $length;
        }
        foreach ($context['_seq'] as $context["_key"] => $context["module"]) {
            // line 271
            echo "            ";
            if ((0 !== twig_compare(twig_get_attribute($this->env, $this->source, $context["module"], "layoutDesignerJavaScript", [], "method", false, false, false, 271), ""))) {
                // line 272
                echo "                ";
                $this->loadTemplate((twig_get_attribute($this->env, $this->source, $context["module"], "layoutDesignerJavaScript", [], "method", false, false, false, 272) . ".twig"), "layout-designer-page.twig", 272)->display($context);
                // line 273
                echo "            ";
            }
            // line 274
            echo "        ";
            ++$context['loop']['index0'];
            ++$context['loop']['index'];
            $context['loop']['first'] = false;
            if (isset($context['loop']['length'])) {
                --$context['loop']['revindex0'];
                --$context['loop']['revindex'];
                $context['loop']['last'] = 0 === $context['loop']['revindex0'];
            }
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['module'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 275
        echo "
        ";
        // line 276
        $this->loadTemplate("region-designer-javascript.twig", "layout-designer-page.twig", 276)->display($context);
        // line 277
        echo "        ";
        $this->loadTemplate("action-designer-javascript.twig", "layout-designer-page.twig", 277)->display($context);
        // line 278
        echo "    ";
    }

    public function getTemplateName()
    {
        return "layout-designer-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  583 => 278,  580 => 277,  578 => 276,  575 => 275,  561 => 274,  558 => 273,  555 => 272,  552 => 271,  535 => 270,  509 => 247,  505 => 246,  501 => 245,  495 => 242,  491 => 241,  487 => 240,  474 => 230,  467 => 226,  364 => 125,  359 => 122,  355 => 121,  351 => 120,  347 => 119,  343 => 118,  339 => 117,  335 => 116,  331 => 115,  324 => 111,  320 => 110,  316 => 109,  312 => 108,  308 => 107,  304 => 106,  300 => 105,  296 => 104,  292 => 103,  288 => 102,  284 => 101,  277 => 97,  273 => 96,  269 => 95,  265 => 94,  261 => 93,  257 => 92,  253 => 91,  249 => 90,  245 => 89,  241 => 88,  237 => 87,  233 => 86,  229 => 85,  225 => 84,  221 => 83,  214 => 79,  210 => 78,  206 => 77,  202 => 76,  198 => 75,  194 => 74,  190 => 73,  186 => 72,  182 => 71,  175 => 67,  171 => 66,  167 => 65,  163 => 64,  159 => 63,  155 => 62,  151 => 61,  147 => 60,  143 => 59,  139 => 58,  135 => 57,  131 => 56,  127 => 55,  123 => 54,  119 => 53,  115 => 52,  112 => 51,  110 => 50,  108 => 49,  98 => 45,  90 => 44,  87 => 43,  84 => 42,  78 => 40,  67 => 32,  63 => 30,  59 => 29,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "layout-designer-page.twig", "/home/mgatv524/public_html/mctv/views/layout-designer-page.twig");
    }
}
