<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* library-form-usage.twig */
class __TwigTemplate_0fadfe4859de49937f288431c1790268c9690c4cf05de9789c1829faab843f99 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 26
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $context["randomId"] = twig_random($this->env);
        // line 27
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "library-form-usage.twig", 27)->unwrap();
        // line 28
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "library-form-usage.twig", 28)->unwrap();
        // line 26
        $this->parent = $this->loadTemplate("form-base.twig", "library-form-usage.twig", 26);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 30
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    ";
        $context["mediaName"] = twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "name", [], "any", false, false, false, 31);
        // line 32
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Usage Report for %mediaName%"), array("%mediaName%" => ($context["mediaName"] ?? null), ));
    }

    // line 35
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 36
        echo "    ";
        echo __("Close");
        echo ", XiboDialogClose()
";
    }

    // line 39
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "usageFormOpen";
    }

    // line 41
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 42
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\"href=\"#displays\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Displays");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\"href=\"#layouts\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Layouts");
        echo "</span></a></li>
            </ul>
            <div class=\"tab-content\">
                <div class=\"tab-pane active\" id=\"displays\">
                    <div class=\"row\">
                        <div class=\"col-md-12\">
                            <p class=\"alert alert-info\">
                                ";
        // line 53
        /* xgettext:no-php-format */        echo strtr(__("This media is directly assigned to %countDisplays% displays, the ones you have permission to see are shown below."), array("%countDisplays%" => ($context["countDisplays"] ?? null), ));
        // line 54
        echo "                                ";
        echo __("Direct assignment is where Layouts/Media are assigned to a Display/DisplayGroup without being in a Schedule.");
        // line 55
        echo "                                <br>
                                <br>
                                ";
        // line 57
        echo __("If the media is used in scheduled events it is also shown below. To restrict to a specific time enter a date in the filter below.");
        // line 58
        echo "                            </p>
                        </div>
                    </div>
                    <div class=\"XiboGrid\" id=\"";
        // line 61
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"usageReport\">
                        <div class=\"row\">
                            <div class=\"col-md-12\">
                                <div class=\"XiboFilter\">
                                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                                        <form class=\"form-inline\" id=\"usageReportForm\">
                                            ";
        // line 67
        ob_start(function () { return ''; });
        echo __("From Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                                            ";
        echo twig_call_macro($macros["inline"], "macro_dateTime", ["mediaEventFromDate", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", ""], 68, $context, $this->getSourceContext());
        echo "

                                            ";
        // line 70
        ob_start(function () { return ''; });
        echo __("To Date");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                                            ";
        echo twig_call_macro($macros["inline"], "macro_dateTime", ["mediaEventToDate", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", ""], 71, $context, $this->getSourceContext());
        echo "
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class=\"row\">
                            <div class=\"col-md-12\">
                                <table id=\"usageReportTable\" class=\"table table-bordered membersTable\" style=\"width:100%\" data-media-id=\"";
        // line 79
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "mediaId", [], "any", false, false, false, 79), "html", null, true);
        echo "\">
                                    <thead>
                                        <tr>
                                            <th>";
        // line 82
        echo __("ID");
        echo "</th>
                                            <th>";
        // line 83
        echo __("Display");
        echo "</th>
                                            <th>";
        // line 84
        echo __("Description");
        echo "</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class=\"tab-pane\" id=\"layouts\">
                    <div class=\"XiboGrid\" id=\"";
        // line 95
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"usageReportLayouts\">
                        <div class=\"row\">
                            <div class=\"col-md-12\">
                                <table id=\"usageReportLayoutsTable\" class=\"table table-bordered\" style=\"width:100%\" data-media-id=\"";
        // line 98
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["media"] ?? null), "mediaId", [], "any", false, false, false, 98), "html", null, true);
        echo "\">
                                    <thead>
                                    <tr>
                                        <th>";
        // line 101
        echo __("ID");
        echo "</th>
                                        <th>";
        // line 102
        echo __("Layout");
        echo "</th>
                                        <th>";
        // line 103
        echo __("Description");
        echo "</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "library-form-usage.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  208 => 103,  204 => 102,  200 => 101,  194 => 98,  188 => 95,  174 => 84,  170 => 83,  166 => 82,  160 => 79,  148 => 71,  144 => 70,  138 => 68,  134 => 67,  125 => 61,  120 => 58,  118 => 57,  114 => 55,  111 => 54,  109 => 53,  99 => 46,  95 => 45,  90 => 42,  86 => 41,  79 => 39,  72 => 36,  68 => 35,  63 => 32,  60 => 31,  56 => 30,  51 => 26,  49 => 28,  47 => 27,  45 => 24,  38 => 26,);
    }

    public function getSourceContext()
    {
        return new Source("", "library-form-usage.twig", "/home/mgatv524/public_html/mctv/views/library-form-usage.twig");
    }
}
