<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* report-page.twig */
class __TwigTemplate_eb8dde37817fcb9de91a19ca271074f0eb70f39185c22bc8119469dc10ee6ffa extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "report-page.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("authed.twig", "report-page.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["defaults"] ?? null), "availableReports", [], "any", false, false, false, 28));
        foreach ($context['_seq'] as $context["key"] => $context["reports"]) {
            // line 29
            echo "        <div class=\"row reports-available\">
            <div class=\"reports-available-title col-12\">
                <span>";
            // line 31
            echo twig_escape_filter($this->env, $context["key"], "html", null, true);
            echo "</span>
            </div>
            ";
            // line 33
            if (((0 === twig_compare($context["key"], "Proof of Play")) && twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "proof-of-play"], "method", false, false, false, 33))) {
                // line 34
                echo "                <div class=\"col-lg-3 col-md-6 col-12\">
                    <div class=\"widget content\" style=\"min-height: 210px\">
                        <div class=\"widget-body\">
                            <div class=\"widget-icon green\">
                                <a class=\"XiboFormButton btns\" href=\"";
                // line 38
                echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("stats.export.form"), "html", null, true);
                echo "\"> <i class=\"fa fa-external-link\"></i></a>
                            </div>
                            <div class=\"widget-content\">
                                <div class=\"report-title\">";
                // line 41
                echo __("Proof of Play");
                echo "</div>
                                <div class=\"comment\"><a class=\"XiboFormButton btns\" href=\"";
                // line 42
                echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("stats.export.form"), "html", null, true);
                echo "\">";
                echo __("Export");
                echo "</a></div>
                            </div>
                            <div class=\"clearfix\"></div>
                        </div>
                    </div>
                </div>
            ";
            }
            // line 49
            echo "            ";
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable($context["reports"]);
            foreach ($context['_seq'] as $context["_key"] => $context["report"]) {
                // line 50
                echo "                ";
                if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["report"], "hidden", [], "any", false, false, false, 50), 0))) {
                    // line 51
                    echo "                    <div class=\"report-box col-lg-3 col-md-6 col-12\">
                        <div class=\"widget content\" style=\"min-height: 210px\">
                            <div class=\"widget-body\">
                                <div class=\"widget-icon ";
                    // line 54
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["report"], "color", [], "any", false, false, false, 54), "html", null, true);
                    echo " \">
                                    <i class=\"fa ";
                    // line 55
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["report"], "fa_icon", [], "any", false, false, false, 55), "html", null, true);
                    echo "\"></i>
                                </div>
                                <div class=\"widget-content\">
                                    <div class=\"report-title\">  ";
                    // line 58
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["report"], "description", [], "any", false, false, false, 58), "html", null, true);
                    echo "  </div>
                                    <div class=\"comment\"><a href=\"";
                    // line 59
                    echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("report.form", ["name" => twig_get_attribute($this->env, $this->source, $context["report"], "name", [], "any", false, false, false, 59)]), "html", null, true);
                    echo "\">";
                    echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["report"], "type", [], "any", false, false, false, 59), "html", null, true);
                    echo "</a></div>
                                </div>
                                <div class=\"clearfix\"></div>
                            </div>
                        </div>
                    </div>
                ";
                }
                // line 66
                echo "            ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['report'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 67
            echo "        </div>
    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['key'], $context['reports'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
    }

    // line 72
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 73
        echo "    <script type=\"text/javascript\">
        function statsExportFormSelect(dialog) {
            var fromDtLink;
            var toDtLink;
            var displayId;

            \$(dialog).find(\"input, select\").on(\"change\", function() {

                fromDtLink =  \$(dialog).find(\"#fromDt\").val();
                toDtLink =  \$(dialog).find(\"#toDt\").val();
                displayId =  \$(dialog).find(\"#displayId\").val();

                if (!(
                    fromDtLink === null ||  toDtLink === null  ||
                    fromDtLink === '' ||  toDtLink === ''  ||
                    fromDtLink === undefined || toDtLink === undefined
                )) {

                    \$(dialog).find(\".total-stat\").remove();
                    \$(dialog).find('.save-button').prop('disabled', true);
                    \$(dialog).find(\".loading-overlay\").show();

                    \$.ajax({
                        type: \"get\",
                        url: \"";
        // line 97
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("stats.getExportStatsCount"), "html", null, true);
        echo "\",
                        cache: false,
                        dataType: \"json\",
                        data: {
                            fromDt: fromDtLink,
                            toDt: toDtLink,
                            displayId: displayId
                        },

                        success: function(response) {

                            \$(dialog).find(\".loading-overlay\").hide();

                            if (response.success === false) {
                                \$(dialog).find(\"#totalStat\").append('<div class=\"total-stat alert alert-danger\">' + response.message + '</strong></div>');
                                return;
                            } else {
                                var total = response.data.total;
                                \$(dialog).find(\"#totalStat\").append('<div class=\"total-stat alert alert-success\">";
        // line 115
        echo twig_escape_filter($this->env, __("Total number of records to be exported "), "html", null, true);
        echo "' + '<strong>' + total + '</strong></div>');
                            }

                            \$(dialog).find('.save-button').prop('disabled', false);
                        }
                    });
                }
            });
        }

        function statsExportFormSubmit() {
            var form = \$(\"#statisticsExportForm\");
            var valid = true;

            var validateForm = function(element) {
                if (element.val() == null || element.val() == '') {
                    valid = false;
                    element.closest('.form-group').removeClass('has-success').addClass('has-error');
                } else {
                    element.closest('.form-group').addClass('has-success').removeClass('has-error');
                }
            };

            validateForm(form.find(\"#fromDt\"));
            validateForm(form.find(\"#toDt\"));

            if (valid) {
                form.submit();
                form.find(\".form-error\").remove();

                XiboDialogClose();

            } else {
                // Remove the spinner
                form.closest(\".modal-dialog\").find(\".saving\").remove();
                // https://github.com/xibosignage/xibo/issues/1589
                form.closest(\".modal-dialog\").find(\".save-button\").removeClass(\"disabled\");

                if (!form.find(\".form-error\").length) {
                    form.append('<div class=\"alert alert-danger form-error\">";
        // line 154
        echo twig_escape_filter($this->env, __("Form field is required."), "html", null, true);
        echo "</div>');
                }
            }
        }

        // Or use this to Open link in same window (similar to target=_blank)
        \$(\".report-box\").click(function(){
            window.location = \$(this).find(\"a:first\").attr(\"href\");
            return false;
        });

    </script>

    <style>
        .row-flex {
            display: flex;
            flex-wrap: wrap;
        }

        .content {
            height: 100%;
            padding: 20px;
            border-radius: 5px;
        }

        .reports-available {
            background-color: #d2e0db;
            border: 1px solid #d2e0db;
            border-radius: 5px;
            margin: 0 1rem 1rem 1rem !important;
        }

        .reports-available-title {
            width: 100%;
            margin-top: 1rem;
            color: #273759;
            font-size: 1.4rem;
        }

        div.report-box {
            position: relative;
        }

        div.report-box:hover {
            cursor: pointer;
            opacity: .9;
        }

        .widget .widget-content .report-title {
            font-size: 1.15rem;
            padding: 10px 0 0;
            display: block;
        }

        .widget .widget-content .comment {
            font-size: 1rem;
        }
    </style>
";
    }

    public function getTemplateName()
    {
        return "report-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  245 => 154,  203 => 115,  182 => 97,  156 => 73,  152 => 72,  143 => 67,  137 => 66,  125 => 59,  121 => 58,  115 => 55,  111 => 54,  106 => 51,  103 => 50,  98 => 49,  86 => 42,  82 => 41,  76 => 38,  70 => 34,  68 => 33,  63 => 31,  59 => 29,  54 => 28,  50 => 27,  45 => 24,  43 => 25,  36 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "report-page.twig", "/home/mgatv524/public_html/mctv/views/report-page.twig");
    }
}
