<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* currencies-form-edit.twig */
class __TwigTemplate_f75c75e846294121100241ae16b70bde8802c53804d41f5664a3b69d24c18caf extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "currencies-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "currencies-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Currencies");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Get Results");
        echo ", formHelpers.requestTab(\"results\"| \"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.tab.form", ["tab" => "results", "id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 32), "widgetId", [], "any", false, false, false, 32)]), "html", null, true);
        echo "\")
";
    }

    // line 35
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "templatesAvailable", [], "method", false, false, false, 35));
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 40
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\" data-enlarge=\"1\"><span>";
        // line 41
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#appearanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("Appearance");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 45
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#templatePreset\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 48
        echo __("Preset");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#templateTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 49
        echo __("Main");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#itemTemplateTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 50
        echo __("Item");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#optionalStylesheetTab\"  role=\"tab\" data-toggle=\"tab\"><span>";
        // line 51
        echo __("Optional Stylesheet");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#noRecordsMessageTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 52
        echo __("No Records Message");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#cachingTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 55
        echo __("Caching");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#results\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 56
        echo __("Results");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"currenciesEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 59
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 59), "widgetId", [], "any", false, false, false, 59)]), "html", null, true);
        echo "\">
                 <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 64), ($context["helpText"] ?? null)], 64, $context, $this->getSourceContext());
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 68), ($context["helpText"] ?? null)], 68, $context, $this->getSourceContext());
        echo "

                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 72), ($context["helpText"] ?? null), "duration-fields", "required"], 72, $context, $this->getSourceContext());
        echo "

                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Duration is per page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration specified is per page/item otherwise the widget duration is divided between the number of pages/items.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["durationIsPerPage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "durationIsPerPage"], "method", false, false, false, 76), ($context["helpText"] ?? null)], 76, $context, $this->getSourceContext());
        echo "

                        ";
        // line 78
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "
                        ";
        // line 81
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 82
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 85
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 86
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 87
($context["inheritOption"] ?? null)]];
        // line 89
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 89)], "method", false, false, false, 89), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 89, $context, $this->getSourceContext());
        echo "
                    </div>
                    
                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 93
        ob_start(function () { return ''; });
        echo __("Currencies");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A comma separated list of Currency Acronyms/Abbreviations, e.g. GBP,USD,EUR. For the best results enter no more than 5 items.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["items", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "items"], "method", false, false, false, 95), ($context["helpText"] ?? null), "", "required"], 95, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 97
        ob_start(function () { return ''; });
        echo __("Base");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The base currency.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["base", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "base"], "method", false, false, false, 99), ($context["helpText"] ?? null), "", "required"], 99, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 101
        ob_start(function () { return ''; });
        echo __("Reverse conversion?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like your base currency to be used as the comparison currency for each currency you've entered. For example base/compare becomes compare/base - USD/GBP becomes GBP/USD.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["reverseConversion", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "reverseConversion", 1 => 0], "method", false, false, false, 103), ($context["helpText"] ?? null)], 103, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTab\">
                        ";
        // line 107
        ob_start(function () { return ''; });
        echo __("Background Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 108
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The selected effect works best with a background colour. Optionally add one here.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["backgroundColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "backgroundColor"], "method", false, false, false, 109), ($context["helpText"] ?? null), "background-color-group"], 109, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 111
        ob_start(function () { return ''; });
        echo __("Date Format");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the date format to apply to all dates returned: d - day in numbers; 01 to 31 / D - day of the week as text; Mon to Sun: m - month in numbers; 01 to 12 /M - month in text; Jan to Dec - year in two digits; 19 / Y - year in four digits; 2019");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dateFormat", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dateFormat"], "method", false, false, false, 113), ($context["helpText"] ?? null)], 113, $context, $this->getSourceContext());
        echo "

                        ";
        // line 115
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items. If all items should be output, select None. Marquee effects are CPU intensive and may not be suitable for lower power displays.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 124
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 127
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Left");
        $context["marqueeLeft"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 128
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Right");
        $context["marqueeRight"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Up");
        $context["marqueeUp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Down");
        $context["marqueeDown"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        $context["options"] = [0 => ["effectid" => "none", "effect" =>         // line 132
($context["noneOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 133
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 134
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 135
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 136
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 137
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 138
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 139
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 140
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 141
($context["tileBlind"] ?? null)]];
        // line 143
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["effect", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "effect"], "method", false, false, false, 143), ($context["options"] ?? null), "effectid", "effect", ($context["helpText"] ?? null)], 143, $context, $this->getSourceContext());
        echo "

                        ";
        // line 145
        ob_start(function () { return ''; });
        echo __("Speed");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 146
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The transition speed of the selected effect in milliseconds (normal = 1000) or the Marquee Speed in a low to high scale (normal = 1).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["speed", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "speed"], "method", false, false, false, 147), ($context["helpText"] ?? null), "effect-controls"], 147, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templatePreset\">
                        ";
        // line 151
        ob_start(function () { return ''; });
        echo __("Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 153
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["templateId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "templateId"], "method", false, false, false, 153), ($context["templatesAvailable"] ?? null), "id", "value", ($context["helptext"] ?? null), "template-selector-control selectPicker selectPickerWithImage", null, null, null, [0 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 1 => ["name" => "data-width", "value" => "100%"]], null, "image"], 153, $context, $this->getSourceContext());
        echo "

                        ";
        // line 155
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 157
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["overrideTemplate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "overrideTemplate", 1 => 0], "method", false, false, false, 157), ($context["helpText"] ?? null)], 157, $context, $this->getSourceContext());
        echo "

                        ";
        // line 159
        ob_start(function () { return ''; });
        // line 160
        echo "                            ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 162
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["useTemplatesMessage"] ?? null), "template-override-controls"], 162, $context, $this->getSourceContext());
        echo "

                        ";
        // line 164
        ob_start(function () { return ''; });
        echo __("Original Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 165
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended width of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 166
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalWidth", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalWidth", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 166), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 166, $context, $this->getSourceContext());
        echo "

                        ";
        // line 168
        ob_start(function () { return ''; });
        echo __("Original Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 169
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended height of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 170
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalHeight", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalHeight", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 170), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 170, $context, $this->getSourceContext());
        echo "

                        ";
        // line 172
        ob_start(function () { return ''; });
        echo __("Items per Page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 173
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended number of items on each page.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 174
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["maxItemsPerPage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "maxItemsPerPage", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 174), ($context["helpText"] ?? null), "template-override-controls", "required"], 174, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templateTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 179
        echo __("Main Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"mainTemplate_advanced\" name=\"mainTemplate_advanced\" ";
        // line 181
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "mainTemplate_advanced", 1 => 0], "method", false, false, false, 181), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 183
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 185
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 186
        echo __("Off");
        echo "\">
                            </div>
                        </div>
                        
                        <div class=\"editor-messages\">
                            ";
        // line 191
        ob_start(function () { return ''; });
        // line 192
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 194
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "mainTemplate-advanced-editor-hide"], 194, $context, $this->getSourceContext());
        echo "

                            ";
        // line 196
        ob_start(function () { return ''; });
        // line 197
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 198
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 199
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 200
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage2"] ?? null), "mainTemplate-advanced-editor-show"], 200, $context, $this->getSourceContext());
        echo "
                        </div>

                        ";
        // line 203
        echo twig_call_macro($macros["forms"], "macro_textarea", ["mainTemplate", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "mainTemplate"], "method", false, false, false, 203), "", "", "", 10], 203, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"itemTemplateTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 208
        echo __("Item Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"itemTemplate_advanced\" name=\"itemTemplate_advanced\" ";
        // line 210
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "itemTemplate_advanced", 1 => 0], "method", false, false, false, 210), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 212
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 214
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 215
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 220
        ob_start(function () { return ''; });
        // line 221
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 223
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "itemTemplate-advanced-editor-hide"], 223, $context, $this->getSourceContext());
        echo "

                            ";
        // line 225
        ob_start(function () { return ''; });
        // line 226
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 227
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 228
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 229
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage2"] ?? null), "itemTemplate-advanced-editor-show"], 229, $context, $this->getSourceContext());
        echo "
                        </div>

                        ";
        // line 232
        ob_start(function () { return ''; });
        echo __("Enter the template for each item. Replaces [itemsTemplate] in main template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 233
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_textarea", ["itemTemplate", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "itemTemplate"], "method", false, false, false, 233), "", "", "", 10], 233, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\"> 
                        <div class=\"form-content-title\">
                            <h4>";
        // line 238
        echo __("Optional Stylesheet");
        echo "</h4>
                        </div>

                        ";
        // line 241
        echo twig_call_macro($macros["forms"], "macro_textarea", ["styleSheet", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "styleSheet"], "method", false, false, false, 241), "", "", "", 10], 241, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"noRecordsMessageTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 246
        echo __("No Records");
        echo "</h4>
                        </div>

                        ";
        // line 249
        ob_start(function () { return ''; });
        echo __("Message");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 250
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A message to display when there are no records returned by the search query");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 251
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["noRecordsMessage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "noRecordsMessage"], "method", false, false, false, 251), ($context["helpText"] ?? null)], 251, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cachingTab\">
                        ";
        // line 255
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 256
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 257
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["updateInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 60], "method", false, false, false, 257), ($context["helpText"] ?? null), "", "required"], 257, $context, $this->getSourceContext());
        echo "
                    </div>
    
                    <div class=\"tab-pane\" id=\"results\"></div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "currencies-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  720 => 257,  715 => 256,  711 => 255,  703 => 251,  698 => 250,  694 => 249,  688 => 246,  680 => 241,  674 => 238,  665 => 233,  661 => 232,  654 => 229,  651 => 228,  648 => 227,  645 => 226,  643 => 225,  637 => 223,  631 => 221,  629 => 220,  621 => 215,  617 => 214,  612 => 212,  605 => 210,  600 => 208,  592 => 203,  585 => 200,  582 => 199,  579 => 198,  576 => 197,  574 => 196,  568 => 194,  562 => 192,  560 => 191,  552 => 186,  548 => 185,  543 => 183,  536 => 181,  531 => 179,  522 => 174,  517 => 173,  513 => 172,  507 => 170,  502 => 169,  498 => 168,  492 => 166,  487 => 165,  483 => 164,  477 => 162,  471 => 160,  469 => 159,  463 => 157,  458 => 156,  454 => 155,  448 => 153,  443 => 152,  439 => 151,  431 => 147,  426 => 146,  422 => 145,  416 => 143,  414 => 141,  413 => 140,  412 => 139,  411 => 138,  410 => 137,  409 => 136,  408 => 135,  407 => 134,  406 => 133,  405 => 132,  403 => 131,  398 => 130,  393 => 129,  388 => 128,  383 => 127,  378 => 126,  373 => 125,  368 => 124,  363 => 123,  358 => 122,  353 => 121,  348 => 120,  343 => 119,  338 => 118,  333 => 117,  328 => 116,  324 => 115,  318 => 113,  313 => 112,  309 => 111,  303 => 109,  298 => 108,  294 => 107,  286 => 103,  281 => 102,  277 => 101,  271 => 99,  266 => 98,  262 => 97,  256 => 95,  251 => 94,  247 => 93,  239 => 89,  237 => 87,  236 => 86,  235 => 85,  233 => 84,  228 => 83,  223 => 82,  219 => 81,  216 => 80,  211 => 79,  207 => 78,  201 => 76,  196 => 75,  192 => 74,  186 => 72,  181 => 71,  177 => 70,  171 => 68,  166 => 67,  162 => 66,  156 => 64,  151 => 63,  147 => 62,  141 => 59,  135 => 56,  131 => 55,  125 => 52,  121 => 51,  117 => 50,  113 => 49,  109 => 48,  103 => 45,  97 => 42,  93 => 41,  89 => 40,  85 => 38,  81 => 37,  74 => 35,  65 => 32,  61 => 31,  56 => 28,  52 => 27,  47 => 24,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "currencies-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/currencies-form-edit.twig");
    }
}
