<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* twitter-form-edit.twig */
class __TwigTemplate_ca0eced3909ec0036ebac436cda6b6d2faf2f43ead5fa517ae433e1343655e12 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "twitter-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "twitter-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Twitter");
    }

    // line 31
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "templatesAvailable", [], "method", false, false, false, 31));
    }

    // line 33
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("General");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("Configuration");
        echo "</span></a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#appearanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 38
        echo __("Appearance");
        echo "</span></a></li>
            <li class=\"nav-item dropdown\">
                <a class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 41
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <div class=\"dropdown-menu\">
                    <a class=\"dropdown-item\" href=\"#templatePreset\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Preset");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#templateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Main");
        echo "</span></a>
                    <a class=\"dropdown-item template-override-controls\" href=\"#optionalStylesheetTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Optional Stylesheet");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#noTweetsTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 47
        echo __("No Tweets Message");
        echo "</span></a>
                    <a class=\"dropdown-item\" href=\"#optionalJavascript\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 48
        echo __("Optional JavaScript");
        echo "</span></a>
                </div>
            </li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#cacheTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 51
        echo __("Caching");
        echo "</span></a></li>
        </ul>

        <div class=\"col-md-12\">
            <form id=\"twitterEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 55
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("module.widget.edit", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "widget", [], "any", false, false, false, 55), "widgetId", [], "any", false, false, false, 55)]), "html", null, true);
        echo "\">
                 <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["name", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "name"], "method", false, false, false, 60), ($context["helpText"] ?? null)], 60, $context, $this->getSourceContext());
        echo "

                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["useDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getUseDuration", [], "method", false, false, false, 64), ($context["helpText"] ?? null)], 64, $context, $this->getSourceContext());
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["duration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getDuration", [], "method", false, false, false, 68), ($context["helpText"] ?? null), "duration-fields", "required"], 68, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Duration is per item");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration specified is per item otherwise it is per feed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["durationIsPerItem", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "durationIsPerItem"], "method", false, false, false, 72), ($context["helpText"] ?? null)], 72, $context, $this->getSourceContext());
        echo "

                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "
                        ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 81
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 82
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 83
($context["inheritOption"] ?? null)]];
        // line 85
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["enableStat", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method", false, false, false, 85)], "method", false, false, false, 85), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 85, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Search Term");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Search term. You can test your search term in the twitter.com search box first.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["searchTerm", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "searchTerm"], "method", false, false, false, 91), ($context["helpText"] ?? null), "", "required"], 91, $context, $this->getSourceContext());
        echo "

                        ";
        // line 93
        ob_start(function () { return ''; });
        echo __("Language");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Language in which tweets should be returned");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["language", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "language"], "method", false, false, false, 95), ($context["helpText"] ?? null)], 95, $context, $this->getSourceContext());
        echo "

                        ";
        // line 97
        ob_start(function () { return ''; });
        echo __("Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Recent shows only the most recent tweets, Popular the most popular and Mixed includes both popular and recent results.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Mixed");
        $context["mixed"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Recent");
        $context["recent"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Popular");
        $context["popular"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        $context["options"] = [0 => ["typeid" => 1, "type" =>         // line 103
($context["mixed"] ?? null)], 1 => ["typeid" => 2, "type" =>         // line 104
($context["recent"] ?? null)], 2 => ["typeid" => 3, "type" =>         // line 105
($context["popular"] ?? null)]];
        // line 107
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["resultType", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "resultType"], "method", false, false, false, 107), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null), "", "required"], 107, $context, $this->getSourceContext());
        echo "

                        ";
        // line 109
        ob_start(function () { return ''; });
        echo __("Distance");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Distance in miles that the tweets should be returned from. Set to 0 for no restrictions.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 111
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["tweetDistance", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "tweetDistance"], "method", false, false, false, 111), ($context["helpText"] ?? null)], 111, $context, $this->getSourceContext());
        echo "

                        ";
        // line 113
        ob_start(function () { return ''; });
        echo __("Remove Mentions?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should mentions (@someone) be removed from the Tweet Text?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["removeMentions", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "GetOption", [0 => "removeMentions", 1 => 0], "method", false, false, false, 115), ($context["helpText"] ?? null)], 115, $context, $this->getSourceContext());
        echo "

                        ";
        // line 117
        ob_start(function () { return ''; });
        echo __("Remove Hashtags?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should Hashtags (#something) be removed from the Tweet Text?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["removeHashtags", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "GetOption", [0 => "removeHashtags", 1 => 0], "method", false, false, false, 119), ($context["helpText"] ?? null)], 119, $context, $this->getSourceContext());
        echo "

                        ";
        // line 121
        ob_start(function () { return ''; });
        echo __("Remove URLs?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should URLs be removed from the Tweet Text? Most URLs do not compliment digital signage.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 123
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["removeUrls", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "GetOption", [0 => "removeUrls", 1 => 1], "method", false, false, false, 123), ($context["helpText"] ?? null)], 123, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTab\">

                        ";
        // line 128
        ob_start(function () { return ''; });
        echo __("Background Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The selected effect works best with a background colour. Optionally add one here.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_color", ["backgroundColor", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "backgroundColor"], "method", false, false, false, 130), ($context["helpText"] ?? null), "background-color-group"], 130, $context, $this->getSourceContext());
        echo "

                        ";
        // line 132
        ob_start(function () { return ''; });
        echo __("Count");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 133
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The number of Tweets to return (default = 15).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["tweetCount", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "tweetCount"], "method", false, false, false, 134), ($context["helpText"] ?? null)], 134, $context, $this->getSourceContext());
        echo "
                        
                        ";
        // line 136
        ob_start(function () { return ''; });
        echo __("Tweets Per Page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The number of Tweets to show per page (default = 5).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["itemsPerPage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "itemsPerPage"], "method", false, false, false, 138), ($context["helpText"] ?? null)], 138, $context, $this->getSourceContext());
        echo "
                            
                        ";
        // line 140
        ob_start(function () { return ''; });
        echo __("Date Format");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the date format to apply to all dates returned: d - day in numbers; 01 to 31 / D - day of the week as text; Mon to Sun: m - month in numbers; 01 to 12 /M - month in text; Jan to Dec - year in two digits; 19 / Y - year in four digits; 2019");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dateFormat", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "dateFormat"], "method", false, false, false, 142), ($context["helpText"] ?? null)], 142, $context, $this->getSourceContext());
        echo "

                        ";
        // line 144
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 145
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 146
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 147
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 149
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 150
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 153
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 154
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        $context["options"] = [0 => ["effectid" => "noAnim", "effect" =>         // line 157
($context["noneOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 158
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 159
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 160
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 161
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 162
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 163
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 164
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 165
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 166
($context["tileBlind"] ?? null)]];
        // line 168
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["effect", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "effect"], "method", false, false, false, 168), ($context["options"] ?? null), "effectid", "effect", ($context["helpText"] ?? null)], 168, $context, $this->getSourceContext());
        echo "

                        ";
        // line 170
        ob_start(function () { return ''; });
        echo __("Speed");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The transition speed of the selected effect in milliseconds (normal = 1000).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 172
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["speed", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "speed"], "method", false, false, false, 172), ($context["helpText"] ?? null), "effect-controls"], 172, $context, $this->getSourceContext());
        echo "
                    </div>

                    
                    <div class=\"tab-pane\" id=\"templatePreset\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 178
        echo __("Preset");
        echo "</h4>
                        </div>

                        ";
        // line 181
        ob_start(function () { return ''; });
        echo __("Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 182
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 183
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["templateId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "templateId"], "method", false, false, false, 183), ($context["templatesAvailable"] ?? null), "id", "value", ($context["helptext"] ?? null), "template-selector-control selectPicker selectPickerWithImage", null, null, null, [0 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 1 => ["name" => "data-width", "value" => "100%"]], null, "image"], 183, $context, $this->getSourceContext());
        echo "

                        ";
        // line 185
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 186
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 187
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["overrideTemplate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "overrideTemplate", 1 => 0], "method", false, false, false, 187), ($context["helpText"] ?? null)], 187, $context, $this->getSourceContext());
        echo "

                        ";
        // line 189
        ob_start(function () { return ''; });
        // line 190
        echo "                           ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 192
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["useTemplatesMessage"] ?? null), "template-override-controls"], 192, $context, $this->getSourceContext());
        echo "

                        ";
        // line 194
        ob_start(function () { return ''; });
        echo __("Original Width");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 195
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended width of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 196
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalWidth", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalWidth", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 196), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 196, $context, $this->getSourceContext());
        echo "

                        ";
        // line 198
        ob_start(function () { return ''; });
        echo __("Original Height");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 199
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended height of the template and is used to scale the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 200
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalHeight", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalHeight", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 200), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 200, $context, $this->getSourceContext());
        echo "

                        ";
        // line 202
        ob_start(function () { return ''; });
        echo __("Original Padding");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 203
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended padding of the template and is used to position the Widget within its region when the template is applied.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 204
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["widgetOriginalPadding", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "widgetOriginalPadding", 1 => ($context["undefined"] ?? null)], "method", false, false, false, 204), ($context["helpText"] ?? null), "template-override-controls", "", "number"], 204, $context, $this->getSourceContext());
        echo "

                        ";
        // line 206
        ob_start(function () { return ''; });
        echo __("Content Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 207
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended tweet content type.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 208
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("All Tweets");
        $context["allTweets"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 209
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tweets with text only content");
        $context["justText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 210
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tweets with text and image content");
        $context["withImages"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 211
        echo "                        ";
        $context["options"] = [0 => ["contenttypeid" => 0, "type" =>         // line 212
($context["allTweets"] ?? null)], 1 => ["contenttypeid" => 1, "type" =>         // line 213
($context["justText"] ?? null)], 2 => ["contenttypeid" => 2, "type" =>         // line 214
($context["withImages"] ?? null)]];
        // line 216
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["resultContent", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "resultContent", 1 => 0], "method", false, false, false, 216), ($context["options"] ?? null), "contenttypeid", "type", ($context["helpText"] ?? null), "template-override-controls", "required"], 216, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templateTab\">
                        <div class=\"form-content-title row\">
                            <h4 class=\"col-6 text-left\">";
        // line 221
        echo __("Main Template");
        echo "</h4>
                            <div class=\"col-6 text-right\">
                                <input type=\"checkbox\" class=\"bootstrap-switch-target\" id=\"ta_text_advanced\" name=\"ta_text_advanced\" ";
        // line 223
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "ta_text_advanced", 1 => 0], "method", false, false, false, 223), 1))) {
            echo "checked";
        }
        echo " 
                                    data-size=\"small\" 
                                    data-label-text=\"";
        // line 225
        echo __("Visual editor");
        echo "\" 
                                    data-label-width=\"80px\" 
                                    data-on-text=\"";
        // line 227
        echo __("On");
        echo "\" 
                                    data-off-text=\"";
        // line 228
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 233
        ob_start(function () { return ''; });
        // line 234
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 236
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["simpleTextEditorMessage"] ?? null), "ta_text-advanced-editor-hide inline-editor-hide"], 236, $context, $this->getSourceContext());
        echo "

                            ";
        // line 239
        echo "                            ";
        ob_start(function () { return ''; });
        // line 240
        echo "                                ";
        echo __("Enter text to display using the inline editor which can be opened by clicking in the preview on the left.");
        // line 241
        echo "                                ";
        echo __("When using the inline editor Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 242
        echo "                            ";
        $context["layoutDesignerMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 243
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["layoutDesignerMessage"] ?? null), "layout-designer-message inline-editor-show"], 243, $context, $this->getSourceContext());
        echo "

                            ";
        // line 246
        echo "                            ";
        ob_start(function () { return ''; });
        // line 247
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 248
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 249
        echo "                            ";
        $context["playlistEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 250
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["playlistEditorMessage"] ?? null), "playlist-editor-message ta_text-advanced-editor-show"], 250, $context, $this->getSourceContext());
        echo "
                        </div>
                        <div class=\"ckeditor_controls inline-editor-hide container-fluid\" data-linked-to=\"ta_text\">
                            <div class=\"col-sm-6\">
                                <div class=\"form-group row\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 255
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\" 
                                            class=\"ckeditor_snippets_select form-control\"
                                            data-linked-to=\"ta_text\">
                                            <option value=\"\"></option>
                                            <option value=\"Tweet\">Tweet</option>
                                            <option value=\"User\">User</option>
                                            <option value=\"Date\">Date</option>
                                            <option value=\"ProfileImage\">ProfileImage</option>
                                            <option value=\"Location\">Location</option>
                                            <option value=\"ScreenName\">ScreenName</option>
                                            <option value=\"Photo\">Photo</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        ";
        // line 274
        echo twig_call_macro($macros["forms"], "macro_textarea", ["ta_text", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "template"], "method", false, false, false, 274), "", "inline-editor-hide", "", 10], 274, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"noTweetsTab\">   
                        <div class=\"form-content-title\">
                            <h4>";
        // line 279
        echo __("No Tweets Message");
        echo "</h4>
                        </div>

                        ";
        // line 282
        ob_start(function () { return ''; });
        echo __("No tweets");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 283
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A message to display when there are no tweets returned by the search query");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 284
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["noTweetsMessage", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "noTweetsMessage"], "method", false, false, false, 284), ($context["helpText"] ?? null)], 284, $context, $this->getSourceContext());
        echo "
                        
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 290
        echo __("Optional Stylesheet Template");
        echo "</h4>
                        </div>

                        ";
        // line 293
        echo twig_call_macro($macros["forms"], "macro_textarea", ["ta_css", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "styleSheet"], "method", false, false, false, 293), "", "", "", 10], 293, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalJavascript\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 298
        echo __("Optional JavaScript");
        echo "</h4>
                        </div>

                        ";
        // line 301
        echo twig_call_macro($macros["forms"], "macro_textarea", ["javaScript", "", twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getRawNode", [0 => "javaScript"], "method", false, false, false, 301), "", "", "", 10], 301, $context, $this->getSourceContext());
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cacheTab\">
                        ";
        // line 305
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 306
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 307
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_number", ["updateInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 60], "method", false, false, false, 307), ($context["helpText"] ?? null), "", "required"], 307, $context, $this->getSourceContext());
        echo "
                    </div>

                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "twitter-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  823 => 307,  818 => 306,  814 => 305,  807 => 301,  801 => 298,  793 => 293,  787 => 290,  777 => 284,  772 => 283,  768 => 282,  762 => 279,  754 => 274,  732 => 255,  723 => 250,  720 => 249,  717 => 248,  714 => 247,  711 => 246,  705 => 243,  702 => 242,  699 => 241,  696 => 240,  693 => 239,  687 => 236,  681 => 234,  679 => 233,  671 => 228,  667 => 227,  662 => 225,  655 => 223,  650 => 221,  641 => 216,  639 => 214,  638 => 213,  637 => 212,  635 => 211,  630 => 210,  625 => 209,  620 => 208,  615 => 207,  611 => 206,  605 => 204,  600 => 203,  596 => 202,  590 => 200,  585 => 199,  581 => 198,  575 => 196,  570 => 195,  566 => 194,  560 => 192,  554 => 190,  552 => 189,  546 => 187,  541 => 186,  537 => 185,  531 => 183,  526 => 182,  522 => 181,  516 => 178,  506 => 172,  501 => 171,  497 => 170,  491 => 168,  489 => 166,  488 => 165,  487 => 164,  486 => 163,  485 => 162,  484 => 161,  483 => 160,  482 => 159,  481 => 158,  480 => 157,  478 => 156,  473 => 155,  468 => 154,  463 => 153,  458 => 152,  453 => 151,  448 => 150,  443 => 149,  438 => 148,  433 => 147,  428 => 146,  423 => 145,  419 => 144,  413 => 142,  408 => 141,  404 => 140,  398 => 138,  393 => 137,  389 => 136,  383 => 134,  378 => 133,  374 => 132,  368 => 130,  363 => 129,  359 => 128,  350 => 123,  345 => 122,  341 => 121,  335 => 119,  330 => 118,  326 => 117,  320 => 115,  315 => 114,  311 => 113,  305 => 111,  300 => 110,  296 => 109,  290 => 107,  288 => 105,  287 => 104,  286 => 103,  284 => 102,  279 => 101,  274 => 100,  269 => 99,  264 => 98,  260 => 97,  254 => 95,  249 => 94,  245 => 93,  239 => 91,  234 => 90,  230 => 89,  222 => 85,  220 => 83,  219 => 82,  218 => 81,  216 => 80,  211 => 79,  206 => 78,  202 => 77,  199 => 76,  194 => 75,  190 => 74,  184 => 72,  179 => 71,  175 => 70,  169 => 68,  164 => 67,  160 => 66,  154 => 64,  149 => 63,  145 => 62,  139 => 60,  134 => 59,  130 => 58,  124 => 55,  117 => 51,  111 => 48,  107 => 47,  103 => 46,  99 => 45,  95 => 44,  89 => 41,  83 => 38,  79 => 37,  75 => 36,  71 => 34,  67 => 33,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "twitter-form-edit.twig", "/home/mgatv524/public_html/mctv/modules/twitter-form-edit.twig");
    }
}
