<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displayprofile-form-edit-windows.twig */
class __TwigTemplate_4bcf2392ccd57ae05b522de86569a1abda90bca557f524ec61344c6016c3ad06 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 23
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "displayprofile-form-edit-windows.twig", 23)->unwrap();
        // line 24
        echo "
";
        // line 25
        $this->displayBlock('formHtml', $context, $blocks);
    }

    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 26
        echo "<div class=\"row\">
    <div class=\"col-md-12\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#general\" role=\"tab\" data-toggle=\"tab\">";
        // line 29
        echo __("General");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#network\" role=\"tab\" data-toggle=\"tab\">";
        // line 30
        echo __("Network");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#location\" role=\"tab\" data-toggle=\"tab\">";
        // line 31
        echo __("Location");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#troubleshooting\" role=\"tab\" data-toggle=\"tab\">";
        // line 32
        echo __("Troubleshooting");
        echo "</a></li>
            <li class=\"nav-item\"><a class=\"nav-link\" href=\"#advanced\" role=\"tab\" data-toggle=\"tab\">";
        // line 33
        echo __("Advanced");
        echo "</a></li>
            ";
        // line 34
        if ((1 === twig_compare(twig_length_filter($this->env, ($context["commands"] ?? null)), 0))) {
            // line 35
            echo "                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#commands\" role=\"tab\" data-toggle=\"tab\">";
            echo __("Commands");
            echo "</a></li>
            ";
        }
        // line 37
        echo "        </ul>
        <form id=\"displayProfileForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 38
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayProfile.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "displayProfileId", [], "any", false, false, false, 38)]), "html", null, true);
        echo "\">
            <div class=\"tab-content\">
                <div class=\"tab-pane active\" id=\"general\">
                    ";
        // line 41
        echo twig_include($this->env, $context, "displayprofile-form-edit-common-fields.twig");
        echo "

                    ";
        // line 43
        $context["title"] = __("Collect interval");
        // line 44
        echo "                    ";
        $context["helpText"] = __("How often should the Player check for new content.");
        // line 45
        echo "                    ";
        $context["options"] = [0 => ["id" => 60, "value" => __("1 minute")], 1 => ["id" => 300, "value" => __("5 minutes")], 2 => ["id" => 600, "value" => __("10 minutes")], 3 => ["id" => 1800, "value" => __("30 minutes")], 4 => ["id" => 3600, "value" => __("1 hour")], 5 => ["id" => 5400, "value" => __("1 hour 30 minutes")], 6 => ["id" => 7200, "value" => __("2 hours")], 7 => ["id" => 9000, "value" => __("2 hours 30 minutes")], 8 => ["id" => 10800, "value" => __("3 hours")], 9 => ["id" => 12600, "value" => __("3 hours 30 minutes")], 10 => ["id" => 14400, "value" => __("4 hours")], 11 => ["id" => 18000, "value" => __("5 hours")], 12 => ["id" => 21600, "value" => __("6 hours")], 13 => ["id" => 25200, "value" => __("7 hours")], 14 => ["id" => 28800, "value" => __("8 hours")], 15 => ["id" => 32400, "value" => __("9 hours")], 16 => ["id" => 36000, "value" => __("10 hours")], 17 => ["id" => 39600, "value" => __("11 hours")], 18 => ["id" => 43200, "value" => __("12 hours")], 19 => ["id" => 86400, "value" => __("24 hours")]];
        // line 67
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["collectInterval", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "collectInterval"], "method", false, false, false, 67), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 67, $context, $this->getSourceContext());
        echo "

                    ";
        // line 69
        $context["title"] = __("XMR Public Address");
        // line 70
        echo "                    ";
        $context["helpText"] = __("Please enter the public address for XMR.");
        // line 71
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["xmrNetworkAddress", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "xmrNetworkAddress"], "method", false, false, false, 71), ($context["helpText"] ?? null)], 71, $context, $this->getSourceContext());
        echo "

                    ";
        // line 73
        $context["title"] = __("Enable stats reporting?");
        // line 74
        echo "                    ";
        $context["helpText"] = __("Should the application send proof of play stats to the CMS.");
        // line 75
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["statsEnabled", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "statsEnabled"], "method", false, false, false, 75), ($context["helpText"] ?? null)], 75, $context, $this->getSourceContext());
        echo "

                    ";
        // line 77
        $context["title"] = __("Aggregation level");
        // line 78
        echo "                    ";
        $context["helpText"] = __("Set the level of collection for Proof of Play Statistics to be applied to selected Layouts / Media and Widget items.");
        // line 79
        echo "                    ";
        $context["options"] = [0 => ["id" => "Individual", "value" => __("Individual")], 1 => ["id" => "Hourly", "value" => __("Hourly")], 2 => ["id" => "Daily", "value" => __("Daily")]];
        // line 84
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["aggregationLevel", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "aggregationLevel"], "method", false, false, false, 84), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null), "aggregation-level"], 84, $context, $this->getSourceContext());
        echo "

                    ";
        // line 86
        $context["title"] = __("Record geolocation on each Proof of Play?");
        // line 87
        echo "                    ";
        $context["helpText"] = __("If the geolocation of the Display is known, enable to record that location against each proof of play record.");
        // line 88
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isRecordGeoLocationOnProofOfPlay", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "isRecordGeoLocationOnProofOfPlay"], "method", false, false, false, 88), ($context["helpText"] ?? null)], 88, $context, $this->getSourceContext());
        echo "

                    ";
        // line 90
        $context["title"] = __("Enable PowerPoint?");
        // line 91
        echo "                    ";
        $context["helpText"] = __("Should Microsoft PowerPoint be Enabled? The Player will need PowerPoint installed to Display PowerPoint files.");
        // line 92
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["powerpointEnabled", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "powerpointEnabled"], "method", false, false, false, 92), ($context["helpText"] ?? null)], 92, $context, $this->getSourceContext());
        echo "

                </div>

                <div class=\"tab-pane\" id=\"network\">

                    ";
        // line 98
        $context["title"] = __("Download Window Start Time");
        // line 99
        echo "                    ";
        $context["helpText"] = __("The start of the time window to connect to the CMS and download updates.");
        // line 100
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_time", ["downloadStartWindow", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "downloadStartWindow"], "method", false, false, false, 100), ($context["helpText"] ?? null), "", "", "", "HH:mm"], 100, $context, $this->getSourceContext());
        echo "

                    ";
        // line 102
        $context["title"] = __("Download Window End Time");
        // line 103
        echo "                    ";
        $context["helpText"] = __("The end of the time window to connect to the CMS and download updates.");
        // line 104
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_time", ["downloadEndWindow", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "downloadEndWindow"], "method", false, false, false, 104), ($context["helpText"] ?? null), "", "", "", "HH:mm"], 104, $context, $this->getSourceContext());
        echo "

                    ";
        // line 106
        $context["title"] = __("Force HTTPS?");
        // line 107
        echo "                    ";
        $context["helpText"] = __("Should Displays be forced to use HTTPS connection to the CMS?");
        // line 108
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["forceHttps", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "forceHttps"], "method", false, false, false, 108), ($context["helpText"] ?? null)], 108, $context, $this->getSourceContext());
        echo "

                    ";
        // line 110
        $context["title"] = __("Operating Hours");
        // line 111
        echo "                    ";
        $context["helpText"] = __("Select a day part that should act as operating hours for this display - email alerts will not be sent outside of operating hours");
        // line 112
        echo "                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "300px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("daypart.search")], 5 => ["name" => "data-search-term", "value" => "name"], 6 => ["name" => "data-id-property", "value" => "dayPartId"], 7 => ["name" => "data-text-property", "value" => "name"], 8 => ["name" => "data-filter-options", "value" => "{\"isAlways\":\"0\", \"isCustom\":\"0\"}"]];
        // line 123
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["dayPartId", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "dayPartId"], "method", false, false, false, 123), twig_array_merge([0 => ["dayPartId" => null, "name" => ""]], ($context["dayParts"] ?? null)), "dayPartId", "name", ($context["helpText"] ?? null), "pagedSelect", "", "", "", ($context["attributes"] ?? null)], 123, $context, $this->getSourceContext());
        echo "

                    ";
        // line 125
        $context["title"] = __("Authentication Whitelist");
        // line 126
        echo "                    ";
        $context["helpText"] = __("A comma separated list of domains which should be allowed to perform NTML/Negotiate authentication.");
        // line 127
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["authServerWhitelist", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "authServerWhitelist"], "method", false, false, false, 127), ($context["helpText"] ?? null)], 127, $context, $this->getSourceContext());
        echo "

                    ";
        // line 129
        $context["title"] = __("Edge Browser Whitelist");
        // line 130
        echo "                    ";
        $context["helpText"] = __("A comma separated list of website urls which should be rendered by the Edge Browser instead of Chromium.");
        // line 131
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["edgeBrowserWhitelist", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "edgeBrowserWhitelist"], "method", false, false, false, 131), ($context["helpText"] ?? null)], 131, $context, $this->getSourceContext());
        echo "
                </div>

                <div class=\"tab-pane\" id=\"location\">

                    ";
        // line 136
        $context["title"] = __("Width");
        // line 137
        echo "                    ";
        $context["helpText"] = __("The Width of the Display Window. 0 means full width.");
        // line 138
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["sizeX", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "sizeX"], "method", false, false, false, 138), ($context["helpText"] ?? null)], 138, $context, $this->getSourceContext());
        echo "

                    ";
        // line 140
        $context["title"] = __("Height");
        // line 141
        echo "                    ";
        $context["helpText"] = __("The Height of the Display Window. 0 means full height.");
        // line 142
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["sizeY", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "sizeY"], "method", false, false, false, 142), ($context["helpText"] ?? null)], 142, $context, $this->getSourceContext());
        echo "

                    ";
        // line 144
        $context["title"] = __("Left Coordinate");
        // line 145
        echo "                    ";
        $context["helpText"] = __("The left pixel position the display window should be sized from.");
        // line 146
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["offsetX", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "offsetX"], "method", false, false, false, 146), ($context["helpText"] ?? null)], 146, $context, $this->getSourceContext());
        echo "

                    ";
        // line 148
        $context["title"] = __("Top Coordinate");
        // line 149
        echo "                    ";
        $context["helpText"] = __("The top pixel position the display window should be sized from.");
        // line 150
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["offsetY", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "offsetY"], "method", false, false, false, 150), ($context["helpText"] ?? null)], 150, $context, $this->getSourceContext());
        echo "

                </div>

                <div class=\"tab-pane\" id=\"troubleshooting\">

                    ";
        // line 156
        $context["title"] = __("CTRL Key required to access Player Information Screen?");
        // line 157
        echo "                    ";
        $context["helpText"] = __("Should the Player information screen require the CTRL key?");
        // line 158
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["clientInfomationCtrlKey", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "clientInfomationCtrlKey"], "method", false, false, false, 158), ($context["helpText"] ?? null)], 158, $context, $this->getSourceContext());
        echo "

                    ";
        // line 160
        $context["title"] = __("Key for Player Information Screen");
        // line 161
        echo "                    ";
        $context["helpText"] = __("Which key should activate the Player information screen? A single character.");
        // line 162
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["clientInformationKeyCode", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "clientInformationKeyCode"], "method", false, false, false, 162), ($context["helpText"] ?? null)], 162, $context, $this->getSourceContext());
        echo "

                    ";
        // line 164
        $context["title"] = __("Log Level");
        // line 165
        echo "                    ";
        $context["helpText"] = __("The logging level that should be recorded by the Player.");
        // line 166
        echo "                    ";
        $context["options"] = [0 => ["id" => "audit", "value" => __("Audit")], 1 => ["id" => "info", "value" => __("Information")], 2 => ["id" => "error", "value" => __("Error")], 3 => ["id" => "off", "value" => __("Off")]];
        // line 172
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["logLevel", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "logLevel"], "method", false, false, false, 172), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 172, $context, $this->getSourceContext());
        echo "

                    ";
        // line 174
        $context["title"] = __("Log file path name.");
        // line 175
        echo "                    ";
        $context["helpText"] = __("Create a log file on disk in this location. Please enter a fully qualified path.");
        // line 176
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["logToDiskLocation", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "logToDiskLocation"], "method", false, false, false, 176), ($context["helpText"] ?? null)], 176, $context, $this->getSourceContext());
        echo "

                </div>

                <div class=\"tab-pane\" id=\"advanced\">

                    ";
        // line 182
        $context["title"] = __("Show the icon in the task bar?");
        // line 183
        echo "                    ";
        $context["helpText"] = __("Should the application icon be shown in the task bar?");
        // line 184
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["showInTaskbar", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "showInTaskbar"], "method", false, false, false, 184), ($context["helpText"] ?? null)], 184, $context, $this->getSourceContext());
        echo "

                    ";
        // line 186
        $context["title"] = __("Cursor Start Position");
        // line 187
        echo "                    ";
        $context["helpText"] = __("The position of the cursor when the Player starts up.");
        // line 188
        echo "                    ";
        $context["options"] = [0 => ["id" => "Unchanged", "value" => __("Unchanged")], 1 => ["id" => "Top Left", "value" => __("Top Left")], 2 => ["id" => "Top Right", "value" => __("Top Right")], 3 => ["id" => "Bottom Left", "value" => __("Bottom Left")], 4 => ["id" => "Bottom Right", "value" => __("Bottom Right")]];
        // line 195
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_dropdown", ["cursorStartPosition", "single", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "cursorStartPosition"], "method", false, false, false, 195), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null)], 195, $context, $this->getSourceContext());
        echo "

                    ";
        // line 197
        $context["title"] = __("Enable Double Buffering");
        // line 198
        echo "                    ";
        $context["helpText"] = __("Double buffering helps smooth the playback but should be disabled if graphics errors occur");
        // line 199
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["doubleBuffering", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "doubleBuffering"], "method", false, false, false, 199), ($context["helpText"] ?? null)], 199, $context, $this->getSourceContext());
        echo "

                    ";
        // line 201
        $context["title"] = __("Duration for Empty Layouts");
        // line 202
        echo "                    ";
        $context["helpText"] = __("If an empty layout is detected how long (in seconds) should it remain on screen? Must be greater than 1.");
        // line 203
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["emptyLayoutDuration", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "emptyLayoutDuration"], "method", false, false, false, 203), ($context["helpText"] ?? null)], 203, $context, $this->getSourceContext());
        echo "

                    ";
        // line 205
        $context["title"] = __("Enable Mouse");
        // line 206
        echo "                    ";
        $context["helpText"] = __("Enable the mouse.");
        // line 207
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["enableMouse", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "enableMouse"], "method", false, false, false, 207), ($context["helpText"] ?? null)], 207, $context, $this->getSourceContext());
        echo "

                    ";
        // line 209
        $context["title"] = __("Enable Shell Commands");
        // line 210
        echo "                    ";
        $context["helpText"] = __("Enable the Shell Command module.");
        // line 211
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["enableShellCommands", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "enableShellCommands"], "method", false, false, false, 211), ($context["helpText"] ?? null)], 211, $context, $this->getSourceContext());
        echo "

                    ";
        // line 213
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_CURRENT_LAYOUT_STATUS_ENABLED", 1 => 0], "method", false, false, false, 213), 1))) {
            // line 214
            echo "                        ";
            $context["title"] = __("Notify current layout");
            // line 215
            echo "                        ";
            $context["helpText"] = __("When enabled the Player will send the current layout to the CMS each time it changes. Warning: This is bandwidth intensive and should be disabled unless on a LAN.");
            // line 216
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_checkbox", ["sendCurrentLayoutAsStatusUpdate", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "sendCurrentLayoutAsStatusUpdate"], "method", false, false, false, 216), ($context["helpText"] ?? null)], 216, $context, $this->getSourceContext());
            echo "
                    ";
        }
        // line 218
        echo "
                    ";
        // line 219
        $context["title"] = __("Expire Modified Layouts?");
        // line 220
        echo "                    ";
        $context["helpText"] = __("Expire Modified Layouts immediately on change. This means a layout can be cut during playback if it receives an update from the CMS");
        // line 221
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["expireModifiedLayouts", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "expireModifiedLayouts"], "method", false, false, false, 221), ($context["helpText"] ?? null)], 221, $context, $this->getSourceContext());
        echo "

                    ";
        // line 223
        $context["title"] = __("Maximum concurrent downloads");
        // line 224
        echo "                    ";
        $context["helpText"] = __("The maximum number of concurrent downloads the Player will attempt.");
        // line 225
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["maxConcurrentDownloads", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "maxConcurrentDownloads"], "method", false, false, false, 225), ($context["helpText"] ?? null)], 225, $context, $this->getSourceContext());
        echo "

                    ";
        // line 227
        $context["title"] = __("Shell Command Allow List");
        // line 228
        echo "                    ";
        $context["helpText"] = __("Which shell commands should the Player execute?");
        // line 229
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["shellCommandAllowList", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "shellCommandAllowList"], "method", false, false, false, 229), ($context["helpText"] ?? null)], 229, $context, $this->getSourceContext());
        echo "

                    ";
        // line 231
        if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, ($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_SCREENSHOT_INTERVAL_ENABLED", 1 => 0], "method", false, false, false, 231), 1))) {
            // line 232
            echo "                        ";
            $context["title"] = __("Screen shot interval");
            // line 233
            echo "                        ";
            $context["helpText"] = __("The duration between status screen shots in minutes. 0 to disable. Warning: This is bandwidth intensive.");
            // line 234
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_number", ["screenShotRequestInterval", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotRequestInterval"], "method", false, false, false, 234), ($context["helpText"] ?? null)], 234, $context, $this->getSourceContext());
            echo "
                    ";
        }
        // line 236
        echo "
                    ";
        // line 237
        $context["title"] = __("Screen Shot Size");
        // line 238
        echo "                    ";
        $context["helpText"] = __("The size of the largest dimension. Empty or 0 means the screen size.");
        // line 239
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_input", ["screenShotSize", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotSize"], "method", false, false, false, 239), ($context["helpText"] ?? null)], 239, $context, $this->getSourceContext());
        echo "

                    ";
        // line 241
        $context["title"] = __("Limit the number of log files uploaded concurrently");
        // line 242
        echo "                    ";
        $context["helpText"] = __("The number of log files to upload concurrently. The lower the number the longer it will take, but the better for memory usage.");
        // line 243
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["maxLogFileUploads", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "maxLogFileUploads"], "method", false, false, false, 243), ($context["helpText"] ?? null)], 243, $context, $this->getSourceContext());
        echo "

                    ";
        // line 245
        $context["title"] = __("Embedded Web Server Port");
        // line 246
        echo "                    ";
        $context["helpText"] = __("The port number to use for the embedded web server on the Player. Only change this if there is a port conflict reported on the status screen.");
        // line 247
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_number", ["embeddedServerPort", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "embeddedServerPort"], "method", false, false, false, 247), ($context["helpText"] ?? null)], 247, $context, $this->getSourceContext());
        echo "

                    ";
        // line 249
        $context["title"] = __("Embedded Web Server allow WAN?");
        // line 250
        echo "                    ";
        $context["helpText"] = __("Should we allow access to the Player Embedded Web Server from WAN? You may need to adjust the device firewall to allow external traffic");
        // line 251
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["embeddedServerAllowWan", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "embeddedServerAllowWan"], "method", false, false, false, 251), ($context["helpText"] ?? null)], 251, $context, $this->getSourceContext());
        echo "

                    ";
        // line 253
        $context["title"] = __("Prevent Sleep?");
        // line 254
        echo "                    ";
        $context["helpText"] = __("Stop the player PC power management from Sleeping the PC");
        // line 255
        echo "                    ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["preventSleep", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayProfile"] ?? null), "getSetting", [0 => "preventSleep"], "method", false, false, false, 255), ($context["helpText"] ?? null)], 255, $context, $this->getSourceContext());
        echo "

                </div>

                ";
        // line 259
        if ((1 === twig_compare(twig_length_filter($this->env, ($context["commands"] ?? null)), 0))) {
            // line 260
            echo "                <div class=\"tab-pane\" id=\"commands\">
                    ";
            // line 261
            $this->loadTemplate("displayprofile-form-edit-command-fields.twig", "displayprofile-form-edit-windows.twig", 261)->display($context);
            // line 262
            echo "                </div>
                ";
        }
        // line 264
        echo "            </div>
        </form>
    </div>
</div>
";
    }

    public function getTemplateName()
    {
        return "displayprofile-form-edit-windows.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  548 => 264,  544 => 262,  542 => 261,  539 => 260,  537 => 259,  529 => 255,  526 => 254,  524 => 253,  518 => 251,  515 => 250,  513 => 249,  507 => 247,  504 => 246,  502 => 245,  496 => 243,  493 => 242,  491 => 241,  485 => 239,  482 => 238,  480 => 237,  477 => 236,  471 => 234,  468 => 233,  465 => 232,  463 => 231,  457 => 229,  454 => 228,  452 => 227,  446 => 225,  443 => 224,  441 => 223,  435 => 221,  432 => 220,  430 => 219,  427 => 218,  421 => 216,  418 => 215,  415 => 214,  413 => 213,  407 => 211,  404 => 210,  402 => 209,  396 => 207,  393 => 206,  391 => 205,  385 => 203,  382 => 202,  380 => 201,  374 => 199,  371 => 198,  369 => 197,  363 => 195,  360 => 188,  357 => 187,  355 => 186,  349 => 184,  346 => 183,  344 => 182,  334 => 176,  331 => 175,  329 => 174,  323 => 172,  320 => 166,  317 => 165,  315 => 164,  309 => 162,  306 => 161,  304 => 160,  298 => 158,  295 => 157,  293 => 156,  283 => 150,  280 => 149,  278 => 148,  272 => 146,  269 => 145,  267 => 144,  261 => 142,  258 => 141,  256 => 140,  250 => 138,  247 => 137,  245 => 136,  236 => 131,  233 => 130,  231 => 129,  225 => 127,  222 => 126,  220 => 125,  214 => 123,  211 => 112,  208 => 111,  206 => 110,  200 => 108,  197 => 107,  195 => 106,  189 => 104,  186 => 103,  184 => 102,  178 => 100,  175 => 99,  173 => 98,  163 => 92,  160 => 91,  158 => 90,  152 => 88,  149 => 87,  147 => 86,  141 => 84,  138 => 79,  135 => 78,  133 => 77,  127 => 75,  124 => 74,  122 => 73,  116 => 71,  113 => 70,  111 => 69,  105 => 67,  102 => 45,  99 => 44,  97 => 43,  92 => 41,  86 => 38,  83 => 37,  77 => 35,  75 => 34,  71 => 33,  67 => 32,  63 => 31,  59 => 30,  55 => 29,  50 => 26,  43 => 25,  40 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "displayprofile-form-edit-windows.twig", "/home/mgatv524/public_html/mctv/views/displayprofile-form-edit-windows.twig");
    }
}
