<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* saved-report-page.twig */
class __TwigTemplate_f0c4ef381ab5e7168f9e94cbd3aa5011324c38ef8fe36682cd00f392c709dd83 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "saved-report-page.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("authed.twig", "saved-report-page.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    <div class=\"widget-action-menu pull-right\">
        <button class=\"btn btn-success XiboRedirectButton\" href=\"";
        // line 29
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("report.view"), "html", null, true);
        echo "\"><i class=\"fa fa-th-list\" aria-hidden=\"true\"></i> ";
        echo __("Back to dashboard");
        echo "</button>
        <button class=\"btn btn-primary XiboRedirectButton\" href=\"";
        // line 30
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("reportschedule.view"), "html", null, true);
        echo "\"><i class=\"fa fa-th-list\" aria-hidden=\"true\"></i> ";
        echo __("Report Schedules");
        echo "</button>
    </div>
";
    }

    // line 34
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 35
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 36
        echo __("Saved reports");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 38
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"savedreportView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">

                            <div class=\"form-group mr-1 mb-1\">
                                <label class=\"control-label mr-1\" title=\"\" for=\"saveAs\" accesskey=\"\">";
        // line 44
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"saveAs\" type=\"text\" id=\"saveAs\" value=\"\">
                                        <div class=\"input-group-append input-group-addon\">
                                            <div class=\"input-group-text\">
                                                <input title=\"";
        // line 50
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Owner");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items owned by the selected User.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                            ";
        $context["users"] = twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null));
        // line 60
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["userId", "single", ($context["title"] ?? null), null, ($context["users"] ?? null), "userId", "userName", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 60, $context, $this->getSourceContext());
        echo "

                            ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items belong to a report.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                            ";
        $context["reports"] = twig_array_merge([0 => ["name" => null, "description" => ""]], ($context["availableReports"] ?? null));
        // line 65
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["reportName", "single", ($context["title"] ?? null), null, ($context["reports"] ?? null), "name", "description", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null)], 65, $context, $this->getSourceContext());
        echo "

                            ";
        // line 67
        ob_start(function () { return ''; });
        echo __("Only my reports?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                            ";
        echo twig_call_macro($macros["inline"], "macro_checkbox", ["onlyMyReport", ($context["title"] ?? null), 1], 68, $context, $this->getSourceContext());
        echo "
                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"savedreports\" class=\"table table-striped\" data-state-preference-name=\"savedreportGrid\">
                        <thead>
                        <tr>
                            <th>";
        // line 76
        echo __("Report Schedule");
        echo "</th>
                            <th>";
        // line 77
        echo __("Saved as");
        echo "</th>
                            <th>";
        // line 78
        echo __("Report Type");
        echo "</th>
                            <th>";
        // line 79
        echo __("Generated on");
        echo "</th>
                            <th>";
        // line 80
        echo __("Owner");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 94
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 95
        echo "    <script type=\"text/javascript\">
        var table;
        \$(document).ready(function() {

            var url_string = window.location.href;
            var url = new URL(url_string);
            var reportName = url.searchParams.get(\"reportName\");

            if (reportName !== undefined && reportName != null) {
                \$('#reportName').val(reportName).trigger('change');
            }

            table = \$(\"#savedreports\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                stateDuration: 0,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                filter: false,
                searchDelay: 3000,
                \"order\": [[ 1, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 119
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("savedreport.search"), "html", null, true);
        echo "\",
                    \"data\": function(d) {
                        \$.extend(d, \$(\"#savedreports\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    { \"data\": \"reportScheduleName\"},
                    { \"data\": \"saveAs\"},
                    { \"data\": \"reportName\", \"visible\": false},
                    {
                        \"data\": \"generatedOn\",
                        \"render\": dataTableDateFromUnix
                    },
                    { \"data\": \"owner\"},
                    {
                        \"orderable\": false,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });
            table.on('draw', dataTableDraw);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#savedreports_wrapper').find('.dataTables_buttons'));
        })
    </script>
";
    }

    public function getTemplateName()
    {
        return "saved-report-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  228 => 119,  202 => 95,  198 => 94,  181 => 80,  177 => 79,  173 => 78,  169 => 77,  165 => 76,  153 => 68,  149 => 67,  143 => 65,  140 => 64,  135 => 63,  131 => 62,  125 => 60,  122 => 59,  117 => 58,  113 => 57,  103 => 50,  94 => 44,  85 => 38,  80 => 36,  77 => 35,  73 => 34,  64 => 30,  58 => 29,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "saved-report-page.twig", "/home/mgatv524/public_html/mctv/views/saved-report-page.twig");
    }
}
